var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 7742936;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);













































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });





















































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,176,163,117,0,62,1,0,0,178,0,0,0,84,0,0,0,200,0,0,0,12,0,0,0,10,0,0,0,10,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,192,163,117,0,62,1,0,0,54,1,0,0,84,0,0,0,200,0,0,0,12,0,0,0,32,0,0,0,6,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;






















































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,92,0,0,0,90,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,36,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,92,0,0,0,90,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,80,168,116,0,110,0,0,0,216,65,117,0,114,0,0,0,192,24,117,0,102,0,0,0,56,251,116,0,97,0,0,0,120,210,116,0,101,0,0,0,0,181,116,0,119,0,0,0,40,152,116,0,87,0,0,0,232,128,116,0,115,0,0,0,104,106,116,0,83,0,0,0,24,81,116,0,100,0,0,0,240,122,117,0,68,0,0,0,240,103,117,0,0,0,0,0,0,0,0,0,112,10,118,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,88,12,117,0,136,6,117,0,8,21,118,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,120,11,118,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,38,0,0,0,38,0,0,0,38,0,0,0,200,20,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,197,2,0,0,1,0,0,0,50,2,0,0,1,0,0,0,184,1,0,0,1,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,128,12,118,0,0,0,0,0,8,13,118,0,0,0,0,0,144,13,118,0,0,0,0,0,24,14,118,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,64,31,117,0,16,241,116,0,32,204,116,0,96,176,116,0,24,148,116,0,120,124,116,0,2,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,10,0,0,0,86,0,0,0,86,0,0,0,36,0,0,0,94,0,0,0,10,0,0,0,8,0,0,0,82,0,0,0,208,0,0,0,208,0,0,0,24,0,0,0,8,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,160,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,168,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,80,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,42], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([240,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,196,0,0,0,0,0,0,0,160,14,118,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,46,0,0,0,26,0,0,0,62,0,0,0,54,0,0,0,68,0,0,0,52,0,0,0,22,0,0,0,18,0,0,0,88,0,0,0,94,0,0,0,28,0,0,0,80,0,0,0,32,0,0,0,12,0,0,0,6,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,26,0,0,0,62,0,0,0,54,0,0,0,68,0,0,0,52,0,0,0,22,0,0,0,18,0,0,0,88,0,0,0,94,0,0,0,28,0,0,0,80,0,0,0,32,0,0,0,12,0,0,0,6,0,0,0,4,0,0,0,18,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,22,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,92,0,0,0,90,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,36,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,92,0,0,0,90,0,0,0,42,0,0,0,6,0,0,0,8,0,0,0,42,0,0,0,2,0,0,0,40,0,0,0,36,0,0,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,17,0,17,0,17,0,17,0,18,0,18,0,18,0,18,0,19,0,19,0,19,0,19,0,20,0,20,0,20,0,20,0,21,0,21,0,21,0,21,0,16,0,72,0,78,0,0,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,13,0,15,0,17,0,19,0,23,0,27,0,31,0,35,0,43,0,51,0,59,0,67,0,83,0,99,0,115,0,131,0,163,0,195,0,227,0,2,1,0,0,0,0,0,0,16,0,16,0,16,0,16,0,17,0,17,0,18,0,18,0,19,0,19,0,20,0,20,0,21,0,21,0,22,0,22,0,23,0,23,0,24,0,24,0,25,0,25,0,26,0,26,0,27,0,27,0,28,0,28,0,29,0,29,0,64,0,64,0,1,0,2,0,3,0,4,0,5,0,7,0,9,0,13,0,17,0,25,0,33,0,49,0,65,0,97,0,129,0,193,0,1,1,129,1,1,2,1,3,1,4,1,6,1,8,1,12,1,16,1,24,1,32,1,48,1,64,1,96,0,0,0,0,16,0,17,0,18,0,0,0,8,0,7,0,9,0,6,0,10,0,5,0,11,0,4,0,12,0,3,0,13,0,2,0,14,0,1,0,15,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,232,182,117,0,128,182,117,0,80,182,117,0,120,182,117,0,104,182,117,0,88,182,117,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,192,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,160,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,224,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,144,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,208,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,176,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,240,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,200,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,168,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,232,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,152,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,216,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,184,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,248,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,196,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,164,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,228,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,148,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,212,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,180,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,244,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,204,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,172,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,236,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,156,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,220,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,188,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,252,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,194,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,162,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,226,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,146,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,210,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,178,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,242,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,202,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,170,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,234,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,154,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,218,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,186,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,250,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,198,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,166,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,230,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,150,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,214,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,182,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,246,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,206,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,174,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,238,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,158,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,222,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,190,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,254,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,193,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,161,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,225,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,145,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,209,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,177,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,241,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,201,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,169,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,233,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,153,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,217,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,185,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,249,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,197,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,165,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,229,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,149,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,213,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,181,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,245,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,205,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,173,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,237,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,157,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,221,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,189,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,253,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,195,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,163,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,227,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,147,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,211,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,179,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,243,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,203,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,171,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,235,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,155,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,219,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,187,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,251,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,199,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,167,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,231,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,151,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,215,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,183,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,247,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,207,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,175,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,239,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,159,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,223,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,191,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,255,0,16,5,1,0,23,5,1,1,19,5,17,0,27,5,1,16,17,5,5,0,25,5,1,4,21,5,65,0,29,5,1,64,16,5,3,0,24,5,1,2,20,5,33,0,28,5,1,32,18,5,9,0,26,5,1,8,22,5,129,0,64,5,0,0,16,5,2,0,23,5,129,1,19,5,25,0,27,5,1,24,17,5,7,0,25,5,1,6,21,5,97,0,29,5,1,96,16,5,4,0,24,5,1,3,20,5,49,0,28,5,1,48,18,5,13,0,26,5,1,12,22,5,193,0,64,5,0,0,3,0,0,0,0,0,0,0,255,255,255,255,248,20,118,0,248,20,118,0,248,20,118,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,200,42,117,0,104,254,116,0,120,212,116,0,112,182,116,0,152,58,117,0,96,96,117,0,144,1,0,0,0,0,0,0,0,7,118,0,0,0,0,0,144,58,0,0,96,122,0,0,192,1,0,0,96,119,0,0,96,119,0,0,176,55,0,0,192,1,0,0,0,0,0,0,0,60,0,0,208,123,0,0,48,3,0,0,208,120,0,0,208,120,0,0,32,57,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,191,76,0,0,0,0,176,60,49,101,0,0,0,0,16,0,244,14,255,255,255,255,239,127,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,144,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10244);
/* memory initializer */ allocate([64,218,116,0,240,211,116,0,240,208,116,0,192,205,116,0,216,202,116,0,208,199,116,0,144,196,116,0,8,194,116,0,64,218,116,0,16,192,116,0,208,189,116,0,224,187,116,0,40,182,116,0,184,179,116,0,64,177,116,0,88,175,116,0,0,0,0,0,150,48,7,119,44,97,14,238,186,81,9,153,25,196,109,7,143,244,106,112,53,165,99,233,163,149,100,158,50,136,219,14,164,184,220,121,30,233,213,224,136,217,210,151,43,76,182,9,189,124,177,126,7,45,184,231,145,29,191,144,100,16,183,29,242,32,176,106,72,113,185,243,222,65,190,132,125,212,218,26,235,228,221,109,81,181,212,244,199,133,211,131,86,152,108,19,192,168,107,100,122,249,98,253,236,201,101,138,79,92,1,20,217,108,6,99,99,61,15,250,245,13,8,141,200,32,110,59,94,16,105,76,228,65,96,213,114,113,103,162,209,228,3,60,71,212,4,75,253,133,13,210,107,181,10,165,250,168,181,53,108,152,178,66,214,201,187,219,64,249,188,172,227,108,216,50,117,92,223,69,207,13,214,220,89,61,209,171,172,48,217,38,58,0,222,81,128,81,215,200,22,97,208,191,181,244,180,33,35,196,179,86,153,149,186,207,15,165,189,184,158,184,2,40,8,136,5,95,178,217,12,198,36,233,11,177,135,124,111,47,17,76,104,88,171,29,97,193,61,45,102,182,144,65,220,118,6,113,219,1,188,32,210,152,42,16,213,239,137,133,177,113,31,181,182,6,165,228,191,159,51,212,184,232,162,201,7,120,52,249,0,15,142,168,9,150,24,152,14,225,187,13,106,127,45,61,109,8,151,108,100,145,1,92,99,230,244,81,107,107,98,97,108,28,216,48,101,133,78,0,98,242,237,149,6,108,123,165,1,27,193,244,8,130,87,196,15,245,198,217,176,101,80,233,183,18,234,184,190,139,124,136,185,252,223,29,221,98,73,45,218,21,243,124,211,140,101,76,212,251,88,97,178,77,206,81,181,58,116,0,188,163,226,48,187,212,65,165,223,74,215,149,216,61,109,196,209,164,251,244,214,211,106,233,105,67,252,217,110,52,70,136,103,173,208,184,96,218,115,45,4,68,229,29,3,51,95,76,10,170,201,124,13,221,60,113,5,80,170,65,2,39,16,16,11,190,134,32,12,201,37,181,104,87,179,133,111,32,9,212,102,185,159,228,97,206,14,249,222,94,152,201,217,41,34,152,208,176,180,168,215,199,23,61,179,89,129,13,180,46,59,92,189,183,173,108,186,192,32,131,184,237,182,179,191,154,12,226,182,3,154,210,177,116,57,71,213,234,175,119,210,157,21,38,219,4,131,22,220,115,18,11,99,227,132,59,100,148,62,106,109,13,168,90,106,122,11,207,14,228,157,255,9,147,39,174,0,10,177,158,7,125,68,147,15,240,210,163,8,135,104,242,1,30,254,194,6,105,93,87,98,247,203,103,101,128,113,54,108,25,231,6,107,110,118,27,212,254,224,43,211,137,90,122,218,16,204,74,221,103,111,223,185,249,249,239,190,142,67,190,183,23,213,142,176,96,232,163,214,214,126,147,209,161,196,194,216,56,82,242,223,79,241,103,187,209,103,87,188,166,221,6,181,63,75,54,178,72,218,43,13,216,76,27,10,175,246,74,3,54,96,122,4,65,195,239,96,223,85,223,103,168,239,142,110,49,121,190,105,70,140,179,97,203,26,131,102,188,160,210,111,37,54,226,104,82,149,119,12,204,3,71,11,187,185,22,2,34,47,38,5,85,190,59,186,197,40,11,189,178,146,90,180,43,4,106,179,92,167,255,215,194,49,207,208,181,139,158,217,44,29,174,222,91,176,194,100,155,38,242,99,236,156,163,106,117,10,147,109,2,169,6,9,156,63,54,14,235,133,103,7,114,19,87,0,5,130,74,191,149,20,122,184,226,174,43,177,123,56,27,182,12,155,142,210,146,13,190,213,229,183,239,220,124,33,223,219,11,212,210,211,134,66,226,212,241,248,179,221,104,110,131,218,31,205,22,190,129,91,38,185,246,225,119,176,111,119,71,183,24,230,90,8,136,112,106,15,255,202,59,6,102,92,11,1,17,255,158,101,143,105,174,98,248,211,255,107,97,69,207,108,22,120,226,10,160,238,210,13,215,84,131,4,78,194,179,3,57,97,38,103,167,247,22,96,208,77,71,105,73,219,119,110,62,74,106,209,174,220,90,214,217,102,11,223,64,240,59,216,55,83,174,188,169,197,158,187,222,127,207,178,71,233,255,181,48,28,242,189,189,138,194,186,202,48,147,179,83,166,163,180,36,5,54,208,186,147,6,215,205,41,87,222,84,191,103,217,35,46,122,102,179,184,74,97,196,2,27,104,93,148,43,111,42,55,190,11,180,161,142,12,195,27,223,5,90,141,239,2,45,0,0,0,0,65,49,27,25,130,98,54,50,195,83,45,43,4,197,108,100,69,244,119,125,134,167,90,86,199,150,65,79,8,138,217,200,73,187,194,209,138,232,239,250,203,217,244,227,12,79,181,172,77,126,174,181,142,45,131,158,207,28,152,135,81,18,194,74,16,35,217,83,211,112,244,120,146,65,239,97,85,215,174,46,20,230,181,55,215,181,152,28,150,132,131,5,89,152,27,130,24,169,0,155,219,250,45,176,154,203,54,169,93,93,119,230,28,108,108,255,223,63,65,212,158,14,90,205,162,36,132,149,227,21,159,140,32,70,178,167,97,119,169,190,166,225,232,241,231,208,243,232,36,131,222,195,101,178,197,218,170,174,93,93,235,159,70,68,40,204,107,111,105,253,112,118,174,107,49,57,239,90,42,32,44,9,7,11,109,56,28,18,243,54,70,223,178,7,93,198,113,84,112,237,48,101,107,244,247,243,42,187,182,194,49,162,117,145,28,137,52,160,7,144,251,188,159,23,186,141,132,14,121,222,169,37,56,239,178,60,255,121,243,115,190,72,232,106,125,27,197,65,60,42,222,88,5,79,121,240,68,126,98,233,135,45,79,194,198,28,84,219,1,138,21,148,64,187,14,141,131,232,35,166,194,217,56,191,13,197,160,56,76,244,187,33,143,167,150,10,206,150,141,19,9,0,204,92,72,49,215,69,139,98,250,110,202,83,225,119,84,93,187,186,21,108,160,163,214,63,141,136,151,14,150,145,80,152,215,222,17,169,204,199,210,250,225,236,147,203,250,245,92,215,98,114,29,230,121,107,222,181,84,64,159,132,79,89,88,18,14,22,25,35,21,15,218,112,56,36,155,65,35,61,167,107,253,101,230,90,230,124,37,9,203,87,100,56,208,78,163,174,145,1,226,159,138,24,33,204,167,51,96,253,188,42,175,225,36,173,238,208,63,180,45,131,18,159,108,178,9,134,171,36,72,201,234,21,83,208,41,70,126,251,104,119,101,226,246,121,63,47,183,72,36,54,116,27,9,29,53,42,18,4,242,188,83,75,179,141,72,82,112,222,101,121,49,239,126,96,254,243,230,231,191,194,253,254,124,145,208,213,61,160,203,204,250,54,138,131,187,7,145,154,120,84,188,177,57,101,167,168,75,152,131,59,10,169,152,34,201,250,181,9,136,203,174,16,79,93,239,95,14,108,244,70,205,63,217,109,140,14,194,116,67,18,90,243,2,35,65,234,193,112,108,193,128,65,119,216,71,215,54,151,6,230,45,142,197,181,0,165,132,132,27,188,26,138,65,113,91,187,90,104,152,232,119,67,217,217,108,90,30,79,45,21,95,126,54,12,156,45,27,39,221,28,0,62,18,0,152,185,83,49,131,160,144,98,174,139,209,83,181,146,22,197,244,221,87,244,239,196,148,167,194,239,213,150,217,246,233,188,7,174,168,141,28,183,107,222,49,156,42,239,42,133,237,121,107,202,172,72,112,211,111,27,93,248,46,42,70,225,225,54,222,102,160,7,197,127,99,84,232,84,34,101,243,77,229,243,178,2,164,194,169,27,103,145,132,48,38,160,159,41,184,174,197,228,249,159,222,253,58,204,243,214,123,253,232,207,188,107,169,128,253,90,178,153,62,9,159,178,127,56,132,171,176,36,28,44,241,21,7,53,50,70,42,30,115,119,49,7,180,225,112,72,245,208,107,81,54,131,70,122,119,178,93,99,78,215,250,203,15,230,225,210,204,181,204,249,141,132,215,224,74,18,150,175,11,35,141,182,200,112,160,157,137,65,187,132,70,93,35,3,7,108,56,26,196,63,21,49,133,14,14,40,66,152,79,103,3,169,84,126,192,250,121,85,129,203,98,76,31,197,56,129,94,244,35,152,157,167,14,179,220,150,21,170,27,0,84,229,90,49,79,252,153,98,98,215,216,83,121,206,23,79,225,73,86,126,250,80,149,45,215,123,212,28,204,98,19,138,141,45,82,187,150,52,145,232,187,31,208,217,160,6,236,243,126,94,173,194,101,71,110,145,72,108,47,160,83,117,232,54,18,58,169,7,9,35,106,84,36,8,43,101,63,17,228,121,167,150,165,72,188,143,102,27,145,164,39,42,138,189,224,188,203,242,161,141,208,235,98,222,253,192,35,239,230,217,189,225,188,20,252,208,167,13,63,131,138,38,126,178,145,63,185,36,208,112,248,21,203,105,59,70,230,66,122,119,253,91,181,107,101,220,244,90,126,197,55,9,83,238,118,56,72,247,177,174,9,184,240,159,18,161,51,204,63,138,114,253,36,147,0,0,0,0,55,106,194,1,110,212,132,3,89,190,70,2,220,168,9,7,235,194,203,6,178,124,141,4,133,22,79,5,184,81,19,14,143,59,209,15,214,133,151,13,225,239,85,12,100,249,26,9,83,147,216,8,10,45,158,10,61,71,92,11,112,163,38,28,71,201,228,29,30,119,162,31,41,29,96,30,172,11,47,27,155,97,237,26,194,223,171,24,245,181,105,25,200,242,53,18,255,152,247,19,166,38,177,17,145,76,115,16,20,90,60,21,35,48,254,20,122,142,184,22,77,228,122,23,224,70,77,56,215,44,143,57,142,146,201,59,185,248,11,58,60,238,68,63,11,132,134,62,82,58,192,60,101,80,2,61,88,23,94,54,111,125,156,55,54,195,218,53,1,169,24,52,132,191,87,49,179,213,149,48,234,107,211,50,221,1,17,51,144,229,107,36,167,143,169,37,254,49,239,39,201,91,45,38,76,77,98,35,123,39,160,34,34,153,230,32,21,243,36,33,40,180,120,42,31,222,186,43,70,96,252,41,113,10,62,40,244,28,113,45,195,118,179,44,154,200,245,46,173,162,55,47,192,141,154,112,247,231,88,113,174,89,30,115,153,51,220,114,28,37,147,119,43,79,81,118,114,241,23,116,69,155,213,117,120,220,137,126,79,182,75,127,22,8,13,125,33,98,207,124,164,116,128,121,147,30,66,120,202,160,4,122,253,202,198,123,176,46,188,108,135,68,126,109,222,250,56,111,233,144,250,110,108,134,181,107,91,236,119,106,2,82,49,104,53,56,243,105,8,127,175,98,63,21,109,99,102,171,43,97,81,193,233,96,212,215,166,101,227,189,100,100,186,3,34,102,141,105,224,103,32,203,215,72,23,161,21,73,78,31,83,75,121,117,145,74,252,99,222,79,203,9,28,78,146,183,90,76,165,221,152,77,152,154,196,70,175,240,6,71,246,78,64,69,193,36,130,68,68,50,205,65,115,88,15,64,42,230,73,66,29,140,139,67,80,104,241,84,103,2,51,85,62,188,117,87,9,214,183,86,140,192,248,83,187,170,58,82,226,20,124,80,213,126,190,81,232,57,226,90,223,83,32,91,134,237,102,89,177,135,164,88,52,145,235,93,3,251,41,92,90,69,111,94,109,47,173,95,128,27,53,225,183,113,247,224,238,207,177,226,217,165,115,227,92,179,60,230,107,217,254,231,50,103,184,229,5,13,122,228,56,74,38,239,15,32,228,238,86,158,162,236,97,244,96,237,228,226,47,232,211,136,237,233,138,54,171,235,189,92,105,234,240,184,19,253,199,210,209,252,158,108,151,254,169,6,85,255,44,16,26,250,27,122,216,251,66,196,158,249,117,174,92,248,72,233,0,243,127,131,194,242,38,61,132,240,17,87,70,241,148,65,9,244,163,43,203,245,250,149,141,247,205,255,79,246,96,93,120,217,87,55,186,216,14,137,252,218,57,227,62,219,188,245,113,222,139,159,179,223,210,33,245,221,229,75,55,220,216,12,107,215,239,102,169,214,182,216,239,212,129,178,45,213,4,164,98,208,51,206,160,209,106,112,230,211,93,26,36,210,16,254,94,197,39,148,156,196,126,42,218,198,73,64,24,199,204,86,87,194,251,60,149,195,162,130,211,193,149,232,17,192,168,175,77,203,159,197,143,202,198,123,201,200,241,17,11,201,116,7,68,204,67,109,134,205,26,211,192,207,45,185,2,206,64,150,175,145,119,252,109,144,46,66,43,146,25,40,233,147,156,62,166,150,171,84,100,151,242,234,34,149,197,128,224,148,248,199,188,159,207,173,126,158,150,19,56,156,161,121,250,157,36,111,181,152,19,5,119,153,74,187,49,155,125,209,243,154,48,53,137,141,7,95,75,140,94,225,13,142,105,139,207,143,236,157,128,138,219,247,66,139,130,73,4,137,181,35,198,136,136,100,154,131,191,14,88,130,230,176,30,128,209,218,220,129,84,204,147,132,99,166,81,133,58,24,23,135,13,114,213,134,160,208,226,169,151,186,32,168,206,4,102,170,249,110,164,171,124,120,235,174,75,18,41,175,18,172,111,173,37,198,173,172,24,129,241,167,47,235,51,166,118,85,117,164,65,63,183,165,196,41,248,160,243,67,58,161,170,253,124,163,157,151,190,162,208,115,196,181,231,25,6,180,190,167,64,182,137,205,130,183,12,219,205,178,59,177,15,179,98,15,73,177,85,101,139,176,104,34,215,187,95,72,21,186,6,246,83,184,49,156,145,185,180,138,222,188,131,224,28,189,218,94,90,191,237,52,152,190,0,0,0,0,101,103,188,184,139,200,9,170,238,175,181,18,87,151,98,143,50,240,222,55,220,95,107,37,185,56,215,157,239,40,180,197,138,79,8,125,100,224,189,111,1,135,1,215,184,191,214,74,221,216,106,242,51,119,223,224,86,16,99,88,159,87,25,80,250,48,165,232,20,159,16,250,113,248,172,66,200,192,123,223,173,167,199,103,67,8,114,117,38,111,206,205,112,127,173,149,21,24,17,45,251,183,164,63,158,208,24,135,39,232,207,26,66,143,115,162,172,32,198,176,201,71,122,8,62,175,50,160,91,200,142,24,181,103,59,10,208,0,135,178,105,56,80,47,12,95,236,151,226,240,89,133,135,151,229,61,209,135,134,101,180,224,58,221,90,79,143,207,63,40,51,119,134,16,228,234,227,119,88,82,13,216,237,64,104,191,81,248,161,248,43,240,196,159,151,72,42,48,34,90,79,87,158,226,246,111,73,127,147,8,245,199,125,167,64,213,24,192,252,109,78,208,159,53,43,183,35,141,197,24,150,159,160,127,42,39,25,71,253,186,124,32,65,2,146,143,244,16,247,232,72,168,61,88,20,155,88,63,168,35,182,144,29,49,211,247,161,137,106,207,118,20,15,168,202,172,225,7,127,190,132,96,195,6,210,112,160,94,183,23,28,230,89,184,169,244,60,223,21,76,133,231,194,209,224,128,126,105,14,47,203,123,107,72,119,195,162,15,13,203,199,104,177,115,41,199,4,97,76,160,184,217,245,152,111,68,144,255,211,252,126,80,102,238,27,55,218,86,77,39,185,14,40,64,5,182,198,239,176,164,163,136,12,28,26,176,219,129,127,215,103,57,145,120,210,43,244,31,110,147,3,247,38,59,102,144,154,131,136,63,47,145,237,88,147,41,84,96,68,180,49,7,248,12,223,168,77,30,186,207,241,166,236,223,146,254,137,184,46,70,103,23,155,84,2,112,39,236,187,72,240,113,222,47,76,201,48,128,249,219,85,231,69,99,156,160,63,107,249,199,131,211,23,104,54,193,114,15,138,121,203,55,93,228,174,80,225,92,64,255,84,78,37,152,232,246,115,136,139,174,22,239,55,22,248,64,130,4,157,39,62,188,36,31,233,33,65,120,85,153,175,215,224,139,202,176,92,51,59,182,89,237,94,209,229,85,176,126,80,71,213,25,236,255,108,33,59,98,9,70,135,218,231,233,50,200,130,142,142,112,212,158,237,40,177,249,81,144,95,86,228,130,58,49,88,58,131,9,143,167,230,110,51,31,8,193,134,13,109,166,58,181,164,225,64,189,193,134,252,5,47,41,73,23,74,78,245,175,243,118,34,50,150,17,158,138,120,190,43,152,29,217,151,32,75,201,244,120,46,174,72,192,192,1,253,210,165,102,65,106,28,94,150,247,121,57,42,79,151,150,159,93,242,241,35,229,5,25,107,77,96,126,215,245,142,209,98,231,235,182,222,95,82,142,9,194,55,233,181,122,217,70,0,104,188,33,188,208,234,49,223,136,143,86,99,48,97,249,214,34,4,158,106,154,189,166,189,7,216,193,1,191,54,110,180,173,83,9,8,21,154,78,114,29,255,41,206,165,17,134,123,183,116,225,199,15,205,217,16,146,168,190,172,42,70,17,25,56,35,118,165,128,117,102,198,216,16,1,122,96,254,174,207,114,155,201,115,202,34,241,164,87,71,150,24,239,169,57,173,253,204,94,17,69,6,238,77,118,99,137,241,206,141,38,68,220,232,65,248,100,81,121,47,249,52,30,147,65,218,177,38,83,191,214,154,235,233,198,249,179,140,161,69,11,98,14,240,25,7,105,76,161,190,81,155,60,219,54,39,132,53,153,146,150,80,254,46,46,153,185,84,38,252,222,232,158,18,113,93,140,119,22,225,52,206,46,54,169,171,73,138,17,69,230,63,3,32,129,131,187,118,145,224,227,19,246,92,91,253,89,233,73,152,62,85,241,33,6,130,108,68,97,62,212,170,206,139,198,207,169,55,126,56,65,127,214,93,38,195,110,179,137,118,124,214,238,202,196,111,214,29,89,10,177,161,225,228,30,20,243,129,121,168,75,215,105,203,19,178,14,119,171,92,161,194,185,57,198,126,1,128,254,169,156,229,153,21,36,11,54,160,54,110,81,28,142,167,22,102,134,194,113,218,62,44,222,111,44,73,185,211,148,240,129,4,9,149,230,184,177,123,73,13,163,30,46,177,27,72,62,210,67,45,89,110,251,195,246,219,233,166,145,103,81,31,169,176,204,122,206,12,116,148,97,185,102,241,6,5,222,0,0,0,0,119,7,48,150,238,14,97,44,153,9,81,186,7,109,196,25,112,106,244,143,233,99,165,53,158,100,149,163,14,219,136,50,121,220,184,164,224,213,233,30,151,210,217,136,9,182,76,43,126,177,124,189,231,184,45,7,144,191,29,145,29,183,16,100,106,176,32,242,243,185,113,72,132,190,65,222,26,218,212,125,109,221,228,235,244,212,181,81,131,211,133,199,19,108,152,86,100,107,168,192,253,98,249,122,138,101,201,236,20,1,92,79,99,6,108,217,250,15,61,99,141,8,13,245,59,110,32,200,76,105,16,94,213,96,65,228,162,103,113,114,60,3,228,209,75,4,212,71,210,13,133,253,165,10,181,107,53,181,168,250,66,178,152,108,219,187,201,214,172,188,249,64,50,216,108,227,69,223,92,117,220,214,13,207,171,209,61,89,38,217,48,172,81,222,0,58,200,215,81,128,191,208,97,22,33,180,244,181,86,179,196,35,207,186,149,153,184,189,165,15,40,2,184,158,95,5,136,8,198,12,217,178,177,11,233,36,47,111,124,135,88,104,76,17,193,97,29,171,182,102,45,61,118,220,65,144,1,219,113,6,152,210,32,188,239,213,16,42,113,177,133,137,6,182,181,31,159,191,228,165,232,184,212,51,120,7,201,162,15,0,249,52,150,9,168,142,225,14,152,24,127,106,13,187,8,109,61,45,145,100,108,151,230,99,92,1,107,107,81,244,28,108,97,98,133,101,48,216,242,98,0,78,108,6,149,237,27,1,165,123,130,8,244,193,245,15,196,87,101,176,217,198,18,183,233,80,139,190,184,234,252,185,136,124,98,221,29,223,21,218,45,73,140,211,124,243,251,212,76,101,77,178,97,88,58,181,81,206,163,188,0,116,212,187,48,226,74,223,165,65,61,216,149,215,164,209,196,109,211,214,244,251,67,105,233,106,52,110,217,252,173,103,136,70,218,96,184,208,68,4,45,115,51,3,29,229,170,10,76,95,221,13,124,201,80,5,113,60,39,2,65,170,190,11,16,16,201,12,32,134,87,104,181,37,32,111,133,179,185,102,212,9,206,97,228,159,94,222,249,14,41,217,201,152,176,208,152,34,199,215,168,180,89,179,61,23,46,180,13,129,183,189,92,59,192,186,108,173,237,184,131,32,154,191,179,182,3,182,226,12,116,177,210,154,234,213,71,57,157,210,119,175,4,219,38,21,115,220,22,131,227,99,11,18,148,100,59,132,13,109,106,62,122,106,90,168,228,14,207,11,147,9,255,157,10,0,174,39,125,7,158,177,240,15,147,68,135,8,163,210,30,1,242,104,105,6,194,254,247,98,87,93,128,101,103,203,25,108,54,113,110,107,6,231,254,212,27,118,137,211,43,224,16,218,122,90,103,221,74,204,249,185,223,111,142,190,239,249,23,183,190,67,96,176,142,213,214,214,163,232,161,209,147,126,56,216,194,196,79,223,242,82,209,187,103,241,166,188,87,103,63,181,6,221,72,178,54,75,216,13,43,218,175,10,27,76,54,3,74,246,65,4,122,96,223,96,239,195,168,103,223,85,49,110,142,239,70,105,190,121,203,97,179,140,188,102,131,26,37,111,210,160,82,104,226,54,204,12,119,149,187,11,71,3,34,2,22,185,85,5,38,47,197,186,59,190,178,189,11,40,43,180,90,146,92,179,106,4,194,215,255,167,181,208,207,49,44,217,158,139,91,222,174,29,155,100,194,176,236,99,242,38,117,106,163,156,2,109,147,10,156,9,6,169,235,14,54,63,114,7,103,133,5,0,87,19,149,191,74,130,226,184,122,20,123,177,43,174,12,182,27,56,146,210,142,155,229,213,190,13,124,220,239,183,11,219,223,33,134,211,210,212,241,212,226,66,104,221,179,248,31,218,131,110,129,190,22,205,246,185,38,91,111,176,119,225,24,183,71,119,136,8,90,230,255,15,106,112,102,6,59,202,17,1,11,92,143,101,158,255,248,98,174,105,97,107,255,211,22,108,207,69,160,10,226,120,215,13,210,238,78,4,131,84,57,3,179,194,167,103,38,97,208,96,22,247,73,105,71,77,62,110,119,219,174,209,106,74,217,214,90,220,64,223,11,102,55,216,59,240,169,188,174,83,222,187,158,197,71,178,207,127,48,181,255,233,189,189,242,28,202,186,194,138,83,179,147,48,36,180,163,166,186,208,54,5,205,215,6,147,84,222,87,41,35,217,103,191,179,102,122,46,196,97,74,184,93,104,27,2,42,111,43,148,180,11,190,55,195,12,142,161,90,5,223,27,45,2,239,141,0,0,0,0,25,27,49,65,50,54,98,130,43,45,83,195,100,108,197,4,125,119,244,69,86,90,167,134,79,65,150,199,200,217,138,8,209,194,187,73,250,239,232,138,227,244,217,203,172,181,79,12,181,174,126,77,158,131,45,142,135,152,28,207,74,194,18,81,83,217,35,16,120,244,112,211,97,239,65,146,46,174,215,85,55,181,230,20,28,152,181,215,5,131,132,150,130,27,152,89,155,0,169,24,176,45,250,219,169,54,203,154,230,119,93,93,255,108,108,28,212,65,63,223,205,90,14,158,149,132,36,162,140,159,21,227,167,178,70,32,190,169,119,97,241,232,225,166,232,243,208,231,195,222,131,36,218,197,178,101,93,93,174,170,68,70,159,235,111,107,204,40,118,112,253,105,57,49,107,174,32,42,90,239,11,7,9,44,18,28,56,109,223,70,54,243,198,93,7,178,237,112,84,113,244,107,101,48,187,42,243,247,162,49,194,182,137,28,145,117,144,7,160,52,23,159,188,251,14,132,141,186,37,169,222,121,60,178,239,56,115,243,121,255,106,232,72,190,65,197,27,125,88,222,42,60,240,121,79,5,233,98,126,68,194,79,45,135,219,84,28,198,148,21,138,1,141,14,187,64,166,35,232,131,191,56,217,194,56,160,197,13,33,187,244,76,10,150,167,143,19,141,150,206,92,204,0,9,69,215,49,72,110,250,98,139,119,225,83,202,186,187,93,84,163,160,108,21,136,141,63,214,145,150,14,151,222,215,152,80,199,204,169,17,236,225,250,210,245,250,203,147,114,98,215,92,107,121,230,29,64,84,181,222,89,79,132,159,22,14,18,88,15,21,35,25,36,56,112,218,61,35,65,155,101,253,107,167,124,230,90,230,87,203,9,37,78,208,56,100,1,145,174,163,24,138,159,226,51,167,204,33,42,188,253,96,173,36,225,175,180,63,208,238,159,18,131,45,134,9,178,108,201,72,36,171,208,83,21,234,251,126,70,41,226,101,119,104,47,63,121,246,54,36,72,183,29,9,27,116,4,18,42,53,75,83,188,242,82,72,141,179,121,101,222,112,96,126,239,49,231,230,243,254,254,253,194,191,213,208,145,124,204,203,160,61,131,138,54,250,154,145,7,187,177,188,84,120,168,167,101,57,59,131,152,75,34,152,169,10,9,181,250,201,16,174,203,136,95,239,93,79,70,244,108,14,109,217,63,205,116,194,14,140,243,90,18,67,234,65,35,2,193,108,112,193,216,119,65,128,151,54,215,71,142,45,230,6,165,0,181,197,188,27,132,132,113,65,138,26,104,90,187,91,67,119,232,152,90,108,217,217,21,45,79,30,12,54,126,95,39,27,45,156,62,0,28,221,185,152,0,18,160,131,49,83,139,174,98,144,146,181,83,209,221,244,197,22,196,239,244,87,239,194,167,148,246,217,150,213,174,7,188,233,183,28,141,168,156,49,222,107,133,42,239,42,202,107,121,237,211,112,72,172,248,93,27,111,225,70,42,46,102,222,54,225,127,197,7,160,84,232,84,99,77,243,101,34,2,178,243,229,27,169,194,164,48,132,145,103,41,159,160,38,228,197,174,184,253,222,159,249,214,243,204,58,207,232,253,123,128,169,107,188,153,178,90,253,178,159,9,62,171,132,56,127,44,28,36,176,53,7,21,241,30,42,70,50,7,49,119,115,72,112,225,180,81,107,208,245,122,70,131,54,99,93,178,119,203,250,215,78,210,225,230,15,249,204,181,204,224,215,132,141,175,150,18,74,182,141,35,11,157,160,112,200,132,187,65,137,3,35,93,70,26,56,108,7,49,21,63,196,40,14,14,133,103,79,152,66,126,84,169,3,85,121,250,192,76,98,203,129,129,56,197,31,152,35,244,94,179,14,167,157,170,21,150,220,229,84,0,27,252,79,49,90,215,98,98,153,206,121,83,216,73,225,79,23,80,250,126,86,123,215,45,149,98,204,28,212,45,141,138,19,52,150,187,82,31,187,232,145,6,160,217,208,94,126,243,236,71,101,194,173,108,72,145,110,117,83,160,47,58,18,54,232,35,9,7,169,8,36,84,106,17,63,101,43,150,167,121,228,143,188,72,165,164,145,27,102,189,138,42,39,242,203,188,224,235,208,141,161,192,253,222,98,217,230,239,35,20,188,225,189,13,167,208,252,38,138,131,63,63,145,178,126,112,208,36,185,105,203,21,248,66,230,70,59,91,253,119,122,220,101,107,181,197,126,90,244,238,83,9,55,247,72,56,118,184,9,174,177,161,18,159,240,138,63,204,51,147,36,253,114,0,0,0,0,1,194,106,55,3,132,212,110,2,70,190,89,7,9,168,220,6,203,194,235,4,141,124,178,5,79,22,133,14,19,81,184,15,209,59,143,13,151,133,214,12,85,239,225,9,26,249,100,8,216,147,83,10,158,45,10,11,92,71,61,28,38,163,112,29,228,201,71,31,162,119,30,30,96,29,41,27,47,11,172,26,237,97,155,24,171,223,194,25,105,181,245,18,53,242,200,19,247,152,255,17,177,38,166,16,115,76,145,21,60,90,20,20,254,48,35,22,184,142,122,23,122,228,77,56,77,70,224,57,143,44,215,59,201,146,142,58,11,248,185,63,68,238,60,62,134,132,11,60,192,58,82,61,2,80,101,54,94,23,88,55,156,125,111,53,218,195,54,52,24,169,1,49,87,191,132,48,149,213,179,50,211,107,234,51,17,1,221,36,107,229,144,37,169,143,167,39,239,49,254,38,45,91,201,35,98,77,76,34,160,39,123,32,230,153,34,33,36,243,21,42,120,180,40,43,186,222,31,41,252,96,70,40,62,10,113,45,113,28,244,44,179,118,195,46,245,200,154,47,55,162,173,112,154,141,192,113,88,231,247,115,30,89,174,114,220,51,153,119,147,37,28,118,81,79,43,116,23,241,114,117,213,155,69,126,137,220,120,127,75,182,79,125,13,8,22,124,207,98,33,121,128,116,164,120,66,30,147,122,4,160,202,123,198,202,253,108,188,46,176,109,126,68,135,111,56,250,222,110,250,144,233,107,181,134,108,106,119,236,91,104,49,82,2,105,243,56,53,98,175,127,8,99,109,21,63,97,43,171,102,96,233,193,81,101,166,215,212,100,100,189,227,102,34,3,186,103,224,105,141,72,215,203,32,73,21,161,23,75,83,31,78,74,145,117,121,79,222,99,252,78,28,9,203,76,90,183,146,77,152,221,165,70,196,154,152,71,6,240,175,69,64,78,246,68,130,36,193,65,205,50,68,64,15,88,115,66,73,230,42,67,139,140,29,84,241,104,80,85,51,2,103,87,117,188,62,86,183,214,9,83,248,192,140,82,58,170,187,80,124,20,226,81,190,126,213,90,226,57,232,91,32,83,223,89,102,237,134,88,164,135,177,93,235,145,52,92,41,251,3,94,111,69,90,95,173,47,109,225,53,27,128,224,247,113,183,226,177,207,238,227,115,165,217,230,60,179,92,231,254,217,107,229,184,103,50,228,122,13,5,239,38,74,56,238,228,32,15,236,162,158,86,237,96,244,97,232,47,226,228,233,237,136,211,235,171,54,138,234,105,92,189,253,19,184,240,252,209,210,199,254,151,108,158,255,85,6,169,250,26,16,44,251,216,122,27,249,158,196,66,248,92,174,117,243,0,233,72,242,194,131,127,240,132,61,38,241,70,87,17,244,9,65,148,245,203,43,163,247,141,149,250,246,79,255,205,217,120,93,96,216,186,55,87,218,252,137,14,219,62,227,57,222,113,245,188,223,179,159,139,221,245,33,210,220,55,75,229,215,107,12,216,214,169,102,239,212,239,216,182,213,45,178,129,208,98,164,4,209,160,206,51,211,230,112,106,210,36,26,93,197,94,254,16,196,156,148,39,198,218,42,126,199,24,64,73,194,87,86,204,195,149,60,251,193,211,130,162,192,17,232,149,203,77,175,168,202,143,197,159,200,201,123,198,201,11,17,241,204,68,7,116,205,134,109,67,207,192,211,26,206,2,185,45,145,175,150,64,144,109,252,119,146,43,66,46,147,233,40,25,150,166,62,156,151,100,84,171,149,34,234,242,148,224,128,197,159,188,199,248,158,126,173,207,156,56,19,150,157,250,121,161,152,181,111,36,153,119,5,19,155,49,187,74,154,243,209,125,141,137,53,48,140,75,95,7,142,13,225,94,143,207,139,105,138,128,157,236,139,66,247,219,137,4,73,130,136,198,35,181,131,154,100,136,130,88,14,191,128,30,176,230,129,220,218,209,132,147,204,84,133,81,166,99,135,23,24,58,134,213,114,13,169,226,208,160,168,32,186,151,170,102,4,206,171,164,110,249,174,235,120,124,175,41,18,75,173,111,172,18,172,173,198,37,167,241,129,24,166,51,235,47,164,117,85,118,165,183,63,65,160,248,41,196,161,58,67,243,163,124,253,170,162,190,151,157,181,196,115,208,180,6,25,231,182,64,167,190,183,130,205,137,178,205,219,12,179,15,177,59,177,73,15,98,176,139,101,85,187,215,34,104,186,21,72,95,184,83,246,6,185,145,156,49,188,222,138,180,189,28,224,131,191,90,94,218,190,152,52,237,0,0,0,0,184,188,103,101,170,9,200,139,18,181,175,238,143,98,151,87,55,222,240,50,37,107,95,220,157,215,56,185,197,180,40,239,125,8,79,138,111,189,224,100,215,1,135,1,74,214,191,184,242,106,216,221,224,223,119,51,88,99,16,86,80,25,87,159,232,165,48,250,250,16,159,20,66,172,248,113,223,123,192,200,103,199,167,173,117,114,8,67,205,206,111,38,149,173,127,112,45,17,24,21,63,164,183,251,135,24,208,158,26,207,232,39,162,115,143,66,176,198,32,172,8,122,71,201,160,50,175,62,24,142,200,91,10,59,103,181,178,135,0,208,47,80,56,105,151,236,95,12,133,89,240,226,61,229,151,135,101,134,135,209,221,58,224,180,207,143,79,90,119,51,40,63,234,228,16,134,82,88,119,227,64,237,216,13,248,81,191,104,240,43,248,161,72,151,159,196,90,34,48,42,226,158,87,79,127,73,111,246,199,245,8,147,213,64,167,125,109,252,192,24,53,159,208,78,141,35,183,43,159,150,24,197,39,42,127,160,186,253,71,25,2,65,32,124,16,244,143,146,168,72,232,247,155,20,88,61,35,168,63,88,49,29,144,182,137,161,247,211,20,118,207,106,172,202,168,15,190,127,7,225,6,195,96,132,94,160,112,210,230,28,23,183,244,169,184,89,76,21,223,60,209,194,231,133,105,126,128,224,123,203,47,14,195,119,72,107,203,13,15,162,115,177,104,199,97,4,199,41,217,184,160,76,68,111,152,245,252,211,255,144,238,102,80,126,86,218,55,27,14,185,39,77,182,5,64,40,164,176,239,198,28,12,136,163,129,219,176,26,57,103,215,127,43,210,120,145,147,110,31,244,59,38,247,3,131,154,144,102,145,47,63,136,41,147,88,237,180,68,96,84,12,248,7,49,30,77,168,223,166,241,207,186,254,146,223,236,70,46,184,137,84,155,23,103,236,39,112,2,113,240,72,187,201,76,47,222,219,249,128,48,99,69,231,85,107,63,160,156,211,131,199,249,193,54,104,23,121,138,15,114,228,93,55,203,92,225,80,174,78,84,255,64,246,232,152,37,174,139,136,115,22,55,239,22,4,130,64,248,188,62,39,157,33,233,31,36,153,85,120,65,139,224,215,175,51,92,176,202,237,89,182,59,85,229,209,94,71,80,126,176,255,236,25,213,98,59,33,108,218,135,70,9,200,50,233,231,112,142,142,130,40,237,158,212,144,81,249,177,130,228,86,95,58,88,49,58,167,143,9,131,31,51,110,230,13,134,193,8,181,58,166,109,189,64,225,164,5,252,134,193,23,73,41,47,175,245,78,74,50,34,118,243,138,158,17,150,152,43,190,120,32,151,217,29,120,244,201,75,192,72,174,46,210,253,1,192,106,65,102,165,247,150,94,28,79,42,57,121,93,159,150,151,229,35,241,242,77,107,25,5,245,215,126,96,231,98,209,142,95,222,182,235,194,9,142,82,122,181,233,55,104,0,70,217,208,188,33,188,136,223,49,234,48,99,86,143,34,214,249,97,154,106,158,4,7,189,166,189,191,1,193,216,173,180,110,54,21,8,9,83,29,114,78,154,165,206,41,255,183,123,134,17,15,199,225,116,146,16,217,205,42,172,190,168,56,25,17,70,128,165,118,35,216,198,102,117,96,122,1,16,114,207,174,254,202,115,201,155,87,164,241,34,239,24,150,71,253,173,57,169,69,17,94,204,118,77,238,6,206,241,137,99,220,68,38,141,100,248,65,232,249,47,121,81,65,147,30,52,83,38,177,218,235,154,214,191,179,249,198,233,11,69,161,140,25,240,14,98,161,76,105,7,60,155,81,190,132,39,54,219,150,146,153,53,46,46,254,80,38,84,185,153,158,232,222,252,140,93,113,18,52,225,22,119,169,54,46,206,17,138,73,171,3,63,230,69,187,131,129,32,227,224,145,118,91,92,246,19,73,233,89,253,241,85,62,152,108,130,6,33,212,62,97,68,198,139,206,170,126,55,169,207,214,127,65,56,110,195,38,93,124,118,137,179,196,202,238,214,89,29,214,111,225,161,177,10,243,20,30,228,75,168,121,129,19,203,105,215,171,119,14,178,185,194,161,92,1,126,198,57,156,169,254,128,36,21,153,229,54,160,54,11,142,28,81,110,134,102,22,167,62,218,113,194,44,111,222,44,148,211,185,73,9,4,129,240,177,184,230,149,163,13,73,123,27,177,46,30,67,210,62,72,251,110,89,45,233,219,246,195,81,103,145,166,204,176,169,31,116,12,206,122,102,185,97,148,222,5,6,241,0,0,0,0,128,23,117,0,88,19,117,0,8,21,118,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,128,63,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,128,210,116,0,0,0,0,0,232,73,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,30,0,0,0,44,0,0,0,50,0,0,0,82,0,0,0,26,0,0,0,66,0,0,0,28,0,0,0,52,0,0,0,86,0,0,0,70,0,0,0,66,0,0,0,40,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,30,0,0,0,44,0,0,0,50,0,0,0,82,0,0,0,26,0,0,0,66,0,0,0,28,0,0,0,52,0,0,0,86,0,0,0,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20728);
/* memory initializer */ allocate([66,0,0,0,40,0,0,0,12,0,0,0,2,0,0,0,28,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,183,117,0,32,183,117,0,24,183,117,0,16,183,117,0,48,183,117,0,56,183,117,0,216,182,117,0,200,182,117,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,74,0,0,0,34,0,0,0,20,0,0,0,76,0,0,0,56,0,0,0,36,0,0,0,22,0,0,0,74,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,70,0,0,0,18,0,0,0,60,0,0,0,8,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,168,15,118,0,0,0,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,74,117,108,0,0,0,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,95,105,110,102,111,46,120,109,108,0,0,0,79,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,74,117,110,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,100,101,114,40,0,0,0,0,105,110,118,97,108,105,100,32,99,111,100,101,32,108,101,110,103,116,104,115,32,115,101,116,0,0,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30968);
/* memory initializer */ allocate([108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+41208);
/* memory initializer */ allocate([97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,41,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,41,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,41,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,41,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51448);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61688);
/* memory initializer */ allocate([73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71928);
/* memory initializer */ allocate([61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,99,111,109,109,101,110,116,61,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,52,34,32,108,105,110,101,69,110,100,61,34,50,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,99,111,109,109,101,110,116,61,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,52,34,32,108,105,110,101,69,110,100,61,34,50,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+82168);
/* memory initializer */ allocate([97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92408);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102648);
/* memory initializer */ allocate([101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112888);
/* memory initializer */ allocate([34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+123128);
/* memory initializer */ allocate([99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133368);
/* memory initializer */ allocate([32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143608);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153848);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+164088);
/* memory initializer */ allocate([116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174328);
/* memory initializer */ allocate([116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184568);
/* memory initializer */ allocate([105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34,32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34,32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194808);
/* memory initializer */ allocate([109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+205048);
/* memory initializer */ allocate([111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215288);
/* memory initializer */ allocate([70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225528);
/* memory initializer */ allocate([62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235768);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+246008);
/* memory initializer */ allocate([60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256248);
/* memory initializer */ allocate([69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266488);
/* memory initializer */ allocate([112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276728);
/* memory initializer */ allocate([60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286968);
/* memory initializer */ allocate([97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+297208);
/* memory initializer */ allocate([46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,99,111,109,109,101,110,116,61,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,52,34,32,108,105,110,101,69,110,100,61,34,50,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307448);
/* memory initializer */ allocate([101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,99,111,109,109,101,110,116,61,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,52,34,32,108,105,110,101,69,110,100,61,34,50,57,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,53,34,32,108,105,110,101,69,110,100,61,34,52,48,54,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,99,111,109,109,101,110,116,61,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,57,34,32,108,105,110,101,69,110,100,61,34,52,48,53,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317688);
/* memory initializer */ allocate([101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327928);
/* memory initializer */ allocate([32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,49,34,32,108,105,110,101,69,110,100,61,34,49,55,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,99,111,109,109,101,110,116,61,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,48,34,32,108,105,110,101,69,110,100,61,34,49,55,57,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+338168);
/* memory initializer */ allocate([101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,102,111,114,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,57,34,32,108,105,110,101,69,110,100,61,34,49,55,56,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,56,34,32,108,105,110,101,69,110,100,61,34,50,57,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,99,111,109,109,101,110,116,61,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,51,48,34,32,108,105,110,101,69,110,100,61,34,52,53,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348408);
/* memory initializer */ allocate([108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358648);
/* memory initializer */ allocate([101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368888);
/* memory initializer */ allocate([110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+379128);
/* memory initializer */ allocate([101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389368);
/* memory initializer */ allocate([32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399608);
/* memory initializer */ allocate([101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409848);
/* memory initializer */ allocate([116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+420088);
/* memory initializer */ allocate([34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430328);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,72,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,57,34,32,108,105,110,101,69,110,100,61,34,52,48,48,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,105,101,108,100,83,116,114,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440568);
/* memory initializer */ allocate([65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450808);
/* memory initializer */ allocate([114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,76,111,115,115,80,111,119,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,119,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+461048);
/* memory initializer */ allocate([32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34,32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34,32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,99,111,109,109,101,110,116,61,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,56,34,32,108,105,110,101,69,110,100,61,34,50,53,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471288);
/* memory initializer */ allocate([32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,55,34,32,108,105,110,101,69,110,100,61,34,50,53,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,54,57,34,32,108,105,110,101,69,110,100,61,34,50,53,54,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481528);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,76,95,115,116,97,116,84,111,116,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,115,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,52,34,32,108,105,110,101,69,110,100,61,34,49,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,76,95,115,116,97,116,84,111,116,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,115,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,52,34,32,108,105,110,101,69,110,100,61,34,49,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,73,110,100,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,80,115,105,95,116,111,116,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,102,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,51,34,32,108,105,110,101,69,110,100,61,34,49,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,80,115,105,95,116,111,116,34,32,99,111,109,109,101,110,116,61,34,84,111,116,97,108,32,102,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,51,34,32,108,105,110,101,69,110,100,61,34,49,56,56,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491768);
/* memory initializer */ allocate([32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+502008);
/* memory initializer */ allocate([101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512248);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522488);
/* memory initializer */ allocate([116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,55,34,32,108,105,110,101,69,110,100,61,34,52,48,48,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,51,34,32,108,105,110,101,69,110,100,61,34,52,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,52,34,32,108,105,110,101,69,110,100,61,34,52,48,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532728);
/* memory initializer */ allocate([110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,49,34,32,108,105,110,101,69,110,100,61,34,50,53,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+542968);
/* memory initializer */ allocate([111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+553208);
/* memory initializer */ allocate([97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563448);
/* memory initializer */ allocate([110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573688);
/* memory initializer */ allocate([101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+583928);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,50,34,32,108,105,110,101,69,110,100,61,34,50,53,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,48,34,32,108,105,110,101,69,110,100,61,34,50,53,55,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,99,111,109,109,101,110,116,61,34,78,101,120,116,32,116,105,109,101,32,101,118,101,110,116,32,105,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,99,111,109,109,101,110,116,61,34,78,101,120,116,32,116,105,109,101,32,101,118,101,110,116,32,105,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,48,34,32,108,105,110,101,69,110,100,61,34,50,50,57,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+594168);
/* memory initializer */ allocate([99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604408);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614648);
/* memory initializer */ allocate([108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+624888);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+635128);
/* memory initializer */ allocate([102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645368);
/* memory initializer */ allocate([69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,99,111,109,109,101,110,116,61,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,101,112,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655608);
/* memory initializer */ allocate([121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665848);
/* memory initializer */ allocate([32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+676088);
/* memory initializer */ allocate([101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,56,55,34,32,108,105,110,101,69,110,100,61,34,49,55,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686328);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,52,34,32,108,105,110,101,69,110,100,61,34,51,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,52,34,32,108,105,110,101,69,110,100,61,34,51,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696568);
/* memory initializer */ allocate([99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706808);
/* memory initializer */ allocate([108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+717048);
/* memory initializer */ allocate([116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727288);
/* memory initializer */ allocate([97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737528);
/* memory initializer */ allocate([32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747768);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+758008);
/* memory initializer */ allocate([114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768248);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778488);
/* memory initializer */ allocate([101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788728);
/* memory initializer */ allocate([110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+798968);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+809208);
/* memory initializer */ allocate([105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819448);
/* memory initializer */ allocate([98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829688);
/* memory initializer */ allocate([70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+839928);
/* memory initializer */ allocate([34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,55,34,32,108,105,110,101,69,110,100,61,34,50,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,55,34,32,108,105,110,101,69,110,100,61,34,50,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,53,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,53,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+850168);
/* memory initializer */ allocate([114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860408);
/* memory initializer */ allocate([97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870648);
/* memory initializer */ allocate([104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+880888);
/* memory initializer */ allocate([108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,52,34,32,108,105,110,101,69,110,100,61,34,51,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,52,34,32,108,105,110,101,69,110,100,61,34,51,48,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,48,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,53,56,34,32,108,105,110,101,69,110,100,61,34,50,57,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+891128);
/* memory initializer */ allocate([99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901368);
/* memory initializer */ allocate([112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911608);
/* memory initializer */ allocate([114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+921848);
/* memory initializer */ allocate([116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+932088);
/* memory initializer */ allocate([97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+942328);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+952568);
/* memory initializer */ allocate([108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,55,34,32,108,105,110,101,69,110,100,61,34,57,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+962808);
/* memory initializer */ allocate([110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,55,34,32,108,105,110,101,69,110,100,61,34,52,49,51,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+973048);
/* memory initializer */ allocate([97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+983288);
/* memory initializer */ allocate([62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+993528);
/* memory initializer */ allocate([112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1003768);
/* memory initializer */ allocate([101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1014008);
/* memory initializer */ allocate([108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1024248);
/* memory initializer */ allocate([110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1034488);
/* memory initializer */ allocate([114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1044728);
/* memory initializer */ allocate([114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,50,34,32,108,105,110,101,69,110,100,61,34,51,57,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1054968);
/* memory initializer */ allocate([67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,52,34,32,108,105,110,101,69,110,100,61,34,49,55,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1065208);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,53,51,34,32,108,105,110,101,69,110,100,61,34,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,105,34,32,99,111,109,109,101,110,116,61,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,57,51,34,32,108,105,110,101,69,110,100,61,34,57,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1075448);
/* memory initializer */ allocate([110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1085688);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,32,99,111,109,109,101,110,116,61,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,48,34,32,108,105,110,101,69,110,100,61,34,49,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,55,34,32,108,105,110,101,69,110,100,61,34,50,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,55,34,32,108,105,110,101,69,110,100,61,34,50,50,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,53,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,53,34,32,108,105,110,101,69,110,100,61,34,50,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1095928);
/* memory initializer */ allocate([108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,49,34,32,108,105,110,101,69,110,100,61,34,52,48,49,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1106168);
/* memory initializer */ allocate([112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,54,34,32,108,105,110,101,69,110,100,61,34,51,56,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1116408);
/* memory initializer */ allocate([105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,104,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,51,34,32,108,105,110,101,69,110,100,61,34,51,49,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,53,34,32,108,105,110,101,69,110,100,61,34,52,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1126648);
/* memory initializer */ allocate([108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,32,99,111,109,109,101,110,116,61,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,48,34,32,108,105,110,101,69,110,100,61,34,51,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,68,105,102,102,101,114,101,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1136888);
/* memory initializer */ allocate([97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,118,34,32,99,111,109,109,101,110,116,61,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,55,34,32,108,105,110,101,69,110,100,61,34,53,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1147128);
/* memory initializer */ allocate([32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1157368);
/* memory initializer */ allocate([114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,118,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1167608);
/* memory initializer */ allocate([108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,50,57,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,99,99,101,108,101,114,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,32,99,111,109,109,101,110,116,61,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,48,34,32,108,105,110,101,69,110,100,61,34,52,48,54,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,32,60,97,108,105,97,115,32,110,101,103,97,116,101,100,61,34,116,114,117,101,34,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,55,34,32,108,105,110,101,69,110,100,61,34,52,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1177848);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,56,34,32,108,105,110,101,69,110,100,61,34,49,51,55,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,101,108,111,99,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,32,99,111,109,109,101,110,116,61,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,51,34,32,108,105,110,101,69,110,100,61,34,52,52,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1188088);
/* memory initializer */ allocate([32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1198328);
/* memory initializer */ allocate([61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,48,55,52,56,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,48,55,52,56,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,49,52,55,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1208568);
/* memory initializer */ allocate([108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,49,52,55,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,56,55,55,56,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,56,55,55,56,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,50,49,56,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,50,49,56,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,49,53,53,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,49,53,53,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1218808);
/* memory initializer */ allocate([111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,51,54,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,51,54,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,52,50,55,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,52,50,55,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,53,54,56,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,53,54,56,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,54,57,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1229048);
/* memory initializer */ allocate([32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,54,57,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,55,54,54,55,53,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,55,54,54,55,53,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,57,52,57,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,49,57,52,57,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,57,53,57,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,57,53,57,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1239288);
/* memory initializer */ allocate([108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,50,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,50,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,50,52,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,50,52,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,52,52,53,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,52,52,53,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,53,53,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,53,53,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1249528);
/* memory initializer */ allocate([91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,54,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,54,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,56,53,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,56,53,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,49,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,49,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,49,52,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,49,52,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1259768);
/* memory initializer */ allocate([60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,49,52,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,49,52,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,52,57,54,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,52,57,54,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,51,54,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,51,54,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,56,56,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,56,56,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1270008);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,50,53,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,50,53,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,55,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,55,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,54,50,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1280248);
/* memory initializer */ allocate([111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,54,50,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,57,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,57,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,57,56,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,57,56,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,49,57,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1290488);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,49,57,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,52,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,52,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,56,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,56,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1300728);
/* memory initializer */ allocate([34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,50,57,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,50,57,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,49,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,49,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1310968);
/* memory initializer */ allocate([109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,49,49,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,49,49,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,49,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,49,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,53,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,53,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1321208);
/* memory initializer */ allocate([108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,48,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,48,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,53,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,53,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,53,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,53,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1331448);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,57,53,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,57,53,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,51,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1341688);
/* memory initializer */ allocate([61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,51,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,50,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,50,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,56,49,53,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,56,49,53,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,55,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,55,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1351928);
/* memory initializer */ allocate([101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,50,54,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,50,54,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,55,52,53,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,55,52,53,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1362168);
/* memory initializer */ allocate([111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,50,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,50,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,57,53,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,57,53,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,53,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,53,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1372408);
/* memory initializer */ allocate([47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,50,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,50,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,49,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,49,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,54,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,54,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,53,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,53,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,52,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,52,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1382648);
/* memory initializer */ allocate([34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,51,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,51,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1392888);
/* memory initializer */ allocate([32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,50,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,50,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,56,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,56,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,50,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,50,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,50,56,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,50,56,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1403128);
/* memory initializer */ allocate([46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,49,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,49,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,52,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,52,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,49,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1413368);
/* memory initializer */ allocate([99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,49,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,53,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,53,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,53,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,53,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,53,53,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,53,53,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1423608);
/* memory initializer */ allocate([78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,53,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,53,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,55,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,55,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1433848);
/* memory initializer */ allocate([114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,55,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,55,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,49,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,49,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,52,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,52,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1444088);
/* memory initializer */ allocate([108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,53,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,53,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,51,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,51,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,48,56,56,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,48,56,56,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,57,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,57,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,50,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,50,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1454328);
/* memory initializer */ allocate([97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,48,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,48,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,54,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,54,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,55,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,55,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,57,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1464568);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,57,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,48,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,48,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,56,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,56,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1474808);
/* memory initializer */ allocate([61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,54,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,54,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,56,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,56,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,52,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,52,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,53,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,53,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1485048);
/* memory initializer */ allocate([32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,50,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,50,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,51,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,51,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,54,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,54,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1495288);
/* memory initializer */ allocate([117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,48,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,48,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,57,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,57,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,52,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,52,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,55,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,55,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1505528);
/* memory initializer */ allocate([110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,57,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,57,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,56,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,56,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,53,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,53,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,52,55,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,52,55,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,51,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,51,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,56,34,32,102,105,120,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1515768);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,57,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,57,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,49,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,49,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,52,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,52,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,48,56,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,48,56,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1526008);
/* memory initializer */ allocate([104,70,69,65,46,116,97,98,108,101,91,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,57,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,57,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,52,55,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,52,55,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,54,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,54,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,56,57,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,56,57,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1536248);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,51,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,51,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,54,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,54,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,55,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1546488);
/* memory initializer */ allocate([32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,55,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,54,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,54,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1556728);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,51,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,51,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,51,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,51,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,48,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,48,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1566968);
/* memory initializer */ allocate([101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,57,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,57,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,56,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,56,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,55,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,55,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,50,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,50,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,52,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,52,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1577208);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,53,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,53,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,49,55,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,49,55,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,56,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,56,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,56,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,56,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1587448);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,49,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,49,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,53,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,53,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,52,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,52,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,49,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1597688);
/* memory initializer */ allocate([117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,49,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,56,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,56,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1607928);
/* memory initializer */ allocate([61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,52,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,52,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,53,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,53,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1618168);
/* memory initializer */ allocate([32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,50,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,50,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,50,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,50,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1628408);
/* memory initializer */ allocate([67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,56,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,56,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,48,54,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,48,54,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,52,53,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,52,53,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1638648);
/* memory initializer */ allocate([55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,49,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,49,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,52,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,52,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,54,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,54,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,56,53,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,56,53,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,53,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,53,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,50,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1648888);
/* memory initializer */ allocate([105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,50,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,50,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,50,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,49,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,49,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,54,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,54,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,54,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1659128);
/* memory initializer */ allocate([69,65,46,116,97,98,108,101,91,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,54,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,48,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,48,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,53,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,53,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,51,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,51,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,53,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,53,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1669368);
/* memory initializer */ allocate([120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,54,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,54,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,48,55,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,48,55,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,49,57,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,49,57,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,49,53,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,49,53,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1679608);
/* memory initializer */ allocate([109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,54,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,54,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,56,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,56,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1689848);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,53,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,53,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,54,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,54,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,54,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,54,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,48,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,48,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1700088);
/* memory initializer */ allocate([32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,51,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,51,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,52,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,52,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,52,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,52,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,57,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,57,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,57,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,57,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1710328);
/* memory initializer */ allocate([105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,51,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,51,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,51,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,51,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,51,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,51,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,55,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,55,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1720568);
/* memory initializer */ allocate([114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,57,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,57,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,51,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,51,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,56,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,56,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,55,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,55,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1730808);
/* memory initializer */ allocate([34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,48,52,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,48,52,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,55,50,56,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,55,50,56,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,56,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,56,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,51,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,51,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,56,50,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1741048);
/* memory initializer */ allocate([108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,56,50,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,49,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,49,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,56,55,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,56,55,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,57,50,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,57,50,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,52,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,52,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1751288);
/* memory initializer */ allocate([109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,48,49,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,48,49,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,55,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,55,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,54,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,54,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,48,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,48,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,48,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,48,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1761528);
/* memory initializer */ allocate([117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,57,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,57,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,51,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,51,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,50,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,50,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,50,56,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,50,56,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,54,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,54,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1771768);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,52,53,55,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,52,53,55,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,51,55,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,51,55,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,56,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,56,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,55,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,55,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,52,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,52,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,48,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,48,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1782008);
/* memory initializer */ allocate([111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,54,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,54,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,51,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,51,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,50,54,50,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,50,54,50,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,55,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,55,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,53,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1792248);
/* memory initializer */ allocate([97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,53,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,50,57,51,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,50,57,51,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,56,50,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,56,50,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,54,55,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,54,55,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,50,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,50,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,57,51,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,57,51,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1802488);
/* memory initializer */ allocate([32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,48,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,48,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,48,52,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,48,52,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,57,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,57,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1812728);
/* memory initializer */ allocate([32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,51,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,51,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,48,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,48,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,55,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,55,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,53,52,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,53,52,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,49,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,49,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,51,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1822968);
/* memory initializer */ allocate([66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,51,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,55,56,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,55,56,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,50,54,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,50,54,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,56,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,56,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,51,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,51,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1833208);
/* memory initializer */ allocate([116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,50,51,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,50,51,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,50,53,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,50,53,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,53,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,53,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,53,55,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,53,55,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,51,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,51,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1843448);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,57,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,57,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,51,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,51,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,55,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,55,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,51,48,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,51,48,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1853688);
/* memory initializer */ allocate([105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,56,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,56,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,50,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,50,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,46,50,57,55,49,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,46,50,57,55,49,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1863928);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,49,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,49,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,49,51,49,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,49,51,49,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,57,55,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,57,55,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,52,57,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,52,57,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,56,50,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1874168);
/* memory initializer */ allocate([32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,56,50,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,55,56,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,55,56,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,56,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,56,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,49,46,49,54,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,49,46,49,54,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,57,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,57,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,55,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1884408);
/* memory initializer */ allocate([55,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,50,46,49,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,50,46,49,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,51,52,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,51,52,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,54,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,54,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,52,46,57,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,52,46,57,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,52,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,52,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1894648);
/* memory initializer */ allocate([110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,56,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,56,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1904888);
/* memory initializer */ allocate([99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1915128);
/* memory initializer */ allocate([69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,49,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,49,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,51,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,51,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1925368);
/* memory initializer */ allocate([61,34,48,46,48,48,48,49,57,57,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,57,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1935608);
/* memory initializer */ allocate([34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,48,54,53,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,48,54,53,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1945848);
/* memory initializer */ allocate([65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,57,50,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,57,50,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,51,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,51,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,51,54,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,51,54,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1956088);
/* memory initializer */ allocate([111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,55,51,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,55,51,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,54,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,54,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,51,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,51,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1966328);
/* memory initializer */ allocate([51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,51,53,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,51,53,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,51,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,51,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1976568);
/* memory initializer */ allocate([97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1986808);
/* memory initializer */ allocate([46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1997048);
/* memory initializer */ allocate([116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,55,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,55,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,49,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,49,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2007288);
/* memory initializer */ allocate([97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,56,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,56,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,54,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,54,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,57,46,55,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,57,46,55,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,54,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,54,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,55,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2017528);
/* memory initializer */ allocate([97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,55,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,48,46,54,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,48,46,54,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,49,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,49,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,52,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,52,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,49,46,54,55,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,49,46,54,55,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,54,55,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,54,55,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2027768);
/* memory initializer */ allocate([101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,55,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,55,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,50,46,54,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,50,46,54,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,50,54,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,50,54,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,52,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,52,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,52,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,52,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,55,54,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,55,54,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2038008);
/* memory initializer */ allocate([110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2048248);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,57,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,57,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,54,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,54,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2058488);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,52,50,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,52,50,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,48,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2068728);
/* memory initializer */ allocate([117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,48,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,57,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,57,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2078968);
/* memory initializer */ allocate([111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2089208);
/* memory initializer */ allocate([34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,50,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,50,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,56,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,56,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,55,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,55,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,53,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,53,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2099448);
/* memory initializer */ allocate([105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2109688);
/* memory initializer */ allocate([46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,49,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,49,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,52,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,52,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,52,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,52,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,53,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,53,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2119928);
/* memory initializer */ allocate([83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2130168);
/* memory initializer */ allocate([32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,57,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,57,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,51,55,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,51,55,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2140408);
/* memory initializer */ allocate([32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2150648);
/* memory initializer */ allocate([46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,57,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,57,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2160888);
/* memory initializer */ allocate([111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,52,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,52,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,55,55,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,55,55,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2171128);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,56,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,56,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2181368);
/* memory initializer */ allocate([62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,50,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,50,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,51,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,51,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,53,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,53,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,53,54,51,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,53,54,51,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2191608);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,51,55,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,51,55,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2201848);
/* memory initializer */ allocate([114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2212088);
/* memory initializer */ allocate([61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,57,54,53,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,57,54,53,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,52,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,52,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2222328);
/* memory initializer */ allocate([109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2232568);
/* memory initializer */ allocate([60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,52,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,52,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,57,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,57,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,52,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,52,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2242808);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,57,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,57,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,52,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,52,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2253048);
/* memory initializer */ allocate([61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,49,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,49,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,54,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,54,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2263288);
/* memory initializer */ allocate([109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,53,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,53,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,52,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,52,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2273528);
/* memory initializer */ allocate([110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,52,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,52,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,57,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,57,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,51,52,52,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2283768);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,51,52,52,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,55,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,55,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,57,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,57,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2294008);
/* memory initializer */ allocate([116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,49,57,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,49,57,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,54,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,54,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,57,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,57,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2304248);
/* memory initializer */ allocate([66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,51,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,51,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,52,53,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,52,53,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,56,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,56,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2314488);
/* memory initializer */ allocate([114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,51,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,51,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,51,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,51,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,56,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,56,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2324728);
/* memory initializer */ allocate([110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,49,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,49,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2334968);
/* memory initializer */ allocate([32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,51,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,51,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,48,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2345208);
/* memory initializer */ allocate([46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,48,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,57,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,57,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,52,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,52,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,52,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,52,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2355448);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,57,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,57,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,57,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,57,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,51,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,51,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2365688);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,49,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,49,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,52,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,52,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2375928);
/* memory initializer */ allocate([46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,57,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,57,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,52,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,52,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2386168);
/* memory initializer */ allocate([84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,52,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,52,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,57,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,57,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,54,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,54,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,56,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,56,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,52,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2396408);
/* memory initializer */ allocate([110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,52,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,54,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,54,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2406648);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2416888);
/* memory initializer */ allocate([48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,51,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,51,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,51,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,51,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,55,56,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,55,56,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,56,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,56,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2427128);
/* memory initializer */ allocate([109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,49,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,49,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,50,55,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,50,55,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,55,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,55,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2437368);
/* memory initializer */ allocate([60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,54,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,54,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,52,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,52,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2447608);
/* memory initializer */ allocate([116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,50,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,50,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,50,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,50,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,55,57,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2457848);
/* memory initializer */ allocate([93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,55,57,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,51,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,51,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,49,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,49,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2468088);
/* memory initializer */ allocate([101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,56,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,56,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,53,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,53,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,50,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,50,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,57,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2478328);
/* memory initializer */ allocate([97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,57,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,55,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,55,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,57,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,57,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,51,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,51,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,50,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,50,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,56,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,56,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2488568);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,55,54,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,55,54,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,49,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,49,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,49,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,49,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2498808);
/* memory initializer */ allocate([41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,53,56,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,53,56,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,54,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,54,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,57,56,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,57,56,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,48,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,48,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2509048);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,51,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,51,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,53,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,53,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,55,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,55,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2519288);
/* memory initializer */ allocate([111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,49,56,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,49,56,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,52,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,52,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,56,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2529528);
/* memory initializer */ allocate([108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,56,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,57,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,57,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,51,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,51,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2539768);
/* memory initializer */ allocate([105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,55,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,55,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,55,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,55,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,49,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,49,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2550008);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,48,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,48,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,52,54,56,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,52,54,56,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2560248);
/* memory initializer */ allocate([115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,56,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,56,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,52,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,52,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,56,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,56,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2570488);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,50,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,50,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,57,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,57,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,55,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,55,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2580728);
/* memory initializer */ allocate([48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,50,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,50,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,56,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2590968);
/* memory initializer */ allocate([84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,56,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,51,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,51,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,56,51,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,56,51,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2601208);
/* memory initializer */ allocate([116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,56,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,56,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,56,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,56,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,51,50,53,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,51,50,53,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,55,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2611448);
/* memory initializer */ allocate([105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,55,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,55,51,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,55,51,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,49,56,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,49,56,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,49,52,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,49,52,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2621688);
/* memory initializer */ allocate([48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,54,50,52,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,54,50,52,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,48,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,48,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,57,51,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,57,51,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2631928);
/* memory initializer */ allocate([46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,52,57,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,52,57,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,51,50,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,51,50,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,57,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,57,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,55,48,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,55,48,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2642168);
/* memory initializer */ allocate([99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,51,50,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,51,50,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,48,56,52,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,48,56,52,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,55,51,54,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,55,51,54,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,52,53,54,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2652408);
/* memory initializer */ allocate([59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,52,53,54,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,52,49,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,52,49,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,56,50,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,56,50,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,53,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,53,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2662648);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,49,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,49,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,53,52,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,53,52,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,51,51,50,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2672888);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,51,51,50,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,57,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,57,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,55,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,55,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,50,53,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,50,53,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2683128);
/* memory initializer */ allocate([34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,54,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,54,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,57,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,57,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2693368);
/* memory initializer */ allocate([110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,56,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,56,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,50,56,57,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,50,56,57,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,53,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,53,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,55,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,55,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2703608);
/* memory initializer */ allocate([112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,56,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,56,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,49,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,49,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,54,51,49,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,54,51,49,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2713848);
/* memory initializer */ allocate([101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,56,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,56,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,48,54,55,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,48,54,55,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,50,57,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,50,57,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2724088);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,52,57,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,52,57,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,57,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,50,46,57,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,50,49,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2734328);
/* memory initializer */ allocate([10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,50,49,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,50,56,51,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,50,56,51,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,54,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,54,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,53,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,53,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2744568);
/* memory initializer */ allocate([109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,56,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,56,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,49,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,49,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2754808);
/* memory initializer */ allocate([110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,52,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,52,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,55,49,56,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,55,49,56,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2765048);
/* memory initializer */ allocate([110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,57,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,57,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,50,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,50,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2775288);
/* memory initializer */ allocate([101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,53,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,53,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,49,56,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,49,56,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,56,54,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2785528);
/* memory initializer */ allocate([32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,56,54,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,53,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,53,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,49,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,49,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,48,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,48,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2795768);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,52,51,50,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,52,51,50,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,52,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,52,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,55,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,55,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2806008);
/* memory initializer */ allocate([32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,57,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,57,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,51,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,51,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2816248);
/* memory initializer */ allocate([101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,55,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,55,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,53,48,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,53,48,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,49,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,49,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,55,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,55,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2826488);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,52,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,52,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,56,56,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,56,56,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,50,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,50,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2836728);
/* memory initializer */ allocate([108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,50,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,50,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,53,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,53,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,54,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,54,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,55,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2846968);
/* memory initializer */ allocate([97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,55,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,57,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,57,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2857208);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,50,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,50,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,54,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,54,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,52,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,52,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,48,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2867448);
/* memory initializer */ allocate([45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,48,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,56,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,56,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2877688);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,48,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,48,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,50,56,57,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,50,56,57,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,49,93,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2887928);
/* memory initializer */ allocate([32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,52,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,52,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,54,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,54,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2898168);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,56,53,55,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,56,53,55,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2908408);
/* memory initializer */ allocate([108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,50,49,54,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,50,49,54,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,51,57,49,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2918648);
/* memory initializer */ allocate([57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,51,57,49,48,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,55,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,55,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,53,54,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,53,54,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2928888);
/* memory initializer */ allocate([97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,55,50,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,55,50,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2939128);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,55,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,55,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,48,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,48,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,50,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,50,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2949368);
/* memory initializer */ allocate([108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,51,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,51,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,53,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,53,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2959608);
/* memory initializer */ allocate([114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,54,54,51,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,54,54,51,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,56,48,56,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,56,48,56,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2969848);
/* memory initializer */ allocate([32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,57,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,57,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,48,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2980088);
/* memory initializer */ allocate([116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,48,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,50,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,50,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+2990328);
/* memory initializer */ allocate([114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,51,53,56,48,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,51,53,56,48,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,52,56,56,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,52,56,56,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3000568);
/* memory initializer */ allocate([46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,54,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,54,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,55,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,55,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3010808);
/* memory initializer */ allocate([84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,56,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,56,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,48,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,48,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3021048);
/* memory initializer */ allocate([110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,49,55,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,49,55,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,51,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,51,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3031288);
/* memory initializer */ allocate([116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,52,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,52,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,55,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,55,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,53,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3041528);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,53,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,54,57,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,54,57,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3051768);
/* memory initializer */ allocate([98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,55,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,55,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,52,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,52,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,56,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,56,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3062008);
/* memory initializer */ allocate([62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,57,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,57,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,48,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,48,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3072248);
/* memory initializer */ allocate([47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,49,56,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,49,56,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,51,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,51,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,50,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,50,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3082488);
/* memory initializer */ allocate([41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,53,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,53,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,51,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,51,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,55,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,55,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,52,53,51,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,52,53,51,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3092728);
/* memory initializer */ allocate([67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,53,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,53,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,54,50,48,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,54,50,48,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3102968);
/* memory initializer */ allocate([59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,56,48,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3113208);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,56,48,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,56,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,56,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3123448);
/* memory initializer */ allocate([32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,57,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,57,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3133688);
/* memory initializer */ allocate([101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,49,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,49,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3143928);
/* memory initializer */ allocate([59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,49,51,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,49,51,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,54,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,54,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3154168);
/* memory initializer */ allocate([32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,51,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,51,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,48,55,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,48,55,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3164408);
/* memory initializer */ allocate([84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3174648);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,56,55,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,56,55,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,53,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,53,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3184888);
/* memory initializer */ allocate([110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,54,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,54,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,48,48,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,48,48,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,56,49,56,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3195128);
/* memory initializer */ allocate([32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,56,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3205368);
/* memory initializer */ allocate([87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3215608);
/* memory initializer */ allocate([46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3225848);
/* memory initializer */ allocate([53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3236088);
/* memory initializer */ allocate([115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,51,93,34,32,99,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3246328);
/* memory initializer */ allocate([109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,51,50,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,51,50,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3256568);
/* memory initializer */ allocate([111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,55,52,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,55,52,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,49,52,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,49,52,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3266808);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3277048);
/* memory initializer */ allocate([83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,54,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,54,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3287288);
/* memory initializer */ allocate([110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,53,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,53,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3297528);
/* memory initializer */ allocate([83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,55,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,55,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3307768);
/* memory initializer */ allocate([100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3318008);
/* memory initializer */ allocate([34,49,46,49,54,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,48,49,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,48,49,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3328248);
/* memory initializer */ allocate([114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,54,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,54,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3338488);
/* memory initializer */ allocate([101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,57,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,57,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3348728);
/* memory initializer */ allocate([46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,55,50,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,55,50,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3358968);
/* memory initializer */ allocate([34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,57,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,57,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3369208);
/* memory initializer */ allocate([97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3379448);
/* memory initializer */ allocate([105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,57,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,57,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3389688);
/* memory initializer */ allocate([110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3399928);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3410168);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3420408);
/* memory initializer */ allocate([101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,57,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,57,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3430648);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3440888);
/* memory initializer */ allocate([34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,54,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,54,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3451128);
/* memory initializer */ allocate([108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3461368);
/* memory initializer */ allocate([46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,50,48,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,50,48,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3471608);
/* memory initializer */ allocate([66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,55,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,55,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3481848);
/* memory initializer */ allocate([109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,57,50,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,57,50,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,48,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,48,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3492088);
/* memory initializer */ allocate([98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3502328);
/* memory initializer */ allocate([110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,53,54,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,53,54,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3512568);
/* memory initializer */ allocate([111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,56,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,56,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3522808);
/* memory initializer */ allocate([116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,49,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,49,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3533048);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,51,56,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,51,56,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3543288);
/* memory initializer */ allocate([97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,53,49,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,53,49,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3553528);
/* memory initializer */ allocate([50,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3563768);
/* memory initializer */ allocate([65,46,116,97,98,108,101,91,52,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3574008);
/* memory initializer */ allocate([115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3584248);
/* memory initializer */ allocate([111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3594488);
/* memory initializer */ allocate([115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,52,54,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,52,54,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3604728);
/* memory initializer */ allocate([110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,54,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,54,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3614968);
/* memory initializer */ allocate([99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3625208);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3635448);
/* memory initializer */ allocate([116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,48,52,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,48,52,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3645688);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,57,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,57,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,50,54,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,50,54,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3655928);
/* memory initializer */ allocate([116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3666168);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,52,53,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,52,53,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3676408);
/* memory initializer */ allocate([116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3686648);
/* memory initializer */ allocate([46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,55,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3696888);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,55,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3707128);
/* memory initializer */ allocate([111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3717368);
/* memory initializer */ allocate([61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3727608);
/* memory initializer */ allocate([97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,52,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,52,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3737848);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,50,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,50,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3748088);
/* memory initializer */ allocate([32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3758328);
/* memory initializer */ allocate([32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,56,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,56,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3768568);
/* memory initializer */ allocate([111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3778808);
/* memory initializer */ allocate([114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3789048);
/* memory initializer */ allocate([116,97,114,116,61,34,48,46,48,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3799288);
/* memory initializer */ allocate([111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3809528);
/* memory initializer */ allocate([114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3819768);
/* memory initializer */ allocate([110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3830008);
/* memory initializer */ allocate([45,56,56,46,56,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3840248);
/* memory initializer */ allocate([110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3850488);
/* memory initializer */ allocate([111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,53,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,53,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3860728);
/* memory initializer */ allocate([110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3870968);
/* memory initializer */ allocate([116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,54,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,54,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3881208);
/* memory initializer */ allocate([97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3891448);
/* memory initializer */ allocate([108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,49,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,49,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3901688);
/* memory initializer */ allocate([32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3911928);
/* memory initializer */ allocate([115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,55,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,55,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3922168);
/* memory initializer */ allocate([108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,49,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,49,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3932408);
/* memory initializer */ allocate([105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3942648);
/* memory initializer */ allocate([111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,54,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,54,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3952888);
/* memory initializer */ allocate([34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3963128);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,49,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,49,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3973368);
/* memory initializer */ allocate([62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3983608);
/* memory initializer */ allocate([111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+3993848);
/* memory initializer */ allocate([32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,54,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,54,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4004088);
/* memory initializer */ allocate([112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4014328);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4024568);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4034808);
/* memory initializer */ allocate([109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4045048);
/* memory initializer */ allocate([66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4055288);
/* memory initializer */ allocate([32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4065528);
/* memory initializer */ allocate([47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4075768);
/* memory initializer */ allocate([110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4086008);
/* memory initializer */ allocate([107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4096248);
/* memory initializer */ allocate([82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4106488);
/* memory initializer */ allocate([32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4116728);
/* memory initializer */ allocate([108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,49,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,50,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,51,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,52,93,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,53,34,32,108,105,110,101,69,110,100,61,34,50,50,52,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4126968);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,49,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,50,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,51,93,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,57,34,32,108,105,110,101,69,110,100,61,34,50,50,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,118,95,115,116,101,112,34,32,99,111,109,109,101,110,116,61,34,65,112,112,108,105,101,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,51,34,32,108,105,110,101,69,110,100,61,34,49,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,118,95,115,116,101,112,34,32,99,111,109,109,101,110,116,61,34,65,112,112,108,105,101,100,32,118,111,108,116,97,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,48,54,51,34,32,108,105,110,101,69,110,100,61,34,49,48,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4137208);
/* memory initializer */ allocate([101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,99,111,109,109,101,110,116,61,34,67,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,54,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,99,111,109,109,101,110,116,61,34,67,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,54,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101,115,32,116,111,32,67,95,112,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,55,34,32,108,105,110,101,69,110,100,61,34,49,56,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101,115,32,116,111,32,67,95,112,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,55,34,32,108,105,110,101,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4147448);
/* memory initializer */ allocate([34,49,56,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101,115,32,116,111,32,82,95,112,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,57,34,32,108,105,110,101,69,110,100,61,34,49,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101,115,32,116,111,32,82,95,112,97,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,57,34,32,108,105,110,101,69,110,100,61,34,49,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,51,34,32,108,105,110,101,69,110,100,61,34,49,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,51,34,32,108,105,110,101,69,110,100,61,34,49,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,52,34,32,108,105,110,101,69,110,100,61,34,49,56,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,52,34,32,108,105,110,101,69,110,100,61,34,49,56,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,53,34,32,108,105,110,101,69,110,100,61,34,49,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,53,34,32,108,105,110,101,69,110,100,61,34,49,56,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,54,34,32,108,105,110,101,69,110,100,61,34,49,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,54,34,32,108,105,110,101,69,110,100,61,34,49,56,52,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,57,34,32,108,105,110,101,69,110,100,61,34,49,56,52,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,57,34,32,108,105,110,101,69,110,100,61,34,49,56,52,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,48,34,32,108,105,110,101,69,110,100,61,34,49,56,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4157688);
/* memory initializer */ allocate([101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,48,34,32,108,105,110,101,69,110,100,61,34,49,56,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,51,34,32,108,105,110,101,69,110,100,61,34,49,56,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,53,51,34,32,108,105,110,101,69,110,100,61,34,49,56,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4167928);
/* memory initializer */ allocate([32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,51,34,32,108,105,110,101,69,110,100,61,34,49,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,51,34,32,108,105,110,101,69,110,100,61,34,49,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,53,34,32,108,105,110,101,69,110,100,61,34,49,56,54,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,55,34,32,108,105,110,101,69,110,100,61,34,49,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,55,34,32,108,105,110,101,69,110,100,61,34,49,56,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,48,34,32,108,105,110,101,69,110,100,61,34,49,56,55,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,48,34,32,108,105,110,101,69,110,100,61,34,49,56,55,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,51,34,32,108,105,110,101,69,110,100,61,34,49,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,51,34,32,108,105,110,101,69,110,100,61,34,49,56,55,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,54,34,32,108,105,110,101,69,110,100,61,34,49,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,55,54,34,32,108,105,110,101,69,110,100,61,34,49,56,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,56,34,32,108,105,110,101,69,110,100,61,34,49,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4178168);
/* memory initializer */ allocate([115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,56,34,32,108,105,110,101,69,110,100,61,34,49,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4188408);
/* memory initializer */ allocate([116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4198648);
/* memory initializer */ allocate([32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4208888);
/* memory initializer */ allocate([118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,99,111,109,109,101,110,116,61,34,67,97,112,97,99,105,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4219128);
/* memory initializer */ allocate([105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4229368);
/* memory initializer */ allocate([112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4239608);
/* memory initializer */ allocate([70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4249848);
/* memory initializer */ allocate([116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4260088);
/* memory initializer */ allocate([61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4270328);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4280568);
/* memory initializer */ allocate([34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4290808);
/* memory initializer */ allocate([114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,50,34,32,108,105,110,101,69,110,100,61,34,51,49,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,50,34,32,108,105,110,101,69,110,100,61,34,51,49,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4301048);
/* memory initializer */ allocate([114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4311288);
/* memory initializer */ allocate([101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4321528);
/* memory initializer */ allocate([110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4331768);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4342008);
/* memory initializer */ allocate([32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4352248);
/* memory initializer */ allocate([110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4362488);
/* memory initializer */ allocate([101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4372728);
/* memory initializer */ allocate([112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4382968);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4393208);
/* memory initializer */ allocate([99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4403448);
/* memory initializer */ allocate([101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,53,34,32,108,105,110,101,69,110,100,61,34,52,50,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,111,102,102,115,101,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,50,54,34,32,108,105,110,101,69,110,100,61,34,52,50,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,99,111,109,109,101,110,116,61,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,99,111,109,109,101,110,116,61,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4413688);
/* memory initializer */ allocate([32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,99,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,48,34,32,108,105,110,101,69,110,100,61,34,49,53,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,99,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,48,34,32,108,105,110,101,69,110,100,61,34,49,53,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,49,34,32,108,105,110,101,69,110,100,61,34,49,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,49,34,32,108,105,110,101,69,110,100,61,34,49,53,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,52,34,32,108,105,110,101,69,110,100,61,34,49,53,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,52,34,32,108,105,110,101,69,110,100,61,34,49,53,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,55,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,55,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,56,34,32,108,105,110,101,69,110,100,61,34,49,53,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,57,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,57,34,32,108,105,110,101,69,110,100,61,34,49,53,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101,69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,50,34,32,108,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4423928);
/* memory initializer */ allocate([69,110,100,61,34,49,53,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,51,34,32,108,105,110,101,69,110,100,61,34,49,53,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,51,34,32,108,105,110,101,69,110,100,61,34,49,53,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,54,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4434168);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,56,34,32,108,105,110,101,69,110,100,61,34,49,53,51,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,48,34,32,108,105,110,101,69,110,100,61,34,49,53,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,51,34,32,108,105,110,101,69,110,100,61,34,49,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,51,34,32,108,105,110,101,69,110,100,61,34,49,53,52,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,54,34,32,108,105,110,101,69,110,100,61,34,49,53,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,54,34,32,108,105,110,101,69,110,100,61,34,49,53,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,57,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,52,57,34,32,108,105,110,101,69,110,100,61,34,49,53,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4444408);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,55,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,99,111,109,109,101,110,116,61,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,55,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,99,111,109,109,101,110,116,61,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,99,111,109,109,101,110,116,61,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,34,32,99,111,109,109,101,110,116,61,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,53,34,32,108,105,110,101,69,110,100,61,34,54,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,105,110,101,97,114,84,101,109,112,101,114,97,116,117,114,101,67,111,101,102,102,105,99,105,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4454648);
/* memory initializer */ allocate([105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4464888);
/* memory initializer */ allocate([108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4475128);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4485368);
/* memory initializer */ allocate([101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4495608);
/* memory initializer */ allocate([97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4505848);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4516088);
/* memory initializer */ allocate([108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,50,34,32,108,105,110,101,69,110,100,61,34,51,49,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,55,50,34,32,108,105,110,101,69,110,100,61,34,51,49,55,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4526328);
/* memory initializer */ allocate([112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4536568);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,99,111,109,109,101,110,116,61,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,57,34,32,108,105,110,101,69,110,100,61,34,50,50,55,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,99,111,109,109,101,110,116,61,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4546808);
/* memory initializer */ allocate([77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4557048);
/* memory initializer */ allocate([101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4567288);
/* memory initializer */ allocate([117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,99,111,109,109,101,110,116,61,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,99,111,109,109,101,110,116,61,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,99,111,109,109,101,110,116,61,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,99,111,109,109,101,110,116,61,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,53,34,32,108,105,110,101,69,110,100,61,34,49,55,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4577528);
/* memory initializer */ allocate([102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,99,111,109,109,101,110,116,61,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,99,111,109,109,101,110,116,61,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4587768);
/* memory initializer */ allocate([76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,32,99,111,109,109,101,110,116,61,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,54,34,32,108,105,110,101,69,110,100,61,34,52,48,53,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,99,111,109,109,101,110,116,61,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,99,111,109,109,101,110,116,61,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,53,34,32,108,105,110,101,69,110,100,61,34,51,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,99,111,109,109,101,110,116,61,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4598008);
/* memory initializer */ allocate([110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,99,111,109,109,101,110,116,61,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,32,99,111,109,109,101,110,116,61,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,99,111,109,109,101,110,116,61,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,99,111,109,109,101,110,116,61,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4608248);
/* memory initializer */ allocate([46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,76,34,32,99,111,109,109,101,110,116,61,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,109,34,32,99,111,109,109,101,110,116,61,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,77,105,110,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,52,34,32,108,105,110,101,69,110,100,61,34,50,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,34,32,99,111,109,109,101,110,116,61,34,77,105,110,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,52,34,32,108,105,110,101,69,110,100,61,34,50,50,55,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,77,97,120,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,34,32,99,111,109,109,101,110,116,61,34,77,97,120,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,54,34,32,108,105,110,101,69,110,100,61,34,50,50,55,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,99,111,109,109,101,110,116,61,34,61,32,49,44,32,105,102,32,116,97,98,108,101,32,119,97,115,32,115,117,99,99,101,115,115,102,117,108,108,121,32,114,101,97,100,32,102,114,111,109,32,102,105,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,50,34,32,108,105,110,101,69,110,100,61,34,50,50,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,99,111,109,109,101,110,116,61,34,61,32,49,44,32,105,102,32,116,97,98,108,101,32,119,97,115,32,115,117,99,99,101,115,115,102,117,108,108,121,32,114,101,97,100,32,102,114,111,109,32,102,105,108,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,50,34,32,108,105,110,101,69,110,100,61,34,50,50,57,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4618488);
/* memory initializer */ allocate([101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,48,34,32,108,105,110,101,69,110,100,61,34,50,50,54,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4628728);
/* memory initializer */ allocate([115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4638968);
/* memory initializer */ allocate([47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,99,111,109,109,101,110,116,61,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,54,55,34,32,108,105,110,101,69,110,100,61,34,52,48,54,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,32,99,111,109,109,101,110,116,61,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,83,109,111,111,116,104,110,101,115,115,32,111,102,32,116,97,98,108,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,34,32,99,111,109,109,101,110,116,61,34,83,109,111,111,116,104,110,101,115,115,32,111,102,32,116,97,98,108,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,69,120,116,114,97,112,111,108,97,116,105,111,110,32,111,102,32,100,97,116,97,32,111,117,116,115,105,100,101,32,116,104,101,32,100,101,102,105,110,105,116,105,111,110,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,34,32,99,111,109,109,101,110,116,61,34,69,120,116,114,97,112,111,108,97,116,105,111,110,32,111,102,32,100,97,116,97,32,111,117,116,115,105,100,101,32,116,104,101,32,100,101,102,105,110,105,116,105,111,110,32,114,97,110,103,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4649208);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4659448);
/* memory initializer */ allocate([100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4669688);
/* memory initializer */ allocate([108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,52,34,32,108,105,110,101,69,110,100,61,34,51,48,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4679928);
/* memory initializer */ allocate([117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4690168);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,53,50,34,32,108,105,110,101,69,110,100,61,34,52,48,53,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,57,50,34,32,108,105,110,101,69,110,100,61,34,51,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,97,98,108,101,32,105,115,32,100,101,102,105,110,101,100,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,50,34,32,108,105,110,101,69,110,100,61,34,50,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,116,97,98,108,101,32,105,115,32,100,101,102,105,110,101,100,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,50,34,32,108,105,110,101,69,110,100,61,34,50,50,52,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,118,101,114,98,111,115,101,82,101,97,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,105,110,102,111,32,109,101,115,115,97,103,101,32,116,104,97,116,32,102,105,108,101,32,105,115,32,108,111,97,100,105,110,103,32,105,115,32,116,111,32,98,101,32,112,114,105,110,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,118,101,114,98,111,115,101,82,101,97,100,34,32,99,111,109,109,101,110,116,61,34,61,32,116,114,117,101,44,32,105,102,32,105,110,102,111,32,109,101,115,115,97,103,101,32,116,104,97,116,32,102,105,108,101,32,105,115,32,108,111,97,100,105,110,103,32,105,115,32,116,111,32,98,101,32,112,114,105,110,116,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,55,34,32,108,105,110,101,69,110,100,61,34,50,50,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,66,111,111,108,101,97,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,66,111,111,108,101,97,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,78,97,109,101,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,110,97,109,101,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,32,40,115,101,101,32,100,111,99,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,78,97,109,101,34,32,99,111,109,109,101,110,116,61,34,84,97,98,108,101,32,110,97,109,101,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,32,40,115,101,101,32,100,111,99,117,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,52,56,34,32,108,105,110,101,69,110,100,61,34,50,50,53,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,102,105,108,101,78,97,109,101,34,32,99,111,109,109,101,110,116,61,34,70,105,108,101,32,119,104,101,114,101,32,109,97,116,114,105,120,32,105,115,32,115,116,111,114,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,49,34,32,108,105,110,101,69,110,100,61,34,50,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,102,105,108,101,78,97,109,101,34,32,99,111,109,109,101,110,116,61,34,70,105,108,101,32,119,104,101,114,101,32,109,97,116,114,105,120,32,105,115,32,115,116,111,114,101,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,53,49,34,32,108,105,110,101,69,110,100,61,34,50,50,53,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,114,105,110,103,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,114,105,110,103,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,99,111,109,109,101,110,116,61,34,69,120,116,101,114,110,97,108,32,116,97,98,108,101,32,111,98,106,101,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,69,120,116,101,114,110,97,108,79,98,106,101,99,116,32,112,97,116,104,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,99,111,109,109,101,110,116,61,34,69,120,116,101,114,110,97,108,32,116,97,98,108,101,32,111,98,106,101,99,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,69,120,116,101,114,110,97,108,79,98,106,101,99,116,32,112,97,116,104,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,51,56,53,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4700408);
/* memory initializer */ allocate([100,46,114,95,97,114,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,48,46,48,48,49,53,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4710648);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4720888);
/* memory initializer */ allocate([47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4731128);
/* memory initializer */ allocate([101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4741368);
/* memory initializer */ allocate([105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4751608);
/* memory initializer */ allocate([107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,95,115,116,101,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,95,115,116,101,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,32,42,32,108,111,103,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4761848);
/* memory initializer */ allocate([46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,32,42,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4772088);
/* memory initializer */ allocate([68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,45,50,46,48,32,42,32,47,42,82,101,97,108,42,47,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,51,34,32,108,105,110,101,69,110,100,61,34,50,57,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,42,32,68,73,86,73,83,73,79,78,40,47,42,82,101,97,108,42,47,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,57,34,32,108,105,110,101,69,110,100,61,34,51,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4782328);
/* memory initializer */ allocate([115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4792568);
/* memory initializer */ allocate([102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,32,43,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4802808);
/* memory initializer */ allocate([32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,48,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,49,50,57,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4813048);
/* memory initializer */ allocate([46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,32,43,32,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,41,32,101,108,115,101,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,53,34,32,108,105,110,101,69,110,100,61,34,50,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4823288);
/* memory initializer */ allocate([99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,43,32,45,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,32,43,32,45,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,41,32,42,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,41,32,42,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,76,111,97,100,46,115,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,103,116,59,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,41,32,116,104,101,110,32,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4833528);
/* memory initializer */ allocate([101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,50,57,34,32,108,105,110,101,69,110,100,61,34,50,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,52,34,32,110,110,122,61,34,56,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4843768);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4854008);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4864248);
/* memory initializer */ allocate([105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,45,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4874488);
/* memory initializer */ allocate([112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4884728);
/* memory initializer */ allocate([111,107,101,83,105,100,101,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,32,43,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,103,116,59,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,41,32,116,104,101,110,32,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,34,32,110,110,122,61,34,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,76,111,97,100,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4894968);
/* memory initializer */ allocate([10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,48,46,48,48,49,53,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4905208);
/* memory initializer */ allocate([108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,32,43,32,45,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4915448);
/* memory initializer */ allocate([97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,50,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4925688);
/* memory initializer */ allocate([118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4935928);
/* memory initializer */ allocate([57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4946168);
/* memory initializer */ allocate([117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4956408);
/* memory initializer */ allocate([111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4966648);
/* memory initializer */ allocate([97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,95,115,116,101,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,95,115,116,101,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,32,42,32,108,111,103,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4976888);
/* memory initializer */ allocate([105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4987128);
/* memory initializer */ allocate([32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+4997368);
/* memory initializer */ allocate([100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,54,34,32,110,110,122,61,34,49,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,49,51,34,32,108,105,110,101,69,110,100,61,34,50,49,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5007608);
/* memory initializer */ allocate([115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,52,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,51,34,32,108,105,110,101,69,110,100,61,34,50,53,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,45,50,46,48,32,42,32,47,42,82,101,97,108,42,47,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,51,34,32,108,105,110,101,69,110,100,61,34,50,57,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,42,32,68,73,86,73,83,73,79,78,40,47,42,82,101,97,108,42,47,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,57,34,32,108,105,110,101,69,110,100,61,34,51,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5017848);
/* memory initializer */ allocate([34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5028088);
/* memory initializer */ allocate([100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,32,45,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5038328);
/* memory initializer */ allocate([100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5048568);
/* memory initializer */ allocate([67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,52,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,53,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,48,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,43,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,49,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,52,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,49,34,47,62,10,32,32,32,32,32,32,60,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5058808);
/* memory initializer */ allocate([113,32,105,110,100,101,120,61,34,51,53,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,53,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,54,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,56,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,51,55,51,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,53,34,32,108,105,110,101,69,110,100,61,34,50,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,41,32,101,108,115,101,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5069048);
/* memory initializer */ allocate([120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,80,115,105,95,116,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,53,34,32,108,105,110,101,69,110,100,61,34,50,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,41,32,101,108,115,101,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,76,95,115,116,97,116,84,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,54,34,32,108,105,110,101,69,110,100,61,34,50,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5079288);
/* memory initializer */ allocate([103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5089528);
/* memory initializer */ allocate([101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,43,32,45,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,32,43,32,45,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,41,32,42,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5099768);
/* memory initializer */ allocate([111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,41,32,42,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,115,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,103,116,59,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,41,32,116,104,101,110,32,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,50,57,34,32,108,105,110,101,69,110,100,61,34,50,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,48,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,54,34,32,110,110,122,61,34,54,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5110008);
/* memory initializer */ allocate([111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5120248);
/* memory initializer */ allocate([32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,45,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5130488);
/* memory initializer */ allocate([10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5140728);
/* memory initializer */ allocate([98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,32,45,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5150968);
/* memory initializer */ allocate([115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,103,116,59,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,41,32,116,104,101,110,32,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,52,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,34,32,110,110,122,61,34,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,76,111,97,100,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5161208);
/* memory initializer */ allocate([46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,38,103,116,59,61,32,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5171448);
/* memory initializer */ allocate([108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,105,102,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,32,116,104,101,110,10,32,32,32,32,32,32,32,32,32,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,114,101,97,100,84,97,98,108,101,68,97,116,97,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,102,97,108,115,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,118,101,114,98,111,115,101,82,101,97,100,41,59,10,32,32,32,32,32,32,32,32,101,108,115,101,10,32,32,32,32,32,32,32,32,32,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,32,58,61,32,49,46,48,59,10,32,32,32,32,32,32,32,32,101,110,100,32,105,102,59,10,32,32,32,32,32,32,32,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,105,110,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,59,10,32,32,32,32,32,32,32,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,97,120,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,56,51,34,32,108,105,110,101,69,110,100,61,34,50,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,78,101,120,116,84,105,109,101,69,118,101,110,116,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,51,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,50,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,49,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,36,80,82,69,46,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,57,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,105,102,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,32,116,104,101,110,10,32,32,32,32,32,32,32,32,32,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,114,101,97,100,84,97,98,108,101,68,97,116,97,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,102,97,108,115,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,118,101,114,98,111,115,101,82,101,97,100,41,59,10,32,32,32,32,32,32,32,32,101,108,115,101,10,32,32,32,32,32,32,32,32,32,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,32,58,61,32,49,46,48,59,10,32,32,32,32,32,32,32,32,101,110,100,32,105,102,59,10,32,32,32,32,32,32,32,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,105,110,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,41,59,10,32,32,32,32,32,32,32,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,32,58,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,97,120,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,56,51,34,32,108,105,110,101,69,110,100,61,34,50,51,56,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,49,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,32,45,32,36,95,115,116,97,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,32,45,32,36,95,115,116,97,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,57,51,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,45,50,46,48,32,42,32,47,42,82,101,97,108,42,47,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,51,34,32,108,105,110,101,69,110,100,61,34,50,57,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,42,32,68,73,86,73,83,73,79,78,40,47,42,82,101,97,108,42,47,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,57,34,32,108,105,110,101,69,110,100,61,34,51,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5181688);
/* memory initializer */ allocate([119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5191928);
/* memory initializer */ allocate([46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5202168);
/* memory initializer */ allocate([100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,50,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,32,43,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,51,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,52,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,52,57,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,53,50,50,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5212408);
/* memory initializer */ allocate([83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,53,34,32,108,105,110,101,69,110,100,61,34,50,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,41,32,101,108,115,101,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5222648);
/* memory initializer */ allocate([114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,118,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,32,43,32,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5232888);
/* memory initializer */ allocate([34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,41,32,42,32,68,73,86,73,83,73,79,78,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,32,42,32,68,73,86,73,83,73,79,78,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,50,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,52,34,32,110,110,122,61,34,56,49,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,51,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5243128);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,51,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,50,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,50,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5253368);
/* memory initializer */ allocate([102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,45,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5263608);
/* memory initializer */ allocate([97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5273848);
/* memory initializer */ allocate([46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,54,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,55,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,56,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,57,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,48,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,49,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,50,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,51,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5284088);
/* memory initializer */ allocate([34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,32,43,32,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,43,32,45,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,32,43,32,45,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,41,32,42,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,103,116,59,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,41,32,116,104,101,110,32,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,50,57,34,32,108,105,110,101,69,110,100,61,34,50,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5294328);
/* memory initializer */ allocate([97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,41,32,42,32,97,98,115,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,108,116,59,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,32,116,104,101,110,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,103,116,59,32,40,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,41,32,116,104,101,110,32,45,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,50,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,34,32,110,110,122,61,34,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,76,111,97,100,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,76,111,97,100,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,76,111,97,100,46,115,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5304568);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,45,50,46,48,32,42,32,47,42,82,101,97,108,42,47,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,51,34,32,108,105,110,101,69,110,100,61,34,50,57,55,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,42,32,68,73,86,73,83,73,79,78,40,47,42,82,101,97,108,42,47,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,57,34,32,108,105,110,101,69,110,100,61,34,51,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,32,43,32,40,105,102,32,116,105,109,101,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,32,116,104,101,110,32,48,46,48,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,34,32,108,105,110,101,69,110,100,61,34,51,49,52,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,52,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,45,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5314808);
/* memory initializer */ allocate([105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,32,42,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,41,32,42,32,68,73,86,73,83,73,79,78,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,57,52,34,32,108,105,110,101,69,110,100,61,34,51,48,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,32,42,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,32,42,32,68,73,86,73,83,73,79,78,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,49,34,32,108,105,110,101,69,110,100,61,34,50,57,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,50,34,32,108,105,110,101,69,110,100,61,34,52,48,56,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5325048);
/* memory initializer */ allocate([79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5335288);
/* memory initializer */ allocate([101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5345528);
/* memory initializer */ allocate([115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,54,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,55,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,56,34,62,10,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,57,34,62,10,32,32,32,32,60,110,111,110,108,105,110,101,97,114,32,105,110,100,101,120,78,111,110,108,105,110,101,97,114,61,34,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,48,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,48,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,48,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,48,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,49,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,50,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,54,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,51,57,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,48,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,49,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,50,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,51,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,52,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,53,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,56,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,55,34,47,62,10,32,32,32,32,32,32,60,101,113,32,105,110,100,101,120,61,34,54,52,54,34,47,62,10,32,32,32,32,60,47,110,111,110,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5355768);
/* memory initializer */ allocate([100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,41,32,101,108,115,101,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,53,34,32,108,105,110,101,69,110,100,61,34,52,48,50,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5366008);
/* memory initializer */ allocate([83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,56,34,32,108,105,110,101,69,110,100,61,34,50,53,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,80,115,105,95,116,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,53,34,32,108,105,110,101,69,110,100,61,34,50,48,57,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,55,53,34,32,108,105,110,101,69,110,100,61,34,50,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,32,94,32,50,46,48,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,51,34,32,108,105,110,101,69,110,100,61,34,52,48,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,50,34,32,108,105,110,101,69,110,100,61,34,52,49,51,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,54,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,54,34,32,110,110,122,61,34,49,50,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,56,54,34,32,108,105,110,101,69,110,100,61,34,49,50,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5376248);
/* memory initializer */ allocate([32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,48,55,34,32,108,105,110,101,69,110,100,61,34,50,49,48,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,51,34,32,108,105,110,101,69,110,100,61,34,50,53,56,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5386488);
/* memory initializer */ allocate([56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5396728);
/* memory initializer */ allocate([105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,54,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,49,49,51,34,32,108,105,110,101,69,110,100,61,34,50,49,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,34,32,108,105,110,101,69,110,100,61,34,52,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,80,105,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,54,34,32,108,105,110,101,69,110,100,61,34,55,54,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,49,34,32,108,105,110,101,69,110,100,61,34,49,56,49,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,52,34,32,108,105,110,101,69,110,100,61,34,50,53,57,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,45,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,32,43,32,40,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5406968);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,57,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,50,54,34,32,110,110,122,61,34,54,51,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,32,42,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,50,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,51,34,32,99,111,108,61,34,50,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,52,34,32,99,111,108,61,34,50,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5417208);
/* memory initializer */ allocate([32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,53,34,32,99,111,108,61,34,50,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,54,34,32,99,111,108,61,34,50,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,55,34,32,99,111,108,61,34,49,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,56,34,32,99,111,108,61,34,49,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,57,34,32,99,111,108,61,34,49,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,52,34,32,108,105,110,101,69,110,100,61,34,50,56,57,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,48,34,32,99,111,108,61,34,49,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,49,34,32,99,111,108,61,34,49,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5427448);
/* memory initializer */ allocate([62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,51,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,45,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,52,34,32,99,111,108,61,34,49,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,41,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,40,45,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,32,42,32,68,73,86,73,83,73,79,78,40,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,32,42,32,115,105,103,110,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,42,32,68,73,86,73,83,73,79,78,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,44,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,49,52,34,32,108,105,110,101,69,110,100,61,34,52,48,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,53,34,32,99,111,108,61,34,49,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,41,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,54,52,34,32,108,105,110,101,69,110,100,61,34,50,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,57,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,54,34,32,99,111,108,61,34,49,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,32,94,32,50,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,50,34,32,108,105,110,101,69,110,100,61,34,52,48,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,55,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,48,49,34,32,108,105,110,101,69,110,100,61,34,51,57,50,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,56,34,32,99,111,108,61,34,56,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,54,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5437688);
/* memory initializer */ allocate([97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,57,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,48,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,49,34,32,99,111,108,61,34,55,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,52,34,32,108,105,110,101,69,110,100,61,34,52,49,51,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,50,34,32,99,111,108,61,34,49,52,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,51,34,32,99,111,108,61,34,51,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,50,51,34,32,108,105,110,101,69,110,100,61,34,52,48,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,52,34,32,99,111,108,61,34,50,53,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,50,52,34,32,108,105,110,101,69,110,100,61,34,51,57,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,78,101,103,97,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,53,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,56,49,34,32,108,105,110,101,69,110,100,61,34,52,48,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,32,43,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,57,55,53,34,32,108,105,110,101,69,110,100,61,34,51,57,55,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5447928);
/* memory initializer */ allocate([46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,32,45,32,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,55,34,32,108,105,110,101,69,110,100,61,34,50,53,56,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,36,68,69,82,46,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,57,50,34,32,108,105,110,101,69,110,100,61,34,50,53,57,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,49,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,76,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,55,34,32,108,105,110,101,69,110,100,61,34,55,55,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,69,118,101,110,116,40,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,32,38,103,116,59,32,49,101,45,49,51,41,32,116,104,101,110,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,41,32,101,108,115,101,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,32,42,32,49,48,48,48,48,48,48,48,48,48,48,48,48,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,48,48,34,32,108,105,110,101,69,110,100,61,34,50,54,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,76,95,115,116,97,116,84,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,48,57,54,34,32,108,105,110,101,69,110,100,61,34,50,48,57,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,43,32,45,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,32,43,32,45,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,41,32,42,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,38,103,116,59,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,41,41,32,116,104,101,110,32,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5458168);
/* memory initializer */ allocate([117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,50,57,34,32,108,105,110,101,69,110,100,61,34,50,51,51,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,54,34,32,108,105,110,101,69,110,100,61,34,49,55,57,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,32,101,108,115,101,32,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,56,34,32,108,105,110,101,69,110,100,61,34,49,55,57,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,49,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,41,32,42,32,97,98,115,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,41,32,94,32,50,46,48,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,55,34,32,108,105,110,101,69,110,100,61,34,49,55,57,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,109,111,111,116,104,40,48,44,32,105,102,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,32,116,104,101,110,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,108,116,59,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,32,116,104,101,110,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,105,102,32,110,111,69,118,101,110,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,38,103,116,59,32,40,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,41,41,32,116,104,101,110,32,45,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,101,108,115,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,32,101,108,115,101,32,48,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,57,57,34,32,108,105,110,101,69,110,100,61,34,49,56,48,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,50,34,32,108,105,110,101,69,110,100,61,34,49,56,48,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,48,49,34,32,108,105,110,101,69,110,100,61,34,49,56,48,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,55,34,62,10,32,32,32,32,60,108,105,110,101,97,114,32,115,105,122,101,61,34,51,34,32,110,110,122,61,34,54,34,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,111,119,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,45,48,46,48,60,47,99,101,108,108,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,114,111,119,62,10,32,32,32,32,32,32,60,109,97,116,114,105,120,62,10,32,32,32,32,32,32,32,32,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,48,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,51,51,34,32,108,105,110,101,69,110,100,61,34,50,51,51,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,59,60,47,112,97,114,116,45,111,102,62,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,97,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,99,111,110,110,101,99,116,45,101,113,117,97,116,105,111,110,32,47,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,76,111,97,100,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,49,34,32,99,111,108,61,34,50,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,48,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,45,49,46,48,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,60,99,101,108,108,32,114,111,119,61,34,50,34,32,99,111,108,61,34,49,34,62,10,32,32,32,32,32,32,32,32,32,32,60,114,101,115,105,100,117,97,108,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,60,47,114,101,115,105,100,117,97,108,62,10,32,32,32,32,32,32,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5468408);
/* memory initializer */ allocate([104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,53,34,32,108,105,110,101,69,110,100,61,34,49,51,56,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,54,34,47,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,32,32,32,32,32,32,60,47,99,101,108,108,62,10,32,32,32,32,32,32,60,47,109,97,116,114,105,120,62,10,32,32,32,32,60,47,108,105,110,101,97,114,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,52,49,34,32,108,105,110,101,69,110,100,61,34,52,53,52,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,51,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,52,34,32,108,105,110,101,69,110,100,61,34,52,52,54,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,76,111,97,100,46,115,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,76,111,97,100,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,54,53,34,32,108,105,110,101,69,110,100,61,34,52,52,54,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,116,105,109,101,32,38,103,116,59,61,32,112,114,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,50,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,78,101,120,116,84,105,109,101,69,118,101,110,116,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,57,57,34,32,108,105,110,101,69,110,100,61,34,50,51,57,57,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,49,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,112,114,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,41,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,50,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,112,114,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,41,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,51,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,73,68,44,32,51,44,32,116,105,109,101,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,44,32,112,114,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,41,44,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,48,55,34,32,108,105,110,101,69,110,100,61,34,50,52,48,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,41,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,34,32,108,105,110,101,69,110,100,61,34,55,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,41,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,34,32,108,105,110,101,69,110,100,61,34,55,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,41,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,34,32,108,105,110,101,69,110,100,61,34,55,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,41,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,34,32,108,105,110,101,69,110,100,61,34,55,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,41,32,38,103,116,59,61,32,49,101,45,49,53,44,32,38,113,117,111,116,59,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,38,113,117,111,116,59,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,52,34,32,108,105,110,101,69,110,100,61,34,55,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,49,48,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,51,34,32,108,105,110,101,69,110,100,61,34,49,53,53,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,48,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,48,34,32,108,105,110,101,69,110,100,61,34,49,56,56,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,52,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5478648);
/* memory initializer */ allocate([105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,53,34,32,108,105,110,101,69,110,100,61,34,52,53,50,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,57,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,34,32,108,105,110,101,69,110,100,61,34,49,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,117,114,114,101,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,101,112,115,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,49,101,45,49,51,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,56,49,34,32,108,105,110,101,69,110,100,61,34,50,53,56,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5488888);
/* memory initializer */ allocate([32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,55,56,34,32,108,105,110,101,69,110,100,61,34,52,48,55,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,56,57,53,34,32,108,105,110,101,69,110,100,61,34,51,56,57,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,73,110,116,101,114,102,97,99,101,115,46,80,111,115,105,116,105,118,101,77,97,103,110,101,116,105,99,80,111,114,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,80,111,116,101,110,116,105,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,56,34,32,108,105,110,101,69,110,100,61,34,52,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,73,110,116,101,114,102,97,99,101,115,46,70,108,97,110,103,101,95,98,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,70,111,114,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,34,32,108,105,110,101,69,110,100,61,34,49,50,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,71,114,111,117,110,100,46,112,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,71,114,111,117,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,73,110,116,101,114,102,97,99,101,115,46,80,105,110,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,95,115,116,101,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,95,115,116,101,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5499128);
/* memory initializer */ allocate([100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,32,42,32,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5509368);
/* memory initializer */ allocate([46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5519608);
/* memory initializer */ allocate([32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5529848);
/* memory initializer */ allocate([109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5540088);
/* memory initializer */ allocate([100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5550328);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,32,42,32,108,111,103,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,50,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5560568);
/* memory initializer */ allocate([105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,32,43,32,45,48,46,53,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,41,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5570808);
/* memory initializer */ allocate([47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5581048);
/* memory initializer */ allocate([46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,94,32,50,46,48,32,45,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,48,46,48,48,49,53,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,32,42,32,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,118,95,115,116,101,112,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,118,95,115,116,101,112,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,56,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,55,34,32,108,105,110,101,69,110,100,61,34,52,53,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,56,34,32,108,105,110,101,69,110,100,61,34,52,53,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5591288);
/* memory initializer */ allocate([112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,117,114,99,101,46,86,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,52,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,83,111,117,114,99,101,115,46,83,116,101,112,86,111,108,116,97,103,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,50,34,32,108,105,110,101,69,110,100,61,34,54,51,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,32,42,32,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,55,48,34,32,108,105,110,101,69,110,100,61,34,55,49,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,115,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,53,55,52,34,32,108,105,110,101,69,110,100,61,34,50,53,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,66,97,115,105,99,46,69,108,101,99,116,114,111,77,97,103,110,101,116,105,99,67,111,110,118,101,114,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5601528);
/* memory initializer */ allocate([101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5611768);
/* memory initializer */ allocate([105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5622008);
/* memory initializer */ allocate([105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,48,46,53,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,52,57,34,32,108,105,110,101,69,110,100,61,34,51,49,53,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,53,51,52,53,49,50,55,49,57,52,54,54,55,55,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,49,54,56,34,32,108,105,110,101,69,110,100,61,34,51,49,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,56,46,48,48,48,48,48,48,48,48,48,48,48,48,48,48,49,101,45,48,55,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,32,42,32,108,111,103,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,49,34,32,108,105,110,101,69,110,100,61,34,52,49,51,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,51,48,34,32,108,105,110,101,69,110,100,61,34,52,49,51,48,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,76,101,97,107,97,103,101,46,81,117,97,114,116,101,114,72,111,108,108,111,119,67,121,108,105,110,100,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5632248);
/* memory initializer */ allocate([99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,53,56,34,32,108,105,110,101,69,110,100,61,34,51,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,48,34,32,108,105,110,101,69,110,100,61,34,51,51,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,50,34,32,108,105,110,101,69,110,100,61,34,51,51,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,51,34,32,108,105,110,101,69,110,100,61,34,51,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,54,52,34,32,108,105,110,101,69,110,100,61,34,51,51,54,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,41,32,43,32,45,48,46,53,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,41,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,51,34,32,108,105,110,101,69,110,100,61,34,50,56,53,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,94,32,50,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,51,34,32,108,105,110,101,69,110,100,61,34,50,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,53,34,32,108,105,110,101,69,110,100,61,34,50,50,55,54,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,49,34,32,108,105,110,101,69,110,100,61,34,50,50,56,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5642488);
/* memory initializer */ allocate([97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,50,56,52,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,52,53,53,34,32,108,105,110,101,69,110,100,61,34,52,52,53,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,57,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,51,54,34,32,108,105,110,101,69,110,100,61,34,49,51,51,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,70,105,120,101,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,111,115,105,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,94,32,50,46,48,32,45,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,94,32,50,46,48,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,55,34,32,108,105,110,101,69,110,100,61,34,50,57,54,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,65,114,101,97,60,47,116,121,112,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5652728);
/* memory initializer */ allocate([32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,54,46,50,56,51,49,56,53,51,48,55,49,55,57,53,56,54,32,42,32,40,48,46,48,48,49,53,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,55,34,32,108,105,110,101,69,110,100,61,34,51,48,56,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,50,34,32,108,105,110,101,69,110,100,61,34,50,56,56,53,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,49,49,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,76,101,110,103,116,104,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,32,42,32,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,56,34,32,108,105,110,101,69,110,100,61,34,52,48,48,56,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,114,111,115,115,83,101,99,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,55,46,56,57,53,54,56,51,53,50,48,56,55,49,52,56,54,101,45,48,54,32,42,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,44,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,54,34,32,108,105,110,101,69,110,100,61,34,52,48,48,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,80,101,114,109,101,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,68,73,86,73,83,73,79,78,40,49,46,48,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,48,53,34,32,108,105,110,101,69,110,100,61,34,52,48,48,53,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,101,108,117,99,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,57,34,32,108,105,110,101,69,110,100,61,34,50,56,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,78,111,69,120,116,114,97,112,111,108,97,116,105,111,110,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,78,111,69,120,116,114,97,112,111,108,97,116,105,111,110,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,54,34,32,108,105,110,101,69,110,100,61,34,50,50,54,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,67,111,110,115,116,97,110,116,83,101,103,109,101,110,116,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,67,111,110,115,116,97,110,116,83,101,103,109,101,110,116,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,54,51,34,32,108,105,110,101,69,110,100,61,34,50,50,54,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,76,111,97,100,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5662968);
/* memory initializer */ allocate([116,101,114,118,97,108,58,32,115,105,109,112,108,101,76,111,97,100,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,76,111,97,100,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5673208);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5683448);
/* memory initializer */ allocate([114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5693688);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,53,55,34,32,108,105,110,101,69,110,100,61,34,49,53,53,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,54,34,32,108,105,110,101,69,110,100,61,34,49,53,51,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,55,34,32,108,105,110,101,69,110,100,61,34,49,53,49,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,49,52,34,32,108,105,110,101,69,110,100,61,34,49,53,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,115,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,83,105,109,112,108,101,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,76,111,97,100,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,76,111,97,100,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,76,111,97,100,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,76,111,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,56,57,34,32,108,105,110,101,69,110,100,61,34,51,48,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,76,101,97,107,97,103,101,65,114,111,117,110,100,80,111,108,101,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,50,34,32,108,105,110,101,69,110,100,61,34,50,57,54,50,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,54,49,34,32,108,105,110,101,69,110,100,61,34,50,57,54,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,111,114,99,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5703928);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,54,34,32,108,105,110,101,69,110,100,61,34,49,55,55,55,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,51,34,32,108,105,110,101,69,110,100,61,34,49,55,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,68,97,109,112,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,55,55,49,34,32,108,105,110,101,69,110,100,61,34,49,55,55,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,83,112,114,105,110,103,67,111,110,115,116,97,110,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,50,50,34,32,108,105,110,101,69,110,100,61,34,52,53,50,51,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,56,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,105,115,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,53,49,57,34,32,108,105,110,101,69,110,100,61,34,52,53,50,49,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,53,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5714168);
/* memory initializer */ allocate([46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,69,108,97,115,116,111,71,97,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,103,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,38,108,116,59,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,53,34,32,108,105,110,101,69,110,100,61,34,49,51,55,54,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,83,116,97,116,101,83,101,108,101,99,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,83,116,97,116,101,83,101,108,101,99,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,51,55,52,34,32,108,105,110,101,69,110,100,61,34,49,51,55,52,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,101,99,104,97,110,105,99,115,46,84,114,97,110,115,108,97,116,105,111,110,97,108,46,67,111,109,112,111,110,101,110,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,38,103,116,59,61,32,49,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,38,103,116,59,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,55,34,32,108,105,110,101,69,110,100,61,34,50,50,55,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,51,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,55,49,34,32,108,105,110,101,69,110,100,61,34,50,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,84,114,97,110,115,108,97,116,111,114,121,65,114,109,97,116,117,114,101,65,110,100,83,116,111,112,112,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,77,97,115,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5724408);
/* memory initializer */ allocate([110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,56,34,32,108,105,110,101,69,110,100,61,34,50,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,56,54,34,32,108,105,110,101,69,110,100,61,34,50,56,56,55,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,82,97,100,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,57,34,32,108,105,110,101,69,110,100,61,34,50,56,54,48,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,53,54,34,32,108,105,110,101,69,110,100,61,34,50,56,53,56,34,32,99,111,108,83,116,97,114,116,61,34,57,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,83,104,97,112,101,115,46,70,105,120,101,100,83,104,97,112,101,46,72,111,108,108,111,119,67,121,108,105,110,100,101,114,65,120,105,97,108,70,108,117,120,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,56,51,34,32,108,105,110,101,69,110,100,61,34,50,56,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,67,97,112,97,99,105,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5734648);
/* memory initializer */ allocate([115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,48,54,34,32,108,105,110,101,69,110,100,61,34,51,48,55,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,57,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,54,52,34,32,108,105,110,101,69,110,100,61,34,54,52,34,32,99,111,108,83,116,97,114,116,61,34,51,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,65,110,97,108,111,103,46,66,97,115,105,99,46,82,101,115,105,115,116,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,101,109,112,101,114,97,116,117,114,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,56,56,34,32,108,105,110,101,69,110,100,61,34,49,56,56,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,68,101,110,115,105,116,121,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,54,51,34,32,108,105,110,101,69,110,100,61,34,49,56,54,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,52,34,32,108,105,110,101,69,110,100,61,34,49,56,52,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,52,51,34,32,108,105,110,101,69,110,100,61,34,49,56,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,82,97,100,105,117,115,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,32,38,103,116,59,61,32,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,32,38,103,116,59,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,57,34,32,108,105,110,101,69,110,100,61,34,49,56,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,111,110,101,110,116,115,46,65,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,67,97,112,97,99,105,116,97,110,99,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,56,34,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,105,109,101,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,39,112,47,115,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,77,97,103,110,101,116,105,99,70,108,117,120,68,101,110,115,105,116,121,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,84,38,113,117,111,116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,82,101,108,97,116,105,118,101,80,101,114,109,101,97,98,105,108,105,116,121,38,113,117,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5744888);
/* memory initializer */ allocate([116,59,60,47,101,120,112,62,10,32,32,60,101,120,112,62,38,113,117,111,116,59,49,38,113,117,111,116,59,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,49,48,34,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,83,116,101,101,108,46,83,116,101,101,108,95,57,83,77,110,80,98,50,56,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,66,97,115,101,68,97,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,99,111,110,115,116,114,117,99,116,111,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,84,121,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,49,54,34,32,108,105,110,101,69,110,100,61,34,49,51,56,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,48,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,86,97,108,117,101,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,48,53,34,32,108,105,110,101,69,110,100,61,34,50,51,50,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,97,120,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,54,49,34,32,108,105,110,101,69,110,100,61,34,50,51,54,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,78,101,120,116,84,105,109,101,69,118,101,110,116,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,55,49,34,32,108,105,110,101,69,110,100,61,34,50,51,56,48,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,103,101,116,84,97,98,108,101,84,105,109,101,84,109,105,110,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,51,53,49,34,32,108,105,110,101,69,110,100,61,34,50,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,53,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,83,111,117,114,99,101,115,46,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,114,101,97,100,84,97,98,108,101,68,97,116,97,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,50,57,53,34,32,108,105,110,101,69,110,100,61,34,50,51,48,51,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,50,50,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,101,114,110,97,108,67,111,109,98,105,84,105,109,101,84,97,98,108,101,46,100,101,115,116,114,117,99,116,111,114,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,84,121,112,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,52,48,34,32,108,105,110,101,69,110,100,61,34,49,52,53,34,32,99,111,108,83,116,97,114,116,61,34,53,34,32,99,111,108,69,110,100,61,34,49,57,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,32,32,60,102,117,110,99,116,105,111,110,32,110,97,109,101,61,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,77,97,116,101,114,105,97,108,46,83,111,102,116,77,97,103,110,101,116,105,99,46,109,117,95,114,65,112,112,114,111,120,34,62,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,54,56,51,34,32,108,105,110,101,69,110,100,61,34,51,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,55,34,32,99,111,108,69,110,100,61,34,50,49,34,47,62,60,47,102,117,110,99,116,105,111,110,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,65,112,114,0,0,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,108,117,120,84,117,98,101,115,95,69,120,97,109,112,108,101,115,95,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,95,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,80,117,108,108,45,105,110,32,115,116,114,111,107,101,32,111,102,32,98,111,116,104,32,115,111,108,101,110,111,105,100,32,109,111,100,101,108,115,32,97,102,116,101,114,32,97,32,118,111,108,116,97,103,101,32,115,116,101,112,32,97,116,32,116,105,109,101,32,116,61,48,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,51,58,48,55,58,49,49,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,55,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,51,54,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,50,53,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,52,48,51,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,53,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,57,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,48,46,48,53,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,49,101,45,48,53,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,55,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10,32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5755128);
/* memory initializer */ allocate([34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5765368);
/* memory initializer */ allocate([47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5775608);
/* memory initializer */ allocate([34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5785848);
/* memory initializer */ allocate([10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5796088);
/* memory initializer */ allocate([117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5806328);
/* memory initializer */ allocate([110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,76,95,115,116,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,115,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5816568);
/* memory initializer */ allocate([47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5826808);
/* memory initializer */ allocate([110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5837048);
/* memory initializer */ allocate([32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,71,109,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5847288);
/* memory initializer */ allocate([101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,111,109,111,103,101,110,101,111,117,115,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,71,109,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,112,101,114,109,101,97,110,99,101,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,117,99,116,97,110,99,101,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,100,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5857528);
/* memory initializer */ allocate([40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,32,119,104,105,99,104,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,124,102,95,100,124,32,38,108,116,59,61,32,124,102,95,99,124,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,100,50,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,105,110,101,97,114,32,100,97,109,112,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,95,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,102,111,114,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,108,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,104,101,97,116,80,111,114,116,32,40,38,103,116,59,32,48,44,32,105,102,32,104,101,97,116,32,105,115,32,102,108,111,119,105,110,103,32,111,117,116,32,111,102,32,99,111,109,112,111,110,101,110,116,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,111,114,99,101,115,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,115,32,40,61,32,102,108,97,110,103,101,95,98,46,102,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5867768);
/* memory initializer */ allocate([61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5878008);
/* memory initializer */ allocate([61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5888248);
/* memory initializer */ allocate([46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,105,101,108,100,32,115,116,114,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5898488);
/* memory initializer */ allocate([100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,76,111,115,115,80,111,119,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,115,115,32,112,111,119,101,114,32,108,101,97,118,105,110,103,32,99,111,109,112,111,110,101,110,116,32,118,105,97,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,76,95,115,116,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,115,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,76,95,115,116,97,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,97,98,115,40,80,115,105,47,105,41,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,115,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5908728);
/* memory initializer */ allocate([32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,76,95,115,116,97,116,84,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,116,97,108,32,115,116,97,116,105,99,32,105,110,100,117,99,116,97,110,99,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,80,115,105,95,116,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,111,116,97,108,32,102,108,117,120,32,108,105,110,107,97,103,101,32,102,111,114,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,108,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,100,114,111,112,32,98,101,116,119,101,101,110,32,116,104,101,32,116,119,111,32,112,105,110,115,32,40,61,32,112,46,118,32,45,32,110,46,118,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5918968);
/* memory initializer */ allocate([48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,100,101,110,115,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,82,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5929208);
/* memory initializer */ allocate([83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5939448);
/* memory initializer */ allocate([105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,99,111,117,112,108,101,100,32,105,110,116,111,32,109,97,103,110,101,116,105,99,32,99,105,114,99,117,105,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,101,120,116,32,116,105,109,101,32,101,118,101,110,116,32,105,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,57,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5949688);
/* memory initializer */ allocate([101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5959928);
/* memory initializer */ allocate([105,110,101,32,61,32,34,52,49,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,114,101,108,117,99,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,45,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,45,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,95,97,99,116,117,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,99,116,117,97,108,32,114,101,115,105,115,116,97,110,99,101,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,101,112,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5970168);
/* memory initializer */ allocate([51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,101,114,109,101,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,72,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,72,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,95,115,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,112,101,110,101,116,114,97,116,101,100,32,98,121,32,109,97,103,110,101,116,105,99,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,48,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,110,111,110,101,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,110,111,110,101,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,110,111,110,101,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5980408);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,54,49,49,54,53,101,45,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,46,57,51,53,51,55,48,48,48,48,48,48,48,48,48,49,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,55,57,49,52,101,45,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,48,55,52,56,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,48,49,52,55,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,56,55,55,56,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+5990648);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6000888);
/* memory initializer */ allocate([32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,50,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,50,52,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,52,52,53,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,53,53,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,54,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,49,56,53,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,50,57,49,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,49,52,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6011128);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,49,52,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,52,57,54,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,51,54,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,50,56,56,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,50,53,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,55,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,54,50,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,57,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6021368);
/* memory initializer */ allocate([109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,51,57,56,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,49,57,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,52,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,52,56,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,50,57,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,53,55,49,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6031608);
/* memory initializer */ allocate([32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,57,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,49,49,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,49,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,54,53,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,48,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,53,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,53,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,56,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6041848);
/* memory initializer */ allocate([105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,55,57,53,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,55,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,51,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,50,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,56,56,49,53,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,55,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,55,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,50,54,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6052088);
/* memory initializer */ allocate([32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,48,46,57,55,52,53,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,50,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,54,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,57,53,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,48,54,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,53,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,50,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,49,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,54,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,53,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6062328);
/* memory initializer */ allocate([32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,52,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,49,57,54,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,51,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,51,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,50,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,50,56,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,50,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,50,56,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,49,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6072568);
/* memory initializer */ allocate([48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,52,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,51,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,48,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,49,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,53,53,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,53,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,57,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,53,53,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,52,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,56,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6082808);
/* memory initializer */ allocate([99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,53,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,51,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,55,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,53,55,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,49,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,52,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,53,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,51,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,48,56,56,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6093048);
/* memory initializer */ allocate([114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,54,57,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,50,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,57,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,48,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,54,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,55,55,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,57,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,52,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,48,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,56,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6103288);
/* memory initializer */ allocate([116,97,114,116,61,34,48,46,48,48,52,55,54,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,56,56,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,52,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,53,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,50,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,51,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,46,57,54,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,55,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,48,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,57,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,50,93,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6113528);
/* memory initializer */ allocate([10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,52,55,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,55,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,57,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,48,56,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,53,54,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,52,55,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,51,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,57,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,54,49,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,52,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6123768);
/* memory initializer */ allocate([112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,48,56,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,57,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,52,55,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,54,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,50,56,57,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,55,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,51,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,53,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,54,48,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,51,55,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6134008);
/* memory initializer */ allocate([61,32,34,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,54,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,51,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,51,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,54,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,52,48,57,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,52,57,54,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,56,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6144248);
/* memory initializer */ allocate([50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,55,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,50,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,52,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,53,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,51,49,55,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,53,56,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,56,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,48,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,49,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,53,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,50,52,49,34,32,102,105,120,101,100,61,34,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6154488);
/* memory initializer */ allocate([114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,52,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,50,49,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,54,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,56,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,52,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,53,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,49,48,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,55,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,55,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6164728);
/* memory initializer */ allocate([110,99,101,32,61,32,34,49,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,53,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,50,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,52,48,50,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,56,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,56,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,55,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,48,54,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,52,53,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,49,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,52,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6174968);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,54,54,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,46,57,56,53,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,53,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,50,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,50,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,56,49,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,53,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,48,54,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,54,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,51,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,48,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,55,49,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,53,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6185208);
/* memory initializer */ allocate([111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,51,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,49,53,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,54,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,48,55,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,56,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,54,49,57,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,54,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,49,53,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,50,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,54,56,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,56,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,49,53,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6195448);
/* memory initializer */ allocate([114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,51,53,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,54,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,56,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,54,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,48,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,52,48,54,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,51,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,52,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,51,52,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,49,55,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,52,57,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,57,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,50,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,56,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,51,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6205688);
/* memory initializer */ allocate([52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,50,51,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,51,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,53,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,55,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,57,48,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,51,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,49,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,53,57,57,57,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,51,56,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,54,55,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,57,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,48,52,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,55,50,56,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,56,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6215928);
/* memory initializer */ allocate([61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,57,51,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,56,50,53,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,57,49,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,57,57,48,48,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,56,55,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,46,57,50,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,56,52,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,48,49,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,55,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,54,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,48,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,55,48,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,51,93,34,10,32,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6226168);
/* memory initializer */ allocate([108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,49,57,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,54,51,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,50,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,50,56,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,53,54,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,52,53,55,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,51,55,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,56,55,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,55,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,52,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,52,48,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,54,48,49,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,48,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6236408);
/* memory initializer */ allocate([114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,51,51,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,50,54,50,52,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,55,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,50,53,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,50,57,51,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,56,50,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,49,54,55,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,50,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,46,57,51,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,50,48,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,48,52,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,57,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6246648);
/* memory initializer */ allocate([32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,51,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,57,48,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,55,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,53,52,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,56,49,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,51,53,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,46,55,56,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,55,50,54,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,56,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,54,51,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6256888);
/* memory initializer */ allocate([111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,50,51,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,50,53,55,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,53,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,53,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,53,55,56,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,52,51,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,46,57,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,51,51,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,55,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,51,48,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,50,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,55,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6267128);
/* memory initializer */ allocate([110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,46,56,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,49,50,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,46,50,57,55,49,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,48,49,48,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,49,51,49,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,56,57,55,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,52,57,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,57,46,56,50,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,55,56,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,56,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,49,46,49,54,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,57], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6277368);
/* memory initializer */ allocate([51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,55,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,50,46,49,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,53,51,52,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,54,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,52,46,57,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,52,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,57,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,56,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6287608);
/* memory initializer */ allocate([65,46,116,97,98,108,101,91,49,51,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,49,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,48,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,50,53,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,56,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,53,49,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,54,46,51,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,57,57,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,55,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6297848);
/* memory initializer */ allocate([108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,56,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,51,56,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,49,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,48,54,53,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,57,50,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,51,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,51,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6308088);
/* memory initializer */ allocate([101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,51,54,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,55,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,56,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,55,51,54,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,54,55,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,51,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,51,53,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,51,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6318328);
/* memory initializer */ allocate([117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,48,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,52,56,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,54,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,55,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,55,46,55,52,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,55,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6328568);
/* memory initializer */ allocate([32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,55,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,49,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,53,52,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,48,53,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,56,46,56,54,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,52,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,52,52,48,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,54,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,49,57,46,55,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,50,54,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,55,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,48,46,54,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,52,48,49,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,52,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,49,46,54,55,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6338808);
/* memory initializer */ allocate([115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,54,55,56,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,55,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,50,46,54,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,51,50,54,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,52,48,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,52,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,55,54,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,51,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,49,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,53,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,49,93,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6349048);
/* memory initializer */ allocate([118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,57,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,54,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,51,56,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,51,46,56,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,53,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,49,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,52,50,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,48,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6359288);
/* memory initializer */ allocate([97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,53,57,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,52,49,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,54,54,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,52,46,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,50,53,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,56,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6369528);
/* memory initializer */ allocate([108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,55,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,53,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,56,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,53,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,53,46,56,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,54,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,57,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,49,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,54,52,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,52,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,53,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,54,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6379768);
/* memory initializer */ allocate([100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,48,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,51,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,54,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,55,57,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,54,46,57,56,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,51,55,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6390008);
/* memory initializer */ allocate([48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,49,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,54,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,51,56,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,55,56,56,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,56,54,49,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,55,46,57,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,52,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,52,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,55,55,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6400248);
/* memory initializer */ allocate([10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,52,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,52,57,57,48,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,55,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,55,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,56,46,56,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,57,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,50,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,51,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,53,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,53,54,51,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,50,57,46,56,54,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6410488);
/* memory initializer */ allocate([101,114,101,110,99,101,32,61,32,34,50,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,48,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,51,55,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,56,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,52,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,52,54,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,48,46,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6420728);
/* memory initializer */ allocate([108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,49,57,54,53,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,52,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,49,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,54,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,56,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,52,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,49,46,57,53,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6430968);
/* memory initializer */ allocate([32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,50,56,54,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,52,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,50,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,50,46,57,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,51,55,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,52,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,55,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,49,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,51,46,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,54,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,52,54,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6441208);
/* memory initializer */ allocate([105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,53,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,52,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,52,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,52,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,53,57,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,53,46,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,49,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,51,52,52,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,52,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,49,57,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6451448);
/* memory initializer */ allocate([100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,49,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,54,55,55,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,54,46,57,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,49,57,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,55,54,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,55,46,57,49,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,51,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6461688);
/* memory initializer */ allocate([34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,52,53,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,56,46,56,54,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,56,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,51,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,51,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,51,57,46,56,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,57,55,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,51,48,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,49,57,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6471928);
/* memory initializer */ allocate([101,32,61,32,34,50,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,48,46,56,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,48,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,51,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,48,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,55,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,48,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,49,46,57,49,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,52,57,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,52,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,49,57,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,50,46,57,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6482168);
/* memory initializer */ allocate([116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,51,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,50,55,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,51,46,57,53,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,49,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,49,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,52,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,57,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,51,53,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,52,46,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,57,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6492408);
/* memory initializer */ allocate([73,110,100,101,120,32,61,32,34,56,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,48,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,52,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,52,48,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,53,46,57,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,54,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,52,56,49,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,52,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,53,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,50,49,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,54,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6502648);
/* memory initializer */ allocate([47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,53,54,49,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,48,48,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,55,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,51,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,51,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,54,55,56,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,56,46,56,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,56,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,49,55,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6512888);
/* memory initializer */ allocate([62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,50,55,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,53,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,52,57,46,55,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,55,57,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,54,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,52,49,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,48,46,55,54,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,53,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,56,56,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,50,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6523128);
/* memory initializer */ allocate([108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,50,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,49,46,55,57,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,54,57,54,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,51,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,49,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,50,46,56,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,53,49,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,50,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,55,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6533368);
/* memory initializer */ allocate([105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,48,57,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,51,46,55,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,57,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,51,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,50,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,56,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,49,55,54,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,52,46,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,49,55,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,49,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,53,56,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6543608);
/* memory initializer */ allocate([32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,53,46,54,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,50,57,56,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,48,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,51,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,51,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,53,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,51,55,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,54,46,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,49,56,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,52,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6553848);
/* memory initializer */ allocate([101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,49,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,53,55,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,55,46,56,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,54,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,52,57,53,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,51,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,57,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,56,46,55,53,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,53,55,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,49,56,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6564088);
/* memory initializer */ allocate([114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,48,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,53,57,46,54,49,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,52,54,56,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,54,56,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,52,54,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,52,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,48,46,56,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6574328);
/* memory initializer */ allocate([32,115,116,97,114,116,61,34,48,46,55,55,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,50,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,55,57,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,49,46,55,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,52,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,50,56,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,56,57,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,50,46,56,49,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,53,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,51,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,51,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6584568);
/* memory initializer */ allocate([98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,55,57,56,51,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,51,46,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,56,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,50,56,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,51,50,53,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,48,55,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,52,46,55,51,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,49,56,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,49,52,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,53,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6594808);
/* memory initializer */ allocate([101,114,101,110,99,101,32,61,32,34,50,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,49,54,50,52,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,48,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,53,46,57,51,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,52,57,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,51,50,54,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,50,57,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,54,46,55,48,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6605048);
/* memory initializer */ allocate([99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,51,50,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,48,56,52,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,49,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,51,55,51,54,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,52,53,54,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,49,52,49,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,55,46,56,50,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,52,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,53,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,49,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6615288);
/* memory initializer */ allocate([116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,53,52,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,51,51,50,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,56,46,57,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,54,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,56,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,53,55,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,50,53,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,49,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,54,48,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,52,56,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,54,57,46,57,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6625528);
/* memory initializer */ allocate([101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,54,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,54,56,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,50,56,57,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,53,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,51,53,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,48,46,55,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,55,56,53,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,49,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,56,56,51,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,49,46,54,51,49,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,55,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,52,34,32,99,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6635768);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6646008);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,48,54,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,53,55,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,49,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,51,46,56,55,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,53,54,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,49,53,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,52,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,52,50,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6656248);
/* memory initializer */ allocate([34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,55,49,56,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,55,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,50,56,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,52,46,57,57,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,50,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,50,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,54,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,51,55,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,53,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,49,56,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,53,46,56,54,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,56,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6666488);
/* memory initializer */ allocate([48,46,48,48,48,50,50,50,53,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,52,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,49,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,48,53,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,52,51,50,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,52,56,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,55,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,53,57,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,54,46,57,55,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6676728);
/* memory initializer */ allocate([114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,51,49,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,50,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,54,55,49,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,53,48,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,49,48,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,55,46,55,54,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,52,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,49,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,55,56,56,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,52,34,10,32,32,100,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6686968);
/* memory initializer */ allocate([115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,50,54,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,50,53,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,53,49,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,50,57,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,54,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,55,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,56,57,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,56,46,57,56,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,51,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,50,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6697208);
/* memory initializer */ allocate([101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,57,57,54,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,52,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,48,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,54,56,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,56,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,55,57,46,56,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,48,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,48,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,55,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6707448);
/* memory initializer */ allocate([61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,50,56,57,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,49,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,52,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,54,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,48,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,48,46,56,53,55,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6717688);
/* memory initializer */ allocate([97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,49,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,50,49,54,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,51,57,49,48,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,53,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,51,55,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,53,54,49,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6727928);
/* memory initializer */ allocate([111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,55,50,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,49,46,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,52,55,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,48,53,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,50,49,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,51,54,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6738168);
/* memory initializer */ allocate([98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,53,49,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,53,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,54,54,51,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,56,48,56,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,50,46,57,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,50,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6748408);
/* memory initializer */ allocate([111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,54,55,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,48,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,48,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,50,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,51,53,56,48,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,52,56,56,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,55,56,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6758648);
/* memory initializer */ allocate([105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,54,49,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,49,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,55,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,51,46,56,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,54,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,48,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,56,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,49,55,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6768888);
/* memory initializer */ allocate([115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,49,48,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,51,48,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,52,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,55,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,53,54,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,57,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,54,57,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6779128);
/* memory initializer */ allocate([10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,55,57,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,52,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,56,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,52,46,57,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,51,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,48,56,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,48,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,56,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,49,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6789368);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6799608);
/* memory initializer */ allocate([46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,53,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,49,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,54,50,48,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,53,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,55,56,48,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,56,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,52,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6809848);
/* memory initializer */ allocate([50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,50,56,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,53,46,57,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,48,55,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,49,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,53,34,32,102,105,120,101,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6820088);
/* memory initializer */ allocate([34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,49,51,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,54,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,56,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,51,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,51,57,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,48,55,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,49,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6830328);
/* memory initializer */ allocate([32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,52,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,50,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,53,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,53,56,55,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,53,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,54,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,54,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,48,48,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6840568);
/* memory initializer */ allocate([110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,56,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,55,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,52,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,56,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6850808);
/* memory initializer */ allocate([105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,51,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,54,46,57,54,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,48,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,53,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,48,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,54,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,53,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,54,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6861048);
/* memory initializer */ allocate([32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,53,57,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,51,50,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,50,55,52,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6871288);
/* memory initializer */ allocate([105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,49,52,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,51,57,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,51,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,52,54,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,55,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6881528);
/* memory initializer */ allocate([32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,53,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,54,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,53,55,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,56,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,48,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6891768);
/* memory initializer */ allocate([115,116,97,114,116,61,34,48,46,48,51,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,54,57,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,54,55,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,48,49,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,51,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6902008);
/* memory initializer */ allocate([97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,54,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,55,57,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,56,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,55,50,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,49,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6912248);
/* memory initializer */ allocate([32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,56,57,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,53,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,50,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,55,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6922488);
/* memory initializer */ allocate([97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,55,46,57,57,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,56,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,52,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,51,57,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,55,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6932728);
/* memory initializer */ allocate([111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,55,57,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,48,57,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,55,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,50,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6942968);
/* memory initializer */ allocate([105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,49,57,52,57,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,50,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,54,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,50,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,48,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6953208);
/* memory initializer */ allocate([34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,48,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,50,48,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,53,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6963448);
/* memory initializer */ allocate([34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,55,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,54,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,51,57,50,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,48,57,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,55,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6973688);
/* memory initializer */ allocate([99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,53,54,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,56,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,55,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,56,53,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,52,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,50,44,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6983928);
/* memory initializer */ allocate([93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,49,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,56,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,50,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,51,56,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,53,49,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+6994168);
/* memory initializer */ allocate([32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,48,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,55,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,56,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,48,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,53,57,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7004408);
/* memory initializer */ allocate([115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,49,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,50,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,51,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,50,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,56,34,32,99,108,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7014648);
/* memory initializer */ allocate([115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,52,54,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,54,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,55,51,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,51,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7024888);
/* memory initializer */ allocate([98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,51,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,56,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,54,57,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,48,52,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7035128);
/* memory initializer */ allocate([110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,49,57,51,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,50,54,50,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,51,57,53,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7045368);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,52,53,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,52,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,53,55,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,54,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7055608);
/* memory initializer */ allocate([86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,55,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,53,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7065848);
/* memory initializer */ allocate([50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,50,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,55,57,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,52,49,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,53,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,48,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7076088);
/* memory initializer */ allocate([108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,50,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,49,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,54,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,48,56,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7086328);
/* memory initializer */ allocate([104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,50,56,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,53,56,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,51,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,51,57,50,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,52,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,54,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,53,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7096568);
/* memory initializer */ allocate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i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7106808);
/* memory initializer */ allocate([107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,53,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,48,54,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,55,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7117048);
/* memory initializer */ allocate([32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,54,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,55,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,53,54,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,50,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,55,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7127288);
/* memory initializer */ allocate([110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,50,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,52,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,54,51,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7137528);
/* memory initializer */ allocate([69,65,46,116,97,98,108,101,91,52,56,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,56,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,53,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,49,57,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,56,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,51,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7147768);
/* memory initializer */ allocate([116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,55,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,56,57,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,48,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7158008);
/* memory initializer */ allocate([97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,49,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,52,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,54,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,54,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,56,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,52,57,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7168248);
/* memory initializer */ allocate([105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,48,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,49,49,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,48,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,50,52,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7178488);
/* memory initializer */ allocate([47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,52,53,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,49,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,54,55,57,57,57,57,57,57,57,57,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7188728);
/* memory initializer */ allocate([34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,48,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,49,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,48,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7198968);
/* memory initializer */ allocate([116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,49,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,51,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,51,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7209208);
/* memory initializer */ allocate([97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,56,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,55,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,49,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7219448);
/* memory initializer */ allocate([32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,56,55,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,49,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,52,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,50,57,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,50,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,51,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,48,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,52,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7229688);
/* memory initializer */ allocate([116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,53,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,49,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,54,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,50,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,55,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,52,57,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,55,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,48,48,48,48,48,48,48,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,56,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,50,57,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,52,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7239928);
/* memory initializer */ allocate([97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,49,57,57,53,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,45,56,56,46,57,51,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,91,53,51,48,44,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,109,97,116,114,105,120,32,40,116,105,109,101,32,61,32,102,105,114,115,116,32,99,111,108,117,109,110,59,32,101,46,103,46,44,32,116,97,98,108,101,61,91,48,44,50,93,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,50,48,49,55,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,111,102,102,115,101,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,112,95,111,102,102,115,101,116,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,115,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,118,95,115,116,101,112,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,112,112,108,105,101,100,32,118,111,108,116,97,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,48,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,49,48,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,82,95,112,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7250168);
/* memory initializer */ allocate([115,32,116,111,32,67,95,112,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,112,97,99,105,116,97,110,99,101,32,112,97,114,97,108,108,101,108,32,116,111,32,116,104,101,32,99,111,105,108,44,32,105,110,32,115,101,114,105,101,115,32,116,111,32,82,95,112,97,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,101,45,48,57,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,52,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,52,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,52,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,53,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7260408);
/* memory initializer */ allocate([116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7270648);
/* memory initializer */ allocate([108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,112,97,99,105,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,97,112,97,99,105,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,70,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,70,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7280888);
/* memory initializer */ allocate([115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7291128);
/* memory initializer */ allocate([56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,53,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7301368);
/* memory initializer */ allocate([110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7311608);
/* memory initializer */ allocate([101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7321848);
/* memory initializer */ allocate([54,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7332088);
/* memory initializer */ allocate([108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,86,111,108,116,97,103,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,111,102,102,115,101,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,86,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,111,102,102,115,101,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,102,102,115,101,116,32,111,102,32,111,117,116,112,117,116,32,115,105,103,110,97,108,32,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,121,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7342328);
/* memory initializer */ allocate([116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,104,101,105,103,104,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,72,101,105,103,104,116,32,111,102,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,99,111,105,108,32,114,101,115,105,115,116,97,110,99,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,57,53,55,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,50,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,121,111,107,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,121,111,107,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,121,111,107,101,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,121,111,107,101,66,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,121,111,107,101,32,98,111,116,116,111,109,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,112,111,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,102,32,112,111,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,112,111,108,101,66,111,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,98,111,116,116,111,109,32,97,116,32,112,111,108,101,32,115,105,100,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,116,95,97,105,114,80,97,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,100,105,97,108,32,116,104,105,99,107,110,101,115,115,32,111,102,32,112,97,114,97,115,105,116,105,99,32,97,105,114,32,103,97,112,32,100,117,101,32,116,111,32,115,108,105,100,101,32,103,117,105,100,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,54,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,52,56,56,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,50,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,114,97,100,105,117,115,32,61,32,112,111,108,101,32,114,97,100,105,117,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,108,95,97,114,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,50,54,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7352568);
/* memory initializer */ allocate([32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,50,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,95,109,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,110,115,105,116,121,32,102,111,114,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,97,114,109,97,116,117,114,101,32,109,97,115,115,32,102,114,111,109,32,103,101,111,109,101,116,114,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,55,56,53,51,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,47,109,51,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,103,47,99,109,51,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,82,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,115,105,115,116,97,110,99,101,32,97,116,32,116,101,109,112,101,114,97,116,117,114,101,32,84,95,114,101,102,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,79,104,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,79,104,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,102,101,114,101,110,99,101,32,116,101,109,112,101,114,97,116,117,114,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,48,48,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,97,108,112,104,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,99,111,101,102,102,105,99,105,101,110,116,32,111,102,32,114,101,115,105,115,116,97,110,99,101,32,40,82,95,97,99,116,117,97,108,32,61,32,82,42,40,49,32,43,32,97,108,112,104,97,42,40,84,95,104,101,97,116,80,111,114,116,32,45,32,84,95,114,101,102,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,54,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,51,34,32,101,110,100,76,105,110,101,32,61,32,34,54,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,47,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,47,75,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,100,101,118,105,99,101,32,116,101,109,112,101,114,97,116,117,114,101,32,105,102,32,117,115,101,72,101,97,116,80,111,114,116,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,116,117,114,110,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,53,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,53,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,54,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7362808);
/* memory initializer */ allocate([34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7373048);
/* memory initializer */ allocate([115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,100,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,101,100,103,101,32,97,110,100,32,112,108,97,110,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,40,61,50,42,112,105,42,114,32,102,111,114,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,32,97,110,100,32,114,38,103,116,59,38,103,116,59,114,95,105,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,97,116,105,111,32,116,47,114,95,105,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,56,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7383288);
/* memory initializer */ allocate([101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,32,40,122,101,114,111,32,102,111,114,32,99,121,108,105,110,100,101,114,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,53,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,115,116,105,102,102,110,101,115,115,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,48,48,48,48,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,98,101,116,119,101,101,110,32,105,109,112,97,99,116,32,112,97,114,116,110,101,114,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,48,48,48,48,48,48,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,115,32,40,102,95,99,32,61,32,99,42,124,115,95,114,101,108,124,94,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,97,120,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,120,95,109,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,115,105,116,105,111,110,32,111,102,32,115,116,111,112,112,101,114,32,97,116,32,109,105,110,105,109,117,109,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7393528);
/* memory initializer */ allocate([34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,111,109,105,110,97,108,32,118,97,108,117,101,32,111,102,32,115,95,114,101,108,32,40,117,115,101,100,32,102,111,114,32,115,99,97,108,105,110,103,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,112,114,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,97,109,112,105,110,103,32,99,111,110,115,116,97,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,78,46,115,47,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,46,115,47,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,85,110,115,116,114,101,116,99,104,101,100,32,115,112,114,105,110,103,32,108,101,110,103,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,115,112,114,105,110,103,32,102,111,114,99,101,32,40,32,102,95,99,32,61,32,45,99,42,124,115,95,114,101,108,45,115,95,114,101,108,48,124,94,110,32,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,120,101,100,32,111,102,102,115,101,116,32,112,111,115,105,116,105,111,110,32,111,102,32,104,111,117,115,105,110,103,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,51,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,40,104,111,108,108,111,119,41,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,114,111,115,115,45,115,101,99,116,105,111,110,97,108,32,97,114,101,97,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,119,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,59,32,109,101,97,110,32,99,105,114,99,117,109,102,101,114,101,110,99,101,32,111,102,32,102,108,117,120,32,116,117,98,101,32,105,110,32,99,97,115,101,32,111,102,32,99,121,108,105,110,100,114,105,99,97,108,32,112,111,108,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7403768);
/* memory initializer */ allocate([101,32,61,32,34,51,48,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,97,100,105,117,115,32,111,102,32,108,101,97,107,97,103,101,32,102,105,101,108,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,115,116,97,110,116,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,59,32,117,115,101,100,32,105,102,32,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,32,61,32,102,97,108,115,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,109,117,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,32,97,116,32,66,61,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,108,117,120,32,100,101,110,115,105,116,121,32,97,116,32,109,97,120,105,109,117,109,32,114,101,108,97,116,105,118,101,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,84,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,84,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,99,95,98,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,101,102,102,105,99,105,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,97,116,101,114,105,97,108,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,112,111,110,101,110,116,32,111,102,32,97,112,112,114,111,120,105,109,97,116,105,111,110,32,102,117,110,99,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,54,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,54,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,40,111,114,116,104,111,103,111,110,97,108,32,116,111,32,102,108,117,120,32,100,105,114,101,99,116,105,111,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,110,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,101,114,32,114,97,100,105,117,115,32,111,102,32,104,111,108,108,111,119,32,99,121,108,105,110,100,101,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,101,110,103,116,104,32,111,102,32,99,111,109,112,111,110,101,110,116,44,32,102,114,111,109,32,108,101,102,116,32,102,108,97,110,103,101,32,116,111,32,114,105,103,104,116,32,102,108,97,110,103,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,115,115,32,111,102,32,116,104,101,32,115,108,105,100,105,110,103,32,109,97,115,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,107,103,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,107,103,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,105,110,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,120,105,109,117,109,32,97,98,115,99,105,115,115,97,32,118,97,108,117,101,32,100,101,102,105,110,101,100,32,105,110,32,116,97,98,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,49,44,32,105,102,32,116,97,98,108,101,32,119,97,115,32,115,117,99,99,101,115,115,102,117,108,108,121,32,114,101,97,100,32,102,114,111,109,32,102,105,108,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,57,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7414008);
/* memory initializer */ allocate([87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,55,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7424248);
/* memory initializer */ allocate([68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7434488);
/* memory initializer */ allocate([32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7444728);
/* memory initializer */ allocate([10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7454968);
/* memory initializer */ allocate([10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7465208);
/* memory initializer */ allocate([121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7475448);
/* memory initializer */ allocate([109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,56,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,108,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,120,105,97,108,32,108,101,110,103,116,104,32,40,105,110,32,100,105,114,101,99,116,105,111,110,32,111,102,32,102,108,117,120,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,49,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,71,114,111,117,110,100,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,56,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7485688);
/* memory initializer */ allocate([34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,114,111,117,110,100,46,112,111,114,116,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7495928);
/* memory initializer */ allocate([98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7506168);
/* memory initializer */ allocate([111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,115,48,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,105,110,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,108,105,109,105,116,95,120,77,97,120,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,98,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,102,108,97,110,103,101,95,97,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,102,108,97,110,103,101,46,102,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7516408);
/* memory initializer */ allocate([54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7526648);
/* memory initializer */ allocate([105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,114,111,109,32,112,111,114,116,95,112,32,116,111,32,112,111,114,116,95,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7536888);
/* memory initializer */ allocate([115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,102,114,111,109,32,112,105,110,32,112,32,116,111,32,112,105,110,32,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,110,46,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,114,114,101,110,116,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,57,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,57,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,82,101,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,70,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,102,108,97,110,103,101,46,102,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,117,116,32,102,111,114,99,101,32,100,105,114,101,99,116,101,100,32,105,110,116,111,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,70,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,51,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,78,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,78,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,56,48,34,32,115,116,97,114,116,67,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7547128);
/* memory initializer */ allocate([117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,56,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,115,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,56,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,51,57,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,109,97,103,110,101,116,105,99,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,49,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,49,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,112,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,112,111,114,116,95,110,46,80,104,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,102,108,117,120,32,102,108,111,119,105,110,103,32,105,110,116,111,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,80,104,105,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,87,98,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,87,98,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,104,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,101,109,112,101,114,97,116,117,114,101,32,111,102,32,72,101,97,116,80,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,49,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,56,56,46,49,53,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,116,114,117,101,34,32,110,111,109,105,110,97,108,61,34,51,48,48,46,48,34,32,109,105,110,61,34,48,46,48,34,32,117,110,105,116,61,34,75,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,100,101,103,67,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,102,108,97,110,103,101,95,97,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,102,108,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7557368);
/* memory initializer */ allocate([34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,112,111,114,116,95,112,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,112,111,114,116,95,110,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,56,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,56,57,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,86,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,77,97,103,110,101,116,105,99,32,112,111,116,101,110,116,105,97,108,32,100,105,102,102,101,114,101,110,99,101,32,98,101,116,119,101,101,110,32,98,111,116,104,32,112,111,114,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,86,95,109,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,65,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,65,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,112,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,111,116,101,110,116,105,97,108,32,97,116,32,116,104,101,32,112,105,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,53,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,86,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,86,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,56,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,56,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7567608);
/* memory initializer */ allocate([97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,76,111,97,100,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,118,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,100,105,115,116,97,110,99,101,32,40,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,102,108,97,110,103,101,95,97,46,115,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,44,32,97,108,105,97,115,32,102,111,114,32,102,108,97,110,103,101,32,112,111,115,105,116,105,111,110,32,40,105,100,101,110,116,105,99,97,108,32,119,105,116,104,32,108,101,110,103,116,104,32,111,102,32,119,111,114,107,105,110,103,32,97,105,114,32,103,97,112,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,97,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,97,99,99,101,108,101,114,97,116,105,111,110,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,40,61,32,100,101,114,40,118,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,57,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,57,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,109,47,115,50,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,109,47,115,50,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,115,41,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,105,115,116,97,110,99,101,32,98,101,116,119,101,101,110,32,102,108,97,110,103,101,32,97,110,100,32,115,117,112,112,111,114,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,118,95,114,101,108,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,82,101,108,97,116,105,118,101,32,118,101,108,111,99,105,116,121,32,40,61,32,100,101,114,40,115,95,114,101,108,41,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,101,103,97,116,101,100,65,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,76,111,97,100,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,118,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,118,101,108,111,99,105,116,121,32,111,102,32,99,111,109,112,111,110,101,110,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,76,111,97,100,46,97,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7577848);
/* memory initializer */ allocate([32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,65,98,115,111,108,117,116,101,32,112,111,115,105,116,105,111,110,32,111,102,32,99,101,110,116,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,32,40,115,32,61,32,102,108,97,110,103,101,95,97,46,115,32,43,32,76,47,50,32,61,32,102,108,97,110,103,101,95,98,46,115,32,45,32,76,47,50,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,118,95,114,101,108,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,52,53,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,52,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,57,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,99,111,108,117,109,110,115,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,108,117,109,110,115,32,111,102,32,116,97,98,108,101,32,116,111,32,98,101,32,105,110,116,101,114,112,111,108,97,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,54,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,112,104,105,95,114,101,108,32,97,110,100,32,119,95,114,101,108,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,53,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,53,50,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,112,114,101,102,101,114,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,100,108,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,100,108,66,121,100,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,114,105,118,97,116,105,118,101,32,111,102,32,102,108,117,120,32,116,117,98,101,39,115,32,118,97,114,121,105,110,103,32,100,105,109,101,110,115,105,111,110,32,119,105,116,104,32,114,101,115,112,101,99,116,32,116,111,32,97,114,109,97,116,117,114,101,32,112,111,115,105,116,105,111,110,59,32,115,101,116,32,116,111,32,43,49,32,111,114,32,45,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,49,48,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,80,114,105,111,114,105,116,121,32,116,111,32,117,115,101,32,115,32,97,110,100,32,118,32,97,115,32,115,116,97,116,101,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,51,55,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,51,55,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,83,116,97,116,101,83,101,108,101,99,116,46,100,101,102,97,117,108,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,109,111,111,116,104,110,101,115,115,32,111,102,32,116,97,98,108,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7588088);
/* memory initializer */ allocate([108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,54,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,69,120,116,114,97,112,111,108,97,116,105,111,110,32,111,102,32,100,97,116,97,32,111,117,116,115,105,100,101,32,116,104,101,32,100,101,102,105,110,105,116,105,111,110,32,114,97,110,103,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,54,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,56,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,56,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,111,110,116,97,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,111,110,116,97,99,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,99,111,110,116,97,99,116,44,32,111,116,104,101,114,119,105,115,101,32,110,111,32,99,111,110,116,97,99,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,55,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,49,55,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,51,57,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,51,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,54,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7598328);
/* memory initializer */ allocate([60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,72,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,48,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,51,48,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,117,115,101,72,101,97,116,80,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,116,114,117,101,44,32,105,102,32,104,101,97,116,80,111,114,116,32,105,115,32,101,110,97,98,108,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,84,104,101,114,109,97,108,47,72,101,97,116,84,114,97,110,115,102,101,114,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,117,115,101,83,117,112,112,111,114,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,115,117,112,112,111,114,116,32,102,108,97,110,103,101,32,101,110,97,98,108,101,100,44,32,111,116,104,101,114,119,105,115,101,32,105,109,112,108,105,99,105,116,108,121,32,103,114,111,117,110,100,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,53,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,53,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,110,111,110,76,105,110,101,97,114,80,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,110,111,110,45,108,105,110,101,97,114,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,32,105,115,32,117,115,101,100,44,32,111,116,104,101,114,119,105,115,101,32,99,111,110,115,116,97,110,116,32,114,101,108,46,32,112,101,114,109,101,97,98,105,108,105,116,121,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,57,57,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,55,34,32,101,110,100,76,105,110,101,32,61,32,34,51,57,57,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7608568);
/* memory initializer */ allocate([34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,116,97,98,108,101,32,105,115,32,100,101,102,105,110,101,100,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,52,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,118,101,114,98,111,115,101,82,101,97,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,61,32,116,114,117,101,44,32,105,102,32,105,110,102,111,32,109,101,115,115,97,103,101,32,116,104,97,116,32,102,105,108,101,32,105,115,32,108,111,97,100,105,110,103,32,105,115,32,116,111,32,98,101,32,112,114,105,110,116,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,78,97,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,97,98,108,101,32,110,97,109,101,32,111,110,32,102,105,108,101,32,111,114,32,105,110,32,102,117,110,99,116,105,111,110,32,117,115,101,114,116,97,98,32,40,115,101,101,32,100,111,99,117,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,115,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,52,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,102,105,108,101,78,97,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,52,48,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,70,105,108,101,32,119,104,101,114,101,32,109,97,116,114,105,120,32,105,115,32,115,116,111,114,101,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,115,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,50,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,53,34,32,101,110,100,76,105,110,101,32,61,32,34,50,50,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,83,116,114,105,110,103,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,78,111,78,97,109,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,73,110,102,108,97,116,101,68,97,116,97,84,121,112,101,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,46,46,46,32,108,111,97,100,105,110,103,32,34,37,115,34,32,102,114,111,109,32,34,37,115,34,10,0,0,0,0,0,77,97,114,0,0,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,70,101,98,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,0,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,74,97,110,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,77,111,100,101,108,105,99,97,46,77,97,103,110,101,116,105,99,46,70,108,117,120,84,117,98,101,115,46,69,120,97,109,112,108,101,115,46,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,46,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,0,0,0,0,32,32,32,32,32,32,32,32,32,32,32,32,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,95,110,101,120,116,84,105,109,101,69,118,101,110,116,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,78,111,110,45,117,110,105,116,0,0,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,85,78,75,78,79,87,78,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,84,101,109,112,101,114,97,116,117,114,101,32,111,117,116,115,105,100,101,32,115,99,111,112,101,32,111,102,32,109,111,100,101,108,33,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,77,65,84,76,65,66,32,53,46,48,32,77,65,84,45,102,105,108,101,44,32,80,108,97,116,102,111,114,109,58,32,37,115,44,32,67,114,101,97,116,101,100,32,98,121,58,32,108,105,98,109,97,116,105,111,32,118,37,100,46,37,100,46,37,100,32,111,110,32,37,115,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,80,79,0,0,0,0,0,0,79,99,116,111,98,101,114,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,119,98,0,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,0,0,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,0,0,0,0,0,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,65,117,103,117,115,116,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,74,117,108,121,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,116,111,111,32,109,97,110,121,32,108,101,110,103,116,104,32,111,114,32,100,105,115,116,97,110,99,101,32,115,121,109,98,111,108,115,0,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,65,110,32,101,114,114,111,114,32,111,99,99,117,114,114,101,100,32,105,110,32,114,101,97,100,105,110,103,32,116,104,101,32,77,65,84,32,102,105,108,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,100,105,109,115,105,122,101,32,61,61,32,101,108,116,115,91,105,93,45,62,100,105,109,95,115,105,122,101,91,99,117,114,100,105,109,93,32,38,38,32,34,68,105,109,101,110,115,105,111,110,115,32,115,105,122,101,32,110,111,116,32,115,97,109,101,34,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,32,94,32,50,46,48,0,74,117,110,101,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,36,112,68,69,82,46,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,116,111,111,32,102,97,114,32,98,97,99,107,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,77,97,121,0,0,0,0,0,46,77,65,84,0,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,36,90,69,82,79,46,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,0,0,0,0,0,0,0,105,108,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,0,0,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,65,112,114,105,108,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,32,94,32,50,46,48,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,77,97,114,99,104,0,0,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,85,112,112,101,114,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7618808);
/* memory initializer */ allocate([118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,74,97,110,117,97,114,121,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,108,105,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,84,82,73,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,46,0,0,0,0,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,32,40,115,99,97,108,101,100,41,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,37,115,37,49,48,103,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,32,94,32,50,46,48,0,0,0,0,49,46,50,46,56,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,110,117,109,101,114,105,99,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,32,94,32,50,46,48,0,115,116,97,116,101,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,110,111,110,101,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,0,0,0,0,0,85,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,100,101,98,117,103,0,0,0,105,110,118,97,108,105,100,32,115,116,111,114,101,100,32,98,108,111,99,107,32,108,101,110,103,116,104,115,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,101,114,114,111,114,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,0,0,0,0,0,0,0,73,110,102,108,97,116,101,86,97,114,78,97,109,101,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,46,109,97,116,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,119,97,114,110,105,110,103,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,105,105,116,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,76,111,97,100,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,0,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,105,112,111,112,116,0,0,0,105,110,102,111,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,97,100,118,97,110,99,101,100,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,100,97,116,97,95,50,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,38,103,116,59,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,85,110,105,116,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,107,105,110,115,111,108,0,0,38,108,116,59,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,0,0,0,0,0,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,85,110,104,97,110,100,108,101,100,32,65,115,115,101,114,116,105,111,110,45,69,114,114,111,114,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,38,97,109,112,59,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,108,97,112,97,99,107,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,66,82,68,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,69,114,114,111,114,58,32,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,0,102,105,120,101,100,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,10,9,114,101,115,105,100,117,97,108,32,61,32,37,101,0,0,0,0,110,101,119,117,111,97,0,0,34,32,47,62,10,0,0,0,73,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,32,118,97,108,117,101,115,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,115,105,109,112,108,101,120,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,66,97,115,105,99,46,109,111,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,105,115,32,78,85,76,76,33,10,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,65,115,115,101,114,116,105,111,110,32,116,114,105,103,103,101,114,101,100,32,98,121,32,101,120,116,101,114,110,97,108,32,67,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,34,62,10,0,0,0,0,0,105,110,118,97,108,105,100,32,98,108,111,99,107,32,116,121,112,101,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,65,110,97,108,111,103,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,117,116,105,108,47,98,97,115,101,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,0,0,0,0,0,0,0,73,110,102,108,97,116,101,86,97,114,78,97,109,101,84,97,103,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,114,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,73,110,102,108,97,116,101,83,107,105,112,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,70,117,110,99,116,105,111,110,32,34,117,115,101,114,116,97,98,34,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,10,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7629048);
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,124,32,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,37,45,55,115,32,124,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,91,37,100,93,58,32,37,115,32,61,32,37,103,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,0,0,0,116,105,109,101,32,62,61,32,112,114,101,40,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,101,120,116,84,105,109,101,69,118,101,110,116,41,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,124,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,0,0,0,37,115,0,0,0,0,0,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,68,84,82,83,77,32,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,83,84,79,80,32,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,0,0,0,0,0,0,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,37,115,0,0,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,72,82,68,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,102,117,110,99,32,61,32,37,100,32,43,43,43,32,101,114,114,111,114,32,61,32,37,46,49,53,101,32,43,43,43,32,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,49,53,101,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,101,114,114,111,114,10,0,0,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,70,97,105,108,101,100,32,116,111,32,115,111,108,118,101,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,44,32,115,121,115,116,101,109,32,105,115,32,115,105,110,103,117,108,97,114,32,102,111,114,32,85,91,37,100,44,32,37,100,93,46,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,0,0,0,0,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,108,117,120,84,117,98,101,115,95,69,120,97,109,112,108,101,115,95,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,95,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,57,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,57,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,57,44,57,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,57,44,48,93,32,61,32,122,101,114,111,115,40,57,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,57,93,32,61,32,122,101,114,111,115,40,48,44,57,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,57,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,115,105,109,112,108,101,83,111,108,101,110,111,105,100,80,103,95,109,76,101,97,107,87,111,114,107,80,80,104,105,32,61,32,120,91,49,93,59,10,32,32,82,101,97,108,32,120,95,80,115,105,109,112,108,101,83,111,108,101,110,111,105,100,80,97,114,109,97,116,117,114,101,80,115,116,111,112,112,101,114,95,120,77,105,110,80,118,95,114,101,108,32,61,32,120,91,50,93,59,10,32,32,82,101,97,108,32,120,95,80,115,105,109,112,108,101,83,111,108,101,110,111,105,100,80,120,32,61,32,120,91,51,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,103,95,109,76,101,97,107,87,111,114,107,80,80,104,105,32,61,32,120,91,52,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,97,114,109,97,116,117,114,101,80,115,116,111,112,112,101,114,95,120,77,105,110,80,118,95,114,101,108,32,61,32,120,91,53,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,120,32,61,32,120,91,54,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,99,95,112,97,114,50,80,118,32,61,32,120,91,55,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,99,95,112,97,114,49,80,118,32,61,32,120,91,56,93,59,10,32,32,82,101,97,108,32,120,95,80,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,80,99,111,105,108,49,80,105,32,61,32,120,91,57,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,77,97,103,110,101,116,105,99,95,70,108,117,120,84,117,98,101,115,95,69,120,97,109,112,108,101,115,95,83,111,108,101,110,111,105,100,65,99,116,117,97,116,111,114,95,67,111,109,112,97,114,105,115,111,110,80,117,108,108,73,110,83,116,114,111,107,101,59,10,0,0,0,0,0,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,105,0,0,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,0,0,0,0,0,0,9,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,104,101,97,100,101,114,32,99,114,99,32,109,105,115,109,97,116,99,104,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,65,0,0,0,115,116,97,116,101,115,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,0,0,0,0,0,101,108,116,115,91,105,93,45,62,110,100,105,109,115,32,61,61,32,110,100,105,109,115,32,38,38,32,34,78,111,116,32,115,97,109,101,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,34,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,73,110,102,108,97,116,101,68,105,109,101,110,115,105,111,110,115,58,32,82,101,97,100,105,110,103,32,100,105,109,101,110,115,105,111,110,115,32,101,120,112,101,99,116,101,100,32,116,121,112,101,32,77,65,84,95,84,95,73,78,84,51,50,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,78,0,0,0,0,0,0,0,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,78,111,32,116,97,98,108,101,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,100,101,116,101,99,116,105,111,110,32,111,102,32,116,105,109,101,32,101,118,101,110,116,115,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,105,105,102,0,0,0,0,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,80,77,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,37,115,40,115,116,97,114,116,61,37,103,41,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,65,77,0,0,0,0,0,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,60,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,0,0,0,0,76,111,119,101,114,0,0,0,85,110,105,116,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,63,63,63,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,109,97,115,115,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,49,46,78,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,67,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,0,0,0,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7639288);
/* memory initializer */ allocate([32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,81,76,70,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,42,42,42,32,83,121,115,116,101,109,32,115,111,108,118,101,100,32,42,42,42,10,37,100,32,114,101,115,116,97,114,116,115,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,87,101,108,108,44,32,116,104,105,115,32,105,115,32,101,109,98,97,114,114,97,115,105,110,103,46,32,84,104,101,32,110,111,110,45,108,105,110,101,97,114,32,115,111,108,118,101,114,32,115,104,111,117,108,100,32,110,101,118,101,114,32,99,97,108,108,32,116,104,105,115,32,99,97,115,101,46,37,100,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,69,114,114,111,114,32,115,111,108,118,105,110,103,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,111,102,32,101,113,117,97,116,105,111,110,115,32,40,110,111,46,32,37,100,41,32,97,116,32,116,105,109,101,32,37,102,46,32,65,114,103,117,109,101,110,116,32,37,100,32,105,108,108,101,103,97,108,46,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,0,0,0,0,0,0,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,101,110,100,102,105,108,101,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,45,45,32,101,110,100,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,0,0,0,0,0,0,0,0,100,97,115,115,108,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,0,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,32,73,79,0,0,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,45,45,32,98,101,103,105,110,32,99,97,108,99,117,108,97,116,105,110,103,32,106,97,99,111,98,105,97,110,32,45,45,0,0,0,0,0,0,0,0,117,110,107,110,111,119,110,32,104,101,97,100,101,114,32,102,108,97,103,115,32,115,101,116,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,0,0,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,45,45,32,101,110,100,32,111,102,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,73,110,102,108,97,116,101,68,105,109,101,110,115,105,111,110,115,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,85,110,107,110,111,119,110,32,101,120,116,114,97,112,111,108,97,116,105,111,110,32,107,105,110,100,10,0,0,0,0,0,37,46,49,54,103,44,0,0,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,0,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,85,110,107,110,111,119,110,32,101,113,117,97,116,105,111,110,32,115,121,115,116,101,109,32,101,114,114,111,114,58,32,37,100,32,37,115,32,37,103,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,110,111,109,105,110,97,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,0,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,120,32,118,101,99,116,111,114,0,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,99,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,45,45,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,99,97,108,108,32,37,100,32,45,45,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,41,41,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,97,120,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,97,120,95,52,55,55,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,100,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,60,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,0,0,0,0,76,101,102,116,0,0,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,82,95,109,0,0,0,91,37,50,100,93,32,37,50,48,46,49,50,103,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,120,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,110,32,62,61,32,49,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,7,0,0,0,0,0,0,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,0,0,0,108,97,109,98,100,97,0,0,110,102,117,110,99,32,61,32,37,100,10,101,114,114,111,114,32,61,32,37,46,50,48,101,10,101,114,114,111,114,95,115,99,97,108,101,100,32,61,32,37,46,50,48,101,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,84,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,76,81,70,0,0,0,0,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,119,114,105,116,105,110,103,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,82,95,109,0,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,32,43,43,43,32,111,108,100,32,61,32,37,101,32,43,43,43,32,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,101,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,0,0,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,115,116,97,116,105,115,116,105,99,115,0,0,0,0,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,115,99,97,108,105,110,103,32,61,32,37,102,10,111,108,100,32,61,32,37,102,10,101,120,116,114,97,112,111,108,97,116,101,100,32,61,32,37,102,0,78,76,83,95,77,65,88,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,98,32,118,101,99,116,111,114,32,91,37,100,93,0,0,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,0,0,117,110,107,110,111,119,110,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,114,101,97,100,105,110,103,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,82,95,109,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,115,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,0,0,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,102,117,110,99,116,105,111,110,115,0,0,0,0,0,0,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,80,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7649528);
/* memory initializer */ allocate([117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,120,91,37,100,93,32,61,32,37,46,50,48,101,32,91,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,61,32,37,49,54,101,93,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,105,110,118,97,108,105,100,32,119,105,110,100,111,119,32,115,105,122,101,0,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,97,103,110,101,116,105,99,47,70,108,117,120,84,117,98,101,115,46,109,111,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,0,0,0,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,32,115,105,122,101,32,102,111,114,32,100,105,109,101,110,115,105,111,110,32,37,100,32,105,115,32,37,100,32,60,32,48,33,10,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,0,0,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,73,110,102,108,97,116,101,65,114,114,97,121,70,108,97,103,115,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,84,104,101,32,118,97,108,117,101,115,32,111,102,32,116,104,101,32,102,105,114,115,116,32,99,111,108,117,109,110,32,111,102,32,116,97,98,108,101,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,97,114,101,32,110,111,116,32,109,111,110,111,116,111,110,105,99,97,108,108,121,32,105,110,99,114,101,97,115,105,110,103,32,98,101,99,97,117,115,101,32,37,115,40,37,108,117,44,49,41,32,40,61,37,108,102,41,32,62,32,37,115,40,37,108,117,44,49,41,32,40,61,37,108,102,41,46,10,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,32,45,32,36,95,115,116,97,114,116,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,111,105,108,50,46,105,41,0,0,0,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,0,0,0,0,0,69,120,116,114,97,112,111,108,97,116,105,111,110,32,101,114,114,111,114,10,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,110,108,115,32,115,116,97,116,117,115,0,0,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,105,109,112,114,111,112,101,114,32,105,110,112,117,116,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,110,111,110,108,105,110,101,97,114,32,101,113,46,32,115,121,115,116,58,32,37,115,32,97,116,32,116,105,109,101,32,37,103,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,84,97,98,108,101,32,109,97,116,114,105,120,32,34,37,115,34,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,97,32,112,111,115,105,116,105,118,101,32,112,101,114,105,111,100,47,99,121,108,99,101,32,116,105,109,101,32,102,111,114,32,116,105,109,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,119,105,116,104,32,112,101,114,105,111,100,105,99,32,101,120,116,114,97,112,111,108,97,116,105,111,110,46,10,0,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,76,111,97,100,46,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,76,111,97,100,46,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,99,111,109,109,101,110,116,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,0,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,37,115,40,110,111,109,105,110,97,108,61,37,103,41,0,0,84,97,98,108,101,32,109,97,116,114,105,120,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,97,112,112,114,111,112,114,105,97,116,101,32,100,105,109,101,110,115,105,111,110,115,32,102,111,114,32,116,105,109,101,32,105,110,116,101,114,112,111,108,97,116,105,111,110,46,10,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,103,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,114,101,100,117,99,101,32,116,104,101,32,116,111,108,101,114,97,110,99,101,32,115,108,105,103,104,116,108,121,32,116,111,32,37,101,46,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,95,109,105,110,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,95,109,105,110,95,52,55,55,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,116,105,109,101,32,60,32,115,105,109,112,108,101,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,77,101,99,104,97,110,105,99,115,47,84,114,97,110,115,108,97,116,105,111,110,97,108,46,109,111,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,0,0,0,116,105,109,101,32,60,32,97,100,118,97,110,99,101,100,83,111,117,114,99,101,46,115,105,103,110,97,108,83,111,117,114,99,101,46,115,116,97,114,116,84,105,109,101,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,68,71,69,84,82,83,0,0,76,111,119,101,114,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,37,115,58,32,37,115,10,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,105,115,97,98,108,101,32,115,111,108,118,101,114,32,105,110,116,101,114,110,97,108,32,115,99,97,108,105,110,103,46,0,0,0,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,78,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,86,97,114,105,97,98,108,101,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,62,61,32,83,116,97,116,101,83,101,108,101,99,116,46,110,101,118,101,114,32,97,110,100,32,115,105,109,112,108,101,76,111,97,100,46,115,116,97,116,101,83,101,108,101,99,116,32,60,61,32,83,116,97,116,101,83,101,108,101,99,116,46,97,108,119,97,121,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,37,35,46,42,102,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,68,71,69,84,82,70,0,0,12,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,68,71,69,84,70,50,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,32,111,119,110,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,68,71,69,83,86,32,0,0,119,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,68,71,69,77,77,32,0,0,84,104,101,32,118,97,108,117,101,115,32,111,102,32,116,104,101,32,102,105,114,115,116,32,99,111,108,117,109,110,32,111,102,32,116,97,98,108,101,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,97,114,101,32,110,111,116,32,115,116,114,105,99,116,108,121,32,105,110,99,114,101,97,115,105,110,103,32,98,101,99,97,117,115,101,32,37,115,40,37,108,117,44,49,41,32,40,61,37,108,102,41,32,62,61,32,37,115,40,37,108,117,44,49,41,32,40,61,37,108,102,41,46,10,0,0,0,0,0,0,0,0,117,110,107,110,111,119,110,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,62,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,76,105,110,101,97,114,83,101,103,109,101,110,116,115,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,115,109,111,111,116,104,110,101,115,115,32,60,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,83,109,111,111,116,104,110,101,115,115,46,67,111,110,115,116,97,110,116,83,101,103,109,101,110,116,115,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,32,94,32,50,46,48,0,0,0,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,82,81,70,0,0,0,0,0,37,115,0,0,0,0,0,0,105,110,100,101,120,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,120,91,37,100,93,32,61,32,37,46,49,53,101,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,0,0,0,0,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,115,32,105,110,105,116,105,97,108,32,112,111,105,110,116,46,0,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,120,91,37,100,93,32,61,32,37,102,0,0,0,0,0,0,110,101,119,116,111,110,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,37,115,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,83,111,117,114,99,101,115,46,109,111,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,0,0,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,65,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,45,49,37,37,46,0,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,78,111,78,97,109,101,0,0,119,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108,97,116,105,111,110,32,62,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,72,111,108,100,76,97,115,116,80,111,105,110,116,32,97,110,100,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,101,120,116,114,97,112,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7659768);
/* memory initializer */ allocate([97,116,105,111,110,32,60,61,32,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,84,121,112,101,115,46,69,120,116,114,97,112,111,108,97,116,105,111,110,46,78,111,69,120,116,114,97,112,111,108,97,116,105,111,110,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,40,49,46,48,32,43,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,66,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,71,95,109,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,105,110,105,116,105,97,108,32,112,111,105,110,116,32,98,121,32,97,100,100,105,110,103,32,49,37,37,46,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,32,99,111,100,101,0,0,0,0,0,84,104,101,32,102,105,108,101,32,110,97,109,101,32,102,111,114,32,97,32,116,97,98,108,101,32,40,61,32,34,37,115,34,41,32,105,115,32,100,101,102,105,110,101,100,44,32,98,117,116,32,110,111,116,32,116,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,116,97,98,108,101,32,110,97,109,101,46,10,0,0,0,115,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,66,108,111,99,107,115,47,73,110,116,101,114,102,97,99,101,115,46,109,111,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,108,0,0,0,0,0,0,0,69,66,90,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,117,115,101,32,111,108,100,32,118,97,108,117,101,115,32,105,110,115,116,101,97,100,32,101,120,116,114,97,112,111,108,97,116,101,100,46,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,65,0,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,101,110,32,114,101,97,100,105,110,103,32,110,117,109,101,114,105,99,32,100,97,116,97,32,111,102,32,109,97,116,114,105,120,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,102,114,111,109,32,102,105,108,101,32,34,37,115,34,10,0,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,110,111,117,116,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,102,97,108,115,101,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,108,0,0,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,65,0,0,0,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,83,84,0,0,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,115,105,122,101,115,32,97,114,101,32,78,85,76,76,33,10,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,116,111,32,115,111,108,118,101,32,97,32,100,105,115,99,111,110,116,105,110,117,111,117,115,32,115,121,115,116,101,109,46,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,40,105,32,62,32,48,41,32,38,38,32,40,105,32,60,61,32,97,45,62,110,100,105,109,115,41,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,73,110,102,108,97,116,101,86,97,114,84,97,103,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,0,84,97,98,108,101,32,109,97,116,114,105,120,32,34,37,115,34,32,109,117,115,116,32,110,111,116,32,98,101,32,99,111,109,112,108,101,120,46,10,0,112,111,114,116,0,0,0,0,58,32,0,0,0,0,0,0,100,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,71,95,109,0,0,0,0,0,99,111,108,69,110,100,0,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,115,109,111,111,116,104,110,101,115,115,32,107,105,110,100,10,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,85,85,77,0,0,0,0,0,115,111,108,118,101,114,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,119,105,116,104,111,117,116,32,115,99,97,108,105,110,103,32,97,116,32,97,108,108,46,0,0,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,98,97,115,101,95,97,114,114,97,121,95,111,107,40,97,41,0,0,0,0,0,0,0,0,99,112,117,0,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,116,111,32,100,101,99,114,101,97,115,101,32,102,97,99,116,111,114,32,116,111,32,37,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,84,97,98,108,101,32,109,97,116,114,105,120,32,34,37,115,34,32,104,97,115,32,110,111,116,32,116,104,101,32,114,101,113,117,105,114,101,100,32,100,111,117,98,108,101,32,112,114,101,99,105,115,105,111,110,32,99,108,97,115,115,46,10,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,0,0,0,0,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,0,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,76,65,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,111,108,100,32,118,97,108,117,101,115,32,97,115,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,46,0,0,0,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,84,97,98,108,101,32,97,114,114,97,121,32,34,37,115,34,32,104,97,115,32,110,111,116,32,116,104,101,32,114,101,113,117,105,114,101,100,32,114,97,110,107,32,50,46,10,0,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,117,95,114,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,0,0,102,97,108,115,101,0,0,0,80,66,0,0,0,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,105,108,108,101,103,97,108,32,32,105,110,112,117,116,32,105,110,32,97,114,103,117,109,101,110,116,32,37,100,0,0,0,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,118,97,114,121,32,115,111,108,117,116,105,111,110,32,112,111,105,110,116,32,98,121,32,49,37,37,46,0,0,0,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,0,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,46,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,32,45,32,36,84,77,80,95,99,111,109,112,97,114,105,115,111,110,87,105,116,104,70,69,65,36,80,116,97,98,108,101,79,110,70,105,108,101,82,101,97,100,95,52,55,55,0,69,114,114,111,114,32,105,110,32,108,105,110,101,32,37,108,117,32,119,104,101,110,32,114,101,97,100,105,110,103,32,110,117,109,101,114,105,99,32,100,97,116,97,32,111,102,32,109,97,116,114,105,120,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,102,114,111,109,32,102,105,108,101,32,34,37,115,34,10,0,0,0,0,0,111,117,116,112,117,116,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,48,32,38,38,32,34,68,105,109,101,110,115,105,111,110,32,115,105,122,101,32,62,32,52,32,110,111,116,32,105,109,112,108,46,32,121,101,116,34,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,109,117,95,114,67,111,110,115,116,32,42,32,49,46,50,53,54,54,51,55,48,54,49,52,51,53,57,49,55,101,45,48,54,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,32,60,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,97,120,46,115,95,114,101,108,48,0,0,0,0,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,67,0,0,0,0,0,0,0,76,101,102,116,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,71,66,0,0,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,74,97,99,111,98,105,97,110,32,77,97,116,114,105,120,32,115,105,110,103,117,108,97,114,33,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,100,101,99,114,101,97,115,105,110,103,32,105,110,105,116,105,97,108,32,115,116,101,112,32,98,111,117,110,100,32,116,111,32,37,102,46,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,78,111,32,72,68,70,53,32,115,117,112,112,111,114,116,32,119,104,105,99,104,32,105,115,32,114,101,113,117,105,114,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,118,55,46,51,32,77,65,84,32,102,105,108,101,32,34,37,115,34,0,0,0,0,0,0,0,0,69,110,100,45,111,102,45,102,105,108,101,32,114,101,97,99,104,101,100,32,119,104,101,110,32,114,101,97,100,105,110,103,32,110,117,109,101,114,105,99,32,100,97,116,97,32,111,102,32,109,97,116,114,105,120,32,34,37,115,40,37,108,117,44,37,108,117,41,34,32,102,114,111,109,32,102,105,108,101,32,34,37,115,34,10,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,0,0,0,0,101,108,116,115,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,65,0,0,0,0,0,0,115,116,97,114,116,105,111,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,102,105,108,101,0,0,0,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,65,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,85,78,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,37,115,0,0,0,0,0,0,84,0,0,0,0,0,0,0,84,97,98,108,101,32,109,97,116,114,105,120,32,34,37,115,34,32,110,111,116,32,102,111,117,110,100,32,111,110,32,102,105,108,101,32,34,37,115,34,46,10,0,0,0,0,0,0,110,111,101,109,105,116,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,0,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,87,111,114,107,46,71,95,109,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,0,0,97,115,115,101,114,116,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,81,82,70,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,83,116,97,114,116,32,115,111,108,118,105,110,103,32,78,111,110,45,76,105,110,101,97,114,32,83,121,115,116,101,109,32,37,115,32,97,116,32,116,105,109,101,32,37,103,32,119,105,116,104,32,78,101,119,116,111,110,32,83,111,108,118,101,114,0,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,71,95,109,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,66,82,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,37,100,32,114,101,116,114,105,101,115,10,37,100,32,114,101,115,116,97,114,116,115,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,0,0,0,0,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,115,116,97,114,116,32,115,111,108,118,105,110,103,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,62,62,37,115,60,60,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,37,115,37,50,48,46,49,50,103,32,0,0,0,0,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,37,108,100,32,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,37,115,32,100,111,101,115,32,110,111,116,32,115,101,101,109,32,116,111,32,98,101,32,97,32,118,97,108,105,100,32,77,65,84,32,102,105,108,101,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,32,9,44,59,13,0,0,0,110,108,115,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,114,97,116,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7670008);
/* memory initializer */ allocate([41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,71,95,109,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,84,82,0,0,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,115,121,115,116,101,109,32,115,111,108,118,101,100,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,77,65,84,32,102,105,108,101,0,0,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,102,108,111,97,116,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,63,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,49,46,71,95,109,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,0,76,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,72,82,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,105,110,99,111,114,114,101,99,116,32,108,101,110,103,116,104,32,99,104,101,99,107,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,99,111,100,101,0,0,0,100,111,117,98,108,101,0,0,108,118,0,0,0,0,0,0,83,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,32,94,32,50,46,48,32,42,32,40,49,46,48,32,43,32,51,46,49,52,49,53,57,50,54,53,51,53,56,57,55,57,51,32,42,32,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,87,111,114,107,46,114,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,41,41,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,100,101,102,105,110,101,115,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,71,95,109,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,81,76,0,0,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,37,115,0,0,0,0,0,0,37,115,37,49,48,103,32,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,119,105,108,108,32,116,114,121,32,116,111,32,104,97,110,100,108,101,32,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,58,32,37,115,0,0,0,0,105,110,99,111,114,114,101,99,116,32,104,101,97,100,101,114,32,99,104,101,99,107,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,105,110,99,111,114,114,101,99,116,32,100,97,116,97,32,99,104,101,99,107,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,114,98,0,0,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,32,9,40,44,41,13,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,66,111,111,108,101,97,110,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,120,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,73,110,116,101,103,101,114,0,44,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,76,81,0,0,0,0,0,0,101,118,101,110,116,115,0,0,37,115,37,49,48,103,32,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,115,65,108,105,0,0,0,0,98,97,115,101,95,97,114,114,97,121,46,99,58,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,60,32,48,33,10,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,108,0,0,0,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,80,97,114,0,0,0,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,116,111,111,32,102,97,114,32,98,97,99,107,0,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,102,111,114,109,97,116,32,97,110,100,32,118,101,114,115,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,32,105,110,32,102,105,114,115,116,32,108,105,110,101,32,111,102,32,102,105,108,101,32,34,37,115,34,58,32,34,35,49,34,32,101,120,112,101,99,116,101,100,44,32,98,117,116,32,34,37,99,37,99,34,32,102,111,117,110,100,46,10,0,0,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,98,80,97,114,0,0,0,0,108,115,0,0,0,0,0,0,98,65,108,103,0,0,0,0,78,0,0,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,105,65,108,105,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,65,114,109,46,65,0,0,0,0,0,0,0,118,101,99,116,111,114,0,0,105,80,97,114,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,0,105,65,108,103,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,119,98,0,0,0,0,0,0,37,115,10,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,71,95,109,0,0,0,0,0,0,0,0,82,81,0,0,0,0,0,0,84,97,98,108,101,32,115,111,117,114,99,101,32,101,114,114,111,114,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,10,0,0,0,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,114,65,108,103,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,99,111,100,101,0,0,0,114,68,101,114,0,0,0,0,114,83,116,97,0,0,0,0,83,111,108,118,105,110,103,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,37,115,58,32,105,116,101,114,97,116,105,111,110,32,110,111,116,32,109,97,107,105,110,103,32,112,114,111,103,114,101,115,115,44,32,116,114,121,105,110,103,32,119,105,116,104,32,100,105,102,102,101,114,101,110,116,32,115,116,97,114,116,105,110,103,32,112,111,105,110,116,115,32,40,43,37,103,41,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,37,115,10,0,0,0,0,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,102,111,114,109,97,116,32,97,110,100,32,118,101,114,115,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,32,105,110,32,102,105,114,115,116,32,108,105,110,101,32,111,102,32,102,105,108,101,32,34,37,115,34,58,32,34,35,49,34,32,101,120,112,101,99,116,101,100,44,32,98,117,116,32,34,37,99,34,32,102,111,117,110,100,46,10,0,0,0,0,0,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,78,0,0,0,37,46,48,76,102,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,40,49,46,48,32,43,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,99,95,98,32,42,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,43,32,97,98,115,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,66,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,41,41,32,94,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,110,41,32,94,32,50,46,48,0,0,0,0,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,68,71,69,82,32,32,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,108,0,0,81,82,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,115,99,97,108,101,100,32,114,101,115,105,100,117,97,108,32,91,37,100,93,32,58,32,37,46,50,48,101,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,116,114,117,101,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,32,99,111,100,101,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,73,110,102,108,97,116,101,70,105,101,108,100,78,97,109,101,115,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,102,111,114,109,97,116,32,97,110,100,32,118,101,114,115,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,32,105,110,32,102,105,114,115,116,32,108,105,110,101,32,111,102,32,102,105,108,101,32,34,37,115,34,58,32,34,35,49,34,32,101,120,112,101,99,116,101,100,46,10,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,117,116,105,108,47,114,101,97,108,95,97,114,114,97,121,46,99,0,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,51,46,71,95,109,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,71,95,109,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,109,97,116,101,114,105,97,108,46,66,95,109,121,77,97,120,0,0,0,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,108,105,110,101,97,114,95,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,46,65,0,0,79,82,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,115,99,97,108,105,110,103,32,102,97,99,116,111,114,115,32,102,111,114,32,114,101,115,105,100,117,97,108,32,118,101,99,116,111,114,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,115,32,115,101,116,0,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,73,110,102,108,97,116,101,70,105,101,108,100,78,97,109,101,115,84,97,103,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,32,45,32,36,95,115,116,97,114,116,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,99,111,105,108,46,105,41,0,0,35,49,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,61,0,0,0,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,71,95,109,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,32,60,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,97,114,109,97,116,117,114,101,46,115,116,111,112,112,101,114,95,120,77,105,110,46,115,95,114,101,108,48,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,95,97,114,109,97,116,117,114,101,46,95,115,116,111,112,112,101,114,95,120,77,105,110,46,95,99,111,110,116,97,99,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,65,0,0,0,44,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,84,104,117,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,108,105,110,101,97,114,0,0,78,111,32,116,114,97,110,115,112,111,115,101,0,0,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,71,95,109,0,72,69,0,0,0,0,0,0,87,101,100,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,120,91,37,100,93,58,32,37,101,32,0,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,84,117,101,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,108,0,0,0,0,0,0,77,111,110,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,117,110,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,115,32,115,101,116,0,0,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0,0,0,0,0,0,0,0,73,110,102,108,97,116,101,70,105,101,108,100,78,97,109,101,76,101,110,103,116,104,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,70,114,105,100,97,121,0,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,102,105,114,115,116,32,108,105,110,101,32,102,114,111,109,32,102,105,108,101,32,34,37,115,34,58,32,69,110,100,45,79,102,45,70,105,108,101,32,114,101,97,99,104,101,100,46,10,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,60,78,85,76,76,62,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,40,78,85,76,76,41,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,95,97,114,109,97,116,117,114,101,46,95,115,116,111,112,112,101,114,95,120,77,97,120,46,95,99,111,110,116,97,99,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,71,95,109,0,86,97,114,105,97,98,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7680248);
/* memory initializer */ allocate([32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,67,95,112,97,114,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,115,102,101,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,79,117,116,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,71,69,0,0,0,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,71,83,84,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,0,83,117,110,100,97,121,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,35,35,35,35,35,35,35,35,35,32,83,116,97,114,116,32,78,101,119,116,111,110,32,109,97,120,102,101,118,58,32,37,100,32,35,35,35,35,35,35,35,35,35,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,121,111,107,101,73,110,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,97,114,109,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,104,101,108,112,0,0,0,0,78,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,104,111,95,115,116,101,101,108,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,100,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,97,116,32,116,105,109,101,32,37,46,49,54,103,44,32,100,105,118,105,115,111,114,58,32,37,115,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,105,110,118,97,108,105,100,32,99,111,100,101,32,45,45,32,109,105,115,115,105,110,103,32,101,110,100,45,111,102,45,98,108,111,99,107,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,49,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,59,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,73,110,102,108,97,116,101,68,97,116,97,58,32,105,110,102,108,97,116,101,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,78,111,116,32,112,111,115,115,105,98,108,101,32,116,111,32,111,112,101,110,32,102,105,108,101,32,34,37,115,34,58,32,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,10,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,44,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,50,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,111,44,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,102,105,101,108,100,115,91,37,100,93,32,110,111,116,32,77,65,84,95,84,95,77,65,84,82,73,88,44,32,102,112,111,115,32,61,32,37,108,100,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,37,115,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,105,44,0,0,0,0,0,102,105,101,108,100,115,91,37,100,93,44,32,85,110,99,111,109,112,114,101,115,115,101,100,32,116,121,112,101,32,110,111,116,32,77,65,84,95,84,95,77,65,84,82,73,88,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,65,105,114,80,97,114,46,114,95,105,0,0,0,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,95,97,114,109,97,116,117,114,101,46,95,115,116,111,112,112,101,114,95,120,77,105,110,46,95,99,111,110,116,97,99,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,0,115,116,100,111,117,116,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,49,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,69,114,114,111,114,32,103,101,116,116,105,110,103,32,102,105,101,108,100,110,97,109,101,32,115,105,122,101,0,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,114,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,84,82,70,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,95,114,101,102,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,102,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,99,101,108,108,115,91,37,100,93,32,110,111,116,32,77,65,84,95,84,95,77,65,84,82,73,88,44,32,102,112,111,115,32,61,32,37,108,100,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,84,82,68,0,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,35,35,35,32,78,111,32,83,111,108,117,116,105,111,110,33,32,35,35,35,10,32,97,102,116,101,114,32,37,100,32,114,101,115,116,97,114,116,115,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,65,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,114,95,112,97,114,50,46,84,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,105,110,102,108,97,116,101,67,111,112,121,32,114,101,116,117,114,110,101,100,32,101,114,114,111,114,32,37,100,0,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,65,32,109,97,116,114,105,120,32,91,37,100,120,37,100,93,0,0,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,78,111,78,97,109,101,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,49,46,67,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,69,120,112,101,99,116,101,100,32,77,65,84,95,84,95,85,73,78,84,51,50,32,102,111,114,32,65,114,114,97,121,32,84,97,103,115,44,32,103,111,116,32,37,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,99,95,112,97,114,50,46,67,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,99,101,108,108,115,91,37,100,93,44,32,85,110,99,111,109,112,114,101,115,115,101,100,32,116,121,112,101,32,110,111,116,32,77,65,84,95,84,95,77,65,84,82,73,88,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,105,110,118,97,108,105,100,32,98,105,116,32,108,101,110,103,116,104,32,114,101,112,101,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,99,101,108,108,32,37,100,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,97,108,105,97,115,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,49,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,37,115,45,62,100,97,116,97,0,0,73,110,102,108,97,116,101,68,97,116,97,58,32,110,66,121,116,101,115,32,109,117,115,116,32,98,101,32,62,32,48,0,114,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,105,111,109,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,83,105,100,101,50,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,71,95,109,76,101,97,107,82,97,100,46,114,95,105,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,68,101,99,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,78,111,116,32,112,111,115,115,105,98,108,101,32,116,111,32,114,101,97,100,32,99,111,109,112,114,101,115,115,101,100,32,118,55,32,77,65,84,32,102,105,108,101,32,34,37,115,34,0,0,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,76,101,97,107,50,46,71,95,109,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,95,97,114,109,97,116,117,114,101,46,95,115,116,111,112,112,101,114,95,120,77,97,120,46,95,99,111,110,116,97,99,116,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,84,114,97,110,115,112,111,115,101,0,0,0,0,0,0,0,78,111,118,0,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,77,111,100,101,108,32,101,114,114,111,114,58,32,65,114,103,117,109,101,110,116,32,111,102,32,108,111,103,40,68,73,86,73,83,73,79,78,40,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,44,32,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,41,41,32,119,97,115,32,37,103,32,115,104,111,117,108,100,32,98,101,32,62,32,48,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,85,110,99,111,109,112,114,101,115,115,101,100,32,116,121,112,101,32,110,111,116,32,77,65,84,95,84,95,77,65,84,82,73,88,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,79,99,116,0,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,105,110,102,108,97,116,101,73,110,105,116,50,32,114,101,116,117,114,110,101,100,32,37,100,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,66,111,116,46,114,95,111,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,83,89,0,0,0,0,0,0,115,105,109,112,108,101,83,111,108,101,110,111,105,100,46,103,95,109,70,101,89,111,107,101,66,111,116,46,114,95,105,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,32,45,32,105,116,101,114,97,116,105,111,110,32,109,97,107,105,110,103,32,110,111,32,112,114,111,103,114,101,115,115,58,9,32,116,114,121,32,110,111,109,105,110,97,108,32,118,97,108,117,101,115,32,97,115,32,105,110,105,116,105,97,108,32,115,111,108,117,116,105,111,110,46,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,49,46,50,46,53,0,0,0,86,97,114,105,97,98,108,101,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,97,100,118,97,110,99,101,100,83,111,108,101,110,111,105,100,46,103,95,109,70,101,80,111,108,101,46,114,95,105,32,62,61,32,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,65,117,103,0,0,0,0,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,115,105,122,101,95,111,102,95,100,105,109,101,110,115,105,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7690488);
/* memory initializer */ allocate([110,95,98,97,115,101,95,97,114,114,97,121,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,99,104,101,99,107,95,98,97,115,101,95,97,114,114,97,121,95,100,105,109,95,115,105,122,101,115,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,97,114,114,97,121,95,97,108,108,111,99,95,114,101,97,108,95,97,114,114,97,121,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,104,157,117,0,198,0,0,0,156,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,157,117,0,254,0,0,0,212,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,157,117,0,94,0,0,0,72,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,157,117,0,124,0,0,0,40,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,157,117,0,124,0,0,0,14,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,157,117,0,124,0,0,0,32,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,157,117,0,218,0,0,0,20,1,0,0,66,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,157,117,0,64,1,0,0,242,0,0,0,66,0,0,0,4,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,158,117,0,210,0,0,0,244,0,0,0,66,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,158,117,0,66,1,0,0,188,0,0,0,66,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,158,117,0,16,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,158,117,0,22,1,0,0,120,0,0,0,66,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,158,117,0,208,0,0,0,150,0,0,0,66,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,159,117,0,56,0,0,0,152,0,0,0,66,0,0,0,176,0,0,0,4,0,0,0,32,0,0,0,6,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,16,159,117,0,28,0,0,0,12,0,0,0,48,0,0,0,20,0,0,0,4,0,0,0,46,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,159,117,0,248,0,0,0,40,1,0,0,66,0,0,0,26,0,0,0,16,0,0,0,64,0,0,0,26,0,0,0,18,0,0,0,2,0,0,0,4,0,0,0,248,255,255,255,56,159,117,0,100,0,0,0,156,0,0,0,168,0,0,0,184,0,0,0,146,0,0,0,66,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,159,117,0,100,0,0,0,246,0,0,0,66,0,0,0,70,0,0,0,178,0,0,0,26,0,0,0,88,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,159,117,0,130,0,0,0,88,0,0,0,66,0,0,0,64,0,0,0,124,0,0,0,40,0,0,0,120,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,159,117,0,56,1,0,0,2,0,0,0,66,0,0,0,46,0,0,0,38,0,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,159,117,0,64,0,0,0,8,0,0,0,66,0,0,0,14,0,0,0,18,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,159,117,0,28,1,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,159,117,0,44,0,0,0,186,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,159,117,0,12,0,0,0,224,0,0,0,66,0,0,0,8,0,0,0,6,0,0,0,12,0,0,0,4,0,0,0,10,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,159,117,0,128,0,0,0,28,0,0,0,66,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,160,117,0,58,0,0,0,38,0,0,0,66,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,160,117,0,72,0,0,0,4,0,0,0,66,0,0,0,60,0,0,0,70,0,0,0,24,0,0,0,68,0,0,0,62,0,0,0,30,0,0,0,66,0,0,0,76,0,0,0,74,0,0,0,72,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,160,117,0,96,0,0,0,118,0,0,0,66,0,0,0,48,0,0,0,28,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,160,117,0,42,0,0,0,226,0,0,0,66,0,0,0,98,0,0,0,36,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,160,117,0,18,0,0,0,240,0,0,0,66,0,0,0,2,0,0,0,14,0,0,0,108,0,0,0,174,0,0,0,96,0,0,0,116,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,160,117,0,234,0,0,0,180,0,0,0,66,0,0,0,16,0,0,0,18,0,0,0,102,0,0,0,74,0,0,0,10,0,0,0,104,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,160,117,0,234,0,0,0,34,0,0,0,66,0,0,0,8,0,0,0,4,0,0,0,26,0,0,0,150,0,0,0,88,0,0,0,54,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,160,117,0,234,0,0,0,132,0,0,0,66,0,0,0,10,0,0,0,12,0,0,0,114,0,0,0,42,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,160,117,0,234,0,0,0,52,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,161,117,0,76,0,0,0,204,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,161,117,0,234,0,0,0,104,0,0,0,66,0,0,0,42,0,0,0,32,0,0,0,48,0,0,0,94,0,0,0,26,0,0,0,56,0,0,0,66,0,0,0,6,0,0,0,12,0,0,0,84,0,0,0,20,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,161,117,0,70,1,0,0,54,0,0,0,66,0,0,0,20,0,0,0,18,0,0,0,48,0,0,0,64,0,0,0,16,0,0,0,58,0,0,0,50,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,104,161,117,0,12,1,0,0,252,0,0,0,200,255,255,255,200,255,255,255,104,161,117,0,48,0,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,161,117,0,170,0,0,0,108,0,0,0,112,0,0,0,10,0,0,0,34,0,0,0,62,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,161,117,0,234,0,0,0,106,0,0,0,66,0,0,0,10,0,0,0,12,0,0,0,114,0,0,0,42,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,161,117,0,234,0,0,0,214,0,0,0,66,0,0,0,10,0,0,0,12,0,0,0,114,0,0,0,42,0,0,0,18,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,161,117,0,68,0,0,0,26,1,0,0,128,0,0,0,68,0,0,0,30,0,0,0,6,0,0,0,72,0,0,0,126,0,0,0,40,0,0,0,182,0,0,0,14,0,0,0,76,0,0,0,38,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,161,117,0,176,0,0,0,48,1,0,0,50,0,0,0,44,0,0,0,20,0,0,0,30,0,0,0,130,0,0,0,118,0,0,0,60,0,0,0,38,0,0,0,34,0,0,0,14,0,0,0,78,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,161,117,0,16,0,0,0,160,0,0,0,128,0,0,0,68,0,0,0,34,0,0,0,26,0,0,0,72,0,0,0,126,0,0,0,40,0,0,0,8,0,0,0,14,0,0,0,84,0,0,0,38,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,208,161,117,0,158,0,0,0,136,0,0,0,152,255,255,255,152,255,255,255,208,161,117,0,110,0,0,0,230,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,224,161,117,0,172,0,0,0,228,0,0,0,148,255,255,255,148,255,255,255,224,161,117,0,138,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,16,162,117,0,60,0,0,0,18,1,0,0,252,255,255,255,252,255,255,255,16,162,117,0,194,0,0,0,174,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,40,162,117,0,30,1,0,0,50,1,0,0,252,255,255,255,252,255,255,255,40,162,117,0,148,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,64,162,117,0,112,0,0,0,74,1,0,0,248,255,255,255,248,255,255,255,64,162,117,0,236,0,0,0,46,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,88,162,117,0,144,0,0,0,8,1,0,0,248,255,255,255,248,255,255,255,88,162,117,0,184,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,162,117,0,24,1,0,0,86,0,0,0,94,0,0,0,54,0,0,0,16,0,0,0,20,0,0,0,68,0,0,0,126,0,0,0,40,0,0,0,134,0,0,0,14,0,0,0,44,0,0,0,38,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,162,117,0,6,1,0,0,32,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,162,117,0,60,1,0,0,44,1,0,0,44,0,0,0,44,0,0,0,20,0,0,0,30,0,0,0,80,0,0,0,118,0,0,0,60,0,0,0,38,0,0,0,34,0,0,0,14,0,0,0,58,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,162,117,0,202,0,0,0,14,1,0,0,78,0,0,0,68,0,0,0,34,0,0,0,26,0,0,0,132,0,0,0,126,0,0,0,40,0,0,0,8,0,0,0,14,0,0,0,84,0,0,0,74,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,162,117,0,38,1,0,0,192,0,0,0,66,0,0,0,98,0,0,0,170,0,0,0,100,0,0,0,158,0,0,0,16,0,0,0,70,0,0,0,76,0,0,0,56,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,163,117,0,142,0,0,0,74,0,0,0,66,0,0,0,194,0,0,0,166,0,0,0,138,0,0,0,154,0,0,0,156,0,0,0,62,0,0,0,164,0,0,0,114,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,163,117,0,42,1,0,0,154,0,0,0,66,0,0,0,22,0,0,0,84,0,0,0,22,0,0,0,96,0,0,0,162,0,0,0,116,0,0,0,144,0,0,0,122,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,163,117,0,98,0,0,0,222,0,0,0,66,0,0,0,154,0,0,0,158,0,0,0,68,0,0,0,146,0,0,0,64,0,0,0,52,0,0,0,114,0,0,0,144,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,163,117,0,114,0,0,0,24,0,0,0,124,0,0,0,44,0,0,0,20,0,0,0,30,0,0,0,130,0,0,0,118,0,0,0,60,0,0,0,104,0,0,0,120,0,0,0,22,0,0,0,78,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,163,117,0,22,0,0,0,34,1,0,0,136,0,0,0,68,0,0,0,34,0,0,0,26,0,0,0,72,0,0,0,126,0,0,0,40,0,0,0,148,0,0,0,30,0,0,0,4,0,0,0,38,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,163,117,0,62,1,0,0,0,1,0,0,84,0,0,0,200,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,212,138,117,0,236,163,117,0,0,164,117,0,232,138,117,0,124,140,117,0,20,164,117,0,40,164,117,0,144,140,117,0,172,140,117,0,60,164,117,0,80,164,117,0,192,140,117,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,120,144,117,0,0,0,0,0,136,144,117,0,0,0,0,0,152,144,117,0,96,157,117,0,0,0,0,0,0,0,0,0,168,144,117,0,96,157,117,0,0,0,0,0,0,0,0,0,184,144,117,0,96,157,117,0,0,0,0,0,0,0,0,0,208,144,117,0,184,157,117,0,0,0,0,0,0,0,0,0,232,144,117,0,184,157,117,0,0,0,0,0,0,0,0,0,0,145,117,0,96,157,117,0,0,0,0,0,0,0,0,0,16,145,117,0,32,144,117,0,40,145,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,200,162,117,0,0,0,0,0,32,144,117,0,112,145,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,208,162,117,0,0,0,0,0,32,144,117,0,184,145,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,216,162,117,0,0,0,0,0,32,144,117,0,0,146,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,224,162,117,0,0,0,0,0,0,0,0,0,72,146,117,0,192,159,117,0,0,0,0,0,0,0,0,0,120,146,117,0,192,159,117,0,0,0,0,0,32,144,117,0,168,146,117,0,0,0,0,0,1,0,0,0,248,161,117,0,0,0,0,0,32,144,117,0,192,146,117,0,0,0,0,0,1,0,0,0,248,161,117,0,0,0,0,0,32,144,117,0,216,146,117,0,0,0,0,0,1,0,0,0,0,162,117,0,0,0,0,0,32,144,117,0,240,146,117,0,0,0,0,0,1,0,0,0,0,162,117,0,0,0,0,0,32,144,117,0,8,147,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,120,163,117,0,0,8,0,0,32,144,117,0,80,147,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,120,163,117,0,0,8,0,0,32,144,117,0,152,147,117,0,0,0,0,0,3,0,0,0,248,160,117,0,2,0,0,0,200,157,117,0,2,0,0,0,88,161,117,0,0,8,0,0,32,144,117,0,224,147,117,0,0,0,0,0,3,0,0,0,248,160,117,0,2,0,0,0,200,157,117,0,2,0,0,0,96,161,117,0,0,8,0,0,0,0,0,0,40,148,117,0,248,160,117,0,0,0,0,0,0,0,0,0,64,148,117,0,248,160,117,0,0,0,0,0,32,144,117,0,88,148,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,8,162,117,0,2,0,0,0,32,144,117,0,112,148,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,8,162,117,0,2,0,0,0,0,0,0,0,136,148,117,0,0,0,0,0,160,148,117,0,128,162,117,0,0,0,0,0,32,144,117,0,192,148,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,112,158,117,0,0,0,0,0,32,144,117,0,8,149,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,136,158,117,0,0,0,0,0,32,144,117,0,80,149,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,160,158,117,0,0,0,0,0,32,144,117,0,152,149,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,184,158,117,0,0,0,0,0,0,0,0,0,224,149,117,0,248,160,117,0,0,0,0,0,0,0,0,0,248,149,117,0,248,160,117,0,0,0,0,0,32,144,117,0,16,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,144,162,117,0,2,0,0,0,32,144,117,0,56,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,144,162,117,0,2,0,0,0,32,144,117,0,96,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,144,162,117,0,2,0,0,0,32,144,117,0,136,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,144,162,117,0,2,0,0,0,0,0,0,0,176,150,117,0,240,161,117,0,0,0,0,0,0,0,0,0,200,150,117,0,248,160,117,0,0,0,0,0,32,144,117,0,224,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,112,163,117,0,2,0,0,0,32,144,117,0,248,150,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,112,163,117,0,2,0,0,0,0,0,0,0,16,151,117,0,0,0,0,0,56,151,117,0,0,0,0,0,96,151,117,0,40,162,117,0,0,0,0,0,0,0,0,0,168,151,117,0,152,162,117,0,0,0,0,0,0,0,0,0,200,151,117,0,216,160,117,0,0,0,0,0,0,0,0,0,240,151,117,0,216,160,117,0,0,0,0,0,0,0,0,0,24,152,117,0,192,161,117,0,0,0,0,0,0,0,0,0,96,152,117,0,0,0,0,0,152,152,117,0,0,0,0,0,208,152,117,0,0,0,0,0,240,152,117,0,40,162,117,0,0,0,0,0,0,0,0,0,32,153,117,0,88,162,117,0,0,0,0,0,0,0,0,0,80,153,117,0,0,0,0,0,112,153,117,0,0,0,0,0,144,153,117,0,0,0,0,0,176,153,117,0,32,144,117,0,200,153,117,0,0,0,0,0,1,0,0,0,80,158,117,0,3,244,255,255,32,144,117,0,248,153,117,0,0,0,0,0,1,0,0,0,96,158,117,0,3,244,255,255,32,144,117,0,40,154,117,0,0,0,0,0,1,0,0,0,80,158,117,0,3,244,255,255,32,144,117,0,88,154,117,0,0,0,0,0,1,0,0,0,96,158,117,0,3,244,255,255,0,0,0,0,136,154,117,0,192,161,117,0,0,0,0,0,0,0,0,0,184,154,117,0,136,157,117,0,0,0,0,0,0,0,0,0,208,154,117,0,0,0,0,0,232,154,117,0,200,161,117,0,0,0,0,0,0,0,0,0,0,155,117,0,184,161,117,0,0,0,0,0,0,0,0,0,32,155,117,0,192,161,117,0,0,0,0,0,0,0,0,0,64,155,117,0,0,0,0,0,96,155,117,0,0,0,0,0,128,155,117,0,0,0,0,0,160,155,117,0,32,144,117,0,192,155,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,104,163,117,0,2,0,0,0,32,144,117,0,224,155,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,104,163,117,0,2,0,0,0,32,144,117,0,0,156,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,104,163,117,0,2,0,0,0,32,144,117,0,32,156,117,0,0,0,0,0,2,0,0,0,248,160,117,0,2,0,0,0,104,163,117,0,2,0,0,0,0,0,0,0,64,156,117,0,0,0,0,0,88,156,117,0,0,0,0,0,112,156,117,0,0,0,0,0,136,156,117,0,184,161,117,0,0,0,0,0,0,0,0,0,160,156,117,0,192,161,117,0,0,0,0,0,0,0,0,0,184,156,117,0,192,163,117,0,0,0,0,0,0,0,0,0,224,156,117,0,192,163,117,0,0,0,0,0,0,0,0,0,8,157,117,0,208,163,117,0,0,0,0,0,0,0,0,0,48,157,117,0,88,157,117,0,0,0,0,0,56,0,0,0,0,0,0,0,40,162,117,0,30,1,0,0,50,1,0,0,200,255,255,255,200,255,255,255,40,162,117,0,148,0,0,0,2,1,0,0,104,0,0,0,0,0,0,0,40,162,117,0,30,1,0,0,50,1,0,0,152,255,255,255,152,255,255,255,40,162,117,0,148,0,0,0,2,1,0,0,108,0,0,0,0,0,0,0,88,162,117,0,144,0,0,0,8,1,0,0,148,255,255,255,148,255,255,255,88,162,117,0,184,0,0,0,70,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,0,0,0,0,24,47,117,0,64,4,117,0,176,217,116,0,72,187,116,0,48,158,116,0,208,133,116,0,8,110,116,0,32,87,116,0,216,126,117,0,192,107,117,0,160,92,117,0,88,82,117,0,136,75,117,0,192,70,117,0,112,65,117,0,144,60,117,0,128,57,117,0,88,54,117,0,120,50,117,0,168,46,117,0,200,41,117,0,136,38,117,0,240,32,117,0,16,29,117,0,88,24,117,0,112,20,117,0,104,16,117,0,56,13,117,0,72,7,117,0,8,4,117,0,104,253,116,0,8,248,116,0,32,243,116,0,136,239,116,0,200,234,116,0,72,230,116,0,40,226,116,0,48,223,116,0,56,220,116,0,8,217,116,0,0,0,0,0,128,126,116,0,88,81,116,0,48,80,116,0,104,107,117,0,104,76,116,0,88,75,116,0,64,104,117,0,208,102,117,0,192,100,117,0,200,98,117,0,16,98,117,0,32,97,117,0,144,95,117,0,96,94,117,0,56,93,117,0,48,92,117,0,152,89,117,0,136,88,117,0,80,112,117,0,160,109,117,0,128,126,116,0,88,81,116,0,48,80,116,0,216,77,116,0,104,76,116,0,88,75,116,0,104,218,87,0,88,127,0,0,80,126,0,0,160,127,117,0,248,125,117,0,16,123,117,0,240,120,117,0,176,118,117,0,248,116,117,0,224,115,117,0,96,114,117,0,32,113,117,0,80,112,117,0,160,109,117,0,128,126,116,0,8,111,116,0,120,109,116,0,160,106,116,0,32,103,116,0,104,101,116,0,128,99,116,0,0,0,0,0,176,150,116,0,112,136,116,0,144,133,116,0,72,129,116,0,144,126,116,0,192,124,116,0,72,122,116,0,0,0,0,0,128,126,116,0,160,124,116,0,48,122,116,0,64,118,116,0,152,116,116,0,208,113,116,0,96,112,116,0,0,0,0,0,176,150,116,0,128,148,116,0,224,146,116,0,160,144,116,0,184,141,116,0,56,140,116,0,112,138,116,0,0,0,0,0,32,114,117,0,192,108,117,0,16,47,117,0,56,4,117,0,168,217,116,0,0,0,0,0,64,187,116,0,32,158,116,0,192,133,116,0,248,109,116,0,168,217,116,0,0,0,0,0,1,0,0,0,55,2,0,0,1,0,0,0,27,2,0,0,1,0,0,0,68,2,0,0,1,0,0,0,48,2,0,0,1,0,0,0,64,2,0,0,1,0,0,0,56,2,0,0,1,0,0,0,229,1,0,0,168,166,117,0,160,166,117,0,152,166,117,0,144,166,117,0,136,166,117,0,128,166,117,0,120,166,117,0,0,0,0,0,72,244,116,0,240,78,117,0,240,35,117,0,8,245,116,0,104,207,116,0,88,178,116,0,32,150,116,0,0,0,0,0,40,233,116,0,80,77,117,0,40,34,117,0,216,243,116,0,16,206,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,234,5,0,0,11,0,0,0,236,5,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,237,5,0,0,11,0,0,0,237,5,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,0,6,0,0,11,0,0,0,1,6,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,21,6,0,0,11,0,0,0,22,6,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,4,117,0,215,8,0,0,5,0,0,0,217,8,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,4,117,0,218,8,0,0,5,0,0,0,220,8,0,0,61,0,0,0,0,0,0,0,1,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,112,14,117,0,33,1], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7700728);
/* memory initializer */ allocate([5,0,0,0,33,1,0,0,58,0,0,0,0,0,0,0,1,0,0,0,190,3,0,0,224,20,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,189,3,0,0,1,0,0,0,94,0,0,0,1,0,0,0,93,0,0,0,1,0,0,0,92,0,0,0,1,0,0,0,160,3,0,0,1,0,0,0,157,3,0,0,1,0,0,0,91,0,0,0,1,0,0,0,90,0,0,0,1,0,0,0,111,3,0,0,1,0,0,0,110,3,0,0,1,0,0,0,85,0,0,0,1,0,0,0,84,0,0,0,1,0,0,0,81,3,0,0,1,0,0,0,78,3,0,0,1,0,0,0,77,3,0,0,1,0,0,0,72,3,0,0,1,0,0,0,69,3,0,0,1,0,0,0,79,0,0,0,1,0,0,0,78,0,0,0,1,0,0,0,77,0,0,0,1,0,0,0,76,0,0,0,56,87,116,0,74,0,0,0,3,0,0,0,74,0,0,0,108,0,0,0,0,0,0,0,1,0,0,0,206,2,0,0,1,0,0,0,204,2,0,0,1,0,0,0,202,2,0,0,1,0,0,0,195,2,0,0,1,0,0,0,194,2,0,0,1,0,0,0,193,2,0,0,1,0,0,0,192,2,0,0,1,0,0,0,191,2,0,0,1,0,0,0,185,2,0,0,1,0,0,0,183,2,0,0,1,0,0,0,182,2,0,0,1,0,0,0,181,2,0,0,1,0,0,0,180,2,0,0,1,0,0,0,178,2,0,0,16,21,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,177,2,0,0,1,0,0,0,176,2,0,0,1,0,0,0,175,2,0,0,1,0,0,0,173,2,0,0,1,0,0,0,172,2,0,0,1,0,0,0,171,2,0,0,1,0,0,0,170,2,0,0,1,0,0,0,169,2,0,0,1,0,0,0,165,2,0,0,1,0,0,0,163,2,0,0,1,0,0,0,159,2,0,0,1,0,0,0,154,2,0,0,1,0,0,0,153,2,0,0,1,0,0,0,152,2,0,0,1,0,0,0,150,2,0,0,1,0,0,0,148,2,0,0,1,0,0,0,146,2,0,0,1,0,0,0,145,2,0,0,1,0,0,0,144,2,0,0,1,0,0,0,143,2,0,0,1,0,0,0,142,2,0,0,1,0,0,0,141,2,0,0,1,0,0,0,140,2,0,0,1,0,0,0,139,2,0,0,1,0,0,0,138,2,0,0,1,0,0,0,123,2,0,0,1,0,0,0,122,2,0,0,1,0,0,0,120,2,0,0,1,0,0,0,118,2,0,0,24,21,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,117,2,0,0,1,0,0,0,115,2,0,0,1,0,0,0,113,2,0,0,1,0,0,0,112,2,0,0,1,0,0,0,110,2,0,0,1,0,0,0,106,2,0,0,1,0,0,0,105,2,0,0,1,0,0,0,103,2,0,0,1,0,0,0,101,2,0,0,1,0,0,0,100,2,0,0,1,0,0,0,98,2,0,0,1,0,0,0,97,2,0,0,1,0,0,0,96,2,0,0,1,0,0,0,95,2,0,0,1,0,0,0,92,2,0,0,1,0,0,0,91,2,0,0,1,0,0,0,90,2,0,0,1,0,0,0,89,2,0,0,1,0,0,0,85,2,0,0,1,0,0,0,84,2,0,0,1,0,0,0,81,2,0,0,1,0,0,0,80,2,0,0,1,0,0,0,77,2,0,0,1,0,0,0,52,2,0,0,1,0,0,0,49,2,0,0,1,0,0,0,48,2,0,0,1,0,0,0,47,2,0,0,1,0,0,0,46,2,0,0,1,0,0,0,38,2,0,0,1,0,0,0,37,2,0,0,1,0,0,0,36,2,0,0,1,0,0,0,35,2,0,0,1,0,0,0,34,2,0,0,1,0,0,0,31,2,0,0,1,0,0,0,30,2,0,0,1,0,0,0,28,2,0,0,1,0,0,0,27,2,0,0,1,0,0,0,26,2,0,0,1,0,0,0,25,2,0,0,1,0,0,0,23,2,0,0,1,0,0,0,22,2,0,0,1,0,0,0,21,2,0,0,1,0,0,0,18,2,0,0,1,0,0,0,17,2,0,0,1,0,0,0,16,2,0,0,1,0,0,0,14,2,0,0,1,0,0,0,5,2,0,0,1,0,0,0,4,2,0,0,1,0,0,0,2,2,0,0,1,0,0,0,255,1,0,0,1,0,0,0,254,1,0,0,1,0,0,0,252,1,0,0,1,0,0,0,248,1,0,0,1,0,0,0,247,1,0,0,1,0,0,0,245,1,0,0,1,0,0,0,243,1,0,0,1,0,0,0,242,1,0,0,1,0,0,0,240,1,0,0,1,0,0,0,239,1,0,0,1,0,0,0,238,1,0,0,1,0,0,0,235,1,0,0,1,0,0,0,234,1,0,0,1,0,0,0,231,1,0,0,1,0,0,0,230,1,0,0,1,0,0,0,228,1,0,0,1,0,0,0,191,1,0,0,1,0,0,0,186,1,0,0,1,0,0,0,183,1,0,0,1,0,0,0,182,1,0,0,1,0,0,0,181,1,0,0,1,0,0,0,180,1,0,0,1,0,0,0,161,1,0,0,1,0,0,0,160,1,0,0,1,0,0,0,159,1,0,0,1,0,0,0,158,1,0,0,1,0,0,0,157,1,0,0,1,0,0,0,156,1,0,0,1,0,0,0,154,1,0,0,1,0,0,0,153,1,0,0,232,20,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,152,1,0,0,1,0,0,0,151,1,0,0,1,0,0,0,149,1,0,0,1,0,0,0,148,1,0,0,1,0,0,0,147,1,0,0,1,0,0,0,146,1,0,0,1,0,0,0,144,1,0,0,1,0,0,0,140,1,0,0,1,0,0,0,139,1,0,0,1,0,0,0,138,1,0,0,1,0,0,0,137,1,0,0,1,0,0,0,135,1,0,0,1,0,0,0,134,1,0,0,1,0,0,0,133,1,0,0,1,0,0,0,132,1,0,0,1,0,0,0,131,1,0,0,1,0,0,0,129,1,0,0,1,0,0,0,104,1,0,0,1,0,0,0,103,1,0,0,1,0,0,0,100,1,0,0,1,0,0,0,99,1,0,0,1,0,0,0,97,1,0,0,1,0,0,0,92,1,0,0,1,0,0,0,91,1,0,0,1,0,0,0,89,1,0,0,1,0,0,0,87,1,0,0,1,0,0,0,86,1,0,0,1,0,0,0,84,1,0,0,1,0,0,0,82,1,0,0,1,0,0,0,81,1,0,0,1,0,0,0,79,1,0,0,1,0,0,0,77,1,0,0,1,0,0,0,76,1,0,0,1,0,0,0,74,1,0,0,1,0,0,0,73,1,0,0,1,0,0,0,72,1,0,0,1,0,0,0,71,1,0,0,1,0,0,0,70,1,0,0,1,0,0,0,69,1,0,0,1,0,0,0,66,1,0,0,1,0,0,0,65,1,0,0,1,0,0,0,63,1,0,0,1,0,0,0,62,1,0,0,1,0,0,0,61,1,0,0,1,0,0,0,60,1,0,0,1,0,0,0,57,1,0,0,1,0,0,0,54,1,0,0,1,0,0,0,38,1,0,0,1,0,0,0,37,1,0,0,1,0,0,0,36,1,0,0,1,0,0,0,35,1,0,0,1,0,0,0,34,1,0,0,1,0,0,0,33,1,0,0,1,0,0,0,32,1,0,0,1,0,0,0,177,0,0,0,1,0,0,0,174,0,0,0,1,0,0,0,173,0,0,0,1,0,0,0,172,0,0,0,1,0,0,0,171,0,0,0,1,0,0,0,151,0,0,0,1,0,0,0,149,0,0,0,1,0,0,0,146,0,0,0,1,0,0,0,145,0,0,0,1,0,0,0,144,0,0,0,1,0,0,0,143,0,0,0,1,0,0,0,142,0,0,0,1,0,0,0,141,0,0,0,1,0,0,0,140,0,0,0,1,0,0,0,139,0,0,0,1,0,0,0,138,0,0,0,1,0,0,0,137,0,0,0,1,0,0,0,120,0,0,0,1,0,0,0,119,0,0,0,1,0,0,0,113,0,0,0,1,0,0,0,112,0,0,0,1,0,0,0,110,0,0,0,1,0,0,0,108,0,0,0,1,0,0,0,107,0,0,0,1,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,47,7,0,0,11,0,0,0,48,7,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,51,7,0,0,11,0,0,0,51,7,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,52,7,0,0,11,0,0,0,52,7,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,71,7,0,0,11,0,0,0,72,7,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,96,7,0,0,11,0,0,0,97,7,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,137,116,0,64,0,0,0,3,0,0,0,64,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,140,116,0,50,1,0,0,5,0,0,0,51,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,137,116,0,27,1,0,0,5,0,0,0,27,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,40,11,0,0,9,0,0,0,42,11,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,43,11,0,0,9,0,0,0,44,11,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,70,11,0,0,9,0,0,0,71,11,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,72,11,0,0,9,0,0,0,73,11,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,223,8,0,0,9,0,0,0,223,8,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,229,8,0,0,9,0,0,0,231,8,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,94,5,0,0,7,0,0,0,94,5,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,95,5,0,0,7,0,0,0,96,5,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,167,17,0,0,7,0,0,0,169,17,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,170,17,0,0,7,0,0,0,171,17,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,235,6,0,0,7,0,0,0,236,6,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,237,6,0,0,7,0,0,0,238,6,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,244,116,0,240,6,0,0,7,0,0,0,241,6,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,145,11,0,0,9,0,0,0,145,11,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,146,11,0,0,9,0,0,0,146,11,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,228,116,0,17,12,0,0,9,0,0,0,17,12,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,206,0,0,0,116,0,0,0,146,0,0,0,80,0,0,0,6,0,0,0,58,0,0,0,142,0,0,0,180,0,0,0,198,0,0,0,90,0,0,0,190,0,0,0,16,0,0,0,172,0,0,0,2,0,0,0,44,0,0,0,128,0,0,0,56,0,0,0,1,0,0,0,0,0,0,0,138,0,0,0,102,0,0,0,6,0,0,0,30,0,0,0,30,0,0,0,140,0,0,0,78,0,0,0,116,0,0,0,78,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,62,0,0,0,54,0,0,0,58,0,0,0,56,0,0,0,60,0,0,0,204,0,0,0,202,0,0,0,200,0,0,0,110,0,0,0,108,0,0,0,12,0,0,0,96,0,0,0,58,0,0,0,6,0,0,0,176,15,117,0,80,122,116,0,24,119,116,0,216,116,116,0,248,44,117,0,56,114,116,0,232,83,117,0,56,103,117,0,248,44,117,0,184,1,117,0,176,214,116,0,64,185,116,0,152,155,116,0,136,132,116,0,128,108,116,0,208,85,116,0,88,125,117,0,72,106,117,0,16,91,117,0,56,81,117,0,184,74,117,0,192,69,117,0,104,64,117,0,48,60,117,0,0,57,117,0,224,53,117,0,232,49,117,0,192,45,117,0,40,41,117,0,168,37,117,0,176,31,117,0,224,27,117,0,80,23,117,0,40,19,117,0,176,15,117,0,24,12,117,0,24,12,117,0,56,6,117,0,0,3,117,0,8,252,116,0,16,247,116,0,168,241,116,0,48,238,116,0,200,233,116,0,112,229,116,0,120,225,116,0,64,222,116,0,64,219,116,0,232,215,116,0,168,210,116,0,248,207,116,0,72,204,116,0,152,201,116,0,224,198,116,0,56,195,116,0,112,193,116,0,160,191,116,0,0,189,116,0,184,186,116,0,112,181,116,0,80,179,116,0,208,176,116,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,176,150,116,0,168,112,116,0,24,111,116,0,192,109,116,0,176,150,116,0,200,118,116,0,168,116,116,0,248,113,116,0,16,179,116,0,200,67,117,0,64,26,117,0,128,236,116,0,88,200,116,0,128,173,116,0,16,145,116,0,40,130,116,0,176,97,116,0,24,84,116,0,48,124,117,0,216,105,117,0,152,90,117,0,168,80,117,0,24,84,116,0,56,74,117,0,88,67,117,0,192,62,117,0,168,58,117,0,192,56,117,0,24,52,117,0,144,48,117,0,136,45,117,0,8,41,117,0,16,34,117,0,8,30,117,0,120,27,117,0,0,23,117,0,96,17,117,0,144,15,117,0,248,11,117,0,200,4,117,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,96,167,116,0,8,66,117,0,88,25,117,0,72,235,116,0,248,199,116,0,96,173,116,0,8,145,116,0,72,120,116,0,224,97,116,0,160,75,116,0,168,116,117,0,144,98,117,0,200,85,117,0,160,77,117,0,216,72,117,0,112,67,117,0,224,62,117,0,216,58,117,0,104,55,117,0,48,52,117,0,184,48,117,0,104,43,117,0,24,40,117,0,208,34,117,0,80,30,117,0,48,26,117,0,32,22,117,0,192,17,117,0,96,14,117,0,32,8,117,0,216,4,117,0,0,0,0,0,152,255,116,0,112,153,116,0,40,151,116,0,120,240,116,0,0,149,116,0,232,231,116,0,8,228,116,0,56,147,116,0,40,145,116,0,112,218,116,0,232,212,116,0,96,144,116,0,152,140,116,0,216,138,116,0,112,200,116,0,248,196,116,0,208,136,116,0,32,135,116,0,0,130,116,0,240,127,116,0,152,182,116,0,208,179,116,0,120,177,116,0,248,124,116,0,136,122,116,0,80,120,116,0,40,169,116,0,112,167,116,0,48,165,116,0,8,163,116,0,216,4,117,0,0,0,0,0,152,255,116,0,240,249,116,0,24,244,116,0,120,240,116,0,64,236,116,0,232,231,116,0,8,228,116,0,40,224,116,0,72,221,116,0,112,218,116,0,232,212,116,0,72,209,116,0,80,206,116,0,64,203,116,0,112,200,116,0,248,196,116,0,32,194,116,0,24,192,116,0,224,189,116,0,240,187,116,0,152,182,116,0,208,179,116,0,120,177,116,0,120,175,116,0,160,173,116,0,160,171,116,0,40,169,116,0,112,167,116,0,48,165,116,0,8,163,116,0,216,4,117,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+7710968);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  var _log=Math_log;

  var _fabs=Math_abs;

  var _llvm_pow_f64=Math_pow;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

   
  Module["_strcpy"] = _strcpy;

  var _floor=Math_floor;

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function _localeconv() {
      // %struct.timeval = type { char* decimal point, other stuff... }
      // var indexes = Runtime.calculateStructAlignment({ fields: ['i32', 'i32'] });
      var me = _localeconv;
      if (!me.ret) {
        me.ret = allocate([allocate(intArrayFromString('.'), 'i8', ALLOC_NORMAL)], 'i8*', ALLOC_NORMAL); // just decimal point, for now
      }
      return me.ret;
    }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _strchr(ptr, chr) {
      ptr--;
      do {
        ptr++;
        var val = HEAP8[(ptr)];
        if (val == chr) return ptr;
      } while (val);
      return 0;
    }

  
  
  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }function _fgets(s, n, stream) {
      // char *fgets(char *restrict s, int n, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgets.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return 0;
      if (streamObj.error || streamObj.eof) return 0;
      var byte_;
      for (var i = 0; i < n - 1 && byte_ != 10; i++) {
        byte_ = _fgetc(stream);
        if (byte_ == -1) {
          if (streamObj.error || (streamObj.eof && i == 0)) return 0;
          else if (streamObj.eof) break;
        }
        HEAP8[(((s)+(i))|0)]=byte_;
      }
      HEAP8[(((s)+(i))|0)]=0;
      return s;
    }


  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _llvm_va_copy(ppdest, ppsrc) {
      // copy the list start
      HEAP8[(ppdest)]=HEAP8[(ppsrc)];HEAP8[(((ppdest)+(1))|0)]=HEAP8[(((ppsrc)+(1))|0)];HEAP8[(((ppdest)+(2))|0)]=HEAP8[(((ppsrc)+(2))|0)];HEAP8[(((ppdest)+(3))|0)]=HEAP8[(((ppsrc)+(3))|0)];
      
      // copy the list's current offset (will be advanced with each call to va_arg)
      HEAP8[((ppdest+4)|0)]=HEAP8[((ppsrc+4)|0)];HEAP8[(((ppdest+4)+(1))|0)]=HEAP8[(((ppsrc+4)+(1))|0)];HEAP8[(((ppdest+4)+(2))|0)]=HEAP8[(((ppsrc+4)+(2))|0)];HEAP8[(((ppdest+4)+(3))|0)]=HEAP8[(((ppsrc+4)+(3))|0)];
    }

  function _llvm_va_end() {}

  var _llvm_va_start=undefined;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _feof(stream) {
      // int feof(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/feof.html
      stream = FS.getStreamFromPtr(stream);
      return Number(stream && stream.eof);
    }

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }
  
  
  var ___tm_formatted=allocate(44, "i8", ALLOC_STATIC);
  
  
  function _mktime(tmPtr) {
      _tzset();
      var year = HEAP32[(((tmPtr)+(20))>>2)];
      var timestamp = new Date(year >= 1900 ? year : year + 1900,
                               HEAP32[(((tmPtr)+(16))>>2)],
                               HEAP32[(((tmPtr)+(12))>>2)],
                               HEAP32[(((tmPtr)+(8))>>2)],
                               HEAP32[(((tmPtr)+(4))>>2)],
                               HEAP32[((tmPtr)>>2)],
                               0).getTime() / 1000;
      HEAP32[(((tmPtr)+(24))>>2)]=new Date(timestamp).getDay();
      var yday = Math.round((timestamp - (new Date(year, 0, 1)).getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      return timestamp;
    }function _asctime_r(tmPtr, buf) {
      var date = new Date(_mktime(tmPtr)*1000);
      var formatted = date.toString();
      var datePart = formatted.replace(/\d{4}.*/, '').replace(/ 0/, '  ');
      var timePart = formatted.match(/\d{2}:\d{2}:\d{2}/)[0];
      formatted = datePart + timePart + ' ' + date.getFullYear() + '\n';
      formatted.split('').forEach(function(chr, index) {
        HEAP8[(((buf)+(index))|0)]=chr.charCodeAt(0);
      });
      HEAP8[(((buf)+(25))|0)]=0;
      return buf;
    }function _asctime(tmPtr) {
      return _asctime_r(tmPtr, ___tm_formatted);
    }function _ctime(timer) {
      return _asctime(_localtime(timer));
    }

  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }

  var _sqrt=Math_sqrt;

  function _xerbla_() {
  Module['printErr']('missing function: xerbla_'); abort(-1);
  }

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  
  function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }


  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }



  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  function _lis_matrix_destroy() {
  Module['printErr']('missing function: lis_matrix_destroy'); abort(-1);
  }

  function _lis_matrix_create() {
  Module['printErr']('missing function: lis_matrix_create'); abort(-1);
  }

  function _lis_matrix_set_size() {
  Module['printErr']('missing function: lis_matrix_set_size'); abort(-1);
  }

  function _lis_matrix_set_type() {
  Module['printErr']('missing function: lis_matrix_set_type'); abort(-1);
  }

  function _lis_matrix_assemble() {
  Module['printErr']('missing function: lis_matrix_assemble'); abort(-1);
  }

  function _lis_vector_set_value() {
  Module['printErr']('missing function: lis_vector_set_value'); abort(-1);
  }

  function _lis_solve() {
  Module['printErr']('missing function: lis_solve'); abort(-1);
  }

  function _lis_vector_get_values() {
  Module['printErr']('missing function: lis_vector_get_values'); abort(-1);
  }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }


  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env._stdin|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_iid;var za=env.invoke_viiiiiii;var Aa=env.invoke_viiiiiid;var Ba=env.invoke_viiiiiiiii;var Ca=env.invoke_iii;var Da=env.invoke_iiiiidi;var Ea=env.invoke_iiiiiiiii;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_viidii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env._sysconf;var Oa=env.__scanString;var Pa=env._fclose;var Qa=env._pthread_mutex_lock;var Ra=env.___cxa_end_catch;var Sa=env._strtoull;var Ta=env._fflush;var Ua=env._lis_solver_create;var Va=env._strtol;var Wa=env._fputc;var Xa=env._strtok;var Ya=env._fwrite;var Za=env._send;var _a=env._fputs;var $a=env._emscripten_get_now;var ab=env._tmpnam;var bb=env._isspace;var cb=env._localtime;var db=env._read;var eb=env._GC_init;var fb=env._ceil;var gb=env.___ctype_b_loc;var hb=env._GC_malloc_atomic;var ib=env._pthread_cond_broadcast;var jb=env._isxdigit_l;var kb=env._strstr;var lb=env._fileno;var mb=env._perror;var nb=env._ctime;var ob=env._fsync;var pb=env.___cxa_guard_abort;var qb=env._newlocale;var rb=env._signal;var sb=env.___gxx_personality_v0;var tb=env._pthread_cond_wait;var ub=env.___cxa_rethrow;var vb=env._freopen;var wb=env.___resumeException;var xb=env._sscanf;var yb=env._round;var zb=env._llvm_va_end;var Ab=env._clock_gettime;var Bb=env._tmpfile;var Cb=env._vsscanf;var Db=env._snprintf;var Eb=env._fgetc;var Fb=env._pclose;var Gb=env.__getFloat;var Hb=env._atexit;var Ib=env.___cxa_free_exception;var Jb=env._fgets;var Kb=env._close;var Lb=env._strchr;var Mb=env._catclose;var Nb=env._isdigit_l;var Ob=env._vasprintf;var Pb=env.___setErrNo;var Qb=env._isxdigit;var Rb=env._access;var Sb=env._ftell;var Tb=env._exit;var Ub=env._sprintf;var Vb=env._pthread_setspecific;var Wb=env._asctime;var Xb=env._GC_strdup;var Yb=env._strrchr;var Zb=env._freelocale;var _b=env._catgets;var $b=env._fmod;var ac=env.__isLeapYear;var bc=env._fmax;var cc=env.___cxa_is_number_type;var dc=env._GC_malloc;var ec=env._localtime_r;var fc=env.___cxa_guard_acquire;var gc=env._lis_vector_destroy;var hc=env.___cxa_does_inherit;var ic=env._asctime_r;var jc=env.___cxa_begin_catch;var kc=env._emscripten_memcpy_big;var lc=env.__ZNSt9exceptionD2Ev;var mc=env._recv;var nc=env.__parseInt64;var oc=env.__ZSt18uncaught_exceptionv;var pc=env._cos;var qc=env._lis_matrix_set_value;var rc=env._putchar;var sc=env.___cxa_call_unexpected;var tc=env._popen;var uc=env._isblank;var vc=env._copysign;var wc=env._bsearch;var xc=env._lis_vector_get_values;var yc=env.__exit;var zc=env._strftime;var Ac=env._tzset;var Bc=env._llvm_va_copy;var Cc=env.___cxa_throw;var Dc=env._lis_vector_set_value;var Ec=env._lis_vector_create;var Fc=env._printf;var Gc=env._pread;var Hc=env._fopen;var Ic=env._open;var Jc=env._lis_solve;var Kc=env._strtoull_l;var Lc=env.__arraySum;var Mc=env._log;var Nc=env._puts;var Oc=env._mktime;var Pc=env._xerbla_;var Qc=env._pthread_key_create;var Rc=env._strtoll_l;var Sc=env._qsort;var Tc=env._system;var Uc=env._lis_matrix_create;var Vc=env.___cxa_find_matching_catch;var Wc=env._strdup;var Xc=env._fread;var Yc=env._isatty;var Zc=env.__reallyNegative;var _c=env.__formatString;var $c=env._lis_matrix_destroy;var ad=env.__ZSt9terminatev;var bd=env._atoi;var cd=env._lis_matrix_set_size;var dd=env._vfprintf;var ed=env._pthread_mutex_unlock;var fd=env._llvm_pow_f64;var gd=env._sbrk;var hd=env._fscanf;var id=env._localeconv;var jd=env._lis_solver_destroy;var kd=env.___errno_location;var ld=env._strerror;var md=env._fstat;var nd=env._lis_matrix_assemble;var od=env._llvm_lifetime_start;var pd=env.__parseInt;var qd=env.___cxa_guard_release;var rd=env._ungetc;var sd=env._ftruncate;var td=env._uselocale;var ud=env._vsnprintf;var vd=env._htonl;var wd=env.___assert_fail;var xd=env._srand;var yd=env._strtok_r;var zd=env._strftime_l;var Ad=env._abort;var Bd=env._fprintf;var Cd=env._isdigit;var Dd=env._strtoll;var Ed=env._feof;var Fd=env.__addDays;var Gd=env._pthread_getspecific;var Hd=env._fabs;var Id=env._floor;var Jd=env._fseek;var Kd=env._sqrt;var Ld=env._write;var Md=env._mkport;var Nd=env._rewind;var Od=env.___cxa_allocate_exception;var Pd=env._sin;var Qd=env._stat;var Rd=env._longjmp;var Sd=env._truncate;var Td=env._catopen;var Ud=env.___ctype_toupper_loc;var Vd=env._lis_matrix_set_type;var Wd=env.___ctype_tolower_loc;var Xd=env._lis_vector_set_size;var Yd=env._unlink;var Zd=env._pwrite;var _d=env._strerror_r;var $d=env._asprintf;var ae=env._GC_collect_a_little;var be=env._lis_solver_set_option;var ce=env._time;var de=0.0;
// EMSCRIPTEN_START_FUNCS
function Lh(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17872>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1536>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1536>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1536>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1536>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1536>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1536>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7626736,7711256,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17888>>3];p=+h[g+17872>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1536>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7626736,7711256,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17872>>3];x=B;y=C;z=+h[C+1536>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7626736,7711256,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17872>>3];I=+h[g+1536>>3]}}while(0);w=+V(+D);D=+h[E+17896>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17880>>3];p=+h[G+2328>>3];G=H!=0.0;u=+h[E+17888>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7626736,7711256,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17872>>3];O=y;P=+h[(c[y+8>>2]|0)+1536>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7626736,7711256,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17872>>3];T=x;U=+h[(c[x+8>>2]|0)+1536>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17896>>3]))+1.0==0.0;o=+h[R+17888>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7626736,7711256,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17872>>3];_=v;$=+h[(c[v+8>>2]|0)+1536>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7626736,7711256,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17896>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7626736,7711256,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17872>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1536>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7626736,7711256,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17872>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17896>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7626736,7711256,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17864>>3];ha=+h[K+17880>>3];ea=+h[K+17872>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1536>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7626736,7711256,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17872>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17888>>3];ha=+h[pa+2328>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7626736,7711256,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17872>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1536>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7626736,7711256,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17872>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17896>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2328>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7626736,7711256,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7626736,7711256,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17872>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1536>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7626736,7711256,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17872>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1536>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17896>>3]))+1.0==0.0;r=+h[Pa+17888>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7626736,7711256,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17872>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1536>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7626736,7711256,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17896>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7626736,7711256,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17872>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1536>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7626736,7711256,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17872>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17896>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7626736,7711256,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17864>>3];p=+h[Ia+17880>>3];z=+h[Ia+17872>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1536>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7626736,7711256,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17872>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17888>>3];p=+h[lb+2328>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7626736,7711256,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17872>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1536>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7626736,7711256,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17872>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17896>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2328>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7626736,7711256,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2328>>3];Bb=+h[pb+17872>>3]}}while(0);tb=+h[xb+17880>>3];ub=Bb!=0.0;ob=+h[xb+17888>>3];hb=+h[zb+1536>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17896>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7626736,7711256,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17872>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1536>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7626736,7711256,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17872>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1536>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17896>>3]))+1.0==0.0;Aa=+h[Kb+17888>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7626736,7711256,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17872>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1536>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7626736,7711256,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17896>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7626736,7711256,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17872>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1536>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7626736,7711256,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17872>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17896>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7626736,7711256,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17864>>3];_b=+h[Db+17880>>3];Xb=+h[Db+17872>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1536>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7626736,7711256,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17872>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17888>>3];_b=+h[gc+2328>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7626736,7711256,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17872>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1536>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7626736,7711256,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17872>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17896>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2328>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7626736,7711256,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17896>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7626736,7711256,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17872>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1536>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7626736,7711256,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17872>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1536>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17896>>3]))+1.0==0.0;wb=+h[Ac+17888>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7626736,7711256,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17872>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1536>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7626736,7711256,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17896>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7626736,7711256,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17872>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1536>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7626736,7711256,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17872>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17896>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7626736,7711256,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17864>>3];Ab=+h[tc+17880>>3];k=+h[tc+17872>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1536>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7626736,7711256,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17872>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17888>>3];Ab=+h[Yc+2328>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7626736,7711256,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17872>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1536>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7626736,7711256,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17872>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17896>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2328>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7626736,7711256,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7626032,7711256,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}}function Mh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2512>>3];i=+h[(c[b+416>>2]|0)+17904>>3];j=+h[f+2832>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7641248,7711248,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2320>>3]=g*k*1256637061435917.0e-21;return}function Nh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1544>>3];i=g*g;g=+h[f+2320>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2312|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2312|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7625536,7711240,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2312|0;h[m>>3]=k;return}function Oh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2504>>3]=+h[b+2312>>3]*(-0.0- +h[b+2032>>3])+ +h[b+1552>>3]*(-0.0- +h[b+2552>>3]);return}function Ph(a){a=a|0;var b=0,d=0;MK(a,8)|0;b=c[(c[a+476>>2]|0)+540>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2528>>3]=+h[b>>3];h[d+96>>3]=+h[b+8>>3];h[d+2496>>3]=+h[b+16>>3];h[d+2608>>3]=+h[b+24>>3];h[d+2560>>3]=+h[b+32>>3];h[d+2576>>3]=+h[b+40>>3];h[d+2568>>3]=+h[b+48>>3];h[d+2624>>3]=+h[b+56>>3];h[d+2592>>3]=+h[b+64>>3];h[d+2216>>3]=+h[b+72>>3];h[d+2224>>3]=+h[b+80>>3];h[d+2440>>3]=+h[b+88>>3];h[d+2232>>3]=+h[b+96>>3];h[d+2432>>3]=+h[b+104>>3];h[d+2616>>3]=+h[b+112>>3];h[d+2256>>3]=+h[b+120>>3];h[d+2456>>3]=+h[b+128>>3];h[d+2248>>3]=+h[b+136>>3];h[d+2240>>3]=+h[b+144>>3];h[d+2448>>3]=+h[b+152>>3];h[d+2376>>3]=+h[b+160>>3];h[d+2544>>3]=+h[b+168>>3];h[d+2600>>3]=+h[b+176>>3];h[d+2536>>3]=+h[b+184>>3];h[d+2520>>3]=+h[b+192>>3];h[d+2584>>3]=+h[b+200>>3];return}function Qh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2384>>3]=+h[b+2416>>3]+ +h[b+2544>>3];return}function Rh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2392>>3]=+h[b+2464>>3]+ +h[b+2384>>3];return}function Sh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2368>>3]=+h[b+2480>>3]+ +h[b+2392>>3];return}function Th(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2408>>3]=+h[b+2504>>3]+ +h[b+2600>>3];return}function Uh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17240>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2408>>3];if(d!=0.0){j=i/d;k=g;l=k+2640|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2640|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7639272,7711232,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2640|0;h[l>>3]=j;return}function Vh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2400>>3]=+h[b+2368>>3]- +h[b+2536>>3];return}function Wh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17232>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2400>>3];if(d!=0.0){j=i/d;k=g;l=k+136|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+136|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7638136,7711224,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+136|0;h[l>>3]=j;return}function Xh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1984>>3]=+h[b+1992>>3]*+h[b+2048>>3];return}function Yh(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2048>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+2024>>3]*1.0e13;j=g}else{k=+h[g+2048>>3];l=+h[g+2024>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7625064,7711216,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+2016>>3]=+V(+i);return}function Zh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2152>>3]=+h[b+2064>>3]+ +h[b+2016>>3];return}function _h(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1488>>3]=+h[b+40>>3]+ +h[(c[a+416>>2]|0)+17984>>3]*-.5;return}function $h(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1320>>3]=+h[b+1488>>3]+ +h[(c[a+416>>2]|0)+17984>>3]*-.5;return}function ai(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1384>>3]=+h[b+1320>>3]- +h[(c[a+416>>2]|0)+18088>>3];return}function bi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3])|0;a[(c[b+352>>2]|0)+4|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+2|0]=d;return}function ci(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+2|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+1400|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18056>>3]*+h[i+32>>3];f=i;g=f+1400|0;h[g>>3]=e;return}}function di(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+2|0]|0)==0){f=0.0;g=e+1408|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+1384>>3]- +h[d+18064>>3]));f=i*i*(-0.0- +h[d+18048>>3]);g=e+1408|0;h[g>>3]=f;return}function ei(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+2|0]|0)==0){f=0.0;g=e;i=g+1392|0;h[i>>3]=f;return}b=(wK(+h[e+1400>>3],+h[e+1408>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+1408>>3];g=e;i=g+1392|0;h[i>>3]=f;return}b=(yK(+h[e+1400>>3],-0.0- +h[e+1408>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+1400>>3];g=e;i=g+1392|0;h[i>>3]=f;return}else{f=-0.0- +h[e+1408>>3];g=e;i=g+1392|0;h[i>>3]=f;return}}function fi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1416>>3]=+h[b+1392>>3]*+h[b+32>>3];return}function gi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1424>>3]=+h[b+1408>>3]+ +h[b+1392>>3];return}function hi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1504>>3]=+h[b+1512>>3]- +h[b+1424>>3];return}function ii(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1432>>3]=+h[(c[a+416>>2]|0)+18080>>3]- +h[b+40>>3];return}function ji(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3])|0;a[(c[b+352>>2]|0)+5|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+3|0]=d;return}function ki(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+3|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+1456|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18016>>3]*+h[i+1440>>3];f=i;g=f+1456|0;h[g>>3]=e;return}}function li(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+3|0]|0)==0){f=0.0;g=e+1464|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+1432>>3]- +h[d+18024>>3]));f=i*i*(-0.0- +h[d+18008>>3]);g=e+1464|0;h[g>>3]=f;return}function mi(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+3|0]|0)==0){f=0.0;g=e;i=g+1448|0;h[i>>3]=f;return}b=(wK(+h[e+1456>>3],+h[e+1464>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+1464>>3];g=e;i=g+1448|0;h[i>>3]=f;return}b=(yK(+h[e+1456>>3],-0.0- +h[e+1464>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+1456>>3];g=e;i=g+1448|0;h[i>>3]=f;return}else{f=-0.0- +h[e+1464>>3];g=e;i=g+1448|0;h[i>>3]=f;return}}function ni(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1472>>3]=+h[b+1448>>3]*+h[b+1440>>3];return}function oi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1480>>3]=+h[b+1464>>3]+ +h[b+1448>>3];return}function pi(a){a=a|0;var b=0,d=0;MK(a,9)|0;b=c[(c[a+476>>2]|0)+604>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1496>>3]=+h[b>>3];h[d+1240>>3]=+h[b+8>>3];h[d+2128>>3]=+h[b+16>>3];return}function qi(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+1240>>3];return}function ri(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1232>>3]=+h[b+40>>3]+ +h[(c[a+416>>2]|0)+18224>>3]*.5;return}function si(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1248>>3]=+h[b+1232>>3]+ +h[(c[a+416>>2]|0)+18224>>3]*.5;return}function ti(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;j=vK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=j;d=g;e=i;break}else{i=b+4|0;g=vK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;g=zK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;e=i;break}else{i=b+4|0;f=zK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3])|0;a[(c[b+352>>2]|0)+6|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+4|0]=d;return}function ui(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=d+8|0;if((a[b+312|0]|0)!=0){g=b+4|0;Ri(e,c[b+536>>2]|0,c[c[b+320>>2]>>2]|0,+h[c[c[g>>2]>>2]>>3],+h[(c[b+416>>2]|0)+19216>>3]);h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+2648>>3]=+h[e>>3];i=d;return}e=b+4|0;g=c[c[e>>2]>>2]|0;do{if((a[(c[g+16>>2]|0)+4|0]|0)!=0){if((a[(c[b+408>>2]|0)+4|0]|0)!=0){break}Ri(f,c[b+536>>2]|0,c[c[b+320>>2]>>2]|0,+h[g>>3],+h[(c[b+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2648>>3]=+h[f>>3];i=d;return}}while(0);h[(c[g+8>>2]|0)+2648>>3]=+h[(c[b+400>>2]|0)+2648>>3];i=d;return}function vi(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,1,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]=+h[d>>3];i=b;return}function wi(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,2,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]=+h[d>>3];i=b;return}function xi(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,3,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[d>>3];i=b;return}function yi(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zK(+h[d+17264>>3]*(+h[d+17272>>3]- +h[d+17256>>3])+1.0,1.0e-15)|0)<<24>>24==0)){i=b;return}Ce[c[2178]&63](c[a+536>>2]|0,7711192,7623080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function zi(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zK(+h[d+17296>>3]*(+h[d+17304>>3]- +h[d+17288>>3])+1.0,1.0e-15)|0)<<24>>24==0)){i=b;return}Ce[c[2178]&63](c[a+536>>2]|0,7711192,7623080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Ai(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zK(+h[d+17328>>3]*(+h[d+17336>>3]- +h[d+17320>>3])+1.0,1.0e-15)|0)<<24>>24==0)){i=b;return}Ce[c[2178]&63](c[a+536>>2]|0,7711192,7623080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Bi(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zK(+h[d+17360>>3]*(+h[d+17368>>3]- +h[d+17352>>3])+1.0,1.0e-15)|0)<<24>>24==0)){i=b;return}Ce[c[2178]&63](c[a+536>>2]|0,7711192,7623080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Ci(a){a=a|0;var b=0,d=0;b=i;d=c[a+416>>2]|0;if(!((zK(+h[d+18472>>3]*(+h[d+18480>>3]- +h[d+18464>>3])+1.0,1.0e-15)|0)<<24>>24==0)){i=b;return}Ce[c[2178]&63](c[a+536>>2]|0,7711192,7623080,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function Di(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);Fg(b);Gg(b);Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);Mg(b);Ng(b);Og(b);Pg(b);Qg(b);Rg(b);Sg(b);Tg(b);Ug(b);Vg(b);Wg(b);Xg(b);Yg(b);Zg(b);_g(b);$g(b);ah(b);bh(b);ch(b);dh(b);eh(b);fh(b);gh(b);hh(b);ih(b);jh(b);kh(b);lh(b);mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);Fh(b);Gh(b);Hh(b);Ih(b);Jh(b);Kh(b);Lh(b);Mh(b);Nh(b);Oh(b);Ph(b);Qh(b);Rh(b);Sh(b);Th(b);Uh(b);Vh(b);Wh(b);Xh(b);Yh(b);Zh(b);_h(b);$h(b);ai(b);bi(b);ci(b);di(b);ei(b);fi(b);gi(b);hi(b);ii(b);ji(b);ki(b);li(b);mi(b);ni(b);oi(b);pi(b);qi(b);ri(b);si(b);ti(b);ui(b);vi(b);wi(b);xi(b);yi(b);zi(b);Ai(b);Bi(b);Ci(b);return 0}function Ei(b){b=b|0;a[b+314|0]=0;Fi(b);return 0}function Fi(a){a=a|0;pg(a);rg(a);sg(a);tg(a);ug(a);vg(a);wg(a);xg(a);yg(a);zg(a);Ag(a);Bg(a);Cg(a);Eg(a);Fg(a);Gg(a);Hg(a);Ig(a);Jg(a);Vg(a);Wg(a);Xg(a);Yg(a);Zg(a);$g(a);eh(a);fh(a);gh(a);hh(a);ih(a);jh(a);mh(a);nh(a);oh(a);ph(a);qh(a);rh(a);sh(a);th(a);uh(a);vh(a);wh(a);xh(a);yh(a);zh(a);Ah(a);Bh(a);Ch(a);Dh(a);Hh(a);Ih(a);Jh(a);Ph(a);Qh(a);Rh(a);Sh(a);Vh(a);Wh(a);_h(a);$h(a);ai(a);bi(a);ci(a);di(a);ei(a);gi(a);hi(a);ii(a);ji(a);ki(a);li(a);mi(a);oi(a);pi(a);qi(a);Ze(a);_e(a);$e(a);af(a);bf(a);cf(a);df(a);ef(a);ff(a);gf(a);hf(a);jf(a);kf(a);lf(a);mf(a);of(a);yf(a);zf(a);Bf(a);Cf(a);Df(a);Kf(a);Lf(a);Mf(a);Nf(a);Pf(a);Qf(a);Rf(a);Sf(a);Tf(a);Wf(a);Xf(a);Yf(a);Zf(a);_f(a);$f(a);ag(a);cg(a);dg(a);eg(a);fg(a);gg(a);hg(a);ig(a);kg(a);lg(a);mg(a);return}function Gi(a,b){a=a|0;b=+b;return 0}function Hi(a){a=a|0;var b=0,d=0;b=i;iH(c[a+536>>2]|0,(a|0)!=0|0,7622736,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=7713888;c[a+84>>2]=7622280;c[a+88>>2]=7622280;c[a+92>>2]=7621808;c[a+96>>2]=7621496;c[a+100>>2]=5757712;c[a+60>>2]=32752;c[a+112>>2]=9;c[a+116>>2]=384;c[a+120>>2]=1;c[a+124>>2]=0;c[a+128>>2]=5;c[a+132>>2]=0;c[a+136>>2]=2403;c[a+140>>2]=18;c[a+144>>2]=29;c[a+148>>2]=2;c[a+152>>2]=0;c[a+156>>2]=0;c[a+232>>2]=5;c[a+216>>2]=258;c[a+220>>2]=0;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=7;c[a+104>>2]=0;c[a+164>>2]=7;c[a+168>>2]=0;c[a+176>>2]=2;c[a+180>>2]=3;c[a+184>>2]=5;c[a+188>>2]=1;c[a+56>>2]=32368;c[a+64>>2]=10;c[a+72>>2]=0;c[a+68>>2]=1049;c[a+192>>2]=0;c[a+196>>2]=10;c[a+200>>2]=4;c[a+204>>2]=0;c[a+208>>2]=0;c[a+212>>2]=0;c[a+172>>2]=0;i=b;return}function Ii(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2186]=c[2180];c[2187]=c[2181];c[2188]=c[2182];c[2189]=c[2183];c[2190]=c[2184];c[2191]=c[2185];Ia(c[2186]|0);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;oaa(m|0,0,88)|0;n=sa(196,c[1931162]|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(68,c[1931162]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=paa(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=paa(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(102,h|0);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(76,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ca(68,c[1931162]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(162,k|0);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(40,7700464,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Ca(68,c[1931162]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=qaa(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function Ji(){Ta(0)|0;Ya(7700216,18,1,c[u>>2]|0)|0;Ta(0)|0;return}function Ki(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0;b=i;l=f;f=i;i=i+12|0;i=i+7&-8;c[f>>2]=c[l>>2];c[f+4>>2]=c[l+4>>2];c[f+8>>2]=c[l+8>>2];l=h;h=i;i=i+12|0;i=i+7&-8;c[h>>2]=c[l>>2];c[h+4>>2]=c[l+4>>2];c[h+8>>2]=c[l+8>>2];qH(h);l=Li(c[f+8>>2]|0)|0;m=Mi(f,1)|0;n=Mi(f,2)|0;f=Ni(c[h+8>>2]|0)|0;c[a>>2]=Jz(d,e,l,m,n,g,f,Oi(h)|0,j,k)|0;i=b;return}function Li(a){a=a|0;return a|0}function Mi(a,b){a=a|0;b=b|0;return XG(a,b)|0}function Ni(a){a=a|0;return a|0}function Oi(a){a=a|0;return XG(a,1)|0}function Pi(a,b,c,d,e,f,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;i=+i;h[a>>3]=+Qz(c,d,e,f,g);return}function Qi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;h[a>>3]=+Vz(c);return}function Ri(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;h[a>>3]=+Wz(c,d);return}function Si(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;h[a>>3]=+Uz(c);return}function Ti(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;h[a>>3]=+Xz(c,d<<24>>24,e<<24>>24);return}function Ui(a,b){a=a|0;b=b|0;Oz(b);return}function Vi(a,b,c,d,e,f,g,i){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;i=+i;var j=0.0;j=+V(+(c/e));h[a>>3]=(j*f+d+-1.0)/(j*g+ +X(+j,+i)+1.0)+1.0;return}function Wi(a){a=a|0;var b=0,d=0;b=i;i=i+8648|0;fH(4,0,7699296,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;gI(b+16|0,4,0.0,(d=i,i=i+24|0,h[d>>3]=0.0,h[d+8>>3]=0.0,h[d+16>>3]=.005,d)|0);i=d;gI(b+32|0,4,2.61165e-7,(d=i,i=i+24|0,h[d>>3]=793537.0e-10,h[d+8>>3]=-197914.0e-10,h[d+16>>3]=.005,d)|0);i=d;gI(b+48|0,4,2.61165e-7,(d=i,i=i+24|0,h[d>>3]=793537.0e-10,h[d+8>>3]=-197914.0e-10,h[d+16>>3]=.005,d)|0);i=d;gI(b+64|0,4,1.0e-4,(d=i,i=i+24|0,h[d>>3]=.0300045,h[d+8>>3]=-.00748335,h[d+16>>3]=.005,d)|0);i=d;gI(b+80|0,4,2.0e-4,(d=i,i=i+24|0,h[d>>3]=.05926,h[d+8>>3]=-.0147799,h[d+16>>3]=.005,d)|0);i=d;gI(b+96|0,4,3.0e-4,(d=i,i=i+24|0,h[d>>3]=.0877841,h[d+8>>3]=-.021894,h[d+16>>3]=.00499999,d)|0);i=d;gI(b+112|0,4,4.0e-4,(d=i,i=i+24|0,h[d>>3]=.115593,h[d+8>>3]=-.036608,h[d+16>>3]=.00499997,d)|0);i=d;gI(b+128|0,4,5.0e-4,(d=i,i=i+24|0,h[d>>3]=.142707,h[d+8>>3]=-.0568957,h[d+16>>3]=.00499994,d)|0);i=d;gI(b+144|0,4,6.0e-4,(d=i,i=i+24|0,h[d>>3]=.169143,h[d+8>>3]=-.076676,h[d+16>>3]=.00499988,d)|0);i=d;gI(b+160|0,4,7.0e-4,(d=i,i=i+24|0,h[d>>3]=.194915,h[d+8>>3]=-.0959614,h[d+16>>3]=.0049998,d)|0);i=d;gI(b+176|0,4,8.0e-4,(d=i,i=i+24|0,h[d>>3]=.220042,h[d+8>>3]=-.124763,h[d+16>>3]=.00499968,d)|0);i=d;gI(b+192|0,4,9.0e-4,(d=i,i=i+24|0,h[d>>3]=.244539,h[d+8>>3]=-.155317,h[d+16>>3]=.00499951,d)|0);i=d;gI(b+208|0,4,.001,(d=i,i=i+24|0,h[d>>3]=.26842,h[d+8>>3]=-.185107,h[d+16>>3]=.00499928,d)|0);i=d;gI(b+224|0,4,.0011,(d=i,i=i+24|0,h[d>>3]=.291701,h[d+8>>3]=-.214153,h[d+16>>3]=.00499898,d)|0);i=d;gI(b+240|0,4,.0012,(d=i,i=i+24|0,h[d>>3]=.314394,h[d+8>>3]=-.249655,h[d+16>>3]=.0049986,d)|0);i=d;gI(b+256|0,4,.0013,(d=i,i=i+24|0,h[d>>3]=.336514,h[d+8>>3]=-.288306,h[d+16>>3]=.00499812,d)|0);i=d;gI(b+272|0,4,.0014,(d=i,i=i+24|0,h[d>>3]=.358074,h[d+8>>3]=-.325991,h[d+16>>3]=.00499754,d)|0);i=d;gI(b+288|0,4,.0015,(d=i,i=i+24|0,h[d>>3]=.379086,h[d+8>>3]=-.362735,h[d+16>>3]=.00499682,d)|0);i=d;gI(b+304|0,4,.0016,(d=i,i=i+24|0,h[d>>3]=.399562,h[d+8>>3]=-.398563,h[d+16>>3]=.00499597,d)|0);i=d;gI(b+320|0,4,.0017,(d=i,i=i+24|0,h[d>>3]=.419514,h[d+8>>3]=-.44324,h[d+16>>3]=.00499496,d)|0);i=d;gI(b+336|0,4,.0018,(d=i,i=i+24|0,h[d>>3]=.438955,h[d+8>>3]=-.487015,h[d+16>>3]=.00499378,d)|0);i=d;gI(b+352|0,4,.0019,(d=i,i=i+24|0,h[d>>3]=.457893,h[d+8>>3]=-.529698,h[d+16>>3]=.00499242,d)|0);i=d;gI(b+368|0,4,.002,(d=i,i=i+24|0,h[d>>3]=.47634,h[d+8>>3]=-.571317,h[d+16>>3]=.00499085,d)|0);i=d;gI(b+384|0,4,.0021,(d=i,i=i+24|0,h[d>>3]=.494305,h[d+8>>3]=-.611901,h[d+16>>3]=.00498906,d)|0);i=d;gI(b+400|0,4,.0022,(d=i,i=i+24|0,h[d>>3]=.511799,h[d+8>>3]=-.657374,h[d+16>>3]=.00498704,d)|0);i=d;gI(b+416|0,4,.0023,(d=i,i=i+24|0,h[d>>3]=.528832,h[d+8>>3]=-.704491,h[d+16>>3]=.00498476,d)|0);i=d;gI(b+432|0,4,.0024,(d=i,i=i+24|0,h[d>>3]=.545412,h[d+8>>3]=-.750434,h[d+16>>3]=.00498221,d)|0);i=d;gI(b+448|0,4,.0025,(d=i,i=i+24|0,h[d>>3]=.561548,h[d+8>>3]=-.795237,h[d+16>>3]=.00497937,d)|0);i=d;gI(b+464|0,4,.0026,(d=i,i=i+24|0,h[d>>3]=.577248,h[d+8>>3]=-.83893,h[d+16>>3]=.00497623,d)|0);i=d;gI(b+480|0,4,.0027,(d=i,i=i+24|0,h[d>>3]=.592521,h[d+8>>3]=-.881543,h[d+16>>3]=.00497277,d)|0);i=d;gI(b+496|0,4,.0028,(d=i,i=i+24|0,h[d>>3]=.607375,h[d+8>>3]=-.926803,h[d+16>>3]=.00496896,d)|0);i=d;gI(b+512|0,4,.0029,(d=i,i=i+24|0,h[d>>3]=.62182,h[d+8>>3]=-.974598,h[d+16>>3]=.0049648,d)|0);i=d;gI(b+528|0,4,.003,(d=i,i=i+24|0,h[d>>3]=.63586,h[d+8>>3]=-1.02121,h[d+16>>3]=.00496027,d)|0);i=d;gI(b+544|0,4,.0031,(d=i,i=i+24|0,h[d>>3]=.649503,h[d+8>>3]=-1.06667,h[d+16>>3]=.00495534,d)|0);i=d;gI(b+560|0,4,.0032,(d=i,i=i+24|0,h[d>>3]=.662756,h[d+8>>3]=-1.11102,h[d+16>>3]=.00495,d)|0);i=d;gI(b+576|0,4,.0033,(d=i,i=i+24|0,h[d>>3]=.675625,h[d+8>>3]=-1.15428,h[d+16>>3]=.00494424,d)|0);i=d;gI(b+592|0,4,.0034,(d=i,i=i+24|0,h[d>>3]=.688119,h[d+8>>3]=-1.19648,h[d+16>>3]=.00493803,d)|0);i=d;gI(b+608|0,4,.0035,(d=i,i=i+24|0,h[d>>3]=.700242,h[d+8>>3]=-1.23778,h[d+16>>3]=.00493136,d)|0);i=d;gI(b+624|0,4,.0036,(d=i,i=i+24|0,h[d>>3]=.712005,h[d+8>>3]=-1.28391,h[d+16>>3]=.00492421,d)|0);i=d;gI(b+640|0,4,.0037,(d=i,i=i+24|0,h[d>>3]=.72341,h[d+8>>3]=-1.32891,h[d+16>>3]=.00491657,d)|0);i=d;gI(b+656|0,4,.0038,(d=i,i=i+24|0,h[d>>3]=.734463,h[d+8>>3]=-1.3728,h[d+16>>3]=.00490842,d)|0);i=d;gI(b+672|0,4,.0039,(d=i,i=i+24|0,h[d>>3]=.74517,h[d+8>>3]=-1.41563,h[d+16>>3]=.00489974,d)|0);i=d;gI(b+688|0,4,.004,(d=i,i=i+24|0,h[d>>3]=.755536,h[d+8>>3]=-1.45743,h[d+16>>3]=.00489052,d)|0);i=d;gI(b+704|0,4,.0041,(d=i,i=i+24|0,h[d>>3]=.765568,h[d+8>>3]=-1.49822,h[d+16>>3]=.00488074,d)|0);i=d;gI(b+720|0,4,.0042,(d=i,i=i+24|0,h[d>>3]=.775269,h[d+8>>3]=-1.53803,h[d+16>>3]=.00487038,d)|0);i=d;gI(b+736|0,4,.0043,(d=i,i=i+24|0,h[d>>3]=.784646,h[d+8>>3]=-1.57689,h[d+16>>3]=.00485943,d)|0);i=d;gI(b+752|0,4,.0044,(d=i,i=i+24|0,h[d>>3]=.793704,h[d+8>>3]=-1.61483,h[d+16>>3]=.00484787,d)|0);i=d;gI(b+768|0,4,.0045,(d=i,i=i+24|0,h[d>>3]=.80245,h[d+8>>3]=-1.65314,h[d+16>>3]=.00483569,d)|0);i=d;gI(b+784|0,4,.0046,(d=i,i=i+24|0,h[d>>3]=.810888,h[d+8>>3]=-1.69366,h[d+16>>3]=.00482288,d)|0);i=d;gI(b+800|0,4,.0047,(d=i,i=i+24|0,h[d>>3]=.81902,h[d+8>>3]=-1.7332,h[d+16>>3]=.00480941,d)|0);i=d;gI(b+816|0,4,.0048,(d=i,i=i+24|0,h[d>>3]=.826851,h[d+8>>3]=-1.77179,h[d+16>>3]=.00479528,d)|0);i=d;gI(b+832|0,4,.0049,(d=i,i=i+24|0,h[d>>3]=.834387,h[d+8>>3]=-1.80945,h[d+16>>3]=.00478046,d)|0);i=d;gI(b+848|0,4,.005,(d=i,i=i+24|0,h[d>>3]=.841631,h[d+8>>3]=-1.84622,h[d+16>>3]=.00476495,d)|0);i=d;gI(b+864|0,4,.0051,(d=i,i=i+24|0,h[d>>3]=.84859,h[d+8>>3]=-1.88259,h[d+16>>3]=.00474873,d)|0);i=d;gI(b+880|0,4,.0052,(d=i,i=i+24|0,h[d>>3]=.855304,h[d+8>>3]=-1.92429,h[d+16>>3]=.00473179,d)|0);i=d;gI(b+896|0,4,.0053,(d=i,i=i+24|0,h[d>>3]=.861739,h[d+8>>3]=-1.96564,h[d+16>>3]=.0047141,d)|0);i=d;gI(b+912|0,4,.0054,(d=i,i=i+24|0,h[d>>3]=.8679,h[d+8>>3]=-2.00668,h[d+16>>3]=.00469566,d)|0);i=d;gI(b+928|0,4,.0055,(d=i,i=i+24|0,h[d>>3]=.873791,h[d+8>>3]=-2.04743,h[d+16>>3]=.00467645,d)|0);i=d;gI(b+944|0,4,.0056,(d=i,i=i+24|0,h[d>>3]=.879419,h[d+8>>3]=-2.08794,h[d+16>>3]=.00465645,d)|0);i=d;gI(b+960|0,4,.0057,(d=i,i=i+24|0,h[d>>3]=.884782,h[d+8>>3]=-2.1282,h[d+16>>3]=.00463565,d)|0);i=d;gI(b+976|0,4,.0058,(d=i,i=i+24|0,h[d>>3]=.889885,h[d+8>>3]=-2.16824,h[d+16>>3]=.00461403,d)|0);i=d;gI(b+992|0,4,.0059,(d=i,i=i+24|0,h[d>>3]=.894731,h[d+8>>3]=-2.20808,h[d+16>>3]=.00459157,d)|0);i=d;gI(b+1008|0,4,.006,(d=i,i=i+24|0,h[d>>3]=.899322,h[d+8>>3]=-2.24774,h[d+16>>3]=.00456827,d)|0);i=d;gI(b+1024|0,4,.0061,(d=i,i=i+24|0,h[d>>3]=.903661,h[d+8>>3]=-2.28927,h[d+16>>3]=.0045441,d)|0);i=d;gI(b+1040|0,4,.0062,(d=i,i=i+24|0,h[d>>3]=.907752,h[d+8>>3]=-2.33091,h[d+16>>3]=.00451905,d)|0);i=d;gI(b+1056|0,4,.0063,(d=i,i=i+24|0,h[d>>3]=.911603,h[d+8>>3]=-2.37014,h[d+16>>3]=.0044931,d)|0);i=d;gI(b+1072|0,4,.0064,(d=i,i=i+24|0,h[d>>3]=.915232,h[d+8>>3]=-2.40274,h[d+16>>3]=.00446624,d)|0);i=d;gI(b+1088|0,4,.0065,(d=i,i=i+24|0,h[d>>3]=.91862,h[d+8>>3]=-2.43469,h[d+16>>3]=.00443846,d)|0);i=d;gI(b+1104|0,4,.0066,(d=i,i=i+24|0,h[d>>3]=.92177,h[d+8>>3]=-2.466,h[d+16>>3]=.00440974,d)|0);i=d;gI(b+1120|0,4,.0067,(d=i,i=i+24|0,h[d>>3]=.924686,h[d+8>>3]=-2.49668,h[d+16>>3]=.00438007,d)|0);i=d;gI(b+1136|0,4,.0068,(d=i,i=i+24|0,h[d>>3]=.927368,h[d+8>>3]=-2.52672,h[d+16>>3]=.00434945,d)|0);i=d;gI(b+1152|0,4,.0069,(d=i,i=i+24|0,h[d>>3]=.929822,h[d+8>>3]=-2.55615,h[d+16>>3]=.00431785,d)|0);i=d;gI(b+1168|0,4,.007,(d=i,i=i+24|0,h[d>>3]=.93205,h[d+8>>3]=-2.58498,h[d+16>>3]=.00428527,d)|0);i=d;gI(b+1184|0,4,.0071,(d=i,i=i+24|0,h[d>>3]=.934052,h[d+8>>3]=-2.61318,h[d+16>>3]=.00425169,d)|0);i=d;gI(b+1200|0,4,.0072,(d=i,i=i+24|0,h[d>>3]=.935241,h[d+8>>3]=-2.64973,h[d+16>>3]=.00421711,d)|0);i=d;gI(b+1216|0,4,.0073,(d=i,i=i+24|0,h[d>>3]=.936164,h[d+8>>3]=-2.68643,h[d+16>>3]=.00418151,d)|0);i=d;gI(b+1232|0,4,.0074,(d=i,i=i+24|0,h[d>>3]=.936854,h[d+8>>3]=-2.7228,h[d+16>>3]=.00414488,d)|0);i=d;gI(b+1248|0,4,.0075,(d=i,i=i+24|0,h[d>>3]=.937309,h[d+8>>3]=-2.7588,h[d+16>>3]=.0041072,d)|0);i=d;gI(b+1264|0,4,.0076,(d=i,i=i+24|0,h[d>>3]=.937532,h[d+8>>3]=-2.7944,h[d+16>>3]=.00406845,d)|0);i=d;gI(b+1280|0,4,.0077,(d=i,i=i+24|0,h[d>>3]=.937522,h[d+8>>3]=-2.82958,h[d+16>>3]=.00402864,d)|0);i=d;gI(b+1296|0,4,.0078,(d=i,i=i+24|0,h[d>>3]=.937411,h[d+8>>3]=-2.866,h[d+16>>3]=.00398773,d)|0);i=d;gI(b+1312|0,4,.0079,(d=i,i=i+24|0,h[d>>3]=.937385,h[d+8>>3]=-2.90613,h[d+16>>3]=.00394572,d)|0);i=d;gI(b+1328|0,4,.008,(d=i,i=i+24|0,h[d>>3]=.937133,h[d+8>>3]=-2.94589,h[d+16>>3]=.0039026,d)|0);i=d;gI(b+1344|0,4,.0081,(d=i,i=i+24|0,h[d>>3]=.936656,h[d+8>>3]=-2.98525,h[d+16>>3]=.00385834,d)|0);i=d;gI(b+1360|0,4,.0082,(d=i,i=i+24|0,h[d>>3]=.935953,h[d+8>>3]=-3.02414,h[d+16>>3]=.00381293,d)|0);i=d;gI(b+1376|0,4,.0083,(d=i,i=i+24|0,h[d>>3]=.935024,h[d+8>>3]=-3.06251,h[d+16>>3]=.00376636,d)|0);i=d;gI(b+1392|0,4,.0084,(d=i,i=i+24|0,h[d>>3]=.934308,h[d+8>>3]=-3.10824,h[d+16>>3]=.00371862,d)|0);i=d;gI(b+1408|0,4,.0085,(d=i,i=i+24|0,h[d>>3]=.933608,h[d+8>>3]=-3.15783,h[d+16>>3]=.00366967,d)|0);i=d;gI(b+1424|0,4,.0086,(d=i,i=i+24|0,h[d>>3]=.93269,h[d+8>>3]=-3.20708,h[d+16>>3]=.00361952,d)|0);i=d;gI(b+1440|0,4,.0087,(d=i,i=i+24|0,h[d>>3]=.931553,h[d+8>>3]=-3.25592,h[d+16>>3]=.00356812,d)|0);i=d;gI(b+1456|0,4,.0088,(d=i,i=i+24|0,h[d>>3]=.930194,h[d+8>>3]=-3.30427,h[d+16>>3]=.00351548,d)|0);i=d;gI(b+1472|0,4,.0089,(d=i,i=i+24|0,h[d>>3]=.928473,h[d+8>>3]=-3.35247,h[d+16>>3]=.00346157,d)|0);i=d;gI(b+1488|0,4,.009,(d=i,i=i+24|0,h[d>>3]=.926467,h[d+8>>3]=-3.40014,h[d+16>>3]=.00340636,d)|0);i=d;gI(b+1504|0,4,.0091,(d=i,i=i+24|0,h[d>>3]=.924232,h[d+8>>3]=-3.44698,h[d+16>>3]=.00334985,d)|0);i=d;gI(b+1520|0,4,.0092,(d=i,i=i+24|0,h[d>>3]=.921766,h[d+8>>3]=-3.49289,h[d+16>>3]=.00329202,d)|0);i=d;gI(b+1536|0,4,.0093,(d=i,i=i+24|0,h[d>>3]=.918579,h[d+8>>3]=-3.53879,h[d+16>>3]=.00323283,d)|0);i=d;gI(b+1552|0,4,.0094,(d=i,i=i+24|0,h[d>>3]=.913925,h[d+8>>3]=-3.5856,h[d+16>>3]=.00317229,d)|0);i=d;gI(b+1568|0,4,.0095,(d=i,i=i+24|0,h[d>>3]=.909004,h[d+8>>3]=-3.63034,h[d+16>>3]=.00311037,d)|0);i=d;gI(b+1584|0,4,.0096,(d=i,i=i+24|0,h[d>>3]=.903809,h[d+8>>3]=-3.67275,h[d+16>>3]=.00304706,d)|0);i=d;gI(b+1600|0,4,.0097,(d=i,i=i+24|0,h[d>>3]=.89859,h[d+8>>3]=-3.72881,h[d+16>>3]=.00298233,d)|0);i=d;gI(b+1616|0,4,.0098,(d=i,i=i+24|0,h[d>>3]=.893783,h[d+8>>3]=-3.82589,h[d+16>>3]=.00291616,d)|0);i=d;gI(b+1632|0,4,.0099,(d=i,i=i+24|0,h[d>>3]=.888707,h[d+8>>3]=-3.92096,h[d+16>>3]=.00284852,d)|0);i=d;gI(b+1648|0,4,.01,(d=i,i=i+24|0,h[d>>3]=.883343,h[d+8>>3]=-4.01357,h[d+16>>3]=.00277938,d)|0);i=d;gI(b+1664|0,4,.0101,(d=i,i=i+24|0,h[d>>3]=.876979,h[d+8>>3]=-4.10734,h[d+16>>3]=.00270869,d)|0);i=d;gI(b+1680|0,4,.0102,(d=i,i=i+24|0,h[d>>3]=.869783,h[d+8>>3]=-4.19987,h[d+16>>3]=.00263642,d)|0);i=d;gI(b+1696|0,4,.0103,(d=i,i=i+24|0,h[d>>3]=.862246,h[d+8>>3]=-4.28752,h[d+16>>3]=.00256254,d)|0);i=d;gI(b+1712|0,4,.0104,(d=i,i=i+24|0,h[d>>3]=.854574,h[d+8>>3]=-4.37627,h[d+16>>3]=.00248701,d)|0);i=d;gI(b+1728|0,4,.0105,(d=i,i=i+24|0,h[d>>3]=.847614,h[d+8>>3]=-4.49154,h[d+16>>3]=.00240979,d)|0);i=d;gI(b+1744|0,4,.0106,(d=i,i=i+24|0,h[d>>3]=.840302,h[d+8>>3]=-4.60102,h[d+16>>3]=.00233085,d)|0);i=d;gI(b+1760|0,4,.0107,(d=i,i=i+24|0,h[d>>3]=.832625,h[d+8>>3]=-4.70399,h[d+16>>3]=.00225014,d)|0);i=d;gI(b+1776|0,4,.0108,(d=i,i=i+24|0,h[d>>3]=.822938,h[d+8>>3]=-4.82647,h[d+16>>3]=.00216761,d)|0);i=d;gI(b+1792|0,4,.0109,(d=i,i=i+24|0,h[d>>3]=.812813,h[d+8>>3]=-4.93752,h[d+16>>3]=.00208323,d)|0);i=d;gI(b+1808|0,4,.011,(d=i,i=i+24|0,h[d>>3]=.802204,h[d+8>>3]=-5.04175,h[d+16>>3]=.00199695,d)|0);i=d;gI(b+1824|0,4,.0111,(d=i,i=i+24|0,h[d>>3]=.78997,h[d+8>>3]=-5.30274,h[d+16>>3]=.00190873,d)|0);i=d;gI(b+1840|0,4,.0112,(d=i,i=i+24|0,h[d>>3]=.777197,h[d+8>>3]=-5.54515,h[d+16>>3]=.00181846,d)|0);i=d;gI(b+1856|0,4,.0113,(d=i,i=i+24|0,h[d>>3]=.763521,h[d+8>>3]=-5.78149,h[d+16>>3]=.00172606,d)|0);i=d;gI(b+1872|0,4,.0114,(d=i,i=i+24|0,h[d>>3]=.748272,h[d+8>>3]=-6.039,h[d+16>>3]=.00163144,d)|0);i=d;gI(b+1888|0,4,.0115,(d=i,i=i+24|0,h[d>>3]=.73235,h[d+8>>3]=-6.25778,h[d+16>>3]=.0015345,d)|0);i=d;gI(b+1904|0,4,.0116,(d=i,i=i+24|0,h[d>>3]=.715211,h[d+8>>3]=-6.57852,h[d+16>>3]=.00143514,d)|0);i=d;gI(b+1920|0,4,.0117,(d=i,i=i+24|0,h[d>>3]=.696998,h[d+8>>3]=-6.91971,h[d+16>>3]=.00133326,d)|0);i=d;gI(b+1936|0,4,.0118,(d=i,i=i+24|0,h[d>>3]=.677065,h[d+8>>3]=-7.30735,h[d+16>>3]=.00122872,d)|0);i=d;gI(b+1952|0,4,.0119,(d=i,i=i+24|0,h[d>>3]=.652791,h[d+8>>3]=-7.88085,h[d+16>>3]=.00112136,d)|0);i=d;gI(b+1968|0,4,.012,(d=i,i=i+24|0,h[d>>3]=.62734,h[d+8>>3]=-8.29718,h[d+16>>3]=.00101097,d)|0);i=d;gI(b+1984|0,4,.0121,(d=i,i=i+24|0,h[d>>3]=.597125,h[d+8>>3]=-9.13179,h[d+16>>3]=897364.0e-9,d)|0);i=d;gI(b+2e3|0,4,.0122,(d=i,i=i+24|0,h[d>>3]=.564919,h[d+8>>3]=-9.82427,h[d+16>>3]=780251.0e-9,d)|0);i=d;gI(b+2016|0,4,.0123,(d=i,i=i+24|0,h[d>>3]=.527838,h[d+8>>3]=-11.1684,h[d+16>>3]=659331.0e-9,d)|0);i=d;gI(b+2032|0,4,.0124,(d=i,i=i+24|0,h[d>>3]=.487477,h[d+8>>3]=-12.1609,h[d+16>>3]=534142.0e-9,d)|0);i=d;gI(b+2048|0,4,.0125,(d=i,i=i+24|0,h[d>>3]=.436631,h[d+8>>3]=-14.9103,h[d+16>>3]=404205.0e-9,d)|0);i=d;gI(b+2064|0,4,.0126,(d=i,i=i+24|0,h[d>>3]=.379243,h[d+8>>3]=-16.2449,h[d+16>>3]=268616.0e-9,d)|0);i=d;gI(b+2080|0,4,.0126134,(d=i,i=i+24|0,h[d>>3]=.371242,h[d+8>>3]=-16.2777,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2096|0,4,.0126134,(d=i,i=i+24|0,h[d>>3]=.371242,h[d+8>>3]=-16.2777,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2112|0,4,.0126868,(d=i,i=i+24|0,h[d>>3]=.350822,h[d+8>>3]=-16.2554,h[d+16>>3]=198624.0e-9,d)|0);i=d;gI(b+2128|0,4,.0126868,(d=i,i=i+24|0,h[d>>3]=.350822,h[d+8>>3]=-16.2554,h[d+16>>3]=198624.0e-9,d)|0);i=d;gI(b+2144|0,4,.0127,(d=i,i=i+24|0,h[d>>3]=.351869,h[d+8>>3]=-16.3218,h[d+16>>3]=199455.0e-9,d)|0);i=d;gI(b+2160|0,4,.0128,(d=i,i=i+24|0,h[d>>3]=.37695,h[d+8>>3]=-17.0338,h[d+16>>3]=241587.0e-9,d)|0);i=d;gI(b+2176|0,4,.0128157,(d=i,i=i+24|0,h[d>>3]=.381787,h[d+8>>3]=-17.1198,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2192|0,4,.0128157,(d=i,i=i+24|0,h[d>>3]=.381787,h[d+8>>3]=-17.1198,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2208|0,4,.0129,(d=i,i=i+24|0,h[d>>3]=.406591,h[d+8>>3]=-17.48,h[d+16>>3]=292352.0e-9,d)|0);i=d;gI(b+2224|0,4,.013,(d=i,i=i+24|0,h[d>>3]=.433421,h[d+8>>3]=-17.8191,h[d+16>>3]=336402.0e-9,d)|0);i=d;gI(b+2240|0,4,.0131,(d=i,i=i+24|0,h[d>>3]=.457261,h[d+8>>3]=-17.8337,h[d+16>>3]=373609.0e-9,d)|0);i=d;gI(b+2256|0,4,.0132,(d=i,i=i+24|0,h[d>>3]=.477911,h[d+8>>3]=-17.6706,h[d+16>>3]=403962.0e-9,d)|0);i=d;gI(b+2272|0,4,.0133,(d=i,i=i+24|0,h[d>>3]=.495294,h[d+8>>3]=-17.4605,h[d+16>>3]=42752.0e-8,d)|0);i=d;gI(b+2288|0,4,.0134,(d=i,i=i+24|0,h[d>>3]=.509353,h[d+8>>3]=-17.3988,h[d+16>>3]=444358.0e-9,d)|0);i=d;gI(b+2304|0,4,.0135,(d=i,i=i+24|0,h[d>>3]=.520015,h[d+8>>3]=-17.4878,h[d+16>>3]=4545.0e-7,d)|0);i=d;gI(b+2320|0,4,.0136,(d=i,i=i+24|0,h[d>>3]=.527192,h[d+8>>3]=-17.7433,h[d+16>>3]=457911.0e-9,d)|0);i=d;gI(b+2336|0,4,.0136003,(d=i,i=i+24|0,h[d>>3]=.527207,h[d+8>>3]=-17.7443,h[d+16>>3]=457911.0e-9,d)|0);i=d;gI(b+2352|0,4,.0136003,(d=i,i=i+24|0,h[d>>3]=.527207,h[d+8>>3]=-17.7443,h[d+16>>3]=457911.0e-9,d)|0);i=d;gI(b+2368|0,4,.0137,(d=i,i=i+24|0,h[d>>3]=.530748,h[d+8>>3]=-18.1997,h[d+16>>3]=454491.0e-9,d)|0);i=d;gI(b+2384|0,4,.0138,(d=i,i=i+24|0,h[d>>3]=.530517,h[d+8>>3]=-18.8646,h[d+16>>3]=444064.0e-9,d)|0);i=d;gI(b+2400|0,4,.0139,(d=i,i=i+24|0,h[d>>3]=.526294,h[d+8>>3]=-19.7142,h[d+16>>3]=426376.0e-9,d)|0);i=d;gI(b+2416|0,4,.014,(d=i,i=i+24|0,h[d>>3]=.517828,h[d+8>>3]=-20.6871,h[d+16>>3]=401101.0e-9,d)|0);i=d;gI(b+2432|0,4,.0141,(d=i,i=i+24|0,h[d>>3]=.504836,h[d+8>>3]=-21.6765,h[d+16>>3]=367869.0e-9,d)|0);i=d;gI(b+2448|0,4,.0142,(d=i,i=i+24|0,h[d>>3]=.487037,h[d+8>>3]=-22.6627,h[d+16>>3]=326301.0e-9,d)|0);i=d;gI(b+2464|0,4,.0143,(d=i,i=i+24|0,h[d>>3]=.464073,h[d+8>>3]=-23.4017,h[d+16>>3]=276025.0e-9,d)|0);i=d;gI(b+2480|0,4,.0143458,(d=i,i=i+24|0,h[d>>3]=.451744,h[d+8>>3]=-23.5657,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2496|0,4,.0143458,(d=i,i=i+24|0,h[d>>3]=.451744,h[d+8>>3]=-23.5657,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2512|0,4,.0144,(d=i,i=i+24|0,h[d>>3]=.439383,h[d+8>>3]=-23.6302,h[d+16>>3]=223375.0e-9,d)|0);i=d;gI(b+2528|0,4,.0144518,(d=i,i=i+24|0,h[d>>3]=.438001,h[d+8>>3]=-23.8106,h[d+16>>3]=21654.0e-8,d)|0);i=d;gI(b+2544|0,4,.0144518,(d=i,i=i+24|0,h[d>>3]=.438001,h[d+8>>3]=-23.8106,h[d+16>>3]=21654.0e-8,d)|0);i=d;gI(b+2560|0,4,.0145,(d=i,i=i+24|0,h[d>>3]=.442437,h[d+8>>3]=-24.0882,h[d+16>>3]=220288.0e-9,d)|0);i=d;gI(b+2576|0,4,.0146,(d=i,i=i+24|0,h[d>>3]=.459291,h[d+8>>3]=-24.7355,h[d+16>>3]=241352.0e-9,d)|0);i=d;gI(b+2592|0,4,.014643,(d=i,i=i+24|0,h[d>>3]=.466338,h[d+8>>3]=-24.9736,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2608|0,4,.014643,(d=i,i=i+24|0,h[d>>3]=.466338,h[d+8>>3]=-24.9736,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2624|0,4,.0147,(d=i,i=i+24|0,h[d>>3]=.47417,h[d+8>>3]=-25.2545,h[d+16>>3]=258795.0e-9,d)|0);i=d;gI(b+2640|0,4,.0148,(d=i,i=i+24|0,h[d>>3]=.483493,h[d+8>>3]=-25.7045,h[d+16>>3]=266567.0e-9,d)|0);i=d;gI(b+2656|0,4,.0148288,(d=i,i=i+24|0,h[d>>3]=.485111,h[d+8>>3]=-25.8323,h[d+16>>3]=26698.0e-8,d)|0);i=d;gI(b+2672|0,4,.0148288,(d=i,i=i+24|0,h[d>>3]=.485111,h[d+8>>3]=-25.8323,h[d+16>>3]=26698.0e-8,d)|0);i=d;gI(b+2688|0,4,.0149,(d=i,i=i+24|0,h[d>>3]=.486998,h[d+8>>3]=-26.1506,h[d+16>>3]=264454.0e-9,d)|0);i=d;gI(b+2704|0,4,.015,(d=i,i=i+24|0,h[d>>3]=.484444,h[d+8>>3]=-26.5924,h[d+16>>3]=252282.0e-9,d)|0);i=d;gI(b+2720|0,4,.0150127,(d=i,i=i+24|0,h[d>>3]=.483671,h[d+8>>3]=-26.6456,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2736|0,4,.0150127,(d=i,i=i+24|0,h[d>>3]=.483671,h[d+8>>3]=-26.6456,h[d+16>>3]=25.0e-5,d)|0);i=d;gI(b+2752|0,4,.0151,(d=i,i=i+24|0,h[d>>3]=.477935,h[d+8>>3]=-26.9803,h[d+16>>3]=233764.0e-9,d)|0);i=d;gI(b+2768|0,4,.0151954,(d=i,i=i+24|0,h[d>>3]=.478678,h[d+8>>3]=-27.3825,h[d+16>>3]=227777.0e-9,d)|0);i=d;gI(b+2784|0,4,.0151954,(d=i,i=i+24|0,h[d>>3]=.478678,h[d+8>>3]=-27.3825,h[d+16>>3]=227777.0e-9,d)|0);i=d;gI(b+2800|0,4,.0152,(d=i,i=i+24|0,h[d>>3]=.478896,h[d+8>>3]=-27.404,h[d+16>>3]=227786.0e-9,d)|0);i=d;gI(b+2816|0,4,.0153,(d=i,i=i+24|0,h[d>>3]=.486112,h[d+8>>3]=-27.9096,h[d+16>>3]=231723.0e-9,d)|0);i=d;gI(b+2832|0,4,.0154,(d=i,i=i+24|0,h[d>>3]=.494618,h[d+8>>3]=-28.4114,h[d+16>>3]=237745.0e-9,d)|0);i=d;gI(b+2848|0,4,.0154716,(d=i,i=i+24|0,h[d>>3]=.499054,h[d+8>>3]=-28.7526,h[d+16>>3]=239402.0e-9,d)|0);i=d;gI(b+2864|0,4,.0154716,(d=i,i=i+24|0,h[d>>3]=.499054,h[d+8>>3]=-28.7526,h[d+16>>3]=239402.0e-9,d)|0);i=d;gI(b+2880|0,4,.0155,(d=i,i=i+24|0,h[d>>3]=.500242,h[d+8>>3]=-28.8872,h[d+16>>3]=239151.0e-9,d)|0);i=d;gI(b+2896|0,4,.0156,(d=i,i=i+24|0,h[d>>3]=.502893,h[d+8>>3]=-29.3755,h[d+16>>3]=235871.0e-9,d)|0);i=d;gI(b+2912|0,4,.0157,(d=i,i=i+24|0,h[d>>3]=.505639,h[d+8>>3]=-29.8643,h[d+16>>3]=232816.0e-9,d)|0);i=d;gI(b+2928|0,4,.0158,(d=i,i=i+24|0,h[d>>3]=.509736,h[d+8>>3]=-30.3772,h[d+16>>3]=231912.0e-9,d)|0);i=d;gI(b+2944|0,4,.0158118,(d=i,i=i+24|0,h[d>>3]=.51029,h[d+8>>3]=-30.4396,h[d+16>>3]=231905.0e-9,d)|0);i=d;gI(b+2960|0,4,.0158118,(d=i,i=i+24|0,h[d>>3]=.51029,h[d+8>>3]=-30.4396,h[d+16>>3]=231905.0e-9,d)|0);i=d;gI(b+2976|0,4,.0159,(d=i,i=i+24|0,h[d>>3]=.514622,h[d+8>>3]=-30.9065,h[d+16>>3]=232198.0e-9,d)|0);i=d;gI(b+2992|0,4,.016,(d=i,i=i+24|0,h[d>>3]=.519654,h[d+8>>3]=-31.4343,h[d+16>>3]=232755.0e-9,d)|0);i=d;gI(b+3008|0,4,.016048,(d=i,i=i+24|0,h[d>>3]=.521947,h[d+8>>3]=-31.6846,h[d+16>>3]=232849.0e-9,d)|0);i=d;gI(b+3024|0,4,.016048,(d=i,i=i+24|0,h[d>>3]=.521947,h[d+8>>3]=-31.6846,h[d+16>>3]=232849.0e-9,d)|0);i=d;gI(b+3040|0,4,.0161,(d=i,i=i+24|0,h[d>>3]=.524291,h[d+8>>3]=-31.9527,h[d+16>>3]=232753.0e-9,d)|0);i=d;gI(b+3056|0,4,.0162,(d=i,i=i+24|0,h[d>>3]=.528618,h[d+8>>3]=-32.4638,h[d+16>>3]=232328.0e-9,d)|0);i=d;gI(b+3072|0,4,.0163,(d=i,i=i+24|0,h[d>>3]=.53296,h[d+8>>3]=-32.9726,h[d+16>>3]=231976.0e-9,d)|0);i=d;gI(b+3088|0,4,.0164,(d=i,i=i+24|0,h[d>>3]=.537374,h[d+8>>3]=-33.4793,h[d+16>>3]=231787.0e-9,d)|0);i=d;gI(b+3104|0,4,.0165,(d=i,i=i+24|0,h[d>>3]=.541801,h[d+8>>3]=-33.9827,h[d+16>>3]=231672.0e-9,d)|0);i=d;gI(b+3120|0,4,.0166,(d=i,i=i+24|0,h[d>>3]=.546199,h[d+8>>3]=-34.4828,h[d+16>>3]=231561.0e-9,d)|0);i=d;gI(b+3136|0,4,.0167,(d=i,i=i+24|0,h[d>>3]=.550555,h[d+8>>3]=-34.9795,h[d+16>>3]=231435.0e-9,d)|0);i=d;gI(b+3152|0,4,.0168,(d=i,i=i+24|0,h[d>>3]=.554875,h[d+8>>3]=-35.4729,h[d+16>>3]=2313.0e-7,d)|0);i=d;c[b+8536>>2]=d;c[b+8560>>2]=0;c[b+8564>>2]=0;_Modelica_Magnetic_FluxTubes_Examples_SolenoidActuator_ComparisonPullInStroke_callExternalObjectConstructors$1(b);d=c[b+8536>>2]|0;c[b+8528>>2]=a;c[b+8536>>2]=d;c[b+8552>>2]=0;c[b+8556>>2]=0;_Modelica_Magnetic_FluxTubes_Examples_SolenoidActuator_ComparisonPullInStroke_callExternalObjectConstructors$0(b);d=c[b+8536>>2]|0;I=c[b+8552>>2]|0;B=c[b+8556>>2]|0;J=+g[b+8556>>2];c[b+8552>>2]=0;c[b+8556>>2]=0;if((I|0)==5){return}}function Xi(a){a=a|0;var b=0,d=0;b=a+320|0;d=c[b>>2]|0;if((d|0)==0){return}Ui(c[a+536>>2]|0,c[d>>2]|0);M9(c[b>>2]|0);c[b>>2]=0;return}function Yi(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2968>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+560|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+560|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7695336,7710952,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+560|0;h[m>>3]=k;return}function Zi(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+560>>3],+h[f+18720>>3],+h[f+18728>>3],+h[f+18736>>3],+h[f+18744>>3],+h[f+18752>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3]=+h[d>>3];i=b;return}function _i(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3];i=+h[(c[b+416>>2]|0)+18760>>3];j=+h[f+2968>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7679624,7710736,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+568>>3]=g*k*1256637061435917.0e-21;return}function $i(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+568>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+576|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7668640,7710648,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+576|0;h[l>>3]=k;return}function aj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+576>>3]*(-0.0- +h[b+696>>3]);return}function bj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2960>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+616|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+616|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7657664,7713728,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+616|0;h[m>>3]=k;return}function cj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+616>>3],+h[f+18648>>3],+h[f+18656>>3],+h[f+18664>>3],+h[f+18672>>3],+h[f+18680>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3]=+h[d>>3];i=b;return}function dj(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18696>>3];j=+h[f+18704>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7649920,7713296,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7642440,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+600>>3];j=+ea(k);k=+h[(c[e>>2]|0)+18688>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7636248,7713296,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}function ej(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+624>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+632|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7630168,7713136,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+632|0;h[l>>3]=k;return}function fj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+640>>3]=+h[b+632>>3]*(-0.0- +h[b+696>>3]);return}function gj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2952>>3];i=+h[f+696>>3];if(g!=0.0){j=i/g;k=f;l=k+672|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+672|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7624232,7712888,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+672|0;h[l>>3]=j;return}function hj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],+h[f+18576>>3],+h[f+18584>>3],+h[f+18592>>3],+h[f+18600>>3],+h[f+18608>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+656>>3]=+h[d>>3];i=b;return}function ij(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18624>>3];j=+h[f+18632>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7699896,7712880,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7694992,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+656>>3];j=+ea(k);k=+h[(c[e>>2]|0)+18616>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7691120,7712880,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}function jj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+680>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+688|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7688616,7712872,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+688|0;h[l>>3]=k;return}function kj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+704>>3]=+h[b+696>>3]*+h[b+688>>3];return}function lj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2944>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+736|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+736|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7686896,7712864,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+736|0;h[m>>3]=k;return}function mj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+736>>3],+h[f+18504>>3],+h[f+18512>>3],+h[f+18520>>3],+h[f+18528>>3],+h[f+18536>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3]=+h[d>>3];i=b;return}function nj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3];i=+h[(c[b+416>>2]|0)+18544>>3];j=+h[f+2944>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7685656,7712856,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+744>>3]=g*k*1256637061435917.0e-21;return}function oj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+744>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+752|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7684296,7712848,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+752|0;h[l>>3]=k;return}function pj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+h[b+752>>3]*(-0.0- +h[b+696>>3]);return}function qj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+528>>3]=+h[b+696>>3]+(-0.0- +h[b+520>>3]- +h[b+216>>3]);return}function rj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b>>3]=-0.0- +h[b+312>>3]- +h[b+696>>3];return}function sj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=+h[b>>3]*+h[b+240>>3];return}function tj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+488>>3],+h[f+18816>>3],+h[f+18824>>3],+h[f+18832>>3],+h[f+18840>>3],+h[f+18848>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+472>>3]=+h[d>>3];i=b;return}function uj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+472>>3];i=+h[(c[b+416>>2]|0)+18856>>3];j=+h[f+2992>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7683424,7712840,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+496>>3]=g*k*1256637061435917.0e-21;return}function vj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+496>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+504|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7682328,7712832,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+504|0;h[l>>3]=k;return}function wj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+512>>3]=+h[b+504>>3]*(-0.0- +h[b+784>>3]);return}function xj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+816>>3]=+h[b+792>>3]- +h[b+512>>3];return}function yj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+312>>3]*+h[b+296>>3];return}function zj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+816>>3]- +h[b+320>>3];return}function Aj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+328>>3]- +h[b+584>>3];return}function Bj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+648>>3]=+h[b+592>>3]- +h[b+640>>3];return}function Cj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+712>>3]=+h[b+648>>3]- +h[b+760>>3];return}function Dj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+536>>3]=-0.0- +h[b+704>>3]- +h[b+712>>3];return}function Ej(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+7360>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+7336>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+7344>>3];h[a+8>>3]=+h[d+3104>>3];h[e+8>>3]=+h[d+3080>>3];h[f+8>>3]=+h[d+3088>>3];h[a+16>>3]=+h[d+4448>>3];h[e+16>>3]=+h[d+4424>>3];h[f+16>>3]=+h[d+4432>>3];h[a+24>>3]=+h[d+11056>>3];h[e+24>>3]=+h[d+11032>>3];h[f+24>>3]=+h[d+11040>>3];h[a+32>>3]=+h[d+6912>>3];h[e+32>>3]=+h[d+6888>>3];h[f+32>>3]=+h[d+6896>>3];h[a+40>>3]=+h[d+9824>>3];h[e+40>>3]=+h[d+9800>>3];h[f+40>>3]=+h[d+9808>>3];return}function Fj(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;a=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[a+520>>3]=+h[b>>3];h[a+216>>3]=+h[b+8>>3];h[a+312>>3]=+h[b+16>>3];h[a+784>>3]=+h[b+24>>3];h[a+488>>3]=+h[b+32>>3];h[a+696>>3]=+h[b+40>>3];Yi(e);Zi(e);_i(e);$i(e);aj(e);bj(e);cj(e);dj(e);ej(e);fj(e);gj(e);hj(e);ij(e);jj(e);kj(e);lj(e);mj(e);nj(e);oj(e);pj(e);qj(e);rj(e);sj(e);tj(e);uj(e);vj(e);wj(e);xj(e);yj(e);zj(e);Aj(e);Bj(e);Cj(e);Dj(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+256>>3]+(+h[e+328>>3]- +h[e+816>>3]);f=e+784|0;h[d+8>>3]=+h[e+488>>3]*+h[e+2992>>3]+ +h[f>>3];h[d+16>>3]=+h[f>>3]+(+h[e+312>>3]+ +h[e>>3]);f=e+536|0;h[d+24>>3]=+h[f>>3]+ +h[e+2920>>3]*(-0.0- +h[e+528>>3]);h[d+32>>3]=+h[f>>3]+ +h[e+2888>>3]*(-0.0- +h[e+216>>3]);h[d+40>>3]=+h[f>>3]+ +h[e+2912>>3]*(-0.0- +h[e+520>>3]);return}function Gj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2792>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1664|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1664|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7681528,7712528,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1664|0;h[m>>3]=k;return}function Hj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1664>>3],+h[f+17688>>3],+h[f+17696>>3],+h[f+17704>>3],+h[f+17712>>3],+h[f+17720>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1648>>3]=+h[d>>3];i=b;return}function Ij(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1648>>3];i=+h[(c[b+416>>2]|0)+17728>>3];j=+h[f+2792>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7680512,7712520,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1672>>3]=g*k*1256637061435917.0e-21;return}function Jj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1672>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1680|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7679520,7712512,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1680|0;h[l>>3]=k;return}function Kj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+1680>>3]*(-0.0- +h[b+2080>>3]);return}function Lj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2784>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1720|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1720|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7678288,7712504,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1720|0;h[m>>3]=k;return}function Mj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3],+h[f+17616>>3],+h[f+17624>>3],+h[f+17632>>3],+h[f+17640>>3],+h[f+17648>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1704>>3]=+h[d>>3];i=b;return}function Nj(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17664>>3];j=+h[f+17672>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7677384,7712496,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7675872,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+1704>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17656>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7674896,7712496,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}function Oj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1728>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1736|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7673744,7712488,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1736|0;h[l>>3]=k;return}function Pj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1744>>3]=+h[b+1736>>3]*(-0.0- +h[b+2080>>3]);return}function Qj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1888|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1888|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7672680,7712480,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1888|0;h[m>>3]=k;return}function Rj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1888>>3],+h[f+17400>>3],+h[f+17408>>3],+h[f+17416>>3],+h[f+17424>>3],+h[f+17432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1872>>3]=+h[d>>3];i=b;return}function Sj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1872>>3];i=+h[(c[b+416>>2]|0)+17440>>3];j=+h[f+2760>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7671768,7712472,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1896>>3]=g*k*1256637061435917.0e-21;return}function Tj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1896>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1904|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7670880,7712464,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1904|0;h[l>>3]=k;return}function Uj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1912>>3]=+h[b+1904>>3]*(-0.0- +h[b+2080>>3]);return}function Vj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2768>>3];i=+h[f+1856>>3];if(g!=0.0){j=i/g;k=f;l=k+1832|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1832|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7669408,7712456,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1832|0;h[l>>3]=j;return}function Wj(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1832>>3],+h[f+17472>>3],+h[f+17480>>3],+h[f+17488>>3],+h[f+17496>>3],+h[f+17504>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3]=+h[d>>3];i=b;return}function Xj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1816>>3];i=+h[(c[b+416>>2]|0)+17512>>3];j=+h[f+2768>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7668568,7712448,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1840>>3]=g*k*1256637061435917.0e-21;return}function Yj(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1840>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1848|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7666792,7712440,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1848|0;h[l>>3]=k;return}function Zj(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1864>>3]=+h[b+1856>>3]*+h[b+1848>>3];return}function _j(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1592>>3]=+h[b+2080>>3]+ +h[b+1856>>3];return}function $j(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1600>>3]=+h[b+1592>>3]*+h[b+2656>>3];return}function ak(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1632>>3]=-0.0- +h[b+1272>>3]-(+h[b+1624>>3]+ +h[b+1856>>3]+ +h[b+1568>>3]);return}function bk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2776>>3];i=+h[f+1856>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1776|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1776|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7665512,7712432,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1776|0;h[m>>3]=k;return}function ck(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1776>>3],+h[f+17544>>3],+h[f+17552>>3],+h[f+17560>>3],+h[f+17568>>3],+h[f+17576>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3]=+h[d>>3];i=b;return}function dk(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17592>>3];j=+h[f+17600>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7664136,7712424,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7663240,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+1760>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17584>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7662120,7712424,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}function ek(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1784>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1792|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7661024,7712416,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1792|0;h[l>>3]=k;return}function fk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1800>>3]=+h[b+1792>>3]*(-0.0- +h[b+1856>>3]);return}function gk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3],+h[f+17864>>3],+h[f+17872>>3],+h[f+17880>>3],+h[f+17888>>3],+h[f+17896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1520>>3]=+h[d>>3];i=b;return}function hk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1520>>3];i=+h[(c[b+416>>2]|0)+17904>>3];j=+h[f+2832>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7659968,7712408,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1544>>3]=g*k*1256637061435917.0e-21;return}function ik(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1544>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1552|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7659200,7712400,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1552|0;h[l>>3]=k;return}function jk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1560>>3]=+h[b+1552>>3]*(-0.0- +h[b+2032>>3]);return}function kk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1616>>3]=+h[b+2040>>3]- +h[b+1560>>3];return}function lk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1608>>3]=+h[b+1616>>3]- +h[b+1600>>3];return}function mk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1808>>3]=+h[b+1608>>3]- +h[b+1864>>3];return}function nk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=-0.0- +h[b+1800>>3]- +h[b+1808>>3];return}function ok(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1752>>3]=+h[b+1912>>3]+ +h[b+1608>>3];return}function pk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1696>>3]=+h[b+1744>>3]+ +h[b+1752>>3];return}function qk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2120>>3]=+h[b+1688>>3]+ +h[b+1696>>3];return}function rk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2112>>3]=+h[b+2120>>3]- +h[b+2088>>3];return}function sk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+24>>3]=-0.0- +h[b+2032>>3]- +h[b+1368>>3]- +h[b+1592>>3];return}function tk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1312>>3]=+h[b+1616>>3]- +h[b+2112>>3];return}function uk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1376>>3]=+h[b+1616>>3]- +h[b+2112>>3];return}function vk(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+22032>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+22008>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+22016>>3];h[a+8>>3]=+h[d+22816>>3];h[e+8>>3]=+h[d+22792>>3];h[f+8>>3]=+h[d+22800>>3];h[a+16>>3]=+h[d+17888>>3];h[e+16>>3]=+h[d+17864>>3];h[f+16>>3]=+h[d+17872>>3];h[a+24>>3]=+h[d+19232>>3];h[e+24>>3]=+h[d+19208>>3];h[f+24>>3]=+h[d+19216>>3];h[a+32>>3]=+h[d+28528>>3];h[e+32>>3]=+h[d+28504>>3];h[f+32>>3]=+h[d+28512>>3];h[a+40>>3]=+h[d+21584>>3];h[e+40>>3]=+h[d+21560>>3];h[f+40>>3]=+h[d+21568>>3];h[a+48>>3]=+h[d+26064>>3];h[e+48>>3]=+h[d+26040>>3];h[f+48>>3]=+h[d+26048>>3];h[a+56>>3]=+h[d+29200>>3];h[e+56>>3]=+h[d+29176>>3];h[f+56>>3]=+h[d+29184>>3];return}function wk(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;a=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[a+1568>>3]=+h[b>>3];h[a+1624>>3]=+h[b+8>>3];h[a+1272>>3]=+h[b+16>>3];h[a+1368>>3]=+h[b+24>>3];h[a+2032>>3]=+h[b+32>>3];h[a+1536>>3]=+h[b+40>>3];h[a+1856>>3]=+h[b+48>>3];h[a+2080>>3]=+h[b+56>>3];Gj(e);Hj(e);Ij(e);Jj(e);Kj(e);Lj(e);Mj(e);Nj(e);Oj(e);Pj(e);Qj(e);Rj(e);Sj(e);Tj(e);Uj(e);Vj(e);Wj(e);Xj(e);Yj(e);Zj(e);_j(e);$j(e);ak(e);bk(e);ck(e);dk(e);ek(e);fk(e);gk(e);hk(e);ik(e);jk(e);kk(e);lk(e);mk(e);nk(e);ok(e);pk(e);qk(e);rk(e);sk(e);tk(e);uk(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;f=e+1368|0;h[d>>3]=+h[e+1376>>3]+ +h[e+1352>>3]*(-0.0- +h[f>>3]);b=e+1640|0;h[d+8>>3]=+h[b>>3]+ +h[e+2704>>3]*(-0.0- +h[e+1632>>3]);a=e+24|0;h[d+16>>3]=+h[e+1312>>3]+ +h[e+1296>>3]*(-0.0- +h[a>>3]);h[d+24>>3]=+h[e+1536>>3]*+h[e+2832>>3]+ +h[e+2032>>3];h[d+32>>3]=-0.0- +h[e+2080>>3]- +h[f>>3]- +h[a>>3];h[d+40>>3]=+h[b>>3]+ +h[e+2664>>3]*(-0.0- +h[e+1272>>3]);h[d+48>>3]=+h[b>>3]+ +h[e+2696>>3]*(-0.0- +h[e+1624>>3]);h[d+56>>3]=+h[b>>3]+ +h[e+2680>>3]*(-0.0- +h[e+1568>>3]);return}function xk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+312>>3]=-0.0- +h[b>>3]- +h[b+696>>3];return}function yk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+536>>3]=+h[b+520>>3]*+h[b+2912>>3];return}function zk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2888>>3];i=+h[f+536>>3];if(g!=0.0){j=i/g;k=f;l=k+216|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+216|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7658464,7712080,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+216|0;h[l>>3]=j;return}function Ak(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2920>>3];i=+h[f+536>>3];if(g!=0.0){j=i/g;k=f;l=k+528|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+528|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7657584,7712072,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+528|0;h[l>>3]=j;return}function Bk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2944>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+736|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+736|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7686896,7712064,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+736|0;h[m>>3]=k;return}function Ck(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+736>>3],+h[f+18504>>3],+h[f+18512>>3],+h[f+18520>>3],+h[f+18528>>3],+h[f+18536>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+720>>3]=+h[d>>3];i=b;return}function Dk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3];i=+h[(c[b+416>>2]|0)+18544>>3];j=+h[f+2944>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7685656,7712056,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+744>>3]=g*k*1256637061435917.0e-21;return}function Ek(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+744>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+752|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7684296,7712048,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+752|0;h[l>>3]=k;return}function Fk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+760>>3]=+h[b+752>>3]*(-0.0- +h[b+696>>3]);return}function Gk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2952>>3];i=+h[f+696>>3];if(g!=0.0){j=i/g;k=f;l=k+672|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+672|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7624232,7712040,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+672|0;h[l>>3]=j;return}function Hk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+672>>3],+h[f+18576>>3],+h[f+18584>>3],+h[f+18592>>3],+h[f+18600>>3],+h[f+18608>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+656>>3]=+h[d>>3];i=b;return}function Ik(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18624>>3];j=+h[f+18632>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7699896,7712032,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7694992,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+656>>3];j=+ea(k);k=+h[(c[e>>2]|0)+18616>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7691120,7712032,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+680|0;h[r>>3]=q;i=d;return}function Jk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+680>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+688|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7688616,7712024,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+688|0;h[l>>3]=k;return}function Kk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+704>>3]=+h[b+696>>3]*+h[b+688>>3];return}function Lk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+712>>3]=-0.0- +h[b+704>>3]- +h[b+536>>3];return}function Mk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+648>>3]=+h[b+760>>3]+ +h[b+712>>3];return}function Nk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2960>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+616|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+616|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7657664,7712016,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+616|0;h[m>>3]=k;return}function Ok(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+616>>3],+h[f+18648>>3],+h[f+18656>>3],+h[f+18664>>3],+h[f+18672>>3],+h[f+18680>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+600>>3]=+h[d>>3];i=b;return}function Pk(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18696>>3];j=+h[f+18704>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7649920,7712008,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7642440,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+600>>3];j=+ea(k);k=+h[(c[e>>2]|0)+18688>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7636248,7712008,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+624|0;h[r>>3]=q;i=d;return}function Qk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+624>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+632|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7630168,7712e3,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+632|0;h[l>>3]=k;return}function Rk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+640>>3]=+h[b+632>>3]*(-0.0- +h[b+696>>3]);return}function Sk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+592>>3]=+h[b+640>>3]+ +h[b+648>>3];return}function Tk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2968>>3];i=+h[f+696>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+560|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+560|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7695336,7711992,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+560|0;h[m>>3]=k;return}function Uk(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+560>>3],+h[f+18720>>3],+h[f+18728>>3],+h[f+18736>>3],+h[f+18744>>3],+h[f+18752>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+544>>3]=+h[d>>3];i=b;return}function Vk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3];i=+h[(c[b+416>>2]|0)+18760>>3];j=+h[f+2968>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7679624,7711984,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+568>>3]=g*k*1256637061435917.0e-21;return}function Wk(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+568>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+576|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7668640,7711976,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+576|0;h[l>>3]=k;return}function Xk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+584>>3]=+h[b+576>>3]*(-0.0- +h[b+696>>3]);return}function Yk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+328>>3]=+h[b+584>>3]+ +h[b+592>>3];return}function Zk(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+816>>3]=+h[b+256>>3]+ +h[b+328>>3];return}function _k(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+320>>3]=+h[b+312>>3]*+h[b+296>>3];return}function $k(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+7360>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+7336>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+7344>>3];h[a+8>>3]=+h[d+9824>>3];h[e+8>>3]=+h[d+9800>>3];h[f+8>>3]=+h[d+9808>>3];return}function al(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;a=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[a+520>>3]=+h[b>>3];h[a+696>>3]=+h[b+8>>3];xk(e);yk(e);zk(e);Ak(e);Bk(e);Ck(e);Dk(e);Ek(e);Fk(e);Gk(e);Hk(e);Ik(e);Jk(e);Kk(e);Lk(e);Mk(e);Nk(e);Ok(e);Pk(e);Qk(e);Rk(e);Sk(e);Tk(e);Uk(e);Vk(e);Wk(e);Xk(e);Yk(e);Zk(e);_k(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+320>>3]+(+h[e+328>>3]- +h[e+816>>3]);h[d+8>>3]=+h[e+696>>3]+(-0.0- +h[e+528>>3]- +h[e+520>>3]- +h[e+216>>3]);return}function bl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1640>>3]=+h[b+1568>>3]*+h[b+2680>>3];return}function cl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2704>>3];i=+h[f+1640>>3];if(g!=0.0){j=i/g;k=f;l=k+1632|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1632|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7656224,7711712,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1632|0;h[l>>3]=j;return}function dl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2696>>3];i=+h[f+1640>>3];if(g!=0.0){j=i/g;k=f;l=k+1624|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1624|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7655520,7711704,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1624|0;h[l>>3]=j;return}function el(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2664>>3];i=+h[f+1640>>3];if(g!=0.0){j=i/g;k=f;l=k+1272|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1272|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7654584,7711696,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1272|0;h[l>>3]=j;return}function fl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2768>>3];i=+h[f+1856>>3];if(g!=0.0){j=i/g;k=f;l=k+1832|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1832|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7669408,7711688,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1832|0;h[l>>3]=j;return}function gl(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1832>>3],+h[f+17472>>3],+h[f+17480>>3],+h[f+17488>>3],+h[f+17496>>3],+h[f+17504>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1816>>3]=+h[d>>3];i=b;return}function hl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1816>>3];i=+h[(c[b+416>>2]|0)+17512>>3];j=+h[f+2768>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7668568,7711680,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1840>>3]=g*k*1256637061435917.0e-21;return}function il(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1840>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1848|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7666792,7711672,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1848|0;h[l>>3]=k;return}function jl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1864>>3]=+h[b+1856>>3]*+h[b+1848>>3];return}function kl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2776>>3];i=+h[f+1856>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1776|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1776|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7665512,7711664,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1776|0;h[m>>3]=k;return}function ll(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1776>>3],+h[f+17544>>3],+h[f+17552>>3],+h[f+17560>>3],+h[f+17568>>3],+h[f+17576>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1760>>3]=+h[d>>3];i=b;return}function _Modelica_Magnetic_FluxTubes_Examples_SolenoidActuator_ComparisonPullInStroke_callExternalObjectConstructors$0(a){a=a|0;var b=0,d=0;b=c[a+8528>>2]|0;d=c[a+8536>>2]|0;a:do{gI(a+6832|0,4,.0398,(d=i,i=i+24|0,h[d>>3]=1.19084,h[d+8>>3]=-88.563,h[d+16>>3]=220242.0e-9,d)|0);i=d;gI(a+6848|0,4,.0399,(d=i,i=i+24|0,h[d>>3]=1.19111,h[d+8>>3]=-88.5746,h[d+16>>3]=22024.0e-8,d)|0);i=d;gI(a+6864|0,4,.04,(d=i,i=i+24|0,h[d>>3]=1.19137,h[d+8>>3]=-88.5859,h[d+16>>3]=220239.0e-9,d)|0);i=d;gI(a+6880|0,4,.0401,(d=i,i=i+24|0,h[d>>3]=1.19163,h[d+8>>3]=-88.5968,h[d+16>>3]=220237.0e-9,d)|0);i=d;gI(a+6896|0,4,.0402,(d=i,i=i+24|0,h[d>>3]=1.19188,h[d+8>>3]=-88.6074,h[d+16>>3]=220235.0e-9,d)|0);i=d;gI(a+6912|0,4,.0403,(d=i,i=i+24|0,h[d>>3]=1.19212,h[d+8>>3]=-88.6176,h[d+16>>3]=220233.0e-9,d)|0);i=d;gI(a+6928|0,4,.0404,(d=i,i=i+24|0,h[d>>3]=1.19236,h[d+8>>3]=-88.6276,h[d+16>>3]=220231.0e-9,d)|0);i=d;gI(a+6944|0,4,.0405,(d=i,i=i+24|0,h[d>>3]=1.19259,h[d+8>>3]=-88.6373,h[d+16>>3]=22023.0e-8,d)|0);i=d;gI(a+6960|0,4,.0406,(d=i,i=i+24|0,h[d>>3]=1.19281,h[d+8>>3]=-88.6466,h[d+16>>3]=220228.0e-9,d)|0);i=d;gI(a+6976|0,4,.0407,(d=i,i=i+24|0,h[d>>3]=1.19302,h[d+8>>3]=-88.6557,h[d+16>>3]=220226.0e-9,d)|0);i=d;gI(a+6992|0,4,.0408,(d=i,i=i+24|0,h[d>>3]=1.19323,h[d+8>>3]=-88.6646,h[d+16>>3]=220225.0e-9,d)|0);i=d;gI(a+7008|0,4,.0409,(d=i,i=i+24|0,h[d>>3]=1.19343,h[d+8>>3]=-88.6731,h[d+16>>3]=220223.0e-9,d)|0);i=d;gI(a+7024|0,4,.041,(d=i,i=i+24|0,h[d>>3]=1.19363,h[d+8>>3]=-88.6814,h[d+16>>3]=220222.0e-9,d)|0);i=d;gI(a+7040|0,4,.0411,(d=i,i=i+24|0,h[d>>3]=1.19382,h[d+8>>3]=-88.6895,h[d+16>>3]=220221.0e-9,d)|0);i=d;gI(a+7056|0,4,.0412,(d=i,i=i+24|0,h[d>>3]=1.19401,h[d+8>>3]=-88.6973,h[d+16>>3]=220219.0e-9,d)|0);i=d;gI(a+7072|0,4,.0413,(d=i,i=i+24|0,h[d>>3]=1.19418,h[d+8>>3]=-88.7049,h[d+16>>3]=220218.0e-9,d)|0);i=d;gI(a+7088|0,4,.0414,(d=i,i=i+24|0,h[d>>3]=1.19436,h[d+8>>3]=-88.7122,h[d+16>>3]=220217.0e-9,d)|0);i=d;gI(a+7104|0,4,.0415,(d=i,i=i+24|0,h[d>>3]=1.19453,h[d+8>>3]=-88.7194,h[d+16>>3]=220215.0e-9,d)|0);i=d;gI(a+7120|0,4,.0416,(d=i,i=i+24|0,h[d>>3]=1.19469,h[d+8>>3]=-88.7263,h[d+16>>3]=220214.0e-9,d)|0);i=d;gI(a+7136|0,4,.0417,(d=i,i=i+24|0,h[d>>3]=1.19485,h[d+8>>3]=-88.733,h[d+16>>3]=220213.0e-9,d)|0);i=d;gI(a+7152|0,4,.0418,(d=i,i=i+24|0,h[d>>3]=1.195,h[d+8>>3]=-88.7395,h[d+16>>3]=220212.0e-9,d)|0);i=d;gI(a+7168|0,4,.0419,(d=i,i=i+24|0,h[d>>3]=1.19515,h[d+8>>3]=-88.7459,h[d+16>>3]=220211.0e-9,d)|0);i=d;gI(a+7184|0,4,.042,(d=i,i=i+24|0,h[d>>3]=1.1953,h[d+8>>3]=-88.752,h[d+16>>3]=22021.0e-8,d)|0);i=d;gI(a+7200|0,4,.0421,(d=i,i=i+24|0,h[d>>3]=1.19544,h[d+8>>3]=-88.7579,h[d+16>>3]=220209.0e-9,d)|0);i=d;gI(a+7216|0,4,.0422,(d=i,i=i+24|0,h[d>>3]=1.19557,h[d+8>>3]=-88.7637,h[d+16>>3]=220208.0e-9,d)|0);i=d;gI(a+7232|0,4,.0423,(d=i,i=i+24|0,h[d>>3]=1.19571,h[d+8>>3]=-88.7693,h[d+16>>3]=220207.0e-9,d)|0);i=d;gI(a+7248|0,4,.0424,(d=i,i=i+24|0,h[d>>3]=1.19583,h[d+8>>3]=-88.7747,h[d+16>>3]=220206.0e-9,d)|0);i=d;gI(a+7264|0,4,.0425,(d=i,i=i+24|0,h[d>>3]=1.19596,h[d+8>>3]=-88.78,h[d+16>>3]=220205.0e-9,d)|0);i=d;gI(a+7280|0,4,.0426,(d=i,i=i+24|0,h[d>>3]=1.19608,h[d+8>>3]=-88.7851,h[d+16>>3]=220204.0e-9,d)|0);i=d;gI(a+7296|0,4,.0427,(d=i,i=i+24|0,h[d>>3]=1.1962,h[d+8>>3]=-88.7901,h[d+16>>3]=220203.0e-9,d)|0);i=d;gI(a+7312|0,4,.0428,(d=i,i=i+24|0,h[d>>3]=1.19631,h[d+8>>3]=-88.7949,h[d+16>>3]=220202.0e-9,d)|0);i=d;gI(a+7328|0,4,.0429,(d=i,i=i+24|0,h[d>>3]=1.19642,h[d+8>>3]=-88.7996,h[d+16>>3]=220202.0e-9,d)|0);i=d;gI(a+7344|0,4,.043,(d=i,i=i+24|0,h[d>>3]=1.19653,h[d+8>>3]=-88.8041,h[d+16>>3]=220201.0e-9,d)|0);i=d;gI(a+7360|0,4,.0431,(d=i,i=i+24|0,h[d>>3]=1.19663,h[d+8>>3]=-88.8085,h[d+16>>3]=2202.0e-7,d)|0);i=d;gI(a+7376|0,4,.0432,(d=i,i=i+24|0,h[d>>3]=1.19673,h[d+8>>3]=-88.8127,h[d+16>>3]=220199.0e-9,d)|0);i=d;gI(a+7392|0,4,.0433,(d=i,i=i+24|0,h[d>>3]=1.19683,h[d+8>>3]=-88.8169,h[d+16>>3]=220199.0e-9,d)|0);i=d;gI(a+7408|0,4,.0434,(d=i,i=i+24|0,h[d>>3]=1.19692,h[d+8>>3]=-88.8209,h[d+16>>3]=220198.0e-9,d)|0);i=d;gI(a+7424|0,4,.0435,(d=i,i=i+24|0,h[d>>3]=1.19702,h[d+8>>3]=-88.8248,h[d+16>>3]=220197.0e-9,d)|0);i=d;gI(a+7440|0,4,.0436,(d=i,i=i+24|0,h[d>>3]=1.1971,h[d+8>>3]=-88.8286,h[d+16>>3]=220197.0e-9,d)|0);i=d;gI(a+7456|0,4,.0437,(d=i,i=i+24|0,h[d>>3]=1.19719,h[d+8>>3]=-88.8322,h[d+16>>3]=220196.0e-9,d)|0);i=d;gI(a+7472|0,4,.0438,(d=i,i=i+24|0,h[d>>3]=1.19728,h[d+8>>3]=-88.8358,h[d+16>>3]=220195.0e-9,d)|0);i=d;gI(a+7488|0,4,.0439,(d=i,i=i+24|0,h[d>>3]=1.19736,h[d+8>>3]=-88.8392,h[d+16>>3]=220195.0e-9,d)|0);i=d;gI(a+7504|0,4,.044,(d=i,i=i+24|0,h[d>>3]=1.19744,h[d+8>>3]=-88.8426,h[d+16>>3]=220194.0e-9,d)|0);i=d;gI(a+7520|0,4,.0441,(d=i,i=i+24|0,h[d>>3]=1.19751,h[d+8>>3]=-88.8458,h[d+16>>3]=220194.0e-9,d)|0);i=d;gI(a+7536|0,4,.0442,(d=i,i=i+24|0,h[d>>3]=1.19759,h[d+8>>3]=-88.8489,h[d+16>>3]=220193.0e-9,d)|0);i=d;gI(a+7552|0,4,.0443,(d=i,i=i+24|0,h[d>>3]=1.19766,h[d+8>>3]=-88.852,h[d+16>>3]=220192.0e-9,d)|0);i=d;gI(a+7568|0,4,.0444,(d=i,i=i+24|0,h[d>>3]=1.19773,h[d+8>>3]=-88.855,h[d+16>>3]=220192.0e-9,d)|0);i=d;gI(a+7584|0,4,.0445,(d=i,i=i+24|0,h[d>>3]=1.1978,h[d+8>>3]=-88.8578,h[d+16>>3]=220191.0e-9,d)|0);i=d;gI(a+7600|0,4,.0446,(d=i,i=i+24|0,h[d>>3]=1.19786,h[d+8>>3]=-88.8606,h[d+16>>3]=220191.0e-9,d)|0);i=d;gI(a+7616|0,4,.0447,(d=i,i=i+24|0,h[d>>3]=1.19793,h[d+8>>3]=-88.8633,h[d+16>>3]=220191.0e-9,d)|0);i=d;gI(a+7632|0,4,.0448,(d=i,i=i+24|0,h[d>>3]=1.19799,h[d+8>>3]=-88.8659,h[d+16>>3]=22019.0e-8,d)|0);i=d;gI(a+7648|0,4,.0449,(d=i,i=i+24|0,h[d>>3]=1.19805,h[d+8>>3]=-88.8685,h[d+16>>3]=22019.0e-8,d)|0);i=d;gI(a+7664|0,4,.045,(d=i,i=i+24|0,h[d>>3]=1.19811,h[d+8>>3]=-88.871,h[d+16>>3]=220189.0e-9,d)|0);i=d;gI(a+7680|0,4,.0451,(d=i,i=i+24|0,h[d>>3]=1.19816,h[d+8>>3]=-88.8734,h[d+16>>3]=220189.0e-9,d)|0);i=d;gI(a+7696|0,4,.0452,(d=i,i=i+24|0,h[d>>3]=1.19822,h[d+8>>3]=-88.8757,h[d+16>>3]=220188.0e-9,d)|0);i=d;gI(a+7712|0,4,.0453,(d=i,i=i+24|0,h[d>>3]=1.19827,h[d+8>>3]=-88.8779,h[d+16>>3]=220188.0e-9,d)|0);i=d;gI(a+7728|0,4,.0454,(d=i,i=i+24|0,h[d>>3]=1.19832,h[d+8>>3]=-88.8801,h[d+16>>3]=220188.0e-9,d)|0);i=d;gI(a+7744|0,4,.0455,(d=i,i=i+24|0,h[d>>3]=1.19837,h[d+8>>3]=-88.8822,h[d+16>>3]=220187.0e-9,d)|0);i=d;gI(a+7760|0,4,.0456,(d=i,i=i+24|0,h[d>>3]=1.19842,h[d+8>>3]=-88.8843,h[d+16>>3]=220187.0e-9,d)|0);i=d;gI(a+7776|0,4,.0457,(d=i,i=i+24|0,h[d>>3]=1.19847,h[d+8>>3]=-88.8863,h[d+16>>3]=220187.0e-9,d)|0);i=d;gI(a+7792|0,4,.0458,(d=i,i=i+24|0,h[d>>3]=1.19851,h[d+8>>3]=-88.8882,h[d+16>>3]=220186.0e-9,d)|0);i=d;gI(a+7808|0,4,.0459,(d=i,i=i+24|0,h[d>>3]=1.19856,h[d+8>>3]=-88.8901,h[d+16>>3]=220186.0e-9,d)|0);i=d;gI(a+7824|0,4,.046,(d=i,i=i+24|0,h[d>>3]=1.1986,h[d+8>>3]=-88.8919,h[d+16>>3]=220186.0e-9,d)|0);i=d;gI(a+7840|0,4,.0461,(d=i,i=i+24|0,h[d>>3]=1.19864,h[d+8>>3]=-88.8937,h[d+16>>3]=220185.0e-9,d)|0);i=d;gI(a+7856|0,4,.0462,(d=i,i=i+24|0,h[d>>3]=1.19868,h[d+8>>3]=-88.8954,h[d+16>>3]=220185.0e-9,d)|0);i=d;gI(a+7872|0,4,.0463,(d=i,i=i+24|0,h[d>>3]=1.19872,h[d+8>>3]=-88.897,h[d+16>>3]=220185.0e-9,d)|0);i=d;gI(a+7888|0,4,.0464,(d=i,i=i+24|0,h[d>>3]=1.19876,h[d+8>>3]=-88.8987,h[d+16>>3]=220184.0e-9,d)|0);i=d;gI(a+7904|0,4,.0465,(d=i,i=i+24|0,h[d>>3]=1.1988,h[d+8>>3]=-88.9002,h[d+16>>3]=220184.0e-9,d)|0);i=d;gI(a+7920|0,4,.0466,(d=i,i=i+24|0,h[d>>3]=1.19883,h[d+8>>3]=-88.9017,h[d+16>>3]=220184.0e-9,d)|0);i=d;gI(a+7936|0,4,.0467,(d=i,i=i+24|0,h[d>>3]=1.19887,h[d+8>>3]=-88.9032,h[d+16>>3]=220184.0e-9,d)|0);i=d;gI(a+7952|0,4,.0468,(d=i,i=i+24|0,h[d>>3]=1.1989,h[d+8>>3]=-88.9046,h[d+16>>3]=220183.0e-9,d)|0);i=d;gI(a+7968|0,4,.0469,(d=i,i=i+24|0,h[d>>3]=1.19893,h[d+8>>3]=-88.906,h[d+16>>3]=220183.0e-9,d)|0);i=d;gI(a+7984|0,4,.047,(d=i,i=i+24|0,h[d>>3]=1.19897,h[d+8>>3]=-88.9074,h[d+16>>3]=220183.0e-9,d)|0);i=d;gI(a+8e3|0,4,.0471,(d=i,i=i+24|0,h[d>>3]=1.199,h[d+8>>3]=-88.9087,h[d+16>>3]=220183.0e-9,d)|0);i=d;gI(a+8016|0,4,.0472,(d=i,i=i+24|0,h[d>>3]=1.19903,h[d+8>>3]=-88.91,h[d+16>>3]=220182.0e-9,d)|0);i=d;gI(a+8032|0,4,.0473,(d=i,i=i+24|0,h[d>>3]=1.19906,h[d+8>>3]=-88.9112,h[d+16>>3]=220182.0e-9,d)|0);i=d;gI(a+8048|0,4,.0474,(d=i,i=i+24|0,h[d>>3]=1.19908,h[d+8>>3]=-88.9124,h[d+16>>3]=220182.0e-9,d)|0);i=d;gI(a+8064|0,4,.0475,(d=i,i=i+24|0,h[d>>3]=1.19911,h[d+8>>3]=-88.9135,h[d+16>>3]=220182.0e-9,d)|0);i=d;gI(a+8080|0,4,.0476,(d=i,i=i+24|0,h[d>>3]=1.19914,h[d+8>>3]=-88.9146,h[d+16>>3]=220182.0e-9,d)|0);i=d;gI(a+8096|0,4,.0477,(d=i,i=i+24|0,h[d>>3]=1.19916,h[d+8>>3]=-88.9157,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8112|0,4,.0478,(d=i,i=i+24|0,h[d>>3]=1.19919,h[d+8>>3]=-88.9168,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8128|0,4,.0479,(d=i,i=i+24|0,h[d>>3]=1.19921,h[d+8>>3]=-88.9178,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8144|0,4,.048,(d=i,i=i+24|0,h[d>>3]=1.19924,h[d+8>>3]=-88.9188,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8160|0,4,.0481,(d=i,i=i+24|0,h[d>>3]=1.19926,h[d+8>>3]=-88.9198,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8176|0,4,.0482,(d=i,i=i+24|0,h[d>>3]=1.19928,h[d+8>>3]=-88.9207,h[d+16>>3]=220181.0e-9,d)|0);i=d;gI(a+8192|0,4,.0483,(d=i,i=i+24|0,h[d>>3]=1.1993,h[d+8>>3]=-88.9216,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8208|0,4,.0484,(d=i,i=i+24|0,h[d>>3]=1.19932,h[d+8>>3]=-88.9225,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8224|0,4,.0485,(d=i,i=i+24|0,h[d>>3]=1.19934,h[d+8>>3]=-88.9233,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8240|0,4,.0486,(d=i,i=i+24|0,h[d>>3]=1.19936,h[d+8>>3]=-88.9242,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8256|0,4,.0487,(d=i,i=i+24|0,h[d>>3]=1.19938,h[d+8>>3]=-88.925,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8272|0,4,.0488,(d=i,i=i+24|0,h[d>>3]=1.1994,h[d+8>>3]=-88.9258,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8288|0,4,.0489,(d=i,i=i+24|0,h[d>>3]=1.19942,h[d+8>>3]=-88.9265,h[d+16>>3]=22018.0e-8,d)|0);i=d;gI(a+8304|0,4,.049,(d=i,i=i+24|0,h[d>>3]=1.19944,h[d+8>>3]=-88.9273,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8320|0,4,.0491,(d=i,i=i+24|0,h[d>>3]=1.19945,h[d+8>>3]=-88.928,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8336|0,4,.0492,(d=i,i=i+24|0,h[d>>3]=1.19947,h[d+8>>3]=-88.9287,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8352|0,4,.0493,(d=i,i=i+24|0,h[d>>3]=1.19948,h[d+8>>3]=-88.9293,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8368|0,4,.0494,(d=i,i=i+24|0,h[d>>3]=1.1995,h[d+8>>3]=-88.93,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8384|0,4,.0495,(d=i,i=i+24|0,h[d>>3]=1.19951,h[d+8>>3]=-88.9306,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8400|0,4,.0496,(d=i,i=i+24|0,h[d>>3]=1.19953,h[d+8>>3]=-88.9312,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8416|0,4,.0497,(d=i,i=i+24|0,h[d>>3]=1.19954,h[d+8>>3]=-88.9318,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8432|0,4,.0498,(d=i,i=i+24|0,h[d>>3]=1.19956,h[d+8>>3]=-88.9324,h[d+16>>3]=220179.0e-9,d)|0);i=d;gI(a+8448|0,4,.0499,(d=i,i=i+24|0,h[d>>3]=1.19957,h[d+8>>3]=-88.933,h[d+16>>3]=220178.0e-9,d)|0);i=d;gI(a+8464|0,4,.05,(d=i,i=i+24|0,h[d>>3]=1.19958,h[d+8>>3]=-88.9335,h[d+16>>3]=220178.0e-9,d)|0);i=d;gI(a+8480|0,4,.05,(d=i,i=i+24|0,h[d>>3]=1.19958,h[d+8>>3]=-88.9335,h[d+16>>3]=220178.0e-9,d)|0);i=d;fI(a|0,530,a+16|0,(d=i,i=i+4232|0,c[d>>2]=a+32|0,c[d+8>>2]=a+48|0,c[d+16>>2]=a+64|0,c[d+24>>2]=a+80|0,c[d+32>>2]=a+96|0,c[d+40>>2]=a+112|0,c[d+48>>2]=a+128|0,c[d+56>>2]=a+144|0,c[d+64>>2]=a+160|0,c[d+72>>2]=a+176|0,c[d+80>>2]=a+192|0,c[d+88>>2]=a+208|0,c[d+96>>2]=a+224|0,c[d+104>>2]=a+240|0,c[d+112>>2]=a+256|0,c[d+120>>2]=a+272|0,c[d+128>>2]=a+288|0,c[d+136>>2]=a+304|0,c[d+144>>2]=a+320|0,c[d+152>>2]=a+336|0,c[d+160>>2]=a+352|0,c[d+168>>2]=a+368|0,c[d+176>>2]=a+384|0,c[d+184>>2]=a+400|0,c[d+192>>2]=a+416|0,c[d+200>>2]=a+432|0,c[d+208>>2]=a+448|0,c[d+216>>2]=a+464|0,c[d+224>>2]=a+480|0,c[d+232>>2]=a+496|0,c[d+240>>2]=a+512|0,c[d+248>>2]=a+528|0,c[d+256>>2]=a+544|0,c[d+264>>2]=a+560|0,c[d+272>>2]=a+576|0,c[d+280>>2]=a+592|0,c[d+288>>2]=a+608|0,c[d+296>>2]=a+624|0,c[d+304>>2]=a+640|0,c[d+312>>2]=a+656|0,c[d+320>>2]=a+672|0,c[d+328>>2]=a+688|0,c[d+336>>2]=a+704|0,c[d+344>>2]=a+720|0,c[d+352>>2]=a+736|0,c[d+360>>2]=a+752|0,c[d+368>>2]=a+768|0,c[d+376>>2]=a+784|0,c[d+384>>2]=a+800|0,c[d+392>>2]=a+816|0,c[d+400>>2]=a+832|0,c[d+408>>2]=a+848|0,c[d+416>>2]=a+864|0,c[d+424>>2]=a+880|0,c[d+432>>2]=a+896|0,c[d+440>>2]=a+912|0,c[d+448>>2]=a+928|0,c[d+456>>2]=a+944|0,c[d+464>>2]=a+960|0,c[d+472>>2]=a+976|0,c[d+480>>2]=a+992|0,c[d+488>>2]=a+1008|0,c[d+496>>2]=a+1024|0,c[d+504>>2]=a+1040|0,c[d+512>>2]=a+1056|0,c[d+520>>2]=a+1072|0,c[d+528>>2]=a+1088|0,c[d+536>>2]=a+1104|0,c[d+544>>2]=a+1120|0,c[d+552>>2]=a+1136|0,c[d+560>>2]=a+1152|0,c[d+568>>2]=a+1168|0,c[d+576>>2]=a+1184|0,c[d+584>>2]=a+1200|0,c[d+592>>2]=a+1216|0,c[d+600>>2]=a+1232|0,c[d+608>>2]=a+1248|0,c[d+616>>2]=a+1264|0,c[d+624>>2]=a+1280|0,c[d+632>>2]=a+1296|0,c[d+640>>2]=a+1312|0,c[d+648>>2]=a+1328|0,c[d+656>>2]=a+1344|0,c[d+664>>2]=a+1360|0,c[d+672>>2]=a+1376|0,c[d+680>>2]=a+1392|0,c[d+688>>2]=a+1408|0,c[d+696>>2]=a+1424|0,c[d+704>>2]=a+1440|0,c[d+712>>2]=a+1456|0,c[d+720>>2]=a+1472|0,c[d+728>>2]=a+1488|0,c[d+736>>2]=a+1504|0,c[d+744>>2]=a+1520|0,c[d+752>>2]=a+1536|0,c[d+760>>2]=a+1552|0,c[d+768>>2]=a+1568|0,c[d+776>>2]=a+1584|0,c[d+784>>2]=a+1600|0,c[d+792>>2]=a+1616|0,c[d+800>>2]=a+1632|0,c[d+808>>2]=a+1648|0,c[d+816>>2]=a+1664|0,c[d+824>>2]=a+1680|0,c[d+832>>2]=a+1696|0,c[d+840>>2]=a+1712|0,c[d+848>>2]=a+1728|0,c[d+856>>2]=a+1744|0,c[d+864>>2]=a+1760|0,c[d+872>>2]=a+1776|0,c[d+880>>2]=a+1792|0,c[d+888>>2]=a+1808|0,c[d+896>>2]=a+1824|0,c[d+904>>2]=a+1840|0,c[d+912>>2]=a+1856|0,c[d+920>>2]=a+1872|0,c[d+928>>2]=a+1888|0,c[d+936>>2]=a+1904|0,c[d+944>>2]=a+1920|0,c[d+952>>2]=a+1936|0,c[d+960>>2]=a+1952|0,c[d+968>>2]=a+1968|0,c[d+976>>2]=a+1984|0,c[d+984>>2]=a+2e3|0,c[d+992>>2]=a+2016|0,c[d+1e3>>2]=a+2032|0,c[d+1008>>2]=a+2048|0,c[d+1016>>2]=a+2064|0,c[d+1024>>2]=a+2080|0,c[d+1032>>2]=a+2096|0,c[d+1040>>2]=a+2112|0,c[d+1048>>2]=a+2128|0,c[d+1056>>2]=a+2144|0,c[d+1064>>2]=a+2160|0,c[d+1072>>2]=a+2176|0,c[d+1080>>2]=a+2192|0,c[d+1088>>2]=a+2208|0,c[d+1096>>2]=a+2224|0,c[d+1104>>2]=a+2240|0,c[d+1112>>2]=a+2256|0,c[d+1120>>2]=a+2272|0,c[d+1128>>2]=a+2288|0,c[d+1136>>2]=a+2304|0,c[d+1144>>2]=a+2320|0,c[d+1152>>2]=a+2336|0,c[d+1160>>2]=a+2352|0,c[d+1168>>2]=a+2368|0,c[d+1176>>2]=a+2384|0,c[d+1184>>2]=a+2400|0,c[d+1192>>2]=a+2416|0,c[d+1200>>2]=a+2432|0,c[d+1208>>2]=a+2448|0,c[d+1216>>2]=a+2464|0,c[d+1224>>2]=a+2480|0,c[d+1232>>2]=a+2496|0,c[d+1240>>2]=a+2512|0,c[d+1248>>2]=a+2528|0,c[d+1256>>2]=a+2544|0,c[d+1264>>2]=a+2560|0,c[d+1272>>2]=a+2576|0,c[d+1280>>2]=a+2592|0,c[d+1288>>2]=a+2608|0,c[d+1296>>2]=a+2624|0,c[d+1304>>2]=a+2640|0,c[d+1312>>2]=a+2656|0,c[d+1320>>2]=a+2672|0,c[d+1328>>2]=a+2688|0,c[d+1336>>2]=a+2704|0,c[d+1344>>2]=a+2720|0,c[d+1352>>2]=a+2736|0,c[d+1360>>2]=a+2752|0,c[d+1368>>2]=a+2768|0,c[d+1376>>2]=a+2784|0,c[d+1384>>2]=a+2800|0,c[d+1392>>2]=a+2816|0,c[d+1400>>2]=a+2832|0,c[d+1408>>2]=a+2848|0,c[d+1416>>2]=a+2864|0,c[d+1424>>2]=a+2880|0,c[d+1432>>2]=a+2896|0,c[d+1440>>2]=a+2912|0,c[d+1448>>2]=a+2928|0,c[d+1456>>2]=a+2944|0,c[d+1464>>2]=a+2960|0,c[d+1472>>2]=a+2976|0,c[d+1480>>2]=a+2992|0,c[d+1488>>2]=a+3008|0,c[d+1496>>2]=a+3024|0,c[d+1504>>2]=a+3040|0,c[d+1512>>2]=a+3056|0,c[d+1520>>2]=a+3072|0,c[d+1528>>2]=a+3088|0,c[d+1536>>2]=a+3104|0,c[d+1544>>2]=a+3120|0,c[d+1552>>2]=a+3136|0,c[d+1560>>2]=a+3152|0,c[d+1568>>2]=a+3168|0,c[d+1576>>2]=a+3184|0,c[d+1584>>2]=a+3200|0,c[d+1592>>2]=a+3216|0,c[d+1600>>2]=a+3232|0,c[d+1608>>2]=a+3248|0,c[d+1616>>2]=a+3264|0,c[d+1624>>2]=a+3280|0,c[d+1632>>2]=a+3296|0,c[d+1640>>2]=a+3312|0,c[d+1648>>2]=a+3328|0,c[d+1656>>2]=a+3344|0,c[d+1664>>2]=a+3360|0,c[d+1672>>2]=a+3376|0,c[d+1680>>2]=a+3392|0,c[d+1688>>2]=a+3408|0,c[d+1696>>2]=a+3424|0,c[d+1704>>2]=a+3440|0,c[d+1712>>2]=a+3456|0,c[d+1720>>2]=a+3472|0,c[d+1728>>2]=a+3488|0,c[d+1736>>2]=a+3504|0,c[d+1744>>2]=a+3520|0,c[d+1752>>2]=a+3536|0,c[d+1760>>2]=a+3552|0,c[d+1768>>2]=a+3568|0,c[d+1776>>2]=a+3584|0,c[d+1784>>2]=a+3600|0,c[d+1792>>2]=a+3616|0,c[d+1800>>2]=a+3632|0,c[d+1808>>2]=a+3648|0,c[d+1816>>2]=a+3664|0,c[d+1824>>2]=a+3680|0,c[d+1832>>2]=a+3696|0,c[d+1840>>2]=a+3712|0,c[d+1848>>2]=a+3728|0,c[d+1856>>2]=a+3744|0,c[d+1864>>2]=a+3760|0,c[d+1872>>2]=a+3776|0,c[d+1880>>2]=a+3792|0,c[d+1888>>2]=a+3808|0,c[d+1896>>2]=a+3824|0,c[d+1904>>2]=a+3840|0,c[d+1912>>2]=a+3856|0,c[d+1920>>2]=a+3872|0,c[d+1928>>2]=a+3888|0,c[d+1936>>2]=a+3904|0,c[d+1944>>2]=a+3920|0,c[d+1952>>2]=a+3936|0,c[d+1960>>2]=a+3952|0,c[d+1968>>2]=a+3968|0,c[d+1976>>2]=a+3984|0,c[d+1984>>2]=a+4e3|0,c[d+1992>>2]=a+4016|0,c[d+2e3>>2]=a+4032|0,c[d+2008>>2]=a+4048|0,c[d+2016>>2]=a+4064|0,c[d+2024>>2]=a+4080|0,c[d+2032>>2]=a+4096|0,c[d+2040>>2]=a+4112|0,c[d+2048>>2]=a+4128|0,c[d+2056>>2]=a+4144|0,c[d+2064>>2]=a+4160|0,c[d+2072>>2]=a+4176|0,c[d+2080>>2]=a+4192|0,c[d+2088>>2]=a+4208|0,c[d+2096>>2]=a+4224|0,c[d+2104>>2]=a+4240|0,c[d+2112>>2]=a+4256|0,c[d+2120>>2]=a+4272|0,c[d+2128>>2]=a+4288|0,c[d+2136>>2]=a+4304|0,c[d+2144>>2]=a+4320|0,c[d+2152>>2]=a+4336|0,c[d+2160>>2]=a+4352|0,c[d+2168>>2]=a+4368|0,c[d+2176>>2]=a+4384|0,c[d+2184>>2]=a+4400|0,c[d+2192>>2]=a+4416|0,c[d+2200>>2]=a+4432|0,c[d+2208>>2]=a+4448|0,c[d+2216>>2]=a+4464|0,c[d+2224>>2]=a+4480|0,c[d+2232>>2]=a+4496|0,c[d+2240>>2]=a+4512|0,c[d+2248>>2]=a+4528|0,c[d+2256>>2]=a+4544|0,c[d+2264>>2]=a+4560|0,c[d+2272>>2]=a+4576|0,c[d+2280>>2]=a+4592|0,c[d+2288>>2]=a+4608|0,c[d+2296>>2]=a+4624|0,c[d+2304>>2]=a+4640|0,c[d+2312>>2]=a+4656|0,c[d+2320>>2]=a+4672|0,c[d+2328>>2]=a+4688|0,c[d+2336>>2]=a+4704|0,c[d+2344>>2]=a+4720|0,c[d+2352>>2]=a+4736|0,c[d+2360>>2]=a+4752|0,c[d+2368>>2]=a+4768|0,c[d+2376>>2]=a+4784|0,c[d+2384>>2]=a+4800|0,c[d+2392>>2]=a+4816|0,c[d+2400>>2]=a+4832|0,c[d+2408>>2]=a+4848|0,c[d+2416>>2]=a+4864|0,c[d+2424>>2]=a+4880|0,c[d+2432>>2]=a+4896|0,c[d+2440>>2]=a+4912|0,c[d+2448>>2]=a+4928|0,c[d+2456>>2]=a+4944|0,c[d+2464>>2]=a+4960|0,c[d+2472>>2]=a+4976|0,c[d+2480>>2]=a+4992|0,c[d+2488>>2]=a+5008|0,c[d+2496>>2]=a+5024|0,c[d+2504>>2]=a+5040|0,c[d+2512>>2]=a+5056|0,c[d+2520>>2]=a+5072|0,c[d+2528>>2]=a+5088|0,c[d+2536>>2]=a+5104|0,c[d+2544>>2]=a+5120|0,c[d+2552>>2]=a+5136|0,c[d+2560>>2]=a+5152|0,c[d+2568>>2]=a+5168|0,c[d+2576>>2]=a+5184|0,c[d+2584>>2]=a+5200|0,c[d+2592>>2]=a+5216|0,c[d+2600>>2]=a+5232|0,c[d+2608>>2]=a+5248|0,c[d+2616>>2]=a+5264|0,c[d+2624>>2]=a+5280|0,c[d+2632>>2]=a+5296|0,c[d+2640>>2]=a+5312|0,c[d+2648>>2]=a+5328|0,c[d+2656>>2]=a+5344|0,c[d+2664>>2]=a+5360|0,c[d+2672>>2]=a+5376|0,c[d+2680>>2]=a+5392|0,c[d+2688>>2]=a+5408|0,c[d+2696>>2]=a+5424|0,c[d+2704>>2]=a+5440|0,c[d+2712>>2]=a+5456|0,c[d+2720>>2]=a+5472|0,c[d+2728>>2]=a+5488|0,c[d+2736>>2]=a+5504|0,c[d+2744>>2]=a+5520|0,c[d+2752>>2]=a+5536|0,c[d+2760>>2]=a+5552|0,c[d+2768>>2]=a+5568|0,c[d+2776>>2]=a+5584|0,c[d+2784>>2]=a+5600|0,c[d+2792>>2]=a+5616|0,c[d+2800>>2]=a+5632|0,c[d+2808>>2]=a+5648|0,c[d+2816>>2]=a+5664|0,c[d+2824>>2]=a+5680|0,c[d+2832>>2]=a+5696|0,c[d+2840>>2]=a+5712|0,c[d+2848>>2]=a+5728|0,c[d+2856>>2]=a+5744|0,c[d+2864>>2]=a+5760|0,c[d+2872>>2]=a+5776|0,c[d+2880>>2]=a+5792|0,c[d+2888>>2]=a+5808|0,c[d+2896>>2]=a+5824|0,c[d+2904>>2]=a+5840|0,c[d+2912>>2]=a+5856|0,c[d+2920>>2]=a+5872|0,c[d+2928>>2]=a+5888|0,c[d+2936>>2]=a+5904|0,c[d+2944>>2]=a+5920|0,c[d+2952>>2]=a+5936|0,c[d+2960>>2]=a+5952|0,c[d+2968>>2]=a+5968|0,c[d+2976>>2]=a+5984|0,c[d+2984>>2]=a+6e3|0,c[d+2992>>2]=a+6016|0,c[d+3e3>>2]=a+6032|0,c[d+3008>>2]=a+6048|0,c[d+3016>>2]=a+6064|0,c[d+3024>>2]=a+6080|0,c[d+3032>>2]=a+6096|0,c[d+3040>>2]=a+6112|0,c[d+3048>>2]=a+6128|0,c[d+3056>>2]=a+6144|0,c[d+3064>>2]=a+6160|0,c[d+3072>>2]=a+6176|0,c[d+3080>>2]=a+6192|0,c[d+3088>>2]=a+6208|0,c[d+3096>>2]=a+6224|0,c[d+3104>>2]=a+6240|0,c[d+3112>>2]=a+6256|0,c[d+3120>>2]=a+6272|0,c[d+3128>>2]=a+6288|0,c[d+3136>>2]=a+6304|0,c[d+3144>>2]=a+6320|0,c[d+3152>>2]=a+6336|0,c[d+3160>>2]=a+6352|0,c[d+3168>>2]=a+6368|0,c[d+3176>>2]=a+6384|0,c[d+3184>>2]=a+6400|0,c[d+3192>>2]=a+6416|0,c[d+3200>>2]=a+6432|0,c[d+3208>>2]=a+6448|0,c[d+3216>>2]=a+6464|0,c[d+3224>>2]=a+6480|0,c[d+3232>>2]=a+6496|0,c[d+3240>>2]=a+6512|0,c[d+3248>>2]=a+6528|0,c[d+3256>>2]=a+6544|0,c[d+3264>>2]=a+6560|0,c[d+3272>>2]=a+6576|0,c[d+3280>>2]=a+6592|0,c[d+3288>>2]=a+6608|0,c[d+3296>>2]=a+6624|0,c[d+3304>>2]=a+6640|0,c[d+3312>>2]=a+6656|0,c[d+3320>>2]=a+6672|0,c[d+3328>>2]=a+6688|0,c[d+3336>>2]=a+6704|0,c[d+3344>>2]=a+6720|0,c[d+3352>>2]=a+6736|0,c[d+3360>>2]=a+6752|0,c[d+3368>>2]=a+6768|0,c[d+3376>>2]=a+6784|0,c[d+3384>>2]=a+6800|0,c[d+3392>>2]=a+6816|0,c[d+3400>>2]=a+6832|0,c[d+3408>>2]=a+6848|0,c[d+3416>>2]=a+6864|0,c[d+3424>>2]=a+6880|0,c[d+3432>>2]=a+6896|0,c[d+3440>>2]=a+6912|0,c[d+3448>>2]=a+6928|0,c[d+3456>>2]=a+6944|0,c[d+3464>>2]=a+6960|0,c[d+3472>>2]=a+6976|0,c[d+3480>>2]=a+6992|0,c[d+3488>>2]=a+7008|0,c[d+3496>>2]=a+7024|0,c[d+3504>>2]=a+7040|0,c[d+3512>>2]=a+7056|0,c[d+3520>>2]=a+7072|0,c[d+3528>>2]=a+7088|0,c[d+3536>>2]=a+7104|0,c[d+3544>>2]=a+7120|0,c[d+3552>>2]=a+7136|0,c[d+3560>>2]=a+7152|0,c[d+3568>>2]=a+7168|0,c[d+3576>>2]=a+7184|0,c[d+3584>>2]=a+7200|0,c[d+3592>>2]=a+7216|0,c[d+3600>>2]=a+7232|0,c[d+3608>>2]=a+7248|0,c[d+3616>>2]=a+7264|0,c[d+3624>>2]=a+7280|0,c[d+3632>>2]=a+7296|0,c[d+3640>>2]=a+7312|0,c[d+3648>>2]=a+7328|0,c[d+3656>>2]=a+7344|0,c[d+3664>>2]=a+7360|0,c[d+3672>>2]=a+7376|0,c[d+3680>>2]=a+7392|0,c[d+3688>>2]=a+7408|0,c[d+3696>>2]=a+7424|0,c[d+3704>>2]=a+7440|0,c[d+3712>>2]=a+7456|0,c[d+3720>>2]=a+7472|0,c[d+3728>>2]=a+7488|0,c[d+3736>>2]=a+7504|0,c[d+3744>>2]=a+7520|0,c[d+3752>>2]=a+7536|0,c[d+3760>>2]=a+7552|0,c[d+3768>>2]=a+7568|0,c[d+3776>>2]=a+7584|0,c[d+3784>>2]=a+7600|0,c[d+3792>>2]=a+7616|0,c[d+3800>>2]=a+7632|0,c[d+3808>>2]=a+7648|0,c[d+3816>>2]=a+7664|0,c[d+3824>>2]=a+7680|0,c[d+3832>>2]=a+7696|0,c[d+3840>>2]=a+7712|0,c[d+3848>>2]=a+7728|0,c[d+3856>>2]=a+7744|0,c[d+3864>>2]=a+7760|0,c[d+3872>>2]=a+7776|0,c[d+3880>>2]=a+7792|0,c[d+3888>>2]=a+7808|0,c[d+3896>>2]=a+7824|0,c[d+3904>>2]=a+7840|0,c[d+3912>>2]=a+7856|0,c[d+3920>>2]=a+7872|0,c[d+3928>>2]=a+7888|0,c[d+3936>>2]=a+7904|0,c[d+3944>>2]=a+7920|0,c[d+3952>>2]=a+7936|0,c[d+3960>>2]=a+7952|0,c[d+3968>>2]=a+7968|0,c[d+3976>>2]=a+7984|0,c[d+3984>>2]=a+8e3|0,c[d+3992>>2]=a+8016|0,c[d+4e3>>2]=a+8032|0,c[d+4008>>2]=a+8048|0,c[d+4016>>2]=a+8064|0,c[d+4024>>2]=a+8080|0,c[d+4032>>2]=a+8096|0,c[d+4040>>2]=a+8112|0,c[d+4048>>2]=a+8128|0,c[d+4056>>2]=a+8144|0,c[d+4064>>2]=a+8160|0,c[d+4072>>2]=a+8176|0,c[d+4080>>2]=a+8192|0,c[d+4088>>2]=a+8208|0,c[d+4096>>2]=a+8224|0,c[d+4104>>2]=a+8240|0,c[d+4112>>2]=a+8256|0,c[d+4120>>2]=a+8272|0,c[d+4128>>2]=a+8288|0,c[d+4136>>2]=a+8304|0,c[d+4144>>2]=a+8320|0,c[d+4152>>2]=a+8336|0,c[d+4160>>2]=a+8352|0,c[d+4168>>2]=a+8368|0,c[d+4176>>2]=a+8384|0,c[d+4184>>2]=a+8400|0,c[d+4192>>2]=a+8416|0,c[d+4200>>2]=a+8432|0,c[d+4208>>2]=a+8448|0,c[d+4216>>2]=a+8464|0,c[d+4224>>2]=a+8480|0,d)|0);i=d;pH(a+8496|0,3,2,(d=i,i=i+16|0,c[d>>2]=3,c[d+8>>2]=4,d)|0);i=d;Ki(a+8512|0,c[b+536>>2]|0,7695712,7695712,a|0,0.0,a+8496|0,1,1);c[c[b+320>>2]>>2]=c[(a+8512|0)>>2];fH(4,0,7679816,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=a;c[a+8552>>2]=5;break a}while(0);c[a+8536>>2]=d}function _Modelica_Magnetic_FluxTubes_Examples_SolenoidActuator_ComparisonPullInStroke_callExternalObjectConstructors$1(a){a=a|0;var b=0;b=c[a+8536>>2]|0;gI(a+3168|0,4,.0169,(b=i,i=i+24|0,h[b>>3]=.559164,h[b+8>>3]=-35.9631,h[b+16>>3]=231166.0e-9,b)|0);i=b;gI(a+3184|0,4,.017,(b=i,i=i+24|0,h[b>>3]=.56344,h[b+8>>3]=-36.4518,h[b+16>>3]=231035.0e-9,b)|0);i=b;gI(a+3200|0,4,.0171,(b=i,i=i+24|0,h[b>>3]=.567726,h[b+8>>3]=-36.9417,h[b+16>>3]=230906.0e-9,b)|0);i=b;gI(a+3216|0,4,.0172,(b=i,i=i+24|0,h[b>>3]=.571982,h[b+8>>3]=-37.4284,h[b+16>>3]=230779.0e-9,b)|0);i=b;gI(a+3232|0,4,.0173,(b=i,i=i+24|0,h[b>>3]=.576209,h[b+8>>3]=-37.9119,h[b+16>>3]=230653.0e-9,b)|0);i=b;gI(a+3248|0,4,.0174,(b=i,i=i+24|0,h[b>>3]=.580407,h[b+8>>3]=-38.3923,h[b+16>>3]=230528.0e-9,b)|0);i=b;gI(a+3264|0,4,.0175,(b=i,i=i+24|0,h[b>>3]=.584575,h[b+8>>3]=-38.8695,h[b+16>>3]=230405.0e-9,b)|0);i=b;gI(a+3280|0,4,.0176,(b=i,i=i+24|0,h[b>>3]=.588716,h[b+8>>3]=-39.3436,h[b+16>>3]=230284.0e-9,b)|0);i=b;gI(a+3296|0,4,.0177,(b=i,i=i+24|0,h[b>>3]=.593137,h[b+8>>3]=-39.8493,h[b+16>>3]=230163.0e-9,b)|0);i=b;gI(a+3312|0,4,.0178,(b=i,i=i+24|0,h[b>>3]=.59757,h[b+8>>3]=-40.357,h[b+16>>3]=230038.0e-9,b)|0);i=b;gI(a+3328|0,4,.0179,(b=i,i=i+24|0,h[b>>3]=.601967,h[b+8>>3]=-40.8716,h[b+16>>3]=229911.0e-9,b)|0);i=b;gI(a+3344|0,4,.018,(b=i,i=i+24|0,h[b>>3]=.60633,h[b+8>>3]=-41.3953,h[b+16>>3]=229783.0e-9,b)|0);i=b;gI(a+3360|0,4,.0181,(b=i,i=i+24|0,h[b>>3]=.610659,h[b+8>>3]=-41.9153,h[b+16>>3]=229654.0e-9,b)|0);i=b;gI(a+3376|0,4,.0182,(b=i,i=i+24|0,h[b>>3]=.614955,h[b+8>>3]=-42.4317,h[b+16>>3]=229526.0e-9,b)|0);i=b;gI(a+3392|0,4,.0183,(b=i,i=i+24|0,h[b>>3]=.619218,h[b+8>>3]=-42.9441,h[b+16>>3]=2294.0e-7,b)|0);i=b;gI(a+3408|0,4,.0184,(b=i,i=i+24|0,h[b>>3]=.623441,h[b+8>>3]=-43.452,h[b+16>>3]=229276.0e-9,b)|0);i=b;gI(a+3424|0,4,.0185,(b=i,i=i+24|0,h[b>>3]=.627634,h[b+8>>3]=-43.9562,h[b+16>>3]=229154.0e-9,b)|0);i=b;gI(a+3440|0,4,.0186,(b=i,i=i+24|0,h[b>>3]=.631795,h[b+8>>3]=-44.4569,h[b+16>>3]=229034.0e-9,b)|0);i=b;gI(a+3456|0,4,.0187,(b=i,i=i+24|0,h[b>>3]=.635926,h[b+8>>3]=-44.954,h[b+16>>3]=228915.0e-9,b)|0);i=b;gI(a+3472|0,4,.0188,(b=i,i=i+24|0,h[b>>3]=.640026,h[b+8>>3]=-45.4476,h[b+16>>3]=228797.0e-9,b)|0);i=b;gI(a+3488|0,4,.0189,(b=i,i=i+24|0,h[b>>3]=.644096,h[b+8>>3]=-45.9377,h[b+16>>3]=228681.0e-9,b)|0);i=b;gI(a+3504|0,4,.019,(b=i,i=i+24|0,h[b>>3]=.648136,h[b+8>>3]=-46.4242,h[b+16>>3]=228566.0e-9,b)|0);i=b;gI(a+3520|0,4,.0191,(b=i,i=i+24|0,h[b>>3]=.652146,h[b+8>>3]=-46.9074,h[b+16>>3]=228453.0e-9,b)|0);i=b;gI(a+3536|0,4,.0192,(b=i,i=i+24|0,h[b>>3]=.656126,h[b+8>>3]=-47.387,h[b+16>>3]=228341.0e-9,b)|0);i=b;gI(a+3552|0,4,.0193,(b=i,i=i+24|0,h[b>>3]=.660077,h[b+8>>3]=-47.8633,h[b+16>>3]=228231.0e-9,b)|0);i=b;gI(a+3568|0,4,.0194,(b=i,i=i+24|0,h[b>>3]=.663999,h[b+8>>3]=-48.3362,h[b+16>>3]=228122.0e-9,b)|0);i=b;gI(a+3584|0,4,.0195,(b=i,i=i+24|0,h[b>>3]=.667892,h[b+8>>3]=-48.8057,h[b+16>>3]=228014.0e-9,b)|0);i=b;gI(a+3600|0,4,.0196,(b=i,i=i+24|0,h[b>>3]=.671756,h[b+8>>3]=-49.2718,h[b+16>>3]=227908.0e-9,b)|0);i=b;gI(a+3616|0,4,.0197,(b=i,i=i+24|0,h[b>>3]=.675592,h[b+8>>3]=-49.7347,h[b+16>>3]=227802.0e-9,b)|0);i=b;gI(a+3632|0,4,.0198,(b=i,i=i+24|0,h[b>>3]=.67979,h[b+8>>3]=-50.2404,h[b+16>>3]=227697.0e-9,b)|0);i=b;gI(a+3648|0,4,.0199,(b=i,i=i+24|0,h[b>>3]=.684118,h[b+8>>3]=-50.7623,h[b+16>>3]=227586.0e-9,b)|0);i=b;gI(a+3664|0,4,.02,(b=i,i=i+24|0,h[b>>3]=.688404,h[b+8>>3]=-51.2799,h[b+16>>3]=227471.0e-9,b)|0);i=b;gI(a+3680|0,4,.0201,(b=i,i=i+24|0,h[b>>3]=.692654,h[b+8>>3]=-51.7933,h[b+16>>3]=227355.0e-9,b)|0);i=b;gI(a+3696|0,4,.0202,(b=i,i=i+24|0,h[b>>3]=.696868,h[b+8>>3]=-52.3025,h[b+16>>3]=227241.0e-9,b)|0);i=b;gI(a+3712|0,4,.0203,(b=i,i=i+24|0,h[b>>3]=.701047,h[b+8>>3]=-52.8002,h[b+16>>3]=22713.0e-8,b)|0);i=b;gI(a+3728|0,4,.0204,(b=i,i=i+24|0,h[b>>3]=.705193,h[b+8>>3]=-53.2717,h[b+16>>3]=227022.0e-9,b)|0);i=b;gI(a+3744|0,4,.0205,(b=i,i=i+24|0,h[b>>3]=.709307,h[b+8>>3]=-53.7394,h[b+16>>3]=226918.0e-9,b)|0);i=b;gI(a+3760|0,4,.0206,(b=i,i=i+24|0,h[b>>3]=.713479,h[b+8>>3]=-54.2135,h[b+16>>3]=226817.0e-9,b)|0);i=b;gI(a+3776|0,4,.0207,(b=i,i=i+24|0,h[b>>3]=.717635,h[b+8>>3]=-54.686,h[b+16>>3]=226716.0e-9,b)|0);i=b;gI(a+3792|0,4,.0208,(b=i,i=i+24|0,h[b>>3]=.721755,h[b+8>>3]=-55.1544,h[b+16>>3]=226615.0e-9,b)|0);i=b;gI(a+3808|0,4,.0209,(b=i,i=i+24|0,h[b>>3]=.725839,h[b+8>>3]=-55.619,h[b+16>>3]=226515.0e-9,b)|0);i=b;gI(a+3824|0,4,.021,(b=i,i=i+24|0,h[b>>3]=.729888,h[b+8>>3]=-56.0796,h[b+16>>3]=226416.0e-9,b)|0);i=b;gI(a+3840|0,4,.0211,(b=i,i=i+24|0,h[b>>3]=.733903,h[b+8>>3]=-56.5364,h[b+16>>3]=226319.0e-9,b)|0);i=b;gI(a+3856|0,4,.0212,(b=i,i=i+24|0,h[b>>3]=.737883,h[b+8>>3]=-56.9893,h[b+16>>3]=226222.0e-9,b)|0);i=b;gI(a+3872|0,4,.0213,(b=i,i=i+24|0,h[b>>3]=.741829,h[b+8>>3]=-57.4383,h[b+16>>3]=226127.0e-9,b)|0);i=b;gI(a+3888|0,4,.0214,(b=i,i=i+24|0,h[b>>3]=.745732,h[b+8>>3]=-57.8827,h[b+16>>3]=226033.0e-9,b)|0);i=b;gI(a+3904|0,4,.0215,(b=i,i=i+24|0,h[b>>3]=.749587,h[b+8>>3]=-58.3217,h[b+16>>3]=225941.0e-9,b)|0);i=b;gI(a+3920|0,4,.0216,(b=i,i=i+24|0,h[b>>3]=.75341,h[b+8>>3]=-58.7569,h[b+16>>3]=22585.0e-8,b)|0);i=b;gI(a+3936|0,4,.0217,(b=i,i=i+24|0,h[b>>3]=.757199,h[b+8>>3]=-59.1885,h[b+16>>3]=22576.0e-8,b)|0);i=b;gI(a+3952|0,4,.0218,(b=i,i=i+24|0,h[b>>3]=.760956,h[b+8>>3]=-59.6164,h[b+16>>3]=225671.0e-9,b)|0);i=b;gI(a+3968|0,4,.0219,(b=i,i=i+24|0,h[b>>3]=.764681,h[b+8>>3]=-60.0407,h[b+16>>3]=225583.0e-9,b)|0);i=b;gI(a+3984|0,4,.022,(b=i,i=i+24|0,h[b>>3]=.768373,h[b+8>>3]=-60.4614,h[b+16>>3]=225497.0e-9,b)|0);i=b;gI(a+4e3|0,4,.0221,(b=i,i=i+24|0,h[b>>3]=.772034,h[b+8>>3]=-60.8786,h[b+16>>3]=225411.0e-9,b)|0);i=b;gI(a+4016|0,4,.0222,(b=i,i=i+24|0,h[b>>3]=.775663,h[b+8>>3]=-61.2922,h[b+16>>3]=225326.0e-9,b)|0);i=b;gI(a+4032|0,4,.0223,(b=i,i=i+24|0,h[b>>3]=.779579,h[b+8>>3]=-61.7378,h[b+16>>3]=225242.0e-9,b)|0);i=b;gI(a+4048|0,4,.0224,(b=i,i=i+24|0,h[b>>3]=.784355,h[b+8>>3]=-62.2802,h[b+16>>3]=225151.0e-9,b)|0);i=b;gI(a+4064|0,4,.0225,(b=i,i=i+24|0,h[b>>3]=.789065,h[b+8>>3]=-62.8168,h[b+16>>3]=225046.0e-9,b)|0);i=b;gI(a+4080|0,4,.0226,(b=i,i=i+24|0,h[b>>3]=.793716,h[b+8>>3]=-63.3474,h[b+16>>3]=224938.0e-9,b)|0);i=b;gI(a+4096|0,4,.0227,(b=i,i=i+24|0,h[b>>3]=.798315,h[b+8>>3]=-63.8721,h[b+16>>3]=224831.0e-9,b)|0);i=b;gI(a+4112|0,4,.0228,(b=i,i=i+24|0,h[b>>3]=.802863,h[b+8>>3]=-64.3256,h[b+16>>3]=224728.0e-9,b)|0);i=b;gI(a+4128|0,4,.0229,(b=i,i=i+24|0,h[b>>3]=.80737,h[b+8>>3]=-64.7356,h[b+16>>3]=224637.0e-9,b)|0);i=b;gI(a+4144|0,4,.023,(b=i,i=i+24|0,h[b>>3]=.811833,h[b+8>>3]=-65.1406,h[b+16>>3]=224555.0e-9,b)|0);i=b;gI(a+4160|0,4,.0231,(b=i,i=i+24|0,h[b>>3]=.816247,h[b+8>>3]=-65.541,h[b+16>>3]=224477.0e-9,b)|0);i=b;gI(a+4176|0,4,.0232,(b=i,i=i+24|0,h[b>>3]=.820611,h[b+8>>3]=-65.9369,h[b+16>>3]=224399.0e-9,b)|0);i=b;gI(a+4192|0,4,.0233,(b=i,i=i+24|0,h[b>>3]=.824909,h[b+8>>3]=-66.3269,h[b+16>>3]=224322.0e-9,b)|0);i=b;gI(a+4208|0,4,.0234,(b=i,i=i+24|0,h[b>>3]=.829106,h[b+8>>3]=-66.7079,h[b+16>>3]=224246.0e-9,b)|0);i=b;gI(a+4224|0,4,.0235,(b=i,i=i+24|0,h[b>>3]=.833258,h[b+8>>3]=-67.0845,h[b+16>>3]=224172.0e-9,b)|0);i=b;gI(a+4240|0,4,.0236,(b=i,i=i+24|0,h[b>>3]=.837362,h[b+8>>3]=-67.457,h[b+16>>3]=224099.0e-9,b)|0);i=b;gI(a+4256|0,4,.0237,(b=i,i=i+24|0,h[b>>3]=.84142,h[b+8>>3]=-67.8252,h[b+16>>3]=224027.0e-9,b)|0);i=b;gI(a+4272|0,4,.0238,(b=i,i=i+24|0,h[b>>3]=.845433,h[b+8>>3]=-68.1893,h[b+16>>3]=223957.0e-9,b)|0);i=b;gI(a+4288|0,4,.0239,(b=i,i=i+24|0,h[b>>3]=.8494,h[b+8>>3]=-68.5494,h[b+16>>3]=223887.0e-9,b)|0);i=b;gI(a+4304|0,4,.024,(b=i,i=i+24|0,h[b>>3]=.853323,h[b+8>>3]=-68.9053,h[b+16>>3]=223818.0e-9,b)|0);i=b;gI(a+4320|0,4,.0241,(b=i,i=i+24|0,h[b>>3]=.857201,h[b+8>>3]=-69.2573,h[b+16>>3]=22375.0e-8,b)|0);i=b;gI(a+4336|0,4,.0242,(b=i,i=i+24|0,h[b>>3]=.861036,h[b+8>>3]=-69.6053,h[b+16>>3]=223683.0e-9,b)|0);i=b;gI(a+4352|0,4,.0243,(b=i,i=i+24|0,h[b>>3]=.864828,h[b+8>>3]=-69.9494,h[b+16>>3]=223617.0e-9,b)|0);i=b;gI(a+4368|0,4,.0244,(b=i,i=i+24|0,h[b>>3]=.868577,h[b+8>>3]=-70.2896,h[b+16>>3]=223552.0e-9,b)|0);i=b;gI(a+4384|0,4,.0245,(b=i,i=i+24|0,h[b>>3]=.873541,h[b+8>>3]=-70.7381,h[b+16>>3]=223484.0e-9,b)|0);i=b;gI(a+4400|0,4,.0246,(b=i,i=i+24|0,h[b>>3]=.878506,h[b+8>>3]=-71.1879,h[b+16>>3]=223404.0e-9,b)|0);i=b;gI(a+4416|0,4,.0247,(b=i,i=i+24|0,h[b>>3]=.883389,h[b+8>>3]=-71.6312,h[b+16>>3]=22332.0e-8,b)|0);i=b;gI(a+4432|0,4,.0248,(b=i,i=i+24|0,h[b>>3]=.888198,h[b+8>>3]=-72.0678,h[b+16>>3]=223236.0e-9,b)|0);i=b;gI(a+4448|0,4,.0249,(b=i,i=i+24|0,h[b>>3]=.892935,h[b+8>>3]=-72.4978,h[b+16>>3]=223154.0e-9,b)|0);i=b;gI(a+4464|0,4,.025,(b=i,i=i+24|0,h[b>>3]=.8976,h[b+8>>3]=-72.9212,h[b+16>>3]=223074.0e-9,b)|0);i=b;gI(a+4480|0,4,.0251,(b=i,i=i+24|0,h[b>>3]=.902194,h[b+8>>3]=-73.2832,h[b+16>>3]=222997.0e-9,b)|0);i=b;gI(a+4496|0,4,.0252,(b=i,i=i+24|0,h[b>>3]=.906729,h[b+8>>3]=-73.5797,h[b+16>>3]=22293.0e-8,b)|0);i=b;gI(a+4512|0,4,.0253,(b=i,i=i+24|0,h[b>>3]=.911203,h[b+8>>3]=-73.8711,h[b+16>>3]=222873.0e-9,b)|0);i=b;gI(a+4528|0,4,.0254,(b=i,i=i+24|0,h[b>>3]=.915611,h[b+8>>3]=-74.1579,h[b+16>>3]=22282.0e-8,b)|0);i=b;gI(a+4544|0,4,.0255,(b=i,i=i+24|0,h[b>>3]=.919953,h[b+8>>3]=-74.4404,h[b+16>>3]=222768.0e-9,b)|0);i=b;gI(a+4560|0,4,.0256,(b=i,i=i+24|0,h[b>>3]=.924227,h[b+8>>3]=-74.7185,h[b+16>>3]=222716.0e-9,b)|0);i=b;gI(a+4576|0,4,.0257,(b=i,i=i+24|0,h[b>>3]=.928436,h[b+8>>3]=-74.9923,h[b+16>>3]=222665.0e-9,b)|0);i=b;gI(a+4592|0,4,.0258,(b=i,i=i+24|0,h[b>>3]=.932872,h[b+8>>3]=-75.2805,h[b+16>>3]=222615.0e-9,b)|0);i=b;gI(a+4608|0,4,.0259,(b=i,i=i+24|0,h[b>>3]=.937419,h[b+8>>3]=-75.5759,h[b+16>>3]=222563.0e-9,b)|0);i=b;gI(a+4624|0,4,.026,(b=i,i=i+24|0,h[b>>3]=.941886,h[b+8>>3]=-75.8664,h[b+16>>3]=222509.0e-9,b)|0);i=b;gI(a+4640|0,4,.0261,(b=i,i=i+24|0,h[b>>3]=.946276,h[b+8>>3]=-76.1519,h[b+16>>3]=222456.0e-9,b)|0);i=b;gI(a+4656|0,4,.0262,(b=i,i=i+24|0,h[b>>3]=.950592,h[b+8>>3]=-76.4326,h[b+16>>3]=222404.0e-9,b)|0);i=b;gI(a+4672|0,4,.0263,(b=i,i=i+24|0,h[b>>3]=.954834,h[b+8>>3]=-76.7084,h[b+16>>3]=222354.0e-9,b)|0);i=b;gI(a+4688|0,4,.0264,(b=i,i=i+24|0,h[b>>3]=.959005,h[b+8>>3]=-76.9795,h[b+16>>3]=222304.0e-9,b)|0);i=b;gI(a+4704|0,4,.0265,(b=i,i=i+24|0,h[b>>3]=.963104,h[b+8>>3]=-77.246,h[b+16>>3]=222255.0e-9,b)|0);i=b;gI(a+4720|0,4,.0266,(b=i,i=i+24|0,h[b>>3]=.967134,h[b+8>>3]=-77.5079,h[b+16>>3]=222207.0e-9,b)|0);i=b;gI(a+4736|0,4,.0267,(b=i,i=i+24|0,h[b>>3]=.971094,h[b+8>>3]=-77.7654,h[b+16>>3]=22216.0e-8,b)|0);i=b;gI(a+4752|0,4,.0268,(b=i,i=i+24|0,h[b>>3]=.974988,h[b+8>>3]=-78.0184,h[b+16>>3]=222114.0e-9,b)|0);i=b;gI(a+4768|0,4,.0269,(b=i,i=i+24|0,h[b>>3]=.978815,h[b+8>>3]=-78.2671,h[b+16>>3]=222068.0e-9,b)|0);i=b;gI(a+4784|0,4,.027,(b=i,i=i+24|0,h[b>>3]=.982577,h[b+8>>3]=-78.5115,h[b+16>>3]=222024.0e-9,b)|0);i=b;gI(a+4800|0,4,.0271,(b=i,i=i+24|0,h[b>>3]=.986275,h[b+8>>3]=-78.7518,h[b+16>>3]=22198.0e-8,b)|0);i=b;gI(a+4816|0,4,.0272,(b=i,i=i+24|0,h[b>>3]=.98991,h[b+8>>3]=-78.9879,h[b+16>>3]=221937.0e-9,b)|0);i=b;gI(a+4832|0,4,.0273,(b=i,i=i+24|0,h[b>>3]=.993484,h[b+8>>3]=-79.2201,h[b+16>>3]=221895.0e-9,b)|0);i=b;gI(a+4848|0,4,.0274,(b=i,i=i+24|0,h[b>>3]=.996996,h[b+8>>3]=-79.4482,h[b+16>>3]=221854.0e-9,b)|0);i=b;gI(a+4864|0,4,.0275,(b=i,i=i+24|0,h[b>>3]=1.00082,h[b+8>>3]=-79.6845,h[b+16>>3]=221813.0e-9,b)|0);i=b;gI(a+4880|0,4,.0276,(b=i,i=i+24|0,h[b>>3]=1.00486,h[b+8>>3]=-79.8903,h[b+16>>3]=221773.0e-9,b)|0);i=b;gI(a+4896|0,4,.0277,(b=i,i=i+24|0,h[b>>3]=1.00883,h[b+8>>3]=-80.0919,h[b+16>>3]=221735.0e-9,b)|0);i=b;gI(a+4912|0,4,.0278,(b=i,i=i+24|0,h[b>>3]=1.01272,h[b+8>>3]=-80.2892,h[b+16>>3]=221699.0e-9,b)|0);i=b;gI(a+4928|0,4,.0279,(b=i,i=i+24|0,h[b>>3]=1.01653,h[b+8>>3]=-80.4824,h[b+16>>3]=221665.0e-9,b)|0);i=b;gI(a+4944|0,4,.028,(b=i,i=i+24|0,h[b>>3]=1.02026,h[b+8>>3]=-80.6717,h[b+16>>3]=221631.0e-9,b)|0);i=b;gI(a+4960|0,4,.0281,(b=i,i=i+24|0,h[b>>3]=1.02392,h[b+8>>3]=-80.8572,h[b+16>>3]=221597.0e-9,b)|0);i=b;gI(a+4976|0,4,.0282,(b=i,i=i+24|0,h[b>>3]=1.0275,h[b+8>>3]=-81.0389,h[b+16>>3]=221565.0e-9,b)|0);i=b;gI(a+4992|0,4,.0283,(b=i,i=i+24|0,h[b>>3]=1.03101,h[b+8>>3]=-81.2168,h[b+16>>3]=221533.0e-9,b)|0);i=b;gI(a+5008|0,4,.0284,(b=i,i=i+24|0,h[b>>3]=1.03445,h[b+8>>3]=-81.3911,h[b+16>>3]=221501.0e-9,b)|0);i=b;gI(a+5024|0,4,.0285,(b=i,i=i+24|0,h[b>>3]=1.03781,h[b+8>>3]=-81.5619,h[b+16>>3]=221471.0e-9,b)|0);i=b;gI(a+5040|0,4,.0286,(b=i,i=i+24|0,h[b>>3]=1.04111,h[b+8>>3]=-81.7292,h[b+16>>3]=221441.0e-9,b)|0);i=b;gI(a+5056|0,4,.0287,(b=i,i=i+24|0,h[b>>3]=1.04434,h[b+8>>3]=-81.893,h[b+16>>3]=221412.0e-9,b)|0);i=b;gI(a+5072|0,4,.0288,(b=i,i=i+24|0,h[b>>3]=1.04751,h[b+8>>3]=-82.0535,h[b+16>>3]=221383.0e-9,b)|0);i=b;gI(a+5088|0,4,.0289,(b=i,i=i+24|0,h[b>>3]=1.05061,h[b+8>>3]=-82.2107,h[b+16>>3]=221355.0e-9,b)|0);i=b;gI(a+5104|0,4,.029,(b=i,i=i+24|0,h[b>>3]=1.05365,h[b+8>>3]=-82.3647,h[b+16>>3]=221328.0e-9,b)|0);i=b;gI(a+5120|0,4,.0291,(b=i,i=i+24|0,h[b>>3]=1.05663,h[b+8>>3]=-82.5155,h[b+16>>3]=221301.0e-9,b)|0);i=b;gI(a+5136|0,4,.0292,(b=i,i=i+24|0,h[b>>3]=1.05954,h[b+8>>3]=-82.6633,h[b+16>>3]=221275.0e-9,b)|0);i=b;gI(a+5152|0,4,.0293,(b=i,i=i+24|0,h[b>>3]=1.0624,h[b+8>>3]=-82.808,h[b+16>>3]=221249.0e-9,b)|0);i=b;gI(a+5168|0,4,.0294,(b=i,i=i+24|0,h[b>>3]=1.0652,h[b+8>>3]=-82.9498,h[b+16>>3]=221224.0e-9,b)|0);i=b;gI(a+5184|0,4,.0295,(b=i,i=i+24|0,h[b>>3]=1.06794,h[b+8>>3]=-83.0887,h[b+16>>3]=221199.0e-9,b)|0);i=b;gI(a+5200|0,4,.0296,(b=i,i=i+24|0,h[b>>3]=1.07063,h[b+8>>3]=-83.2248,h[b+16>>3]=221175.0e-9,b)|0);i=b;gI(a+5216|0,4,.0297,(b=i,i=i+24|0,h[b>>3]=1.07326,h[b+8>>3]=-83.3581,h[b+16>>3]=221151.0e-9,b)|0);i=b;gI(a+5232|0,4,.0298,(b=i,i=i+24|0,h[b>>3]=1.07584,h[b+8>>3]=-83.4886,h[b+16>>3]=221128.0e-9,b)|0);i=b;gI(a+5248|0,4,.0299,(b=i,i=i+24|0,h[b>>3]=1.07836,h[b+8>>3]=-83.6165,h[b+16>>3]=221106.0e-9,b)|0);i=b;gI(a+5264|0,4,.03,(b=i,i=i+24|0,h[b>>3]=1.08088,h[b+8>>3]=-83.7439,h[b+16>>3]=221083.0e-9,b)|0);i=b;gI(a+5280|0,4,.0301,(b=i,i=i+24|0,h[b>>3]=1.08376,h[b+8>>3]=-83.8895,h[b+16>>3]=221061.0e-9,b)|0);i=b;gI(a+5296|0,4,.0302,(b=i,i=i+24|0,h[b>>3]=1.08657,h[b+8>>3]=-84.0316,h[b+16>>3]=221037.0e-9,b)|0);i=b;gI(a+5312|0,4,.0303,(b=i,i=i+24|0,h[b>>3]=1.08931,h[b+8>>3]=-84.1703,h[b+16>>3]=221012.0e-9,b)|0);i=b;gI(a+5328|0,4,.0304,(b=i,i=i+24|0,h[b>>3]=1.09198,h[b+8>>3]=-84.3057,h[b+16>>3]=220988.0e-9,b)|0);i=b;gI(a+5344|0,4,.0305,(b=i,i=i+24|0,h[b>>3]=1.09459,h[b+8>>3]=-84.4378,h[b+16>>3]=220965.0e-9,b)|0);i=b;gI(a+5360|0,4,.0306,(b=i,i=i+24|0,h[b>>3]=1.09714,h[b+8>>3]=-84.5667,h[b+16>>3]=220942.0e-9,b)|0);i=b;gI(a+5376|0,4,.0307,(b=i,i=i+24|0,h[b>>3]=1.09962,h[b+8>>3]=-84.6924,h[b+16>>3]=22092.0e-8,b)|0);i=b;gI(a+5392|0,4,.0308,(b=i,i=i+24|0,h[b>>3]=1.10205,h[b+8>>3]=-84.7987,h[b+16>>3]=220899.0e-9,b)|0);i=b;gI(a+5408|0,4,.0309,(b=i,i=i+24|0,h[b>>3]=1.10442,h[b+8>>3]=-84.8994,h[b+16>>3]=22088.0e-8,b)|0);i=b;gI(a+5424|0,4,.031,(b=i,i=i+24|0,h[b>>3]=1.10673,h[b+8>>3]=-84.9975,h[b+16>>3]=220862.0e-9,b)|0);i=b;gI(a+5440|0,4,.0311,(b=i,i=i+24|0,h[b>>3]=1.10898,h[b+8>>3]=-85.0932,h[b+16>>3]=220846.0e-9,b)|0);i=b;gI(a+5456|0,4,.0312,(b=i,i=i+24|0,h[b>>3]=1.11119,h[b+8>>3]=-85.1866,h[b+16>>3]=220829.0e-9,b)|0);i=b;gI(a+5472|0,4,.0313,(b=i,i=i+24|0,h[b>>3]=1.11333,h[b+8>>3]=-85.2778,h[b+16>>3]=220813.0e-9,b)|0);i=b;gI(a+5488|0,4,.0314,(b=i,i=i+24|0,h[b>>3]=1.11543,h[b+8>>3]=-85.3668,h[b+16>>3]=220798.0e-9,b)|0);i=b;gI(a+5504|0,4,.0315,(b=i,i=i+24|0,h[b>>3]=1.11748,h[b+8>>3]=-85.4536,h[b+16>>3]=220782.0e-9,b)|0);i=b;gI(a+5520|0,4,.0316,(b=i,i=i+24|0,h[b>>3]=1.11947,h[b+8>>3]=-85.5382,h[b+16>>3]=220768.0e-9,b)|0);i=b;gI(a+5536|0,4,.0317,(b=i,i=i+24|0,h[b>>3]=1.12142,h[b+8>>3]=-85.6209,h[b+16>>3]=220753.0e-9,b)|0);i=b;gI(a+5552|0,4,.0318,(b=i,i=i+24|0,h[b>>3]=1.12332,h[b+8>>3]=-85.7015,h[b+16>>3]=220739.0e-9,b)|0);i=b;gI(a+5568|0,4,.0319,(b=i,i=i+24|0,h[b>>3]=1.12518,h[b+8>>3]=-85.7802,h[b+16>>3]=220725.0e-9,b)|0);i=b;gI(a+5584|0,4,.032,(b=i,i=i+24|0,h[b>>3]=1.12699,h[b+8>>3]=-85.857,h[b+16>>3]=220712.0e-9,b)|0);i=b;gI(a+5600|0,4,.0321,(b=i,i=i+24|0,h[b>>3]=1.12875,h[b+8>>3]=-85.9319,h[b+16>>3]=220699.0e-9,b)|0);i=b;gI(a+5616|0,4,.0322,(b=i,i=i+24|0,h[b>>3]=1.13048,h[b+8>>3]=-86.005,h[b+16>>3]=220686.0e-9,b)|0);i=b;gI(a+5632|0,4,.0323,(b=i,i=i+24|0,h[b>>3]=1.13216,h[b+8>>3]=-86.0763,h[b+16>>3]=220673.0e-9,b)|0);i=b;gI(a+5648|0,4,.0324,(b=i,i=i+24|0,h[b>>3]=1.1338,h[b+8>>3]=-86.1459,h[b+16>>3]=220661.0e-9,b)|0);i=b;gI(a+5664|0,4,.0325,(b=i,i=i+24|0,h[b>>3]=1.1354,h[b+8>>3]=-86.2138,h[b+16>>3]=220649.0e-9,b)|0);i=b;gI(a+5680|0,4,.0326,(b=i,i=i+24|0,h[b>>3]=1.13696,h[b+8>>3]=-86.28,h[b+16>>3]=220638.0e-9,b)|0);i=b;gI(a+5696|0,4,.0327,(b=i,i=i+24|0,h[b>>3]=1.13849,h[b+8>>3]=-86.3447,h[b+16>>3]=220627.0e-9,b)|0);i=b;gI(a+5712|0,4,.0328,(b=i,i=i+24|0,h[b>>3]=1.13997,h[b+8>>3]=-86.4078,h[b+16>>3]=220616.0e-9,b)|0);i=b;gI(a+5728|0,4,.0329,(b=i,i=i+24|0,h[b>>3]=1.14143,h[b+8>>3]=-86.4693,h[b+16>>3]=220605.0e-9,b)|0);i=b;gI(a+5744|0,4,.033,(b=i,i=i+24|0,h[b>>3]=1.14284,h[b+8>>3]=-86.5294,h[b+16>>3]=220594.0e-9,b)|0);i=b;gI(a+5760|0,4,.0331,(b=i,i=i+24|0,h[b>>3]=1.14423,h[b+8>>3]=-86.588,h[b+16>>3]=220584.0e-9,b)|0);i=b;gI(a+5776|0,4,.0332,(b=i,i=i+24|0,h[b>>3]=1.14558,h[b+8>>3]=-86.6452,h[b+16>>3]=220574.0e-9,b)|0);i=b;gI(a+5792|0,4,.0333,(b=i,i=i+24|0,h[b>>3]=1.14689,h[b+8>>3]=-86.701,h[b+16>>3]=220564.0e-9,b)|0);i=b;gI(a+5808|0,4,.0334,(b=i,i=i+24|0,h[b>>3]=1.14818,h[b+8>>3]=-86.7555,h[b+16>>3]=220555.0e-9,b)|0);i=b;gI(a+5824|0,4,.0335,(b=i,i=i+24|0,h[b>>3]=1.14943,h[b+8>>3]=-86.8086,h[b+16>>3]=220546.0e-9,b)|0);i=b;gI(a+5840|0,4,.0336,(b=i,i=i+24|0,h[b>>3]=1.15065,h[b+8>>3]=-86.8605,h[b+16>>3]=220537.0e-9,b)|0);i=b;gI(a+5856|0,4,.0337,(b=i,i=i+24|0,h[b>>3]=1.15185,h[b+8>>3]=-86.9111,h[b+16>>3]=220528.0e-9,b)|0);i=b;gI(a+5872|0,4,.0338,(b=i,i=i+24|0,h[b>>3]=1.15301,h[b+8>>3]=-86.9605,h[b+16>>3]=220519.0e-9,b)|0);i=b;gI(a+5888|0,4,.0339,(b=i,i=i+24|0,h[b>>3]=1.15415,h[b+8>>3]=-87.0086,h[b+16>>3]=220511.0e-9,b)|0);i=b;gI(a+5904|0,4,.034,(b=i,i=i+24|0,h[b>>3]=1.15526,h[b+8>>3]=-87.0556,h[b+16>>3]=220503.0e-9,b)|0);i=b;gI(a+5920|0,4,.0341,(b=i,i=i+24|0,h[b>>3]=1.15634,h[b+8>>3]=-87.1015,h[b+16>>3]=220495.0e-9,b)|0);i=b;gI(a+5936|0,4,.0342,(b=i,i=i+24|0,h[b>>3]=1.1574,h[b+8>>3]=-87.1463,h[b+16>>3]=220487.0e-9,b)|0);i=b;gI(a+5952|0,4,.0343,(b=i,i=i+24|0,h[b>>3]=1.15843,h[b+8>>3]=-87.19,h[b+16>>3]=220479.0e-9,b)|0);i=b;gI(a+5968|0,4,.0344,(b=i,i=i+24|0,h[b>>3]=1.15943,h[b+8>>3]=-87.2326,h[b+16>>3]=220472.0e-9,b)|0);i=b;gI(a+5984|0,4,.0345,(b=i,i=i+24|0,h[b>>3]=1.16041,h[b+8>>3]=-87.2742,h[b+16>>3]=220465.0e-9,b)|0);i=b;gI(a+6e3|0,4,.0346,(b=i,i=i+24|0,h[b>>3]=1.16137,h[b+8>>3]=-87.3148,h[b+16>>3]=220458.0e-9,b)|0);i=b;gI(a+6016|0,4,.0347,(b=i,i=i+24|0,h[b>>3]=1.16231,h[b+8>>3]=-87.3544,h[b+16>>3]=220451.0e-9,b)|0);i=b;gI(a+6032|0,4,.0348,(b=i,i=i+24|0,h[b>>3]=1.16322,h[b+8>>3]=-87.3931,h[b+16>>3]=220444.0e-9,b)|0);i=b;gI(a+6048|0,4,.0349,(b=i,i=i+24|0,h[b>>3]=1.16411,h[b+8>>3]=-87.4308,h[b+16>>3]=220438.0e-9,b)|0);i=b;gI(a+6064|0,4,.035,(b=i,i=i+24|0,h[b>>3]=1.16498,h[b+8>>3]=-87.4676,h[b+16>>3]=220431.0e-9,b)|0);i=b;gI(a+6080|0,4,.0351,(b=i,i=i+24|0,h[b>>3]=1.16582,h[b+8>>3]=-87.5035,h[b+16>>3]=220425.0e-9,b)|0);i=b;gI(a+6096|0,4,.0352,(b=i,i=i+24|0,h[b>>3]=1.16665,h[b+8>>3]=-87.5385,h[b+16>>3]=220419.0e-9,b)|0);i=b;gI(a+6112|0,4,.0353,(b=i,i=i+24|0,h[b>>3]=1.16746,h[b+8>>3]=-87.5727,h[b+16>>3]=220413.0e-9,b)|0);i=b;gI(a+6128|0,4,.0354,(b=i,i=i+24|0,h[b>>3]=1.16824,h[b+8>>3]=-87.6061,h[b+16>>3]=220407.0e-9,b)|0);i=b;gI(a+6144|0,4,.0355,(b=i,i=i+24|0,h[b>>3]=1.16901,h[b+8>>3]=-87.6386,h[b+16>>3]=220402.0e-9,b)|0);i=b;gI(a+6160|0,4,.0356,(b=i,i=i+24|0,h[b>>3]=1.16976,h[b+8>>3]=-87.6704,h[b+16>>3]=220396.0e-9,b)|0);i=b;gI(a+6176|0,4,.0357,(b=i,i=i+24|0,h[b>>3]=1.17049,h[b+8>>3]=-87.7014,h[b+16>>3]=220391.0e-9,b)|0);i=b;gI(a+6192|0,4,.0358,(b=i,i=i+24|0,h[b>>3]=1.17121,h[b+8>>3]=-87.7316,h[b+16>>3]=220386.0e-9,b)|0);i=b;gI(a+6208|0,4,.0359,(b=i,i=i+24|0,h[b>>3]=1.1719,h[b+8>>3]=-87.7612,h[b+16>>3]=22038.0e-8,b)|0);i=b;gI(a+6224|0,4,.036,(b=i,i=i+24|0,h[b>>3]=1.17258,h[b+8>>3]=-87.79,h[b+16>>3]=220375.0e-9,b)|0);i=b;gI(a+6240|0,4,.0361,(b=i,i=i+24|0,h[b>>3]=1.17325,h[b+8>>3]=-87.8181,h[b+16>>3]=220371.0e-9,b)|0);i=b;gI(a+6256|0,4,.0362,(b=i,i=i+24|0,h[b>>3]=1.1739,h[b+8>>3]=-87.8455,h[b+16>>3]=220366.0e-9,b)|0);i=b;gI(a+6272|0,4,.0363,(b=i,i=i+24|0,h[b>>3]=1.17453,h[b+8>>3]=-87.8722,h[b+16>>3]=220361.0e-9,b)|0);i=b;gI(a+6288|0,4,.0364,(b=i,i=i+24|0,h[b>>3]=1.17514,h[b+8>>3]=-87.8984,h[b+16>>3]=220357.0e-9,b)|0);i=b;gI(a+6304|0,4,.0365,(b=i,i=i+24|0,h[b>>3]=1.17574,h[b+8>>3]=-87.9238,h[b+16>>3]=220352.0e-9,b)|0);i=b;gI(a+6320|0,4,.0366,(b=i,i=i+24|0,h[b>>3]=1.17633,h[b+8>>3]=-87.9487,h[b+16>>3]=220348.0e-9,b)|0);i=b;gI(a+6336|0,4,.0367,(b=i,i=i+24|0,h[b>>3]=1.1769,h[b+8>>3]=-87.9729,h[b+16>>3]=220344.0e-9,b)|0);i=b;gI(a+6352|0,4,.0368,(b=i,i=i+24|0,h[b>>3]=1.17746,h[b+8>>3]=-87.9966,h[b+16>>3]=22034.0e-8,b)|0);i=b;gI(a+6368|0,4,.0369,(b=i,i=i+24|0,h[b>>3]=1.17801,h[b+8>>3]=-88.0197,h[b+16>>3]=220336.0e-9,b)|0);i=b;gI(a+6384|0,4,.037,(b=i,i=i+24|0,h[b>>3]=1.17858,h[b+8>>3]=-88.0441,h[b+16>>3]=220332.0e-9,b)|0);i=b;gI(a+6400|0,4,.0371,(b=i,i=i+24|0,h[b>>3]=1.17922,h[b+8>>3]=-88.0712,h[b+16>>3]=220328.0e-9,b)|0);i=b;gI(a+6416|0,4,.0372,(b=i,i=i+24|0,h[b>>3]=1.17985,h[b+8>>3]=-88.0975,h[b+16>>3]=220323.0e-9,b)|0);i=b;gI(a+6432|0,4,.0373,(b=i,i=i+24|0,h[b>>3]=1.18045,h[b+8>>3]=-88.123,h[b+16>>3]=220319.0e-9,b)|0);i=b;gI(a+6448|0,4,.0374,(b=i,i=i+24|0,h[b>>3]=1.18103,h[b+8>>3]=-88.1477,h[b+16>>3]=220314.0e-9,b)|0);i=b;gI(a+6464|0,4,.0375,(b=i,i=i+24|0,h[b>>3]=1.1816,h[b+8>>3]=-88.1717,h[b+16>>3]=22031.0e-8,b)|0);i=b;gI(a+6480|0,4,.0376,(b=i,i=i+24|0,h[b>>3]=1.18215,h[b+8>>3]=-88.195,h[b+16>>3]=220306.0e-9,b)|0);i=b;gI(a+6496|0,4,.0377,(b=i,i=i+24|0,h[b>>3]=1.18268,h[b+8>>3]=-88.2176,h[b+16>>3]=220302.0e-9,b)|0);i=b;gI(a+6512|0,4,.0378,(b=i,i=i+24|0,h[b>>3]=1.1832,h[b+8>>3]=-88.2395,h[b+16>>3]=220299.0e-9,b)|0);i=b;gI(a+6528|0,4,.0379,(b=i,i=i+24|0,h[b>>3]=1.1837,h[b+8>>3]=-88.2607,h[b+16>>3]=220295.0e-9,b)|0);i=b;gI(a+6544|0,4,.038,(b=i,i=i+24|0,h[b>>3]=1.18419,h[b+8>>3]=-88.2814,h[b+16>>3]=220291.0e-9,b)|0);i=b;gI(a+6560|0,4,.0381,(b=i,i=i+24|0,h[b>>3]=1.18466,h[b+8>>3]=-88.3014,h[b+16>>3]=220288.0e-9,b)|0);i=b;gI(a+6576|0,4,.0382,(b=i,i=i+24|0,h[b>>3]=1.18512,h[b+8>>3]=-88.3208,h[b+16>>3]=220284.0e-9,b)|0);i=b;gI(a+6592|0,4,.0383,(b=i,i=i+24|0,h[b>>3]=1.18556,h[b+8>>3]=-88.3396,h[b+16>>3]=220281.0e-9,b)|0);i=b;gI(a+6608|0,4,.0384,(b=i,i=i+24|0,h[b>>3]=1.18599,h[b+8>>3]=-88.3578,h[b+16>>3]=220278.0e-9,b)|0);i=b;gI(a+6624|0,4,.0385,(b=i,i=i+24|0,h[b>>3]=1.18641,h[b+8>>3]=-88.3756,h[b+16>>3]=220275.0e-9,b)|0);i=b;gI(a+6640|0,4,.0386,(b=i,i=i+24|0,h[b>>3]=1.18682,h[b+8>>3]=-88.3928,h[b+16>>3]=220272.0e-9,b)|0);i=b;gI(a+6656|0,4,.0387,(b=i,i=i+24|0,h[b>>3]=1.18721,h[b+8>>3]=-88.4094,h[b+16>>3]=220269.0e-9,b)|0);i=b;gI(a+6672|0,4,.0388,(b=i,i=i+24|0,h[b>>3]=1.18759,h[b+8>>3]=-88.4256,h[b+16>>3]=220266.0e-9,b)|0);i=b;gI(a+6688|0,4,.0389,(b=i,i=i+24|0,h[b>>3]=1.18796,h[b+8>>3]=-88.4413,h[b+16>>3]=220264.0e-9,b)|0);i=b;gI(a+6704|0,4,.039,(b=i,i=i+24|0,h[b>>3]=1.18832,h[b+8>>3]=-88.4565,h[b+16>>3]=220261.0e-9,b)|0);i=b;gI(a+6720|0,4,.0391,(b=i,i=i+24|0,h[b>>3]=1.18867,h[b+8>>3]=-88.4713,h[b+16>>3]=220258.0e-9,b)|0);i=b;gI(a+6736|0,4,.0392,(b=i,i=i+24|0,h[b>>3]=1.18901,h[b+8>>3]=-88.4856,h[b+16>>3]=220256.0e-9,b)|0);i=b;gI(a+6752|0,4,.0393,(b=i,i=i+24|0,h[b>>3]=1.18934,h[b+8>>3]=-88.4995,h[b+16>>3]=220253.0e-9,b)|0);i=b;gI(a+6768|0,4,.0394,(b=i,i=i+24|0,h[b>>3]=1.18965,h[b+8>>3]=-88.513,h[b+16>>3]=220251.0e-9,b)|0);i=b;gI(a+6784|0,4,.0395,(b=i,i=i+24|0,h[b>>3]=1.18996,h[b+8>>3]=-88.5261,h[b+16>>3]=220249.0e-9,b)|0);i=b;gI(a+6800|0,4,.0396,(b=i,i=i+24|0,h[b>>3]=1.19026,h[b+8>>3]=-88.5388,h[b+16>>3]=220247.0e-9,b)|0);i=b;gI(a+6816|0,4,.0397,(b=i,i=i+24|0,h[b>>3]=1.19055,h[b+8>>3]=-88.5511,h[b+16>>3]=220245.0e-9,b)|0);i=b;c[a+8536>>2]=b}



function BJ(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[1928894]=q;c[1928898]=1;c[1928904]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[1928898]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[1928906]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[1928906]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[1928904]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[1928906]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[1928906]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[1928906]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[1928906]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[1928902]=1;if(+h[k>>3]<0.0){N=1}else{c[1928902]=r;N=r}q=r+1-N|0;c[1928900]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[1928906]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[1928906]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[1928906]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[1928906]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[1928904]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[1928896]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[1928906]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[1928906]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[1928904]=T;}while((T|0)<=(S|0));return 0}function CJ(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function DJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((CJ(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){wd(7624656,7681680,116,7700776);return 0}else if((s|0)==14){i=g;return o|0}return 0}function EJ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((jaa(c[j>>2]|0,c[20768+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[20736+(k<<2)>>2]|0;fH(23,0,7659272,(n=i,i=i+16|0,c[n>>2]=c[20768+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=N9(r,8)|0;c[e+40>>2]=p;r=b+536|0;iH(c[r>>2]|0,(p|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=N9(c[o>>2]|0,4)|0;c[e+36>>2]=p;iH(c[r>>2]|0,(p|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=N9(c[q>>2]|0,4)|0;c[e+24>>2]=L9(8)|0;q=L9(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[1928880];iH(c[r>>2]|0,(q|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=L9(q)|0;o=e+44|0;c[o>>2]=L9(q)|0;q=N9(15,4)|0;s=e+12|0;c[s>>2]=q;iH(c[r>>2]|0,(q|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=N9(5,4)|0;c[e+4>>2]=q;iH(c[r>>2]|0,(q|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=N9(5,4)|0;c[e+8>>2]=q;iH(c[r>>2]|0,(q|0)!=0|0,7651216,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=L9(q)|0;c[e+76>>2]=L9(q)|0;c[e+80>>2]=L9(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((ke[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){fH(23,0,7644848,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{fH(1,0,7637520,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[1928889]|c[1928952]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;jH(B,7671128,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}hH(23,1,7624592,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[20736+(f<<2)>>2]|0;hH(23,0,7681664,(n=i,i=i+16|0,c[n>>2]=c[20768+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);he[c[3556]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;jH(B,7671128,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function FJ(a){a=a|0;M9(c[a+40>>2]|0);M9(c[a+36>>2]|0);M9(c[a+20>>2]|0);M9(c[a+12>>2]|0);M9(c[a+4>>2]|0);M9(c[a+8>>2]|0);M9(a);return 0}function GJ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;iH(c[s>>2]|0,(c[q>>2]|0)!=0|0,7630984,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){fH(3,0,32296,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;fH(3,0,7696488,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];ke[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}fH(3,0,7691832,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){fH(23,0,7689160,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){nI(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){EL(b)|0}ke[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 4:{PI(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,4,I,c[J>>2]|0);break};case 7:{PI(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};case 6:{PI(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,4,I,c[J>>2]|0);break};case 3:{PI(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,4,I,c[J>>2]|0);break};case 5:{PI(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,4,I,c[J>>2]|0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){PI(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{PI(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,4,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Ta(K|0)|0;Ta(L|0)|0;hH(3,0,7687200,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;fH(3,0,7686096,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Ta(K|0)|0;Ta(L|0)|0;L=PJ(c[z>>2]|0)|0;ke[c[(c[O>>2]|0)+28>>2]&255](b)|0;hH(1,0,7684576,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[1928869]|0)!=0){fH(3,1,7683528,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;fH(3,0,7682616,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;fH(3,0,7681736,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;fH(3,0,7680920,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;fH(3,0,7680008,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;fH(3,0,7678568,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;fH(3,0,7677728,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;fH(3,0,7676336,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;fH(3,0,7675272,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;fH(3,0,7674128,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;fH(3,0,7673160,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;he[c[3556]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){wd(7672064,7671200,406,7700880);return 0}fH(3,0,7669720,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function HJ(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;ke[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function IJ(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;ke[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;RJ(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function JJ(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;ke[c[(c[a>>2]|0)+28>>2]&255](g)|0;ke[c[(c[a>>2]|0)+32>>2]&255](g)|0;me[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function KJ(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;SJ(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function LJ(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;ke[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;QJ(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function MJ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function NJ(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;TJ(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function OJ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function PJ(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-6:{hH(1,0,7666040,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-11:{hH(1,0,7660408,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-33:{hH(1,0,7658704,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-2:{hH(1,0,7667216,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};case-8:{hH(1,0,7663544,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-1:{hH(3,0,7687200,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};case-3:{e=-3;break};case-9:{hH(1,0,7662320,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-12:{hH(1,0,7659432,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-7:{hH(1,0,7664504,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-10:{hH(1,0,7661208,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};default:{e=-1}}i=b;return e|0}function QJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}ke[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function RJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;ke[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function SJ(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+bc(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+bc(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;HJ(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function TJ(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+bc(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+bc(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}HJ(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function UJ(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function VJ(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;he[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function WJ(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function XJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=vH(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{ue[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;tH(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=vH(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function YJ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((XJ(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}ZJ(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(vH(d)|0)>0;g=b?2:0;return g|0}function ZJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=L9(l)|0;n=m;o=L9(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[1931262]=rH(4)|0;if((m|0)==0){wd(7689104,7687168,308,7700864)}if((o|0)==0){wd(7686080,7687168,309,7700864)}q=yH(b)|0;if((q|0)!=0){r=q;do{q=c[(AH(r)|0)>>2]|0;fH(27,0,7684520,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=zH(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;naa(o|0,c[a+384>>2]|0,t)|0;naa(m|0,q|0,t)|0}h[d>>3]=+aK(a,g,j,l,n,c[1931262]|0,b);do{if((vH(c[1931262]|0)|0)==0){n=c[(wH(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=yH(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(AH(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=zH(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}fH(27,0,7683456,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=yH(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(AH(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[1931262]|0;uH(t,AH(y)|0);t=c[(AH(y)|0)>>2]|0;fH(27,0,7682592,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=zH(y)|0;}while((y|0)!=0)}}while(0);sH(b);if((c[1928873]|0)!=0){vH(c[1931262]|0)|0}if((vH(c[1931262]|0)|0)>0){y=f;do{l=c[(wH(c[1931262]|0)|0)>>2]|0;c[f>>2]=l;xH(c[1931262]|0);fH(7,0,768e4,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;tH(b,y);}while((vH(c[1931262]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){naa(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Ue(a);dK(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){M9(o);M9(m);i=e;return}naa(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;M9(o);M9(m);i=e;return}function _J(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){hK(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];fH(7,0,7625176,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((vH(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[1928873]|0)!=0){e=yH(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(AH(t)|0)>>2]|0;s=ue[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;eH(7,0,c[j>>2]|0,32144,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=zH(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(AH(yH(d)|0)|0)>>2]|0;p=ue[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];eH(1,0,c[k>>2]|0,7695984,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);sH(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;cK(b);$J(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function $J(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;fH(27,0,7672024,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;me[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function aK(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=L9(m<<3)|0;o=n;if((n|0)==0){wd(7677664,7687168,409,7700928);return 0.0}if((m|0)>0){naa(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];fH(27,0,7676288,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;fH(27,0,7675248,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){M9(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}ke[c[(c[w>>2]|0)+28>>2]&255](a)|0;ke[c[(c[w>>2]|0)+32>>2]&255](a)|0;me[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(bK(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}naa(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}M9(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function bK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;sH(b);fH(27,0,7674088,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=yH(d)|0;if((g|0)==0){j=vH(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(AH(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(AH(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(AH(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(AH(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(AH(a)|0)>>2]|0;o=c[(AH(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?7644432:7637192;o=c[(AH(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?7644432:7637192;fH(27,0,7673072,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;tH(b,AH(a)|0)}a=zH(a)|0;}while((a|0)!=0);j=vH(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function cK(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;ue[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;dK(b);eK(b);ke[c[(c[f>>2]|0)+36>>2]&255](b)|0;fK(b,8);g=gK(b)|0;h=ke[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{eK(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}hK(b);dK(b);fK(b,8);ke[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=gK(b)|0;h=ke[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){jH(c[b+536>>2]|0,7657944,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){eK(b);i=d;return}}function dK(a){a=a|0;naa(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function eK(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function fK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[7715464+(d<<2)>>2]|0)==0){i=e;return}fH(d,1,7672992,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=ke[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=ke[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;fH(d,0,7671928,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}he[c[3556]&511](d);i=e;return}function gK(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function hK(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;naa(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;naa(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;naa(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;naa(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function iK(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}me[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function jK(a){a=a|0;kK(a);lK(a);hK(a);mK(a);return}function kK(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function lK(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function mK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((mI(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];naa(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;naa(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;naa(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;naa(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(mI(c[b>>2]|0)|0));return}function nK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[7715464+(d<<2)>>2]|0)==0){i=e;return}fH(d,1,7682480,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){fH(d,1,7681648,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?7685864:7684496;r=+h[(c[k>>2]|0)+(l<<3)>>3];fH(d,0,7680688,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}he[c[3556]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){fH(d,1,7679680,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?7685864:7684496;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;fH(d,0,7678456,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}he[c[3556]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){fH(d,1,7677608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?7685864:7684496;o=(a[q+(g*48|0)+40|0]|0)!=0?7685864:7684496;q=(a[(c[k>>2]|0)+g|0]|0)!=0?7685864:7684496;fH(d,0,7676200,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}he[c[3556]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){fH(d,1,7675192,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;fH(d,0,7674e3,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}he[c[3556]&511](d)}he[c[3556]&511](d);i=e;return}function oK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((mI(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];naa(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;naa(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;naa(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;naa(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(mI(c[b>>2]|0)|0));return}function pK(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function qK(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];naa(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;naa(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;naa(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;naa(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function rK(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=hI(3,32)|0;c[f>>2]=g;if((g|0)==0){jH(c[b+536>>2]|0,7657800,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=N9(c[k>>2]|0,8)|0;c[l>>2]=u;iH(c[m>>2]|0,(u|0)!=0|0,7656312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=N9(c[n>>2]|0,4)|0;c[o>>2]=u;iH(c[m>>2]|0,(u|0)!=0|0,7656312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=N9(c[p>>2]|0,1)|0;c[q>>2]=u;iH(c[m>>2]|0,(u|0)!=0|0,7656312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=N9(c[r>>2]|0,4)|0;c[s>>2]=u;iH(c[m>>2]|0,(u|0)!=0|0,7656312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;lI(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=N9(3,4)|0;c[b+4>>2]=e;nI(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=N9(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=N9(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=N9(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=N9(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=N9(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=N9(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=N9(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=N9(s,52)|0;c[b+40>>2]=N9(c[b+216>>2]|0,52)|0;c[b+44>>2]=N9(c[b+220>>2]|0,52)|0;c[b+48>>2]=N9(c[b+224>>2]|0,52)|0;c[b+52>>2]=N9(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=N9(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=N9(q,8)|0;c[b+340>>2]=N9(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=N9(q,8)|0;c[b+348>>2]=N9(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=N9(o,1)|0;c[b+356>>2]=N9(o,1)|0;c[b+360>>2]=N9(o,1)|0;o=L9(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=L9(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=N9(e,8)|0;c[b+388>>2]=N9(k,4)|0;c[b+392>>2]=N9(n,1)|0;c[b+396>>2]=N9(p,4)|0;c[b+400>>2]=N9(e,8)|0;c[b+404>>2]=N9(k,4)|0;c[b+408>>2]=N9(n,1)|0;c[b+412>>2]=N9(p,4)|0;c[b+416>>2]=N9(r,8)|0;c[b+420>>2]=N9(f,4)|0;c[b+424>>2]=N9(t,1)|0;c[b+428>>2]=N9(s,4)|0;c[b+432>>2]=N9(c[b+152>>2]|0,8)|0;c[b+436>>2]=N9(c[b+156>>2]|0,8)|0;s=L9((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;he[c[(c[t>>2]|0)+20>>2]&511](s);s=L9((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;he[c[(c[t>>2]|0)+16>>2]&511](s);s=L9((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;he[c[(c[t>>2]|0)+12>>2]&511](s);s=L9((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;ie[c[(c[t>>2]|0)+24>>2]&255](s,b);c[b+464>>2]=L9((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=N9(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;iH(c[m>>2]|0,(s|0)!=0|0,7655568,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=N9(100,4)|0;c[b+520>>2]=N9(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=L9(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;iH(c[m>>2]|0,(t|0)!=0|0,7656312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=hI(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function sK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;M9(c[f+8>>2]|0);M9(c[f+12>>2]|0);M9(c[f+16>>2]|0);M9(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);M9(e);iI(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){GI(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}M9(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){GI(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}M9(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){GI(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}M9(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){GI(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}M9(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){GI(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}M9(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){GI(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}M9(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){GI(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}M9(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){GI(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}M9(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){GI(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}M9(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){GI(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}M9(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){GI(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}M9(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){GI(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}M9(t);M9(c[a+108>>2]|0);M9(c[a+336>>2]|0);M9(c[a+340>>2]|0);M9(c[a+344>>2]|0);M9(c[a+348>>2]|0);M9(c[a+352>>2]|0);M9(c[a+356>>2]|0);M9(c[a+360>>2]|0);M9(c[a+368>>2]|0);M9(c[a+384>>2]|0);M9(c[a+388>>2]|0);M9(c[a+392>>2]|0);M9(c[a+396>>2]|0);M9(c[a+400>>2]|0);M9(c[a+404>>2]|0);M9(c[a+408>>2]|0);M9(c[a+412>>2]|0);M9(c[a+416>>2]|0);M9(c[a+420>>2]|0);M9(c[a+424>>2]|0);M9(c[a+428>>2]|0);M9(c[a+488>>2]|0);M9(c[a+484>>2]|0);M9(c[a+476>>2]|0);M9(c[a+468>>2]|0);M9(c[a+464>>2]|0);M9(c[a+432>>2]|0);M9(c[a+436>>2]|0);M9(c[a+320>>2]|0);M9(c[a+516>>2]|0);M9(c[a+520>>2]|0);dZ(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;M9(v);return}else{w=0;x=a}while(1){iI(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;M9(v);return}function tK(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;fH(8,0,7654672,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function uK(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function vK(a,b,c){a=+a;b=+b;c=c|0;return(uK(a,b,c<<24>>24==0|0)|0)<<24>>24==0|0}function wK(a,b){a=+a;b=+b;return a<b|0}function xK(a,b){a=+a;b=+b;return a<=b|0}function yK(a,b){a=+a;b=+b;return a>b|0}function zK(a,b){a=+a;b=+b;return a>=b|0}function AK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=L9(j)|0;c[d+(g*40|0)+24>>2]=L9(j)|0;if((c[f>>2]|0)!=1){k=5;break}DK(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){jH(c[a+536>>2]|0,7698320,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function BK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){M9(c[d+(g*40|0)+20>>2]|0);M9(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;EK(j)|0;M9(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){jH(c[a+536>>2]|0,7698320,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function CK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[1928883]|c[1928952]|0)==0){w=1;x=v;break}bZ(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];hH(17,1,7695680,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;bZ(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;bZ(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;hH(17,0,7679808,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;bZ(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}he[c[3556]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function DK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=L9(20)|0;c[b>>2]=e;iH(0,(e|0)!=0|0,7698160,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=L9(a)|0;c[e+4>>2]=L9(a)|0;c[e+8>>2]=L9(a)|0;c[e+16>>2]=L9(a)|0;iH(0,(c[b>>2]|0)!=0|0,7695632,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function EK(a){a=a|0;var b=0;b=c[a>>2]|0;M9(c[b>>2]|0);M9(c[b+4>>2]|0);M9(c[b+8>>2]|0);M9(c[b+16>>2]|0);return 0}function FK(a,b){a=a|0;b=b|0;jH(c[a+536>>2]|0,7697760,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function GK(a){a=a|0;jH(0,7697760,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function HK(a,b){a=a|0;b=b|0;jH(c[a+536>>2]|0,7697760,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function IK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=L9(k)|0;c[d+(g<<6)+36>>2]=L9(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=L9(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;OK(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;RK(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){jH(c[a+536>>2]|0,7697728,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function JK(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function KK(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;qc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function LK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){M9(c[d+(g<<6)+28>>2]|0);M9(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){PK(d+(g<<6)+24|0)|0;M9(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){SK(d+(g<<6)+24|0)|0}else{j=6;break}M9(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){jH(c[a+536>>2]|0,7697728,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function MK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=c[b+476>>2]|0;g=c[b+292>>2]|0;if((g|0)==1){h=(QK(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else if((g|0)==2){h=(TK(b,d)|0)&255;j=f+(d<<6)+56|0;a[j]=h;i=e;return 0}else{jH(c[b+536>>2]|0,7697728,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;return 0}return 0}function NK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[1928881]|c[1928952]|0)==0){w=1;x=v;break}bZ(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];hH(15,1,7695600,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;bZ(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;bZ(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;hH(15,0,7679800,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;bZ(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}he[c[3556]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function OK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=L9(12)|0;f=L9(a<<2)|0;c[e>>2]=f;iH(0,(f|0)!=0|0,7697584,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function PK(a){a=a|0;M9(c[c[a>>2]>>2]|0);return 0}function QK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=i;i=i+20480|0;f=e|0;g=e+16384|0;j=c[b+476>>2]|0;k=j+(d<<6)|0;l=c[j+(d<<6)+24>>2]|0;m=j+(d<<6)+16|0;n=c[m>>2]|0;o=j+(d<<6)+32|0;oaa(c[o>>2]|0,0,ga(n<<3,n)|0)|0;p=b;q=k;ie[c[k>>2]&255](p,q);ie[c[j+(d<<6)+4>>2]&255](p,q);if((c[1928882]|0)!=0){fH(16,1,7695576,(r=i,i=i+16|0,c[r>>2]=n,c[r+8>>2]=n,r)|0);i=r;q=(n|0)>0;do{if(q){p=f|0;k=0;do{a[p]=0;s=0;do{t=(ga(s,n)|0)+k|0;u=+h[(c[o>>2]|0)+(t<<3)>>3];Ub(p|0,7679784,(r=i,i=i+16|0,c[r>>2]=p,h[r+8>>3]=u,r)|0)|0;i=r;s=s+1|0;}while((s|0)<(n|0));fH(16,0,7668816,(r=i,i=i+8|0,c[r>>2]=p,r)|0);i=r;k=k+1|0;}while((k|0)<(n|0));fH(16,1,7657928,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r;if(!q){break}k=f|0;p=j+(d<<6)+36|0;s=0;do{a[k]=0;u=+h[(c[p>>2]|0)+(s<<3)>>3];Ub(k|0,7679784,(r=i,i=i+16|0,c[r>>2]=k,h[r+8>>3]=u,r)|0)|0;i=r;fH(16,0,7668816,(r=i,i=i+8|0,c[r>>2]=k,r)|0);i=r;s=s+1|0;}while((s|0)<(n|0))}else{fH(16,1,7657928,(r=i,i=i+8|0,c[r>>2]=n,r)|0);i=r}}while(0);he[c[3556]&511](16)}n=j+(d<<6)+36|0;f=l+8|0;UB(m,l+4|0,c[o>>2]|0,m,c[l>>2]|0,c[n>>2]|0,m,f)|0;l=c[f>>2]|0;if((l|0)<0){u=+h[c[c[b+4>>2]>>2]>>3];hH(1,0,7650152,(r=i,i=i+24|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=l,r)|0);i=r;v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;naa(y|0,A|0,C)|0;i=e;return v|0}if((l|0)<=0){v=1;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;naa(y|0,A|0,C)|0;i=e;return v|0}u=+h[c[c[b+4>>2]>>2]>>3];b=l+1|0;hH(1,0,7642688,(r=i,i=i+32|0,c[r>>2]=c[j+(d<<6)+20>>2],h[r+8>>3]=u,c[r+16>>2]=b,c[r+24>>2]=b,r)|0);i=r;if((c[1928881]|0)==0){v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;naa(y|0,A|0,C)|0;i=e;return v|0}b=(c[m>>2]|0)>0;l=g|0;a[l]=0;if(b){b=0;do{g=c[m>>2]|0;if((g|0)>0){f=0;q=g;while(1){s=(ga(q,f)|0)+b|0;u=+h[(c[o>>2]|0)+(s<<3)>>3];Ub(l|0,7630360,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;s=f+1|0;k=c[m>>2]|0;if((s|0)<(k|0)){f=s;q=k}else{D=k;break}}}else{D=g}b=b+1|0;a[l]=0}while((b|0)<(D|0))}if((c[m>>2]|0)>0){D=0;do{u=+h[(c[n>>2]|0)+(D<<3)>>3];Ub(l|0,7630360,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=D+1|0;}while((D|0)<(c[m>>2]|0))}a[l]=0;if((c[m>>2]|0)>0){E=0}else{v=0;w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;naa(y|0,A|0,C)|0;i=e;return v|0}while(1){u=+h[(c[n>>2]|0)+(E<<3)>>3];Ub(l|0,7630360,(r=i,i=i+16|0,c[r>>2]=l,h[r+8>>3]=u,r)|0)|0;i=r;D=E+1|0;if((D|0)<(c[m>>2]|0)){E=D}else{v=0;break}}w=j+(d<<6)+28|0;x=c[w>>2]|0;y=x;z=c[n>>2]|0;A=z;B=c[m>>2]|0;C=B<<3;naa(y|0,A|0,C)|0;i=e;return v|0}function RK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=L9(32)|0;iH(0,(g|0)!=0|0,7697200,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;Ec(0,d|0)|0;Xd(c[d>>2]|0,c[b>>2]|0,0)|0;Ec(0,g+4|0)|0;Xd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ua(b|0)|0;be(7695560,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function SK(a){a=a|0;var b=0;b=c[a>>2]|0;jd(c[b+12>>2]|0)|0;gc(c[b+8>>2]|0)|0;gc(c[b+4>>2]|0)|0;return 0}function TK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0;d=c[a+476>>2]|0;e=d+(b<<6)|0;f=c[d+(b<<6)+24>>2]|0;g=f;$c(c[g>>2]|0)|0;Uc(0,g|0)|0;i=f+24|0;cd(c[g>>2]|0,c[i>>2]|0,0)|0;j=a;a=e;ie[c[e>>2]&255](j,a);Vd(c[g>>2]|0,1)|0;nd(c[g>>2]|0)|0;ie[c[d+(b<<6)+4>>2]&255](j,a);if((c[i>>2]|0)>0){a=d+(b<<6)+36|0;j=f+8|0;e=0;while(1){Dc(0,e|0,+(+h[(c[a>>2]|0)+(e<<3)>>3]),c[j>>2]|0)|0;k=e+1|0;if((k|0)<(c[i>>2]|0)){e=k}else{l=j;break}}}else{l=f+8|0}j=f+4|0;e=(Jc(c[g>>2]|0,c[l>>2]|0,c[j>>2]|0,c[f+12>>2]|0)|0)==0|0;xc(c[j>>2]|0,0,c[f+20>>2]|0,c[d+(b<<6)+28>>2]|0)|0;$c(c[g>>2]|0)|0;return e|0}function UK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;iH(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,7624440,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){iH(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,7700144,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((ke[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=L9(n)|0;c[d+(j*80|0)+52>>2]=L9(n)|0;c[d+(j*80|0)+48>>2]=L9(n)|0;c[d+(j*80|0)+16>>2]=L9(n)|0;c[d+(j*80|0)+8>>2]=L9(n)|0;c[d+(j*80|0)+12>>2]=L9(n)|0;ie[c[d+(j*80|0)+36>>2]&255](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){fL(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==1){ZK(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){FK(a,k)|0;break}else if((n|0)==3){fL(l,d+(j*80|0)+40|0)|0;break}else{o=12;break a}}}while(0);l=j+1|0;if((l|0)<(c[e>>2]|0)){j=l}else{o=14;break}}if((o|0)==12){jH(c[f>>2]|0,7695264,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function VK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;M9(c[d+(g*80|0)+44>>2]|0);M9(c[d+(g*80|0)+52>>2]|0);M9(c[d+(g*80|0)+48>>2]|0);M9(c[d+(g*80|0)+16>>2]|0);M9(c[d+(g*80|0)+8>>2]|0);M9(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;gL(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==1){l=d+(g*80|0)+40|0;_K(l)|0;k=l;break}else if((j|0)==2){GK(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==3){j=d+(g*80|0)+40|0;gL(j)|0;k=j;break}else{m=9;break a}}}while(0);M9(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){jH(c[a+536>>2]|0,7695264,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function WK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;f=c[b+468>>2]|0;c[b+472>>2]=d;g=b+319|0;a[g]=1;do{if((c[f+(d*80|0)+56>>2]|0)==1){h=(iL(b,d)|0)&255}else{j=c[b+300>>2]|0;if((j|0)==3){h=(iL(b,d)|0)&255;break}else if((j|0)==1){k=b+536|0;l=(c[k>>2]|0)+84|0;m=c[l>>2]|0;c[l>>2]=3;l=$K(b,d)|0;c[(c[k>>2]|0)+84>>2]=m;h=l&255;break}else if((j|0)==2){h=(HK(b,d)|0)&255;break}else{jH(c[b+536>>2]|0,7695264,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;return 0}}}while(0);a[f+(d*80|0)+72|0]=h;a[g]=0;i=e;return 0}function XK(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;bZ(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];gH(17,1,o,7691384,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){bZ(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;bZ(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;hH(17,0,7684448,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;bZ(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{hH(17,1,7688712,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;bZ(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;bZ(k,d,c[p>>2]|0);if((jaa(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];hH(17,0,7687008,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;bZ(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;hH(17,0,7685784,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}bZ(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[1928883]|c[1928952]|0)==0){break}he[c[3556]&511](17)}}while(0);if((c[1928883]|c[1928952]|0)==0){r=1;i=e;return r|0}he[c[3556]&511](17);r=1;i=e;return r|0}function YK(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0.0,g=0.0,i=0.0;e=c[a+4>>2]|0;f=+h[c[e+4>>2]>>3];g=+h[c[e+8>>2]>>3];if(f==g){i=b;return+i}i=(b-d)*((+h[c[e>>2]>>3]-g)/(f-g))+d;return+i}function ZK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=L9(144)|0;c[b>>2]=e;iH(0,(e|0)!=0|0,7696376,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=L9(g)|0;c[e+16>>2]=L9(g)|0;c[e+8>>2]=1;c[e+12>>2]=L9(g)|0;c[e+20>>2]=a;c[e+24>>2]=L9(g)|0;c[e+28>>2]=N9(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=L9(g)|0;c[e+68>>2]=L9(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=N9(j,8)|0;c[e+108>>2]=N9(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=L9(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=L9(g)|0;c[e+128>>2]=L9(g)|0;c[e+132>>2]=L9(g)|0;c[e+136>>2]=L9(g)|0;c[e+140>>2]=L9(g)|0;iH(0,(c[b>>2]|0)!=0|0,7695480,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function _K(a){a=a|0;var b=0;b=c[a>>2]|0;M9(c[b+4>>2]|0);M9(c[b+16>>2]|0);M9(c[b+12>>2]|0);M9(c[b+24>>2]|0);M9(c[b+28>>2]|0);M9(c[b+64>>2]|0);M9(c[b+68>>2]|0);M9(c[b+104>>2]|0);M9(c[b+108>>2]|0);M9(c[b+116>>2]|0);M9(c[b+124>>2]|0);M9(c[b+128>>2]|0);M9(c[b+132>>2]|0);M9(c[b+136>>2]|0);M9(c[b+140>>2]|0);return 0}function $K(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0;e=i;i=i+4200|0;f=e|0;g=e+8|0;j=e+16|0;k=e+24|0;l=e+32|0;m=e+56|0;n=e+80|0;o=e+4176|0;p=c[b+468>>2]|0;q=c[p+(d*80|0)+40>>2]|0;r=q;s=c[p+(d*80|0)+4>>2]|0;c[f>>2]=1;t=q+80|0;u=+h[t>>3];c[k>>2]=0;v=b+164|0;w=L9(c[v>>2]|0)|0;if((c[1928883]|0)!=0){bZ(l,b+56|0,s);x=+h[c[c[b+4>>2]>>2]>>3];fH(17,1,7679704,(y=i,i=i+16|0,c[y>>2]=c[l+8>>2],h[y+8>>3]=x,y)|0);i=y;l=q+20|0;if((c[l>>2]|0)>0){z=p+(d*80|0)+44|0;A=p+(d*80|0)+16|0;B=p+(d*80|0)+48|0;C=p+(d*80|0)+52|0;D=0;do{x=+h[(c[z>>2]|0)+(D<<3)>>3];fH(17,1,7668776,(y=i,i=i+16|0,c[y>>2]=D,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[B>>2]|0)+(D<<3)>>3];E=+h[(c[C>>2]|0)+(D<<3)>>3];fH(17,0,7657856,(y=i,i=i+24|0,h[y>>3]=+h[(c[A>>2]|0)+(D<<3)>>3],h[y+8>>3]=x,h[y+16>>3]=E,y)|0);i=y;he[c[3556]&511](17);D=D+1|0;}while((D|0)<(c[l>>2]|0))}he[c[3556]&511](17)}l=b+314|0;D=q+24|0;A=c[D>>2]|0;if((a[l]|0)==0){naa(A|0,c[p+(d*80|0)+52>>2]|0,c[q+20>>2]<<3)|0}else{naa(A|0,c[p+(d*80|0)+44>>2]|0,c[q+20>>2]<<3)|0}A=q+20|0;C=c[A>>2]|0;if((C|0)>0){B=c[D>>2]|0;z=c[p+(d*80|0)+16>>2]|0;F=c[q+12>>2]|0;G=0;do{E=+V(+(+h[B+(G<<3)>>3]));h[F+(G<<3)>>3]=+bc(+E,+(+h[z+(G<<3)>>3]));G=G+1|0;}while((G|0)<(C|0))}C=q+8|0;G=(c[C>>2]|0)!=0;if(G){c[C>>2]=0}z=q+28|0;F=q+104|0;B=q+112|0;H=b;aL(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(G){c[C>>2]=1}G=b+318|0;I=q+32|0;J=q+40|0;K=q+64|0;L=q+72|0;M=q+88|0;N=q+92|0;O=q+96|0;P=q+100|0;Q=q+116|0;R=q+120|0;S=q+124|0;T=q+128|0;U=q+132|0;W=q+136|0;X=q+140|0;Y=b+56|0;Z=b+4|0;_=p+(d*80|0)+52|0;$=p+(d*80|0)+44|0;aa=p+(d*80|0)+48|0;ba=p+(d*80|0)+16|0;p=q+12|0;ca=b+356|0;da=q+4|0;ea=b+312|0;fa=q+16|0;ha=n|0;n=q+108|0;q=0;ia=0;ja=0;ka=0;la=1;E=1.0e-12;a:while(1){ma=c[A>>2]|0;if((ma|0)>0){na=c[D>>2]|0;oa=c[ba>>2]|0;pa=c[p>>2]|0;qa=0;do{x=+V(+(+h[na+(qa<<3)>>3]));h[pa+(qa<<3)>>3]=+bc(+x,+(+h[oa+(qa<<3)>>3]));qa=qa+1|0;}while((qa|0)<(ma|0))}if((c[1928884]|0)!=0){bL(c[p>>2]|0,A,18,7642624);bL(c[D>>2]|0,A,18,7636384)}do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}qa=c[p>>2]|0;oa=c[D>>2]|0;pa=0;do{na=oa+(pa<<3)|0;h[na>>3]=1.0/+h[qa+(pa<<3)>>3]*+h[na>>3];pa=pa+1|0;}while((pa|0)<(ma|0))}}while(0);if((c[1928884]|0)!=0){bL(c[D>>2]|0,A,18,7630288)}a[G]=la;pJ(6,A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,I,J,c[K>>2]|0,L,t,M,N,O,P,c[Q>>2]|0,R,c[S>>2]|0,c[T>>2]|0,c[U>>2]|0,c[W>>2]|0,c[X>>2]|0,H,d)|0;a[G]=la^1;do{if((c[C>>2]|0)!=0){ma=c[A>>2]|0;if((ma|0)<=0){break}pa=c[D>>2]|0;qa=c[p>>2]|0;oa=0;do{na=pa+(oa<<3)|0;h[na>>3]=+h[na>>3]*+h[qa+(oa<<3)>>3];oa=oa+1|0;}while((oa|0)<(ma|0))}}while(0);ma=c[N>>2]|0;if((ma|0)==0){bZ(m,Y,s);FI(3,m,+h[c[c[Z>>2]>>2]>>3]);ra=c[N>>2]|0}else{ra=ma}do{if(!((ra|0)==-1)){if((a[l]|0)==0){sa=ra}else{if((c[C>>2]|0)==0){a[G]=0;aL(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0}else{c[C>>2]=0;a[G]=0;aL(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;c[C>>2]=1}dK(b);sa=c[N>>2]|0}if((sa|0)==-1){break}ma=c[A>>2]|0;if((ma|0)>0){oa=c[da>>2]|0;qa=c[z>>2]|0;pa=c[fa>>2]|0;na=0;ta=0;while(1){ua=oa+(ta<<3)|0;h[ua>>3]=1.0e-16;va=c[n>>2]|0;wa=(ma|0)>1?ma:1;xa=na;ya=0;x=1.0e-16;while(1){za=+V(+(+h[va+(xa<<3)>>3]));Aa=za>x?za:x;h[ua>>3]=Aa;Ba=ya+1|0;if((Ba|0)<(ma|0)){xa=xa+1|0;ya=Ba;x=Aa}else{break}}h[pa+(ta<<3)>>3]=+h[qa+(ta<<3)>>3]*(1.0/Aa);ya=ta+1|0;if((ya|0)<(ma|0)){na=na+wa|0;ta=ya}else{break}}}if((c[1928884]|0)!=0){fH(18,1,7686968,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{x=+h[(c[fa>>2]|0)+(ta<<3)>>3];fH(18,1,7685752,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;x=+h[(c[da>>2]|0)+(ta<<3)>>3];fH(18,0,7684416,(y=i,i=i+16|0,c[y>>2]=ta,h[y+8>>3]=x,y)|0);i=y;he[c[3556]&511](18);ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}he[c[3556]&511](18)}if((c[1928885]|0)!=0){ta=c[A>>2]|0;fH(19,1,7683192,(y=i,i=i+16|0,c[y>>2]=ta,c[y+8>>2]=ta,y)|0);i=y;if((c[A>>2]|0)>0){ta=0;do{a[ha]=0;na=c[A>>2]|0;if((na|0)>0){ma=0;qa=na;do{na=(ga(qa,ta)|0)+ma|0;x=+h[(c[n>>2]|0)+(na<<3)>>3];Ub(ha|0,7682424,(y=i,i=i+16|0,c[y>>2]=ha,h[y+8>>3]=x,y)|0)|0;i=y;ma=ma+1|0;qa=c[A>>2]|0;}while((ma|0)<(qa|0))}fH(19,0,7681616,(y=i,i=i+8|0,c[y>>2]=ha,y)|0);i=y;ta=ta+1|0;}while((ta|0)<(c[A>>2]|0))}he[c[3556]&511](19)}h[j>>3]=+oJ(A,c[fa>>2]|0);h[g>>3]=+oJ(A,c[z>>2]|0)}}while(0);do{if((ka|0)==0){Ca=0}else{if(!(+h[g>>3]>E)){Ca=ka;break}if(!(+h[j>>3]>E)){Ca=ka;break}naa(c[ca>>2]|0,w|0,c[v>>2]|0)|0;Ca=0}}while(0);ta=c[N>>2]|0;x=+h[g>>3];b:do{if((ta|0)<4){do{if(x>E){if(!(+h[j>>3]>E)){break}c[N>>2]=4;Da=4;break b}}while(0);if((ta|0)==1){Ea=68;break a}else{Da=ta}}else{Da=ta}}while(0);if(!(x>E)){Ea=68;break}if(!(+h[j>>3]>E)){Ea=68;break}ta=(Da-4|0)>>>0<2>>>0;c:do{if(ta&(q|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=+h[t>>3]/10.0;h[t>>3]=za;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}fH(17,0,7677504,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa}else{if(ta&(q|0)<4){qa=c[A>>2]|0;if((qa|0)>0){ma=c[ba>>2]|0;wa=c[D>>2]|0;na=0;do{pa=wa+(na<<3)|0;h[pa>>3]=+h[ma+(na<<3)>>3]*.1+ +h[pa>>3];na=na+1|0;}while((na|0)<(qa|0))}h[t>>3]=u;qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}fH(17,0,7676080,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[aa>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;pa=0;do{za=+V(+(+h[na+(pa<<3)>>3]));h[wa+(pa<<3)>>3]=+bc(+za,+(+h[ma+(pa<<3)>>3]));pa=pa+1|0;}while((pa|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}fH(17,0,7675080,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}if(ta&(q|0)<6){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}if((c[C>>2]|0)!=0){c[C>>2]=0}qa=c[A>>2]|0;if((qa|0)>0){pa=c[D>>2]|0;ma=c[ba>>2]|0;wa=c[p>>2]|0;na=0;do{za=+V(+(+h[pa+(na<<3)>>3]));h[wa+(na<<3)>>3]=+bc(+za,+(+h[ma+(na<<3)>>3]));na=na+1|0;}while((na|0)<(qa|0))}qa=q+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}fH(17,0,7673880,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=ia;Ka=qa;break}do{if(ta&(q|0)<7){if((a[l]|0)==0){break}naa(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;qa=q+1|0;naa(w|0,c[ca>>2]|0,c[v>>2]|0)|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}fH(17,0,7672872,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=0;Ha=1;Ia=ja;Ja=ia;Ka=qa;break c}}while(0);if(ta&(ia|0)<1){naa(c[D>>2]|0,c[aa>>2]|0,c[A>>2]<<3)|0;if((c[C>>2]|0)==0){c[C>>2]=1}h[t>>3]=u;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}fH(17,0,7671840,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=1;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<2){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[D>>2]|0;ma=0;do{wa=na+(ma<<3)|0;h[wa>>3]=+h[wa>>3]*1.01;ma=ma+1|0;}while((ma|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}fH(17,0,7671024,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<3){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){ma=c[D>>2]|0;na=0;do{wa=ma+(na<<3)|0;h[wa>>3]=+h[wa>>3]*.99;na=na+1|0;}while((na|0)<(qa|0))}qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}fH(17,0,7669512,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<4){naa(c[D>>2]|0,c[ba>>2]|0,c[A>>2]<<3)|0;qa=ia+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}fH(17,0,7668672,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(ta&(ia|0)<5){qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){na=c[da>>2]|0;ma=c[K>>2]|0;wa=0;do{za=+V(+(+h[na+(wa<<3)>>3]));h[ma+(wa<<3)>>3]=za>1.0e-16?za:1.0e-16;wa=wa+1|0;}while((wa|0)<(qa|0))}qa=ia+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}fH(17,0,7666984,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=ja;Ja=qa;Ka=0;break}if(!(ta&(ja|0)<1)){if(!(ta&(ja|0)<6)){Ea=161;break a}qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}za=E*10.0;h[t>>3]=u;c[L>>2]=1;qa=ja+1|0;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}fH(17,0,7664344,(y=i,i=i+8|0,h[y>>3]=za,y)|0);i=y;cL(r,k,g,j,18);Fa=za;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}qa=c[D>>2]|0;if((a[l]|0)==0){naa(qa|0,c[_>>2]|0,c[A>>2]<<3)|0}else{naa(qa|0,c[$>>2]|0,c[A>>2]<<3)|0}qa=c[A>>2]|0;if((qa|0)>0){wa=c[K>>2]|0;ma=0;do{h[wa+(ma<<3)>>3]=1.0;ma=ma+1|0;}while((ma|0)<(qa|0))}c[C>>2]=1;qa=ja+1|0;c[L>>2]=2;c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)==0){Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0;break}fH(17,0,7665600,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;cL(r,k,g,j,18);Fa=E;Ga=la;Ha=Ca;Ia=qa;Ja=0;Ka=0}}while(0);if(1){q=Ka;ia=Ja;ja=Ia;ka=Ha;la=Ga;E=Fa}else{La=0;Ea=167;break}}if((Ea|0)==68){c[k>>2]=(c[k>>2]|0)+(c[O>>2]|0);if((c[1928883]|0)!=0){fH(17,1,7680616,(y=i,i=i+1|0,i=i+7&-8,c[y>>2]=0,y)|0);i=y;fH(17,0,7679600,(y=i,i=i+16|0,c[y>>2]=q,c[y+8>>2]=ja+ia,y)|0);i=y;he[c[3556]&511](17);cL(r,k,g,j,17)}O=(c[C>>2]|0)!=0;if(O){c[C>>2]=0;Ma=O}else{Ma=0}naa(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;aL(A,c[D>>2]|0,c[z>>2]|0,c[F>>2]|0,B,f,H,d)|0;if(!Ma){La=1;h[t>>3]=u;c[L>>2]=1;M9(w);i=e;return La|0}c[C>>2]=1;La=1;h[t>>3]=u;c[L>>2]=1;M9(w);i=e;return La|0}else if((Ea|0)==161){if(!((Da-2|0)>>>0<4>>>0)){La=0;h[t>>3]=u;c[L>>2]=1;M9(w);i=e;return La|0}if((a[ea]|0)==0){bZ(o,Y,s);FI(0,o,+h[c[c[Z>>2]>>2]>>3])}if((c[1928883]|0)!=0){Z=ga(ga(ia,q)|0,ja)|0;fH(17,0,7663456,(y=i,i=i+8|0,c[y>>2]=Z,y)|0);i=y;cL(r,k,g,j,17)}naa(c[$>>2]|0,c[D>>2]|0,c[A>>2]<<3)|0;La=0;h[t>>3]=u;c[L>>2]=1;M9(w);i=e;return La|0}else if((Ea|0)==167){h[t>>3]=u;c[L>>2]=1;M9(w);i=e;return La|0}return 0}function aL(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;g=i;i=i+16384|0;m=g|0;n=k;o=c[k+468>>2]|0;p=c[o+(l*80|0)+40>>2]|0;q=k+318|0;r=c[j>>2]|0;if((r|0)==2){s=(a[q]|0)!=0;if(s){a[q]=0}if((c[1928886]|0)!=0){fH(20,0,7651736,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t}if((c[o+(l*80|0)+28>>2]|0)==-1){eL(n,f,d,e,l)}else{dL(n,f,l)}do{if((c[1928886]|0)!=0){fH(20,0,7651280,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[1928885]|0)==0){break}n=c[b>>2]|0;fH(19,1,7683192,(t=i,i=i+16|0,c[t>>2]=n,c[t+8>>2]=n,t)|0);i=t;n=c[b>>2]|0;if((n|0)>0){u=m|0;v=p+20|0;w=0;x=n;do{a[u]=0;if((x|0)>0){n=0;do{y=+h[f+((ga(c[v>>2]|0,w)|0)+n<<3)>>3];Ub(u|0,7650704,(t=i,i=i+16|0,c[t>>2]=u,h[t+8>>3]=y,t)|0)|0;i=t;n=n+1|0;}while((n|0)<(c[b>>2]|0))}fH(19,0,7681616,(t=i,i=i+8|0,c[t>>2]=u,t)|0);i=t;w=w+1|0;x=c[b>>2]|0;}while((w|0)<(x|0))}he[c[3556]&511](19)}}while(0);if(!s){i=g;return 0}a[q]=1;i=g;return 0}else if((r|0)==1){q=p+8|0;do{if((c[q>>2]|0)!=0){s=c[b>>2]|0;if((s|0)<=0){break}f=c[p+12>>2]|0;m=0;do{x=d+(m<<3)|0;h[x>>3]=+h[x>>3]*+h[f+(m<<3)>>3];m=m+1|0;}while((m|0)<(s|0))}}while(0);if((c[1928886]|0)!=0){fH(20,0,7654640,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t;bL(d,b,20,7653944)}Ce[c[o+(l*80|0)+32>>2]&63](k,d,e,j);if((c[1928886]|0)!=0){bL(e,b,20,7653272);fH(20,0,7652384,(t=i,i=i+8|0,c[t>>2]=c[p+96>>2],t)|0);i=t}if((c[q>>2]|0)==0){i=g;return 0}q=c[b>>2]|0;if((q|0)<=0){i=g;return 0}b=c[p+12>>2]|0;p=0;do{e=d+(p<<3)|0;h[e>>3]=1.0/+h[b+(p<<3)>>3]*+h[e>>3];p=p+1|0;}while((p|0)<(q|0));i=g;return 0}else{jH(c[k+536>>2]|0,7650016,(t=i,i=i+8|0,c[t>>2]=r,t)|0);i=t;return 0}return 0}function bL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0.0;f=i;if((c[7715464+(d<<2)>>2]|0)==0){i=f;return}fH(d,1,7681616,(g=i,i=i+8|0,c[g>>2]=e,g)|0);i=g;if((c[b>>2]|0)>0){e=0;do{j=+h[a+(e<<3)>>3];fH(d,0,7655552,(g=i,i=i+16|0,c[g>>2]=e,h[g+8>>3]=j,g)|0);i=g;e=e+1|0;}while((e|0)<(c[b>>2]|0))}he[c[3556]&511](d);i=f;return}function cL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0;g=i;if((c[7715464+(f<<2)>>2]|0)==0){i=g;return}fH(f,1,7662264,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;fH(f,1,7661112,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;k=a+20|0;if((c[k>>2]|0)>0){l=a+24|0;m=a+64|0;n=0;do{o=+h[(c[l>>2]|0)+(n<<3)>>3];p=+h[(c[m>>2]|0)+(n<<3)>>3];fH(f,0,7660032,(j=i,i=i+24|0,c[j>>2]=n,h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;n=n+1|0;}while((n|0)<(c[k>>2]|0))}he[c[3556]&511](f);fH(f,1,7659256,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[k>>2]|0)>0){n=a+28|0;m=a+4|0;a=0;do{p=+h[(c[n>>2]|0)+(a<<3)>>3];o=+h[(c[m>>2]|0)+(a<<3)>>3];fH(f,0,7658512,(j=i,i=i+24|0,c[j>>2]=a,h[j+8>>3]=p,h[j+16>>3]=o,j)|0);i=j;a=a+1|0;}while((a|0)<(c[k>>2]|0))}he[c[3556]&511](f);fH(f,1,7657720,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;o=+h[d>>3];p=+h[e>>3];fH(f,0,7656264,(j=i,i=i+24|0,c[j>>2]=c[b>>2],h[j+8>>3]=o,h[j+16>>3]=p,j)|0);i=j;he[c[3556]&511](f);he[c[3556]&511](f);i=g;return}function dL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+40>>2]|0;g=c[e+(d*80|0)+28>>2]|0;i=f+20|0;j=c[i>>2]|0;oaa(b|0,0,ga(j<<3,j)|0)|0;j=f+108|0;f=c[i>>2]|0;oaa(c[j>>2]|0,0,ga(f<<3,f)|0)|0;f=a+464|0;i=c[f>>2]|0;if((c[i+(g*44|0)+24>>2]|0)==0){return}k=e+(d*80|0)+20|0;d=a;a=0;e=i;l=c[i+(g*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[e+(g*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(g*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}ke[c[k>>2]&255](d)|0;e=c[f>>2]|0;l=c[e+(g*44|0)>>2]|0;if((l|0)!=0){i=c[e+(g*44|0)+20>>2]|0;m=c[e+(g*44|0)+28>>2]|0;n=0;do{o=m+(n<<3)|0;do{if(+h[o>>3]==1.0){if((n|0)==0){p=0;q=e+(g*44|0)+8|0}else{r=e+(g*44|0)+8|0;p=c[(c[r>>2]|0)+(n-1<<2)>>2]|0;q=r}r=c[(c[q>>2]|0)+(n<<2)>>2]|0;if(!(p>>>0<r>>>0)){break}s=c[j>>2]|0;t=c[e+(g*44|0)+12>>2]|0;u=c[e+(g*44|0)+4>>2]|0;v=c[e+(g*44|0)+36>>2]|0;w=p;do{x=c[t+(w<<2)>>2]|0;y=(ga(u,n)|0)+x|0;z=+h[v+(x<<3)>>3];h[b+(y<<3)>>3]=z;h[s+(y<<3)>>3]=z;w=w+1|0;}while(w>>>0<r>>>0)}}while(0);if(((c[i+(n<<2)>>2]|0)-1|0)==(a|0)){h[o>>3]=0.0}n=n+1|0;}while(n>>>0<l>>>0)}a=a+1|0;}while(a>>>0<(c[e+(g*44|0)+24>>2]|0)>>>0);return}function eL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=i;i=i+8|0;j=g|0;k=c[(c[a+468>>2]|0)+(f*80|0)+40>>2]|0;l=k+56|0;m=+h[l>>3];n=+W(m);c[j>>2]=1;o=k+20|0;if((c[o>>2]|0)<=0){i=g;return}p=k+128|0;q=k+108|0;r=k+112|0;k=a;a=0;s=m;while(1){m=+h[e+(a<<3)>>3];t=s*m;u=d+(a<<3)|0;v=+h[u>>3];if(v<0.0){w=-0.0-v}else{w=v}if(t<0.0){x=-0.0-t}else{x=t}t=+bc(+(n*+bc(+w,+x)),+n);if(m<0.0){y=-0.0-t}else{y=t}t=y+v-v;m=1.0/t;h[u>>3]=v+t;aL(o,d,c[p>>2]|0,c[q>>2]|0,r,j,k,f)|0;z=c[o>>2]|0;if((z|0)>0){A=c[p>>2]|0;B=c[q>>2]|0;C=0;do{D=(ga(z,a)|0)+C|0;t=m*(+h[A+(C<<3)>>3]- +h[e+(C<<3)>>3]);h[b+(D<<3)>>3]=t;h[B+(D<<3)>>3]=t;C=C+1|0;}while((C|0)<(z|0))}h[u>>3]=v;C=a+1|0;if((C|0)>=(z|0)){break}a=C;s=+h[l>>3]}i=g;return}function fL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=L9(80)|0;c[b>>2]=e;iH(0,(e|0)!=0|0,7693320,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=L9(g)|0;c[e+8>>2]=L9(g)|0;c[e+12>>2]=a;c[e+16>>2]=L9(g)|0;c[e+20>>2]=N9(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=L9(ga(g,a)|0)|0;c[e+68>>2]=L9(g)|0;c[e+72>>2]=L9(a<<2)|0;iH(0,(c[b>>2]|0)!=0|0,7694856,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function gL(a){a=a|0;var b=0;b=c[a>>2]|0;M9(c[b+4>>2]|0);M9(c[b+8>>2]|0);M9(c[b+16>>2]|0);M9(c[b+20>>2]|0);M9(c[b+64>>2]|0);M9(c[b+68>>2]|0);M9(c[b+72>>2]|0);return 0}function hL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=c[a+468>>2]|0;f=c[e+(d*80|0)+28>>2]|0;g=c[(c[e+(d*80|0)+40>>2]|0)+12>>2]|0;oaa(b|0,0,ga(g<<3,g)|0)|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return 0}j=e+(d*80|0)+20|0;d=a;a=0;e=i;k=c[i+(f*44|0)>>2]|0;do{if((k|0)!=0){i=0;do{if(((c[(c[e+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[e+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<k>>>0)}ke[c[j>>2]&255](d)|0;e=c[g>>2]|0;k=c[e+(f*44|0)>>2]|0;if((k|0)!=0){i=c[e+(f*44|0)+20>>2]|0;l=c[e+(f*44|0)+28>>2]|0;m=0;do{n=l+(m<<3)|0;do{if(+h[n>>3]==1.0){if((m|0)==0){o=0;p=e+(f*44|0)+8|0}else{q=e+(f*44|0)+8|0;o=c[(c[q>>2]|0)+(m-1<<2)>>2]|0;p=q}q=c[(c[p>>2]|0)+(m<<2)>>2]|0;if(!(o>>>0<q>>>0)){break}r=c[e+(f*44|0)+12>>2]|0;s=c[e+(f*44|0)+4>>2]|0;t=c[e+(f*44|0)+36>>2]|0;u=o;do{v=c[r+(u<<2)>>2]|0;w=(ga(s,m)|0)+v|0;h[b+(w<<3)>>3]=+h[t+(v<<3)>>3];u=u+1|0;}while(u>>>0<q>>>0)}}while(0);if(((c[i+(m<<2)>>2]|0)-1|0)==(a|0)){h[n>>3]=0.0}m=m+1|0;}while(m>>>0<k>>>0)}a=a+1|0;}while(a>>>0<(c[e+(f*44|0)+24>>2]|0)>>>0);return 0}function iL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;l=c[b+468>>2]|0;m=c[l+(d*80|0)+40>>2]|0;n=c[l+(d*80|0)+4>>2]|0;o=m+40|0;c[o>>2]=0;p=m+16|0;q=l+(d*80|0)+52|0;r=m+12|0;naa(c[p>>2]|0,c[q>>2]|0,c[r>>2]<<3)|0;s=b+56|0;if((c[1928883]|0)==0){t=b+4|0}else{bZ(f,s,n);u=b+4|0;v=+h[c[c[u>>2]>>2]>>3];fH(17,1,7679440,(w=i,i=i+16|0,c[w>>2]=c[f+8>>2],h[w+8>>3]=v,w)|0);i=w;if((c[r>>2]|0)>0){f=l+(d*80|0)+44|0;x=l+(d*80|0)+16|0;y=l+(d*80|0)+48|0;z=0;do{v=+h[(c[f>>2]|0)+(z<<3)>>3];fH(17,1,7668552,(w=i,i=i+16|0,c[w>>2]=z,h[w+8>>3]=v,w)|0);i=w;v=+h[(c[y>>2]|0)+(z<<3)>>3];A=+h[(c[q>>2]|0)+(z<<3)>>3];fH(17,0,7657616,(w=i,i=i+24|0,h[w>>3]=+h[(c[x>>2]|0)+(z<<3)>>3],h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;he[c[3556]&511](17);z=z+1|0;}while((z|0)<(c[r>>2]|0))}he[c[3556]&511](17);t=u}u=b+318|0;z=m+20|0;x=m+24|0;q=m+56|0;y=m+44|0;f=m+64|0;B=m+68|0;C=m+72|0;D=m+48|0;E=b;b=m+4|0;F=m+32|0;m=l+(d*80|0)+48|0;G=l+(d*80|0)+16|0;H=0;I=0;a:while(1){a[u]=1;J=c[p>>2]|0;K=c[z>>2]|0;L=c[f>>2]|0;M=c[B>>2]|0;N=c[C>>2]|0;jL(r,J,K,(c[k>>2]=c[x>>2],c[k+4>>2]=c[x+4>>2],+h[k>>3]),q,c[y>>2]|0,o,L,M,N,D,E,d);a[u]=0;if((c[D>>2]|0)==0){bZ(g,s,n);FI(3,g,+h[c[c[t>>2]>>2]>>3])}O=+oJ(r,c[b>>2]|0);P=+oJ(r,c[z>>2]|0);A=+h[F>>3];if(!(P>A&O>A)){if((c[D>>2]|0)>0){Q=12;break}}do{if((I|0)<1){naa(c[p>>2]|0,c[m>>2]|0,c[r>>2]<<3)|0;N=c[o>>2]|0;fH(17,0,7630216,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}else{if((I|0)<2){N=c[r>>2]|0;if((N|0)>0){M=c[G>>2]|0;L=c[p>>2]|0;K=0;do{J=L+(K<<3)|0;h[J>>3]=+h[M+(K<<3)>>3]*.01+ +h[J>>3];K=K+1|0;}while((K|0)<(N|0))}N=c[o>>2]|0;fH(17,0,7624352,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N;break}if((I|0)>=3){Q=28;break a}N=c[r>>2]|0;if((N|0)>0){K=c[G>>2]|0;M=c[p>>2]|0;L=0;do{h[M+(L<<3)>>3]=+h[K+(L<<3)>>3];L=L+1|0;}while((L|0)<(N|0))}N=c[o>>2]|0;fH(17,0,77e5,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);i=w;R=N}}while(0);if(1){H=R+H|0;I=I+1|0}else{S=0;break}}do{if((Q|0)==12){if((c[1928883]|0)==0){S=1;break}R=(c[o>>2]|0)+H|0;fH(17,0,7649880,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;fH(17,0,7642384,(w=i,i=i+24|0,c[w>>2]=R,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[r>>2]|0)>0){T=0}else{S=1;break}while(1){A=+h[(c[p>>2]|0)+(T<<3)>>3];v=+h[(c[z>>2]|0)+(T<<3)>>3];fH(17,0,7636336,(w=i,i=i+24|0,c[w>>2]=T,h[w+8>>3]=A,h[w+16>>3]=v,w)|0);i=w;R=T+1|0;if((R|0)<(c[r>>2]|0)){T=R}else{S=1;break}}}else if((Q|0)==28){bZ(j,s,n);FI(0,j,+h[c[c[t>>2]>>2]>>3]);if((c[1928883]|0)==0){S=0;break}fH(17,0,7695216,(w=i,i=i+8|0,c[w>>2]=I,w)|0);i=w;fH(17,0,7642384,(w=i,i=i+24|0,c[w>>2]=H,h[w+8>>3]=P,h[w+16>>3]=O,w)|0);i=w;if((c[1928883]|0)==0){S=0;break}if((c[r>>2]|0)>0){U=0}else{S=0;break}while(1){v=+h[(c[p>>2]|0)+(U<<3)>>3];A=+h[(c[z>>2]|0)+(U<<3)>>3];fH(17,0,7636336,(w=i,i=i+24|0,c[w>>2]=U,h[w+8>>3]=v,h[w+16>>3]=A,w)|0);i=w;R=U+1|0;if((R|0)<(c[r>>2]|0)){U=R}else{S=0;break}}}}while(0);if((c[1928883]|0)==0){V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;naa(X|0,Z|0,$)|0;i=e;return S|0}he[c[3556]&511](17);V=l+(d*80|0)+44|0;W=c[V>>2]|0;X=W;Y=c[p>>2]|0;Z=Y;_=c[r>>2]|0;$=_<<3;naa(X|0,Z|0,$)|0;i=e;return S|0}function jL(b,d,e,f,g,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=+f;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0;r=i;i=i+4120|0;s=r|0;t=r+8|0;u=r+16|0;v=r+24|0;w=p;x=c[p+468>>2]|0;y=c[x+(q*80|0)+40>>2]|0;z=+h[y+32>>3];c[t>>2]=1;c[u>>2]=1;do{if((c[1928884]|0)!=0){fH(18,0,7691264,(A=i,i=i+8|0,c[A>>2]=j,A)|0);i=A;if((c[b>>2]|0)>0){B=0}else{break}do{C=+h[d+(B<<3)>>3];fH(18,0,7688696,(A=i,i=i+16|0,c[A>>2]=B,h[A+8>>3]=C,A)|0);i=A;B=B+1|0;}while((B|0)<(c[b>>2]|0))}}while(0);c[o>>2]=1;B=x+(q*80|0)+28|0;x=y+12|0;D=v|0;v=y+8|0;E=y+4|0;F=y+20|0;G=y+64|0;y=j;a:while(1){kL(d,e,s,p,q)|0;c[k>>2]=(c[k>>2]|0)+1;if((c[B>>2]|0)==-1){lL(b,d,e,l,+h[g>>3],s,m,p,q);c[k>>2]=(c[b>>2]|0)+(c[k>>2]|0)}else{hL(w,l,q)|0}if((c[1928885]|0)!=0){j=c[b>>2]|0;fH(19,1,7684392,(A=i,i=i+16|0,c[A>>2]=j,c[A+8>>2]=j,A)|0);i=A;if((c[x>>2]|0)>0){j=0;do{a[D]=0;if((c[x>>2]|0)>0){H=0;do{C=+h[l+((ga(c[b>>2]|0,j)|0)+H<<3)>>3];Ub(D|0,7683184,(A=i,i=i+16|0,c[A>>2]=D,h[A+8>>3]=C,A)|0)|0;i=A;H=H+1|0;}while((H|0)<(c[x>>2]|0))}fH(19,0,7682416,(A=i,i=i+8|0,c[A>>2]=D,A)|0);i=A;j=j+1|0;}while((j|0)<(c[x>>2]|0))}he[c[3556]&511](19)}j=c[x>>2]|0;if((j|0)>0){H=c[E>>2]|0;I=c[F>>2]|0;J=c[v>>2]|0;K=0;L=0;while(1){M=H+(K<<3)|0;h[M>>3]=1.0e-16;N=c[G>>2]|0;O=(j|0)>1?j:1;P=0;Q=L;C=1.0e-16;while(1){R=+V(+(+h[N+(Q<<3)>>3]));S=R>C?R:C;h[M>>3]=S;T=P+1|0;if((T|0)<(j|0)){P=T;Q=Q+1|0;C=S}else{break}}h[J+(K<<3)>>3]=+h[I+(K<<3)>>3]*(1.0/S);Q=K+1|0;if((Q|0)<(j|0)){K=Q;L=L+O|0}else{U=J;break}}}else{U=c[v>>2]|0}C=+oJ(b,U);if(!(C>z&+oJ(b,e)>z)){W=31;break}UB(b,t,l,b,n,e,b,u)|0;J=c[u>>2]|0;do{if((J|0)>0){c[o>>2]=-1;hH(17,0,7677472,(A=i,i=i+1|0,i=i+7&-8,c[A>>2]=0,A)|0);i=A}else{if((J|0)<0){c[o>>2]=-1;hH(17,0,7676048,(A=i,i=i+8|0,c[A>>2]=J,A)|0);i=A;break}L=c[b>>2]|0;if((L|0)>0){K=0;do{j=d+(K<<3)|0;h[j>>3]=+h[j>>3]- +h[e+(K<<3)>>3];K=K+1|0;}while((K|0)<(L|0))}if(!(+oJ(b,e)>f)){W=31;break a}}}while(0);J=y-1|0;if((J|0)<0){W=30;break}if((c[o>>2]|0)>-1){y=J}else{W=31;break}}if((W|0)==30){c[o>>2]=-1;i=r;return}else if((W|0)==31){i=r;return}}function kL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;Ce[c[(c[e+468>>2]|0)+(f*80|0)+32>>2]&63](e,a,b,d);return 0}function lL(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0;l=+W(f);if((c[a>>2]|0)<=0){return}m=(c[(c[j+468>>2]|0)+(k*80|0)+56>>2]|0)==0;n=0;do{f=+h[b+(n<<3)>>3];if(m){if(f<0.0){o=-0.0-f}else{o=f}p=l*+bc(+1.0,+o);if(+h[d+(n<<3)>>3]<0.0){q=-0.0-p}else{q=p}r=q+f-f}else{r=1.0}s=b+(n<<3)|0;h[s>>3]=r+f;p=1.0/r;kL(b,i,g,j,k)|0;t=c[a>>2]|0;if((t|0)>0){u=0;do{v=(ga(t,n)|0)+u|0;h[e+(v<<3)>>3]=p*(+h[i+(u<<3)>>3]- +h[d+(u<<3)>>3]);u=u+1|0;}while((u|0)<(t|0))}h[s>>3]=f;n=n+1|0;}while((n|0)<(t|0));return}function mL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==4){qe[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];e=0;return e|0}else if((d|0)==1){f=c[a+4>>2]|0;g=c[f+4>>2]|0;oL(c[f>>2]|0,+h[g>>3],c[g+8>>2]|0,c[a+112>>2]|0,b);e=0;return e|0}else if((d|0)==3){e=GJ(a,b)|0;return e|0}else if((d|0)==2){nL(a,b);e=0;return e|0}else{e=1;return e|0}return 0}function nL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8088+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8088+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];ke[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function oL(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function pL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=rH(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==4){g=c[1931242]|0;j=L9(g<<2)|0;c[1928850]=j;if((g|0)<=0){k=0;break}l=c[b+116>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=N9(l,8)|0;j=m+1|0;if((j|0)>=(g|0)){k=0;break a}m=j;n=c[1928850]|0}}else if((f|0)==3){n=L9(88)|0;fH(23,0,7692640,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;m=EJ(b,d,n)|0;c[d+48>>2]=n;k=m}else if((f|0)==2){m=L9(8)|0;c[m+4>>2]=4;n=L9(20)|0;g=m;c[g>>2]=n;l=c[b+112>>2]|0;j=0;o=n;while(1){c[o+(j<<2)>>2]=N9(l,8)|0;n=j+1|0;if((n|0)>=5){break}j=n;o=c[g>>2]|0}c[d+48>>2]=m;k=0}else{k=0}}while(0);CL(b)|0;if((c[1931172]|0)==0){i=e;return k|0}BI(6);yI(1);i=e;return k|0}function qL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==4){e=c[1931242]|0;f=c[1928850]|0;if((e|0)>0){g=0;h=f;while(1){M9(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[1928850]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}M9(k)}else if((d|0)==3){FJ(c[b+48>>2]|0)|0}else if((d|0)==2){d=b+48|0;b=c[d>>2]|0;k=c[b>>2]|0;if(((c[b+4>>2]|0)+1|0)>0){b=0;f=k;while(1){M9(c[f+(b<<2)>>2]|0);h=b+1|0;g=c[d>>2]|0;e=c[g>>2]|0;if((h|0)<((c[g+4>>2]|0)+1|0)){b=h;f=e}else{l=e;break}}}else{l=k}M9(l);M9(c[d>>2]|0)}DL(a)|0;xL(a);return 0}function rL(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(62,a|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(82,a|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=paa(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Da(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(16,1,0,7694712,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(34,2,0,7679312,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(34,23,0,7668336,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[1931172]|0)==0){k=8;break}else{k=7;break};case 7:pa(314,1);if((x|0)!=0&(y|0)!=0){l=qaa(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function sL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}fH(8,0,7657416,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;cK(b);if((c[1929070]|0)==0){ie[c[2005]&255](8e3,b)}a[k]=0}}while(0);WX(7649792,1.0);if((e|0)!=0){tL(Wc(e|0)|0,b)}if((c[1928891]|0)==0){i=f;return 0}BI(0);fH(25,0,7642312,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;fH(25,1,7636232,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+tI(6);l=+tI(6);m=l/+tI(0)*100.0;fH(25,0,7630128,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+tI(1);g=+tI(1);l=g/+tI(0)*100.0;fH(25,0,7624264,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+tI(2);m=+tI(2);g=m/+tI(0)*100.0;fH(25,0,7699936,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+tI(3);l=+tI(3);m=l/+tI(0)*100.0;fH(25,0,7695168,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+tI(4);g=+tI(4);l=g/+tI(0)*100.0;fH(25,0,7691232,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+tI(7);m=+tI(7);g=m/+tI(0)*100.0;fH(25,0,7688664,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+tI(0);l=g- +tI(7);g=l- +tI(4);l=g- +tI(3);g=l- +tI(2);l=g- +tI(1);g=l- +tI(6);l=+tI(0);m=l- +tI(7);l=m- +tI(4);m=l- +tI(3);l=m- +tI(2);m=l- +tI(1);l=m- +tI(6);m=l/+tI(0)*100.0;if(e){fH(25,0,7685720,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{fH(25,0,7686936,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+tI(0);g=+tI(0);l=g/+tI(0)*100.0;fH(25,0,7684368,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;he[c[3556]&511](25);fH(25,1,7683176,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;fH(25,0,7682392,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;fH(25,0,7681592,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;he[c[3556]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);fH(25,1,7680600,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;fH(25,0,7679584,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;fH(25,0,7678376,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;fH(25,0,7677440,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;fH(25,0,7676024,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;fH(25,0,7675048,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;he[c[3556]&511](25)}else if((e|0)!=5){fH(25,1,7673872,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;fH(25,0,7672760,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;he[c[3556]&511](25)}fH(25,0,7671816,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;yI(0);i=f;return 0}function tL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Xa(b|0,7662256)|0;b=c[r>>2]|0;g=d+4|0;Bd(b|0,7661096,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((jaa(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];Bd(b|0,7660016,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((jaa(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;Bd(b|0,7659248,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((jaa(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;Bd(b|0,7658504,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((jaa(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;Bd(b|0,7657704,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((jaa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){Bd(b|0,7660016,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{Bd(b|0,7660016,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((jaa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){Bd(b|0,7659248,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{Bd(b|0,7659248,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((jaa(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){Bd(b|0,7658504,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{Bd(b|0,7658504,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((jaa(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;Bd(b|0,7657704,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((jaa(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];Bd(b|0,7660016,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((jaa(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;Bd(b|0,7659248,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((jaa(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;Bd(b|0,7658504,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((jaa(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;Bd(b|0,7657704,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Xa(0,7662256)|0;}while((d|0)!=0);k=Wa(10,b|0)|0;l=Ta(b|0)|0;i=e;return}function uL(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 8:case 7:case 6:case 9:case 10:case 11:{hH(1,0,7670952,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 5:{hH(1,0,7669472,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 4:{r=c[1934688]|0;if((r|0)!=0){if((jaa(r,7668624)|0)==0){break a}}fH(23,0,7666856,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 18:{r=c[1934688]|0;do{if((r|0)!=0){if((jaa(r,7665576)|0)!=0){break}c[o>>2]=4;break a}}while(0);fH(23,0,7664216,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;q=1;i=m;return q|0};case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};default:{}}}while(0);k=pL(b,n)|0;xe[c[2191]&15]()|0;if((a[b+440|0]|0)!=0){EL(b)|0;ke[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){r=rL(b,d,e,f,g,j)|0;xe[c[2191]&15]()|0;if((r|0)!=0){s=r;break}if((c[o>>2]|0)!=5){ie[c[2005]&255](8e3,b);mK(b)}t=+h[b+248>>3];fH(23,0,7663416,(p=i,i=i+16|0,h[p>>3]=+h[b+240>>3],h[p+8>>3]=t,p)|0);i=p;r=ue[c[c[b+540>>2]>>2]&127](b,n)|0;xe[c[2191]&15]()|0;sL(b,n,l)|0;xe[c[2191]&15]()|0;s=r}else{xe[c[2191]&15]()|0;s=k}}while(0);qL(b,n)|0;q=s;i=m;return q|0}function vL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((ke[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){jH(c[a+536>>2]|0,7691328,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){wL(a);i=b;return}}function wL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;oaa(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function xL(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;M9(c[e+(a*48|0)+28>>2]|0);M9(c[e+(a*48|0)+32>>2]|0);M9(c[e+(a*48|0)+16>>2]|0);M9(c[e+(a*48|0)+20>>2]|0);M9(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function yL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=L9(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=L9(c[s>>2]<<2)|0;zL(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;naa(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;naa(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((DJ(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=AL(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){naa(c[u>>2]|0,r|0,c[q>>2]<<2)|0;naa(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;M9(r);M9(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;hH(5,1,7694440,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Ub(j|0,7679280,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}hH(5,0,7668248,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3556]|0;he[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];jH(F,7657208,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{hH(5,0,7668248,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3556]|0;he[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];jH(F,7657208,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function zL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;oaa(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}ke[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function AL(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=N9(d,4)|0;p=o;q=N9(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){M9(o);M9(q);i=n;return v|0}if((m|0)==0){v=-1;M9(o);M9(q);i=n;return v|0}fH(5,1,7649712,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;BL(r,d,f,c[g>>2]|0,j,k,l);if((c[1928871]|0)==0){v=-1;M9(o);M9(q);i=n;return v|0}he[c[3556]&511](5);v=-1;M9(o);M9(q);i=n;return v|0}function BL(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;oaa(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;fH(5,0,7642168,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function CL(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=Hc(7690600,7694336)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Eb(e|0)|0;if((f|0)==10){break}else if((f|0)==(-1|0)){break a}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;Nd(e|0);do{}while((Eb(e|0)|0)!=10);j=c[b+152>>2]|0;k=N9(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=N9(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=N9(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=hd(e|0,7679264,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=hd(e|0,7679264,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=N9(l,8)|0;q=n}}while(0);Fc(7668224,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;Fc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{Fc(7649688,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];Fc(7642152,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Nc(7912)|0;Pa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function DL(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}M9(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){M9(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}M9(j);return 0}function EL(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function FL(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+GL(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[1928875]|0)==0){e=1;i=b;return e|0}fH(9,1,7690112,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){fH(9,0,7694296,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}he[c[3556]&511](9);e=1;i=b;return e|0}function GL(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;VL(b);f=e+540|0;ke[c[(c[f>>2]|0)+84>>2]&255](e)|0;ke[c[(c[f>>2]|0)+36>>2]&255](e)|0;ke[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;ue[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function HL(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+GL(b,1.0);if((c[1928875]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}fH(9,1,7679240,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){fH(9,0,7657184,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{fH(9,0,7668184,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}fH(9,1,7649664,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){fH(9,0,7636160,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];fH(9,0,7642096,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){fH(9,0,7624160,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];fH(9,0,7630040,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){fH(9,0,7694952,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];fH(9,0,7699832,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}he[c[3556]&511](9);fH(9,1,7691088,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=ke[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){fH(9,0,7636160,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];fH(9,0,7642096,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}he[c[3556]&511](9);he[c[3556]&511](9);i=d;return}function IL(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[1928875]|0)!=0){nK(b,9)}if((c[1928890]|0)==0){i=d;return}fH(24,1,7688576,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){fH(24,1,7686872,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];fH(24,0,7685600,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}he[c[3556]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}fH(24,1,7684272,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];fH(24,0,7683136,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}he[c[3556]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){fH(24,1,7682360,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];fH(24,0,7685600,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}he[c[3556]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){fH(24,1,7681560,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;fH(24,0,7680544,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}he[c[3556]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){fH(24,1,7679552,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?7677424:7676008;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?7677424:7676008;l=(a[(c[o>>2]|0)+j|0]|0)!=0?7677424:7676008;fH(24,0,7678320,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}he[c[3556]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){fH(24,1,7675016,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;fH(24,0,7673816,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}he[c[3556]&511](24)}he[c[3556]&511](24);i=d;return}function JL(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;fH(9,0,7672720,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){kK(b);lK(b);o=6}else{if((a[f]|0)!=0){KL(b,f,g)}kK(b);lK(b);if((a[f]|0)==0){o=6}}if((o|0)==6){ke[c[(c[l>>2]|0)+84>>2]&255](b)|0;ke[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(jaa(d,7631016)|0)==0|0;f=(jaa(d,7630616)|0)==0;q=(jaa(d,7630272)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}hH(1,0,7670920,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;hH(1,0,7669448,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;hH(1,0,7668608,(n=i,i=i+16|0,c[n>>2]=7631016,c[n+8>>2]=7632584,n)|0);i=n;hH(1,0,7668608,(n=i,i=i+16|0,c[n>>2]=7630616,c[n+8>>2]=7632040,n)|0);i=n;hH(1,0,7668608,(n=i,i=i+16|0,c[n>>2]=7630272,c[n+8>>2]=7631352,n)|0);i=n;jH(c[b+536>>2]|0,7666832,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(jaa(e,c[7710184+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}hH(1,0,7665544,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;hH(1,0,7669448,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[7710248+(d<<2)>>2]|0;hH(1,0,7668608,(n=i,i=i+16|0,c[n>>2]=c[7710184+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);jH(c[b+536>>2]|0,7666832,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[7714696+(p<<2)>>2]|0;fH(9,0,7664176,(n=i,i=i+16|0,c[n>>2]=c[7714680+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[7710248+(s<<2)>>2]|0;fH(9,0,7663376,(n=i,i=i+16|0,c[n>>2]=c[7710184+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=LL(b,s,j)|0;break}if((p|0)==3){ML(b,j);v=0;break}else{jH(c[b+536>>2]|0,7662232,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((XK(b,1)|0)==0){if((NK(b,1)|0)!=0){w=-3;break}j=(CK(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);IL(b);fH(9,0,7661064,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;VJ(b,+h[b+240>>3],+h[b+248>>3]);hK(b);mK(b);cK(b);ke[c[(c[l>>2]|0)+52>>2]&255](b)|0;ue[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;iK(b);i=k;return w|0}function KL(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;fH(9,0,7629488,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=UH(d,g)|0;if((l|0)!=0){jH(c[b+536>>2]|0,7628624,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}fH(9,0,7628152,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=VH(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=PL(c[o+(m*112|0)+4>>2]|0)|0;q=VH(g,p)|0;M9(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((kaa(q,7627176,6)|0)==0){if((c[1928875]|0)==0){break}}else{p=kaa(q,7626680,6)|0;if((c[1928875]|p|0)==0){break}}hH(9,0,7625936,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;$H(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];fH(9,0,7627656,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}fH(9,0,7625512,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=VH(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=PL(c[o+(r*112|0)+4>>2]|0)|0;q=VH(g,n)|0;M9(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}hH(9,0,7625008,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;$H(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];fH(9,0,7627656,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}fH(9,0,7624416,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=VH(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=PL(c[v+(l*112|0)+4>>2]|0)|0;o=VH(g,w)|0;M9(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}hH(9,0,7625008,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;$H(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];fH(9,0,7627656,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}fH(9,0,7623048,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=VH(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=PL(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=VH(g,y)|0;M9(y);if((v|0)!=0){z=v;t=31;break}hH(9,0,7622224,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;$H(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;fH(9,0,7622720,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}fH(9,0,7621776,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){SH(g);i=f;return}r=b+32|0;b=0;do{l=VH(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=PL(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=VH(g,z)|0;M9(z);if((x|0)!=0){A=x;t=38;break}hH(9,0,5757616,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;$H(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?7677424:7676008;fH(9,0,7621480,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));SH(g);i=f;return}function LL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;UJ(a,+h[a+240>>3]);hK(a);mK(a);cK(a);oK(a);wL(a);dK(a);hK(a);d=NL(a,b,c)|0;mK(a);cK(a);iK(a);mK(a);return d|0}function ML(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;UJ(b,+h[b+240>>3]);hK(b);mK(b);yL(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=N9(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=N9(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=N9(c[r>>2]|0,1)|0;t=b+132|0;u=N9(c[t>>2]|0,4)|0;v=u;w=b+536|0;iH(c[w>>2]|0,(m|0)!=0|0,766e4,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;iH(c[w>>2]|0,(p|0)!=0|0,766e4,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;iH(c[w>>2]|0,(s|0)!=0|0,766e4,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;iH(c[w>>2]|0,(u|0)!=0|0,766e4,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[1928875]|0)==0){A=0}else{w=f|0;Ub(w|0,7659232,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=Hc(w|0,7658496)|0;Bd(f|0,7657696,(x=i,i=i+8|0,c[x>>2]=7656256,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{Bd(f|0,7657696,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Wa(10,f|0)|0;A=f}fH(9,1,7654616,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;ke[c[(c[g>>2]|0)+80>>2]&255](b)|0;fH(9,0,7653920,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[1928875]|0)!=0){Bd(A|0,7653264,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{Bd(A|0,7653264,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Wa(10,A|0)|0}if((XK(b,0)|0)!=0){break a}if((NK(b,0)|0)!=0){break a}if((CK(b,0)|0)!=0){break a}pK(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);he[c[3556]&511](9);if((c[1928875]|0)!=0){Pa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}M9(m);M9(p);M9(s);M9(u)}else{h[b+304>>3]=1.0;ke[c[j+80>>2]&255](b)|0}eK(b);if((yL(b,1,1)|0)!=1){i=e;return}ke[c[(c[g>>2]|0)+80>>2]&255](b)|0;eK(b);if((yL(b,1,1)|0)!=1){i=e;return}hH(1,0,7652280,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function NL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=QL(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){fH(9,0,7651664,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){ue[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}M9(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){fH(9,0,7651144,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ue[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;M9(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){fH(9,1,7650680,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=L9(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+GL(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+GL(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}fH(9,1,7649952,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];fH(9,0,7648600,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];fH(9,0,7648600,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];fH(9,0,7648600,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[1928875]|0)!=0){he[c[3556]&511](9);he[c[3556]&511](9)}M9(p);RL(g);v=QL(b)|0;if((c[v>>2]|0)!=0){R=v;break}fH(9,0,7648048,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;M9(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}fH(9,0,7647424,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){fH(9,0,7646952,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;OL(R,d,1,e);HL(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+GL(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){M9(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){M9(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){M9(Q);c[g>>2]=0}OL(R,d,0,e);HL(b,R);+GL(R,1.0)}else{fH(9,0,7646456,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}fH(9,1,7645824,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;HL(b,R);b=FL(R)|0;if((c[1928875]|0)!=0){he[c[3556]&511](9)}RL(R);m=b;i=f;return m|0}function OL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=L9(c[k>>2]<<3)|0;m=l;n=+GL(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;TL(a,m);M9(l);u=t-1|0;fH(9,0,7641208,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){fH(9,0,7645392,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){SL(a)}switch(b|0){case 1:{w=_L(a)|0;break};case 2:{w=YL(a)|0;break};case 3:{w=aM(a,g,e)|0;break};case 4:{w=XL(a)|0;break};case 5:{w=XL(a)|0;break};case 6:{w=WL(j,a,0)|0;break};default:{x=15;break a}}mK(j);cK(j);iK(j);mK(j);n=+GL(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}fH(9,0,7644360,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;HL(j,a);A=n}else{fH(9,0,7642568,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){jH(c[j+536>>2]|0,7644920,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){TL(a,m);M9(l);u=t-1|0;fH(9,0,7641208,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function PL(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=laa(b|0)|0;do{if((c|0)==0){d=0;e=L9(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==91){j=f+1|0}else if((i<<24>>24|0)==93){j=f-1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=L9(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==93){o=l-1|0}else if((g<<24>>24|0)==91){o=l+1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((iaa(e,32712,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;naa(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((iaa(e,32712,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function QL(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=L9(64)|0;f=e;iH(0,(e|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;oaa(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=N9(I,8)|0;c[p>>2]=j;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=N9(I,8)|0;c[q>>2]=j;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=N9(I,8)|0;c[r>>2]=j;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=N9(I,8)|0;c[s>>2]=j;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=N9(I,8)|0;c[t>>2]=j;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=N9(I,4)|0;z=j;c[u>>2]=z;iH(0,(j|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;fH(9,0,7693968,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;fH(9,0,7679104,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];fH(9,0,7668072,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];fH(9,0,7657080,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];fH(9,0,7649608,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;fH(9,0,7642024,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;fH(9,0,7636120,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=N9(ca,8)|0;c[v>>2]=ha;iH(0,(ha|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=L9(ca<<3)|0;v=ha;c[w>>2]=v;iH(0,(ha|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=L9(ia<<3)|0;w=ha;c[x>>2]=w;iH(0,(ha|0)!=0|0,7688120,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function RL(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){M9(b)}b=c[a+28>>2]|0;if((b|0)!=0){M9(b)}b=c[a+32>>2]|0;if((b|0)!=0){M9(b)}b=c[a+36>>2]|0;if((b|0)!=0){M9(b)}b=c[a+40>>2]|0;if((b|0)!=0){M9(b)}b=c[a+44>>2]|0;if((b|0)!=0){M9(b)}b=c[a+48>>2]|0;if((b|0)!=0){M9(b)}b=c[a+52>>2]|0;if((b|0)!=0){M9(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;M9(d);return}M9(b);d=a;M9(d);return}function SL(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=N9(n,8)|0;p=o;q=N9(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=N9(t,8)|0;v=u;w=N9(t,8)|0;x=w;y=N9(n,8)|0;z=y;A=N9(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+GL(b,1.0);t=c[m>>2]|0;if((t|0)>0){naa(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+GL(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){naa(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;fH(9,0,7629968,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}M9(o);M9(q);M9(u);M9(w);M9(y);M9(A);i=d;return}function TL(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function UL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function VL(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function WL(a,b,d){a=a|0;b=b|0;d=d|0;jH(c[a+536>>2]|0,7687688,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function XL(a){a=a|0;jH(0,7687640,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function YL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[1928875]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=N9((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;iH(0,(n|0)!=0|0,7687624,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[1931260]=c[a+60>>2];c[1931256]=c[a+48>>2];uJ(k,j,c[a+24>>2]|0,g,f,d,e,n,4);M9(n);c[1931260]=0;c[1931256]=0;n=FL(a)|0;i=b;return n|0}function ZL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;oaa(f+28|0,0,20)|0;c[f+48>>2]=c[1931256];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[1931260];h[d>>3]=+GL(f,1.0);i=e;return}function _L(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=L9(o)|0;q=p;r=L9(o)|0;o=r;iH(0,(p|0)!=0|0,7687568,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;iH(0,(r|0)!=0|0,7687568,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[1928875]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+GL(a,1.0);h[d>>3]=v;if(v!=0.0){c[1931258]=c[a+60>>2];c[1931254]=c[a+48>>2];rJ(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[1931258]=0;c[1931254]=0}else{fH(9,0,7693776,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+GL(a,1.0);h[d>>3]=v;fH(9,0,7679088,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==2){hH(9,0,7657016,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}else if((o|0)==3){hH(9,0,7649528,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}hH(9,0,7667992,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==4){hH(9,0,7641952,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}}while(0);x=FL(a)|0;i=b;return x|0}function $L(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;oaa(f+28|0,0,20)|0;c[f+48>>2]=c[1931254];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[1931258];h[d>>3]=+GL(f,1.0);i=e;return}function aM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;fH(9,1,7687360,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[1928875]|0)==0){k=0}else{k=(g|0)/10|0}bM(a,d,g,k,b,f);fH(9,0,7693728,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;he[c[3556]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=FL(a)|0;if((b|0)==0){l=0;i=e;return l|0}hH(9,0,7679040,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}



function PI(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==(-1|0)){uZ(7737688,7637384,80,49);OI(7737688,29680,29880,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7683480,80,47);OI(7737688,29696,29872,7738152,29968,n,7738152,7738152,29344,29344,80)|0;uZ(7737688,7673112,80,41);OI(7737688,29736,29864,29968,7738152,7738152,7738152,7738152,29344,29344,80)|0;i=y;return 0}else if((A|0)==0){B=2;while(1){c[1934466]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){uZ(7737688,7675312,80,25);OI(7737688,29840,29856,7738152,29968,d,7738152,7738152,29344,29344,80)|0;break}c[1934420]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[1934420]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}uZ(7737688,7674304,80,34);OI(7737688,29792,29808,7738152,29968,7737680,7738152,7738152,29344,29344,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[1934456]=F;c[1934454]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){uZ(7737688,7658768,80,52);OI(7737688,29664,29952,7738152,29968,G,7738152,7738152,29344,29344,80)|0;break a}c[1934456]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[1934454]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[1934456]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[1934454]=E+(c[1934456]|0);break b}}}while(0);uZ(7737688,7659504,80,52);OI(7737688,29664,29960,7738152,29968,q,7738152,7738152,29344,29344,80)|0;break a}}while(0);c[1934458]=(c[d>>2]|0)+20;c[q+64>>2]=c[1934456];if((c[p>>2]|0)<(c[1934454]|0)){uZ(7737688,7673232,80,60);OI(7737688,29632,29728,7738152,29856,7737816,p,7738152,29344,29344,80)|0;break}if((c[r>>2]|0)<(c[1934458]|0)){uZ(7737688,7672096,80,60);OI(7737688,29632,29672,7738152,29856,7737832,r,7738152,29344,29344,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){uZ(7737688,7656600,80,24);OI(7737688,29848,29816,29968,29968,w,7738152,7738152,29344,29344,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2571]=J;if(J>0.0){break}uZ(7737688,7666112,80,28);OI(7737688,29832,30056,7738152,7738152,7738152,7738152,29968,20568,29344,80)|0;break a}}while(0);c[q+60>>2]=0;oaa(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[20544]=0;J=+h[l>>3];h[2566]=J;K=+h[m>>3];h[2574]=K;A=c[d>>2]|0;c[1934466]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2566]=N;O=+h[m+(B<<3)>>3];h[2574]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[20544]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[1934466]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[1934452]=p;r=p+(c[w>>2]|0)|0;c[1934450]=r;p=r+(c[w>>2]|0)|0;c[1934448]=p;B=p+(c[w>>2]|0)|0;c[1934460]=B;F=B+(c[d>>2]|0)|0;c[1934442]=F;E=F+(c[d>>2]|0)|0;c[1934446]=E;c[1934444]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[1934418]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2563]=+h[F>>3];a[20584]=0;h[2565]=+h[o+24>>3];I=o+16|0;h[2572]=+h[I>>3];do{if((c[w>>2]|0)!=0){QI(29856,v,w,d,20520,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,7737856,F,0,o,q,s,t)|0;if((c[1931244]|0)>0){i=y;return 0}if((c[1934464]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lJ(d,o+((c[1934460]|0)-1<<3)|0,29968,g,29968)|0;a[20584]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2572];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2572]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2572];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2564]=N;T=+h[2565];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[1934446]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){VI(20520,j,f,g,d,H,W,X)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[20584]=1;C=195;break d}}else{VI(20520,20520,f,g,d,H,W,X)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[2565];c[n>>2]=1;a[20584]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[20584]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2563]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2572]=V;h[I>>3]=V;break}VI(20520,20512,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2564];a[20584]=1;C=195;break d}}else{V=+h[2565];if(!F){if(O*(V-M)<0.0){break}VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[20584]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[1934446]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){VI(20520,j,f,g,d,G,X,W)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[20584]=1;C=195;break d}}else{VI(20520,20520,f,g,d,G,X,W)|0;if((c[1931244]|0)>0){i=y;return 0}else{h[e>>3]=+h[2565];c[n>>2]=1;a[20584]=1;C=195;break d}}}}while(0);if(a[20584]|0){C=195}else{C=126}}else{h[2565]=+h[e>>3];c[n>>2]=1;SI(d,k+4|0,l,m,f,o+((c[1934442]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[1934442]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[1934466]=W;uZ(7737688,7662496,80,39);OI(7737688,29752,30016,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break c}c[1934466]=W;M=+ZI(7661200,1);h[2563]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2563]*4.0*($>=aa?$:aa);h[2570]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){uZ(7737688,7661304,80,60);OI(7737688,29632,29984,7738152,7738152,7738152,7738152,29856,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2569]=ba*.001;M=+TI(d,g,o+((c[1934442]|0)-1<<3)|0,s,t);if(M>.5/+h[2569]){h[2569]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+rZ(20552,z);h[2569]=M;ca=M}else{M=+h[o+16>>3];h[2569]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}uZ(7737688,7663592,80,29);OI(7737688,29824,30024,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2569]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2564]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2569]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{UI(20520,f,g,d,b,u,20552,o+((c[1934442]|0)-1<<3)|0,n,s,t,o+((c[1934446]|0)-1<<3)|0,o+400|0,o+((c[1934460]|0)-1<<3)|0,o+((c[1934444]|0)-1<<3)|0,q,20560,I,k+36|0,7737672)|0;if((c[1931244]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2569]}h[2572]=ia;h[o+16>>3]=ia;F=c[1934446]|0;X=(c[d>>2]|0)+F|0;c[1934462]=X;G=c[d>>2]|0;c[1934466]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2572]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[1934466]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2572];h[o+232>>3]=+h[2572]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}QI(29968,v,w,d,e,j,f,o+((c[1934460]|0)-1<<3)|0,o+((c[1934446]|0)-1<<3)|0,F,ka,o+((c[1934452]|0)-1<<3)|0,o+((c[1934450]|0)-1<<3)|0,o+((c[1934448]|0)-1<<3)|0,x,7737856,I,0,o,q,s,t)|0;if((c[1931244]|0)>0){i=y;return 0}if((c[1934464]|0)!=0){uZ(7737688,7655704,80,47);OI(7737688,29696,29800,29968,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7654888,80,38);OI(7737688,29768,29800,29968,7738152,7738152,7738152,7738152,29344,29344,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}QI(29808,v,w,d,20520,j,f,o+((c[1934460]|0)-1<<3)|0,o+((c[1934446]|0)-1<<3)|0,F,ka,o+((c[1934452]|0)-1<<3)|0,o+((c[1934450]|0)-1<<3)|0,o+((c[1934448]|0)-1<<3)|0,x,7737856,I,0,o,q,s,t)|0;if((c[1931244]|0)>0){i=y;return 0}if((c[1934464]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];lJ(d,o+((c[1934460]|0)-1<<3)|0,29968,g,29968)|0;C=195}}while(0);if((C|0)==216){uZ(7737688,7667408,80,54);OI(7737688,29656,29392,7738152,7738152,7738152,7738152,29856,20512,j,80)|0;break c}else if((C|0)==218){uZ(7737688,7664544,80,34);OI(7737688,29792,30048,7738152,7738152,7738152,7738152,29856,j,e,80)|0;break c}else if((C|0)==222){uZ(7737688,7660496,80,49);OI(7737688,29680,29976,7738152,7738152,7738152,7738152,29856,20512,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;SI(d,ma,l,m,o+((c[1934446]|0)-1<<3)|0,o+((c[1934442]|0)-1<<3)|0,s,t)|0;if((c[1931244]|0)>0){C=231;break}p=c[d>>2]|0;r=c[1934442]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[1934466]=na;O=+TI(d,o+((c[1934446]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2563];oa=O*L;h[2567]=oa;if(oa>1.0){C=136;break}O=+h[2565];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2570]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2572];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2572]=L/O}}while(0);WI(20520,f,g,d,b,u,20576,o+((c[1934442]|0)-1<<3)|0,k,n,s,t,o+((c[1934446]|0)-1<<3)|0,o+400|0,o+((c[1934460]|0)-1<<3)|0,o+((c[1934444]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,20560,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,7737672)|0;if((c[1931244]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){QI(29808,v,w,d,20520,j,f,o+((c[1934460]|0)-1<<3)|0,o+((c[1934446]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[1934452]|0)-1<<3)|0,o+((c[1934450]|0)-1<<3)|0,o+((c[1934448]|0)-1<<3)|0,x,7737856,o+64|0,0,o,q,s,t)|0;if((c[1931244]|0)>0){C=231;break e}if((c[1934464]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lJ(d,o+((c[1934460]|0)-1<<3)|0,29968,g,29968)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2565];L=+h[2572];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2564];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2563]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}VI(20520,20512,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2564];C=195;continue}if(!(M<0.0)){VI(20520,j,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2564];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2563]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2572]=M-O;C=126;continue}else{VI(20520,20512,f,g,d,q+28|0,o+((c[1934446]|0)-1<<3)|0,o+224|0)|0;if((c[1931244]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2564];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2565];h[o+16>>3]=+h[2572];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[1934466]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2567]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[1934466]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2567]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2567]}c[1934466]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[1934462]=I;switch(I|0){case 11:{uZ(7737688,7680056,80,40);OI(7737688,29744,29456,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7678720,80,36);OI(7737688,29784,29448,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 12:{uZ(7737688,7692592,80,44);OI(7737688,29720,29440,7738152,7738152,7738152,7738152,29856,20520,20552,80)|0;uZ(7737688,7677768,80,45);OI(7737688,29712,29432,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 2:{uZ(7737688,7638512,80,47);OI(7737688,29696,29600,7738152,7738152,7738152,7738152,29968,20520,29344,80)|0;uZ(7737688,7632096,80,48);OI(7737688,29688,29592,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7626688,80,45);OI(7737688,29712,29584,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 3:{uZ(7737688,5757672,80,38);OI(7737688,29768,29576,7738152,7738152,7738152,7738152,29968,20520,29344,80)|0;uZ(7737688,7697040,80,28);OI(7737688,29832,29568,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 6:{uZ(7737688,7692592,80,44);OI(7737688,29720,29560,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7689360,80,57);OI(7737688,29640,29552,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 7:{uZ(7737688,7692592,80,44);OI(7737688,29720,29544,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7687384,80,48);OI(7737688,29688,29536,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7686168,80,28);OI(7737688,29832,29528,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 8:{uZ(7737688,7692592,80,44);OI(7737688,29720,29520,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7684776,80,37);OI(7737688,29776,29512,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 9:{uZ(7737688,7692592,80,44);OI(7737688,29720,29504,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7683600,80,49);OI(7737688,29680,29496,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7682664,80,38);OI(7737688,29768,29488,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 10:{uZ(7737688,7692592,80,44);OI(7737688,29720,29480,7738152,7738152,7738152,7738152,29856,20520,20576,80)|0;uZ(7737688,7681792,80,45);OI(7737688,29712,29472,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7680960,80,36);OI(7737688,29784,29464,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break};case 4:case 5:{break};default:{uZ(7737688,7652456,80,38);OI(7737688,29768,29624,7738152,7738152,7738152,7738152,29968,20520,29344,80)|0;uZ(7737688,7645984,80,48);OI(7737688,29688,29616,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2565];h[o+24>>3]=+h[2565];h[o+16>>3]=+h[2572];i=y;return 0}else if((C|0)==213){uZ(7737688,7671232,80,39);OI(7737688,29752,29608,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break c}else if((C|0)==214){uZ(7737688,7669744,80,39);OI(7737688,29752,29424,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;break c}}}while(0);uZ(7737688,7668888,80,47);OI(7737688,29696,29400,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0}else if((C|0)==208){uZ(7737688,7676376,80,55);OI(7737688,29648,29968,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0}}while(0);if((C|0)==225){uZ(7737688,7658056,80,39);OI(7737688,29752,29888,7738152,7738152,7738152,7738152,29856,j,e,80)|0}if((c[k>>2]|0)==-1){uZ(7737688,7654136,80,46);OI(7737688,29704,29416,7738152,7738152,7738152,7738152,7738152,29344,29344,80)|0;uZ(7737688,7653416,80,47);OI(7737688,29696,29408,29968,7738152,7738152,7738152,7738152,29344,29344,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function QI(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2422]=A;c[s>>2]=0;B=c[e>>2]|0;c[1933868]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[1933868]|0)+1|0;c[1933868]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2421]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==3){G=+h[g>>3];H=A}else if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;VI(g,b,j,k,f,n,l,m)|0;if((c[1931244]|0)>0){return 0}B=d;ee[B&15](f,b,j,e,o,x,y)|0;if((c[1931244]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[19328]=0;I=c[e>>2]|0;c[1933868]=1;if((I|0)<1){break}else{J=1;K=0}while(1){F=+h[o+(J-1<<3)>>3];if(F<0.0){L=-0.0-F}else{L=F}if(L>0.0){M=K}else{a[19328]=1;M=1}N=J+1|0;if((N|0)>(I|0)){break}else{J=N;K=M}}c[1933868]=N;if(!M){break}F=+rZ(19368,19376);h[2419]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2422];do{if((E- +h[g>>3])*F<0.0){VI(g,b,j,k,f,n,l,m)|0;if((c[1931244]|0)<=0){break}return 0}else{D=+h[2419]/F;h[2418]=D;I=c[f>>2]|0;c[1933868]=1;if((I|0)<1){break}O=(u<<1)+z|0;P=1;Q=2;R=D;while(1){S=j+(P-1<<3)|0;h[S>>3]=+h[S>>3]+R*+h[l+(O+P<<3)>>3];if((Q|0)>(I|0)){break}P=Q;Q=Q+1|0;R=+h[2418]}c[1933868]=Q}}while(0);ee[B&15](f,b,j,e,o,x,y)|0;if((c[1931244]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[19328]=0;P=c[e>>2]|0;c[1933868]=1;if((P|0)<1){break}else{T=1;U=0}while(1){I=T-1|0;F=+h[o+(I<<3)>>3];if(F<0.0){V=-0.0-F}else{V=F}if(V>0.0){W=U;X=T}else{c[r+(I<<2)>>2]=1;a[19328]=1;W=1;X=c[1933868]|0}I=X+1|0;c[1933868]=I;if((I|0)>(P|0)){break}else{T=I;U=W}}if(!W){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{G=F;H=+h[2422];break}}else{P=v+320|0;VI(g,P,j,k,f,n,l,m)|0;if((c[1931244]|0)>0){return 0}C=d;ee[C&15](f,P,j,e,o,x,y)|0;if((c[1931244]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[19328]=0;B=c[e>>2]|0;c[1933868]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[19328]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[1933868]=aa;if(!$){return 0}F=+rZ(19368,19376);h[2419]=F;h[P>>3]=F+ +h[P>>3];F=+h[2419]/+h[2422];h[2418]=F;B=c[f>>2]|0;c[1933868]=1;if((B|0)>=1){I=(u<<1)+z|0;O=1;S=2;E=F;while(1){ba=j+(O-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(I+O<<3)>>3];if((S|0)>(B|0)){break}O=S;S=S+1|0;E=+h[2418]}c[1933868]=S}ee[C&15](f,P,j,e,o,x,y)|0;if((c[1931244]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[19328]=0;O=c[e>>2]|0;c[1933868]=1;if((O|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[19328]=1;fa=1}ga=ca+1|0;if((ga|0)>(O|0)){break}else{ca=ga;da=fa}}c[1933868]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-G)*H<0.0){h[2420]=ea;if(!((ea- +h[v+320>>3])*H>0.0)){return 0}VI(g,19360,j,k,f,n,l,m)|0;if((c[1931244]|0)<=0){break}return 0}else{h[2420]=G;i=c[f>>2]|0;c[1933868]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[1933868]=ha}}while(0);ha=d;ee[ha&15](f,19360,j,e,p,x,y)|0;if((c[1931244]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[1933866]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){RI(e,19368,7735464,i,19360,o,p,q,19336,r,fa,ga,w,da)|0;if((c[1931244]|0)>0){ia=76;break}if((c[1933866]|0)>1){ia=73;break}VI(g,19336,j,k,f,n,l,m)|0;if((c[1931244]|0)>0){ia=76;break}ee[ha&15](f,19336,j,e,q,x,y)|0;if((c[1931244]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2417];lJ(e,q,29968,o,29968)|0;if((c[1933866]|0)==4){return 0}VI(g,19336,j,k,f,n,l,m)|0;if((c[1931244]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}function RI(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[1933862]=c[n>>2];c[n>>2]=0;h[2414]=0.0;a[19296]=0;r=c[b>>2]|0;c[1933864]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+rZ(29328,i+(t<<3)|0);if(u==+rZ(29328,k+((c[1933864]|0)-1<<3)|0)){break}w=c[1933864]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2414])){break}h[2414]=z;c[n>>2]=w}else{a[19296]=1}}while(0);s=(c[1933864]|0)+1|0;c[1933864]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[19320]=1;c[1933860]=c[o>>2];h[g>>3]=+h[q>>3];lJ(b,k,29968,j,29968)|0;c[o>>2]=1;a[19304]=0;A=0}else{a[19320]=0;c[n>>2]=c[1933862];c[1933860]=c[o>>2];if(a[19296]|0){h[g>>3]=+h[q>>3];lJ(b,k,29968,j,29968)|0;a[19304]=1;A=1;break}else{lJ(b,k,29968,i,29968)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[19304]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[19304]=1;C=y}c[e>>2]=2;h[l>>3]=C;lJ(b,j,29968,k,29968)|0;r=c[b>>2]|0;c[1933864]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[1933864]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+rZ(29328,i+(s<<3)|0);if(!(y!=+rZ(29328,j+((c[1933864]|0)-1<<3)|0))){break}c[m+((c[1933864]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[1933864]|0)+1|0;c[1933864]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2414]=0.0;a[19296]=0;r=c[b>>2]|0;c[1933864]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+rZ(29328,i+(t<<3)|0);if(y==+rZ(29328,j+((c[1933864]|0)-1<<3)|0)){break}w=c[1933864]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2414])){break}h[2414]=G;c[n>>2]=w}else{a[19296]=1}}while(0);s=(c[1933864]|0)+1|0;c[1933864]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[19320]=r;if(r){a[19304]=0;c[1933860]=0;c[o>>2]=1;break}if(!(a[19296]|0)){lJ(b,j,29968,k,29968)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];lJ(b,j,29968,k,29968)|0;r=c[b>>2]|0;c[1933864]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[1933864]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[1933864]|0}s=I+1|0;c[1933864]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[1933860]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function SI(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2537]=+h[d>>3];h[2538]=+h[e>>3];j=c[a>>2]|0;c[1934380]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2537];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2537]=n;h[2538]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2538];k=k+1|0;c[1934380]=k;}while((k|0)<=(j|0));return 0}function TI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2575]=0.0;f=c[a>>2]|0;c[1934470]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2575]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[1934470]=o;if(!(n>0.0)){g=0.0;return+g}h[2576]=0.0;o=c[a>>2]|0;c[1934470]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2576]=j;i=i+1|0;}while((i|0)<=(o|0));c[1934470]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function UI(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[1934506]=0;c[1934508]=0;c[1934504]=0;h[2583]=+h[b>>3];h[2582]=+TI(f,d,l,0,0);C=c[f>>2]|0;c[1934516]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[1934516]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2591]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[1934516]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[1934516]=H}a[20696]=1;c[1934510]=0;a[20720]=1;c[B>>2]=(c[B>>2]|0)+1;c[1934512]=0;ee[C&15](b,d,e,q,7738048,n,o)|0;b:do{if((c[1934512]|0)<0){K=35}else{while(1){if(a[20696]|0){c[E>>2]=(c[E>>2]|0)+1;a[20696]=0;XI(f,b,d,e,q,20728,k,7738056,l,r,s,t,g,7738048,v,j,n,o,x)|0;h[2584]=1.0e6;if((c[1934512]|0)<0|(c[1934514]|0)!=0){K=35;break b}c[1934504]=0}G=c[f>>2]|0;c[1934516]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[1934516]=I}YI(f,q,s,t)|0;G=c[f>>2]|0;c[1934516]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2591]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[1934516]=J}N=+TI(f,q,l,0,0);h[2589]=N;if(!(N>+h[v>>3]*100.0*+h[2582])){break}G=c[1934510]|0;if((G|0)>0){h[z>>3]=N/+h[2586];h[A>>3]=1.0/+(G|0);O=+pZ(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2584]=P;Q=P;R=+h[2589]}else{h[2586]=N;Q=+h[2584];R=N}if(!(Q*R>.33)){break}G=(c[1934510]|0)+1|0;c[1934510]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[20696]=1}c[B>>2]=(c[B>>2]|0)+1;c[1934512]=0;ee[C&15](b,d,e,q,7738048,n,o)|0;if((c[1934512]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[1934516]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[1934516]=I}N=+TI(f,q,l,0,0);h[2589]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[1934516]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2591]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[1934516]=T}}while(0);if(!(a[20720]|0)){break}G=c[f>>2]|0;c[1934516]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[1934516]=I}N=+TI(f,r,l,0,0);h[2588]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[20720]=0}h[b>>3]=+h[2583];H=c[f>>2]|0;c[1934516]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[1934516]=G}if(a[20720]|0){H=(c[1934506]|0)+1|0;c[1934506]=H;N=.9/(+h[2588]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2585]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[1934514]|0)!=0){H=(c[1934504]|0)+1|0;c[1934504]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[1934512]|0)>-2)){K=53;break}H=(c[1934508]|0)+1|0;c[1934508]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function VI(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[1934382]=m;n=+h[b>>3]- +h[a>>3];h[2539]=n;a=c[f>>2]|0;c[1934386]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[1934386]=b;o=+h[2539]}h[2542]=1.0;h[2541]=0.0;n=o/+h[j>>3];h[2540]=n;c[1934384]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2541]=q*r+s/+h[b>>3];o=r*s;h[2542]=o;h[2540]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[1934386]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2541]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2542]}c[1934386]=v}g=p+1|0;c[1934384]=g;if((g|0)>(m|0)){break}p=g;q=+h[2541];r=+h[2540];s=+h[2542];t=+h[2539]}return 0}function WI(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2543]=+h[b>>3];c[1934394]=0;c[1934390]=0;c[1934392]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2557]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[1934400]=(c[I>>2]|0)+1;c[1934398]=(c[I>>2]|0)+2;c[1934404]=(c[I>>2]|0)-1;h[2543]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[1934388]=$+1;$=c[1934400]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2547]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[1934416]=2;if(($|0)>=2){Y=2;do{h[2546]=+h[y+(Y-2<<3)>>3];U=+h[2547];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2546];U=+h[2546]+ +h[k>>3];h[2547]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[1934416]=Y}h[y+($-1<<3)>>3]=+h[2547]}h[2561]=0.0;h[2562]=0.0;aa=c[I>>2]|0;c[1934416]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2561]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2562]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[1934416]=ba;da=ca}h[2560]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2561]- +h[2562];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2559]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2559]=ea>=U?ea:U;h[2547]=.6;h[2546]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2560]){h[D>>3]=100.0}aa=c[1934400]|0;Y=c[1934388]|0;if((aa|0)>=(Y|0)){c[1934410]=Y;ha=Y;do{Y=c[f>>2]|0;c[1934416]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[1934416]=ia}ha=ha+1|0;c[1934410]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[1934416]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[1934416]=ha}aa=c[1934400]|0;c[1934410]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[1934416]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[1934416]=ka}ia=ia+1|0;c[1934410]=ia;}while((ia|0)<=(aa|0))}h[2549]=+TI(f,d,l,0,0);a[20464]=1;c[1934396]=0;c[T>>2]=(c[T>>2]|0)+1;c[1934412]=0;ee[m&15](b,d,e,r,7737648,o,p)|0;if((c[1934412]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;XI(f,b,d,e,r,A,k,7737656,l,s,t,u,g,7737648,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[1934412]|0)<0|(c[1934414]|0)!=0){X=70;break}c[1934390]=0}aa=c[f>>2]|0;c[1934416]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[1934416]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2547]=ca;aa=c[f>>2]|0;c[1934416]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2547]}c[1934416]=ma}YI(f,r,t,u)|0;$=c[f>>2]|0;c[1934416]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[1934416]=ha}U=+TI(f,r,l,0,0);h[2557]=U;if(!(U>+h[F>>3]*100.0*+h[2549])){X=63;break a}$=c[1934396]|0;if(($|0)>0){h[O>>3]=U/+h[2550];h[P>>3]=1.0/+($|0);ca=+pZ(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2557]}else{h[2550]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[1934396]|0)+1|0;c[1934396]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[1934412]=0;ee[m&15](b,d,e,r,7737648,o,p)|0;if((c[1934412]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[1934416]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[1934416]=$}U=+TI(f,r,l,0,0);h[2557]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[1934416]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[1934416]=qa}}while(0);if((X|0)==70){X=0;a[20464]=0}c[H>>2]=1;if(a[20464]|0){U=+TI(f,s,l,0,0);h[2556]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2555]=fa;h[2545]=fa*+(ia+1|0);h[2552]=fa;c[1934402]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[1934416]=1;if((ia|0)>=1){$=ga(c[1934400]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[1934416]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+TI(f,r,l,0,0);h[2554]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2544]=fa;if((ia|0)>2){$=c[f>>2]|0;c[1934416]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[1934416]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+TI(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2544];if((sa>=ca?sa:ca)>+h[2545]){break}ta=ba;ua=+h[2554]}else{if(fa>+h[2545]*.5){break}else{ta=ia;ua=U}}c[1934402]=ta-1;h[2552]=ua}}while(0);if(!(+h[2559]*+h[2556]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2543];ba=c[1934400]|0;aa=c[1934388]|0;if((ba|0)>=(aa|0)){c[1934410]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2547]=ca;aa=c[f>>2]|0;c[1934416]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2547]}c[1934416]=ja}$=$+1|0;c[1934410]=$;}while(($|0)<=(ba|0))}c[1934416]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[1934416]=$}if(!(a[20464]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[1934414]|0)!=0){ba=(c[1934390]|0)+1|0;c[1934390]=ba;h[2548]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[1934412]|0)>-2)){X=146;break}ba=(c[1934394]|0)+1|0;c[1934394]=ba;h[2548]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[1934392]=(c[1934392]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[1934392]|0;if((ba|0)<=1){Y=c[1934402]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2546]=sa;h[O>>3]=+h[2552]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+pZ(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2548]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[1934402];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[1934406]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[1934402]|0;S=c[1934404]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[1934400];za=+h[k>>3]*2.0;h[2551]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[1934402]|0;Ba=c[1934404]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[1934400]|0)>=(c[K>>2]|0)|(c[1934406]|0)==1){Fa=S;break}S=c[f>>2]|0;c[1934416]=1;if((S|0)>=1){$=ga(c[1934398]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[1934416]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+TI(f,r,l,0,0);h[2553]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2545];$=xa<=za;if(!(+h[2544]>($?xa:za))){Ea=c[1934404]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2545]*.5)){Fa=S;break}}S=c[1934400]|0;c[I>>2]=S;h[2552]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2552]=+h[2554];Fa=Ea}h[2551]=+h[k>>3];ya=+(Fa+1|0);h[2546]=ya;h[O>>3]=+h[2552]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+pZ(O,P);h[2548]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2551];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2548]=xa;za=+h[k>>3]*xa;h[2551]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2551]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[1934416]=1;if((S|0)<1){break}$=ga(c[1934398]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[1934416]=ja}}while(0);S=c[f>>2]|0;c[1934416]=1;$=c[1934400]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[1934416]=V}c[1934408]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[1934410]=S;E=c[f>>2]|0;c[1934416]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[1934416]=S}Ha=Ha+1|0;c[1934408]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[1934412]|0)<0){c[n>>2]=-10}if((c[1934392]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);VI(b,b,d,e,f,I,q,y)|0;i=N;return 0}function XI(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[1934472]=0;h[2579]=+W(+h[s>>3]);A=c[b>>2]|0;c[1934498]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2581]=+h[2579]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+rZ(20648,y);h[2581]=E;G=(c[1934498]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2581]=K;h[2577]=+h[D>>3];L=f+(G<<3)|0;h[2578]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2581]+ +h[L>>3];ee[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2581];h[2580]=K;L=c[b>>2]|0;c[1934486]=1;D=c[1934472]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2580]}c[1934486]=N}c[1934472]=D+(c[b>>2]|0);M=c[1934498]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2577];h[f+(G<<3)>>3]=+h[2578];C=M+1|0;c[1934498]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[1934472]=0;A=c[b>>2]|0;if((c[1928880]|0)==0){O=41;break}C=L9(A*20|0)|0;fH(14,1,7646568,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;fH(14,0,7646040,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;fH(14,1,7645472,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[1934488]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];fH(14,0,7645008,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[1934488]|0)+1|0;c[1934488]=B;}while((B|0)<(c[b>>2]|0))}he[c[3556]&511](14);fH(14,1,7640280,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[1934498]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[1934472]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[1934486]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Ub(C|0,7641416,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[1934486]|0;S=R+1|0;c[1934486]=S;if((S|0)>(A|0)){break}L=R;Q=c[1934472]|0}fH(14,0,7640848,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[1934472]|0;L=c[1934498]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[1934472]=G;M=L+1|0;c[1934498]=M;}while((M|0)<=(A|0))}he[c[3556]&511](14);he[c[3556]&511](14);M9(C);O=41}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[1934498]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[1934498]=G}je[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[1934478]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[1934482]=B;L=c[b>>2]|0;c[1934484]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[1934478]=B+L;c[1934480]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[1934476]=C+1;B=c[w>>2]|0;c[1934492]=B-1;c[1934494]=B+C;c[r>>2]=0;h[2579]=+W(+h[s>>3]);C=c[1934484]|0;c[1934490]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[1934482]|0;c[1934474]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[1934488]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[1934492]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[1934494]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2581]=+h[2579]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+rZ(20648,y);h[2581]=I;_=c[1934474]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2581]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2581]+ +h[Z>>3];Z=_+R|0;c[1934474]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[1934490]|0;V=c[1934482]|0}}}while(0);ee[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[1934482]|0;R=c[1934490]|0;c[1934474]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[1934488]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[1934492]|0)+Z<<3)>>3];E=+h[o+((c[1934494]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2581]=+h[2579]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+rZ(20648,y);h[2581]=K;Z=c[1934474]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2581]=I;E=1.0/I;h[2580]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[1934502]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[1934500]=fa;X=ga(c[1934480]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[1934496]=_;c[1934498]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2580]}c[1934498]=ha}X=Z+S|0;c[1934474]=X;fa=c[1934490]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[1934482]|0}}else{ia=R}}while(0);R=ia+1|0;c[1934490]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else if((z|0)==3){i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[1934498]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[1934498]=L}je[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[1934472]=0;C=c[b>>2]|0;if((c[1928880]|0)==0){O=41;break}M=L9(C*20|0)|0;fH(14,1,7646568,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;fH(14,0,7646040,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;fH(14,1,7645472,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[1934488]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];fH(14,0,7645008,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[1934488]|0)+1|0;c[1934488]=B;}while((B|0)<(c[b>>2]|0))}he[c[3556]&511](14);fH(14,1,7644440,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[1934498]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[1934472]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[1934486]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Ub(M|0,7641416,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[1934486]|0;V=Q+1|0;c[1934486]=V;if((V|0)>(C|0)){break}G=Q;R=c[1934472]|0}fH(14,0,7640848,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[1934472]|0;G=c[1934498]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[1934472]=A;L=G+1|0;c[1934498]=L;}while((L|0)<=(C|0))}he[c[3556]&511](14);he[c[3556]&511](14);M9(M);O=41}}while(0);if((O|0)==41){dJ(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){jJ(o,7737912,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function YI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=c[e+12>>2]|0;if((f|0)==3){return 0}else if((f|0)==5|(f|0)==4){f=e+4|0;c[1934468]=(c[f>>2]|0)+1+(c[e>>2]<<1);kJ(d,7737872,a,e,f,e+80|0,b,7738144)|0;return 0}else{hJ(d,a,a,e+80|0,b,7738144)|0;return 0}return 0}function ZI(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[19592]|0)){a[19592]=1;_I(7735512,7735488,7735480,19600,7735496,19560,7735504,19568)|0;h[2453]=+(c[1933878]|0);f=c[1933872]|0;h[2442]=+(f|0);if((c[1933870]|0)==0){h[2444]=0.0;c[e>>2]=1-f;g=+qZ(19624,e)}else{h[2444]=1.0;c[e>>2]=1-f;g=+qZ(19624,e)*.5}h[2450]=g;h[2448]=g*+h[2453];h[2451]=+(c[1933874]|0);h[2452]=+(c[1933876]|0);j=+h[2445];h[2443]=j;k=1.0/+h[2446];if(k<j){break}h[2443]=k*(g+1.0)}}while(0);if((qJ(b,7627584,1,1)|0)!=0){g=+h[2450];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7681904,1,1)|0)!=0){g=+h[2443];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7671400,1,1)|0)!=0){g=+h[2453];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7659632,1,1)|0)!=0){g=+h[2448];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7651408,1,1)|0)!=0){g=+h[2442];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7645112,1,1)|0)!=0){g=+h[2444];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7637784,1,1)|0)!=0){g=+h[2451];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7631112,1,1)|0)!=0){g=+h[2445];h[2447]=g;l=g;i=d;return+l}if((qJ(b,7625576,1,1)|0)!=0){g=+h[2452];h[2447]=g;l=g;i=d;return+l}if((qJ(b,32456,1,1)|0)==0){l=+h[2447];i=d;return+l}else{g=+h[2446];h[2447]=g;l=g;i=d;return+l}return 0.0}function _I(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[20112]|0){q=c[1933906]|0;c[b>>2]=q;r=c[1933896]|0;c[d>>2]=r;s=c[1933898]|0;c[e>>2]=s;t=+h[2476];h[f>>3]=t;u=c[1933902]|0;c[g>>2]=u;v=+h[2474];h[j>>3]=v;w=c[1933904]|0;c[k>>2]=w;x=+h[2475];h[l>>3]=x;i=m;return 0}a[20112]=1;h[2467]=0.0;h[2473]=1.0;h[2468]=2.0;$I(7735624,7735584,7735592,7735600)|0;h[2516]=+(c[1933906]|0);c[n>>2]=-(c[1933896]|0);y=+qZ(20128,n);h[2517]=y;h[2476]=y;z=+h[2468];h[2516]=z/3.0;A=+h[2473];B=A*.5;h[2481]=B;C=-0.0-B;h[o>>3]=C;h[2471]=+aJ(20128,o);h[2469]=+aJ(19768,19768);h[o>>3]=C;h[2516]=+aJ(19752,o);C=+aJ(20128,19768);h[2516]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2516]=C;h[2476]=1.0;D=+h[2467];if(C<1.0&C>D){E=C;while(1){h[2476]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+aJ(o,p);h[2515]=C;h[o>>3]=-0.0-C;h[2515]=+aJ(19848,o);C=+aJ(19848,20120);h[2516]=C;h[o>>3]=-0.0-C;h[2515]=+aJ(19848,o);C=+aJ(19848,20120);h[2516]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2476]=y}y=A/+(c[1933906]|0);h[2472]=y;h[2470]=A;c[1933910]=1;F=A;p=1;do{h[o>>3]=F*y;F=+aJ(o,19736);h[2470]=F;p=p+1|0;c[1933910]=p;}while((p|0)<4);h[2517]=+aJ(19784,19760);bJ(7735568,19784,7735624)|0;h[o>>3]=-0.0- +h[2473];bJ(7735576,o,7735624)|0;bJ(7735648,20136,7735624)|0;h[o>>3]=-0.0- +h[2517];bJ(7735656,o,7735624)|0;c[1933908]=0;p=c[1933892]|0;G=c[1933894]|0;H=c[1933912]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[1933914]|0)){if(I){c[1933902]=p;J=0;K=25;break}if((H-p|0)==3){c[1933902]=p-1+(c[1933896]|0);c[1933908]=1;J=1;K=25;break}else{c[1933902]=(p|0)<=(H|0)?p:H;a[19816]=1;K=26;break}}else{L=I&(G|0)==(c[1933914]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[1933902]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[1933902]=(p|0)<=(G|0)?p:G;a[19816]=1;K=26;break}}L=c[1933914]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[1933902]=(N|0)<=(L|0)?N:L;a[19816]=1;K=26;break}if((H-M|0)==3){c[1933902]=((p|0)>=(G|0)?p:G)-1+(c[1933896]|0);J=0;K=25;break}else{c[1933902]=M;a[19816]=1;K=26;break}}}while(0);if((K|0)==25){if(a[19816]|0){K=26}else{O=J}}if((K|0)==26){a[20112]=0;o_(19824)|0;FZ(29944,7735608,4)|0;YZ()|0;O=c[1933908]|0}if((O|0)==0){P=(c[1933900]|0)!=0|0}else{P=1}c[1933908]=P;h[2474]=1.0;P=c[1933902]|0;O=1-P|0;c[n>>2]=O;c[1933910]=1;if((P|0)<=0){F=+h[2472];y=1.0;P=1;do{h[o>>3]=y*F;y=+aJ(o,19736);h[2474]=y;P=P+1|0;c[1933910]=P;}while((P|0)<=(O|0))}cJ(7735624,7735584,7735608,7735632,7735616,19800)|0;q=c[1933906]|0;c[b>>2]=q;r=c[1933896]|0;c[d>>2]=r;s=c[1933898]|0;c[e>>2]=s;t=+h[2476];h[f>>3]=t;u=c[1933902]|0;c[g>>2]=u;v=+h[2474];h[j>>3]=v;w=c[1933904]|0;c[k>>2]=w;x=+h[2475];h[l>>3]=x;i=m;return 0}function $I(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[20184]|0){l=c[1933920]|0;m=a[20176]|0;c[b>>2]=l;n=c[1933916]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[1933918]|0;c[f>>2]=p;i=g;return 0}a[20184]=1;h[2521]=1.0;h[2527]=1.0;h[2525]=1.0;q=1.0;do{q=q*2.0;h[2527]=q;h[2525]=+aJ(20216,20168);h[j>>3]=-0.0-q;r=+aJ(20200,j);h[2525]=r;}while(r==1.0);h[2526]=1.0;r=+aJ(20216,20208);h[2525]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2526]=t;u=+aJ(20216,20208);h[2525]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2520]=.25;h[2519]=v;h[j>>3]=-0.0-q;r=+aJ(20200,j);h[2525]=r;w=~~(r+.25);c[1933920]=w;r=+(w|0);h[2526]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2524]=+aJ(j,k);u=+aJ(20192,20216);h[2525]=u;x=u==q;a[20176]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2524]=+aJ(j,k);u=+aJ(20192,20216);h[2525]=u;if(x&u==q){a[20176]=0;y=0}else{y=x}h[j>>3]=s;u=+aJ(j,20216);h[2518]=u;h[j>>3]=s;x=u==q&+aJ(j,20152)>v;c[1933918]=x?y&1:0;c[1933916]=0;h[2527]=1.0;h[2525]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[1933916]=k;q=v*r;h[2527]=q;h[2525]=+aJ(20216,20168);h[j>>3]=-0.0-q;u=+aJ(20200,j);h[2525]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[1933916]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[1933918]|0;c[f>>2]=p;i=g;return 0}function aJ(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function bJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2466]=g;j=1.0/+(c[d>>2]|0);h[2459]=j;h[2458]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+aJ(f,19664);h[2465]=k;h[2463]=g;h[2462]=g;h[2461]=g;h[2460]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2466]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+aJ(f,19664);h[2465]=g;h[f>>3]=g*k;k=+aJ(f,19664);h[2463]=k;h[2461]=0.0;c[1933890]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2461]=o;c[1933890]=p;n=o}h[f>>3]=l*j;q=+aJ(f,19664);h[2464]=q;h[f>>3]=q/j;r=+aJ(f,19664);h[2462]=r;h[2460]=0.0;b=c[d>>2]|0;c[1933890]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2460]=t;c[1933890]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function cJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[1933882]=1;c[1933888]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[1933882]=l;r=q+1|0;c[1933888]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[1933880]=n;u=n}else{c[1933880]=m;c[1933888]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[1933886]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[1933888]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2456]=x;y=w+-1.0;h[2454]=y;h[2455]=0.0;v=c[b>>2]|0;c[1933884]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2454]=w;if(A<1.0){h[2457]=A}A=+aJ(19640,19632);h[2455]=A;b=b+1|0;c[1933884]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2457];h[2455]=w;z=w}}while(0);v=c[f>>2]|0;c[1933884]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+aJ(k,29336);h[2455]=z;f=D+1|0;c[1933884]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function dJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[1933934]=1;m=1;do{c[1933932]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=eJ(j,a+(m+b+(ga(m,l)|0)<<3)|0,29936)|0;q=c[1933934]|0;r=p-1+q|0;c[1933930]=r;c[e+(q-1<<2)>>2]=r;r=c[1933930]|0;q=c[1933934]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2529]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2529];t=q}u=ga(t,l)|0;h[2529]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;fJ(j,20232,a+(t-l+u<<3)|0,29936)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[1933932]|0;c[1933936]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[1933930]|0;x=ga(w,l)|0;h[2529]=+h[a+(x+b+v<<3)>>3];y=c[1933934]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2529];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;gJ(k,20232,a+((ga(z,l)|0)+b+y<<3)|0,29936,a+(y+b+x<<3)|0,29936)|0;w=(c[1933936]|0)+1|0;c[1933936]=w;}while((w|0)<=(u|0))}}while(0);m=(c[1933934]|0)+1|0;c[1933934]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function eJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[1934664]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[962588]=i;j=(c[d>>2]|0)+1|0;c[1934664]=j;k=c[a>>2]|0;c[1934666]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[962588]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[1934664]=j;a=o+1|0;c[1934666]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[962588]=t;c[1934666]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[962588]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[1934666]=B;f=z;return f|0}function fJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[1934670]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[1934670]=j;return 0}j=(f|0)%5|0;c[1934668]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[1934670]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[1934670]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[1934670]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[1934670]=m;return 0}function gJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[1934680]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[1934686]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[1934686]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[1934686]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[1934686]=r;return 0}}while(0);c[1934684]=1;c[1934682]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[1934684]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[1934682]=r;t=r}else{t=1}r=c[a>>2]|0;c[1934686]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[1934684]=t;s=v+(c[g>>2]|0)|0;c[1934682]=s;c[1934686]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function hJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[1933922]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[1933928]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[1933924]=o;p=f+(o-1<<3)|0;h[2528]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2528]}c[k>>2]=(c[d>>2]|0)-g;gJ(k,20224,a+(g-l+(ga(g,l)|0)<<3)|0,29936,f+(g<<3)|0,29936)|0;g=(c[1933928]|0)+1|0;c[1933928]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[1933926]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[1933928]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2528]=-0.0-s;c[k>>2]=n;gJ(k,20224,a+(p-l<<3)|0,29936,f,29936)|0;q=(c[1933926]|0)+1|0;c[1933926]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[1933928]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+iJ(k,a+((ga(m,l)|0)-l<<3)|0,29936,f,29936);h[2528]=s;q=c[1933928]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[1933928]=m;}while((m|0)<=(g|0));t=c[1933922]|0}if((t|0)<1){i=j;return 0}c[1933926]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[1933928]=m;c[k>>2]=(c[d>>2]|0)-m;s=+iJ(k,a+(m-l+(ga(m,l)|0)<<3)|0,29936,f+(m<<3)|0,29936);m=c[1933928]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[1933924]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2528]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2528]}g=(c[1933926]|0)+1|0;c[1933926]=g;}while((g|0)<=(t|0));i=j;return 0}function iJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[962589]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[1934672]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[1934678]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[962589]=o;n=n+1|0;}while((n|0)<=(j|0));c[1934678]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[1934678]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[962589]=r;q=q+5|0;}while((q|0)<=(l|0));c[1934678]=q;i=r;return+i}}while(0);c[1934676]=1;c[1934674]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[1934676]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[1934674]=q;w=q}else{w=1}q=c[a>>2]|0;c[1934678]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[962589]=r;w=x+(c[d>>2]|0)|0;c[1934676]=w;v=y+(c[f>>2]|0)|0;c[1934674]=v;a=A+1|0;c[1934678]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function jJ(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[1933956]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[1933972]=n;o=c[d>>2]|0;p=c[1933956]|0;q=((o|0)>(p|0)?p:o)-1|0;c[1933970]=q;if((q|0)>=(n|0)){c[1933966]=n;o=n;do{n=1-o+p|0;c[1933978]=n;r=c[e>>2]|0;c[1933976]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[1933976]=s}o=o+1|0;c[1933966]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[1933966]=q;c[1933968]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[1933964]=1;r=1;p=q;while(1){c[1933962]=r+1;q=p+1|0;c[1933966]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[1933976]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[1933976]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[1933958]=s;c[l>>2]=s+1;s=eJ(l,a+((c[1933956]|0)+b+(ga(r,m)|0)<<3)|0,29936)|0;n=s-1|0;c[1933960]=n+(c[1933956]|0);s=c[1933964]|0;c[g+(s-1<<2)>>2]=n+s;s=c[1933960]|0;n=c[1933964]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[1933956]|0;if((s|0)==(v|0)){z=s}else{h[2531]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2531];z=v}h[2531]=-1.0/+h[a+(z+b+q<<3)>>3];fJ(7735832,20248,a+(z-m+q<<3)|0,29936)|0;v=c[1933968]|0;w=(c[g+((c[1933964]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[1933968]=v;A=c[1933956]|0;c[1933954]=A;w=c[1933962]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[1933974]=w;B=w;w=A;while(1){A=(c[1933960]|0)-1|0;c[1933960]=A;C=w-1|0;c[1933954]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2531]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2531];F=C}gJ(7735832,20248,a+((c[1933956]|0)-m+(ga(c[1933964]|0,m)|0)<<3)|0,29936,a+(F-m+D<<3)|0,29936)|0;D=(c[1933974]|0)+1|0;c[1933974]=D;if((D|0)>(v|0)){break a}B=D;w=c[1933954]|0}}}while(0);q=(c[1933964]|0)+1|0;c[1933964]=q;if((q|0)>(o|0)){break}r=q;p=c[1933966]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[1933956]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function kJ(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[1933940]=l;f=(c[d>>2]|0)-1|0;c[1933938]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[1933952]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[1933942]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[1933948]=m;o=i+(m-1<<3)|0;h[2530]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2530]}gJ(7735768,20240,a+((c[1933940]|0)-k+(ga(j,k)|0)<<3)|0,29936,i+(j<<3)|0,29936)|0;j=(c[1933952]|0)+1|0;c[1933952]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[1933950]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[1933952]=m;o=c[1933940]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[1933942]=q;s=o-q|0;c[1933946]=s;o=m-q|0;c[1933944]=o;h[2530]=-0.0-r;gJ(7735768,20240,a+(s+b+n<<3)|0,29936,i+(o-1<<3)|0,29936)|0;p=(c[1933950]|0)+1|0;c[1933950]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[1933952]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[1933942]=l;o=p-l|0;c[1933946]=o;n=f-l|0;c[1933944]=n;r=+iJ(7735768,a+((ga(f,k)|0)+b+o<<3)|0,29936,i+(n-1<<3)|0,29936);h[2530]=r;n=c[1933952]|0;o=i+(n-1<<3)|0;p=c[1933940]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[1933952]=f;}while((f|0)<=(j|0));t=c[1933938]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[1933950]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[1933952]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[1933942]=(f|0)<=(b|0)?f:b;r=+iJ(7735768,a+(j-k+(ga(u,k)|0)<<3)|0,29936,i+(u<<3)|0,29936);u=c[1933952]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[1933948]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2530]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2530]}f=(c[1933950]|0)+1|0;c[1933950]=f;if((f|0)>(t|0)){break}p=f;j=c[1933940]|0}return 0}function lJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[1934690]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[1934696]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[1934696]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[1934696]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[1934696]=m;return 0}}while(0);c[1934694]=1;c[1934692]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[1934694]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[1934692]=m;o=m}else{o=1}m=c[a>>2]|0;c[1934696]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[1934694]=p;q=q+(c[f>>2]|0)|0;c[1934692]=q;r=r+1|0;c[1934696]=r;}while((r|0)<=(m|0));return 0}function mJ(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;l=+nJ(29928);d=c[a>>2]|0;m=(d|0)<1;do{if(!m){n=1;o=((ga(d+1|0,d)|0)/2|0)+1|0;do{p=d-n|0;q=p+1|0;r=p+2|0;o=o-n|0;if((d|0)<(r|0)){s=0.0}else{t=r;r=o;u=0.0;while(1){v=u+ +h[b+(r<<3)>>3]*+h[i+(t-1<<3)>>3];w=t+1|0;if((w|0)>(d|0)){s=v;break}else{t=w;r=r+1|0;u=v}}}u=+h[b+(o-1<<3)>>3];do{if(u!=0.0){x=u}else{if((p|0)<0){y=u}else{r=1;t=q;v=u;while(1){z=+h[b+(t-1<<3)>>3];if(z<0.0){A=-0.0-z}else{A=z}z=v>=A?v:A;w=t-r+d|0;B=r+1|0;if((B|0)>(q|0)){y=z;break}else{r=B;t=w;v=z}}}v=l*y;if(!(v==0.0)){x=v;break}x=l}}while(0);h[i+(p<<3)>>3]=(+h[f+(p<<3)>>3]-s)/x;n=n+1|0;}while((n|0)<=(d|0));if(m){break}else{C=1}do{n=C-1|0;h[j+(n<<3)>>3]=0.0;h[k+(n<<3)>>3]=+h[e+(n<<3)>>3]*+h[i+(n<<3)>>3];C=C+1|0;}while((C|0)<=(d|0))}}while(0);x=+oJ(a,k);if(!(x>+h[g>>3])){return 0}d=c[a>>2]|0;if((d|0)>=1){C=1;m=1;n=d;while(1){o=C-1|0;s=+h[f+(o<<3)>>3];if((C|0)>(d|0)){D=m}else{q=C;t=m;while(1){r=j+(q-1<<3)|0;h[r>>3]=+h[r>>3]+s*+h[b+(t-1<<3)>>3];r=q+1|0;if((r|0)>(d|0)){break}else{q=r;t=t+1|0}}D=m+n|0}t=j+(o<<3)|0;h[t>>3]=+h[t>>3]/+h[e+(o<<3)>>3];t=C+1|0;if((t|0)>(d|0)){break}else{C=t;m=D;n=n-1|0}}}s=+oJ(a,j);l=+h[g>>3];do{if(s==0.0){E=0.0;F=l/x;G=l}else{n=c[a>>2]|0;D=(n|0)<1;do{if(!D){m=1;do{C=m-1|0;d=j+(C<<3)|0;h[d>>3]=+h[d>>3]/s/+h[e+(C<<3)>>3];m=m+1|0;}while((m|0)<=(n|0));if(D){break}else{H=1;I=1;J=n}while(1){if((H|0)>(n|0)){K=I;L=0.0}else{m=H;p=I;y=0.0;while(1){M=y+ +h[b+(p-1<<3)>>3]*+h[j+(m-1<<3)>>3];C=m+1|0;if((C|0)>(n|0)){break}else{m=C;p=p+1|0;y=M}}K=I+J|0;L=M}h[k+(H-1<<3)>>3]=L;p=H+1|0;if((p|0)>(n|0)){break}else{H=p;I=K;J=J-1|0}}}}while(0);y=+oJ(a,k);A=s/y/y;y=+h[g>>3];if(!(A<y)){E=A;F=0.0;G=y;break}y=+oJ(a,f);u=+h[g>>3];v=A/u;z=y/s*(y/x)*v;y=u/x;N=z-y;O=v*v;v=1.0-O;E=A;F=y*v/(+W(N*N+v*(1.0-y*y))+(z-y*O));G=u}}while(0);x=(1.0-F)*(E>G?G:E);g=c[a>>2]|0;if((g|0)<1){return 0}else{P=1}do{a=P-1|0;f=i+(a<<3)|0;h[f>>3]=x*+h[j+(a<<3)>>3]+F*+h[f>>3];P=P+1|0;}while((P|0)<=(g|0));return 0}function nJ(a){a=a|0;return+(+h[19384+((((c[a>>2]<<3)-8|0)/8|0)<<3)>>3])}function oJ(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0.0,g=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0;d=c[a>>2]|0;e=1304.0e16/+(d|0);do{if((d|0)<1){f=0.0;g=0.0}else{a=1;i=0.0;j=0.0;k=0.0;l=0.0;m=0.0;while(1){n=+h[b+(a-1<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}do{if(o>3.834e-20&o<e){p=m;q=l;r=k;s=j+o*o;t=i}else{if(o>3.834e-20){if(o>l){n=l/o;p=m;q=o;r=k;s=j;t=i*n*n+1.0;break}else{n=o/l;p=m;q=l;r=k;s=j;t=i+n*n;break}}if(o>m){n=m/o;p=o;q=l;r=k*n*n+1.0;s=j;t=i;break}if(!(o!=0.0)){p=m;q=l;r=k;s=j;t=i;break}n=o/m;p=m;q=l;r=k+n*n;s=j;t=i}}while(0);u=a+1|0;if((u|0)>(d|0)){break}else{a=u;i=t;j=s;k=r;l=q;m=p}}if(!(t==0.0)){v=q*+W(t+s/q/q);return+v}if(s==0.0){f=r;g=p;break}if(s<p){w=0.0}else{w=+W(s*(r*p*(p/s)+1.0))}if(!(s<p)){v=w;return+v}v=+W(p*(r*p+s/p));return+v}}while(0);v=g*+W(f);return+v}function pJ(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;var B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;B=i;i=i+32|0;C=B|0;D=B+8|0;E=B+16|0;F=B+24|0;G=c[g>>2]|0;H=~G;I=+nJ(29920);c[p>>2]=0;c[E>>2]=0;c[q>>2]=0;c[r>>2]=0;J=c[b>>2]|0;a:do{if((J|0)<1){L=97}else{if((c[g>>2]|0)<(J|0)){L=97;break}if(+h[j>>3]<0.0){L=97;break}if((c[k>>2]|0)<1){L=97;break}if(!(+h[n>>3]>0.0)){L=97;break}if((c[t>>2]|0)<((ga(J+1|0,J)|0)/2|0|0)){L=97;break}b:do{if((c[m>>2]|0)==2){M=1;while(1){if((M|0)>(J|0)){break b}if(+h[l+(M-1<<3)>>3]>0.0){M=M+1|0}else{L=97;break a}}}}while(0);c[E>>2]=1;M=a;we[M&31](b,d,e,f,g,E,z,A)|0;c[q>>2]=1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}P=+oJ(b,e);c[E>>2]=2;we[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;N=c[E>>2]|0;if((N|0)<0){O=N;L=98;break}N=C|0;Q=1;R=0;S=P;P=0.0;T=0;U=0;V=0;c:while(1){xJ(b,b,f,g,7738136,N,29920,v,w,x)|0;do{if((Q|0)==1){W=c[b>>2]|0;do{if((c[m>>2]|0)==2){L=20}else{if((W|0)<1){break}else{X=1}while(1){Y=X-1|0;Z=w+(Y<<3)|0;_=l+(Y<<3)|0;h[_>>3]=+h[Z>>3];if(+h[Z>>3]==0.0){h[_>>3]=1.0}_=X+1|0;if((_|0)>(W|0)){L=20;break}else{X=_}}}}while(0);do{if((L|0)==20){L=0;if((W|0)<1){break}else{$=1}do{_=$-1|0;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[d+(_<<3)>>3];$=$+1|0;}while(($|0)<=(W|0))}}while(0);aa=+oJ(b,x);ba=+h[n>>3];ca=aa*ba;h[F>>3]=ca;if(!(ca==0.0)){da=aa;break}h[F>>3]=ba;da=aa}else{da=P}}while(0);W=c[b>>2]|0;_=(W|0)<1;do{if(_){L=35}else{Z=1;do{Y=Z-1|0;h[u+(Y<<3)>>3]=+h[e+(Y<<3)>>3];Z=Z+1|0;}while((Z|0)<=(W|0));if(_){L=35;break}else{ea=1}do{Z=ga(ea,G)|0;aa=+h[f+(ea+H+Z<<3)>>3];do{if(!(aa==0.0)){Y=(ea|0)>(W|0);if(Y){break}fa=Z+H|0;ha=ea;ba=0.0;do{ba=ba+ +h[f+(fa+ha<<3)>>3]*+h[u+(ha-1<<3)>>3];ha=ha+1|0;}while((ha|0)<=(W|0));ca=(-0.0-ba)/aa;if(Y){break}ha=Z+H|0;fa=ea;do{ia=u+(fa-1<<3)|0;h[ia>>3]=+h[ia>>3]+ca*+h[f+(ha+fa<<3)>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}}while(0);ea=ea+1|0;}while((ea|0)<=(W|0));c[D>>2]=0;if(_){break}else{ja=0;ka=1}while(1){Z=(ka|0)>2?ka:2;fa=Z-2|0;ha=Faa(fa,0,Z-3|0,0)|0;Z=ha>>>1|K<<31;ha=ka-1|0;if((ha|0)<1){la=ka}else{Y=(ga(ka,G)|0)+H|0;ia=W+ja+(ga(W-2|0,fa)|0)|0;fa=1;ma=ka;do{h[s+(ma-1<<3)>>3]=+h[f+(Y+fa<<3)>>3];ma=ma-fa+W|0;fa=fa+1|0;}while((fa|0)<=(ha|0));la=ia-Z|0}fa=v+(ha<<3)|0;h[s+(la-1<<3)>>3]=+h[fa>>3];if(+h[fa>>3]==0.0){c[D>>2]=1}fa=ka+1|0;if((fa|0)>(W|0)){break}else{ja=ja+1|0;ka=fa}}}}while(0);if((L|0)==35){L=0;c[D>>2]=0}wJ(b,b,f,g,v)|0;do{if((c[m>>2]|0)==2){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q}else{W=c[b>>2]|0;if((W|0)<1){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=1}while(1){_=va-1|0;fa=l+(_<<3)|0;aa=+h[fa>>3];ca=+h[w+(_<<3)>>3];h[fa>>3]=aa>=ca?aa:ca;fa=va+1|0;if((fa|0)>(W|0)){na=V;oa=U;pa=T;qa=da;ra=S;sa=R;ta=1;ua=Q;break}else{va=fa}}}}while(0);while(1){W=c[o>>2]|0;do{if((W|0)>=1){c[E>>2]=0;if(((ua-1|0)%(W|0)|0|0)!=0){break}we[M&31](b,d,e,f,g,E,z,A)|0;fa=c[E>>2]|0;if((fa|0)<0){O=fa;L=98;break a}}}while(0);mJ(b,s,t,l,u,F,v,w,x)|0;W=c[b>>2]|0;if((W|0)>=1){fa=1;do{_=fa-1|0;ma=v+(_<<3)|0;ca=+h[ma>>3];h[ma>>3]=-0.0-ca;h[w+(_<<3)>>3]=+h[d+(_<<3)>>3]-ca;h[x+(_<<3)>>3]=+h[l+(_<<3)>>3]*+h[ma>>3];fa=fa+1|0;}while((fa|0)<=(W|0))}ca=+oJ(b,x);if((ua|0)==1){aa=+h[F>>3];h[F>>3]=aa<=ca?aa:ca}c[E>>2]=1;we[M&31](b,w,y,f,g,E,z,A)|0;c[q>>2]=(c[q>>2]|0)+1;W=c[E>>2]|0;if((W|0)<0){O=W;L=98;break a}aa=+oJ(b,y);if(aa<ra){ba=aa/ra;wa=1.0-ba*ba}else{wa=-1.0}W=c[b>>2]|0;if((W|0)>=1){fa=1;ma=1;_=W;while(1){if((fa|0)>(W|0)){xa=ma;ya=0.0}else{Y=fa;za=ma;ba=0.0;while(1){Aa=ba+ +h[s+(za-1<<3)>>3]*+h[v+(Y-1<<3)>>3];Ba=Y+1|0;if((Ba|0)>(W|0)){break}else{Y=Ba;za=za+1|0;ba=Aa}}xa=ma+_|0;ya=Aa}za=fa-1|0;h[x+(za<<3)>>3]=ya+ +h[u+(za<<3)>>3];za=fa+1|0;if((za|0)>(W|0)){break}else{fa=za;ma=xa;_=_-1|0}}}ba=+oJ(b,x);do{if(ba<ra){Ca=ba/ra;Da=1.0-Ca*Ca;if(!(Da>0.0)){Ea=0.0;L=65;break}Ca=wa/Da;if(Ca<.1){Ea=Ca;L=65;break}_=sa+1|0;if(Ca>=.5|(sa|0)>0){Da=+h[F>>3];Fa=ca*2.0;h[F>>3]=Da>=Fa?Da:Fa}Fa=Ca+-1.0;if(Fa<0.0){Ga=-0.0-Fa}else{Ga=Fa}if(Ga>.1){Ha=0;Ia=_;Ja=Ca;break}h[F>>3]=ca*2.0;Ha=0;Ia=_;Ja=Ca}else{Ea=0.0;L=65}}while(0);if((L|0)==65){L=0;h[F>>3]=+h[F>>3]*.5;Ha=na+1|0;Ia=0;Ja=Ea}if(Ja<1.0e-4){Ka=qa;La=ra;Ma=ua}else{_=c[b>>2]|0;if((_|0)>=1){ma=1;do{fa=ma-1|0;W=w+(fa<<3)|0;ba=+h[W>>3];h[d+(fa<<3)>>3]=ba;h[W>>3]=ba*+h[l+(fa<<3)>>3];h[e+(fa<<3)>>3]=+h[y+(fa<<3)>>3];ma=ma+1|0;}while((ma|0)<=(_|0))}Ka=+oJ(b,w);La=aa;Ma=ua+1|0}Na=wa<.001?pa+1|0:0;Oa=wa<.1?oa+ta|0:0;ba=+h[F>>3];if(ba<=Ka*+h[j>>3]|La==0.0){L=77;break c}if((c[p>>2]|0)!=0){L=97;break a}if((c[q>>2]|0)<(c[k>>2]|0)){Pa=0}else{c[p>>2]=2;Pa=2}Ca=ba*.1;if((Ca>=ca?Ca:ca)*.1>I*Ka){Qa=Pa}else{c[p>>2]=3;Qa=3}if((Oa|0)==5){c[p>>2]=4;Ra=4}else{Ra=Qa}if((Na|0)==10){L=86;break c}if((Ra|0)!=0){L=97;break a}if((Ha|0)==2){break}_=c[b>>2]|0;if((_|0)>=1){ma=Ja<1.0e-4;fa=1;do{W=(ga(fa,G)|0)+H|0;za=1;Ca=0.0;do{Ca=Ca+ +h[f+(W+za<<3)>>3]*+h[y+(za-1<<3)>>3];za=za+1|0;}while((za|0)<=(_|0));za=fa-1|0;h[w+(za<<3)>>3]=(Ca- +h[x+(za<<3)>>3])/ca;ba=+h[l+(za<<3)>>3];W=v+(za<<3)|0;h[W>>3]=ba*(ba*+h[W>>3]/ca);if(!ma){h[u+(za<<3)>>3]=Ca}fa=fa+1|0;}while((fa|0)<=(_|0))}zJ(b,b,s,t,v,w,x,D)|0;yJ(b,b,f,g,w,x)|0;yJ(29920,b,u,29920,w,x)|0;na=Ha;oa=Oa;pa=Na;qa=Ka;ra=La;sa=Ia;ta=0;ua=Ma}c[E>>2]=2;we[M&31](b,d,e,f,g,E,z,A)|0;c[r>>2]=(c[r>>2]|0)+1;_=c[E>>2]|0;if((_|0)<0){O=_;L=98;break a}else{Q=Ma;R=Ia;S=La;P=Ka;T=Na;U=Oa;V=2}}if((L|0)==77){c[p>>2]=1;L=97;break}else if((L|0)==86){c[p>>2]=5;L=97;break}}}while(0);if((L|0)==97){Oa=c[E>>2]|0;if((Oa|0)<0){O=Oa;L=98}}if((L|0)==98){c[p>>2]=O}c[E>>2]=0;if((c[o>>2]|0)<=0){i=B;return 0}we[a&31](b,d,e,f,g,E,z,A)|0;i=B;return 0}function qJ(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14240]=1;g=d[b]|0;c[1931182]=g;b=d[e]|0;c[1931180]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[1931182]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[1931180]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function rJ(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2615]=6;o_(10456)|0;FZ(29912,i,4)|0;YZ()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[1929780]=0;c[1929778]=0;c[1929782]=0;a[10912]=0;q=c[e>>2]|0;c[1929808]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[1929780]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[1929808]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){w=1;do{h[7719424+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[1929808]=w}c[1929794]=2;t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[1929792]=1;if((D|0)<1){E=B}else{F=1;do{h[7719424+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[1929792]=F;E=+h[A>>3]}h[7719424+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[1929794]=D;C=D}D=x+1|0;c[1929808]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[1929780]|0;x=y+1|0;c[1929774]=x;c[1929808]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[1929792]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[7719424+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[1929792]=w}me[s&127](e,b,7719256+(y-1<<3)|0)|0;c[1929778]=(c[1929778]|0)+1;if((c[i>>2]|0)>=1){c[2723]=6;o_(10888)|0;FZ(29912,7719112,4)|0;FZ(29912,7719256+((c[1929808]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[1929792]=1;if((t|0)>=1){z=1;do{FZ(29912,b+(z-1<<3)|0,8)|0;z=(c[1929792]|0)+1|0;c[1929792]=z;}while((z|0)<=(t|0))}YZ()|0}y=(c[1929808]|0)+1|0;c[1929808]=y;}while((y|0)<=(x|0))}x=c[1929782]|0;b:while(1){c[1929782]=x+1;c[1929800]=1;c[1929798]=1;B=+h[964907];h[1370]=B;h[1368]=B;y=c[1929774]|0;c[1929808]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[7719256+(t-1<<3)>>3];do{if(B>H){c[1929800]=t;J=+h[7719256+(t-1<<3)>>3];h[1370]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[1929798]=t;J=+h[7719256+(t-1<<3)>>3];h[1368]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[1929808]=O;G=L}z=c[e>>2]|0;c[1929808]=1;if((z|0)>=1){t=1;do{h[7718928+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[1929808]=t}c[1929808]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[1929792]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=7718928+(Q-1<<3)|0;h[A>>3]=+h[7719424+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[1929792]=Q;P=z}}while(0);z=P+1|0;c[1929808]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[1929792]=1;if((y|0)>=1){I=+(c[1929780]|0);z=1;do{t=7718928+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[1929792]=z}y=c[e>>2]|0;c[1929808]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[7718928+(w<<3)>>3];h[7718608+(w<<3)>>3]=I+(I- +h[7719424+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[1929808]=t}me[s&127](e,7718608,10936)|0;y=(c[1929778]|0)+1|0;c[1929778]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2717]=6;o_(10864)|0;FZ(29912,7719112,4)|0;FZ(29912,10936,8)|0;w=c[e>>2]|0;c[1929792]=1;if((w|0)>=1){A=1;do{FZ(29912,7718608+(A-1<<3)|0,8)|0;A=(c[1929792]|0)+1|0;c[1929792]=A;}while((A|0)<=(w|0))}YZ()|0}}while(0);I=+h[1367];c:do{if(I<+h[1368]){z=c[e>>2]|0;c[1929808]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[7718928+(t<<3)>>3];h[7718448+(t<<3)>>3]=H+(+h[7718608+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[1929808]=y}me[s&127](e,7718448,10920)|0;z=(c[1929778]|0)+1|0;c[1929778]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2711]=6;o_(10840)|0;FZ(29912,7719112,4)|0;FZ(29912,10920,8)|0;w=c[e>>2]|0;c[1929792]=1;if((w|0)>=1){A=1;do{FZ(29912,7718448+(A-1<<3)|0,8)|0;A=(c[1929792]|0)+1|0;c[1929792]=A;}while((A|0)<=(w|0))}YZ()|0}}while(0);H=+h[1365];if(!(H<+h[1368])){R=122;break}t=c[e>>2]|0;c[1929808]=1;z=c[1929800]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[7719424+((y*21|0)-22+z<<3)>>3]=+h[7718448+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[1929808]=y}h[7719256+(z-1<<3)>>3]=H}else{t=c[1929774]|0;c[1929808]=1;if((t|0)>=1){w=c[1929800]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[7719256+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[1929808]=A;}while((A|0)<=(t|0))}if(!(I>+h[1370])){t=c[e>>2]|0;c[1929808]=1;A=c[1929800]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[7719424+((w*21|0)-22+A<<3)>>3]=+h[7718608+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[1929808]=w}h[1370]=I;h[7719256+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){z=c[1929800]|0;y=1;do{F=y-1|0;h[7718448+(F<<3)>>3]=+h[7719424+((y*21|0)-22+z<<3)>>3]*.5+ +h[7718928+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[1929808]=y}me[s&127](e,7718448,10920)|0;t=(c[1929778]|0)+1|0;c[1929778]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2705]=6;o_(10816)|0;FZ(29912,7719112,4)|0;FZ(29912,10920,8)|0;A=c[e>>2]|0;c[1929792]=1;if((A|0)>=1){w=1;do{FZ(29912,7718448+(w-1<<3)|0,8)|0;w=(c[1929792]|0)+1|0;c[1929792]=w;}while((w|0)<=(A|0))}YZ()|0}}while(0);H=+h[1365];if(!(H>+h[1370])){z=c[e>>2]|0;c[1929808]=1;t=c[1929800]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[7719424+((y*21|0)-22+t<<3)>>3]=+h[7718448+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[1929808]=y}h[7719256+(t-1<<3)>>3]=H;break}z=c[1929774]|0;c[1929808]=1;if((z|0)<1){break}else{S=1}do{A=c[1929798]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[1929792]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=7719424+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[7719424+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[7719424+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[1929792]=D}me[s&127](e,b,7719256+(S-1<<3)|0)|0;w=(c[1929778]|0)+1|0;c[1929778]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2699]=6;o_(10792)|0;FZ(29912,7719112,4)|0;FZ(29912,7719256+((c[1929808]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[1929792]=1;if((F|0)>=1){w=1;do{FZ(29912,b+(w-1<<3)|0,8)|0;w=(c[1929792]|0)+1|0;c[1929792]=w;}while((w|0)<=(F|0))}YZ()|0}}while(0);S=(c[1929808]|0)+1|0;c[1929808]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[1929808]=1;t=c[1929800]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[7719424+((y*21|0)-22+t<<3)>>3]=+h[7718608+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[1929808]=y}h[7719256+(t-1<<3)>>3]=+h[1367]}z=c[1929782]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1366]=0.0;h[1369]=0.0;z=c[1929774]|0;c[1929808]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1369]=0.0/I;c[1929808]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[7719256+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1369]=B;c[1929808]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[7719256+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1366]=Y;c[1929808]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1366]=B;do{if(B>+h[j>>3]){if((c[1929778]|0)>(c[g>>2]|0)){break}a[10912]=0;c[1929782]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[1929792]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[7719424+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[1929792]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[1929808]=y}me[s&127](e,b,f)|0;t=(c[1929778]|0)+1|0;c[1929778]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2693]=6;o_(10768)|0;FZ(29912,7719112,4)|0;FZ(29912,r,8)|0;A=c[e>>2]|0;c[1929792]=1;if((A|0)>=1){F=1;do{FZ(29912,b+(F-1<<3)|0,8)|0;F=(c[1929792]|0)+1|0;c[1929792]=F;}while((F|0)<=(A|0))}YZ()|0;$=c[1929778]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2663]=6;o_(10648)|0;YZ()|0;c[2657]=6;o_(10624)|0;t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){z=1;do{FZ(29912,b+(z-1<<3)|0,8)|0;z=(c[1929808]|0)+1|0;c[1929808]=z;}while((z|0)<=(t|0))}YZ()|0;c[2651]=6;o_(10600)|0;FZ(29912,r,8)|0;YZ()|0}if(a[10912]|0){B=+h[1369];H=+h[1269]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10912]=1;ba=+h[1369]}h[1269]=ba;c[1929782]=0;x=0}if((c[i>>2]|0)>=0){c[2645]=6;o_(10576)|0;FZ(29912,7719112,4)|0;YZ()|0;c[2639]=6;o_(10552)|0;x=c[e>>2]|0;c[1929808]=1;if((x|0)>=1){t=1;do{FZ(29912,b+(t-1<<3)|0,8)|0;t=(c[1929808]|0)+1|0;c[1929808]=t;}while((t|0)<=(x|0))}YZ()|0;c[2633]=6;o_(10528)|0;FZ(29912,r,8)|0;YZ()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2627]=6;o_(10504)|0;YZ()|0}h[1368]=+h[f>>3];c[1929776]=0;x=c[1929774]|0;c[1929808]=1;if((x|0)>=1){t=1;while(1){z=7719256+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[1929808]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[1929792]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=7719424+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[7718448+(F-1<<3)>>3]=+h[7719424+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[1929792]=F}me[s&127](e,7718448,z)|0;c[1929776]=(c[1929776]|0)+1;c[1929778]=(c[1929778]|0)+1;y=c[1929808]|0;B=+h[7719256+(y-1<<3)>>3];if(!(B<+h[1368])){t=y;continue}h[1368]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2621]=6;o_(10480)|0;FZ(29912,7719112,4)|0;FZ(29912,10944,8)|0;y=c[e>>2]|0;c[1929792]=1;if((y|0)>=1){A=1;do{FZ(29912,7718448+(A-1<<3)|0,8)|0;A=(c[1929792]|0)+1|0;c[1929792]=A;}while((A|0)<=(y|0))}YZ()|0;t=c[1929808]|0}}t=c[1929780]|0;c[1929808]=1;do{if((t|0)<1){h[1548]=+h[964907];c[1929808]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[1929812]=y;A=c[e>>2]|0;c[1929792]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[7718608+(z-1<<3)>>3]=(+h[7719424+(F-21<<3)>>3]+ +h[7719424+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[1929792]=z}me[s&127](e,7718608,7724464+(x-1<<3)|0)|0;c[1929776]=(c[1929776]|0)+1;c[1929778]=(c[1929778]|0)+1;x=(c[1929808]|0)+1|0;c[1929808]=x;}while((x|0)<=(t|0));x=c[1929780]|0;B=+h[964907];h[1548]=B;c[1929808]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[1929812]=A;c[1929810]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[1929792]=1;y=1;while(1){F=y+1|0;c[1929790]=F;w=c[e>>2]|0;c[1929786]=1;if((w|0)>=1){D=c[1929810]|0;T=1;do{U=(T*21|0)-22|0;h[7718448+(T-1<<3)>>3]=(+h[7719424+(U+D<<3)>>3]+ +h[7719424+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[1929786]=T}me[s&127](e,7718448,10920)|0;c[1929776]=(c[1929776]|0)+1;c[1929778]=(c[1929778]|0)+1;w=c[1929808]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[1929792]|0;ja=U+D|0;c[1929784]=ja;B=+h[1548];h[7722784+(ja-1<<3)>>3]=(+h[1365]+B- +h[7724464+(F<<3)>>3]- +h[7724464+(U-1<<3)>>3])*2.0;F=U+1|0;c[1929792]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[1929808]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[1929780]|0;c[1929784]=0;c[1929808]=1;y=(x|0)<1;if(y){c[1929808]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[7722784+(oa-1<<3)>>3]=(+h[7719256+(ma<<3)>>3]+ha- +h[7724464+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[1929812]=ma+1;c[1929784]=oa;c[1929808]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=7724464+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[7719256+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[1929812]=A+1;c[1929808]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[1929784]=0;c[1929808]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[1929808]=1;if((t|0)>=1){z=1;do{h[7718768+(z-1<<3)>>3]=+h[7719424+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[1929808]=z}c[1929808]=1;do{if(la){c[1929808]=1}else{t=1;do{t=t+1|0;c[1929812]=t;F=c[e>>2]|0;c[1929792]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=7719424+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[7719424+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[1929792]=w}c[1929808]=t;}while((t|0)<=(ka|0));c[1929808]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[1929812]=t;y=c[e>>2]|0;c[1929792]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[7719424+(A+qa<<3)>>3]=+h[7719424+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[1929792]=x}c[1929808]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);sJ(7722784,7719120,7722784,7718288,7719088,p,10160)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2609]=6;o_(10432)|0;YZ()|0}c[p>>2]=2;if((c[1929778]|0)>(c[g>>2]|0)){R=315;break}c[2603]=6;o_(10408)|0;YZ()|0;z=c[e>>2]|0;c[1929808]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[1929808]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2687]=6;o_(10744)|0;FZ(29912,g,4)|0;YZ()|0;c[2681]=6;o_(10720)|0;FZ(29912,10928,8)|0;YZ()|0;c[2675]=6;o_(10696)|0;s=c[e>>2]|0;c[1929808]=1;if((s|0)>=1){z=1;do{FZ(29912,b+(z-1<<3)|0,8)|0;z=(c[1929808]|0)+1|0;c[1929808]=z;}while((z|0)<=(s|0))}YZ()|0;c[2669]=6;o_(10672)|0;FZ(29912,r,8)|0;YZ()|0;return 0}else if((R|0)==229){s=c[1929780]|0;c[1929796]=s-(c[1929772]|0);c[1929808]=1;z=(s|0)<1;do{if(z){h[1268]=0.0;c[1929808]=1;sa=0.0}else{y=s+1|0;w=1;do{h[7719256+(w-1<<3)>>3]=0.0;A=w-1|0;F=7719256+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[7722784+(ta-1<<3)>>3]*+h[7724464+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[1929784]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[1929792]=y;h[1268]=0.0;c[1929808]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[7719256+(w<<3)>>3]*+h[7724464+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1268]=va;c[1929808]=wa;sa=va}}while(0);h[1268]=+h[1548]-sa;r=c[e>>2]|0;c[1929808]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[7718448+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=7718448+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[7719256+(ja-1<<3)>>3]*+h[7719424+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[1929808]=w;c[1929792]=xa}r=c[e>>2]|0;c[1929808]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=7718768+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[7718448+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[1929808]=y}if((c[i>>2]|0)>=0){c[2597]=6;o_(10384)|0;FZ(29912,10144,8)|0;r=c[e>>2]|0;c[1929808]=1;if((r|0)>=1){w=1;do{FZ(29912,7718768+(w-1<<3)|0,8)|0;w=(c[1929808]|0)+1|0;c[1929808]=w;}while((w|0)<=(r|0))}YZ()|0;c[2591]=6;o_(10360)|0;YZ()|0}r=c[e>>2]|0;c[1929808]=1;if((r|0)>=1){w=c[1929780]|0;y=1;do{c[1929792]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[7719256+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=7719256+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[7722784+(za-1<<3)>>3]*+h[7719424+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[1929784]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[1929786]=z;c[1929792]=ja}s=c[e>>2]|0;c[1929792]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=7716608+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[7719256+(Da-1<<3)>>3]*+h[7719424+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[1929792]=U;c[1929784]=Aa;c[1929786]=Ba}y=y+1|0;c[1929808]=y;}while((y|0)<=(r|0))}c[1929792]=0;r=c[e>>2]|0;c[1929808]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[7716608+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[1929792]=y;c[1929808]=w}if((c[i>>2]|0)<0){return 0}c[2585]=6;o_(10336)|0;FZ(29912,7719184,4)|0;YZ()|0;c[1929802]=1;r=1;d:while(1){c[1929784]=r;do{if((r|0)>(c[e>>2]|0)){s=c[1929802]|0;if((s|0)==1){c[2579]=6;o_(10312)|0;YZ()|0;sJ(7716608,7719120,7722784,7718288,7719088,p,10160)|0;c[2573]=6;o_(10288)|0;YZ()|0;c[1929802]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[1929802]=2;c[1929806]=0;c[1929804]=0;s=c[e>>2]|0;c[1929808]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=Faa(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=7716608+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=7716608+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[7716608+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[1929788]=Ja;c[1929804]=Ra;c[1929806]=Ga;c[1929792]=La;c[1929808]=Sa}c[2567]=6;o_(10264)|0;YZ()|0;c[1929806]=0;D=c[e>>2]|0;c[1929808]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=7716608+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[1929806]=Ta;c[1929808]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[1929806]=U;D=c[e>>2]|0;c[1929808]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[1929812]=ja;A=Ca+Da|0;c[1929806]=A;ya=ja+5|0;c[1929810]=(A|0)<=(ya|0)?A:ya;if((c[1929802]|0)==3){c[2549]=6;o_(10192)|0;ya=c[1929810]|0;A=c[1929812]|0;c[1929792]=A;if((A|0)<=(ya|0)){ja=A;do{FZ(29912,7722784+(ja-1<<3)|0,8)|0;ja=(c[1929792]|0)+1|0;c[1929792]=ja;}while((ja|0)<=(ya|0))}YZ()|0}else{c[2555]=6;o_(10216)|0;ya=c[1929810]|0;ja=c[1929812]|0;c[1929792]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{FZ(29912,7716608+(Fa-1<<3)|0,8)|0;Fa=(c[1929792]|0)+1|0;c[1929792]=Fa;}while((Fa|0)<=(ya|0))}YZ()|0}ya=(c[1929808]|0)+1|0;c[1929808]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[1929806]|0;z=c[1929784]|0}}}while(0);c[2543]=6;o_(10168)|0;YZ()|0;r=(c[1929784]|0)+6|0}c[2561]=6;o_(10240)|0;FZ(29912,7719104,4)|0;YZ()|0;return 0}else if((R|0)==315){return 0}}}while(0);me[o&127](e,b,f)|0;return 0}function sJ(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[1928928]=c[b>>2];c[g>>2]=1;if((c[1928928]|0)<1){return 0}c[g>>2]=0;tJ(a,7715712,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[1928928]|0;i=(ga(g+1|0,g)|0)/2|0;c[1928930]=i;c[1928944]=g;c[1928932]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=Faa(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[1928942]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[1928942]=l;j=k}m=j;n=a-1|0}else{c[1928948]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[1928948]=q}c[1928946]=g;c[1928940]=i;c[1928934]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[1928934]=A;z=r-1|0;c[1928946]=z;B=l-1|0;c[1928940]=B;l=B;r=z;s=A}c[1928938]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[1928936]=m;c[1928944]=0;c[1928932]=f-g;return 0}function tJ(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[3631]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[3631]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[3631];c[1934526]=1;c[1934524]=0;l=c[b>>2]|0;c[1934530]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[1934522]=0;c[1934528]=1;do{if((b|0)>=1){n=c[1934524]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[3629]=k;s=(o|0)==(b|0);if(s){j=k*+h[3631];h[3630]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[3629]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[3630]=+h[3630]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[1934522]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[1934522]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[3629];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[1934528]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[1934532]=t;c[1934520]=u;c[1934524]=q;break}else if((B|0)==26){B=0;c[1934532]=t;c[1934520]=u;c[1934524]=q;break}}}while(0);k=+W(+h[3630]);h[3630]=k;F=+h[3629];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[1934524]|0)-1<<3)>>3]=E;E=+h[3630]/+h[3629];h[i+((c[1934532]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[1934524]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[1934530]|0;M=c[1934526]|0}}while(0);m=M+L|0;c[1934526]=m;b=L+1|0;c[1934530]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[1934532]=t;c[1934520]=u;c[1934524]=q;return 0}}while(0);c[f>>2]=0;return 0}function uJ(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[1929126]=l;m=(c[d>>2]|0)-l|0;c[1929124]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[1929128]=q;a[10032]=1;r=c[b>>2]|0;s=r+1|0;c[1929134]=s;t=c[b>>2]|0;u=s+t|0;c[1929136]=u;s=u+(c[b>>2]|0)|0;c[1929132]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[1929146]=u;v=u+(c[d>>2]|0)|0;c[1929144]=v;w=v+(c[b>>2]|0)|0;c[1929142]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[1929140]=x;y=x+(c[d>>2]|0)|0;c[1929150]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[1929130]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[1929148]=A;B=A+(c[b>>2]|0)|0;c[1929138]=B;vJ(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,7716512,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);o_(10040)|0;YZ()|0;return 0}function vJ(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1171]=.5;h[1145]=1.0;h[1133]=.1;F=(c[a>>2]|0)+1|0;c[1929080]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[1929082]=H;I=(c[b>>2]|0)-F|0;c[1929078]=I;F=c[j>>2]|0;c[1929084]=(F|0)<1?1:F;F=c[a>>2]|0;c[1929108]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[1929102]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[1929102]=L}J=c[u>>2]|0;c[1929122]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[1929122]=K}j=j+1|0;c[1929108]=j;}while((j|0)<=(F|0))}c[1929118]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[1929118]=G}G=c[b>>2]|0;c[1929102]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[1929108]=M;c[1929102]=j}N=+h[e>>3];O=N*N;h[1140]=O;h[1143]=+h[1145]/O;h[1142]=+W(+h[1171])/O;c[1929092]=0;j=y;y=A;M=0;a:while(1){c[1929090]=M;G=M-(c[a>>2]|0)|0;c[1929088]=G;F=M+1|0;c[1929092]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[1929112]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[1929104]=K;J=K+H|0;c[1929114]=J;if((J|0)>(c[a>>2]|0)){c[1929112]=K;H=J-(c[a>>2]|0)|0;c[1929104]=H;c[1929114]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1131]=O;K=c[1929080]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1131]=N;R=N}else{R=O}O=+h[e>>3];h[1130]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1130]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1130];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[1929108]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[1929108]=I}if((F|0)>(c[1929084]|0)){T=F;U=158;break}while(1){me[j&127](a,d,9904)|0;if((c[g>>2]|0)==3){o_(9312)|0;FZ(29904,7716368,4)|0;FZ(29904,9904,8)|0;G=c[a>>2]|0;c[1929122]=1;if((G|0)>=1){K=1;do{FZ(29904,d+(K-1<<3)|0,8)|0;K=(c[1929122]|0)+1|0;c[1929122]=K;}while((K|0)<=(G|0))}YZ()|0}G=c[1929092]|0;do{if((G|0)>(c[b>>2]|0)){K=c[1929100]|0;if((K|0)==-1){break a}h[1132]=0.0;c[1929118]=0;J=c[a>>2]|0;c[1929108]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1132]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1135]=N;if((ca|0)==(L|0)){fa=N*+h[1171];h[1135]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1132]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[1929118]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[1929122]=Z;c[1929108]=ja;V=_}X=c[b>>2]|0;c[1929102]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1132]=O;L=L+1|0;}while((L|0)<=(X|0));c[1929102]=L;ka=O}da=+h[1238];N=+h[1175];fa=da-N-ka;h[1247]=fa;h[1244]=+h[1245];h[1245]=+h[1246];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1246]=la;if(+h[1242]>+h[1141]){c[1929086]=G}h[1174]=N;do{if(da<N){h[1175]=da;h[1129]=0.0;X=c[a>>2]|0;c[1929122]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1129]=+h[1129]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[1929122]=ma;h[A>>3]=na}}while(0);c[1929096]=K;if((K|0)<=0){da=+h[1132];if(!(da<0.0)){U=189;break a}N=+h[1238];O=+h[1174];fa=(N-O)/da;h[1144]=fa;da=+h[1133];do{if(fa>da){oa=+h[1171]*+h[1249];h[A>>3]=oa;pa=+h[1242];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1249]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1249]=ra;sa=ra;break}}else{ra=+h[1171]*+h[1242];h[1249]=ra;sa=ra}}while(0);fa=+h[1141];if(sa>fa*1.5){ta=sa}else{h[1249]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1140]=fa;c[1929094]=0;h[1248]=0.0;if(N<O){ua=0.0;va=0}else{L=c[1929098]|0;c[1929094]=L;pa=+h[1145];h[1248]=pa;ua=pa;va=L}L=c[b>>2]|0;c[1929102]=1;if((L|0)<1){wa=K}else{X=c[1929078]|0;H=K;J=1;pa=ua;while(1){h[1170]=0.0;c[1929108]=1;if((X|0)<1){xa=0.0}else{ca=c[1929120]|0;Y=J+C|0;ra=+h[1145];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1135]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1170]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[1929108]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1252]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1135]=za;h[1243]=0.0;Y=c[a>>2]|0;c[1929108]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1243]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[1929108]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1135]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1248]=Ea;c[1929100]=J;Fa=J;Ga=Ea}Y=J+1|0;c[1929102]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}BJ(a,b,s,t,7716480,u,w,10016,7716400,x)|0;J=c[1929100]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1238];c[1929118]=0;L=c[a>>2]|0;c[1929122]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1135]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1135]}ea=ba+Y|0;c[1929118]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[1929108]=Ka;c[1929122]=Na}h[X>>3]=0.0;ba=c[1929078]|0;c[1929108]=1;Y=(ba|0)<1;if(!Y){K=c[1929120]|0;L=1;do{H=ga(L,B)|0;da=+h[1247]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1135]=Oa;ea=c[b>>2]|0;c[1929102]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1135]}c[1929102]=ca}L=L+1|0;c[1929108]=L;}while((L|0)<=(ba|0))}h[1172]=0.0;L=c[a>>2]|0;c[1929122]=1;if((L|0)>=1){K=1;do{da=+h[1247]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1172]=+h[1172]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[1929122]=K;h[A>>3]=Pa}L=c[1929096]|0;do{if((L|0)==0){if(!(+h[1249]==+h[1141])){break}da=+h[1144];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[1929110]=0;break}X=c[b>>2]|0;c[1929102]=1;if((X|0)>=1){aa=o+((c[1929098]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[1929102]=ea}h[1173]=0.0;X=c[a>>2]|0;c[1929122]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1139]=0.0;ca=c[b>>2]|0;c[1929102]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1139]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[1929102]=Ma;Sa=da}h[1173]=+h[1173]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[1929122]=aa;}while((aa|0)<=(X|0));Ra=+h[1173]*100.0}X=(c[1929110]|0)+1|0;c[1929110]=X;if(+h[1172]<Ra){c[1929110]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[1929122]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[1929122]=aa}X=c[1929082]|0;c[1929118]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[1929118]=ea}c[1929108]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[1929102]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[1929102]=Ua;Ta=fa}if((X|0)<(c[1929120]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[1929108]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[1929102]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[1929108]=Va;c[1929102]=ca}c[1929110]=0}}while(0);fa=+h[1238];da=+h[1174];if(fa<da){c[1929098]=J}qa=+h[1133];if(fa<=da+qa*+h[1132]|(L|0)>0){U=54;break}c[1929100]=0;Ha=qa;Ia=+h[1249];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1238];qa=+h[1238];do{if((G|0)==1){h[1237]=qa;h[1175]=qa;c[1929098]=1;Wa=1}else{if(!(qa<+h[1175])){Wa=G;break}h[1175]=qa;c[1929098]=G;Wa=G}}while(0);L=c[1929090]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[1929114]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[1929104]|0;X=K+Y|0;c[1929118]=X;if(+h[1131]<0.0){Y=ba+(c[a>>2]|0)|0;c[1929114]=Y;Xa=Y}else{Xa=ba}if(+h[1130]<0.0){ba=K+(c[a>>2]|0)|0;c[1929104]=ba;Ya=ba}else{Ya=K}K=ga(c[1929088]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1143];h[t+(Wa+C+K<<3)>>3]=+h[1143];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1143];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1143];h[q+(X-1<<3)>>3]=(+h[1237]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1238])/(+h[1131]*+h[1130])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[1929088]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1171]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1171])/+h[e>>3];da=+h[1142];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1142];h[t+(ba+K<<3)>>3]=+h[1142];K=(ga(X+1|0,X)|0)/2|0;c[1929118]=K;da=(+h[1237]- +h[1238])/+h[e>>3];h[1135]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1171]*(+h[ba>>3]+ +h[1135]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1237])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1145])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1145]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1140]*(-0.0- +h[1171]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1141]=qa;h[1249]=qa;c[1929120]=1;h[1246]=0.0;h[1245]=0.0;c[1929110]=0;h[1129]=0.0;L=c[a>>2]|0;c[1929122]=1;if((L|0)<1){U=53;break}J=c[1929098]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1129]=+h[1129]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[1929122]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[1929086]=c[1929092];U=54;continue}else if((U|0)==54){U=0;c[1929100]=0;G=(c[1929080]|0)-1|0;L=c[a>>2]|0;AJ(a,b,l,n,p,q,r,9992,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,1e4)|0;h[1241]=0.0;L=c[a>>2]|0;c[1929122]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1241]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[1929122]=G;_a=qa}da=+h[1249];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1242]=pa;fa=+h[1141];if(!(pa<+h[1171]*fa)){ab=_a;U=62;break}c[1929100]=-1;pa=+h[1133];O=pa*da;h[1249]=O;h[1144]=-1.0;if(O>fa*1.5){bb=O}else{h[1249]=fa;bb=fa}if((c[1929092]|0)<=((c[1929086]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1250]*.125*fa;h[1135]=O;da=+h[1246];N=+h[1245];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1244];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1243]=pa;L=c[b>>2]|0;c[1929102]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1139]=0.0;ba=c[a>>2]|0;c[1929108]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1139]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[1929108]=X;gb=pa}if(gb>fa){c[1929100]=J;h[1243]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[1929102]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1144]>0.0){U=54;continue}fa=+h[1242];qa=+h[1141];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1171];h[1249]=qa;fa=cb/+h[f>>3];h[1144]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1141]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1141]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1141]=ra;kb=ra}}while(0);h[1249]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){o_(9264)|0;YZ()|0}o_(9240)|0;FZ(29904,9128,8)|0;FZ(29904,7716368,4)|0;YZ()|0;o_(9216)|0;FZ(29904,9400,8)|0;J=c[a>>2]|0;c[1929122]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];FZ(29904,y,8)|0;K=(c[1929122]|0)+1|0;c[1929122]=K;}while((K|0)<=(J|0))}YZ()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1171]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1141];qa=ra>=fa?ra:fa;h[1240]=qa;fa=qa*qa;h[1241]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1129];if(!(ab>fa*.001)){h[1134]=fa*.25;J=c[b>>2]|0;c[1929102]=1;if((J|0)>=1){K=1;do{h[1139]=0.0;L=c[a>>2]|0;c[1929122]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1139]=fa;G=G+1|0;}while((G|0)<=(L|0));c[1929122]=G;lb=fa}h[1135]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1171]*+h[1129];h[1139]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[1929122]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1135]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1171]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1139]*+h[n+(K+C+ba<<3)>>3]+ +h[1134]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[1929116]=Y;c[1929108]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[1929108]=H}X=X+1|0;c[1929122]=X;}while((X|0)<=(L|0))}K=K+1|0;c[1929102]=K;}while((K|0)<=(J|0))}J=c[1929078]|0;c[1929102]=1;if((J|0)>=1){K=1;do{h[1136]=0.0;L=c[b>>2]|0;c[1929122]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1136]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[1929122]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1136]}}}while(0);L=c[a>>2]|0;c[1929108]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1134]*+h[1136]*+h[l+(H<<3)>>3];h[1139]=fa;G=c[b>>2]|0;c[1929122]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1139]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[1929122]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[1929120]|0)){h[1139]=-0.0- +h[1139]}G=c[b>>2]|0;c[1929122]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1139]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[1929122]=Ua}X=X+1|0;c[1929108]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[1929122]=1;if((L|0)>=1){X=c[1929120]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[1929116]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1135]=nb;c[1929108]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1135]}c[1929108]=ca}Y=Y+1|0;c[1929122]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[1929102]=K;}while((K|0)<=(J|0))}c[1929118]=0;J=c[a>>2]|0;c[1929108]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[1929102]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1171]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[1929102]=ob}c[1929122]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[1929118]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[1929122]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[1929108]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[1929108]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[1929108]=K}h[1129]=0.0}if((c[1929100]|0)>0){L=(c[1929080]|0)-1|0;NI(a,b,l,n,s,t,7716480,u,7716400,9920,v,10024,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[1929102]=1;if((L|0)>=1){ea=1;do{h[1138]=0.0;h[1137]=0.0;h[1139]=0.0;J=c[a>>2]|0;c[1929108]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1138]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1137]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1139]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[1929108]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1171]+tb);h[w+(J<<3)>>3]=+h[1139];ea=ea+1|0;c[1929102]=ea;}while((ea|0)<=(L|0))}h[1252]=0.0;L=c[1929078]|0;c[1929102]=1;if((L|0)>=1){ea=1;do{h[1139]=0.0;K=c[b>>2]|0;c[1929122]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1139]=pa;J=J+1|0;}while((J|0)<=(K|0));c[1929122]=J;ub=pa}fa=ub*ub;qa=+h[1252];if((ea|0)<(c[1929120]|0)){h[1252]=qa+fa;ra=-0.0-ub;h[1139]=ra;vb=ra}else{h[1252]=qa-fa;vb=ub}K=c[b>>2]|0;c[1929122]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1139]}c[1929122]=ba}ea=ea+1|0;c[1929102]=ea;}while((ea|0)<=(L|0))}h[1251]=0.0;h[1239]=0.0;L=c[a>>2]|0;c[1929108]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1139]=0.0;X=c[b>>2]|0;c[1929122]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1139]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[1929122]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1251]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[1929106]=ba;J=c[a>>2]|0;c[1929102]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1139]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[1929102]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1251]+ +h[1139]*+h[K>>3];h[1251]=pa;ra=+h[1239]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1239]=ra;J=ea+1|0;c[1929108]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1241];h[1252]=+h[1252]+(wb*wb+fa*(wb+(wb+ +h[1129])+fa*+h[1171]))-xb;ea=w+((c[1929098]|0)-1<<3)|0;h[ea>>3]=+h[1145]+ +h[ea>>3];ea=c[1929100]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1145]+ +h[1253]*+h[1252]/(fa*fa);h[1135]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;MI(a,b,l,n,s,t,7716480,u,7716392,7716400,v,x,w,10016,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[1929122]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[1929122]=L}ea=(c[1929092]|0)+1|0;c[1929092]=ea;if((ea|0)>(c[1929084]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[1929092]=T-1;if((c[g>>2]|0)<=0){break}o_(9336)|0;YZ()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}o_(9288)|0;YZ()|0}}while(0);Ab=+h[1175];if(!(Ab>+h[1238])){U=c[a>>2]|0;c[1929122]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[1929122]=T;Bb=+h[1175]}h[1238]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}o_(9192)|0;FZ(29904,7716368,4)|0;YZ()|0;o_(9168)|0;FZ(29904,9904,8)|0;g=c[a>>2]|0;c[1929122]=1;if((g|0)>=1){a=1;do{FZ(29904,d+(a-1<<3)|0,8)|0;a=(c[1929122]|0)+1|0;c[1929122]=a;}while((a|0)<=(g|0))}YZ()|0;i=z;return 0}function wJ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;g=c[e>>2]|0;e=~g;i=c[a>>2]|0;j=c[b>>2]|0;k=(i|0)>(j|0)?j:i;if((k|0)<2){l=j;m=i}else{i=2;j=0;while(1){n=j+2|0;o=d+(g+(ga(g,j)|0)<<3)|0;oaa(o|0,0,((n|0)>2?(n<<3)-8|0:8)|0)|0;n=i+1|0;if((n|0)>(k|0)){break}else{i=n;j=j+1|0}}l=c[b>>2]|0;m=c[a>>2]|0}b=l+1|0;if((m|0)>=(b|0)){j=(m|0)<1;i=m<<3;n=b;b=0;while(1){o=ga(n,g)|0;if(!j){oaa(d+((ga(l+b|0,g)|0)<<3)|0,0,i|0)|0}h[d+(n+e+o<<3)>>3]=1.0;o=n+1|0;if((o|0)>(m|0)){break}else{n=o;b=b+1|0}}}if((k|0)<1){return 0}b=c[a>>2]|0;a=1;do{n=k-a|0;m=n+1|0;i=(m|0)>(b|0);l=ga(m,g)|0;if(!i){j=l+e|0;o=m;do{p=d+(j+o<<3)|0;h[f+(o-1<<3)>>3]=+h[p>>3];h[p>>3]=0.0;o=o+1|0;}while((o|0)<=(b|0))}h[d+(m+e+l<<3)>>3]=1.0;o=f+(n<<3)|0;if(!(+h[o>>3]==0.0|i)){j=m;do{p=(ga(j,g)|0)+e|0;q=m;r=0.0;do{r=r+ +h[d+(p+q<<3)>>3]*+h[f+(q-1<<3)>>3];q=q+1|0;}while((q|0)<=(b|0));s=+h[o>>3];t=r/s;q=(ga(j,g)|0)+e|0;p=m;u=s;while(1){v=d+(q+p<<3)|0;h[v>>3]=+h[v>>3]-t*u;v=p+1|0;if((v|0)>(b|0)){break}s=+h[f+(p<<3)>>3];p=v;u=s}j=j+1|0;}while((j|0)<=(b|0))}a=a+1|0;}while((a|0)<=(k|0));return 0}function xJ(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0.0;j=i;i=i+16|0;n=j|0;o=j+8|0;p=c[e>>2]|0;e=~p;q=+nJ(29896);r=c[b>>2]|0;if((r|0)<1){s=r}else{t=1;do{u=+oJ(a,d+((ga(t,p)|0)-p<<3)|0);v=t-1|0;h[l+(v<<3)>>3]=u;h[k+(v<<3)>>3]=u;h[m+(v<<3)>>3]=u;if((c[f>>2]|0)!=0){c[g+(v<<2)>>2]=t}t=t+1|0;}while((t|0)<=(r|0));s=c[b>>2]|0}r=c[a>>2]|0;t=(r|0)>(s|0)?s:r;if((t|0)<1){i=j;return 0}else{w=1}while(1){do{if((c[f>>2]|0)!=0){r=c[b>>2]|0;c[n>>2]=r;if((w|0)>(r|0)){break}else{x=w;y=w}do{y=+h[k+(x-1<<3)>>3]>+h[k+(y-1<<3)>>3]?x:y;x=x+1|0;}while((x|0)<=(r|0));if((y|0)==(w|0)){break}r=c[a>>2]|0;c[n>>2]=r;if((r|0)>=1){s=(ga(w,p)|0)+e|0;l=(ga(y,p)|0)+e|0;v=1;do{z=d+(s+v<<3)|0;u=+h[z>>3];A=d+(l+v<<3)|0;h[z>>3]=+h[A>>3];h[A>>3]=u;v=v+1|0;}while((v|0)<=(r|0))}r=w-1|0;v=y-1|0;h[k+(v<<3)>>3]=+h[k+(r<<3)>>3];h[m+(v<<3)>>3]=+h[m+(r<<3)>>3];l=g+(r<<2)|0;r=c[l>>2]|0;s=g+(v<<2)|0;c[l>>2]=c[s>>2];c[s>>2]=r}}while(0);c[n>>2]=1-w+(c[a>>2]|0);r=ga(w,p)|0;s=w+e|0;l=d+(s+r<<3)|0;u=+oJ(n,l);a:do{if(u==0.0){B=u;C=w+1|0}else{D=+h[l>>3];if(D<0.0){E=-0.0-u}else{E=u}v=c[a>>2]|0;c[n>>2]=v;if((w|0)>(v|0)){F=D}else{A=r+e|0;z=w;do{G=d+(A+z<<3)|0;h[G>>3]=+h[G>>3]/E;z=z+1|0;}while((z|0)<=(v|0));F=+h[l>>3]}h[l>>3]=F+1.0;z=w+1|0;A=c[b>>2]|0;if((A|0)<(z|0)){B=E;C=z;break}c[n>>2]=A;G=z+e|0;H=r+e|0;I=z;J=A;A=v;while(1){c[o>>2]=A;K=(w|0)>(A|0);do{if(K){c[o>>2]=A}else{L=(ga(I,p)|0)+e|0;M=w;D=0.0;do{D=D+ +h[d+(H+M<<3)>>3]*+h[d+(L+M<<3)>>3];M=M+1|0;}while((M|0)<=(A|0));N=D/+h[l>>3];c[o>>2]=A;if(K){break}M=(ga(I,p)|0)+e|0;L=w;do{O=d+(M+L<<3)|0;h[O>>3]=+h[O>>3]-N*+h[d+(H+L<<3)>>3];L=L+1|0;}while((L|0)<=(A|0))}}while(0);do{if((c[f>>2]|0)==0){P=J}else{K=I-1|0;L=k+(K<<3)|0;N=+h[L>>3];if(N==0.0){P=J;break}M=ga(I,p)|0;D=+h[d+(s+M<<3)>>3]/N;Q=1.0-D*D;D=N*+W(Q<=0.0?0.0:Q);h[L>>3]=D;O=m+(K<<3)|0;Q=D/+h[O>>3];if(Q*Q*.05>q){P=J;break}c[o>>2]=A-w;Q=+oJ(o,d+(G+M<<3)|0);h[L>>3]=Q;h[O>>3]=Q;P=c[n>>2]|0}}while(0);O=I+1|0;if((O|0)>(P|0)){B=E;C=z;break a}I=O;J=P;A=c[a>>2]|0}}}while(0);h[k+(w-1<<3)>>3]=-0.0-B;if((C|0)>(t|0)){break}else{w=C}}i=j;return 0}function yJ(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0;i=c[e>>2]|0;e=~i;j=c[b>>2]|0;b=j-1|0;if((b|0)<1){return 0}k=c[a>>2]|0;l=(k|0)<1;m=1;n=0.0;o=0.0;while(1){p=j-m|0;q=+h[f+(p-1<<3)>>3];r=q<0.0;if(r){s=-0.0-q}else{s=q}if(s>1.0){t=1.0/q}else{t=n}if(r){u=-0.0-q}else{u=q}if(u>1.0){v=+W(1.0-t*t)}else{v=o}if(r){w=-0.0-q;x=q<-1.0?v:q}else{w=q;x=q>1.0?v:q}if(w>1.0){y=t}else{y=+W(1.0-x*x)}if(!l){r=(ga(p,i)|0)+e|0;p=ga(j,i)|0;z=1;do{A=d+(r+z<<3)|0;q=+h[A>>3];B=d+(z+e+p<<3)|0;C=+h[B>>3];h[B>>3]=x*q+y*C;h[A>>3]=y*q-x*C;z=z+1|0;}while((z|0)<=(k|0))}z=m+1|0;if((z|0)>(b|0)){break}else{m=z;n=y;o=x}}m=c[a>>2]|0;a=(m|0)<1;k=1;o=y;y=x;while(1){x=+h[g+(k-1<<3)>>3];l=x<0.0;if(l){D=-0.0-x}else{D=x}if(D>1.0){E=1.0/x}else{E=o}if(l){F=-0.0-x}else{F=x}if(F>1.0){G=+W(1.0-E*E)}else{G=y}if(l){H=-0.0-x;I=x<-1.0?G:x}else{H=x;I=x>1.0?G:x}if(H>1.0){J=E}else{J=+W(1.0-I*I)}if(!a){l=(ga(k,i)|0)+e|0;f=ga(j,i)|0;x=-0.0-I;z=1;do{p=d+(l+z<<3)|0;n=+h[p>>3];r=d+(z+e+f<<3)|0;t=+h[r>>3];h[r>>3]=n*x+J*t;h[p>>3]=J*n+I*t;z=z+1|0;}while((z|0)<=(m|0))}z=k+1|0;if((z|0)>(b|0)){break}else{k=z;o=J;y=I}}return 0}function zJ(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0;k=+nJ(29760);e=c[b>>2]|0;l=c[a>>2]|0;m=(ga(1-e+(l<<1)|0,e)|0)/2|0;n=m+(e-l)|0;if((e|0)<=(l|0)){o=e;p=n;while(1){h[i+(o-1<<3)>>3]=+h[d+(p-1<<3)>>3];q=o+1|0;if((q|0)>(l|0)){break}else{o=q;p=p+1|0}}}p=e-1|0;o=(p|0)<1;if(o){r=n}else{q=e-2|0;s=e-3|0;t=(e<<1)+m+(ga(q,s-l|0)|0)-2-l|0;m=Faa(q,0,s,0)|0;s=m>>>1|K<<31;m=n;n=1;do{q=e-n|0;m=m-1+q-l|0;u=q-1|0;h[i+(u<<3)>>3]=0.0;v=g+(u<<3)|0;w=+h[v>>3];do{if(!(w==0.0)){u=g+(p<<3)|0;x=+h[u>>3];if(x<0.0){y=-0.0-x}else{y=x}if(w<0.0){z=-0.0-w}else{z=w}do{if(y<z){A=x/w;B=.5/+W(A*A*.25+.25);C=A*B;if(C<0.0){D=-0.0-C}else{D=C}if(!(k*D>1.0)){E=1.0;F=B;G=C;break}E=1.0/C;F=B;G=C}else{C=w/x;B=.5/+W(C*C*.25+.25);A=C*B;E=A;F=A;G=B}}while(0);h[u>>3]=F*w+G*x;h[v>>3]=E;if((q|0)>(l|0)){break}else{H=q;I=m}while(1){J=d+(I-1<<3)|0;B=+h[J>>3];L=i+(H-1<<3)|0;A=+h[L>>3];h[L>>3]=F*B+G*A;h[J>>3]=G*B-F*A;J=H+1|0;if((J|0)>(l|0)){break}else{H=J;I=I+1|0}}}}while(0);n=n+1|0;}while((n|0)<=(p|0));r=t-l-s|0}if((l|0)>=1){s=g+(p<<3)|0;g=1;do{t=g-1|0;n=i+(t<<3)|0;h[n>>3]=+h[n>>3]+ +h[s>>3]*+h[f+(t<<3)>>3];g=g+1|0;}while((g|0)<=(l|0))}c[j>>2]=0;if(o){M=r}else{o=1;l=r;while(1){r=i+(o-1<<3)|0;F=+h[r>>3];g=d+(l-1<<3)|0;if(!(F==0.0)){G=+h[g>>3];if(G<0.0){N=-0.0-G}else{N=G}if(F<0.0){O=-0.0-F}else{O=F}do{if(N<O){E=G/F;D=.5/+W(E*E*.25+.25);z=E*D;if(z<0.0){P=-0.0-z}else{P=z}if(!(k*P>1.0)){Q=1.0;R=D;S=z;break}Q=1.0/z;R=D;S=z}else{z=F/G;D=.5/+W(z*z*.25+.25);E=z*D;Q=E;R=E;S=D}}while(0);f=c[a>>2]|0;a:do{if((o|0)<=(f|0)){D=-0.0-R;s=o;t=l;E=G;z=F;while(1){h[i+(s-1<<3)>>3]=E*D+S*z;h[d+(t-1<<3)>>3]=S*E+R*z;n=s+1|0;if((n|0)>(f|0)){break a}y=+h[d+(t<<3)>>3];w=+h[i+(s<<3)>>3];s=n;t=t+1|0;E=y;z=w}}}while(0);h[r>>3]=Q}if(+h[g>>3]==0.0){c[j>>2]=1}f=1-o+l+(c[a>>2]|0)|0;t=o+1|0;if((t|0)>(p|0)){M=f;break}else{o=t;l=f}}}l=c[a>>2]|0;a=c[b>>2]|0;if((a|0)<=(l|0)){b=a;a=M;while(1){h[d+(a-1<<3)>>3]=+h[i+(b-1<<3)>>3];o=b+1|0;if((o|0)>(l|0)){break}else{b=o;a=a+1|0}}}if(!(+h[d+(M-1<<3)>>3]==0.0)){return 0}c[j>>2]=1;return 0}function AJ(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[1928916]=0;k=c[b>>2]|0;c[1928914]=k;c[1928912]=k;u=c[b>>2]|0;c[1928922]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[1928922]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[1928922]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[1928922]=u}x=c[d>>2]|0;c[1928908]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[1928910]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[1928910]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[1928922]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[1928922]=D}e=e+1|0;c[1928908]=e;}while((e|0)<=(x|0))}c[1928920]=0;x=c[b>>2]|0;c[1928910]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[1928920]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[1928922]=G;c[1928910]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[1928922]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[1928922]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[1928922]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[1928922]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[1928918]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[1928922]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[1928918]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[1928922]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[1928922]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[1928922]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[1928910]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[1928910]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[1928922]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[1928922]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[1928922]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[1928922]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[1928912]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[1928922]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[1928922]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[1928916]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[1928922]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[1928922]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[1928916]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}



function yU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=ZU(c|0)|0;c=$U(k,1)|0;aV(g,k);_U(f,c,g);bV(0,jS((cV(f)|0)+16|0)|0,d);d=dV(f)|0;a[d+4|0]=1;eV(0,QU((cV(f)|0)+28|0)|0);a[d+5|0]=1;fV(j,f);zU(h,j);xU(b,h);AU(j);AU(f);i=e;return}function zU(a,b){a=a|0;b=b|0;XU(a,b);return}function AU(a){a=a|0;LU(a);return}function BU(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;aN(f|0);c[e>>2]=0;aN(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=rU(a)|0;b=c[c[e>>2]>>2]|0;aN(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(RS(a)|0)>>2]|0;MO(e,c[d>>2]|0);d=IU(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function CU(a){a=a|0;return c[(GU(a|0)|0)>>2]|0}function DU(a){a=a|0;var b=0;b=EU(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function EU(a){a=a|0;return FU(a|0)|0}function FU(a){a=a|0;return a|0}function GU(a){a=a|0;return HU(a|0)|0}function HU(a){a=a|0;return a|0}function IU(a){a=a|0;return JU(a+8|0)|0}function JU(a){a=a|0;return KU(a|0)|0}function KU(a){a=a|0;return a|0}function LU(a){a=a|0;MU(a,0);return}function MU(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=EU(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}OU(NU(d)|0,e);return}function NU(a){a=a|0;return WU(a|0)|0}function OU(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;PU(e,QU(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;RU(e,jS(d+16|0)|0)}if((d|0)==0){return}SU(c[b>>2]|0,d,1);return}function PU(a,b){a=a|0;b=b|0;a=i;i=i+8|0;VU(a|0,0,b);i=a;return}function QU(a){a=a|0;return a|0}function RU(a,b){a=a|0;b=b|0;a=i;i=i+8|0;UU(a|0,0,b);i=a;return}function SU(a,b,c){a=a|0;b=b|0;c=c|0;TU(0,b,0);return}function TU(a,b,c){a=a|0;b=b|0;c=c|0;T9(b);return}function UU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;G$(d);i=c;return}function VU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;G$(d);i=c;return}function WU(a){a=a|0;return a+4|0}function XU(a,b){a=a|0;b=b|0;YU(a,b);return}function YU(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function ZU(a){a=a|0;return qV(a+4|0)|0}function _U(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];iV(a,b,d);i=e;return}function $U(a,b){a=a|0;b=b|0;return hV(0,b,0)|0}function aV(a,b){a=a|0;b=b|0;gV(a,b);return}function bV(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}w$(b,c);return}function cV(a){a=a|0;return c[(GU(a|0)|0)>>2]|0}function dV(a){a=a|0;return NU(a|0)|0}function eV(a,b){a=a|0;b=b|0;if((b|0)==0){return}u$(b);return}function fV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;XU(f,b);xU(e,f);zU(d,e);xU(a,d);AU(e);i=c;return}function gV(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function hV(a,b,c){a=a|0;b=b|0;c=c|0;return R9(b*40|0)|0}function iV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(kV(f)|0)>>2]|0;f=lV(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;jV(a|0,b,g);i=e;return}function jV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];mV(a,b,d);i=e;return}function kV(a){a=a|0;return a|0}function lV(a){a=a|0;return a|0}function mV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(oV(f)|0)>>2]|0;f=pV(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;nV(a|0,b,g);i=e;return}function nV(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(oV(f)|0)>>2];f=pV(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function oV(a){a=a|0;return a|0}function pV(a){a=a|0;return a|0}function qV(a){a=a|0;return rV(a|0)|0}function rV(a){a=a|0;return a|0}function sV(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=DU(tV(b)|0)|0;g=pV(dV(tV(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;jV(a|0,f,e);i=d;return}function tV(a){a=a|0;return c[a>>2]|0}function uV(a){a=a|0;vV(a|0);return}function vV(a){a=a|0;wV(a);return}function wV(a){a=a|0;xV(a,YS(a)|0);return}function xV(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;aN(d|0);if((b|0)==0){i=d;return}xV(a,c[b>>2]|0);xV(a,c[b+4>>2]|0);e=ZU(a)|0;yV(e,zV(b+16|0)|0);SU(e,b,1);i=d;return}function yV(a,b){a=a|0;b=b|0;a=i;i=i+8|0;AV(a|0,0,b);i=a;return}function zV(a){a=a|0;return a|0}function AV(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;BV(d);i=c;return}function BV(a){a=a|0;CV(a);return}function CV(a){a=a|0;DV(a|0);return}function DV(a){a=a|0;EV(a);return}function EV(a){a=a|0;G$(a+12|0);G$(a|0);return}function FV(a){a=a|0;GV(a+180|0);GV(a+168|0);GV(a+156|0);GV(a+144|0);GV(a+132|0);GV(a+120|0);GV(a+108|0);GV(a+96|0);GV(a+84|0);GV(a+72|0);GV(a+60|0);GV(a+48|0);GV(a+36|0);GV(a+24|0);VQ(a+12|0);VQ(a|0);return}function GV(a){a=a|0;HV(a);return}function HV(a){a=a|0;IV(a|0);return}function IV(a){a=a|0;JV(a);return}function JV(a){a=a|0;KV(a,lU(a)|0);return}function KV(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;aN(d|0);if((b|0)==0){i=d;return}KV(a,c[b>>2]|0);KV(a,c[b+4>>2]|0);e=QT(a)|0;LV(e,MV(b+16|0)|0);KT(e,b,1);i=d;return}function LV(a,b){a=a|0;b=b|0;a=i;i=i+8|0;NV(a|0,0,b);i=a;return}function MV(a){a=a|0;return a|0}function NV(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;OV(d);i=c;return}function OV(a){a=a|0;PV(a);return}function PV(a){a=a|0;QV(a|0);return}function QV(a){a=a|0;RV(a);return}function RV(a){a=a|0;VQ(a+4|0);return}function SV(a){a=a|0;TV(a|0);return}function TV(a){a=a|0;UV(a);return}function UV(a){a=a|0;VV(a,IR(a)|0);return}function VV(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;aN(d|0);if((b|0)==0){i=d;return}VV(a,c[b>>2]|0);VV(a,c[b+4>>2]|0);e=qS(a)|0;WV(e,vR(b+16|0)|0);kS(e,b,1);i=d;return}function WV(a,b){a=a|0;b=b|0;a=i;i=i+8|0;XV(a|0,0,b);i=a;return}function XV(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;YV(d);i=c;return}function YV(a){a=a|0;ZV(a);return}function ZV(a){a=a|0;_V(a|0);return}function _V(a){a=a|0;$V(a);return}function $V(a){a=a|0;G$(a|0);return}function aW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;bW(a|0);dW(d,b);eW(e,b);cW(a,d,e);i=c;return a|0}function bW(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;xV(a,YS(a)|0);c[(IU(a)|0)>>2]=0;d=RS(a)|0;c[(rU(a)|0)>>2]=d;aN(b|0);c[d>>2]=0;i=b;return}function cW(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;mW(f,a);if(!(nW(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;fW(g,h);oW(j,a,g,pW(b)|0);qW(b)|0;}while(nW(b,d)|0);i=e;return}function dW(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;kW(d,b|0);fW(a,d);i=c;return}function eW(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;gW(d,b|0);fW(a,d);i=c;return}function fW(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];jW(a,b);i=d;return}function gW(a,b){a=a|0;b=b|0;hW(a,XQ(b)|0);return}function hW(a,b){a=a|0;b=b|0;iW(a,b);return}function iW(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function jW(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function kW(a,b){a=a|0;b=b|0;hW(a,c[(lW(b)|0)>>2]|0);return}function lW(a){a=a|0;return a|0}function mW(a,b){a=a|0;b=b|0;eW(a,b);return}function nW(a,b){a=a|0;b=b|0;return wX(a|0,b|0)|0}function oW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];yW(j,e);xW(g,b|0,h,j);OS(a,g);BV(j);i=f;return}function pW(a){a=a|0;return uW(a|0)|0}function qW(a){a=a|0;rW(a|0)|0;return a|0}function rW(a){a=a|0;var b=0;b=a|0;c[b>>2]=sW(c[b>>2]|0)|0;return a|0}function sW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;aN(b|0);if((e|0)==0){e=a;while(1){a=QO(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=tW(c[d>>2]|0)|0;i=b;return g|0}return 0}function tW(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;aN(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;aN(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function uW(a){a=a|0;return vW((c[a>>2]|0)+16|0)|0}function vW(a){a=a|0;return wW(a)|0}function wW(a){a=a|0;return a|0}function xW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=CW(b,h,g,e)|0;h=c[d>>2]|0;aN(f+16|0);if((h|0)!=0){m=h;QS(a,m);i=f;return}EW(l,b,e);FW(k,l);DW(j,k);GW(l);l=c[g>>2]|0;BU(b,l,d,HW(j)|0);d=IW(j)|0;GW(j);m=d;QS(a,m);i=f;return}function yW(a,b){a=a|0;b=b|0;zW(a,b);return}function zW(a,b){a=a|0;b=b|0;AW(a|0,b);return}function AW(a,b){a=a|0;b=b|0;BW(a,b);return}function BW(a,b){a=a|0;b=b|0;w$(a|0,b|0);w$(a+12|0,b+12|0);return}function CW(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;PS(h,a);kX(g,h);do{if(!(jX(b,g)|0)){h=_S(a)|0;s=mX(b)|0;if(lX(h,e,s)|0){break}t=lX(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;qX(n,o,1,0);PS(q,a);kX(p,q);do{if(!(jX(n,p)|0)){if(lX(h,e,mX(n)|0)|0){break}u=pX(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;aN(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;nX(l,a);kX(k,l);do{if(!(jX(j,k)|0)){l=_S(a)|0;if(lX(l,mX(oX(j)|0)|0,e)|0){break}u=pX(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;aN(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function DW(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];hX(a,b);i=d;return}function EW(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=ZU(c)|0;c=$U(k,1)|0;VW(g,k);UW(f,c,g);WW(0,zV((XW(f)|0)+16|0)|0,d);a[(YW(f)|0)+4|0]=1;ZW(j,f);FW(h,j);DW(b,h);GW(j);GW(f);i=e;return}function FW(a,b){a=a|0;b=b|0;SW(a,b);return}function GW(a){a=a|0;NW(a);return}function HW(a){a=a|0;return c[(LW(a|0)|0)>>2]|0}function IW(a){a=a|0;var b=0;b=JW(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function JW(a){a=a|0;return KW(a|0)|0}function KW(a){a=a|0;return a|0}function LW(a){a=a|0;return MW(a|0)|0}function MW(a){a=a|0;return a|0}function NW(a){a=a|0;OW(a,0);return}function OW(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=JW(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}QW(PW(d)|0,e);return}function PW(a){a=a|0;return RW(a|0)|0}function QW(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;yV(e,zV(d+16|0)|0)}if((d|0)==0){return}SU(c[b>>2]|0,d,1);return}function RW(a){a=a|0;return a+4|0}function SW(a,b){a=a|0;b=b|0;TW(a,b);return}function TW(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function UW(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];bX(a,b,d);i=e;return}function VW(a,b){a=a|0;b=b|0;aX(a,b);return}function WW(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}_W(b,c);return}function XW(a){a=a|0;return c[(LW(a|0)|0)>>2]|0}function YW(a){a=a|0;return PW(a|0)|0}function ZW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;SW(f,b);DW(e,f);FW(d,e);DW(a,d);GW(e);i=c;return}function _W(a,b){a=a|0;b=b|0;$W(a,b);return}function $W(a,b){a=a|0;b=b|0;AW(a|0,b|0);return}function aX(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function bX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(kV(f)|0)>>2]|0;f=dX(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;cX(a|0,b,g);i=e;return}function cX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];eX(a,b,d);i=e;return}function dX(a){a=a|0;return a|0}function eX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(oV(f)|0)>>2]|0;f=gX(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;fX(a|0,b,g);i=e;return}function fX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(oV(f)|0)>>2];f=gX(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function gX(a){a=a|0;return a|0}function hX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=IW(iX(b)|0)|0;g=gX(YW(iX(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;cX(a|0,f,e);i=d;return}function iX(a){a=a|0;return c[a>>2]|0}function jX(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function kX(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];vX(a,b);i=d;return}function lX(a,b,c){a=a|0;b=b|0;c=c|0;return aR(0,b|0,c|0)|0}function mX(a){a=a|0;return(c[a>>2]|0)+16|0}function nX(a,b){a=a|0;b=b|0;QS(a,c[(rU(b)|0)>>2]|0);return}function oX(a){a=a|0;var b=0;b=a|0;c[b>>2]=tX(c[b>>2]|0)|0;return a|0}function pX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=YS(a)|0;aN(e|0);if((h|0)==0){j=RS(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=_S(a)|0;a=h;while(1){h=a+16|0;if(lX(j,d,h)|0){l=a|0;m=c[l>>2]|0;aN(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(lX(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;aN(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function qX(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];rX(b,d);c[a>>2]=c[b>>2];i=e;return}function rX(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;sX(a,b,c|0);i=c;return}function sX(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{oX(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{rW(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function tX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;aN(b|0);if((e|0)==0){e=a;while(1){a=QO(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=uX(c[d>>2]|0)|0;i=b;return g|0}return 0}function uX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;aN(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;aN(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function vX(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function wX(a,b){a=a|0;b=b|0;return(jX(a,b)|0)^1|0}function xX(a){a=a|0;var b=0;b=i;i=i+128|0;NQ(a|0,b|0);NQ(a+12|0,b+8|0);yX(a+24|0,b+16|0);yX(a+36|0,b+24|0);yX(a+48|0,b+32|0);yX(a+60|0,b+40|0);yX(a+72|0,b+48|0);yX(a+84|0,b+56|0);yX(a+96|0,b+64|0);yX(a+108|0,b+72|0);yX(a+120|0,b+80|0);yX(a+132|0,b+88|0);yX(a+144|0,b+96|0);yX(a+156|0,b+104|0);yX(a+168|0,b+112|0);yX(a+180|0,b+120|0);i=b;return}function yX(a,b){a=a|0;b=b|0;zX(a,0);return}function zX(a,b){a=a|0;b=b|0;b=i;i=i+8|0;AX(a|0,b|0);i=b;return}function AX(a,b){a=a|0;b=b|0;BX(a,0);return}function BX(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;CX(a+4|0);DX(a+8|0,0,b|0);d=yT(a)|0;c[(xT(a)|0)>>2]=d;i=b;return}function CX(a){a=a|0;GX(a);return}function DX(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;EX(b,c,d);i=e;return}function EX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;FX(b|0,c[(EP(g)|0)>>2]|0,f+8|0);i=f;return}function FX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(EP(g)|0)>>2];i=f;return}function GX(a){a=a|0;HX(a|0);return}function HX(a){a=a|0;HP(a|0);return}function IX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[1929036]|0;if((h|0)==0){j=0}else{k=R9(12)|0;A$(k,h);j=k}if((c[1929077]|0)!=0){c[1928952]=1}if((j|0)==0){c[1928867]=1;c[1928868]=1;i=b;return}do{if((c0(j,7684624,0)|0)==-1){w$(a,j);u$(d);k=c[4786]|0;h=(k|0)<28;while(1){l=c0(a,7692960,0)|0;m=(l|0)!=-1;if(m){a0(e,a,0,l);H$(d,e)|0;G$(e);a0(f,a,l+1|0,-1);H$(a,f)|0;G$(f)}else{H$(d,a)|0}if(h){n=k;o=1}else{break}while(1){A$(g,c[7714104+(n<<2)>>2]|0);l=JX(d,g)|0;G$(g);if(l){c[7715464+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){G$(d);G$(a);break}hH(1,1,7678832,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[7714216+(r<<2)>>2]|0;hH(1,0,7667616,(l=i,i=i+16|0,c[l>>2]=c[7714104+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}he[c[3556]&511](1);r=b0(j)|0;jH(0,7656736,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[7715464+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[1928867]=1;c[1928868]=1;if((c[1928875]|0)!=0){c[1928890]=1}if((c[1928889]|0)==1){c[1928891]=1}if((c[1928884]|0)!=0){c[1928883]=1}if((c[1928886]|0)!=0){c[1928883]=1}if((c[1928874]|0)!=0){c[1928873]=1}if((c[1928885]|0)!=0){c[1928883]=1}if((c[1928872]|0)!=0){c[1928871]=1}G$(j);T9(j);i=b;return}function JX(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=E$(b)|0;if((d|0)!=(E$(c)|0)){e=0;return e|0}f=F$(b)|0;g=F$(c)|0;if(x$(b)|0){e=(cR(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function KX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[1929038]|0;if((a|0)==0){d=1;i=b;return d|0}e=R9(12)|0;f=e;A$(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(LX(f,c[7710280+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=b0(f)|0;hH(1,1,7648960,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[1927577]|0;hH(1,0,7667616,(f=i,i=i+16|0,c[f>>2]=c[1927571],c[f+8>>2]=g,f)|0);i=f;g=c[1927578]|0;hH(1,0,7667616,(f=i,i=i+16|0,c[f>>2]=c[1927572],c[f+8>>2]=g,f)|0);i=f;g=c[1927579]|0;hH(1,0,7667616,(f=i,i=i+16|0,c[f>>2]=c[1927573],c[f+8>>2]=g,f)|0);i=f;he[c[3556]&511](1);jH(0,7641632,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function LX(a,b){a=a|0;b=b|0;return(e0(a,b)|0)==0|0}function MX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[1929034]|0;if((e|0)==0){f=1;i=b;return f|0}g=R9(12)|0;h=g;A$(h,e);if((g|0)==0){f=1;i=b;return f|0}A$(a,7635512);g=JX(h,a)|0;G$(a);if(g){f=1;i=b;return f|0}A$(d,7629648);g=JX(h,d)|0;G$(d);if(g){f=2;i=b;return f|0}else{f=b0(h)|0;hH(1,1,7623728,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;hH(1,0,7667616,(h=i,i=i+16|0,c[h>>2]=7635512,c[h+8>>2]=7699528,h)|0);i=h;hH(1,0,7667616,(h=i,i=i+16|0,c[h>>2]=7629648,c[h+8>>2]=7694840,h)|0);i=h;he[c[3556]&511](1);jH(0,7641632,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function NX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;P1(e,a);do{if(S1(e)|0){h=kR(b)|0;$X(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((eN(m)|0)&176|0)==32){n=b+h|0}else{n=b}cY(g,f,b,n,b+h|0,m,A0(l)|0);if(!(aY(g)|0)){break}u0(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);Q1(e);i=d;return a|0}function OX(a){a=a|0;V1(a,B0(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;C1(a)|0;return a|0}function PX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;A$(h,d);p0(k,7688384,h);rQ(j,k,7686744);G$(k);k=b0(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((jaa(c[n+4>>2]|0,7685528)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((jaa(k,7684176)|0)==0){G$(j);G$(h);i=f;return}d=T8(g,k,1)|0;if((d|0)!=0){m=l|0;oaa(m|0,0,2048)|0;e9(d,g,m,2048)|0;T1(NX(NX(NX(NX(NX(7742488,7683040)|0,k)|0,7682272)|0,m)|0,7681440)|0,2)|0;G$(j);G$(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(f9(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(f9(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(f9(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(f9(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(f9(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(f9(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(f9(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(f9(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(f9(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(f9(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(f9(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(f9(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}X8(g);G$(j);G$(h);i=f;return}function QX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[1929062]|0;A=c[1929032]|0;B=c[1931172]|0;if((c[1928891]|0)==0){if(!((c[1929050]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[1931172]=1}C=d+248|0;D=d+240|0;E=~~+yb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;fH(23,0,7680448,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[1929019]|0;do{if((E|0)==0){G=0}else{if((jaa(E,7679400)|0)==0){G=1;break}if((jaa(E,7678240)|0)==0){G=0;break}if((jaa(E,7677344)|0)==0){G=2;break}hH(1,0,7675752,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((xI(G)|0)!=0){hH(1,0,7674760,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[1931172]|0)!=0){_Y(d+56|0);CI((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);yI(0);yI(6);zI(3);zI(4);zI(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+faa(A)}h[C>>3]=H;fH(1,0,7673624,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[1929076]|0)!=0){C=R9(12)|0;A=C;A$(A,c[1929046]|0);if((C|0)==0){break}C=b0(A)|0;c[d+280>>2]=C;fH(23,0,7672568,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[1929045]|0;u$(a);if((C|0)==0){A$(g,c[d+88>>2]|0);A$(j,7671720);RX(f,g,j);rQ(e,f,c[d+284>>2]|0);H$(a,e)|0;G$(e);G$(f);G$(j);G$(g)}else{I$(a,C)|0}A$(k,7738624);A$(l,7738624);A$(m,7738624);A$(n,7738624);A$(o,7738624);A$(p,7738624);C=c[1929050]|0;if((c[1929054]|0)!=0){I$(k,c[1929024]|0)|0}if((c[1929058]|0)!=0){I$(l,c[1929028]|0)|0}if((c[1929053]|0)!=0){I$(m,c[1929023]|0)|0}if((c[1929055]|0)==0){I=0.0}else{I$(n,c[1929025]|0)|0;I=+faa(b0(n)|0)}if((c[1929056]|0)==0){J=1}else{I$(o,c[1929026]|0)|0;J=bd(b0(o)|0)|0}if((c[1929071]|0)!=0){I$(p,c[1929041]|0)|0}w$(q,a);w$(r,k);w$(s,l);w$(t,m);w$(u,p);g=SX(d,q,r,s,t,I,J,u,C)|0;G$(u);G$(t);G$(s);G$(r);G$(q);if((g|0)!=0|E^1){K=g}else{yI(5);g=pY(d)|0;BI(5);fH(1,0,7669272,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[1931172]=B;if(!((K|0)==0&(B|0)!=0)){L=K;G$(p);G$(o);G$(n);G$(m);G$(l);G$(k);G$(a);i=b;return L|0}K=d+88|0;A$(w,c[K>>2]|0);rQ(v,w,7668464);G$(w);A$(y,c[K>>2]|0);rQ(x,y,7666680);G$(y);BI(0);y=c[1929037]|0;K=b0(v)|0;w=b0(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;OY(d,K,w,(y|0)!=0?y:7665416,B,g,b0(a)|0)|0;G$(x);G$(v);L=0;G$(p);G$(o);G$(n);G$(m);G$(l);G$(k);G$(a);i=b;return L|0}function RX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;v$(a,d|0);e=E$(b)|0;f=E$(c)|0;f0(a,F$(b)|0,e,f+e|0);Z$(a,F$(c)|0,f)|0;i=d;return}function SX(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((E$(j)|0)==0){p=0}else{p=b0(j)|0}w$(m,b);b=(TX(a,m,k)|0)==0;G$(m);if(!b){q=-1;i=l;return q|0}A$(n,7738624);b=a+280|0;m=LX(n,c[b>>2]|0)|0;G$(n);do{if(m){r=3}else{n=0;k=1;do{A$(o,c[7709992+(k<<2)>>2]|0);j=LX(o,c[b>>2]|0)|0;G$(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}hH(1,0,7657504,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;hH(1,0,7678832,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[7710072+(k<<2)>>2]|0;hH(1,0,7667616,(s=i,i=i+16|0,c[s>>2]=c[7709992+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);jH(c[a+536>>2]|0,7641632,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);fH(23,0,7656152,(s=i,i=i+8|0,c[s>>2]=c[7709992+(r<<2)>>2],s)|0);i=s;s=b0(d)|0;d=b0(e)|0;e=uL(a,s,d,b0(f)|0,g,h,r,p)|0;ie[c[2007]&255](8e3,a);q=e;i=l;return q|0}function TX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Wc(b0(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[1928950]|0)==0){f=c[d>>2]|0;if((jaa(7664088,f)|0)==0){g=0;break}if((jaa(7663184,f)|0)==0){c[2004]=76;c[2005]=28;c[2007]=32;g=0;break}if((jaa(7662072,f)|0)==0){c[2004]=36;c[2005]=152;c[2006]=110;c[2007]=10;g=1;break}if((jaa(7660968,f)|0)==0){c[2004]=86;c[2005]=34;c[2006]=60;c[2007]=48;g=1;break}if((jaa(7659928,f)|0)==0){c[2004]=118;c[2005]=148;c[2007]=108;g=0;break}f=NX(7742488,7659136)|0;T1(NX(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);PX(a+8|0,c[a+288>>2]|0,g);ie[c[2004]&255](8e3,a);a=c[2e3]|0;fH(23,0,7658344,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function UX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;YG();do{if((gZ(a,b)|0)==0){if((iZ(a,b)|0)!=0){break}do{if((c[1929063]|0)!=0){h=c[1929033]|0;if((jaa(h,7652224)|0)==0){cH(1);break}if((jaa(h,7651608)|0)==0){cH(0);break}else{hH(1,0,7651016,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Ta(0)|0;yc(0);return 0}}}while(0);if((c[1929052]|0)==0){IX(0,0);rK(d);if((d|0)==0){T1(NX(7742488,7647360)|0,2)|0}c[d+300>>2]=KX(0,0)|0;c[d+292>>2]=MX(0,0)|0;oQ(d+8|0,d+240|0);AK(d)|0;IK(d)|0;UK(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}T1(NX(7742488,7646904)|0,2)|0;k=1;i=e;return k|0}}while(0);c[1928950]=c[1929069];k=0;i=e;return k|0}A$(f,c[1929022]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=7714960+(h<<2)|0;A$(g,c[m>>2]|0);n=JX(f,g)|0;G$(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=b0(f)|0;hH(1,0,7648560,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;hH(1,0,7647960,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Ta(0)|0;yc(0);return 0}n=c[7714840+(h<<2)>>2]|0;do{if((n|0)==1){o=c[7715088+(h<<2)>>2]|0;fH(1,1,7650608,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[7715088+(h<<2)>>2]|0;fH(1,1,7649808,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{hH(1,1,7653152,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=7625448,c[j+8>>2]=7627056,j)|0);i=j;fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=7625e3,c[j+8>>2]=7626632,j)|0);i=j;fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=7624296,c[j+8>>2]=7625832,j)|0);i=j}else if((h|0)==18){n=c[4786]|0;if((n|0)<28){q=n}else{break}do{n=c[7714216+(q<<2)>>2]|0;fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=c[7714104+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[7710216+(n<<2)>>2]|0;fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=c[7710152+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[7710072+(n<<2)>>2]|0;fH(1,0,7667616,(j=i,i=i+16|0,c[j>>2]=c[7709992+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);he[c[3556]&511](1);Ta(0)|0;yc(0);return 0}}while(0);fH(1,1,7655456,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[7714840+(b<<2)>>2]|0;do{if((q|0)==1){m=c[7715216+(b<<2)>>2]|0;fH(1,0,7654520,(j=i,i=i+16|0,c[j>>2]=c[7714960+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[7714960+(b<<2)>>2]|0;if((q|0)==2){f=c[7715216+(b<<2)>>2]|0;fH(1,0,7653840,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{hH(1,0,7653152,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);he[c[3556]&511](1);Ta(0)|0;yc(0);return 0}function VX(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[1935734]|0;Nc(7896)|0;Fc(7645784,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Nc(7976)|0;Fc(7644792,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;Fc(7644328,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;Fc(7642336,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Fc(7641176,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;Fc(7640712,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;Fc(7640152,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Nc(7872)|0;i=a;return}function WX(a,b){a=a|0;b=+b;return}function XX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=paa(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(8,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[1935734]=d;Ca(72,10,238)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(10,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(32,d|0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(40,d|0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(106,d|0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(30,d|0);if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(92,0)|0;if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=qaa(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function YX(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+16|0;g=b;b=i;i=i+24|0;c[b>>2]=c[g>>2];c[b+4>>2]=c[g+4>>2];c[b+8>>2]=c[g+8>>2];c[b+12>>2]=c[g+12>>2];c[b+16>>2]=c[g+16>>2];c[b+20>>2]=c[g+20>>2];g=f|0;if((a|0)==0){h=Gd(c[1931162]|0)|0}else{h=a}switch(c[h+84>>2]|0){case 1:{a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(7636240,7,1,a|0)|0;dd(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;Rd(c[h+80>>2]|0,1);break};case 2:{if((c[1928869]|0)==0){j=h+80|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1)}a=g;c[a>>2]=e;c[a+4>>2]=0;a=c[u>>2]|0;Ya(7636240,7,1,a|0)|0;dd(a|0,d|0,g|0)|0;Wa(10,a|0)|0;Ta(0)|0;j=h+80|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1);break};case 3:{if((c[1928883]|0)==0){i=f;return}l=g;c[l>>2]=e;c[l+4>>2]=0;l=c[u>>2]|0;Ya(7636240,7,1,l|0)|0;dd(l|0,d|0,g|0)|0;Wa(10,l|0)|0;Ta(0)|0;i=f;return};case 4:case 5:{i=f;return};default:{jH(h,7635224,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}}function ZX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Ya(7637488,9,1,a|0)|0;dd(a|0,b|0,f|0)|0;Wa(10,a|0)|0;Ta(0)|0;i=e;return}function _X(a){a=a|0;var b=0,d=0;b=i;i=i+16|0;fY(7638024,b|0);c[1935728]=7738624;oaa(7742916,-1|0,16)|0;c[1935733]=1;if((a|0)==0){d=Gd(c[1931162]|0)|0}else{d=a}Rd(c[d+76>>2]|0,1)}function $X(a,b){a=a|0;b=b|0;bY(a,b);return}function aY(a){a=a|0;return(c[a>>2]|0)==0|0}function bY(a,b){a=a|0;b=b|0;c[a>>2]=z0(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function cY(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;aN(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=dY(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((L0(b,d,r)|0)==(r|0)){break}aN(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){B$(l,s,h);if((L0(b,F$(l)|0,s)|0)==(s|0)){G$(l);break}aN(m);c[o>>2]=0;c[a>>2]=0;G$(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((L0(b,e,l)|0)==(l|0)){break}aN(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);eY(g,0)|0;c[a>>2]=b;i=j;return}function dY(a){a=a|0;return c[a+12>>2]|0}function eY(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function fY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=c[1935726]|0;if((g|0)==0){c[e>>2]=(laa(a|0)|0)<<1|1;c[f>>2]=2048;h=c[(lR(e,f)|0)>>2]|0;c[1928926]=h;f=L9(h)|0;c[1935726]=f;j=f;k=h}else{j=g;k=c[1928926]|0}g=ud(j|0,k|0,a|0,b|0)|0;if(g>>>0<(c[1928926]|0)>>>0){i=d;return}M9(c[1935726]|0);k=g<<1|1;c[1928926]=k;g=L9(k)|0;c[1935726]=g;ud(g|0,k|0,a|0,b|0)|0;i=d;return}function gY(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;hY(g,16);iY(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){NX(U1(m,+h[b+(p<<3)>>3])|0,7682968)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){U1(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){NX(m,7692504)|0}}while((e|0)<(d|0))}jY(a,g);kY(g);i=f;return}function hY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;D0(d);e=a|0;c[e>>2]=7703252;f=d|0;c[f>>2]=7703272;d=a+4|0;K1(a,7704652,d|0);c[e>>2]=7703252;c[f>>2]=7703272;wY(d,b|16);return}function iY(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function jY(a,b){a=a|0;b=b|0;qY(a,b+4|0);return}function kY(a){a=a|0;AY(a,7704648);y0(a+56|0);return}function lY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[1928880]|0)!=0){Nc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];fH(14,0,7667336,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ke[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];fH(14,0,7656632,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[1928880]|0)==0){i=d;return 0}fH(14,0,7648904,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Fc(7641448,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}rc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function mY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[1928880]|0)!=0){Nc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];fH(14,0,7667336,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ke[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];fH(14,0,7656632,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[1928880]|0)==0){i=d;return 0}fH(14,0,7648904,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Fc(7641448,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}rc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function nY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[1928880]|0)!=0){Nc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];fH(14,0,7667336,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ke[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];fH(14,0,7656632,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[1928880]|0)==0){i=d;return 0}fH(14,0,7648904,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Fc(7641448,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}rc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function oY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[1928880]|0)!=0){Nc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];fH(14,0,7667336,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);ke[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];fH(14,0,7656632,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[1928880]|0)==0){i=d;return 0}fH(14,0,7648904,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];Fc(7641448,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}rc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function pY(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=N9(ga(u,u)|0,8)|0;y=x;z=N9(ga(v,u)|0,8)|0;A=z;B=N9(ga(w,u)|0,8)|0;C=B;D=N9(ga(w,v)|0,8)|0;E=D;u$(d);u$(e);u$(f);u$(g);u$(h);u$(j);u$(k);F=a+536|0;iH(c[F>>2]|0,(x|0)!=0|0,7629632,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;iH(c[F>>2]|0,(z|0)!=0|0,7629632,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;iH(c[F>>2]|0,(B|0)!=0|0,7629632,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;iH(c[F>>2]|0,(D|0)!=0|0,7629632,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((ke[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;lY(a,y)|0;iH(J,1,7623672,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}gY(l,y,u,u);H$(d,l)|0;G$(l);if((ke[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;mY(a,A)|0;iH(l,1,7699472,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}gY(m,A,u,v);H$(e,m)|0;G$(m);if((ke[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;nY(a,C)|0;iH(m,1,7694680,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}gY(n,C,w,u);H$(f,n)|0;G$(n);if((ke[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;oY(a,E)|0;iH(I,1,7690872,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}gY(o,E,w,v);H$(g,o)|0;G$(o);if((u|0)==0){I$(h,7688344)|0}else{gY(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);H$(h,p)|0;G$(p)}if((v|0)==0){I$(j,7688344)|0}else{gY(q,c[a+432>>2]|0,1,v);H$(j,q)|0;G$(q)}M9(x);M9(z);M9(B);M9(D);A$(t,c[a+84>>2]|0);p0(s,7686704,t);rQ(r,s,7685520);H$(k,r)|0;G$(r);G$(s);G$(t);t=Hc(b0(k)|0,7684160)|0;s=c[F>>2]|0;F=b0(k)|0;iH(s,(t|0)!=0|0,7683016,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=xe[c[(c[H>>2]|0)+176>>2]&15]()|0;s=b0(h)|0;r=b0(j)|0;a=b0(d)|0;D=b0(e)|0;B=b0(f)|0;z=b0(g)|0;Bd(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[1928891]|0)==0){K=Ta(t|0)|0;L=Pa(t|0)|0;G$(k);G$(j);G$(h);G$(g);G$(f);G$(e);G$(d);i=b;return 0}z=xe[c[(c[H>>2]|0)+176>>2]&15]()|0;H=b0(h)|0;B=b0(j)|0;D=b0(d)|0;a=b0(e)|0;r=b0(f)|0;s=b0(g)|0;fH(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Ta(t|0)|0;L=Pa(t|0)|0;G$(k);G$(j);G$(h);G$(g);G$(f);G$(e);G$(d);i=b;return 0}function qY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=T0(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}rY(a,S0(l)|0,n,e);i=d;return}if((h&8|0)==0){v$(a,g);i=d;return}else{g=b|0;b=N0(g)|0;rY(a,b,P0(g)|0,f);i=d;return}}function rY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;sY(a,b,c,0);return}function sY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;tY(a,b,c);return}function tY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=uY(c,d)|0;if(g>>>0>4294967279>>>0){s$(0)}if(g>>>0<11>>>0){M$(b,g);h=L$(b)|0}else{j=T$(g)|0;k=j+1|0;j=hR(z$(b)|0,k)|0;V$(b,j);U$(b,k);K$(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;iR(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){iR(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;iR(l,f);i=e;return}function uY(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=vY(a,b,c|0)|0;i=c;return d|0}function vY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function wY(a,b){a=a|0;b=b|0;MY(a,b);return}function xY(a){a=a|0;kY(a);T9(a);return}function yY(a){a=a|0;kY(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function zY(a){a=a|0;xY(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function AY(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];BY(a+4|0);return}function BY(a){a=a|0;CY(a);return}function CY(a){a=a|0;c[a>>2]=7703456;G$(a+32|0);H0(a|0);return}function DY(a){a=a|0;BY(a);T9(a);return}function EY(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=T0(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){oM(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}oM(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=T0(j)|0;h=k-(S0(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=O0(j)|0;k=h-(N0(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(F$(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){oM(a,-1,-1);return}m=vaa(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(F$(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((O0(j)|0)!=0){break}oM(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((T0(j)|0)!=0){break}oM(a,-1,-1);return}}while(0);if((n|0)!=0){o=N0(j)|0;R0(j,o,o+m|0,l)}if((g&16|0)!=0){o=S0(j)|0;W0(j,o,U0(j)|0);V0(j,m)}oM(a,m,e);return}}while(0);oM(a,-1,-1);return}function FY(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=CN(d)|0;pe[g&63](a,b,h,K,0,e);i=f;return}function GY(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=T0(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((P0(f)|0)>>>0<h>>>0){b=N0(f)|0;R0(f,b,O0(f)|0,h)}h=O0(f)|0;if(!(h>>>0<(P0(f)|0)>>>0)){i=-1;return i|0}i=_N(a[h]|0)|0;return i|0}function HY(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=T0(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=N0(g)|0;h=O0(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(WN(d,-1)|0){R0(g,f,h-1|0,i);j=ZN(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=XN(d)|0;do{if(f){if($N(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=N0(g)|0;R0(g,h,(O0(g)|0)-1|0,i);a[O0(g)|0]=b;j=d;return j|0}function IY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(WN(b,-1)|0){f=ZN(b)|0;i=d;return f|0}g=a|0;h=O0(g)|0;j=h-(N0(g)|0)|0;h=T0(g)|0;if((h|0)==(U0(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=S0(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;Y$(o,0);R$(o,O$(o)|0);p=F$(o)|0;W0(g,p,p+(E$(o)|0)|0);V0(g,h-l|0);c[m>>2]=(S0(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(T0(g)|0)+1;k=c[(JY(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=F$(a+32|0)|0;R0(g,r,r+j|0,k)}f=K0(g,b&255)|0;i=d;return f|0}function JY(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=KY(a,b,c|0)|0;i=c;return d|0}function KY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=LY(0,b,c)|0;i=e;return(f?c:b)|0}function LY(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function MY(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;M0(a|0);c[a>>2]=7703456;u$(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;u$(e);NY(a,e);G$(e);i=d;return}function NY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;H$(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=F$(d)|0;h=f+(E$(d)|0)|0;c[b>>2]=h;f=F$(d)|0;R0(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=E$(d)|0;c[b>>2]=(F$(d)|0)+g;R$(d,O$(d)|0);b=a|0;a=F$(d)|0;W0(b,a,a+(E$(d)|0)|0);if((c[e>>2]&3|0)==0){return}V0(b,g);return}function OY(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=Hc(b|0,7682704)|0;l=tc(7692392,7682704)|0;m=(l|0)!=0;n=kd()|0;if(m){o=c[a+536>>2]|0;p=ld(c[n>>2]|0)|0;iH(o,(k|0)!=0|0,7667312,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Ya(7656576,17,1,l|0)|0;Ya(7648888,10,1,l|0)|0;Ya(7641424,18,1,l|0)|0;PY(l,e,7635424,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,7738576)}else{p=ld(c[n>>2]|0)|0;hH(26,0,7678672,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=ld(c[n>>2]|0)|0;iH(p,(k|0)!=0|0,7667312,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Ya(7623248,348,1,k|0)|0;if((ce(f|0)|0)<0){o=ld(c[n>>2]|0)|0;hH(26,0,7699416,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Pa(k|0)|0;Fb(l|0)|0;r=1;i=g;return r|0}if((zc(7715816,250,7694616,cb(f|0)|0)|0)==0){hH(26,0,7690848,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Pa(k|0)|0;r=1;i=g;return r|0}Ya(7688328,13,1,k|0)|0;Ya(7686688,12,1,k|0)|0;QY(k,2);Ya(7685512,6,1,k|0)|0;RY(k,c[a+84>>2]|0);Ya(7684144,8,1,k|0)|0;QY(k,2);Ya(7683e3,8,1,k|0)|0;f=a+88|0;RY(k,c[f>>2]|0);Ya(7682224,10,1,k|0)|0;QY(k,2);Ya(7681432,6,1,k|0)|0;RY(k,7715816);Ya(7680432,8,1,k|0)|0;QY(k,2);Ya(7679296,8,1,k|0)|0;RY(k,c[a+280>>2]|0);Ya(7678200,10,1,k|0)|0;QY(k,2);Ya(7677328,14,1,k|0)|0;RY(k,c[a+284>>2]|0);Ya(7675728,16,1,k|0)|0;QY(k,2);Ya(7674720,16,1,k|0)|0;RY(k,j);Ya(7673576,18,1,k|0)|0;QY(k,2);o=SY(j)|0;Bd(k|0,7672528,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;QY(k,2);s=+tI(7);Bd(k|0,7671656,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(6);Bd(k|0,7670744,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(1);Bd(k|0,7669240,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(4);Bd(k|0,7668304,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(3);Bd(k|0,7666624,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(5);Bd(k|0,7665368,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+tI(0);Bd(k|0,7663976,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);s=+wI(2);Bd(k|0,7663112,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);o=rI(2)|0;Bd(k|0,7661984,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;QY(k,2);s=+vI(2);Bd(k|0,7660880,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Ya(7659880,13,1,k|0)|0;Ya(7659048,16,1,k|0)|0;QY(k,2);s=+tI(8);Bd(k|0,7658280,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;QY(k,2);o=oI(8)|0;Bd(k|0,7657376,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Ya(7656080,17,1,k|0)|0;Ya(7655392,22,1,k|0)|0;TY(k,a);Ya(7654448,23,1,k|0)|0;Ya(7653768,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{UY(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{UY(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{UY(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{UY(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{UY(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{UY(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{UY(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{UY(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Ya(7653072,13,1,k|0)|0;Ya(7652136,12,1,k|0)|0;VY(k,l,e,c[f>>2]|0,a);Ya(7651584,13,1,k|0)|0;Ya(7651e3,12,1,k|0)|0;WY(k,c[a+68>>2]|0,a+56|0);Ya(7650544,13,1,k|0)|0;Ya(7649768,16,1,k|0)|0;XY(k,l,e,a);Ya(7648536,17,1,k|0)|0;Ya(7647944,14,1,k|0)|0;Pa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((laa(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(laa(m|0)|0)<<1}else{t=0}k=L9(a+t|0)|0;if((k|0)==0){wd(7647352,7646880,404,7700760);return 0}if((Fb(l|0)|0)!=0){hH(26,0,7646368,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Ub(k|0,7645312,(q=i,i=i+32|0,c[q>>2]=7645768,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Tc(k|0)|0)!=0){u=42}}else{naa(k|0,7644760,25)|0;u=42}if((u|0)==42){hH(1,0,7644264,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;fH(1,0,7642192,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;M9(k);r=0;i=g;return r|0}function PY(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=pI(n)|0;p=qI(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+vI(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Ya(7656576,17,1,a|0)|0;Ya(7697640,12,1,a|0)|0;Ya(7697360,12,1,a|0)|0;Ya(7696976,13,1,a|0)|0;Bd(a|0,7696632,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Ya(7696448,10,1,a|0)|0;Ya(7695760,11,1,a|0)|0;Ya(7695152,11,1,a|0)|0;Ya(7694384,10,1,a|0)|0;if(m){Bd(a|0,7694008,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(7693480,17,1,a|0)|0}o=g+3|0;Bd(a|0,7698552,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Ya(7692984,13,1,a|0)|0;if(m){Ya(7697360,12,1,a|0)|0;if((t|0)==(w|0)){Bd(a|0,7692792,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(7693480,17,1,a|0)|0}Bd(a|0,7692528,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Bd(a|0,7697992,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Ya(7692160,10,1,a|0)|0;Ya(7691816,10,1,a|0)|0;Ya(7692160,10,1,a|0)|0;Ya(7691560,11,1,a|0)|0;Bd(a|0,7691208,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;Bd(a|0,7690632,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(7690320,33,1,a|0)|0;Ya(7689944,32,1,a|0)|0;Bd(a|0,7689720,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(7694384,10,1,a|0)|0;Bd(a|0,7694008,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Ya(7691816,10,1,a|0)|0;Ya(7692160,10,1,a|0)|0;Ya(7691560,11,1,a|0)|0;Bd(a|0,7691208,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;Bd(a|0,7690632,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Ya(7690320,33,1,a|0)|0;Ya(7689944,32,1,a|0)|0;Bd(a|0,7689720,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Ya(7694384,10,1,a|0)|0;Ya(7693480,17,1,a|0)|0}Bd(a|0,7698552,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Ya(7692984,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){Bd(a|0,7692792,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Ya(7693480,17,1,a|0)|0}Ya(7689568,32,1,a|0)|0;Ya(7689304,29,1,a|0)|0;Bd(a|0,7689216,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Bd(a|0,7697992,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function QY(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Wa(32,a|0)|0;}while((c|0)!=0);return}function RY(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==34){Ya(7699208,6,1,b|0)|0}else if((d|0)==39){Ya(7699928,6,1,b|0)|0}else if((d|0)==62){Ya(7700376,4,1,b|0)|0}else if((d|0)==60){Ya(32288,4,1,b|0)|0}else{Wa(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function SY(a){a=a|0;var b=0,c=0;b=Hc(a|0,32592)|0;if((b|0)==0){c=-1;return c|0}Jd(b|0,0,2)|0;a=Sb(b|0)|0;Pa(b|0)|0;c=a;return c|0}function TY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=L9((laa(j|0)|0)+15|0)|0;Ub(k|0,7627632,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;QY(a,2);Ya(7627040,10,1,a|0)|0;RY(a,k);Ya(7626616,12,1,a|0)|0;QY(a,2);j=SY(k)|0;Bd(a|0,7625800,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;M9(k);QY(a,2);Ya(7625432,9,1,a|0)|0;QY(a,4);Ya(7624976,22,1,a|0)|0;QY(a,4);Ya(7624208,22,1,a|0)|0;QY(a,4);Ya(7622968,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){ZY(e,k,n);o=c[m>>2]|0;QY(a,4);Ya(7622688,8,1,a|0)|0;RY(a,o);Ya(7622080,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{cZ(f,k,m);e=c[n>>2]|0;QY(a,4);Ya(7622688,8,1,a|0)|0;RY(a,e);Ya(7622080,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{ZY(g,k,b);q=c[s>>2]|0;QY(a,4);Ya(7621720,8,1,a|0)|0;RY(a,q);Ya(7621440,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){QY(a,2);v=Ya(5757528,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{cZ(h,k,t);l=c[u>>2]|0;QY(a,4);Ya(7621720,8,1,a|0)|0;RY(a,l);Ya(7621440,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));QY(a,2);v=Ya(5757528,10,1,a|0)|0;i=d;return}function UY(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;QY(a,2);Bd(a|0,7629440,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;RY(a,c[b+4>>2]|0);Ya(7628560,11,1,a|0)|0;RY(a,c[b+8>>2]|0);Ya(7637456,3,1,a|0)|0;YY(a,4,b+12|0);QY(a,2);Ya(7628120,12,1,a|0)|0;i=d;return}function VY(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{ZY(j,l,p);PY(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,7633448);q=p+9|0;zI(q);QY(a,2);Bd(a|0,7632416,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;QY(a,4);Ya(7685512,6,1,a|0)|0;RY(a,c[m>>2]|0);Ya(7684144,8,1,a|0)|0;QY(a,4);s=rI(q)|0;Bd(a|0,7639736,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;QY(a,4);t=+wI(q);Bd(a|0,7639072,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;QY(a,4);t=+vI(q);Bd(a|0,7660880,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;YY(a,6,o);QY(a,2);Ya(7632008,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function WY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{QY(a,2);bZ(f,d,t);Bd(a|0,7637992,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;bZ(g,d,t);RY(a,c[n>>2]|0);Ya(7637456,3,1,a|0)|0;QY(a,4);Ya(7637088,7,1,a|0)|0;bZ(j,d,t);if((c[o>>2]|0)>0){v=0;do{QY(a,6);Bd(a|0,7636208,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;bZ(j,d,t);}while((v|0)<(c[o>>2]|0))}QY(a,4);Ya(7635208,8,1,a|0)|0;QY(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;bZ(k,d,t);w=+tI(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;bZ(l,d,t);x=oI(v+(c[s>>2]|0)|0)|0;Bd(a|0,7634520,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;QY(a,2);Ya(7634064,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function XY(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{cZ(g,j,p-q|0);PY(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,7641168);l=p+9|0;zI(l);QY(a,2);Ya(7640696,15,1,a|0)|0;QY(a,4);Bd(a|0,7640128,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;QY(a,4);s=rI(l)|0;Bd(a|0,7639736,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;QY(a,4);t=+wI(l);Bd(a|0,7639072,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;QY(a,4);t=+vI(l);Bd(a|0,7660880,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;QY(a,2);Ya(7638416,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function YY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];QY(a,b);Ya(7631288,16,1,a|0)|0;RY(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?7630584:7630112;Bd(a|0,7630864,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function ZY(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){_Y(b)}naa(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function _Y(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=Hc(c[k>>2]|0,7681728)|0;if((l|0)!=0){m=l;break}l=ld(c[(kd()|0)>>2]|0)|0;jH(0,7691912,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=aC(0)|0;if((l|0)==0){jH(0,7678616,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=N9(c[k>>2]|0,32)|0;o=a+12|0;p=N9((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=7667256;c[p+12>>2]=0;c[p+16>>2]=0;lC(l,d);mC(l,14,24);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;oaa(p|0,0,1024)|0;while(1){q=Xc(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((nC(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=vC(sC(l)|0)|0;r=tC(l)|0;Pa(m|0)|0;hC(l);q=c[a>>2]|0;jH(0,7656504,(n=i,i=i+32|0,c[n>>2]=7648824,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Pa(m|0)|0;break}}else{if((nC(l,d,laa(d|0)|0,1)|0)!=0){break}r=vC(sC(l)|0)|0;p=tC(l)|0;hC(l);q=c[j>>2]|0;jH(0,7641344,(n=i,i=i+32|0,c[n>>2]=7648824,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){wd(7635368,7648824,295,7700840)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{wd(7629576,7648824,297,7700840)}}function $Y(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((jaa(7682216,b)|0)==0){if((jaa(c[d>>2]|0,7681424)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}iH(0,j,7680376,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[1928852]|0;a=c[1931178]|0;do{if((j|0)==0|(a|0)==0){c[1931178]=32;l=L9(1152)|0;c[1928852]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[1931178]=a<<1;o=O9(j,a*72|0)|0;c[1928852]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;naa(m+(n*36|0)|0,fZ(c[d+4>>2]|0)|0,36)|0;i=e;return}if((jaa(7679288,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((jaa(7678192,q)|0)==0){c[1931264]=Wc(c[p+4>>2]|0)|0}else{if((jaa(7677312,q)|0)==0){c[1931265]=Va(c[p+4>>2]|0,0,10)|0;break}if((jaa(7675720,q)|0)==0){c[1931267]=Va(c[p+4>>2]|0,0,10)|0;break}if((jaa(7674704,q)|0)==0){c[1931266]=Va(c[p+4>>2]|0,0,10)|0;break}if((jaa(7673568,q)|0)==0){c[1931268]=Va(c[p+4>>2]|0,0,10)|0;break}if((jaa(7672512,q)|0)!=0){r=23;break a}c[1931269]=(jaa(c[p+4>>2]|0,7671624)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){jH(0,7670712,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((jaa(7690832,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;jH(0,7669160,(k=i,i=i+24|0,c[k>>2]=7648824,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((jaa(7668256,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;jH(0,7666552,(k=i,i=i+16|0,c[k>>2]=7648824,c[k+8>>2]=r,k)|0);i=k}r=Va(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;jH(0,7665264,(k=i,i=i+32|0,c[k>>2]=7648824,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=7663896;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((jaa(7694600,b)|0)!=0){if((jaa(7682984,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=7660872;f=Wc(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=7659856;i=e;return}c[1928857]=0;c[1928858]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((jaa(f,7681424)|0)==0){c[1928857]=Wc(c[b+4>>2]|0)|0}else{if((jaa(f,7663016)|0)!=0){break}c[1928858]=Wc(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[1928857]|0)==0){s=0;break}s=(c[1928858]|0)!=0|0}}while(0);iH(0,s,7661928,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[1928856]=-1;c[1928859]=c[1931264];c[1928860]=c[1931265];c[1928861]=c[1931266];c[1928862]=c[1931267];c[1928863]=c[1931268];c[1928864]=c[1931269];i=e;return}function aZ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((jaa(7694600,b)|0)==0){eZ(7715424);i=d;return}if((jaa(7690832,b)|0)==0){l=e+24|0;m=L9((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=L9(36)|0;naa(n|0,(c[1928852]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((jaa(7688304,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;$d(l+(g*20|0)+8|0,7686648,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((jaa(7685496,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;$d(e+(g*20|0)+8|0,7684096,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((jaa(7682984,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function bZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){_Y(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function cZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){_Y(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){jH(0,7623120,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){jH(0,7699344,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function dZ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){M9(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){M9(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}M9(i);c[b>>2]=0;return}function eZ(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;naa(a,e,36)|0;e=L9(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;naa(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=laa(f|0)|0;j=c[1928854]|0;do{if((j|0)==0){k=e;c[1928854]=k;c[e+44>>2]=0;l=L9(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Tb(-1|0)}oaa(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=L9(384)|0;c[l>>2]=n;if((n|0)==0){Tb(-1|0)}else{oaa(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[1928854]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[1928854]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=laa(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(laa(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 7:{A=x;B=a;C=15;break};case 6:{D=x;E=a;C=16;break};case 5:{F=x;G=a;C=17;break};case 10:{H=a;C=12;break};case 8:{I=a;C=14;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;H=w;C=12;break};case 9:{J=a;C=13;break};case 4:{K=x;L=a;C=18;break};case 3:{M=y;N=x;O=a;C=19;break};case 2:{P=y;Q=x;R=a;C=20;break};case 1:{S=y;T=x;U=a;C=21;break};default:{V=y;W=x;X=a}}if((C|0)==12){a=((d[v+9|0]|0)<<16)+H|0;c[p>>2]=a;J=a;C=13}if((C|0)==13){a=((d[v+8|0]|0)<<8)+J|0;c[p>>2]=a;I=a;C=14}if((C|0)==14){A=((d[v+7|0]|0)<<24)+x|0;B=I;C=15}if((C|0)==15){D=((d[v+6|0]|0)<<16)+A|0;E=B;C=16}if((C|0)==16){F=((d[v+5|0]|0)<<8)+D|0;G=E;C=17}if((C|0)==17){K=(d[v+4|0]|0)+F|0;L=G;C=18}if((C|0)==18){M=((d[v+3|0]|0)<<24)+y|0;N=K;O=L;C=19}if((C|0)==19){P=((d[v+2|0]|0)<<16)+M|0;Q=N;R=O;C=20}if((C|0)==20){S=((d[v+1|0]|0)<<8)+P|0;T=Q;U=R;C=21}if((C|0)==21){V=(d[v]|0)+S|0;W=T;X=U}U=V-W-X^X>>>13;V=W-X-U^U<<8;W=X-U-V^V>>>13;X=U-V-W^W>>>12;U=V-W-X^X<<16;V=W-X-U^U>>>5;W=X-U-V^V>>>3;X=U-V-W^W<<10;U=V-W-X^X>>>15;c[p>>2]=U;p=c[g>>2]|0;X=U&(c[p+4>>2]|0)-1;U=c[p>>2]|0;p=U+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[U+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[1928854]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[1928854]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=L9((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Tb(-1|0)}oaa(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{U=X;X=Y;while(1){p=U+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[U+28>>2];T=g+(V*12|0)+4|0;S=(c[T>>2]|0)+1|0;c[T>>2]=S;v=c[X+24>>2]|0;if(S>>>0>v>>>0){S=X+28|0;c[S>>2]=(c[S>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[T>>2]|0)>>>0)/(v>>>0)|0}c[U+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=U}c[v>>2]=U;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{U=W;X=v}}}X=e+1|0;U=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=U;Y=_}else{Z=U;break}}}M9(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function fZ(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[1928854]|0;a:do{if((e|0)==0){f=24}else{g=laa(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(laa(a|0)|0)+s|0;switch(v|0){case 8:{x=m;f=8;break};case 6:{y=u;z=m;f=10;break};case 1:{A=u;B=t;C=m;f=15;break};case 5:{D=u;E=m;f=11;break};case 4:{F=u;G=m;f=12;break};case 11:{H=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 3:{I=u;J=t;K=m;f=13;break};case 10:{H=m;f=6;break};case 9:{L=m;f=7;break};case 7:{M=u;N=m;f=9;break};case 2:{O=u;P=t;Q=m;f=14;break};default:{R=u;S=t;T=m}}if((f|0)==6){L=((d[w+9|0]|0)<<16)+H|0;f=7}if((f|0)==7){x=((d[w+8|0]|0)<<8)+L|0;f=8}if((f|0)==8){M=((d[w+7|0]|0)<<24)+u|0;N=x;f=9}if((f|0)==9){y=((d[w+6|0]|0)<<16)+M|0;z=N;f=10}if((f|0)==10){D=((d[w+5|0]|0)<<8)+y|0;E=z;f=11}if((f|0)==11){F=(d[w+4|0]|0)+D|0;G=E;f=12}if((f|0)==12){I=F;J=((d[w+3|0]|0)<<24)+t|0;K=G;f=13}if((f|0)==13){O=I;P=((d[w+2|0]|0)<<16)+J|0;Q=K;f=14}if((f|0)==14){A=O;B=((d[w+1|0]|0)<<8)+P|0;C=Q;f=15}if((f|0)==15){R=A;S=(d[w]|0)+B|0;T=C}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=laa(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((iaa(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((kb(a|0,7659e3)|0)==0){V=0;break}else{W=19152}i=b;return W|0}}while(0);iH(0,(V|0)!=0|0,7657320,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function gZ(a,b){a=a|0;b=b|0;var c=0;if((hZ(7681096,a,b)|0)!=0){c=1;return c|0}c=(hZ(7691784,a,b)|0)!=0|0;return c|0}function hZ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((jaa(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function iZ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;iH(0,(jaa(c[1928770]|0,7678544)|0)==0|0,7667160,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;iH(0,(jaa(c[1928834]|0,7678544)|0)==0|0,7656376,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;iH(0,(jaa(c[1928802]|0,7678544)|0)==0|0,7648744,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;oaa(7716192,0,120)|0;oaa(7716072,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[7714840+(k<<2)>>2]|0;if((l|0)==2){m=c[7714960+(k<<2)>>2]|0;if(!((hZ(m,1,h)|0)==0|(j|0)>=(a|0))){n=9;break}o=c[7714960+(k<<2)>>2]|0;if((kZ(o,h)|0)!=0){n=13;break}}else if((l|0)==1){if((hZ(c[7714960+(k<<2)>>2]|0,1,h)|0)!=0){n=5;break}}l=k+1|0;if((l|0)<30){k=l}else{n=17;break a}}if((n|0)==5){n=0;l=7716192+(k<<2)|0;if((c[l>>2]|0)!=0){n=6;break}c[l>>2]=1;p=f}else if((n|0)==9){n=0;l=7716192+(k<<2)|0;if((c[l>>2]|0)!=0){n=10;break}c[l>>2]=1;c[7716072+(k<<2)>>2]=jZ(m,h)|0;p=j}else if((n|0)==13){n=0;l=7716192+(k<<2)|0;if((c[l>>2]|0)!=0){n=14;break}c[l>>2]=1;c[7716072+(k<<2)>>2]=lZ(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;n=19;break}}if((n|0)==6){hH(1,0,7641288,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==10){hH(1,0,7641288,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==14){hH(1,0,7641288,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==17){hH(1,0,7635336,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==19){i=d;return g|0}return 0}function jZ(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((jaa(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function kZ(a,b){a=a|0;b=b|0;return(lZ(a,b)|0)!=0|0}function lZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=laa(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((kaa(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function mZ(){return}function nZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Tb(0);return 0}e=c[u>>2]|0;Ya(7641624,5,1,e|0)|0;f=b;b=0;while(1){Wa(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Ya(7683080,20,1,e|0)|0;Tb(0);return 0}function oZ(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;Bd(d|0,7684168,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Tb(1)}else{Ta(d|0)|0;wZ();Ta(d|0)|0;rb(6,0)|0;Ad()}}function pZ(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function qZ(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function rZ(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function sZ(a){a=a|0;var b=0.0,c=0.0,d=0.0,e=0;b=+g[a>>2];c=b;if(b<0.0){d=-0.0- +U(.5-c);e=~~d;return e|0}else{d=+U(c+.5);e=~~d;return e|0}return 0}function tZ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=b+d|0;g=c+e|0;if((d|0)>(e|0)){a:do{if((e|0)>0){h=b;i=c;while(1){j=a[h]|0;k=a[i]|0;if(!(j<<24>>24==k<<24>>24)){break}l=h+1|0;m=i+1|0;if(m>>>0<g>>>0){h=l;i=m}else{n=l;break a}}o=(j&255)-(k&255)|0;return o|0}else{n=b}}while(0);while(1){if(!(n>>>0<f>>>0)){o=0;p=16;break}q=a[n]|0;if(q<<24>>24==32){n=n+1|0}else{break}}if((p|0)==16){return o|0}o=(q&255)-32|0;return o|0}else{b:do{if((d|0)>0){q=b;n=c;while(1){r=a[q]|0;s=a[n]|0;if(!(r<<24>>24==s<<24>>24)){break}k=q+1|0;j=n+1|0;if(k>>>0<f>>>0){q=k;n=j}else{t=j;break b}}o=(r&255)-(s&255)|0;return o|0}else{t=c}}while(0);while(1){if(!(t>>>0<g>>>0)){o=0;p=16;break}u=a[t]|0;if(u<<24>>24==32){t=t+1|0}else{break}}if((p|0)==16){return o|0}o=32-(u&255)|0;return o|0}return 0}function uZ(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}oaa(n|0,32,b+(d-n)|0)|0;return}function vZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=7725104+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[7725148+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[7725144+(d*48|0)>>2]|0)==1){xZ(b)|0}i=7725108+(d*48|0)|0;if((c[i>>2]|0)==0){break}Pa(c[e>>2]|0)|0;M9(c[i>>2]|0)}}while(0);do{if((g|0)==10){Pa(f|0)|0;b=7725108+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Yd(i|0)|0;M9(c[b>>2]|0)}}while(0);c[e>>2]=0}c[7725140+(d*48|0)>>2]=0;c[7725108+(d*48|0)>>2]=0;return 0}function wZ(){var a=0;if((c[1931270]|0)!=0){return}c[1931270]=1;c[1931272]=0;a=0;do{c[1931271]=a;vZ(7725080)|0;a=a+1|0;}while((a|0)<100);return}function xZ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[7725120+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=7725104+(b*48|0)|0;f=c[e>>2]|0;g=Sb(f|0)|0;Jd(f|0,0,2)|0;if((g|0)>=(Sb(f|0)|0)){d=0;return d|0}if((c[7725124+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[7725132+(b*48|0)>>2]&2|0)!=0){Ta(c[e>>2]|0)|0}b=sd(lb(c[e>>2]|0)|0,g|0)|0;Jd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){zZ(111,7651088);d=111;return d|0}else{c[(kd()|0)>>2]=111;d=111;return d|0}return 0}function yZ(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((md(lb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==8192){e=(Yc(lb(a|0)|0)|0)==0|0;break}else if((f|0)==24576){e=1;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function zZ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){mb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;Bd(f|0,7668432,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){Bd(f|0,7666656,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[7714712+(a-100<<2)>>2]|0;Bd(f|0,7665408,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[1933738]|0;do{if((b|0)==0){Ya(7660936,29,1,e|0)|0}else{Bd(e|0,7664008,(g=i,i=i+8|0,c[g>>2]=(b-7725104|0)/48|0,g)|0)|0;i=g;a=c[(c[1933738]|0)+4>>2]|0;if((a|0)==0){Ya(7662008,10,1,e|0)|0;break}else{Bd(e|0,7662416,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[1933722]|0;if((b|0)!=0){Bd(e|0,7659480,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[1933678]|0)!=0?7656136:7654880;a=(c[1933720]|0)!=0?7654504:7653824;f=(c[1933724]|0)!=0?7653136:7652208;Bd(e|0,7659112,(g=i,i=i+32|0,c[g>>2]=(c[1933698]|0)!=0?7658336:7657496,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;oZ(7651600,1);i=d;return}function AZ(){var a=0;c[1933708]=1;a=c[u>>2]|0;c[1931276]=a;c[1931281]=yZ(a)|0;c[1931282]=1;c[1931286]=1;a=c[t>>2]|0;c[1931336]=a;c[1931341]=yZ(a)|0;c[1931342]=1;c[1931346]=0;a=c[r>>2]|0;c[1931348]=a;c[1931353]=yZ(a)|0;c[1931354]=1;c[1931358]=1;return}function BZ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=vb(f|0,c[19192+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[1933756]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Sb(c[i>>2]|0)|0;j=vb(c[e>>2]|0,c[19192+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[1933756]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;Jd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(kd()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}Jd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function CZ(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){zZ(b,d)}d=c[1933734]|0;if((d|0)!=0){xe[d&15]()|0}c[(kd()|0)>>2]=b;return b|0}function DZ(a){a=a|0;c[1933702]=0;c[1933684]=0;c[1933704]=0;return((EZ(a,0)|0)==0)<<31>>31|0}function EZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==40){break}else if((b<<24>>24|0)==32){e=f}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[1933704]|0;c[1933704]=h+1;if((h|0)==1){c[1933684]=d}if((JZ(1,d,0,0)|0)<0){g=0;return g|0}d=KZ(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function FZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[1933702]|0;k=7729904+(j<<4)|0;l=c[k>>2]|0;switch(GZ(l)|0){case 8:{m=c[1933744]|0;n=7734984+(m<<2)|0;o=c[n>>2]|0;if((o|0)>=1){p=10;break b}c[1933744]=m-1;c[1933702]=j+1;continue b;break};case 9:{m=(ke[c[1933732]&255](k)|0)==0;c[1933702]=(c[1933702]|0)+1;if(m){break b}else{continue b}break};case 6:{m=c[7729908+(j<<4)>>2]|0;q=(c[1933744]|0)+1|0;c[1933744]=q;c[7734984+(q<<2)>>2]=m;c[1933702]=j+1;continue b;break};case 1:{m=c[7729908+(j<<4)>>2]|0;q=(c[1933682]|0)+1|0;c[1933682]=q;c[7734744+(q<<2)>>2]=m;c[1933702]=j+1;continue b;break};case 3:{m=c[1933744]|0;q=7734984+(m<<2)|0;r=(c[q>>2]|0)-1|0;c[q>>2]=r;if((r|0)<1){c[1933744]=m-1;c[1933682]=(c[1933682]|0)-1;c[1933702]=j+1;continue b}else{m=c[1933682]|0;c[1933682]=m-1;c[1933702]=(c[7734744+(m<<2)>>2]|0)+1;continue b}break};case 2:{c[1933744]=0;c[1933682]=0;c[1933702]=c[7729908+(j<<4)>>2];if(b){p=24;break a}if((c[1931274]|0)==0){h=0;p=37;break a}m=xe[c[1933728]&15]()|0;if((m|0)==0){continue b}else{h=m;p=37;break a}break};case 16:{if(b){p=28;break a}c[1933702]=j+1;continue b;break};case 33:{c[1933706]=1;c[1933702]=j+1;continue b;break};case 17:case 19:{c[1933742]=0;c[1933702]=j+1;continue b;break};case 18:{c[1933742]=1;c[1933702]=j+1;continue b;break};case 20:{c[1933680]=c[7729908+(j<<4)>>2];c[1933702]=j+1;continue b;break};case 21:{c[1933758]=0;c[1933702]=j+1;continue b;break};case 22:{c[1933758]=1;c[1933702]=j+1;continue b;break};default:{p=4;break a}}}if((p|0)==10){p=0;if(b){p=11;break}c[n>>2]=o-1;c[1931274]=1;j=me[c[1933736]&127](k,f,d)|0;if((j|0)>0){p=13;break}if((j|0)<0){p=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;p=37;break}}if((p|0)==4){g=c[1933722]|0;Bd(c[u>>2]|0,7690400,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[1933726]>>2]|0)==0){zZ(100,7694288);h=100;i=e;return h|0}else{c[(kd()|0)>>2]=100;h=100;i=e;return h|0}}else if((p|0)==11){h=xe[c[1933734]&15]()|0;i=e;return h|0}else if((p|0)==13){d=c[c[1933726]>>2]|0;h=CZ(d,c[(kd()|0)>>2]|0,7679232)|0;i=e;return h|0}else if((p|0)==15){if((c[(c[1933726]|0)+8>>2]|0)==0){zZ(-1,7679232);h=-1;i=e;return h|0}else{c[(kd()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((p|0)==24){h=xe[c[1933734]&15]()|0;i=e;return h|0}else if((p|0)==28){h=xe[c[1933734]&15]()|0;i=e;return h|0}else if((p|0)==37){i=e;return h|0}return 0}function GZ(a){a=a|0;var b=0;switch(a|0){case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};default:{b=a}}return b|0}function HZ(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=FZ(b,0,0)|0;i=a;return d|0}function IZ(){c[1933740]=0;c[1933702]=0;c[1933682]=0;c[1933744]=0;c[1931274]=0;c[1933686]=0;c[1933746]=0;return}function JZ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[1933702]|0;if((f|0)>299){Ya(7657152,24,1,c[u>>2]|0)|0;oZ(c[1933722]|0,1);g=c[1933702]|0}else{g=f}c[7729904+(f<<4)>>2]=a;c[7729908+(f<<4)>>2]=b;c[7729912+(f<<4)>>2]=d;c[7729916+(f<<4)>>2]=e;c[1933702]=g+1;return g|0}function KZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=LZ(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[1933704]|0)-1|0;c[1933704]=g;if((g|0)==0){JZ(2,c[1933684]|0,0,0)|0;e=i+1|0;return e|0}else{JZ(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function LZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((MZ(b,e)|0)!=0){g=c[e>>2]|0;break}if((NZ(b,e)|0)!=0){g=c[e>>2]|0;break}h=OZ(b,f,1)|0;j=JZ(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=EZ(h,j)|0}}while(0);i=d;return g|0}function MZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 47:{JZ(5,0,0,0)|0;g=b;h=30;break};case 66:case 98:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==122|(k<<24>>24|0)==90){JZ(22,0,0,0)|0;g=j;h=30;break a}else{JZ(21,0,0,0)|0;g=j;h=30;break a}break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{l=0;m=b;h=14;break};case 43:{n=0;h=13;break};case 36:{JZ(33,0,0,0)|0;g=b;h=30;break};case 45:{n=1;h=13;break};case 83:case 115:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==112|(k<<24>>24|0)==80){o=18;p=j}else if((k<<24>>24|0)==115|(k<<24>>24|0)==83){o=19;p=j}else{o=17;p=b}JZ(o,0,0,0)|0;g=p;h=30;break};case 58:{JZ(16,0,0,0)|0;g=b;h=30;break};case 2:case 34:case 39:{c[7729912+((JZ(11,0,0,0)|0)<<4)>>2]=b;j=PZ(b)|0;c[d>>2]=j;q=(j|0)!=0|0;i=e;return q|0};case 84:case 116:{j=b+1|0;k=a[j]|0;if((k<<24>>24|0)==114|(k<<24>>24|0)==82){r=14;s=j}else if((k<<24>>24|0)==108|(k<<24>>24|0)==76){r=13;s=j}else{r=15;s=b}j=OZ(s+1|0,f,0)|0;if((j|0)==0){h=15;break a}JZ(r,c[f>>2]|0,0,0)|0;g=j-1|0;h=30;break};case 88:case 120:{JZ(4,1,0,0)|0;g=b;h=30;break};case 80:case 112:{JZ(20,1,0,0)|0;g=b;h=30;break};default:{q=0;i=e;return q|0}}}while(0);if((h|0)==13){l=n;m=b+1|0;h=14}b:do{if((h|0)==14){b=OZ(m,f,0)|0;if((b|0)==0){h=15;break}switch(a[b]|0){case 80:case 112:{n=c[f>>2]|0;if((l|0)==0){t=n}else{r=-n|0;c[f>>2]=r;t=r}JZ(20,t,0,0)|0;g=b;h=30;break b;break};case 88:case 120:{JZ(4,c[f>>2]|0,0,0)|0;g=b;h=30;break b;break};case 72:case 104:{r=c[f>>2]|0;c[7729912+((JZ(12,r,0,0)|0)<<4)>>2]=b+1;g=b+r|0;h=30;break b;break};default:{q=0;i=e;return q|0}}}}while(0);if((h|0)==15){c[d>>2]=0;q=1;i=e;return q|0}else if((h|0)==30){c[d>>2]=g+1;q=1;i=e;return q|0}return 0}function NZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=OZ(b,f,1)|0;JZ(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 71:case 103:{l=0;m=3;break};case 90:case 122:{n=36;o=35;m=38;break};case 76:case 108:{p=OZ(f,g,0)|0;if((p|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){r=p;m=45;break a}JZ(29,q,0,0)|0;r=p;m=45;break};case 69:case 101:{l=1;m=3;break};case 65:case 97:{p=f;while(1){s=a[p]|0;if(s<<24>>24==32){p=p+1|0}else{break}}if(!((s-48&255)>>>0<10>>>0)){JZ(30,0,0,0)|0;r=p;m=45;break a}q=OZ(p,g,1)|0;t=c[g>>2]|0;if((t|0)==0){r=q;m=45;break a}JZ(31,t,0,0)|0;r=q;m=45;break};case 70:case 102:{q=OZ(f,g,0)|0;if((q|0)==0){m=4;break a}t=c[g>>2]|0;if((t|0)==0){r=q;m=45;break a}if((a[q]|0)==46){u=OZ(q+1|0,h,0)|0;if((u|0)==0){m=4;break a}v=u;w=c[h>>2]|0}else{c[h>>2]=0;v=q;w=0}JZ(23,t,w,0)|0;r=v;m=45;break};case 68:case 100:{t=OZ(f,g,0)|0;if((t|0)==0){m=4;break a}q=c[g>>2]|0;if((q|0)==0){r=t;m=45;break a}if((a[t]|0)==46){u=OZ(t+1|0,h,0)|0;if((u|0)==0){m=4;break a}x=u;y=c[h>>2]|0}else{c[h>>2]=0;x=t;y=0}JZ(26,q,y,0)|0;r=x;m=45;break};case 73:case 105:{n=10;o=7;m=38;break};case 79:case 111:{n=34;o=32;m=38;break};default:{c[1933702]=(c[1933702]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((m|0)==3){b=OZ(f,g,0)|0;if((b|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){r=b;m=45;break}y=a[b]|0;if(y<<24>>24==46){v=OZ(b+1|0,h,0)|0;if((v|0)==0){m=4;break}A=v;B=a[v]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){JZ((l|0)==1?24:27,x,c[h>>2]|0,0)|0;r=A;m=45;break}y=OZ(A+1|0,j,0)|0;if((y|0)==0){m=4;break}JZ((l|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;r=y;m=45}else if((m|0)==38){y=OZ(f,g,0)|0;if((y|0)==0){m=4;break}x=c[g>>2]|0;if((x|0)==0){r=y;m=45;break}if((a[y]|0)!=46){JZ(o,x,0,0)|0;r=y;m=45;break}b=OZ(y+1|0,h,0)|0;if((b|0)==0){m=4;break}JZ(n,x,c[h>>2]|0,0)|0;r=b;m=45}}while(0);if((m|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((m|0)==45){c[d>>2]=r;z=1;i=e;return z|0}return 0}function OZ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function PZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[1933726]>>2]|0)==0){zZ(100,7668168);l=0;return l|0}else{c[(kd()|0)>>2]=100;l=0;return l|0}return 0}function QZ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[7734862]=48;i=7734862;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=7734840+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function RZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[1933718]|0;e=c[1933696]|0;if((d|0)>(e|0)){c[1933696]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4804]|0)){g=f}else{SZ(e,f);g=c[1933696]|0}f=c[4806]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;_a(f|0,c[1933756]|0)|0;g=laa(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Wa(a[k]|0,c[1933756]|0)|0;_a(g|0,c[1933756]|0)|0;f=laa(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function SZ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4806]|0;if((e|0)==7735040){c[4804]=1024;f=1024}else{f=c[4804]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4804]=h;g=h}h=L9(g)|0;if((h|0)==0){zZ(113,7688288);i=c[4806]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4806]|0}else{j=i}if((j|0)==7735040){c[4806]=h;return}M9(j);c[4806]=h;return}function TZ(b){b=b|0;var d=0,e=0,f=0;d=c[1933696]|0;e=c[4804]|0;if((d|0)<(e|0)){f=d}else{SZ(d,e);f=c[1933696]|0}c[1933696]=f+1;a[(c[4806]|0)+f|0]=b;return}function UZ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[1933724]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){zZ(101,7641408);k=101;i=d;return k|0}else{c[(kd()|0)>>2]=101;k=101;i=d;return k|0}}if((c[1933708]|0)==0){AZ();l=c[h>>2]|0}else{l=j}j=7725104+(l*48|0)|0;c[1933738]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;ZZ(j,c[b+12>>2]|0,n);o=_Z(n,g)|0;if((o|0)==(c[7725112+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[7725116+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=vZ(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[7725136+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=7725120+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[7725136+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=7725128+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[7725128+(l*48|0)>>2]=1;r=1;break}else{c[7725128+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Ub(e|0,7635408,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;ZZ(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){VZ(107,7641408,b);k=107;i=d;return k|0}else{c[(kd()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=7725148+(l*48|0)|0;c[q>>2]=0;c[7725140+(l*48|0)>>2]=0;h=7725144+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=7725132+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 111:case 79:{if((Rb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=kd()|0;s=c[n>>2]|0;if(j){VZ(s,7641408,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=Bb()|0;c[m>>2]=s;if((s|0)!=0){c[7725108+(l*48|0)>>2]=0;c[7725116+(l*48|0)>>2]=-1;c[7725112+(l*48|0)>>2]=-1;c[7725124+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=kd()|0;j=c[n>>2]|0;if(s){VZ(j,7641408,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};case 110:case 78:{if((Rb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){VZ(128,7641408,b);k=128;i=d;return k|0}else{c[(kd()|0)>>2]=128;k=128;i=d;return k|0}break};case 114:case 82:{break};default:{break b}}}while(0);j=Hc(e|0,c[4798]|0)|0;if((j|0)==0){break}Pa(j|0)|0}}while(0);q=e|0;e=L9((laa(q|0)|0)+1|0)|0;c[7725108+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){VZ(113,7629616,b);k=113;i=d;return k|0}else{c[(kd()|0)>>2]=113;k=113;i=d;return k|0}}raa(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=Hc(q|0,c[19192+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=Hc(q|0,c[19208+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=Hc(q|0,c[19192+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=kd()|0;j=c[o>>2]|0;if(g){zZ(j,7641408);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=7725124+(l*48|0)|0;c[r>>2]=yZ(u)|0;u=_Z(q,7725116+(l*48|0)|0)|0;c[7725112+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){VZ(108,7641408,b);k=108;i=d;return k|0}else{c[(kd()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){Nd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((Jd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){VZ(129,7641408,b);k=129;i=d;return k|0}else{c[(kd()|0)>>2]=129;k=129;i=d;return k|0}return 0}function VZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){zZ(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4804]|0)){h=f;i=d}else{SZ(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4806]|0;c[(c[1933738]|0)+4>>2]=g;ZZ(h,i,g);zZ(a,b);return}function WZ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Ub(g|0,7635408,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=laa(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?7623200:7699336;c[f+24>>2]=(b|0)==5?7694592:7690824;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=UZ(f)|0;i=e;return a|0}function XZ(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=7725104+(b*48|0)|0;c[1933738]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){zZ(101,7678136);e=101;return e|0}else{c[(kd()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((WZ(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){zZ(114,7690592);e=114;return e|0}else{c[(kd()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[7725128+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){zZ(102,7690592);e=102;return e|0}else{c[(kd()|0)>>2]=102;e=102;return e|0}return 0}function YZ(){var a=0;a=HZ()|0;c[1933722]=0;return a|0}function ZZ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function _Z(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((Qd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function $Z(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[1933680]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[1933742]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Ub(v|0,7675616,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(laa(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;he[c[1933700]&511](32);}while((B|0)>0)}if((A|0)!=0){he[c[1933700]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{he[c[1933700]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(bd(B|0)|0)+1|0;Ub(B|0,7689872,(w=i,i=i+8|0,c[w>>2]=p-(c[1933680]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;he[c[1933700]&511](32);}while((z|0)>0)}if((s|0)!=0){he[c[1933700]&511]((t|0)!=0?45:43)}z=c[1933680]|0;do{if((z|0)<1){he[c[1933700]&511](46);u=c[1933700]|0;if((z|0)<0){F=z;w=u;while(1){he[w&511](48);H=F+1|0;I=c[1933700]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}he[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}he[c[1933700]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[1933700]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){he[F&511](a[J]|0);P=O-1|0;Q=c[1933700]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}he[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;he[c[1933700]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){he[c[1933700]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;he[c[1933700]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){he[c[1933700]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{he[c[1933700]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;he[c[1933700]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;he[c[1933700]&511](42);}while((Y|0)>0);i=k;return 0}function a_(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[1933680]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Ub(b|0,7666416,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[1933742]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;he[c[1933700]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;he[c[1933700]&511](32);}while((r|0)>0)}do{if(o){if((c[1933742]|0)==0){break}he[c[1933700]&511](43)}else{he[c[1933700]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;he[c[1933700]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;he[c[1933700]&511](48);}while((w|0)>0);i=j;return 0}function b_(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==1){g=a[d]|0}else if((f|0)==4){g=c[d>>2]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{he[c[1933700]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[1933700]|0;if((g|0)==0){he[d&511](70);return 0}else{he[d&511](84);return 0}return 0}function c_(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[1933740]|0)==0){f=3}else{g=d_()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 27:case 28:{h=i_(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 7:{break};case 36:{j_(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 10:{f_(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 32:{e_(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 31:{h_(b,c[a+4>>2]|0,d);h=0;break a;break};case 35:{j_(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 23:{h=a_(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};case 26:case 24:case 25:{h=$Z(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 34:{f_(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 30:{g_(b,d);h=0;break a;break};case 29:{b_(b,c[a+4>>2]|0,d)|0;h=0;break a;break};default:{Bd(c[u>>2]|0,7675344,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;oZ(c[1933722]|0,1)}}e_(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function d_(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[1933740]|0;c[1933740]=0;if((c[1933724]|0)!=0){if((a|0)>0){b=c[1933718]|0;d=c[1933696]|0;if((b|0)<=(d|0)){e=a;while(1){he[c[1933700]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[1933696]=e;g=0;return g|0}e=a-b+d|0;c[1933696]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){he[c[1933700]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[1933696]|0;e=h+a|0;if((e|0)>=0){if((c[1933718]|0)<(h|0)){c[1933718]=h}c[1933696]=e;g=0;return g|0}if((c[c[1933726]>>2]|0)==0){zZ(110,7677992);g=110;return g|0}else{c[(kd()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[1933696]|0;if((c[1933718]|0)<(e|0)){c[1933718]=e}h=e+a|0;c[1933696]=h;c[1933716]=(c[1933716]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[1933726]>>2]|0)==0){zZ(110,7677992);g=110;return g|0}else{c[(kd()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[1933696]|0;e=h+a|0;if((e|0)>=(c[(c[1933676]|0)+16>>2]|0)){if((c[c[1933726]>>2]|0)==0){zZ(110,7666240);g=110;return g|0}else{c[(kd()|0)>>2]=110;g=110;return g|0}}b=c[1933718]|0;if((b|0)<=(h|0)){d=a;while(1){he[c[1933700]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[1933716]=(c[1933716]|0)+a;c[1933696]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[1933716]=(c[1933716]|0)+e;c[1933696]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){he[c[1933700]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function e_(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==1){l=a[d]|0}else if((f|0)==4){l=c[d>>2]|0}else{l=b[d>>1]|0}d=QZ(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[1933742]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{he[c[1933700]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{he[c[1933700]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[1933742]|0)==0){break}he[c[1933700]&511](43)}else{he[c[1933700]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){he[c[1933700]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function f_(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==1){m=a[d]|0}else if((g|0)==4){m=c[d>>2]|0}else{m=b[d>>1]|0}d=QZ(m,k,l,h)|0;h=c[l>>2]|0;g=(c[1933742]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{he[c[1933700]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{he[c[1933700]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[1933742]|0)==0){break}he[c[1933700]&511](43)}else{he[c[1933700]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){he[c[1933700]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){he[c[1933700]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{he[c[1933700]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function g_(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;he[c[1933700]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function h_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;he[c[1933700]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;he[c[1933700]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function i_(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=$Z(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=$Z(a,b,d,e,f)|0;return l|0}}while(0);m=c[1933680]|0;c[1933680]=0;n=(e|0)==0?4:e+2|0;e=a_(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{he[c[1933700]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[1933680]=m;l=e;return l|0}function j_(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{he[c[1933700]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{he[c[1933700]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;he[c[1933700]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){he[c[1933700]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){he[c[1933700]&511](a[344+((d[o]|0)>>>4)|0]|0);he[c[1933700]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function k_(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=c[a>>2]|0;switch(d|0){case 15:{c[1933740]=(c[a+4>>2]|0)-1-(c[1933696]|0);e=1;i=b;return e|0};case 14:case 4:{c[1933740]=(c[1933740]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 5:{break};case 13:{f=(c[1933740]|0)-(c[a+4>>2]|0)|0;c[1933740]=f;g=-(c[1933696]|0)|0;if((f|0)>=(g|0)){e=1;i=b;return e|0}c[1933740]=g;e=1;i=b;return e|0};case 11:{e=l_(c[a+8>>2]|0)|0;i=b;return e|0};case 12:{e=m_(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};default:{Bd(c[u>>2]|0,7689760,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;oZ(c[1933722]|0,1)}}e=xe[c[1933730]&15]()|0;i=b;return e|0}function l_(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[1933740]|0)!=0){d=d_()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}he[c[1933700]&511](d<<24>>24);l=g}else{he[c[1933700]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function m_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[1933740]|0)!=0){e=d_()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;he[c[1933700]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function n_(){var a=0;a=RZ(10)|0;c[1933740]=0;c[1933696]=0;c[1933718]=0;return(a|0)==0|0}function o_(a){a=a|0;var b=0,d=0,e=0;if((c[1933708]|0)==0){AZ()}c[1933698]=0;c[1933678]=1;c[1933720]=1;c[1933724]=1;b=XZ(a)|0;if((b|0)!=0){d=b;return d|0}c[1933726]=a;c[1933696]=0;c[1933740]=0;c[1933718]=0;c[1933706]=0;c[1933680]=0;b=c[a+12>>2]|0;c[1933722]=b;c[1933756]=c[c[1933738]>>2];if((DZ(b)|0)<0){if((c[a>>2]|0)==0){zZ(100,7674344);d=100;return d|0}else{c[(kd()|0)>>2]=100;d=100;return d|0}}c[1933700]=260;c[1933736]=24;c[1933732]=186;c[1933734]=2;c[1933728]=4;c[1933730]=6;IZ();c[1933742]=0;b=c[1933738]|0;c[1933758]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((BZ(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=kd()|0;e=c[a>>2]|0;if(b){zZ(e,7689688);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function p_(){var a=0;if((c[1933706]|0)==0){a=RZ(10)|0}else{RZ(0)|0;Ta(c[1933756]|0)|0;a=0}c[1933740]=0;c[1933696]=0;c[1933718]=0;return a|0}function q_(){var a=0,b=0;if((c[1931274]|0)==0){a=0}else{b=RZ(10)|0;c[1931274]=0;a=b}c[1933740]=0;c[1933696]=0;c[1933718]=0;return a|0}function r_(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[t>>2]|0;N_(7741584,h,7741712);c[1935644]=7703916;c[1935646]=7703936;c[1935645]=0;E0(7742584,7741584);c[1935664]=0;c[1935665]=-1;j=c[r>>2]|0;c[1935372]=7703600;m6(7741492);oaa(7741496,0,24)|0;c[1935372]=7704136;c[1935380]=j;n6(g,7741492);k=q6(g,7741912)|0;l=k;o6(g);c[1935381]=l;c[1935382]=7741720;a[7741532]=(ke[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[1935578]=7703820;c[1935579]=7703840;E0(7742316,7741488);c[1935597]=0;c[1935598]=-1;l=c[u>>2]|0;c[1935384]=7703600;m6(7741540);oaa(7741544,0,24)|0;c[1935384]=7704136;c[1935392]=l;n6(f,7741540);k=q6(f,7741912)|0;g=k;o6(f);c[1935393]=g;c[1935394]=7741728;a[7741580]=(ke[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[1935622]=7703820;c[1935623]=7703840;E0(7742492,7741536);c[1935641]=0;c[1935642]=-1;g=c[(c[(c[1935622]|0)-12>>2]|0)+7742512>>2]|0;c[1935600]=7703820;c[1935601]=7703840;E0(7742404,g);c[1935619]=0;c[1935620]=-1;c[(c[(c[1935644]|0)-12>>2]|0)+7742648>>2]=7742312;g=(c[(c[1935622]|0)-12>>2]|0)+7742492|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[1935622]|0)-12>>2]|0)+7742560>>2]=7742312;z_(7741432,h,7741736);c[1935556]=7703868;c[1935558]=7703888;c[1935557]=0;E0(7742232,7741432);c[1935576]=0;c[1935577]=-1;c[1935334]=7703528;m6(7741340);oaa(7741344,0,24)|0;c[1935334]=7704064;c[1935342]=j;n6(e,7741340);j=q6(e,7741904)|0;h=j;o6(e);c[1935343]=h;c[1935344]=7741744;a[7741380]=(ke[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[1935486]=7703772;c[1935487]=7703792;E0(7741948,7741336);c[1935505]=0;c[1935506]=-1;c[1935346]=7703528;m6(7741388);oaa(7741392,0,24)|0;c[1935346]=7704064;c[1935354]=l;n6(d,7741388);l=q6(d,7741904)|0;h=l;o6(d);c[1935355]=h;c[1935356]=7741752;a[7741428]=(ke[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[1935530]=7703772;c[1935531]=7703792;E0(7742124,7741384);c[1935549]=0;c[1935550]=-1;h=c[(c[(c[1935530]|0)-12>>2]|0)+7742144>>2]|0;c[1935508]=7703772;c[1935509]=7703792;E0(7742036,h);c[1935527]=0;c[1935528]=-1;c[(c[(c[1935556]|0)-12>>2]|0)+7742296>>2]=7741944;h=(c[(c[1935530]|0)-12>>2]|0)+7742124|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[1935530]|0)-12>>2]|0)+7742192>>2]=7741944;i=b;return}function s_(a){a=a|0;C1(7742312)|0;C1(7742400)|0;J1(7741944)|0;J1(7742032)|0;return}function t_(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);return}function u_(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);T9(a);return}function v_(b,d){b=b|0;d=d|0;var e=0;ke[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=q6(d,7741904)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(ke[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function w_(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=le[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function x_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Ya(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((ue[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function y_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=we[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function z_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=7703528;j=b+4|0;m6(j);oaa(b+8|0,0,24)|0;c[h>>2]=7704464;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;n6(g,j);j=q6(g,7741904)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=ke[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(ke[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){o6(g);i=f;return}y5(7623208);o6(g);i=f;return}function A_(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);return}function B_(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);T9(a);return}function C_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=q6(d,7741904)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=ke[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(ke[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}y5(7623208);return}function D_(a){a=a|0;return G_(a,0)|0}function E_(a){a=a|0;return G_(a,1)|0}function F_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=we[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((rd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function G_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Eb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=we[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==3){y=14;break}else if((x|0)==2){n=-1;y=22;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Eb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((rd(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function H_(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);return}function I_(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);T9(a);return}function J_(b,d){b=b|0;d=d|0;var e=0;ke[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=q6(d,7741912)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(ke[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function K_(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=le[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Ya(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Ta(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function L_(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Ya(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((ue[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function M_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Ya(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=we[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Ya(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Ya(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function N_(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=7703600;j=b+4|0;m6(j);oaa(b+8|0,0,24)|0;c[h>>2]=7704536;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;n6(g,j);j=q6(g,7741912)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=ke[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(ke[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){o6(g);i=f;return}y5(7623208);o6(g);i=f;return}function O_(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);return}function P_(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);T9(a);return}function Q_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=q6(d,7741912)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=ke[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(ke[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}y5(7623208);return}function R_(a){a=a|0;return U_(a,0)|0}function S_(a){a=a|0;return U_(a,1)|0}function T_(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=we[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}else if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((rd(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function U_(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Eb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=we[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==3){z=14;break}else if((y|0)==2){o=-1;z=23;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Eb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((rd(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function V_(){r_(0);Hb(190,7742664,s|0)|0;return}function W_(a){a=a|0;return}function X_(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function Y_(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}he[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function Z_(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=7701760;d=a+4|0;if((d|0)==0){return}a=laa(b|0)|0;e=S9(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;naa(f|0,b|0,a+1|0)|0;return}function __(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701760;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}U9(e)}}while(0);T9(a);return}function $_(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701760;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}U9(d);e=a|0;return}function a$(a){a=a|0;return c[a+4>>2]|0}function b$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=7701664;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=laa(f|0)|0;b=S9(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;naa(g|0,f|0,d+1|0)|0;return}function c$(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=7701664;d=a+4|0;if((d|0)==0){return}a=laa(b|0)|0;e=S9(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;naa(f|0,b|0,a+1|0)|0;return}function d$(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701664;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}U9(e)}}while(0);T9(a);return}function e$(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701664;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}U9(d);e=a|0;return}function f$(a){a=a|0;return c[a+4>>2]|0}function g$(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701760;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}U9(e)}}while(0);T9(a);return}function h$(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=7701760;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}U9(e)}}while(0);T9(a);return}function i$(a){a=a|0;return}function j$(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function k$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;ze[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function l$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function m$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=ld(e|0)|0;e=laa(d|0)|0;if(e>>>0>4294967279>>>0){s$(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=R9(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function n$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{Z$(e,7673384,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;ze[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}Z$(e,q,p)|0;if((a[l]&1)==0){break}T9(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];oaa(k|0,0,12)|0;i=f;return}function o$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=laa(e|0)|0;if(j>>>0>4294967279>>>0){s$(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=R9(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}naa(k|0,e|0,j)|0;a[k+j|0]=0;n$(g,d,h);b$(b|0,g);if(!((a[g]&1)==0)){T9(c[g+8>>2]|0)}if(!((a[h]&1)==0)){T9(c[h+8>>2]|0)}c[b>>2]=7704032;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function p$(a){a=a|0;e$(a|0);T9(a);return}function q$(a){a=a|0;e$(a|0);return}



function r$(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{tb(7741664,7741640)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;he[d&511](b);h;c[a>>2]=-1;i;ib(7741664)|0;return}function s$(a){a=a|0;a=Od(8)|0;Z_(a,7690360);c[a>>2]=7701728;Cc(a|0,7708072,50)}function t$(a){a=a|0;a=Od(8)|0;Z_(a,7690360);c[a>>2]=7701696;Cc(a|0,7708056,10)}function u$(a){a=a|0;oaa(a|0,0,12)|0;return}function v$(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function w$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){s$(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=R9(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}naa(g|0,e|0,f)|0;a[g+f|0]=0;return}function x$(b){b=b|0;return(a[b]&1)!=0|0}function y$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){s$(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=R9(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function z$(a){a=a|0;return a|0}function A$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=laa(d|0)|0;if(e>>>0>4294967279>>>0){s$(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=R9(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;naa(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function B$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){s$(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=R9(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}oaa(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function C$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){s$(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=R9(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}oaa(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function D$(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){t$(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){s$(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;naa(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=R9(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;naa(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function E$(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function F$(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function G$(b){b=b|0;if((a[b]&1)==0){return}T9(c[b+8>>2]|0);return}function H$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}_$(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}saa(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function I$(a,b){a=a|0;b=b|0;return J$(a,b)|0}function J$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=laa(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}_$(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}saa(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function K$(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function L$(a){a=a|0;return a+1|0}function M$(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function N$(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function O$(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function P$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){Q$(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function Q$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){$$(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}oaa(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function R$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){Q$(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function S$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){s$(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=R9(f)|0}else{o=R9(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}naa(k|0,l|0,p+1|0)|0;if(m){T9(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function T$(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function U$(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function V$(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function W$(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function X$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return Z$(b,g,f)|0}function Y$(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){$$(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function Z$(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){_$(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}naa(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function _$(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){s$(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=R9(o)|0;if((g|0)!=0){naa(e|0,k|0,g)|0}if((i|0)!=0){naa(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){naa(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}T9(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function $$(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){s$(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=R9(n)|0;if((g|0)!=0){naa(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){naa(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}T9(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function a0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;D$(a,b,c,d,0);return}function b0(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function c0(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=laa(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function d0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=iaa(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function e0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=laa(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){t$(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=iaa(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function f0(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){s$(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;naa(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=R9(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;naa(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function g0(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){s$(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=m9(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=R9(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=m9(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function h0(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){s$(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=o9(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=R9(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=o9(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function i0(b){b=b|0;if((a[b]&1)==0){return}T9(c[b+8>>2]|0);return}function j0(a,b){a=a|0;b=b|0;return k0(a,b,l9(b)|0)|0}function k0(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}n0(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}n9(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function l0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){s$(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=R9(f)|0}else{o=R9(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}m9(k,l,p+1|0)|0;if(m){T9(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function m0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){o0(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function n0(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){s$(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=R9(o<<2)|0;if((g|0)!=0){m9(e,k,g)|0}if((i|0)!=0){m9(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){m9(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}T9(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function o0(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){s$(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=R9(n<<2)|0;if((g|0)!=0){m9(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){m9(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}T9(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function p0(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;oaa(f|0,0,12)|0;g=laa(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){s$(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=R9(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}naa(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}Z$(b,l,j)|0;return}function q0(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function r0(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function s0(a,b){a=a|0;b=b|0;t0(a|0,b);return}function t0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=Od(16)|0;do{if((a[7742784]|0)==0){if((fc(7742784)|0)==0){break}c[1935198]=7703296;Hb(170,7740792,s|0)|0}}while(0);b=xaa(7740792,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;o$(e,f,7678648);c[e>>2]=7702432;Cc(e|0,7708616,44)}function u0(a,b){a=a|0;b=b|0;t0(a|0,c[a+16>>2]|b);return}function v0(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=7702408;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;ze[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}o6(a+28|0);M9(c[d>>2]|0);M9(c[e>>2]|0);M9(c[a+48>>2]|0);M9(c[a+60>>2]|0);return}function w0(a){a=a|0;v0(a|0);T9(a);return}function x0(a){a=a|0;v0(a|0);return}function y0(a){a=a|0;v0(a|0);return}function z0(a){a=a|0;return c[a+24>>2]|0}function A0(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}n6(d,a+28|0);a=q6(d,7742216)|0;f=ue[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;o6(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function B0(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;n6(e,a+28|0);a=q6(e,7742216)|0;f=ue[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;o6(e);i=d;return f|0}function C0(a,b){a=a|0;b=b|0;n6(a,b+28|0);return}function D0(a){a=a|0;c[a>>2]=7701952;return}function E0(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;oaa(a+32|0,0,40)|0;if((b|0)==0){return}m6(b);return}function F0(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);T9(a);return}function G0(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);return}function H0(a){a=a|0;c[a>>2]=7703600;o6(a+4|0);return}function I0(a,b){a=a|0;b=b|0;n6(a,b+4|0);return}function J0(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=ke[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function K0(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=ue[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function L0(a,b,d){a=a|0;b=b|0;d=d|0;return me[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function M0(a){a=a|0;c[a>>2]=7703600;m6(a+4|0);oaa(a+8|0,0,24)|0;return}function N0(a){a=a|0;return c[a+8>>2]|0}function O0(a){a=a|0;return c[a+12>>2]|0}function P0(a){a=a|0;return c[a+16>>2]|0}function Q0(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function R0(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function S0(a){a=a|0;return c[a+20>>2]|0}function T0(a){a=a|0;return c[a+24>>2]|0}function U0(a){a=a|0;return c[a+28>>2]|0}function V0(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function W0(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function X0(a,b){a=a|0;b=b|0;return}function Y0(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Z0(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function _0(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function $0(a){a=a|0;return 0}function a1(a){a=a|0;return 0}function b1(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=ke[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function c1(a){a=a|0;return-1|0}function d1(a){a=a|0;var b=0,e=0;if((ke[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function e1(a,b){a=a|0;b=b|0;return-1|0}function f1(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((ue[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function g1(a,b){a=a|0;b=b|0;return-1|0}function h1(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);T9(a);return}function i1(a){a=a|0;c[a>>2]=7703528;o6(a+4|0);return}function j1(a,b){a=a|0;b=b|0;return}function k1(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function l1(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function m1(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function n1(a){a=a|0;return 0}function o1(a){a=a|0;return 0}function p1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=ke[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function q1(a){a=a|0;return-1|0}function r1(a){a=a|0;var b=0,d=0;if((ke[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function s1(a,b){a=a|0;b=b|0;return-1|0}function t1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((ue[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function u1(a,b){a=a|0;b=b|0;return-1|0}function v1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;oaa(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}m6(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function w1(a){a=a|0;v0(a+8|0);T9(a);return}function x1(a){a=a|0;v0(a+8|0);return}function y1(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;v0(b+(d+8)|0);T9(b+d|0);return}function z1(a){a=a|0;v0(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function A1(a,b,c){a=a|0;b=b|0;c=c|0;B1(a,b,c);return}function B1(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){t0(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){C1(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}n6(h,l+(e+28)|0);e=q6(h,7742216)|0;o6(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(ke[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(ke[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){ke[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(ke[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;t0(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function C1(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{C1(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((ke[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;t0(h+k|0,c[h+(k+16)>>2]|1)}}while(0);R1(e);i=d;return b|0}function D1(b){b=b|0;return(a[b|0]|0)!=0|0}function E1(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{ub()}}function F1(a){a=a|0;v0(a+8|0);T9(a);return}function G1(a){a=a|0;v0(a+8|0);return}function H1(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;v0(b+(d+8)|0);T9(b+d|0);return}function I1(a){a=a|0;v0(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function J1(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{J1(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((ke[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;t0(h+k|0,c[h+(k+16)>>2]|1)}}while(0);b2(e);i=d;return b|0}function K1(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;oaa(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}m6(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function L1(a){a=a|0;v0(a+4|0);T9(a);return}function M1(a){a=a|0;v0(a+4|0);return}function N1(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;v0(b+(d+4)|0);T9(b+d|0);return}function O1(a){a=a|0;v0(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function P1(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){C1(d)|0}a[e]=1;return}function Q1(a){a=a|0;R1(a);return}function R1(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(oc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((ke[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;t0(d+b|0,c[d+(b+16)>>2]|1);return}function S1(b){b=b|0;return(a[b|0]|0)!=0|0}function T1(a,b){a=a|0;b=b|0;return ke[b&255](a)|0}function U1(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{C1(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;n6(j,o+(q+28)|0);p=q6(j,7741864)|0;o6(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){n6(g,o+(r+28)|0);v=q6(g,7742216)|0;w=ue[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;o6(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;ne[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;t0(o+r|0,c[o+(r+16)>>2]|5)}}while(0);R1(h);i=e;return b|0}function V1(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{C1(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((ue[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;t0(l+p|0,c[l+(p+16)>>2]|1)}}while(0);R1(f);i=e;return b|0}function W1(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){C1(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((me[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;t0(l+m|0,c[l+(m+16)>>2]|1)}}while(0);R1(g);i=f;return b|0}function X1(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;pe[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function Y1(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){R1(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{C1(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];Ce[n&63](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){R1(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;t0(m+f|0,c[m+(f+16)>>2]|4);R1(g);i=e;return b|0}function Z1(a){a=a|0;v0(a+4|0);T9(a);return}function _1(a){a=a|0;v0(a+4|0);return}function $1(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;v0(b+(d+4)|0);T9(b+d|0);return}function a2(a){a=a|0;v0(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function b2(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(oc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((ke[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;t0(d+b|0,c[d+(b+16)>>2]|1);return}function c2(a){a=a|0;return 7681840}function d2(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){y$(a,7692056,35);return}else{m$(a,b|0,c);return}}function e2(a){a=a|0;i$(a|0);return}function f2(a){a=a|0;q$(a|0);T9(a);return}function g2(a){a=a|0;q$(a|0);return}function h2(a){a=a|0;v0(a);T9(a);return}function i2(a){a=a|0;i$(a|0);T9(a);return}function j2(a){a=a|0;W_(a|0);T9(a);return}function k2(a){a=a|0;W_(a|0);return}function l2(a){a=a|0;W_(a|0);return}function m2(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function n2(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){s$(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=R9(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function o2(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function p2(a){a=a|0;W_(a|0);T9(a);return}function q2(a){a=a|0;W_(a|0);return}function r2(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function s2(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){s$(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=R9(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function t2(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function u2(a){a=a|0;W_(a|0);T9(a);return}function v2(a){a=a|0;W_(a|0);return}function w2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];re[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}C0(r,g);q=r|0;r=c[q>>2]|0;if(!((c[1935554]|0)==-1)){c[m>>2]=7742216;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742216,m,126)}m=(c[1935555]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;Y_(c[q>>2]|0)|0;C0(s,g);n=s|0;p=c[n>>2]|0;if(!((c[1935458]|0)==-1)){c[l>>2]=7741832;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741832,l,126)}d=(c[1935459]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;Y_(c[n>>2]|0)|0;z=t|0;A=x;ie[c[(c[A>>2]|0)+24>>2]&255](z,y);ie[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(x2(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];G$(t+12|0);G$(t|0);i=k;return}}while(0);o=Od(4)|0;q9(o);Cc(o|0,7708024,182)}}while(0);k=Od(4)|0;q9(k);Cc(k|0,7708024,182)}function x2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=L9(l)|0;if((n|0)!=0){o=n;p=n;break}Y9();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((ke[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((ke[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=ue[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(ue[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){ke[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((ke[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}M9(p);i=k;return $|0}function y2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];z2(a,0,j,k,f,g,h);i=b;return}function z2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;p3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ke[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}P$(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}P$(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((R2(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ke[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=l8(F,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}if((ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}function A2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];B2(a,0,j,k,f,g,h);i=b;return}function B2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;p3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ke[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}P$(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}P$(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((R2(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){ke[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=k8(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;C5(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}if((ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}function C2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];D2(a,0,j,k,f,g,h);i=b;return}function D2(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==64){u=8}else if((t|0)==0){u=0}else{u=10}t=l|0;p3(n,h,t,m);h=o;oaa(h|0,0,12)|0;P$(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((ke[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}P$(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}P$(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((R2(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=j8(G,c[p>>2]|0,j,u)|0;C5(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;G$(o);G$(n);i=e;return}if((ke[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;G$(o);G$(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;G$(o);G$(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;G$(o);G$(n);i=e;return}function E2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];F2(a,0,j,k,f,g,h);i=b;return}function F2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;p3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ke[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}P$(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}P$(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((R2(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ke[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=i8(F,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}if((ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}function G2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];H2(a,0,j,k,f,g,h);i=b;return}function H2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;p3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ke[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}P$(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}P$(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((R2(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){ke[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=h8(F,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}if((ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;G$(n);G$(m);i=d;return}function I2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];J2(a,0,j,k,f,g,h);i=b;return}function J2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;p3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((ke[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}P$(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}P$(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((R2(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){ke[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=g8(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;C5(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}if((ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;G$(n);G$(m);i=d;return}function K2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];L2(a,0,j,k,f,g,h);i=b;return}function L2(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;q3(n,h,v,l,m);h=o;oaa(h|0,0,12)|0;P$(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ke[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}P$(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}P$(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((r3(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ke[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+f8(I,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}if((ke[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}function M2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];N2(a,0,j,k,f,g,h);i=b;return}function N2(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;q3(n,g,v,l,m);g=o;oaa(g|0,0,12)|0;P$(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ke[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}P$(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}P$(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((r3(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ke[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+e8(I,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}if((ke[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}function O2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];P2(a,0,j,k,f,g,h);i=b;return}function P2(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;q3(n,g,v,l,m);g=o;oaa(g|0,0,12)|0;P$(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((ke[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}P$(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}P$(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((r3(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){ke[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+d8(I,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((ke[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}if((ke[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;G$(o);G$(n);i=d;return}function Q2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;oaa(m|0,0,12)|0;C0(n,g);g=n|0;n=c[g>>2]|0;if(!((c[1935554]|0)==-1)){c[k>>2]=7742216;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742216,k,126)}k=(c[1935555]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ye[c[(c[u>>2]|0)+32>>2]&127](u,7709784,7709810,v)|0;Y_(c[g>>2]|0)|0;u=o;oaa(u|0,0,12)|0;P$(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((ke[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}P$(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}P$(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(ke[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((R2(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){ke[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);F=S2(K,c[1935196]|0,7664440,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;G$(o);G$(m);i=d;return}if((ke[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;G$(o);G$(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;G$(o);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;G$(o);G$(m);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function R2(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[7709784+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[7709784+h|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function S2(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=td(b|0)|0;b=Cb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}td(h|0)|0;i=f;return b|0}function T2(a){a=a|0;W_(a|0);T9(a);return}function U2(a){a=a|0;W_(a|0);return}function V2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];re[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}C0(r,g);q=r|0;r=c[q>>2]|0;if(!((c[1935552]|0)==-1)){c[m>>2]=7742208;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742208,m,126)}m=(c[1935553]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;Y_(c[q>>2]|0)|0;C0(s,g);n=s|0;p=c[n>>2]|0;if(!((c[1935456]|0)==-1)){c[l>>2]=7741824;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741824,l,126)}d=(c[1935457]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;Y_(c[n>>2]|0)|0;z=t|0;A=x;ie[c[(c[A>>2]|0)+24>>2]&255](z,y);ie[c[(c[A>>2]|0)+28>>2]&255](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(W2(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];i0(t+12|0);i0(t|0);i=k;return}}while(0);o=Od(4)|0;q9(o);Cc(o|0,7708024,182)}}while(0);k=Od(4)|0;q9(k);Cc(k|0,7708024,182)}function W2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=L9(l)|0;if((n|0)!=0){o=n;p=n;break}Y9();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=ke[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=ke[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=ke[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=ue[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(ue[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){ke[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=ke[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}M9(p);i=k;return ca|0}function X2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];Y2(a,0,j,k,f,g,h);i=b;return}function Y2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;s3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ke[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}P$(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}P$(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((o3(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=l8(I,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ke[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}function Z2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];_2(a,0,j,k,f,g,h);i=b;return}function _2(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;s3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ke[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}P$(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}P$(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((o3(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=k8(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;C5(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=ke[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}function $2(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];a3(a,0,j,k,f,g,h);i=b;return}function a3(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==64){u=8}else if((t|0)==0){u=0}else if((t|0)==8){u=16}else{u=10}t=l|0;s3(n,h,t,m);h=o;oaa(h|0,0,12)|0;P$(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=ke[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=ke[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}P$(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}P$(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((o3(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){ke[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=j8(J,c[p>>2]|0,j,u)|0;C5(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=ke[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;G$(o);G$(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;G$(o);G$(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;G$(o);G$(n);i=e;return}function b3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];c3(a,0,j,k,f,g,h);i=b;return}function c3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;s3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ke[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}P$(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}P$(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((o3(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=i8(I,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ke[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}function d3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];e3(a,0,j,k,f,g,h);i=b;return}function e3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==0){t=0}else if((s|0)==8){t=16}else{t=10}s=k|0;s3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ke[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}P$(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}P$(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((o3(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=h8(I,c[o>>2]|0,h,t)|0;C5(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=ke[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;G$(n);G$(m);i=d;return}function f3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];g3(a,0,j,k,f,g,h);i=b;return}function g3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;s3(m,g,s,l);g=n;oaa(g|0,0,12)|0;P$(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=ke[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}P$(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}P$(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((o3(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){ke[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=g8(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;C5(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=ke[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;G$(n);G$(m);i=d;return}function h3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];i3(a,0,j,k,f,g,h);i=b;return}function i3(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;t3(n,h,v,l,m);h=o;oaa(h|0,0,12)|0;P$(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ke[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ke[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}P$(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}P$(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((u3(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ke[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+f8(L,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ke[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}function j3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];k3(a,0,j,k,f,g,h);i=b;return}function k3(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;t3(n,g,v,l,m);g=o;oaa(g|0,0,12)|0;P$(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ke[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ke[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}P$(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}P$(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((u3(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ke[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+e8(L,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ke[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}function l3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];m3(a,0,j,k,f,g,h);i=b;return}function m3(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;t3(n,g,v,l,m);g=o;oaa(g|0,0,12)|0;P$(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=ke[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ke[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}P$(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}P$(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((u3(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){ke[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+d8(L,c[p>>2]|0,j);C5(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=ke[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=ke[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;G$(o);G$(n);i=d;return}function n3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;oaa(m|0,0,12)|0;C0(n,g);g=n|0;n=c[g>>2]|0;if(!((c[1935552]|0)==-1)){c[k>>2]=7742208;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742208,k,126)}k=(c[1935553]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;ye[c[(c[u>>2]|0)+48>>2]&127](u,7709784,7709810,v)|0;Y_(c[g>>2]|0)|0;u=o;oaa(u|0,0,12)|0;P$(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=ke[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=ke[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}P$(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}P$(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=ke[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((o3(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){ke[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);F=S2(N,c[1935196]|0,7664440,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=ke[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=ke[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;G$(o);G$(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;G$(o);G$(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;G$(o);G$(m);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function o3(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[7709784+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[7709784+l|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function p3(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;C0(k,d);d=k|0;k=c[d>>2]|0;if(!((c[1935554]|0)==-1)){c[j>>2]=7742216;c[j+4>>2]=20;c[j+8>>2]=0;r$(7742216,j,126)}j=(c[1935555]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ye[c[(c[m>>2]|0)+32>>2]&127](m,7709784,7709810,e)|0;m=c[d>>2]|0;if(!((c[1935458]|0)==-1)){c[h>>2]=7741832;c[h+4>>2]=20;c[h+8>>2]=0;r$(7741832,h,126)}n=(c[1935459]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=ke[c[(c[p>>2]|0)+16>>2]&255](q)|0;ie[c[(c[p>>2]|0)+20>>2]&255](b,q);Y_(c[d>>2]|0)|0;i=g;return}}while(0);n=Od(4)|0;q9(n);Cc(n|0,7708024,182)}}while(0);g=Od(4)|0;q9(g);Cc(g|0,7708024,182)}function q3(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;C0(l,d);d=l|0;l=c[d>>2]|0;if(!((c[1935554]|0)==-1)){c[k>>2]=7742216;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742216,k,126)}k=(c[1935555]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}ye[c[(c[n>>2]|0)+32>>2]&127](n,7709784,7709816,e)|0;n=c[d>>2]|0;if(!((c[1935458]|0)==-1)){c[j>>2]=7741832;c[j+4>>2]=20;c[j+8>>2]=0;r$(7741832,j,126)}o=(c[1935459]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=ke[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=ke[c[(c[s>>2]|0)+16>>2]&255](r)|0;ie[c[(c[q>>2]|0)+20>>2]&255](b,r);Y_(c[d>>2]|0)|0;i=h;return}}while(0);o=Od(4)|0;q9(o);Cc(o|0,7708024,182)}}while(0);h=Od(4)|0;q9(h);Cc(h|0,7708024,182)}function r3(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[7709784+i|0]|0;if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function s3(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;C0(j,b);b=j|0;j=c[b>>2]|0;if(!((c[1935552]|0)==-1)){c[h>>2]=7742208;c[h+4>>2]=20;c[h+8>>2]=0;r$(7742208,h,126)}h=(c[1935553]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}ye[c[(c[l>>2]|0)+48>>2]&127](l,7709784,7709810,d)|0;l=c[b>>2]|0;if(!((c[1935456]|0)==-1)){c[g>>2]=7741824;c[g+4>>2]=20;c[g+8>>2]=0;r$(7741824,g,126)}m=(c[1935457]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=ke[c[(c[o>>2]|0)+16>>2]&255](p)|0;ie[c[(c[o>>2]|0)+20>>2]&255](a,p);Y_(c[b>>2]|0)|0;i=f;return}}while(0);m=Od(4)|0;q9(m);Cc(m|0,7708024,182)}}while(0);f=Od(4)|0;q9(f);Cc(f|0,7708024,182)}function t3(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;C0(k,b);b=k|0;k=c[b>>2]|0;if(!((c[1935552]|0)==-1)){c[j>>2]=7742208;c[j+4>>2]=20;c[j+8>>2]=0;r$(7742208,j,126)}j=(c[1935553]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}ye[c[(c[m>>2]|0)+48>>2]&127](m,7709784,7709816,d)|0;m=c[b>>2]|0;if(!((c[1935456]|0)==-1)){c[h>>2]=7741824;c[h+4>>2]=20;c[h+8>>2]=0;r$(7741824,h,126)}n=(c[1935457]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=ke[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=ke[c[(c[r>>2]|0)+16>>2]&255](q)|0;ie[c[(c[p>>2]|0)+20>>2]&255](a,q);Y_(c[b>>2]|0)|0;i=g;return}}while(0);n=Od(4)|0;q9(n);Cc(n|0,7708024,182)}}while(0);g=Od(4)|0;q9(g);Cc(g|0,7708024,182)}function u3(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[7709784+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function v3(a){a=a|0;W_(a|0);T9(a);return}function w3(a){a=a|0;W_(a|0);return}function x3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];pe[o&63](b,d,l,f,g,h&1);i=j;return}C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935458]|0)==-1)){c[k>>2]=7741832;c[k+4>>2]=20;c[k+8>>2]=0;r$(7741832,k,126)}k=(c[1935459]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;Y_(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){ie[c[o+24>>2]&255](n,d)}else{ie[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((ue[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];G$(n);i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function y3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[7701576]|0;a[q+1|0]=a[7701577]|0;a[q+2|0]=a[7701578]|0;a[q+3|0]=a[7701579]|0;a[q+4|0]=a[7701580]|0;a[q+5|0]=a[7701581]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);v=z3(u,12,c[1935196]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;C0(o,f);A3(u,w,q,x,m,n,o);Y_(c[o>>2]|0)|0;c[p>>2]=c[e>>2];cY(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function z3(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=td(d|0)|0;d=ud(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}td(j|0)|0;i=g;return d|0}function A3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[1935554]|0)==-1)){c[m>>2]=7742216;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742216,m,126)}m=(c[1935555]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}q=j;r=c[o>>2]|0;if(!((c[1935458]|0)==-1)){c[l>>2]=7741832;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741832,l,126)}l=(c[1935459]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}s=r;ie[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ye[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ue[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=ue[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=ue[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=ke[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=ue[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;G$(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;G$(n);i=k;return}}function B3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);t=z3(u,22,c[1935196]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;C0(p,f);A3(u,w,r,x,n,o,p);Y_(c[p>>2]|0)|0;c[q>>2]=c[e>>2];cY(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function C3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[7701576]|0;a[q+1|0]=a[7701577]|0;a[q+2|0]=a[7701578]|0;a[q+3|0]=a[7701579]|0;a[q+4|0]=a[7701580]|0;a[q+5|0]=a[7701581]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);t=z3(u,12,c[1935196]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;C0(o,f);A3(u,w,q,x,m,n,o);Y_(c[o>>2]|0)|0;c[p>>2]=c[e>>2];cY(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function D3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);t=z3(u,23,c[1935196]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;C0(p,f);A3(u,w,r,x,n,o,p);Y_(c[p>>2]|0)|0;c[q>>2]=c[e>>2];cY(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function E3(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=c[1935196]|0;if(y){w=z3(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=z3(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[7742776]|0)==0;if(y){do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);w=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}Y9();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=L9(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}Y9();H=0;I=0;J=c[m>>2]|0}}while(0);C0(q,f);G3(J,F,A,H,o,p,q);Y_(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];cY(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){M9(I)}if((D|0)==0){i=d;return}M9(D);i=d;return}function F3(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=td(b|0)|0;b=Ob(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}td(h|0)|0;i=f;return b|0}function G3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[1935554]|0)==-1)){c[m>>2]=7742216;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742216,m,126)}m=(c[1935555]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}q=j;r=c[o>>2]|0;if(!((c[1935458]|0)==-1)){c[l>>2]=7741832;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741832,l,126)}l=(c[1935459]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}s=r;ie[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ue[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ue[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=ue[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((jb(t<<24>>24|0,c[1935196]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((Nb(p<<24>>24|0,c[1935196]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ye[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=ke[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=ue[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=ue[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=ke[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);ye[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;G$(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;G$(n);i=k;return}function H3(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=c[1935196]|0;if(y){w=z3(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=z3(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[7742776]|0)==0;if(y){do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);w=F3(m,c[1935196]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}Y9();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=L9(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}Y9();H=0;I=0;J=c[m>>2]|0}}while(0);C0(q,f);G3(J,F,A,H,o,p,q);Y_(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];cY(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){M9(I)}if((D|0)==0){i=d;return}M9(D);i=d;return}function I3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[7701584]|0;a[o+1|0]=a[7701585]|0;a[o+2|0]=a[7701586]|0;a[o+3|0]=a[7701587]|0;a[o+4|0]=a[7701588]|0;a[o+5|0]=a[7701589]|0;p=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);q=z3(p,20,c[1935196]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}C0(m,f);t=m|0;m=c[t>>2]|0;if(!((c[1935554]|0)==-1)){c[j>>2]=7742216;c[j+4>>2]=20;c[j+8>>2]=0;r$(7742216,j,126)}j=(c[1935555]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}Y_(c[t>>2]|0)|0;u=l|0;ye[c[(c[s>>2]|0)+32>>2]&127](s,p,o,u)|0;s=l+q|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;cY(b,n,u,v,s,f,g);i=d;return}v=l+(r-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;cY(b,n,u,v,s,f,g);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function J3(a){a=a|0;W_(a|0);T9(a);return}function K3(a){a=a|0;W_(a|0);return}function L3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];pe[o&63](b,d,l,f,g,h&1);i=j;return}C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935456]|0)==-1)){c[k>>2]=7741824;c[k+4>>2]=20;c[k+8>>2]=0;r$(7741824,k,126)}k=(c[1935457]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;Y_(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){ie[c[o+24>>2]&255](n,d)}else{ie[c[o+28>>2]&255](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=ue[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];i0(n);i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function M3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[7701576]|0;a[q+1|0]=a[7701577]|0;a[q+2|0]=a[7701578]|0;a[q+3|0]=a[7701579]|0;a[q+4|0]=a[7701580]|0;a[q+5|0]=a[7701581]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);v=z3(u,12,c[1935196]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;C0(o,f);N3(u,w,q,x,m,n,o);Y_(c[o>>2]|0)|0;c[p>>2]=c[e>>2];O3(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}



function N3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[1935552]|0)==-1)){c[m>>2]=7742208;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742208,m,126)}m=(c[1935553]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}q=j;r=c[o>>2]|0;if(!((c[1935456]|0)==-1)){c[l>>2]=7741824;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741824,l,126)}l=(c[1935457]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}s=r;ie[c[(c[r>>2]|0)+20>>2]&255](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){ye[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ue[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=ue[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=ue[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=ke[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=ue[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;G$(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;G$(n);i=k;return}function O3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((me[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){h0(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((me[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){i0(l);break}c[m>>2]=0;c[b>>2]=0;i0(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((me[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function P3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=l|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);v=z3(u,22,c[1935196]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+v|0;j=c[s>>2]&176;do{if((j|0)==32){w=r}else if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;C0(p,f);N3(u,w,r,x,n,o,p);Y_(c[p>>2]|0)|0;c[q>>2]=c[e>>2];O3(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function Q3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[7701576]|0;a[q+1|0]=a[7701577]|0;a[q+2|0]=a[7701578]|0;a[q+3|0]=a[7701579]|0;a[q+4|0]=a[7701580]|0;a[q+5|0]=a[7701581]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);t=z3(u,12,c[1935196]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;C0(o,f);N3(u,w,q,x,m,n,o);Y_(c[o>>2]|0)|0;c[p>>2]=c[e>>2];O3(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function R3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);t=z3(u,23,c[1935196]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;C0(p,f);N3(u,w,r,x,n,o,p);Y_(c[p>>2]|0)|0;c[q>>2]=c[e>>2];O3(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function S3(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=c[1935196]|0;if(y){w=z3(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=z3(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[7742776]|0)==0;if(y){do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);w=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}Y9();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=L9(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}Y9();H=B;I=B;J=c[m>>2]|0}}while(0);C0(q,f);T3(J,F,A,H,o,p,q);Y_(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];O3(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){M9(I)}if((D|0)==0){i=d;return}M9(D);i=d;return}function T3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[1935552]|0)==-1)){c[m>>2]=7742208;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742208,m,126)}m=(c[1935553]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=Od(4)|0;r=q;q9(r);Cc(q|0,7708024,182)}q=j;r=c[o>>2]|0;if(!((c[1935456]|0)==-1)){c[l>>2]=7741824;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741824,l,126)}l=(c[1935457]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=Od(4)|0;t=s;q9(t);Cc(s|0,7708024,182)}s=r;ie[c[(c[r>>2]|0)+20>>2]&255](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ue[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ue[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=ue[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((jb(t<<24>>24|0,c[1935196]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((Nb(p<<24>>24|0,c[1935196]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){ye[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=ke[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=ue[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=ue[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=ke[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);ye[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;G$(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;G$(n);i=k;return}function U3(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=c[1935196]|0;if(y){w=z3(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=z3(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[7742776]|0)==0;if(y){do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=F3(m,c[1935196]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);w=F3(m,c[1935196]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}Y9();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=L9(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}Y9();H=B;I=B;J=c[m>>2]|0}}while(0);C0(q,f);T3(J,F,A,H,o,p,q);Y_(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];O3(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){M9(I)}if((D|0)==0){i=d;return}M9(D);i=d;return}function V3(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[7701584]|0;a[o+1|0]=a[7701585]|0;a[o+2|0]=a[7701586]|0;a[o+3|0]=a[7701587]|0;a[o+4|0]=a[7701588]|0;a[o+5|0]=a[7701589]|0;p=k|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);q=z3(p,20,c[1935196]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}C0(m,f);t=m|0;m=c[t>>2]|0;if(!((c[1935552]|0)==-1)){c[j>>2]=7742208;c[j+4>>2]=20;c[j+8>>2]=0;r$(7742208,j,126)}j=(c[1935553]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}Y_(c[t>>2]|0)|0;u=l|0;ye[c[(c[s>>2]|0)+48>>2]&127](s,p,o,u)|0;s=l+(q<<2)|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;O3(b,n,u,v,s,f,g);i=d;return}v=l+(r-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;O3(b,n,u,v,s,f,g);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function W3(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;C0(p,h);t=p|0;p=c[t>>2]|0;if(!((c[1935554]|0)==-1)){c[o>>2]=7742216;c[o+4>>2]=20;c[o+8>>2]=0;r$(7742216,o,126)}o=(c[1935555]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;Y_(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((ke[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((ke[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((me[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(ke[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=ue[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(ue[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=me[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=me[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;te[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((ke[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((ke[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(ke[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){ke[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){ke[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((ke[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((ke[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=Od(4)|0;q9(n);Cc(n|0,7708024,182)}function X3(a){a=a|0;W_(a|0);T9(a);return}function Y3(a){a=a|0;W_(a|0);return}function Z3(a){a=a|0;return 2}function _3(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];W3(a,b,k,l,f,g,h,7701568,7701576);i=j;return}function $3(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=ke[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}W3(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function a4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935554]|0)==-1)){c[l>>2]=7742216;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742216,l,126)}l=(c[1935555]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Y_(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ke[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(x2(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function b4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935554]|0)==-1)){c[l>>2]=7742216;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742216,l,126)}l=(c[1935555]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Y_(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ke[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(x2(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function c4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;C0(l,f);f=l|0;l=c[f>>2]|0;if(!((c[1935554]|0)==-1)){c[k>>2]=7742216;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742216,k,126)}k=(c[1935555]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}Y_(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=h4(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Od(4)|0;q9(b);Cc(b|0,7708024,182)}function d4(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;C0(z,g);_=z|0;z=c[_>>2]|0;if(!((c[1935554]|0)==-1)){c[y>>2]=7742216;c[y+4>>2]=20;c[y+8>>2]=0;r$(7742216,y,126)}y=(c[1935555]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;Y_(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 109:{c[r>>2]=c[f>>2];aa=(h4(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 98:case 66:case 104:{ca=c[f>>2]|0;aa=d+8|0;da=ke[c[(c[aa>>2]|0)+4>>2]&255](aa)|0;c[w>>2]=ca;ca=(x2(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((ca|0)>=288){break a}c[j+16>>2]=((ca|0)/12|0|0)%12|0;break};case 68:{ca=e|0;c[E>>2]=c[ca>>2];c[F>>2]=c[f>>2];W3(D,d,E,F,g,h,j,7701560,7701568);c[ca>>2]=c[D>>2];break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];W3(G,d,H,I,g,h,j,7701552,7701560);c[ca>>2]=c[G>>2];break};case 83:{c[p>>2]=c[f>>2];ca=h4(e,p,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 97:case 65:{da=c[f>>2]|0;ca=d+8|0;aa=ke[c[c[ca>>2]>>2]&255](ca)|0;c[x>>2]=da;da=(x2(e,x,aa,aa+168|0,ba,h,0)|0)-aa|0;if((da|0)>=168){break a}c[j+24>>2]=((da|0)/12|0|0)%7|0;break};case 37:{c[Z>>2]=c[f>>2];g4(0,e,Z,h,ba);break};case 106:{c[s>>2]=c[f>>2];da=h4(e,s,h,ba,3)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(da|0)<366){c[j+28>>2]=da;break a}else{c[h>>2]=aa|4;break a}break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];re[aa&127](b,d,U,V,g,h,j);i=l;return};case 88:{aa=d+8|0;da=ke[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];ca=a[da]|0;if((ca&1)==0){ea=(ca&255)>>>1;fa=da+1|0;ga=da+1|0}else{ca=c[da+8>>2]|0;ea=c[da+4>>2]|0;fa=ca;ga=ca}W3(W,d,X,Y,g,h,j,fa,ga+ea|0);c[aa>>2]=c[W>>2];break};case 119:{c[o>>2]=c[f>>2];aa=h4(e,o,h,ba,1)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 121:{c[n>>2]=c[f>>2];ca=h4(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ca|0)<69){ha=ca+2e3|0}else{ha=(ca-69|0)>>>0<31>>>0?ca+1900|0:ca}c[j+20>>2]=ha-1900;break};case 100:case 101:{ca=j+12|0;c[v>>2]=c[f>>2];aa=h4(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ca>>2]=aa;break a}}while(0);c[h>>2]=da|4;break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=h4(e,t,h,ba,2)|0;ia=c[h>>2]|0;do{if((ia&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=ia|4;break};case 89:{c[m>>2]=c[f>>2];ca=h4(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ca-1900;break};case 72:{c[u>>2]=c[f>>2];ca=h4(e,u,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<24){c[j+8>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 99:{aa=d+8|0;ca=ke[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ja=(da&255)>>>1;ka=ca+1|0;la=ca+1|0}else{da=c[ca+8>>2]|0;ja=c[ca+4>>2]|0;ka=da;la=da}W3(A,d,B,C,g,h,j,ka,la+ja|0);c[aa>>2]=c[A>>2];break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];W3(L,d,M,N,g,h,j,7701536,7701547);c[aa>>2]=c[L>>2];break};case 82:{aa=e|0;c[P>>2]=c[aa>>2];c[Q>>2]=c[f>>2];W3(O,d,P,Q,g,h,j,7701528,7701533);c[aa>>2]=c[O>>2];break};case 77:{c[q>>2]=c[f>>2];aa=h4(e,q,h,ba,2)|0;da=c[h>>2]|0;if((da&4|0)==0&(aa|0)<60){c[j+4>>2]=aa;break a}else{c[h>>2]=da|4;break a}break};case 110:case 116:{c[J>>2]=c[f>>2];e4(0,e,J,h,ba);break};case 84:{da=e|0;c[S>>2]=c[da>>2];c[T>>2]=c[f>>2];W3(R,d,S,T,g,h,j,7701520,7701528);c[da>>2]=c[R>>2];break};case 112:{c[K>>2]=c[f>>2];f4(d,j+8|0,e,K,h,ba);break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Od(4)|0;q9(l);Cc(l|0,7708024,182)}function e4(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((ke[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((ke[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(ke[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){ke[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((ke[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((ke[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function f4(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=ke[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=x2(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function g4(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((ke[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((ke[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(ke[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((me[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){ke[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((ke[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((ke[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function h4(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((ke[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((ke[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(ke[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(me[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){ke[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((ke[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((ke[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((me[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){ke[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((ke[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function i4(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;C0(n,f);r=n|0;n=c[r>>2]|0;if(!((c[1935552]|0)==-1)){c[m>>2]=7742208;c[m+4>>2]=20;c[m+8>>2]=0;r$(7742208,m,126)}m=(c[1935553]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;Y_(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=ke[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=ke[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((me[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(me[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=ke[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=ue[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(ue[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=me[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=me[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;te[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(me[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=ke[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=ke[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=ke[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(me[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){ke[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){ke[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=ke[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=ke[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=Od(4)|0;q9(l);Cc(l|0,7708024,182)}function j4(a){a=a|0;W_(a|0);T9(a);return}function k4(a){a=a|0;W_(a|0);return}function l4(a){a=a|0;return 2}function m4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];i4(a,b,k,l,f,g,h,7701488,7701520);i=j;return}function n4(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=ke[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}i4(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function o4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935552]|0)==-1)){c[l>>2]=7742208;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742208,l,126)}l=(c[1935553]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Y_(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ke[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(W2(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function p4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;C0(m,f);f=m|0;m=c[f>>2]|0;if(!((c[1935552]|0)==-1)){c[l>>2]=7742208;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742208,l,126)}l=(c[1935553]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}Y_(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=ke[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(W2(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=Od(4)|0;q9(j);Cc(j|0,7708024,182)}function q4(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;C0(l,f);f=l|0;l=c[f>>2]|0;if(!((c[1935552]|0)==-1)){c[k>>2]=7742208;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742208,k,126)}k=(c[1935553]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}Y_(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=v4(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=Od(4)|0;q9(b);Cc(b|0,7708024,182)}function r4(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;C0(z,g);_=z|0;z=c[_>>2]|0;if(!((c[1935552]|0)==-1)){c[y>>2]=7742208;c[y+4>>2]=20;c[y+8>>2]=0;r$(7742208,y,126)}y=(c[1935553]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;Y_(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 98:case 66:case 104:{aa=c[f>>2]|0;ca=d+8|0;da=ke[c[(c[ca>>2]|0)+4>>2]&255](ca)|0;c[w>>2]=aa;aa=(W2(e,w,da,da+288|0,ba,h,0)|0)-da|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];i4(D,d,E,F,g,h,j,7701456,7701488);c[aa>>2]=c[D>>2];break};case 88:{aa=d+8|0;da=ke[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];ca=a[da]|0;if((ca&1)==0){ea=(ca&255)>>>1;fa=da+4|0;ga=da+4|0}else{ca=c[da+8>>2]|0;ea=c[da+4>>2]|0;fa=ca;ga=ca}i4(W,d,X,Y,g,h,j,fa,ga+(ea<<2)|0);c[aa>>2]=c[W>>2];break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=v4(e,t,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 97:case 65:{ca=c[f>>2]|0;aa=d+8|0;ha=ke[c[c[aa>>2]>>2]&255](aa)|0;c[x>>2]=ca;ca=(W2(e,x,ha,ha+168|0,ba,h,0)|0)-ha|0;if((ca|0)>=168){break a}c[j+24>>2]=((ca|0)/12|0|0)%7|0;break};case 109:{c[r>>2]=c[f>>2];ca=(v4(e,r,h,ba,2)|0)-1|0;ha=c[h>>2]|0;if((ha&4|0)==0&(ca|0)<12){c[j+16>>2]=ca;break a}else{c[h>>2]=ha|4;break a}break};case 72:{c[u>>2]=c[f>>2];ha=v4(e,u,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(ha|0)<24){c[j+8>>2]=ha;break a}else{c[h>>2]=ca|4;break a}break};case 77:{c[q>>2]=c[f>>2];ca=v4(e,q,h,ba,2)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=ha|4;break a}break};case 37:{c[Z>>2]=c[f>>2];u4(0,e,Z,h,ba);break};case 99:{ha=d+8|0;ca=ke[c[(c[ha>>2]|0)+12>>2]&255](ha)|0;ha=e|0;c[B>>2]=c[ha>>2];c[C>>2]=c[f>>2];aa=a[ca]|0;if((aa&1)==0){ia=(aa&255)>>>1;ja=ca+4|0;ka=ca+4|0}else{aa=c[ca+8>>2]|0;ia=c[ca+4>>2]|0;ja=aa;ka=aa}i4(A,d,B,C,g,h,j,ja,ka+(ia<<2)|0);c[ha>>2]=c[A>>2];break};case 100:case 101:{ha=j+12|0;c[v>>2]=c[f>>2];aa=v4(e,v,h,ba,2)|0;ca=c[h>>2]|0;do{if((ca&4|0)==0){if(!((aa-1|0)>>>0<31>>>0)){break}c[ha>>2]=aa;break a}}while(0);c[h>>2]=ca|4;break};case 110:case 116:{c[J>>2]=c[f>>2];s4(0,e,J,h,ba);break};case 106:{c[s>>2]=c[f>>2];aa=v4(e,s,h,ba,3)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(aa|0)<366){c[j+28>>2]=aa;break a}else{c[h>>2]=ha|4;break a}break};case 84:{ha=e|0;c[S>>2]=c[ha>>2];c[T>>2]=c[f>>2];i4(R,d,S,T,g,h,j,7701352,7701384);c[ha>>2]=c[R>>2];break};case 83:{c[p>>2]=c[f>>2];ha=v4(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ha|0)<61){c[j>>2]=ha;break a}else{c[h>>2]=aa|4;break a}break};case 112:{c[K>>2]=c[f>>2];t4(d,j+8|0,e,K,h,ba);break};case 120:{aa=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];re[aa&127](b,d,U,V,g,h,j);i=l;return};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];i4(L,d,M,N,g,h,j,7701408,7701452);c[aa>>2]=c[L>>2];break};case 119:{c[o>>2]=c[f>>2];aa=v4(e,o,h,ba,1)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(aa|0)<7){c[j+24>>2]=aa;break a}else{c[h>>2]=ha|4;break a}break};case 89:{c[m>>2]=c[f>>2];ha=v4(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ha-1900;break};case 70:{ha=e|0;c[H>>2]=c[ha>>2];c[I>>2]=c[f>>2];i4(G,d,H,I,g,h,j,7701320,7701352);c[ha>>2]=c[G>>2];break};case 82:{ha=e|0;c[P>>2]=c[ha>>2];c[Q>>2]=c[f>>2];i4(O,d,P,Q,g,h,j,7701384,7701404);c[ha>>2]=c[O>>2];break};case 121:{c[n>>2]=c[f>>2];ha=v4(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ha|0)<69){la=ha+2e3|0}else{la=(ha-69|0)>>>0<31>>>0?ha+1900|0:ha}c[j+20>>2]=la-1900;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=Od(4)|0;q9(l);Cc(l|0,7708024,182)}function s4(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=ke[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=ke[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=ke[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(me[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){ke[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=ke[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=ke[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function t4(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=ke[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=W2(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function u4(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=ke[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=ke[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=ke[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((me[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){ke[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=ke[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=ke[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function v4(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=ke[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=ke[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=ke[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(me[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(me[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){ke[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=ke[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=ke[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(me[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((me[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){ke[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=ke[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=ke[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function w4(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((e|0)==(c[1935196]|0)){f=b|0;W_(f);g=b;T9(g);return}Zb(c[d>>2]|0);f=b|0;W_(f);g=b;T9(g);return}function x4(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((e|0)==(c[1935196]|0)){f=b|0;W_(f);return}Zb(c[d>>2]|0);f=b|0;W_(f);return}function y4(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=zd(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(ue[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function z4(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((e|0)==(c[1935196]|0)){f=b|0;W_(f);g=b;T9(g);return}Zb(c[d>>2]|0);f=b|0;W_(f);g=b;T9(g);return}function A4(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((e|0)==(c[1935196]|0)){f=b|0;W_(f);return}Zb(c[d>>2]|0);f=b|0;W_(f);return}function B4(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;C4(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=ue[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function C4(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;zd(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=td(c[g>>2]|0)|0;g=O8(d,m,n,l)|0;if((f|0)!=0){td(f|0)|0}if((g|0)==-1){y5(7659024)}else{c[e>>2]=d+(g<<2);i=j;return}}function D4(a){a=a|0;W_(a|0);T9(a);return}function E4(a){a=a|0;W_(a|0);return}function F4(a){a=a|0;return 127}function G4(a){a=a|0;return 127}function H4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function I4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function J4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function K4(a,b){a=a|0;b=b|0;C$(a,1,45);return}function L4(a){a=a|0;return 0}function M4(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function N4(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function O4(a){a=a|0;W_(a|0);T9(a);return}function P4(a){a=a|0;W_(a|0);return}function Q4(a){a=a|0;return 127}function R4(a){a=a|0;return 127}function S4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function T4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function U4(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function V4(a,b){a=a|0;b=b|0;C$(a,1,45);return}function W4(a){a=a|0;return 0}function X4(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Y4(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function Z4(a){a=a|0;W_(a|0);T9(a);return}function _4(a){a=a|0;W_(a|0);return}function $4(a){a=a|0;return 2147483647}function a5(a){a=a|0;return 2147483647}function b5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function c5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function d5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function e5(a,b){a=a|0;b=b|0;h0(a,1,45);return}function f5(a){a=a|0;return 0}function g5(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function h5(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function i5(a){a=a|0;W_(a|0);T9(a);return}function j5(a){a=a|0;W_(a|0);return}function k5(a){a=a|0;return 2147483647}function l5(a){a=a|0;return 2147483647}function m5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function n5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function o5(a,b){a=a|0;b=b|0;oaa(a|0,0,12)|0;return}function p5(a,b){a=a|0;b=b|0;h0(a,1,45);return}function q5(a){a=a|0;return 0}function r5(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function s5(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function t5(a){a=a|0;W_(a|0);T9(a);return}function u5(a){a=a|0;W_(a|0);return}function v5(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=216;w=m+100|0;C0(p,h);m=p|0;x=c[m>>2]|0;if(!((c[1935554]|0)==-1)){c[l>>2]=7742216;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742216,l,126)}l=(c[1935555]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(x5(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ye[c[(c[z>>2]|0)+32>>2]&127](A,7701304,7701314,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=L9(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}Y9();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[7701304+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=xb(D|0,7688104,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}M9(J);break}M=Od(8)|0;c$(M,7686512);Cc(M|0,7708040,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((ke[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((ke[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;Y_(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}he[c[v>>2]&511](B);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function w5(a){a=a|0;return}function x5(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;oaa(D|0,0,12)|0;E=w;oaa(E|0,0,12)|0;F=x;oaa(F|0,0,12)|0;G=y;oaa(G|0,0,12)|0;H=z;oaa(H|0,0,12)|0;B5(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=216;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((ke[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((ke[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ia=(ke[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ia=a[ha]|0}if(ia<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(ia<<24>>24<<1)>>1]&8192)==0){ba=41;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){ka=(ke[c[(c[ha>>2]|0)+40>>2]&255](ha)|0)&255}else{c[aa>>2]=ja+1;ka=a[ja]|0}Y$(z,ka);ba=42;break};case 3:{ja=a[F]|0;aa=(ja&1)==0;if(aa){la=(ja&255)>>>1}else{la=c[L>>2]|0}ha=a[G]|0;ma=(ha&1)==0;if(ma){na=(ha&255)>>>1}else{na=c[I>>2]|0}if((la|0)==(-na|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(aa){ua=(ja&255)>>>1}else{ua=c[L>>2]|0}do{if((ua|0)!=0){if(ma){va=(ha&255)>>>1}else{va=c[I>>2]|0}if((va|0)==0){break}wa=c[g>>2]|0;xa=c[wa+12>>2]|0;ya=c[wa+16>>2]|0;if((xa|0)==(ya|0)){za=(ke[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255;Aa=c[g>>2]|0;Ba=za;Ca=a[F]|0;Da=Aa;Ea=c[Aa+12>>2]|0;Fa=c[Aa+16>>2]|0}else{Ba=a[xa]|0;Ca=ja;Da=wa;Ea=xa;Fa=ya}ya=Da+12|0;xa=(Ea|0)==(Fa|0);if(Ba<<24>>24==(a[(Ca&1)==0?K:c[M>>2]|0]|0)){if(xa){ke[c[(c[Da>>2]|0)+40>>2]&255](Da)|0}else{c[ya>>2]=Ea+1}ya=a[F]|0;if((ya&1)==0){Ga=(ya&255)>>>1}else{Ga=c[L>>2]|0}oa=Ga>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(xa){Ha=(ke[c[(c[Da>>2]|0)+36>>2]&255](Da)|0)&255}else{Ha=a[Ea]|0}if(!(Ha<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}xa=c[g>>2]|0;ya=xa+12|0;wa=c[ya>>2]|0;if((wa|0)==(c[xa+16>>2]|0)){ke[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[ya>>2]=wa+1}a[l]=1;wa=a[G]|0;if((wa&1)==0){Ia=(wa&255)>>>1}else{Ia=c[I>>2]|0}oa=Ia>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}while(0);if(aa){Ja=(ja&255)>>>1}else{Ja=c[L>>2]|0}ma=c[g>>2]|0;wa=c[ma+12>>2]|0;ya=(wa|0)==(c[ma+16>>2]|0);if((Ja|0)==0){if(ya){xa=(ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Ka=xa;La=a[G]|0}else{Ka=a[wa]|0;La=ha}if(!(Ka<<24>>24==(a[(La&1)==0?m:c[J>>2]|0]|0))){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}xa=c[g>>2]|0;Aa=xa+12|0;za=c[Aa>>2]|0;if((za|0)==(c[xa+16>>2]|0)){ke[c[(c[xa>>2]|0)+40>>2]&255](xa)|0}else{c[Aa>>2]=za+1}a[l]=1;za=a[G]|0;if((za&1)==0){Ma=(za&255)>>>1}else{Ma=c[I>>2]|0}oa=Ma>>>0>1>>>0?y:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}if(ya){ya=(ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255;Na=ya;Oa=a[F]|0}else{Na=a[wa]|0;Oa=ja}if(!(Na<<24>>24==(a[(Oa&1)==0?K:c[M>>2]|0]|0))){a[l]=1;oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}wa=c[g>>2]|0;ya=wa+12|0;ma=c[ya>>2]|0;if((ma|0)==(c[wa+16>>2]|0)){ke[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ya>>2]=ma+1}ma=a[F]|0;if((ma&1)==0){Pa=(ma&255)>>>1}else{Pa=c[L>>2]|0}oa=Pa>>>0>1>>>0?x:Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break};case 0:{ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){oa=0;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}}ma=a[E]|0;ya=(ma&1)==0;wa=ya?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ma;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}za=wa+(ya?(ma&255)>>>1:c[P>>2]|0)|0;Aa=wa;while(1){if((Aa|0)==(za|0)){Va=za;break}xa=a[Aa]|0;if(xa<<24>>24<0){Va=Aa;break}if((b[(c[f>>2]|0)+(xa<<24>>24<<1)>>1]&8192)==0){Va=Aa;break}else{Aa=Aa+1|0}}Aa=Va-wa|0;za=a[H]|0;xa=(za&1)==0;if(xa){Wa=(za&255)>>>1}else{Wa=c[T>>2]|0}if(Aa>>>0>Wa>>>0){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break}if(xa){xa=(za&255)>>>1;Xa=xa;Ya=R;Za=xa-Aa+(Q+1)|0}else{xa=c[S>>2]|0;za=c[T>>2]|0;Xa=za;Ya=xa;Za=xa+(za-Aa)|0}Aa=Ya+Xa|0;if((Za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ma;Ta=ca;Ua=ca;break c}za=_a+1|0;if((za|0)==(Aa|0)){Ra=Va;Sa=ma;Ta=ca;Ua=ca;break}else{_a=za;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ma=c[g>>2]|0;do{if((ma|0)==0){cb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){cb=ma;break}if((ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ma=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ma){eb=Ta;fb=Ua;break}else{break d}}if((ke[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ma^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ma){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ya=c[wa+12>>2]|0;if((ya|0)==(c[wa+16>>2]|0)){gb=(ke[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ya]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ya=c[g>>2]|0;wa=ya+12|0;ja=c[wa>>2]|0;if((ja|0)==(c[ya+16>>2]|0)){ke[c[(c[ya>>2]|0)+40>>2]&255](ya)|0}else{c[wa>>2]=ja+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break b}ja=a[E]|0;if((ja&1)==0){hb=(ja&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}else{ba=189;break a}break};case 4:{ja=0;wa=C;ya=Y;ha=X;aa=p;Aa=n;e:while(1){za=c[g>>2]|0;do{if((za|0)==0){jb=0}else{if((c[za+12>>2]|0)!=(c[za+16>>2]|0)){jb=za;break}if((ke[c[(c[za>>2]|0)+36>>2]&255](za)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);za=(jb|0)==0;ma=c[e>>2]|0;do{if((ma|0)==0){ba=202}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){if(za){break}else{break e}}if((ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[e>>2]=0;ba=202;break}else{if(za){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(za){break}}ma=c[g>>2]|0;xa=c[ma+12>>2]|0;if((xa|0)==(c[ma+16>>2]|0)){kb=(ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)&255}else{kb=a[xa]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}xa=c[o>>2]|0;if((xa|0)==(Aa|0)){ma=(c[W>>2]|0)!=216;lb=c[h>>2]|0;mb=Aa-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=O9(ma?lb:0,nb)|0;if((ob|0)==0){Y9()}do{if(ma){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}he[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=266;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=Aa;rb=xa}c[o>>2]=rb+1;a[rb]=kb;sb=ja+1|0;tb=wa;ub=ya;vb=ha;wb=aa;xb=qb}}while(0);if((ba|0)==221){ba=0;za=a[D]|0;if((za&1)==0){yb=(za&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(ja|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ya|0)==(wa|0)){za=ya-ha|0;ob=za>>>0<2147483647>>>0?za<<1:-1;if((aa|0)==216){zb=0}else{zb=ha}ma=O9(zb,ob)|0;lb=ma;if((ma|0)==0){Y9()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(za>>2<<2)|0;Cb=lb;Db=266}else{Ab=wa;Bb=ya;Cb=ha;Db=aa}c[Bb>>2]=ja;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=Aa}lb=c[g>>2]|0;za=lb+12|0;ob=c[za>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){ke[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}else{c[za>>2]=ob+1;ja=sb;wa=tb;ya=ub;ha=vb;aa=wb;Aa=xb;continue}}if((ha|0)==(ya|0)|(ja|0)==0){Eb=wa;Fb=ya;Gb=ha;Hb=aa}else{if((ya|0)==(wa|0)){ob=ya-ha|0;za=ob>>>0<2147483647>>>0?ob<<1:-1;if((aa|0)==216){Ib=0}else{Ib=ha}lb=O9(Ib,za)|0;ma=lb;if((lb|0)==0){Y9()}Jb=ma+(za>>>2<<2)|0;Kb=ma+(ob>>2<<2)|0;Lb=ma;Mb=266}else{Jb=wa;Kb=ya;Lb=ha;Mb=aa}c[Kb>>2]=ja;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ma=c[g>>2]|0;do{if((ma|0)==0){Nb=0}else{if((c[ma+12>>2]|0)!=(c[ma+16>>2]|0)){Nb=ma;break}if((ke[c[(c[ma>>2]|0)+36>>2]&255](ma)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ma=(Nb|0)==0;ja=c[e>>2]|0;do{if((ja|0)==0){ba=257}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){if(ma){Ob=ja;break}else{ba=264;break a}}if((ke[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ma){Ob=ja;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ma){ba=264;break a}else{Ob=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Pb=(ke[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Pb=a[aa]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}aa=c[g>>2]|0;ja=aa+12|0;ha=c[ja>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){ke[c[(c[aa>>2]|0)+40>>2]&255](aa)|0;Qb=Aa;Rb=Ob;Sb=Ob}else{c[ja>>2]=ha+1;Qb=Aa;Rb=Ob;Sb=Ob}while(1){ha=c[g>>2]|0;do{if((ha|0)==0){Tb=0}else{if((c[ha+12>>2]|0)!=(c[ha+16>>2]|0)){Tb=ha;break}if((ke[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ha=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ha){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((ke[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ha^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ha){ba=288;break a}else{Vb=Ub;Wb=0}}ja=c[g>>2]|0;aa=c[ja+12>>2]|0;if((aa|0)==(c[ja+16>>2]|0)){Xb=(ke[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)&255}else{Xb=a[aa]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}aa=c[o>>2]|0;if((aa|0)==(Qb|0)){ja=(c[W>>2]|0)!=216;ya=c[h>>2]|0;wa=Qb-ya|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;za=O9(ja?ya:0,ob)|0;if((za|0)==0){Y9()}do{if(ja){c[h>>2]=za;Yb=za}else{ya=c[h>>2]|0;c[h>>2]=za;if((ya|0)==0){Yb=za;break}he[c[W>>2]&511](ya);Yb=c[h>>2]|0}}while(0);c[W>>2]=266;za=Yb+wa|0;c[o>>2]=za;Zb=(c[h>>2]|0)+ob|0;_b=za}else{Zb=Qb;_b=aa}za=c[g>>2]|0;ja=c[za+12>>2]|0;if((ja|0)==(c[za+16>>2]|0)){ha=(ke[c[(c[za>>2]|0)+36>>2]&255](za)|0)&255;$b=ha;ac=c[o>>2]|0}else{$b=a[ja]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;ja=(c[A>>2]|0)-1|0;c[A>>2]=ja;ha=c[g>>2]|0;za=ha+12|0;ya=c[za>>2]|0;if((ya|0)==(c[ha+16>>2]|0)){ke[c[(c[ha>>2]|0)+40>>2]&255](ha)|0}else{c[za>>2]=ya+1}if((ja|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=Aa}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{oa=Z;pa=Eb;qa=Fb;ra=Gb;sa=Hb;ta=bc}break};default:{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((ke[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}if((ke[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}else{gc=0;hc=fc}}aa=c[g>>2]|0;ob=c[aa+12>>2]|0;if((ob|0)==(c[aa+16>>2]|0)){ic=(ke[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){oa=Z;pa=C;qa=Y;ra=X;sa=p;ta=n;break f}ob=c[g>>2]|0;aa=ob+12|0;wa=c[aa>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(ke[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[aa>>2]=wa+1;jc=a[wa]|0}Y$(z,jc);cc=gc;dc=hc}}}while(0);Aa=r+1|0;if(Aa>>>0<4>>>0){n=ta;p=sa;X=ra;Y=qa;C=pa;r=Aa;Z=oa}else{da=sa;ea=ra;fa=qa;ga=oa;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){oa=ga;qa=ga+1|0;ra=ga+8|0;sa=ga+4|0;Z=1;i:while(1){r=a[oa]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[sa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((ke[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((ke[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;pa=c[_+12>>2]|0;if((pa|0)==(c[_+16>>2]|0)){pc=(ke[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[pa]|0}if((a[oa]&1)==0){qc=qa}else{qc=c[ra>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}pa=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){ke[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=pa;continue}else{c[C>>2]=Y+1;Z=pa;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;C5(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);G$(z);G$(y);G$(x);G$(w);G$(v);if((lc|0)==0){i=q;return kc|0}he[mc&511](lc);i=q;return kc|0}function y5(a){a=a|0;var b=0;b=Od(8)|0;c$(b,a);Cc(b|0,7708040,36)}function z5(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=216;u=m+100|0;C0(p,h);m=p|0;v=c[m>>2]|0;if(!((c[1935554]|0)==-1)){c[l>>2]=7742216;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742216,l,126)}l=(c[1935555]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(x5(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){Y$(k,ue[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=ue[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}A5(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((ke[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((ke[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;Y_(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}he[c[t>>2]&511](A);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function A5(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){$$(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function B5(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[1935672]|0)==-1)){c[p>>2]=7742688;c[p+4>>2]=20;c[p+8>>2]=0;r$(7742688,p,126)}p=(c[1935673]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Od(4)|0;D=B;q9(D);Cc(B|0,7708024,182)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Od(4)|0;D=B;q9(D);Cc(B|0,7708024,182)}B=b;ie[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;ie[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;G$(r);ie[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}S$(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;G$(s);s=b;a[f]=ke[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=ke[c[(c[s>>2]|0)+16>>2]&255](B)|0;ie[c[(c[D>>2]|0)+20>>2]&255](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}S$(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;G$(t);ie[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];oaa(t|0,0,12)|0;G$(u);E=ke[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[1935674]|0)==-1)){c[o>>2]=7742696;c[o+4>>2]=20;c[o+8>>2]=0;r$(7742696,o,126)}o=(c[1935675]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Od(4)|0;G=F;q9(G);Cc(F|0,7708024,182)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Od(4)|0;G=F;q9(G);Cc(F|0,7708024,182)}F=B;ie[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;ie[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];oaa(l|0,0,12)|0;G$(w);ie[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}S$(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];oaa(k|0,0,12)|0;G$(x);x=B;a[f]=ke[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=ke[c[(c[x>>2]|0)+16>>2]&255](F)|0;ie[c[(c[G>>2]|0)+20>>2]&255](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}S$(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];oaa(h|0,0,12)|0;G$(y);ie[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];oaa(j|0,0,12)|0;G$(z);E=ke[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function C5(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function D5(a){a=a|0;W_(a|0);T9(a);return}function E5(a){a=a|0;W_(a|0);return}function F5(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=216;w=m+400|0;C0(p,h);m=p|0;x=c[m>>2]|0;if(!((c[1935552]|0)==-1)){c[l>>2]=7742208;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742208,l,126)}l=(c[1935553]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(G5(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;ye[c[(c[z>>2]|0)+48>>2]&127](A,7701288,7701298,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=L9((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}Y9();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[7701288+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=xb(D|0,7688104,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}M9(J);break}M=Od(8)|0;c$(M,7686512);Cc(M|0,7708040,36)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=ke[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=ke[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];Y_(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}he[c[v>>2]&511](B);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function G5(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;oaa(C|0,0,12)|0;D=w;oaa(D|0,0,12)|0;E=x;oaa(E|0,0,12)|0;F=y;oaa(F|0,0,12)|0;G=z;oaa(G|0,0,12)|0;J5(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=216;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(me[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=ke[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}m0(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=ke[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){ke[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=ke[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){ke[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=ke[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){ke[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=ke[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){ke[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(me[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=ke[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=ke[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=ke[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){ke[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(me[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){K5(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=216;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=O9(ub,ta)|0;ra=Da;if((Da|0)==0){Y9()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=266}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){ke[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=216;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=O9(Db,ra)|0;Da=ta;if((ta|0)==0){Y9()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=266}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){ke[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=ke[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=ke[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=ke[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(me[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){K5(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=ke[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){ke[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=ke[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=ke[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=ke[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(me[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=ke[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}m0(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=ke[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=ke[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=ke[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){ke[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;C5(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);i0(z);i0(y);i0(x);i0(w);G$(v);if((hc|0)==0){i=p;return gc|0}he[ic&511](hc);i=p;return gc|0}function H5(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=216;u=m+400|0;C0(p,h);m=p|0;v=c[m>>2]|0;if(!((c[1935552]|0)==-1)){c[l>>2]=7742208;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742208,l,126)}l=(c[1935553]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(G5(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){m0(k,ue[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=ue[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}I5(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=ke[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=ke[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];Y_(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}he[c[t>>2]&511](z);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function I5(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){o0(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function J5(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[1935668]|0)==-1)){c[p>>2]=7742672;c[p+4>>2]=20;c[p+8>>2]=0;r$(7742672,p,126)}p=(c[1935669]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=Od(4)|0;D=B;q9(D);Cc(B|0,7708024,182)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=Od(4)|0;D=B;q9(D);Cc(B|0,7708024,182)}B=b;ie[c[(c[b>>2]|0)+44>>2]&255](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;ie[c[(c[D>>2]|0)+32>>2]&255](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;i0(r);ie[c[(c[D>>2]|0)+28>>2]&255](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}l0(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;i0(s);s=b;c[f>>2]=ke[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=ke[c[(c[s>>2]|0)+16>>2]&255](B)|0;ie[c[(c[b>>2]|0)+20>>2]&255](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}S$(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];oaa(p|0,0,12)|0;G$(t);ie[c[(c[D>>2]|0)+24>>2]&255](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}l0(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];oaa(t|0,0,12)|0;i0(u);E=ke[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[1935670]|0)==-1)){c[o>>2]=7742680;c[o+4>>2]=20;c[o+8>>2]=0;r$(7742680,o,126)}o=(c[1935671]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=Od(4)|0;G=F;q9(G);Cc(F|0,7708024,182)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=Od(4)|0;G=F;q9(G);Cc(F|0,7708024,182)}F=B;ie[c[(c[B>>2]|0)+44>>2]&255](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;ie[c[(c[G>>2]|0)+32>>2]&255](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];oaa(l|0,0,12)|0;i0(w);ie[c[(c[G>>2]|0)+28>>2]&255](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}l0(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];oaa(k|0,0,12)|0;i0(x);x=B;c[f>>2]=ke[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=ke[c[(c[x>>2]|0)+16>>2]&255](F)|0;ie[c[(c[B>>2]|0)+20>>2]&255](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}S$(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];oaa(h|0,0,12)|0;G$(y);ie[c[(c[G>>2]|0)+24>>2]&255](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}l0(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];oaa(j|0,0,12)|0;i0(z);E=ke[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function K5(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=216;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=O9(k,j)|0;k=a;if((a|0)==0){Y9()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}he[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=266;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function L5(a){a=a|0;W_(a|0);T9(a);return}function M5(a){a=a|0;W_(a|0);return}function N5(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Db(z|0,100,7685128,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);C=F3(m,c[1935196]|0,7685128,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){Y9();E=c[m>>2]|0}else{E=D}D=L9(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}Y9();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);C0(n,g);B=n|0;A=c[B>>2]|0;if(!((c[1935554]|0)==-1)){c[l>>2]=7742216;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742216,l,126)}l=(c[1935555]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;ye[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}oaa(r|0,0,12)|0;D=s;oaa(D|0,0,12)|0;z=t;oaa(z|0,0,12)|0;O5(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=L9(M)|0;if((D|0)!=0){S=D;T=D;break}Y9();S=0;T=0}else{S=K;T=0}}while(0);P5(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];cY(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){M9(T)}G$(t);G$(s);G$(r);Y_(c[B>>2]|0)|0;if((H|0)!=0){M9(H)}if((I|0)==0){i=d;return}M9(I);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function O5(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[1935672]|0)==-1)){c[p>>2]=7742688;c[p+4>>2]=20;c[p+8>>2]=0;r$(7742688,p,126)}p=(c[1935673]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Od(4)|0;J=I;q9(J);Cc(I|0,7708024,182)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Od(4)|0;J=I;q9(J);Cc(I|0,7708024,182)}I=e;J=c[e>>2]|0;if(d){ie[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;ie[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];oaa(q|0,0,12)|0;G$(s)}else{ie[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;ie[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];oaa(t|0,0,12)|0;G$(v)}v=e;a[g]=ke[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=ke[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;ie[c[(c[v>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];oaa(u|0,0,12)|0;G$(w);ie[c[(c[v>>2]|0)+24>>2]&255](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}S$(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];oaa(w|0,0,12)|0;G$(x);K=ke[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[1935674]|0)==-1)){c[o>>2]=7742696;c[o+4>>2]=20;c[o+8>>2]=0;r$(7742696,o,126)}o=(c[1935675]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Od(4)|0;M=L;q9(M);Cc(L|0,7708024,182)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Od(4)|0;M=L;q9(M);Cc(L|0,7708024,182)}L=H;M=c[H>>2]|0;if(d){ie[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;ie[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];oaa(y|0,0,12)|0;G$(A)}else{ie[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;ie[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}S$(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];oaa(l|0,0,12)|0;G$(E)}E=H;a[g]=ke[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=ke[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;ie[c[(c[E>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];oaa(j|0,0,12)|0;G$(F);ie[c[(c[E>>2]|0)+24>>2]&255](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}S$(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];oaa(k|0,0,12)|0;G$(G);K=ke[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function P5(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 3:{h=a[t]|0;I=(h&1)==0;if(I){J=(h&255)>>>1}else{J=c[w>>2]|0}if((J|0)==0){K=H;break a}if(I){L=u}else{L=c[v>>2]|0}I=a[L]|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=I;K=H;break};case 0:{c[e>>2]=c[f>>2];K=H;break};case 1:{c[e>>2]=c[f>>2];I=ue[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;h=c[f>>2]|0;c[f>>2]=h+1;a[h]=I;K=H;break};case 4:{I=c[f>>2]|0;h=k?H+1|0:H;M=h;while(1){if(!(M>>>0<i>>>0)){break}N=a[M]|0;if(N<<24>>24<0){break}if((b[(c[p>>2]|0)+(N<<24>>24<<1)>>1]&2048)==0){break}else{M=M+1|0}}N=M;if(B){if(M>>>0>h>>>0){O=h+(-N|0)|0;N=O>>>0<o>>>0?o:O;O=N+r|0;P=M;Q=r;R=I;while(1){S=P-1|0;T=a[S]|0;c[f>>2]=R+1;a[R]=T;T=Q-1|0;U=(T|0)>0;if(!(S>>>0>h>>>0&U)){break}P=S;Q=T;R=c[f>>2]|0}R=M+N|0;if(U){V=O;W=R;X=32}else{Y=0;Z=O;_=R}}else{V=r;W=M;X=32}if((X|0)==32){X=0;Y=ue[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;Z=V;_=W}R=c[f>>2]|0;c[f>>2]=R+1;if((Z|0)>0){Q=Z;P=R;while(1){a[P]=Y;T=Q-1|0;S=c[f>>2]|0;c[f>>2]=S+1;if((T|0)>0){Q=T;P=S}else{$=S;break}}}else{$=R}a[$]=m;aa=_}else{aa=M}if((aa|0)==(h|0)){P=ue[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;Q=c[f>>2]|0;c[f>>2]=Q+1;a[Q]=P}else{P=a[C]|0;Q=(P&1)==0;if(Q){ba=(P&255)>>>1}else{ba=c[F>>2]|0}if((ba|0)==0){ca=aa;da=0;ea=0;fa=-1}else{if(Q){ga=D}else{ga=c[E>>2]|0}ca=aa;da=0;ea=0;fa=a[ga]|0}while(1){do{if((da|0)==(fa|0)){Q=c[f>>2]|0;c[f>>2]=Q+1;a[Q]=n;Q=ea+1|0;P=a[C]|0;O=(P&1)==0;if(O){ha=(P&255)>>>1}else{ha=c[F>>2]|0}if(!(Q>>>0<ha>>>0)){ia=fa;ja=Q;ka=0;break}if(O){la=D}else{la=c[E>>2]|0}if((a[la+Q|0]|0)==127){ia=-1;ja=Q;ka=0;break}if(O){ma=D}else{ma=c[E>>2]|0}ia=a[ma+Q|0]|0;ja=Q;ka=0}else{ia=fa;ja=ea;ka=da}}while(0);Q=ca-1|0;O=a[Q]|0;P=c[f>>2]|0;c[f>>2]=P+1;a[P]=O;if((Q|0)==(h|0)){break}else{ca=Q;da=ka+1|0;ea=ja;fa=ia}}}M=c[f>>2]|0;if((I|0)==(M|0)){K=h;break a}R=M-1|0;if(R>>>0>I>>>0){na=I;oa=R}else{K=h;break a}while(1){R=a[na]|0;a[na]=a[oa]|0;a[oa]=R;R=na+1|0;M=oa-1|0;if(R>>>0<M>>>0){na=R;oa=M}else{K=h;break}}break};case 2:{h=a[q]|0;I=(h&1)==0;if(I){pa=(h&255)>>>1}else{pa=c[A>>2]|0}if((pa|0)==0|x){K=H;break a}if(I){qa=(h&255)>>>1;ra=y;sa=y}else{h=c[z>>2]|0;qa=c[A>>2]|0;ra=h;sa=h}h=ra+qa|0;I=c[f>>2]|0;if((sa|0)==(h|0)){ta=I}else{M=I;I=sa;while(1){a[M]=a[I]|0;R=I+1|0;Q=M+1|0;if((R|0)==(h|0)){ta=Q;break}else{M=Q;I=R}}}c[f>>2]=ta;K=H;break};default:{K=H}}}while(0);I=G+1|0;if(I>>>0<4>>>0){G=I;H=K}else{break}}K=a[t]|0;t=(K&1)==0;if(t){ua=(K&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(K&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function Q5(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;C0(l,g);x=l|0;y=c[x>>2]|0;if(!((c[1935554]|0)==-1)){c[k>>2]=7742216;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742216,k,126)}k=(c[1935555]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(ue[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}oaa(p|0,0,12)|0;A=q;oaa(A|0,0,12)|0;E=r;oaa(E|0,0,12)|0;O5(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=L9(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}Y9();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}P5(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];cY(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){G$(r);G$(q);G$(p);X=c[x>>2]|0;Y=X|0;Z=Y_(Y)|0;i=d;return}M9(T);G$(r);G$(q);G$(p);X=c[x>>2]|0;Y=X|0;Z=Y_(Y)|0;i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function R5(a){a=a|0;W_(a|0);T9(a);return}function S5(a){a=a|0;W_(a|0);return}function T5(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Db(z|0,100,7685128,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);C=F3(m,c[1935196]|0,7685128,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){Y9();E=c[m>>2]|0}else{E=D}D=L9(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}Y9();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);C0(n,g);B=n|0;A=c[B>>2]|0;if(!((c[1935552]|0)==-1)){c[l>>2]=7742208;c[l+4>>2]=20;c[l+8>>2]=0;r$(7742208,l,126)}l=(c[1935553]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;ye[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}oaa(r|0,0,12)|0;F=s;oaa(F|0,0,12)|0;z=t;oaa(z|0,0,12)|0;U5(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=L9(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}Y9();S=0;T=0}else{S=D;T=0}}while(0);V5(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];O3(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){M9(T)}i0(t);i0(s);G$(r);Y_(c[B>>2]|0)|0;if((I|0)!=0){M9(I)}if((J|0)==0){i=d;return}M9(J);i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function U5(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[1935668]|0)==-1)){c[p>>2]=7742672;c[p+4>>2]=20;c[p+8>>2]=0;r$(7742672,p,126)}p=(c[1935669]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=Od(4)|0;J=I;q9(J);Cc(I|0,7708024,182)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=Od(4)|0;J=I;q9(J);Cc(I|0,7708024,182)}I=e;J=c[e>>2]|0;if(d){ie[c[J+44>>2]&255](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;ie[c[(c[e>>2]|0)+32>>2]&255](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];oaa(q|0,0,12)|0;i0(s)}else{ie[c[J+40>>2]&255](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;ie[c[(c[e>>2]|0)+28>>2]&255](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];oaa(t|0,0,12)|0;i0(v)}v=e;c[g>>2]=ke[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=ke[c[(c[v>>2]|0)+16>>2]&255](I)|0;ie[c[(c[e>>2]|0)+20>>2]&255](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];oaa(u|0,0,12)|0;G$(w);ie[c[(c[e>>2]|0)+24>>2]&255](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}l0(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];oaa(w|0,0,12)|0;i0(x);K=ke[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[1935670]|0)==-1)){c[o>>2]=7742680;c[o+4>>2]=20;c[o+8>>2]=0;r$(7742680,o,126)}o=(c[1935671]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=Od(4)|0;M=L;q9(M);Cc(L|0,7708024,182)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=Od(4)|0;M=L;q9(M);Cc(L|0,7708024,182)}L=H;M=c[H>>2]|0;if(d){ie[c[M+44>>2]&255](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;ie[c[(c[H>>2]|0)+32>>2]&255](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];oaa(y|0,0,12)|0;i0(A)}else{ie[c[M+40>>2]&255](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;ie[c[(c[H>>2]|0)+28>>2]&255](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}l0(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];oaa(l|0,0,12)|0;i0(E)}E=H;c[g>>2]=ke[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=ke[c[(c[E>>2]|0)+16>>2]&255](L)|0;ie[c[(c[H>>2]|0)+20>>2]&255](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}S$(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];oaa(j|0,0,12)|0;G$(F);ie[c[(c[H>>2]|0)+24>>2]&255](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}l0(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];oaa(k|0,0,12)|0;i0(G);K=ke[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function V5(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 1:{c[d>>2]=c[e>>2];g=ue[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;E=c[e>>2]|0;c[e>>2]=E+4;c[E>>2]=g;F=D;break};case 3:{g=a[s]|0;E=(g&1)==0;if(E){G=(g&255)>>>1}else{G=c[t>>2]|0}if((G|0)==0){F=D;break a}if(E){H=t}else{H=c[u>>2]|0}E=c[H>>2]|0;g=c[e>>2]|0;c[e>>2]=g+4;c[g>>2]=E;F=D;break};case 2:{E=a[p]|0;g=(E&1)==0;if(g){I=(E&255)>>>1}else{I=c[w>>2]|0}if((I|0)==0|v){F=D;break a}if(g){J=(E&255)>>>1;K=w;L=w}else{E=c[x>>2]|0;J=c[w>>2]|0;K=E;L=E}E=K+(J<<2)|0;g=c[e>>2]|0;if((L|0)==(E|0)){M=g}else{N=(K+(J-1<<2)+(-L|0)|0)>>>2;O=g;P=L;while(1){c[O>>2]=c[P>>2];Q=P+4|0;if((Q|0)==(E|0)){break}O=O+4|0;P=Q}M=g+(N+1<<2)|0}c[e>>2]=M;F=D;break};case 4:{P=c[e>>2]|0;O=j?D+4|0:D;E=O;while(1){if(!(E>>>0<h>>>0)){break}if(me[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[E>>2]|0)|0){E=E+4|0}else{break}}if(y){do{if(E>>>0>O>>>0){N=E;g=q;Q=c[e>>2]|0;while(1){R=N-4|0;S=Q+4|0;c[Q>>2]=c[R>>2];T=g-1|0;U=(T|0)>0;if(R>>>0>O>>>0&U){N=R;g=T;Q=S}else{break}}c[e>>2]=S;if(U){V=T;W=R;X=34;break}Q=c[e>>2]|0;c[e>>2]=Q+4;Y=Q;Z=R}else{V=q;W=E;X=34}}while(0);do{if((X|0)==34){X=0;Q=ue[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;g=c[e>>2]|0;N=g+4|0;c[e>>2]=N;if((V|0)>0){_=V;$=g;aa=N}else{Y=g;Z=W;break}while(1){c[$>>2]=Q;N=_-1|0;if((N|0)>0){_=N;$=aa;aa=aa+4|0}else{break}}c[e>>2]=g+(V+1<<2);Y=g+(V<<2)|0;Z=W}}while(0);c[Y>>2]=l;ba=Z}else{ba=E}if((ba|0)==(O|0)){Q=ue[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;N=c[e>>2]|0;ca=N+4|0;c[e>>2]=ca;c[N>>2]=Q;da=ca}else{ca=a[z]|0;Q=(ca&1)==0;if(Q){ea=(ca&255)>>>1}else{ea=c[C>>2]|0}if((ea|0)==0){fa=ba;ga=0;ha=0;ia=-1}else{if(Q){ja=A}else{ja=c[B>>2]|0}fa=ba;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){Q=c[e>>2]|0;c[e>>2]=Q+4;c[Q>>2]=m;Q=ha+1|0;ca=a[z]|0;N=(ca&1)==0;if(N){ka=(ca&255)>>>1}else{ka=c[C>>2]|0}if(!(Q>>>0<ka>>>0)){la=ia;ma=Q;na=0;break}if(N){oa=A}else{oa=c[B>>2]|0}if((a[oa+Q|0]|0)==127){la=-1;ma=Q;na=0;break}if(N){pa=A}else{pa=c[B>>2]|0}la=a[pa+Q|0]|0;ma=Q;na=0}else{la=ia;ma=ha;na=ga}}while(0);g=fa-4|0;Q=c[g>>2]|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=Q;if((g|0)==(O|0)){break}else{fa=g;ga=na+1|0;ha=ma;ia=la}}da=c[e>>2]|0}if((P|0)==(da|0)){F=O;break a}E=da-4|0;if(E>>>0>P>>>0){qa=P;ra=E}else{F=O;break a}while(1){E=c[qa>>2]|0;c[qa>>2]=c[ra>>2];c[ra>>2]=E;E=qa+4|0;g=ra-4|0;if(E>>>0<g>>>0){qa=E;ra=g}else{F=O;break}}break};case 0:{c[d>>2]=c[e>>2];F=D;break};default:{F=D}}}while(0);O=n+1|0;if(O>>>0<4>>>0){n=O;D=F}else{break}}F=a[s]|0;s=(F&1)==0;if(s){sa=(F&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(F&255)>>>1;ua=t;va=t}else{F=c[u>>2]|0;ta=c[t>>2]|0;ua=F;va=F}F=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((F|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-F|0)|0)>>>2;ta=t;ua=F;while(1){c[ta>>2]=c[ua>>2];F=ua+4|0;if((F|0)==(va|0)){break}else{ta=ta+4|0;ua=F}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function W5(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;C0(l,g);x=l|0;y=c[x>>2]|0;if(!((c[1935552]|0)==-1)){c[k>>2]=7742208;c[k+4>>2]=20;c[k+8>>2]=0;r$(7742208,k,126)}k=(c[1935553]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(ue[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}oaa(p|0,0,12)|0;A=q;oaa(A|0,0,12)|0;E=r;oaa(E|0,0,12)|0;U5(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=L9(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}Y9();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}V5(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];O3(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){i0(r);i0(q);G$(p);X=c[x>>2]|0;Y=X|0;Z=Y_(Y)|0;i=d;return}M9(T);i0(r);i0(q);G$(p);X=c[x>>2]|0;Y=X|0;Z=Y_(Y)|0;i=d;return}}while(0);d=Od(4)|0;q9(d);Cc(d|0,7708024,182)}function X5(a){a=a|0;W_(a|0);T9(a);return}function Y5(a){a=a|0;W_(a|0);return}function Z5(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Td(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function _5(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;oaa(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{Y$(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=_b(s|0,f|0,g|0,r|0)|0;oaa(b|0,0,12)|0;r=laa(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{G$(j);i=d;return}do{Y$(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);G$(j);i=d;return}function $5(a,b){a=a|0;b=b|0;Mb(((b|0)==-1?-1:b<<1)|0)|0;return}function a6(a){a=a|0;W_(a|0);T9(a);return}function b6(a){a=a|0;W_(a|0);return}function c6(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Td(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}



function gm(b,d){b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0.0,y=0,z=0.0,A=0,C=0.0,D=0,E=0,F=0.0,G=0,H=0.0,K=0,L=0.0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0,da=0.0,fa=0.0,ga=0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0,ma=0.0,na=0,oa=0.0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0.0,va=0,wa=0.0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0.0,Da=0,Ea=0.0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0,Ua=0.0,Va=0.0,Wa=0,Xa=0.0,Ya=0,Za=0.0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0.0,rb=0.0,sb=0,tb=0.0,ub=0.0,vb=0,wb=0.0,xb=0.0,yb=0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0.0,Qb=0,Rb=0.0,Sb=0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0,$b=0.0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0.0,hc=0.0,ic=0,jc=0.0,kc=0.0,lc=0,mc=0.0,nc=0.0,oc=0,pc=0.0,qc=0.0,rc=0.0,sc=0,tc=0.0,uc=0,vc=0.0,wc=0.0,xc=0,yc=0.0,zc=0,Ac=0.0,Bc=0.0,Cc=0,Dc=0.0,Ec=0,Fc=0.0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0,Mc=0.0,Nc=0.0,Oc=0,Pc=0.0,Qc=0,Rc=0.0;e=i;Be[c[(d+8|0)>>2]&7](0,1,1.0,0,d);Be[c[(d+8|0)>>2]&7](0,3,1.0,1,d);Be[c[(d+8|0)>>2]&7](0,25,1.0,2,d);Be[c[(d+8|0)>>2]&7](1,24,1.0,3,d);Be[c[(d+8|0)>>2]&7](1,25,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1352>>3],4,d);Be[c[(d+8|0)>>2]&7](2,22,-1.0,5,d);Be[c[(d+8|0)>>2]&7](2,23,1.0,6,d);Be[c[(d+8|0)>>2]&7](2,24,1.0,7,d);Be[c[(d+8|0)>>2]&7](3,0,1.0,8,d);Be[c[(d+8|0)>>2]&7](3,22,-1.0,9,d);Be[c[(d+8|0)>>2]&7](3,23,1.0,10,d);Be[c[(d+8|0)>>2]&7](4,2,1.0,11,d);Be[c[(d+8|0)>>2]&7](4,21,1.0,12,d);Be[c[(d+8|0)>>2]&7](4,22,-1.0,13,d);Be[c[(d+8|0)>>2]&7](5,13,1.0,14,d);Be[c[(d+8|0)>>2]&7](5,20,1.0,15,d);Be[c[(d+8|0)>>2]&7](5,21,-1.0,16,d);Be[c[(d+8|0)>>2]&7](6,7,1.0,17,d);Be[c[(d+8|0)>>2]&7](6,19,1.0,18,d);Be[c[(d+8|0)>>2]&7](6,20,1.0,19,d);Be[c[(d+8|0)>>2]&7](7,14,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1792>>3],20,d);Be[c[(d+8|0)>>2]&7](7,18,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1856>>3],21,d);Be[c[(d+8|0)>>2]&7](7,19,1.0,22,d);f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+1784>>3];if(j!=0.0){k=j}else{k=+lH(c[b+536>>2]|0,j,7660768,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}j=1.0/k;Be[c[(d+8|0)>>2]&7](8,17,j*j,23,d);Be[c[(d+8|0)>>2]&7](8,18,1.0,24,d);f=c[(b+416|0)>>2]|0;j=+h[f+17592>>3];k=+h[f+17600>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7663848,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(l>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,8032,7662864,(f=i,i=i+7392|0,h[f>>3]=l,f)|0);i=f}f=c[(d+8|0)>>2]|0;j=+ea(l);l=+h[(c[(b+416|0)>>2]|0)+17584>>3];do{if(j!=0.0){m=l/j}else{if(l==0.0){m=l;break}m=l/+lH(c[b+536>>2]|0,j,7661776,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);Be[f&7](9,16,m*-7895683520871486.0e-21,25,d);Be[c[(d+8|0)>>2]&7](9,17,1.0,26,d);m=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+1776>>3];do{if(m!=0.0){n=j/m}else{if(j==0.0){n=j;break}n=j/+lH(c[b+536>>2]|0,m,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(n>0.0){o=1.0}else{n=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[f+8>>2]|0)+1776>>3];do{if(n!=0.0){p=m/n}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,n,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);o=+((p<0.0)<<31>>31|0)}p=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;n=+h[(c[f+8>>2]|0)+1776>>3];do{if(p!=0.0){q=n/p}else{if(n==0.0){q=n;break}q=n/+lH(c[b+536>>2]|0,p,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(q>0.0){r=1.0}else{q=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[f+8>>2]|0)+1776>>3];do{if(q!=0.0){s=p/q}else{if(p==0.0){s=p;break}s=p/+lH(c[b+536>>2]|0,q,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);r=+((s<0.0)<<31>>31|0)}s=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;q=+h[(c[f+8>>2]|0)+1776>>3];do{if(s!=0.0){t=q/s}else{if(q==0.0){t=q;break}t=q/+lH(c[b+536>>2]|0,s,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(t>0.0){u=1.0}else{t=+h[(c[(b+416|0)>>2]|0)+17552>>3];f=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[f+8>>2]|0)+1776>>3];do{if(t!=0.0){v=s/t}else{if(s==0.0){v=s;break}v=s/+lH(c[b+536>>2]|0,t,7666496,8056,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);u=+((v<0.0)<<31>>31|0)}f=c[(b+416|0)>>2]|0;v=+h[f+17568>>3];t=+h[f+17552>>3];w=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[w+8>>2]|0)+1776>>3];do{if(t!=0.0){x=s/t;y=f;z=t;A=w;C=s}else{if(s==0.0){x=s;y=f;z=t;A=w;C=s;break}q=s/+lH(c[b+536>>2]|0,t,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;x=q;y=D;z=+h[D+17552>>3];A=E;C=+h[(c[E+8>>2]|0)+1776>>3]}}while(0);t=v*+V(+x);do{if(z!=0.0){F=C/z;G=y;H=z;K=A;L=C}else{if(C==0.0){F=C;G=y;H=z;K=A;L=C;break}x=C/+lH(c[b+536>>2]|0,z,7666496,8056,+h[A>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;f=c[c[(b+4|0)>>2]>>2]|0;F=x;G=w;H=+h[w+17552>>3];K=f;L=+h[(c[f+8>>2]|0)+1776>>3]}}while(0);z=+V(+F);F=t+ +X(+z,+(+h[G+17576>>3]))+1.0;A=c[(d+8|0)>>2]|0;z=+h[G+17544>>3];t=+h[G+17560>>3];y=H!=0.0;do{f=1;if(f){f=0;if(F*F!=0.0){do{if(y){M=L/H;N=G;O=H}else{if(L==0.0){M=L;N=G;O=H;break}C=L/+lH(c[b+536>>2]|0,H,7666496,8056,+h[K>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;M=C;N=w;O=+h[w+17552>>3]}}while(0);C=z+t*+V(+M)+-1.0;x=+h[N+17568>>3];do{if(O!=0.0){P=o/O;Q=N;R=O}else{if(o==0.0){P=o;Q=N;R=O;break}v=o/+lH(c[b+536>>2]|0,O,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;P=v;Q=w;R=+h[w+17552>>3]}}while(0);v=x*P;w=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[w+8>>2]|0)+1776>>3];do{if(R!=0.0){S=s/R;T=Q;U=R}else{if(s==0.0){S=s;T=Q;U=R;break}q=s/+lH(c[b+536>>2]|0,R,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;S=q;T=E;U=+h[E+17552>>3]}}while(0);s=+V(+S);x=+h[T+17576>>3];q=+X(+s,+(x+-1.0));do{if(U!=0.0){W=r/U;Y=T;Z=U}else{if(r==0.0){W=r;Y=T;Z=U;break}s=r/+lH(c[b+536>>2]|0,U,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;W=s;Y=w;Z=+h[w+17552>>3]}}while(0);s=C*(v+q*x*W);p=+h[Y+17560>>3];n=+h[Y+17568>>3];w=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[w+8>>2]|0)+1776>>3];do{if(Z!=0.0){j=+V(+(m/Z));_=(n*j+ +X(+j,+(+h[Y+17576>>3]))+1.0)/Z}else{if(m==0.0){$=m;aa=Y;ba=Z;ca=w;da=m}else{j=m/+lH(c[b+536>>2]|0,Z,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;$=j;aa=E;ba=+h[E+17552>>3];ca=D;da=+h[(c[D+8>>2]|0)+1776>>3]}j=n*+V(+$);do{if(ba!=0.0){fa=da/ba;ga=aa;ha=ba;ia=ca;ja=da}else{if(da==0.0){fa=da;ga=aa;ha=ba;ia=ca;ja=da;break}l=da/+lH(c[b+536>>2]|0,ba,7666496,8056,+h[ca>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;fa=l;ga=D;ha=+h[D+17552>>3];ia=E;ja=+h[(c[E+8>>2]|0)+1776>>3]}}while(0);l=+V(+fa);E=j+ +X(+l,+(+h[ga+17576>>3]))+1.0==0.0;l=+h[ga+17568>>3];D=ha!=0.0;if(E){do{if(D){ka=ja/ha;la=ga;ma=ha;na=ia;oa=ja}else{if(ja==0.0){ka=ja;la=ga;ma=ha;na=ia;oa=ja;break}k=ja/+lH(c[b+536>>2]|0,ha,7666496,8056,+h[ia>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;pa=c[c[(b+4|0)>>2]>>2]|0;ka=k;la=E;ma=+h[E+17552>>3];na=pa;oa=+h[(c[pa+8>>2]|0)+1776>>3]}}while(0);j=l*+V(+ka);do{if(ma!=0.0){qa=oa/ma;ra=la}else{if(oa==0.0){qa=oa;ra=la;break}k=oa/+lH(c[b+536>>2]|0,ma,7666496,8056,+h[na>>3],(a[b+319|0]|0)!=0|0);qa=k;ra=c[(b+416|0)>>2]|0}}while(0);k=+V(+qa);_=j+ +X(+k,+(+h[ra+17576>>3]))+1.0;break}else{do{if(D){sa=ja/ha;ta=ga;ua=ha;va=ia;wa=ja}else{if(ja==0.0){sa=ja;ta=ga;ua=ha;va=ia;wa=ja;break}k=ja/+lH(c[b+536>>2]|0,ha,7666496,8056,+h[ia>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;sa=k;ta=pa;ua=+h[pa+17552>>3];va=E;wa=+h[(c[E+8>>2]|0)+1776>>3]}}while(0);j=l*+V(+sa);do{if(ua!=0.0){xa=wa/ua;ya=ta;za=ua;Aa=va}else{if(wa==0.0){xa=wa;ya=ta;za=ua;Aa=va;break}k=wa/+lH(c[b+536>>2]|0,ua,7666496,8056,+h[va>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;xa=k;ya=D;za=+h[D+17552>>3];Aa=c[c[(b+4|0)>>2]>>2]|0}}while(0);l=+V(+xa);k=j+ +X(+l,+(+h[ya+17576>>3]))+1.0;_=k/+lH(c[b+536>>2]|0,za,7666496,8056,+h[Aa>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Ba=(s-p*u*_)/(F*F)}else{f=1}}if(f){f=0;if(1){do{if(y){Ca=L/H;Da=G;Ea=H}else{if(L==0.0){Ca=L;Da=G;Ea=H;break}n=L/+lH(c[b+536>>2]|0,H,7666496,8056,+h[K>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;Ca=n;Da=w;Ea=+h[w+17552>>3]}}while(0);p=z+t*+V(+Ca)+-1.0;s=+h[Da+17568>>3];do{if(Ea!=0.0){Fa=o/Ea;Ga=Da;Ha=Ea}else{if(o==0.0){Fa=o;Ga=Da;Ha=Ea;break}n=o/+lH(c[b+536>>2]|0,Ea,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;Fa=n;Ga=w;Ha=+h[w+17552>>3]}}while(0);n=s*Fa;w=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[w+8>>2]|0)+1776>>3];do{if(Ha!=0.0){Ia=m/Ha;Ja=Ga;Ka=Ha}else{if(m==0.0){Ia=m;Ja=Ga;Ka=Ha;break}x=m/+lH(c[b+536>>2]|0,Ha,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;Ia=x;Ja=D;Ka=+h[D+17552>>3]}}while(0);m=+V(+Ia);s=+h[Ja+17576>>3];x=+X(+m,+(s+-1.0));do{if(Ka!=0.0){La=r/Ka;Ma=Ja;Na=Ka}else{if(r==0.0){La=r;Ma=Ja;Na=Ka;break}m=r/+lH(c[b+536>>2]|0,Ka,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;La=m;Ma=w;Na=+h[w+17552>>3]}}while(0);m=p*(n+x*s*La);q=+h[Ma+17560>>3];v=+h[Ma+17568>>3];w=c[c[(b+4|0)>>2]>>2]|0;C=+h[(c[w+8>>2]|0)+1776>>3];do{if(Na!=0.0){k=+V(+(C/Na));Oa=(v*k+ +X(+k,+(+h[Ma+17576>>3]))+1.0)/Na;Pa=Ma}else{if(C==0.0){Qa=C;Ra=Ma;Sa=Na;Ta=w;Ua=C}else{k=C/+lH(c[b+536>>2]|0,Na,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;Qa=k;Ra=D;Sa=+h[D+17552>>3];Ta=E;Ua=+h[(c[E+8>>2]|0)+1776>>3]}k=v*+V(+Qa);do{if(Sa!=0.0){Va=Ua/Sa;Wa=Ra;Xa=Sa;Ya=Ta;Za=Ua}else{if(Ua==0.0){Va=Ua;Wa=Ra;Xa=Sa;Ya=Ta;Za=Ua;break}l=Ua/+lH(c[b+536>>2]|0,Sa,7666496,8056,+h[Ta>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Va=l;Wa=E;Xa=+h[E+17552>>3];Ya=D;Za=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);j=+V(+Va);D=k+ +X(+j,+(+h[Wa+17576>>3]))+1.0==0.0;j=+h[Wa+17568>>3];E=Xa!=0.0;if(D){do{if(E){_a=Za/Xa;$a=Wa;ab=Xa;bb=Ya;cb=Za}else{if(Za==0.0){_a=Za;$a=Wa;ab=Xa;bb=Ya;cb=Za;break}l=Za/+lH(c[b+536>>2]|0,Xa,7666496,8056,+h[Ya>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;pa=c[c[(b+4|0)>>2]>>2]|0;_a=l;$a=D;ab=+h[D+17552>>3];bb=pa;cb=+h[(c[pa+8>>2]|0)+1776>>3]}}while(0);k=j*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a}else{if(cb==0.0){db=cb;eb=$a;break}l=cb/+lH(c[b+536>>2]|0,ab,7666496,8056,+h[bb>>3],(a[b+319|0]|0)!=0|0);db=l;eb=c[(b+416|0)>>2]|0}}while(0);l=+V(+db);Oa=k+ +X(+l,+(+h[eb+17576>>3]))+1.0;Pa=eb;break}else{do{if(E){fb=Za/Xa;gb=Wa;hb=Xa;ib=Ya;jb=Za}else{if(Za==0.0){fb=Za;gb=Wa;hb=Xa;ib=Ya;jb=Za;break}l=Za/+lH(c[b+536>>2]|0,Xa,7666496,8056,+h[Ya>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;fb=l;gb=pa;hb=+h[pa+17552>>3];ib=D;jb=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);k=j*+V(+fb);do{if(hb!=0.0){kb=jb/hb;lb=gb;mb=hb;nb=ib}else{if(jb==0.0){kb=jb;lb=gb;mb=hb;nb=ib;break}l=jb/+lH(c[b+536>>2]|0,hb,7666496,8056,+h[ib>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;kb=l;lb=E;mb=+h[E+17552>>3];nb=c[c[(b+4|0)>>2]>>2]|0}}while(0);j=+V(+kb);l=k+ +X(+j,+(+h[lb+17576>>3]))+1.0;j=l/+lH(c[b+536>>2]|0,mb,7666496,8056,+h[nb>>3],(a[b+319|0]|0)!=0|0);Oa=j;Pa=c[(b+416|0)>>2]|0;break}}}while(0);v=+h[Pa+17544>>3];C=+h[Pa+17560>>3];s=+h[Pa+17552>>3];w=c[c[(b+4|0)>>2]>>2]|0;x=+h[(c[w+8>>2]|0)+1776>>3];if(m-q*u*Oa==0.0){do{if(s!=0.0){ob=x/s;pb=Pa;qb=s}else{if(x==0.0){ob=x;pb=Pa;qb=s;break}n=x/+lH(c[b+536>>2]|0,s,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;ob=n;pb=E;qb=+h[E+17552>>3]}}while(0);q=v+C*+V(+ob)+-1.0;m=+h[pb+17568>>3];do{if(qb!=0.0){rb=o/qb;sb=pb;tb=qb}else{if(o==0.0){rb=o;sb=pb;tb=qb;break}n=o/+lH(c[b+536>>2]|0,qb,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;rb=n;sb=E;tb=+h[E+17552>>3]}}while(0);n=m*rb;E=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[E+8>>2]|0)+1776>>3];do{if(tb!=0.0){ub=p/tb;vb=sb;wb=tb}else{if(p==0.0){ub=p;vb=sb;wb=tb;break}j=p/+lH(c[b+536>>2]|0,tb,7666496,8056,+h[E>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;ub=j;vb=D;wb=+h[D+17552>>3]}}while(0);p=+V(+ub);m=+h[vb+17576>>3];j=+X(+p,+(m+-1.0));do{if(wb!=0.0){xb=r/wb;yb=vb;zb=wb}else{if(r==0.0){xb=r;yb=vb;zb=wb;break}p=r/+lH(c[b+536>>2]|0,wb,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;xb=p;yb=E;zb=+h[E+17552>>3]}}while(0);p=q*(n+j*m*xb);l=+h[yb+17560>>3];Ab=+h[yb+17568>>3];E=c[c[(b+4|0)>>2]>>2]|0;Bb=+h[(c[E+8>>2]|0)+1776>>3];do{if(zb!=0.0){Cb=+V(+(Bb/zb));Db=(Ab*Cb+ +X(+Cb,+(+h[yb+17576>>3]))+1.0)/zb}else{if(Bb==0.0){Eb=Bb;Fb=yb;Gb=zb;Hb=E;Ib=Bb}else{Cb=Bb/+lH(c[b+536>>2]|0,zb,7666496,8056,+h[E>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;pa=c[c[(b+4|0)>>2]>>2]|0;Eb=Cb;Fb=D;Gb=+h[D+17552>>3];Hb=pa;Ib=+h[(c[pa+8>>2]|0)+1776>>3]}Cb=Ab*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}Ob=Ib/+lH(c[b+536>>2]|0,Gb,7666496,8056,+h[Hb>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Jb=Ob;Kb=pa;Lb=+h[pa+17552>>3];Mb=D;Nb=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);k=+V(+Jb);D=Cb+ +X(+k,+(+h[Kb+17576>>3]))+1.0==0.0;k=+h[Kb+17568>>3];pa=Lb!=0.0;if(D){do{if(pa){Pb=Nb/Lb;Qb=Kb;Rb=Lb;Sb=Mb;Tb=Nb}else{if(Nb==0.0){Pb=Nb;Qb=Kb;Rb=Lb;Sb=Mb;Tb=Nb;break}Ob=Nb/+lH(c[b+536>>2]|0,Lb,7666496,8056,+h[Mb>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;Ub=c[c[(b+4|0)>>2]>>2]|0;Pb=Ob;Qb=D;Rb=+h[D+17552>>3];Sb=Ub;Tb=+h[(c[Ub+8>>2]|0)+1776>>3]}}while(0);Cb=k*+V(+Pb);do{if(Rb!=0.0){Vb=Tb/Rb;Wb=Qb}else{if(Tb==0.0){Vb=Tb;Wb=Qb;break}Ob=Tb/+lH(c[b+536>>2]|0,Rb,7666496,8056,+h[Sb>>3],(a[b+319|0]|0)!=0|0);Vb=Ob;Wb=c[(b+416|0)>>2]|0}}while(0);Ob=+V(+Vb);Db=Cb+ +X(+Ob,+(+h[Wb+17576>>3]))+1.0;break}else{do{if(pa){Xb=Nb/Lb;Yb=Kb;Zb=Lb;_b=Mb;$b=Nb}else{if(Nb==0.0){Xb=Nb;Yb=Kb;Zb=Lb;_b=Mb;$b=Nb;break}Ob=Nb/+lH(c[b+536>>2]|0,Lb,7666496,8056,+h[Mb>>3],(a[b+319|0]|0)!=0|0);Ub=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Xb=Ob;Yb=Ub;Zb=+h[Ub+17552>>3];_b=D;$b=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);Cb=k*+V(+Xb);do{if(Zb!=0.0){ac=$b/Zb;bc=Yb;cc=Zb;dc=_b}else{if($b==0.0){ac=$b;bc=Yb;cc=Zb;dc=_b;break}Ob=$b/+lH(c[b+536>>2]|0,Zb,7666496,8056,+h[_b>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;ac=Ob;bc=pa;cc=+h[pa+17552>>3];dc=c[c[(b+4|0)>>2]>>2]|0}}while(0);k=+V(+ac);Ob=Cb+ +X(+k,+(+h[bc+17576>>3]))+1.0;Db=Ob/+lH(c[b+536>>2]|0,cc,7666496,8056,+h[dc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Ba=p-l*u*Db;break}else{do{if(s!=0.0){ec=x/s;fc=Pa;gc=s}else{if(x==0.0){ec=x;fc=Pa;gc=s;break}Ab=x/+lH(c[b+536>>2]|0,s,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;ec=Ab;fc=E;gc=+h[E+17552>>3]}}while(0);s=v+C*+V(+ec)+-1.0;x=+h[fc+17568>>3];do{if(gc!=0.0){hc=o/gc;ic=fc;jc=gc}else{if(o==0.0){hc=o;ic=fc;jc=gc;break}l=o/+lH(c[b+536>>2]|0,gc,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;hc=l;ic=w;jc=+h[w+17552>>3]}}while(0);C=x*hc;w=c[c[(b+4|0)>>2]>>2]|0;v=+h[(c[w+8>>2]|0)+1776>>3];do{if(jc!=0.0){kc=v/jc;lc=ic;mc=jc}else{if(v==0.0){kc=v;lc=ic;mc=jc;break}l=v/+lH(c[b+536>>2]|0,jc,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;kc=l;lc=E;mc=+h[E+17552>>3]}}while(0);v=+V(+kc);x=+h[lc+17576>>3];l=+X(+v,+(x+-1.0));do{if(mc!=0.0){nc=r/mc;oc=lc;pc=mc}else{if(r==0.0){nc=r;oc=lc;pc=mc;break}v=r/+lH(c[b+536>>2]|0,mc,7666496,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);w=c[(b+416|0)>>2]|0;nc=v;oc=w;pc=+h[w+17552>>3]}}while(0);v=s*(C+l*x*nc);p=+h[oc+17560>>3];Ab=+h[oc+17568>>3];w=c[c[(b+4|0)>>2]>>2]|0;Bb=+h[(c[w+8>>2]|0)+1776>>3];do{if(pc!=0.0){m=+V(+(Bb/pc));qc=(Ab*m+ +X(+m,+(+h[oc+17576>>3]))+1.0)/pc}else{if(Bb==0.0){rc=Bb;sc=oc;tc=pc;uc=w;vc=Bb}else{m=Bb/+lH(c[b+536>>2]|0,pc,7666496,8056,+h[w>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;pa=c[c[(b+4|0)>>2]>>2]|0;rc=m;sc=E;tc=+h[E+17552>>3];uc=pa;vc=+h[(c[pa+8>>2]|0)+1776>>3]}m=Ab*+V(+rc);do{if(tc!=0.0){wc=vc/tc;xc=sc;yc=tc;zc=uc;Ac=vc}else{if(vc==0.0){wc=vc;xc=sc;yc=tc;zc=uc;Ac=vc;break}j=vc/+lH(c[b+536>>2]|0,tc,7666496,8056,+h[uc>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;wc=j;xc=pa;yc=+h[pa+17552>>3];zc=E;Ac=+h[(c[E+8>>2]|0)+1776>>3]}}while(0);Cb=+V(+wc);E=m+ +X(+Cb,+(+h[xc+17576>>3]))+1.0==0.0;Cb=+h[xc+17568>>3];pa=yc!=0.0;if(E){do{if(pa){Bc=Ac/yc;Cc=xc;Dc=yc;Ec=zc;Fc=Ac}else{if(Ac==0.0){Bc=Ac;Cc=xc;Dc=yc;Ec=zc;Fc=Ac;break}j=Ac/+lH(c[b+536>>2]|0,yc,7666496,8056,+h[zc>>3],(a[b+319|0]|0)!=0|0);E=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Bc=j;Cc=E;Dc=+h[E+17552>>3];Ec=D;Fc=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);m=Cb*+V(+Bc);do{if(Dc!=0.0){Gc=Fc/Dc;Hc=Cc}else{if(Fc==0.0){Gc=Fc;Hc=Cc;break}j=Fc/+lH(c[b+536>>2]|0,Dc,7666496,8056,+h[Ec>>3],(a[b+319|0]|0)!=0|0);Gc=j;Hc=c[(b+416|0)>>2]|0}}while(0);j=+V(+Gc);qc=m+ +X(+j,+(+h[Hc+17576>>3]))+1.0;break}else{do{if(pa){Ic=Ac/yc;Jc=xc;Kc=yc;Lc=zc;Mc=Ac}else{if(Ac==0.0){Ic=Ac;Jc=xc;Kc=yc;Lc=zc;Mc=Ac;break}j=Ac/+lH(c[b+536>>2]|0,yc,7666496,8056,+h[zc>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;E=c[c[(b+4|0)>>2]>>2]|0;Ic=j;Jc=D;Kc=+h[D+17552>>3];Lc=E;Mc=+h[(c[E+8>>2]|0)+1776>>3]}}while(0);m=Cb*+V(+Ic);do{if(Kc!=0.0){Nc=Mc/Kc;Oc=Jc;Pc=Kc;Qc=Lc}else{if(Mc==0.0){Nc=Mc;Oc=Jc;Pc=Kc;Qc=Lc;break}j=Mc/+lH(c[b+536>>2]|0,Kc,7666496,8056,+h[Lc>>3],(a[b+319|0]|0)!=0|0);pa=c[(b+416|0)>>2]|0;Nc=j;Oc=pa;Pc=+h[pa+17552>>3];Qc=c[c[(b+4|0)>>2]>>2]|0}}while(0);Cb=+V(+Nc);j=m+ +X(+Cb,+(+h[Oc+17576>>3]))+1.0;qc=j/+lH(c[b+536>>2]|0,Pc,7666496,8056,+h[Qc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Ba=(v-p*u*qc)/+lH(c[b+536>>2]|0,F*F,7664952,8056,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);break}}else{f=1}}}while(0);Be[A&7](10,15,Ba,27,d);Be[c[(d+8|0)>>2]&7](10,16,1.0,28,d);A=c[(d+8|0)>>2]|0;Qc=c[c[(b+4|0)>>2]>>2]|0;Ba=+h[(c[Qc+8>>2]|0)+2776>>3];if(Ba!=0.0){Rc=Ba}else{Rc=+lH(c[b+536>>2]|0,Ba,7668120,8056,+h[Qc>>3],(a[b+319|0]|0)!=0|0)}Be[A&7](11,14,1.0/Rc,29,d);Be[c[(d+8|0)>>2]&7](11,15,1.0,30,d);Be[c[(d+8|0)>>2]&7](12,9,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1856>>3],31,d);Be[c[(d+8|0)>>2]&7](12,13,1.0,32,d);Be[c[(d+8|0)>>2]&7](12,14,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1848>>3],33,d);Be[c[(d+8|0)>>2]&7](13,12,1.0,34,d);c[e+16>>2]=b;c[e+24>>2]=d;c[e+7328>>2]=0;c[e+7332>>2]=0;_setLinearMatrixA709$0(e);I=c[e+7328>>2]|0;B=c[e+7332>>2]|0;J=+g[e+7332>>2];c[e+7328>>2]=0;c[e+7332>>2]=0;if((I|0)==5){return}}function hm(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=-0.0- +h[d+2552>>3];h[a+8>>3]=+h[d+1368>>3]*+h[d+2336>>3];h[a+16>>3]=-0.0;h[a+24>>3]=-0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;h[a+64>>3]=-0.0;oaa(a+72|0,0,16)|0;h[a+88>>3]=-0.0;h[a+96>>3]=-0.0;h[a+104>>3]=-0.0;oaa(a+112|0,0,16)|0;h[a+128>>3]=-0.0;h[a+136>>3]=0.0;h[a+144>>3]=-0.0;h[a+152>>3]=-0.0;h[a+160>>3]=-0.0;h[a+168>>3]=-0.0;b=d+2632|0;h[a+176>>3]=-0.0- +h[b>>3];h[a+184>>3]=-0.0;h[a+192>>3]=+h[b>>3];h[a+200>>3]=+h[d+24>>3]*+h[d+2352>>3];return}function im(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,1.0,0,b);Be[c[d>>2]&7](0,2,-1.0,1,b);e=a+416|0;Be[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+18232>>3],2,b);Be[c[d>>2]&7](1,2,1.0,3,b);Be[c[d>>2]&7](2,0,-1.0,4,b);Be[c[d>>2]&7](2,1,+h[(c[e>>2]|0)+17992>>3],5,b);return}function jm(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+1480>>3];h[a+8>>3]=-0.0;h[a+16>>3]=+h[d+1504>>3];return}function km(a){a=a|0;c[a+20>>2]=175;c[a+16>>2]=34;c[a+12>>2]=81;c[a>>2]=126;c[a+4>>2]=164;c[a+84>>2]=184;c[a+80>>2]=3;c[a+76>>2]=6;c[a+64>>2]=132;c[a+68>>2]=18;c[a+148>>2]=307;c[a+144>>2]=6;c[a+140>>2]=12;c[a+128>>2]=160;c[a+132>>2]=168;c[a+212>>2]=440;c[a+208>>2]=26;c[a+204>>2]=63;c[a+192>>2]=140;c[a+196>>2]=130;c[a+276>>2]=454;c[a+272>>2]=3;c[a+268>>2]=6;c[a+256>>2]=82;c[a+260>>2]=106;c[a+340>>2]=562;c[a+336>>2]=34;c[a+332>>2]=81;c[a+320>>2]=92;c[a+324>>2]=102;c[a+404>>2]=582;c[a+400>>2]=3;c[a+396>>2]=6;c[a+384>>2]=66;c[a+388>>2]=104;c[a+468>>2]=676;c[a+464>>2]=6;c[a+460>>2]=12;c[a+448>>2]=90;c[a+452>>2]=8;c[a+532>>2]=709;c[a+528>>2]=26;c[a+524>>2]=63;c[a+512>>2]=12;c[a+516>>2]=54;c[a+596>>2]=737;c[a+592>>2]=3;c[a+588>>2]=6;c[a+576>>2]=74;c[a+580>>2]=166;return}function lm(a,b){a=a|0;b=b|0;return}function mm(a){a=a|0;return}function nm(a,b){a=a|0;b=b|0;c[b>>2]=c[7710384+(a<<2)>>2];return c[7710416+(a<<2)>>2]|0}function om(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0;e=b+4|0;f=b+416|0;g=b+360|0;i=(uK(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+18272>>3],a[c[g>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=i?1.0:-1.0;i=(uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[f>>2]|0)+19016>>3],a[(c[g>>2]|0)+1|0]|0)|0)<<24>>24!=0;h[d+8>>3]=i?1.0:-1.0;i=(uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[f>>2]|0)+18976>>3],a[(c[g>>2]|0)+2|0]|0)|0)<<24>>24!=0;h[d+16>>3]=i?1.0:-1.0;i=(uK(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+17032>>3],a[(c[g>>2]|0)+3|0]|0)|0)<<24>>24!=0;h[d+24>>3]=i?1.0:-1.0;i=(uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[f>>2]|0)+18064>>3],a[(c[g>>2]|0)+4|0]|0)|0)<<24>>24!=0;h[d+32>>3]=i?1.0:-1.0;i=(uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[f>>2]|0)+18024>>3],a[(c[g>>2]|0)+5|0]|0)|0)<<24>>24!=0;h[d+40>>3]=i?1.0:-1.0;i=(vK(+h[c[c[e>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[g>>2]|0)+6|0]|0)|0)<<24>>24!=0;h[d+48>>3]=i?1.0:-1.0;return 0}function pm(a){a=a|0;return c[7710416+(a<<2)>>2]|0}function qm(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0.0,j=0,k=0;e=b+4|0;f=+h[c[c[e>>2]>>2]>>3];g=b+416|0;i=+h[(c[g>>2]|0)+18272>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=f<i|0;a[(c[d>>2]|0)+1|0]=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+336>>3]<+h[(c[g>>2]|0)+19016>>3]|0;a[(c[d>>2]|0)+2|0]=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3]<+h[(c[g>>2]|0)+18976>>3]|0;a[(c[d>>2]|0)+3|0]=+h[c[c[e>>2]>>2]>>3]<+h[(c[g>>2]|0)+17032>>3]|0;a[(c[d>>2]|0)+4|0]=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1384>>3]<+h[(c[g>>2]|0)+18064>>3]|0;a[(c[d>>2]|0)+5|0]=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3]<+h[(c[g>>2]|0)+18024>>3]|0;a[(c[d>>2]|0)+6|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[b+400>>2]|0)+2648>>3]|0;return 0}else{d=b+360|0;j=uK(f,i,a[c[d>>2]|0]|0)|0;k=b+352|0;a[c[k>>2]|0]=j;j=uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[g>>2]|0)+19016>>3],a[(c[d>>2]|0)+1|0]|0)|0;a[(c[k>>2]|0)+1|0]=j;j=uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[g>>2]|0)+18976>>3],a[(c[d>>2]|0)+2|0]|0)|0;a[(c[k>>2]|0)+2|0]=j;j=uK(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+17032>>3],a[(c[d>>2]|0)+3|0]|0)|0;a[(c[k>>2]|0)+3|0]=j;j=uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[g>>2]|0)+18064>>3],a[(c[d>>2]|0)+4|0]|0)|0;a[(c[k>>2]|0)+4|0]=j;j=uK(+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[g>>2]|0)+18024>>3],a[(c[d>>2]|0)+5|0]|0)|0;a[(c[k>>2]|0)+5|0]=j;j=vK(+h[c[c[e>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[d>>2]|0)+6|0]|0)|0;a[(c[k>>2]|0)+6|0]=j;return 0}return 0}function rm(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=i;fH(8,1,7634464,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=b+4|0;g=c[c[f>>2]>>2]|0;j=a[(c[g+16>>2]|0)+4|0]|0;k=b+408|0;l=a[(c[k>>2]|0)+4|0]|0;if(j<<24>>24==l<<24>>24){m=0;n=g}else{fH(8,0,7628480,(e=i,i=i+16|0,c[e>>2]=l<<24>>24,c[e+8>>2]=j<<24>>24,e)|0);i=e;m=1;n=c[c[f>>2]>>2]|0}o=+h[(c[n+8>>2]|0)+2648>>3];p=+h[(c[b+400>>2]|0)+2648>>3];if(o!=p){fH(8,0,7622584,(e=i,i=i+16|0,h[e>>3]=p,h[e+8>>3]=o,e)|0);i=e;q=1;r=c[c[f>>2]>>2]|0}else{q=m;r=n}n=c[r+16>>2]|0;r=a[n+3|0]|0;m=c[k>>2]|0;b=a[m+3|0]|0;if(r<<24>>24==b<<24>>24){s=q;t=n;u=m}else{fH(8,0,7698440,(e=i,i=i+16|0,c[e>>2]=b<<24>>24,c[e+8>>2]=r<<24>>24,e)|0);i=e;s=1;t=c[(c[c[f>>2]>>2]|0)+16>>2]|0;u=c[k>>2]|0}r=a[t+2|0]|0;b=a[u+2|0]|0;if(r<<24>>24==b<<24>>24){v=s;w=t;x=u}else{fH(8,0,7693880,(e=i,i=i+16|0,c[e>>2]=b<<24>>24,c[e+8>>2]=r<<24>>24,e)|0);i=e;v=1;w=c[(c[c[f>>2]>>2]|0)+16>>2]|0;x=c[k>>2]|0}r=a[w+1|0]|0;b=a[x+1|0]|0;if(r<<24>>24==b<<24>>24){y=v;z=w;A=x}else{fH(8,0,7690224,(e=i,i=i+16|0,c[e>>2]=b<<24>>24,c[e+8>>2]=r<<24>>24,e)|0);i=e;y=1;z=c[(c[c[f>>2]>>2]|0)+16>>2]|0;A=c[k>>2]|0}k=a[z]|0;z=a[A]|0;if(k<<24>>24==z<<24>>24){B=y}else{fH(8,0,7688016,(e=i,i=i+16|0,c[e>>2]=z<<24>>24,c[e+8>>2]=k<<24>>24,e)|0);i=e;B=1}if((c[1928874]|0)==0){i=d;return B|0}he[c[3556]&511](8);i=d;return B|0}function sm(a){a=a|0;return c[7710448+(a<<2)>>2]|0}function tm(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=c[b+424>>2]|0;if((a[j+27|0]|0)==0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+3064>>3]=1.0;k=1.0;l=b+536|0;m=b+320|0}else{n=b+536|0;o=b+320|0;Ti(e,c[n>>2]|0,c[c[o>>2]>>2]|0,0,a[j+28|0]|0);p=+h[e>>3];h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+3064>>3]=p;k=p;l=n;m=o}o=b+4|0;Si(f,c[l>>2]|0,c[c[m>>2]>>2]|0,k);b=c[(c[c[o>>2]>>2]|0)+8>>2]|0;h[b+3056>>3]=+h[f>>3];Qi(g,c[l>>2]|0,c[c[m>>2]>>2]|0,+h[b+3064>>3]);h[(c[(c[c[o>>2]>>2]|0)+8>>2]|0)+3048>>3]=+h[g>>3];i=d;return}function um(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0;d=i;fH(21,1,7647576,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=a+4|0;g=a+8|0;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+2048>>3]- +h[(c[g>>2]|0)+28768>>3];h[b>>3]=j;k=sm(0)|0;fH(21,0,7640304,(e=i,i=i+24|0,c[e>>2]=1,c[e+8>>2]=k,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+800>>3]- +h[(c[g>>2]|0)+11296>>3];h[b+8>>3]=j;g=sm(1)|0;fH(21,0,7640304,(e=i,i=i+24|0,c[e>>2]=2,c[e+8>>2]=g,h[e+16>>3]=j,e)|0);i=e;tm(a);g=a+416|0;j=+h[(c[g>>2]|0)+19216>>3]- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3064>>3];h[b+16>>3]=j;a=sm(2)|0;fH(21,0,7640304,(e=i,i=i+24|0,c[e>>2]=3,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[g>>2]|0)+19200>>3]- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3056>>3];h[b+24>>3]=j;a=sm(3)|0;fH(21,0,7640304,(e=i,i=i+24|0,c[e>>2]=4,c[e+8>>2]=a,h[e+16>>3]=j,e)|0);i=e;j=+h[(c[g>>2]|0)+19208>>3]- +h[(c[(c[c[f>>2]>>2]|0)+8>>2]|0)+3048>>3];h[b+32>>3]=j;b=sm(4)|0;fH(21,0,7640304,(e=i,i=i+24|0,c[e>>2]=5,c[e+8>>2]=b,h[e+16>>3]=j,e)|0);i=e;if((c[1928887]|0)==0){i=d;return 0}he[c[3556]&511](21);i=d;return 0}function vm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19168>>3]=+h[b+18400>>3]+ +h[b+18352>>3];return}function wm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19160>>3]=+h[b+18400>>3];return}function xm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19152>>3]=+h[b+18328>>3];return}function ym(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19088>>3]=(+h[b+18400>>3]+.0015)*6.283185307179586;return}function zm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19064>>3]=+h[b+18400>>3];return}function Am(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+19064>>3];e=+h[b+19056>>3];h[b+19072>>3]=(d*d-e*e)*3.141592653589793;return}function Bm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18936>>3]=+h[b+18880>>3];return}function Cm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18928>>3]=+h[b+18432>>3];return}function Dm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19040>>3]=+h[b+18928>>3];return}function Em(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18920>>3]=+h[b+18440>>3];return}function Fm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19032>>3]=+h[b+18920>>3];return}function Gm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18904>>3]=+h[b+18424>>3];return}function Hm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18968>>3]=+h[b+18904>>3];return}function Im(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19008>>3]=+h[b+18904>>3];return}function Jm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18896>>3]=+h[b+18416>>3];return}function Km(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18960>>3]=+h[b+18896>>3];return}function Lm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19e3>>3]=+h[b+18896>>3];return}function Mm(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+18400>>3];h[b+18888>>3]=+h[b+18448>>3]*d*d*+h[b+18408>>3]*3.141592653589793;return}function Nm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18944>>3]=+h[b+18888>>3];return}function Om(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18872>>3]=+h[b+18400>>3];return}function Pm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18856>>3]=+h[b+18320>>3]+((+h[b+18328>>3]+ +h[b+18344>>3])*-.5+((+h[b+18440>>3]+ +h[b+18432>>3])*-.5- +h[b+18336>>3]));return}function Qm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18848>>3]=+h[b+18392>>3];return}function Rm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18840>>3]=+h[b+18384>>3];return}function Sm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18832>>3]=+h[b+18376>>3];return}function Tm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18824>>3]=+h[b+18368>>3];return}function Um(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18816>>3]=+h[b+18360>>3];return}function Vm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18792>>3]=+h[b+18400>>3]*6.283185307179586;return}function Wm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18784>>3]=(+h[b+18400>>3]+ +h[b+18352>>3]*.5)*6.283185307179586;return}function Xm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18776>>3]=+h[b+18400>>3];return}function Ym(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18760>>3]=+h[b+18336>>3];return}function Zm(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18752>>3]=+h[b+18392>>3];return}function _m(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18744>>3]=+h[b+18384>>3];return}function $m(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18736>>3]=+h[b+18376>>3];return}function an(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18728>>3]=+h[b+18368>>3];return}function bn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18720>>3]=+h[b+18360>>3];return}function cn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18704>>3]=+h[b+18312>>3];return}function dn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18696>>3]=+h[b+18400>>3];return}function en(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18688>>3]=+h[b+18344>>3];return}function fn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18680>>3]=+h[b+18392>>3];return}function gn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18672>>3]=+h[b+18384>>3];return}function hn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18664>>3]=+h[b+18376>>3];return}function jn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18656>>3]=+h[b+18368>>3];return}function kn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18648>>3]=+h[b+18360>>3];return}function ln(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18632>>3]=+h[b+18312>>3];return}function mn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18624>>3]=+h[b+18400>>3]+ +h[b+18352>>3];return}function nn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18616>>3]=+h[b+18328>>3];return}function on(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18608>>3]=+h[b+18392>>3];return}function pn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18600>>3]=+h[b+18384>>3];return}function qn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18592>>3]=+h[b+18376>>3];return}function rn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18584>>3]=+h[b+18368>>3];return}function sn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18576>>3]=+h[b+18360>>3];return}function tn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18560>>3]=+h[b+18304>>3];return}function un(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18552>>3]=+h[b+18312>>3];return}function vn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18544>>3]=+h[b+18320>>3]+(+h[b+18344>>3]+ +h[b+18328>>3])*-.5;return}function wn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18536>>3]=+h[b+18392>>3];return}function xn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18528>>3]=+h[b+18384>>3];return}function yn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18520>>3]=+h[b+18376>>3];return}function zn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18512>>3]=+h[b+18368>>3];return}function An(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18504>>3]=+h[b+18360>>3];return}function Bn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18488>>3]=+h[b+18296>>3];return}function Cn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18480>>3]=+h[b+18464>>3];return}function Dn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18456>>3]=+h[b+18288>>3];return}function En(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18272>>3]=+h[b+18248>>3];return}function Fn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18264>>3]=+h[b+18240>>3];return}function Gn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18256>>3]=+h[b+16992>>3];return}function Hn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18280>>3]=+h[b+18256>>3];return}function In(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3016>>3]=+h[b+19152>>3]*(+h[b+19168>>3]+ +h[b+19160>>3])*3.141592653589793;return}function Jn(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18872>>3];e=+h[b+18864>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2992>>3]=(d*d-e*e)*3.141592653589793;return}function Kn(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0,j=0.0;b=i;d=a+416|0;e=c[d>>2]|0;f=+h[e+18800>>3]+1.0;if(f>0.0){g=e}else{Ce[c[2178]&63](c[a+536>>2]|0,7712240,7628208,(e=i,i=i+8|0,h[e>>3]=f,e)|0);i=e;g=c[d>>2]|0}j=+h[g+18792>>3]*+ea(f)*8.000000000000001e-7;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2984>>3]=j;i=b;return}function Ln(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2976>>3]=+h[(c[a+416>>2]|0)+18784>>3]*6.53451271946677e-7;return}function Mn(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18776>>3];e=+h[b+18768>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2968>>3]=(d*d-e*e)*3.141592653589793;return}function Nn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2960>>3]=+h[b+18688>>3]*(+h[b+18704>>3]+ +h[b+18696>>3])*3.141592653589793;return}function On(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2952>>3]=+h[b+18616>>3]*(+h[b+18632>>3]+ +h[b+18624>>3])*3.141592653589793;return}function Pn(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18560>>3];e=+h[b+18552>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2944>>3]=(d*d-e*e)*3.141592653589793;return}function Qn(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2928>>3]=+h[b+18456>>3]*(+h[b+18472>>3]*(+h[b+18480>>3]- +h[b+18464>>3])+1.0);return}function Rn(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2976>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2920|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7622376,7711184,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2920|0;h[l>>3]=k;return}function Sn(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2984>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2912|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7698408,7711176,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2912|0;h[l>>3]=k;return}function Tn(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+19160>>3];j=+h[f+19168>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7693744,7711168,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7689992,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+19104>>3];j=+ea(k);k=+h[f+19152>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7687840,7711168,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2904>>3]=g*l*7895683520871486.0e-21;i=d;return}function Un(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2904>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2888|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7686480,7711160,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2888|0;h[l>>3]=k;return}function Vn(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+416|0;j=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+416|0;g=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+416|0;g=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3])|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+416|0;f=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3])|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+18264>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+856|0;h[s>>3]=m;return}l=+h[i+18280>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+856|0;h[s>>3]=m;return}function Wn(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+800>>3]=0.0;return}function Xn(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+2928>>3]*+h[b+800>>3];return}function Yn(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+808>>3]=+h[b+856>>3]- +h[b+832>>3];return}function Zn(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+18488>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+808>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+1160|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+1160|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7685104,7711112,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1160|0;h[m>>3]=k;return}function _n(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2992>>3];i=+h[f+1160>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+976|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+976|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7684008,7711104,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+976|0;h[m>>3]=k;return}function $n(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+824>>3]=+h[b+832>>3]*+h[b+800>>3];return}function ao(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+792>>3]=+h[b+800>>3]*+h[(c[a+416>>2]|0)+18488>>3];return}function bo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+16>>3]=+h[(c[a+416>>2]|0)+18440>>3];return}function co(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[a+416>>2]|0;d=+h[b+19048>>3];e=+h[b+19072>>3];b=a+4|0;f=+EI(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+16>>3],-2);h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+280>>3]=d*e*f*+(c[(c[a+420>>2]|0)+48>>2]|0)*-1256637061435917.0e-21;return}function eo(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=+h[(c[e+8>>2]|0)+16>>3];g=b+416|0;i=c[g>>2]|0;j=+h[i+19088>>3];k=+h[i+19096>>3];l=f*f;do{if(f!=0.0){m=k/f}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,f,7682928,7711080,+h[e>>3],(a[b+319|0]|0)!=0|0)}}while(0);e=c[(c[b+420>>2]|0)+52>>2]|0;f=+(e|0);if(l*(m*3.141592653589793+1.0)!=0.0){i=c[c[d>>2]>>2]|0;m=+h[(c[i+8>>2]|0)+16>>3];n=+h[(c[g>>2]|0)+19096>>3];do{if(m!=0.0){o=n/m}else{if(n==0.0){o=n;break}o=n/+lH(c[b+536>>2]|0,m,7682928,7711080,+h[i>>3],(a[b+319|0]|0)!=0|0)}}while(0);p=f/(l*(o*3.141592653589793+1.0));q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}if((e|0)==0){p=f;q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}e=c[b+536>>2]|0;i=c[c[d>>2]>>2]|0;o=+h[(c[i+8>>2]|0)+16>>3];m=+h[(c[g>>2]|0)+19096>>3];do{if(o!=0.0){y=m/o;z=i}else{if(m==0.0){y=m;z=i;break}n=m/+lH(e,o,7682928,7711080,+h[i>>3],(a[b+319|0]|0)!=0|0);y=n;z=c[c[d>>2]>>2]|0}}while(0);p=f/+lH(e,l*(y*3.141592653589793+1.0),7681976,7711080,+h[z>>3],(a[b+319|0]|0)!=0|0);q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}function fo(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0.0,l=0.0;d=i;e=b+4|0;f=c[c[e>>2]>>2]|0;g=+h[(c[f+8>>2]|0)+16>>3];j=b+416|0;k=+h[(c[j>>2]|0)+19096>>3];do{if(g!=0.0){l=k/g}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,g,7682928,7711072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);g=l*3.141592653589793+1.0;if(!(g>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7681200,(b=i,i=i+8|0,h[b>>3]=g,b)|0);i=b}l=+h[(c[j>>2]|0)+19088>>3]*+ea(g)*4.0e-7;h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3]=l;i=d;return}function go(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+232>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+240|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7680312,7711048,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+240|0;h[l>>3]=k;return}function ho(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+19048>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+16>>3];k=+h[d+19072>>3];do{if(j!=0.0){l=k/j;m=i}else{if(k==0.0){l=k;m=i;break}n=k/+lH(c[b+536>>2]|0,j,7682928,7711040,+h[g>>3],(a[b+319|0]|0)!=0|0);l=n;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0}}while(0);h[m+288>>3]=e*l*1256637061435917.0e-21;return}function io(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+288>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+296|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7679008,7711032,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+296|0;h[l>>3]=k;return}function jo(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+44>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+520>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+520|0;h[c[f+48>>2]>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+520>>3]);d=c[e>>2]|0;h[c[d+52>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+216>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+216|0;h[(c[d+48>>2]|0)+8>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+216>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+312>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+312|0;h[(c[g+48>>2]|0)+16>>3]=+h[d>>3];i=+YK(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+312>>3]);f=c[e>>2]|0;h[(c[f+52>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+44>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+784>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+784|0;h[(c[f+48>>2]|0)+24>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+784>>3]);d=c[e>>2]|0;h[(c[d+52>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+44>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+488>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+488|0;h[(c[d+48>>2]|0)+32>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+488>>3]);g=c[e>>2]|0;h[(c[g+52>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+44>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+696>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+696|0;h[(c[g+48>>2]|0)+40>>3]=+h[d>>3];i=+YK(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+696>>3]);h[(c[(c[e>>2]|0)+52>>2]|0)+40>>3]=i;WK(a,0)|0;f=c[(c[e>>2]|0)+44>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+520>>3]=+h[f>>3];h[e+216>>3]=+h[f+8>>3];h[e+312>>3]=+h[f+16>>3];h[e+784>>3]=+h[f+24>>3];h[e+488>>3]=+h[f+32>>3];h[e+696>>3]=+h[f+40>>3];Yi(a);Zi(a);_i(a);$i(a);aj(a);bj(a);cj(a);dj(a);ej(a);fj(a);gj(a);hj(a);ij(a);jj(a);kj(a);lj(a);mj(a);nj(a);oj(a);pj(a);qj(a);rj(a);sj(a);tj(a);uj(a);vj(a);wj(a);xj(a);yj(a);zj(a);Aj(a);Bj(a);Cj(a);Dj(a);return}function ko(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+320>>3];h[b+304>>3]=d*d*+h[b+280>>3]*.5;return}function lo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3016>>3];i=+h[f+216>>3];if(g!=0.0){j=i/g;k=f;l=k+208|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+208|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7678104,7712824,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+208|0;h[l>>3]=j;return}function mo(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+19104>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+208>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7676848,7712816,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function no(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3]*1256637061435917.0e-21;i=+h[f+560>>3];if(g!=0.0){j=i/g;k=f;l=k+552|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+552|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7675624,7712808,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+552|0;h[l>>3]=j;return}function oo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+600>>3]*1256637061435917.0e-21;i=+h[f+616>>3];if(g!=0.0){j=i/g;k=f;l=k+608|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+608|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7674576,7712800,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+608|0;h[l>>3]=j;return}function po(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+656>>3]*1256637061435917.0e-21;i=+h[f+672>>3];if(g!=0.0){j=i/g;k=f;l=k+664|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+664|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7673440,7712792,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+664|0;h[l>>3]=j;return}function qo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3]*1256637061435917.0e-21;i=+h[f+736>>3];if(g!=0.0){j=i/g;k=f;l=k+728|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+728|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7672400,7712784,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+728|0;h[l>>3]=j;return}function ro(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+18824>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+488>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+488>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+488>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+488>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+488>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+488>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7671520,7712776,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+18840>>3];p=+h[g+18824>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+488>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7671520,7712776,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+18824>>3];x=B;y=C;z=+h[C+488>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7671520,7712776,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+18824>>3];I=+h[g+488>>3]}}while(0);w=+V(+D);D=+h[E+18848>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+18832>>3];p=+h[G+976>>3];G=H!=0.0;u=+h[E+18840>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7671520,7712776,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+18824>>3];O=y;P=+h[(c[y+8>>2]|0)+488>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7671520,7712776,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+18824>>3];T=x;U=+h[(c[x+8>>2]|0)+488>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+18848>>3]))+1.0==0.0;o=+h[R+18840>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7671520,7712776,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+18824>>3];_=v;$=+h[(c[v+8>>2]|0)+488>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7671520,7712776,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+18848>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7671520,7712776,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+18824>>3];fa=x;ga=+h[(c[x+8>>2]|0)+488>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7671520,7712776,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+18824>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+18848>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7671520,7712776,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+18816>>3];ha=+h[K+18832>>3];ea=+h[K+18824>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+488>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7671520,7712776,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+18824>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+18840>>3];ha=+h[pa+976>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7671520,7712776,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+18824>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+488>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7671520,7712776,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+18824>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+18848>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+976>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7671520,7712776,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7671520,7712776,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+18824>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+488>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7671520,7712776,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+18824>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+488>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+18848>>3]))+1.0==0.0;r=+h[Pa+18840>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7671520,7712776,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+18824>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+488>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7671520,7712776,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+18848>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7671520,7712776,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+18824>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+488>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7671520,7712776,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+18824>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+18848>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7671520,7712776,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+18816>>3];p=+h[Ia+18832>>3];z=+h[Ia+18824>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+488>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7671520,7712776,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+18824>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+18840>>3];p=+h[lb+976>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7671520,7712776,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+18824>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+488>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7671520,7712776,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+18824>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+18848>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+976>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7671520,7712776,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+976>>3];Bb=+h[pb+18824>>3]}}while(0);tb=+h[xb+18832>>3];ub=Bb!=0.0;ob=+h[xb+18840>>3];hb=+h[zb+488>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+18848>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7671520,7712776,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+18824>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+488>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7671520,7712776,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+18824>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+488>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+18848>>3]))+1.0==0.0;Aa=+h[Kb+18840>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7671520,7712776,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+18824>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+488>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7671520,7712776,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+18848>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7671520,7712776,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+18824>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+488>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7671520,7712776,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+18824>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+18848>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7671520,7712776,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+18816>>3];_b=+h[Db+18832>>3];Xb=+h[Db+18824>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+488>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7671520,7712776,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+18824>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+18840>>3];_b=+h[gc+976>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7671520,7712776,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+18824>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+488>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7671520,7712776,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+18824>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+18848>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+976>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7671520,7712776,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+18848>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7671520,7712776,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+18824>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+488>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7671520,7712776,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+18824>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+488>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+18848>>3]))+1.0==0.0;wb=+h[Ac+18840>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7671520,7712776,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+18824>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+488>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7671520,7712776,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+18848>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7671520,7712776,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+18824>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+488>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7671520,7712776,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+18824>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+18848>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7671520,7712776,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+18816>>3];Ab=+h[tc+18832>>3];k=+h[tc+18824>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+488>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7671520,7712776,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+18824>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+18840>>3];Ab=+h[Yc+976>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7671520,7712776,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+18824>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+488>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7671520,7712776,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+18824>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+18848>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+976>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7671520,7712776,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7670136,7712776,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}}function so(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1120>>3];i=+h[(c[b+416>>2]|0)+18856>>3];j=+h[f+2992>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7669088,7712768,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+968>>3]=g*k*1256637061435917.0e-21;return}function to(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+496>>3];i=g*g;g=+h[f+968>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+960|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+960|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7667936,7712760,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+960|0;h[m>>3]=k;return}function uo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+472>>3]*1256637061435917.0e-21;i=+h[f+488>>3];if(g!=0.0){j=i/g;k=f;l=k+480|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+480|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7666424,7712752,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+480|0;h[l>>3]=j;return}function vo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1112>>3]=+h[b+960>>3]*(-0.0- +h[b+784>>3])+ +h[b+504>>3]*(-0.0- +h[b+1160>>3]);return}function wo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[(c[a+416>>2]|0)+18488>>3]*+h[b+784>>3];return}function xo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+800>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+776>>3]*1.0e13;j=g}else{k=+h[g+800>>3];l=+h[g+776>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7664880,7712744,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+768>>3]=+V(+i);return}function yo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+848>>3]=+h[b+784>>3]- +h[b+216>>3]- +h[b+520>>3]- +h[b+528>>3];return}function zo(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+19072>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+312>>3];if(d!=0.0){j=i/d;k=g;l=k+272|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+272|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7663816,7712736,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+272|0;h[l>>3]=j;return}function Ao(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+256>>3];h[b+248>>3]=d*d*+h[b+224>>3]*.5;return}function Bo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+464>>3]=+h[b+248>>3]+ +h[b+304>>3];return}function Co(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+440>>3]=+h[b+16>>3]+ +h[(c[a+416>>2]|0)+18936>>3]*-.5;return}function Do(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+440>>3]+ +h[(c[a+416>>2]|0)+18936>>3]*-.5;return}function Eo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+336>>3]=+h[b+264>>3]- +h[(c[a+416>>2]|0)+19040>>3];return}function Fo(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;e=i;break}}}}while(0);a[c[(c[c[e>>2]>>2]|0)+16>>2]|0]=d;return}function Go(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[c[d+16>>2]|0]|0)==0){f=0.0;g=e+360|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+336>>3]- +h[d+19016>>3]));f=i*i*(-0.0- +h[d+19e3>>3]);g=e+360|0;h[g>>3]=f;return}function Ho(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+384>>3]=+h[(c[a+416>>2]|0)+19032>>3]- +h[b+16>>3];return}function Io(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+1|0]=d;return}function Jo(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+1|0]|0)==0){f=0.0;g=e+416|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+384>>3]- +h[d+18976>>3]));f=i*i*(-0.0- +h[d+18960>>3]);g=e+416|0;h[g>>3]=f;return}function Ko(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+16>>3]+ +h[(c[a+416>>2]|0)+19176>>3]*.5;return}function Lo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+176>>3]+ +h[(c[a+416>>2]|0)+19176>>3]*.5;return}function Mo(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=0.0;return}function No(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[c[d+16>>2]|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+352|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+19008>>3]*+h[i+8>>3];f=i;g=f+352|0;h[g>>3]=e;return}}function Oo(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[c[b+16>>2]|0]|0)==0){f=0.0;g=e;i=g+344|0;h[i>>3]=f;return}b=(wK(+h[e+352>>3],+h[e+360>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+360>>3];g=e;i=g+344|0;h[i>>3]=f;return}b=(yK(+h[e+352>>3],-0.0- +h[e+360>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+352>>3];g=e;i=g+344|0;h[i>>3]=f;return}else{f=-0.0- +h[e+360>>3];g=e;i=g+344|0;h[i>>3]=f;return}}function Po(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+344>>3]*+h[b+8>>3];return}function Qo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b+360>>3]+ +h[b+344>>3];return}function Ro(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+456>>3]=+h[b+464>>3]- +h[b+376>>3];return}function So(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+88>>3]=+h[b+8>>3];return}function To(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+16>>3];i=c[b+416>>2]|0;j=+h[i+19048>>3];k=-0.0- +h[i+19072>>3];l=g*g;g=+h[f+88>>3];do{if(l!=0.0){m=g/l;n=f}else{if(g==0.0){m=g;n=f;break}o=g/+lH(c[b+536>>2]|0,l,7662840,7712728,+h[e>>3],(a[b+319|0]|0)!=0|0);m=o;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[n+992>>3]=j*m*k*1256637061435917.0e-21;return}function Uo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+288>>3];i=g*g;g=+h[f+992>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+984|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+984|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7661736,7712720,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+984|0;h[m>>3]=k;return}function Vo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+16>>3];i=b+416|0;j=c[i>>2]|0;k=+h[j+19088>>3];l=+h[j+19096>>3];m=-0.0-l;n=g*g;do{if(g!=0.0){o=l/g;p=e;q=f}else{if(l==0.0){o=l;p=e;q=f;break}r=l/+lH(c[b+536>>2]|0,g,7682928,7712712,+h[e>>3],(a[b+319|0]|0)!=0|0);j=c[c[d>>2]>>2]|0;o=r;p=j;q=c[j+8>>2]|0}}while(0);g=+h[q+88>>3];if(n*(o*3.141592653589793+1.0)!=0.0){o=+h[q+16>>3];l=+h[(c[i>>2]|0)+19096>>3];do{if(o!=0.0){s=l/o}else{if(l==0.0){s=l;break}s=l/+lH(c[b+536>>2]|0,o,7682928,7712712,+h[p>>3],(a[b+319|0]|0)!=0|0)}}while(0);t=g/(n*(s*3.141592653589793+1.0));u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}if(g==0.0){t=g;u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}e=c[b+536>>2]|0;s=+h[q+16>>3];o=+h[(c[i>>2]|0)+19096>>3];do{if(s!=0.0){C=o/s;D=p}else{if(o==0.0){C=o;D=p;break}l=o/+lH(e,s,7682928,7712712,+h[p>>3],(a[b+319|0]|0)!=0|0);C=l;D=c[c[d>>2]>>2]|0}}while(0);t=g/+lH(e,n*(C*3.141592653589793+1.0),7681976,7712712,+h[D>>3],(a[b+319|0]|0)!=0|0);u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}function Wo(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+232>>3];i=g*g;g=+h[f+1008>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+1e3|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+1e3|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7660680,7712704,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1e3|0;h[m>>3]=k;return}function Xo(a){a=a|0;var b=0,d=0;MK(a,0)|0;b=c[(c[a+476>>2]|0)+28>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1048>>3]=+h[b>>3];h[d+864>>3]=+h[b+8>>3];h[d+872>>3]=+h[b+16>>3];h[d+1056>>3]=+h[b+24>>3];h[d+880>>3]=+h[b+32>>3];h[d+1064>>3]=+h[b+40>>3];h[d+888>>3]=+h[b+48>>3];h[d+896>>3]=+h[b+56>>3];h[d+1072>>3]=+h[b+64>>3];h[d+904>>3]=+h[b+72>>3];h[d+1080>>3]=+h[b+80>>3];h[d+912>>3]=+h[b+88>>3];h[d+920>>3]=+h[b+96>>3];h[d+1088>>3]=+h[b+104>>3];h[d+928>>3]=+h[b+112>>3];h[d+1032>>3]=+h[b+120>>3];h[d+1024>>3]=+h[b+128>>3];h[d+1016>>3]=+h[b+136>>3];h[d+1176>>3]=+h[b+144>>3];h[d+1168>>3]=+h[b+152>>3];h[d+1200>>3]=+h[b+160>>3];h[d+1192>>3]=+h[b+168>>3];h[d+1128>>3]=+h[b+176>>3];h[d+1184>>3]=+h[b+184>>3];h[d+72>>3]=+h[b+192>>3];h[d+1208>>3]=+h[b+200>>3];h[d+952>>3]=+h[b+208>>3];h[d+1104>>3]=+h[b+216>>3];h[d+944>>3]=+h[b+224>>3];h[d+936>>3]=+h[b+232>>3];h[d+1096>>3]=+h[b+240>>3];h[d+1152>>3]=+h[b+248>>3];h[d+1144>>3]=+h[b+256>>3];h[d+1136>>3]=+h[b+264>>3];return}function Yo(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1040>>3]=+h[b+1144>>3]+ +h[b+1112>>3];return}function Zo(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18488>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1040>>3];if(d!=0.0){j=i/d;k=g;l=k+1216|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1216|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7685104,7712696,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1216|0;h[l>>3]=j;return}function _o(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+88>>3];return}function $o(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+392>>3]=-0.0- +h[b+88>>3];return}function ap(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+1|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+408|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18968>>3]*+h[i+392>>3];f=i;g=f+408|0;h[g>>3]=e;return}}function bp(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+1|0]|0)==0){f=0.0;g=e;i=g+400|0;h[i>>3]=f;return}b=(wK(+h[e+408>>3],+h[e+416>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+416>>3];g=e;i=g+400|0;h[i>>3]=f;return}b=(yK(+h[e+408>>3],-0.0- +h[e+416>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+408>>3];g=e;i=g+400|0;h[i>>3]=f;return}else{f=-0.0- +h[e+416>>3];g=e;i=g+400|0;h[i>>3]=f;return}}function cp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+424>>3]=+h[b+400>>3]*+h[b+392>>3];return}function dp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=+h[b+416>>3]+ +h[b+400>>3];return}function ep(a){a=a|0;var b=0,d=0;MK(a,1)|0;b=c[(c[a+476>>2]|0)+92>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+448>>3]=+h[b>>3];h[d+184>>3]=+h[b+8>>3];h[d+840>>3]=+h[b+16>>3];return}function fp(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+80>>3]=+h[b+184>>3];return}function gp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18216>>3]=+h[b+17176>>3]+ +h[b+17128>>3];return}function hp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18208>>3]=+h[b+17176>>3];return}function ip(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18200>>3]=+h[b+17104>>3];return}function jp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18136>>3]=(+h[b+17176>>3]+.0015)*6.283185307179586;return}function kp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18112>>3]=+h[b+17176>>3];return}function lp(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18112>>3];e=+h[b+18104>>3];h[b+18120>>3]=(d*d-e*e)*3.141592653589793;return}function mp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17984>>3]=+h[b+17928>>3];return}function np(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17976>>3]=+h[b+17208>>3];return}function op(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18088>>3]=+h[b+17976>>3];return}function pp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17968>>3]=+h[b+17216>>3];return}function qp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18080>>3]=+h[b+17968>>3];return}function rp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17952>>3]=+h[b+17200>>3];return}function sp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18016>>3]=+h[b+17952>>3];return}function tp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18056>>3]=+h[b+17952>>3];return}function up(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17944>>3]=+h[b+17192>>3];return}function vp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18008>>3]=+h[b+17944>>3];return}function wp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18048>>3]=+h[b+17944>>3];return}function xp(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+17176>>3];h[b+17936>>3]=+h[b+17224>>3]*d*d*+h[b+17184>>3]*3.141592653589793;return}function yp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17992>>3]=+h[b+17936>>3];return}function zp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17920>>3]=+h[b+17176>>3];return}function Ap(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17904>>3]=+h[b+17096>>3]+((+h[b+17104>>3]+ +h[b+17120>>3])*-.5+((+h[b+17216>>3]+ +h[b+17208>>3])*-.5- +h[b+17112>>3]));return}function Bp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17896>>3]=+h[b+17168>>3];return}function Cp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17888>>3]=+h[b+17160>>3];return}function Dp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17880>>3]=+h[b+17152>>3];return}function Ep(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17872>>3]=+h[b+17144>>3];return}function Fp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17864>>3]=+h[b+17136>>3];return}function Gp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17848>>3]=(+h[b+17176>>3]+ +h[b+17128>>3]*.5)*6.283185307179586;return}function Hp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17840>>3]=+h[b+17088>>3];return}function Ip(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17832>>3]=+h[b+17176>>3];return}function Jp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17824>>3]=+h[b+17096>>3]*.25;return}function Kp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17760>>3]=+h[b+17176>>3]*6.283185307179586;return}function Lp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17752>>3]=(+h[b+17176>>3]+ +h[b+17128>>3]*.5)*6.283185307179586;return}function Mp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17744>>3]=+h[b+17176>>3];return}function Np(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17728>>3]=+h[b+17112>>3];return}function Op(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17720>>3]=+h[b+17168>>3];return}function Pp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17712>>3]=+h[b+17160>>3];return}function Qp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17704>>3]=+h[b+17152>>3];return}function Rp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17696>>3]=+h[b+17144>>3];return}function Sp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17688>>3]=+h[b+17136>>3];return}function Tp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17672>>3]=+h[b+17088>>3];return}function Up(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17664>>3]=+h[b+17176>>3];return}function Vp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17656>>3]=+h[b+17120>>3];return}function Wp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17648>>3]=+h[b+17168>>3];return}function Xp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17640>>3]=+h[b+17160>>3];return}function Yp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17632>>3]=+h[b+17152>>3];return}function Zp(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17624>>3]=+h[b+17144>>3];return}function _p(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17616>>3]=+h[b+17136>>3];return}function $p(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17600>>3]=+h[b+17088>>3];return}function aq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17592>>3]=+h[b+17176>>3]+ +h[b+17128>>3];return}function bq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17584>>3]=+h[b+17104>>3];return}function cq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17576>>3]=+h[b+17168>>3];return}function dq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17568>>3]=+h[b+17160>>3];return}function eq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17560>>3]=+h[b+17152>>3];return}function fq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17552>>3]=+h[b+17144>>3];return}function gq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17544>>3]=+h[b+17136>>3];return}function hq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17528>>3]=+h[b+17080>>3];return}function iq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17520>>3]=+h[b+17088>>3];return}function jq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17512>>3]=(+h[b+17096>>3]- +h[b+17104>>3])*.5;return}function kq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17504>>3]=+h[b+17168>>3];return}function lq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17496>>3]=+h[b+17160>>3];return}function mq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17488>>3]=+h[b+17152>>3];return}function nq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17480>>3]=+h[b+17144>>3];return}function oq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17472>>3]=+h[b+17136>>3];return}function pq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17456>>3]=+h[b+17080>>3];return}function qq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17448>>3]=+h[b+17088>>3];return}function rq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17440>>3]=(+h[b+17096>>3]- +h[b+17120>>3])*.5;return}function sq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17432>>3]=+h[b+17168>>3];return}function tq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17424>>3]=+h[b+17160>>3];return}function uq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17416>>3]=+h[b+17152>>3];return}function vq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17408>>3]=+h[b+17144>>3];return}function wq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17400>>3]=+h[b+17136>>3];return}function xq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17384>>3]=+h[b+17072>>3];return}function yq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17376>>3]=+h[b+17072>>3];return}function zq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17368>>3]=+h[b+17352>>3];return}function Aq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17344>>3]=+h[b+17064>>3];return}function Bq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17336>>3]=+h[b+17320>>3];return}function Cq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17312>>3]=+h[b+17064>>3];return}function Dq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17304>>3]=+h[b+17288>>3];return}function Eq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17280>>3]=+h[b+17056>>3];return}function Fq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17272>>3]=+h[b+17256>>3];return}function Gq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17248>>3]=+h[b+17056>>3];return}function Hq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17240>>3]=+h[b+17048>>3]*.5;return}function Iq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17232>>3]=+h[b+17048>>3]*.5;return}function Jq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17032>>3]=+h[b+17008>>3];return}function Kq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17024>>3]=+h[b+17e3>>3];return}function Lq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17016>>3]=+h[b+16992>>3];return}function Mq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17040>>3]=+h[b+17016>>3];return}function Nq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2856>>3]=+h[b+18200>>3]*(+h[b+18216>>3]+ +h[b+18208>>3])*3.141592653589793;return}function Oq(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17920>>3];e=+h[b+17912>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2832>>3]=(d*d-e*e)*3.141592653589793;return}function Pq(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2824>>3]=+h[(c[a+416>>2]|0)+17848>>3]*6.53451271946677e-7;return}function Qq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2816>>3]=+h[b+17824>>3]*(+h[b+17840>>3]+ +h[b+17832>>3])*3.141592653589793;return}function Rq(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0,j=0.0;b=i;d=a+416|0;e=c[d>>2]|0;f=+h[e+17768>>3]+1.0;if(f>0.0){g=e}else{Ce[c[2178]&63](c[a+536>>2]|0,7712240,7659760,(e=i,i=i+8|0,h[e>>3]=f,e)|0);i=e;g=c[d>>2]|0}j=+h[g+17760>>3]*+ea(f)*8.000000000000001e-7;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2808>>3]=j;i=b;return}function Sq(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2800>>3]=+h[(c[a+416>>2]|0)+17752>>3]*6.53451271946677e-7;return}function Tq(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17744>>3];e=+h[b+17736>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2792>>3]=(d*d-e*e)*3.141592653589793;return}function Uq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2784>>3]=+h[b+17656>>3]*(+h[b+17672>>3]+ +h[b+17664>>3])*3.141592653589793;return}function Vq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2776>>3]=+h[b+17584>>3]*(+h[b+17600>>3]+ +h[b+17592>>3])*3.141592653589793;return}function Wq(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17528>>3];e=+h[b+17520>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2768>>3]=(d*d-e*e)*3.141592653589793;return}function Xq(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17456>>3];e=+h[b+17448>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2760>>3]=(d*d-e*e)*3.141592653589793;return}function Yq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2736>>3]=+h[b+17248>>3]*(+h[b+17264>>3]*(+h[b+17272>>3]- +h[b+17256>>3])+1.0);return}function Zq(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2728>>3]=+h[b+17280>>3]*(+h[b+17296>>3]*(+h[b+17304>>3]- +h[b+17288>>3])+1.0);return}function _q(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2720>>3]=+h[b+17312>>3]*(+h[b+17328>>3]*(+h[b+17336>>3]- +h[b+17320>>3])+1.0);return}function $q(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2712>>3]=+h[b+17344>>3]*(+h[b+17360>>3]*(+h[b+17368>>3]- +h[b+17352>>3])+1.0);return}function ar(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2800>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2704|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7658968,7712688,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2704|0;h[l>>3]=k;return}function br(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2808>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2696|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7658248,7712680,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2696|0;h[l>>3]=k;return}function cr(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17832>>3];j=+h[f+17840>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7656968,7712672,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7655928,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+17776>>3];j=+ea(k);k=+h[f+17824>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7655192,7712672,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2688>>3]=g*l*7895683520871486.0e-21;i=d;return}function dr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2824>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2680|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7654400,7712664,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2680|0;h[l>>3]=k;return}function er(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18208>>3];j=+h[f+18216>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7653720,7712656,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7652944,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+18152>>3];j=+ea(k);k=+h[f+18200>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7652056,7712656,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2672>>3]=g*l*7895683520871486.0e-21;i=d;return}function fr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2672>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2664|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7651552,7712648,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2664|0;h[l>>3]=k;return}function gr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2688>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2656|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7650968,7712640,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2656|0;h[l>>3]=k;return}function hr(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+3|0]|0;i=b+416|0;j=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=j;d=g;e=i;break}else{i=b+416|0;g=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+3|0]|0;i=b+416|0;g=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;e=i;break}else{i=b+416|0;f=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3])|0;a[(c[b+352>>2]|0)+3|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+17024>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+2176|0;h[s>>3]=m;return}l=+h[i+17040>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+2176|0;h[s>>3]=m;return}function ir(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+64>>3]=0.0;return}function jr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2008>>3]=+h[b+2736>>3]*+h[b+64>>3];return}function kr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2104>>3]=+h[b+2176>>3]- +h[b+2008>>3];return}function lr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2e3>>3]=+h[b+2008>>3]*+h[b+64>>3];return}function mr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2088>>3]=+h[b+64>>3]*+h[(c[a+416>>2]|0)+17232>>3];return}function nr(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2048>>3]=0.0;return}function or(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1992>>3]=+h[b+2728>>3]*+h[b+2048>>3];return}function pr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1984>>3]=+h[b+1992>>3]*+h[b+2048>>3];return}function qr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2040>>3]=+h[b+2048>>3]*+h[(c[a+416>>2]|0)+17240>>3];return}function rr(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+56>>3]=0.0;return}function sr(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=0.0;return}function tr(a){a=a|0;var b=0,d=0;MK(a,2)|0;b=c[(c[a+476>>2]|0)+156>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1920>>3]=+h[b>>3];h[d+1928>>3]=+h[b+8>>3];h[d+1976>>3]=+h[b+16>>3];h[d+1968>>3]=+h[b+24>>3];h[d+1944>>3]=+h[b+32>>3];h[d+1952>>3]=+h[b+40>>3];return}function ur(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1952>>3]*+h[b+1944>>3];return}function vr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2136>>3]=-0.0- +h[b+1944>>3]- +h[b+2048>>3];return}function wr(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17384>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1944>>3];if(d!=0.0){j=i/d;k=g;l=k+120|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+120|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7650512,7712632,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+120|0;h[l>>3]=j;return}function xr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2168>>3]=-0.0- +h[b+64>>3]- +h[b+1968>>3];return}function yr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2184>>3]=+h[b+2168>>3]- +h[b+2136>>3];return}function zr(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17376>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1968>>3];if(d!=0.0){j=i/d;k=g;l=k+128|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+128|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7649416,7712624,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+128|0;h[l>>3]=j;return}function Ar(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1960>>3]=+h[b+1976>>3]*+h[b+1968>>3];return}function Br(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2096>>3]=+h[b+2104>>3]- +h[b+1920>>3];return}function Cr(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+17232>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2096>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+2632|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+2632|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7648480,7712616,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2632|0;h[m>>3]=k;return}function Dr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2792>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2304|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2304|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7647800,7712608,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2304|0;h[m>>3]=k;return}function Er(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2784>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2280|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2280|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7647296,7712600,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2280|0;h[m>>3]=k;return}function Fr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2208|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2208|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7646808,7712592,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2208|0;h[m>>3]=k;return}function Gr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2056>>3]=+h[b+1920>>3]- +h[b+1992>>3];return}function Hr(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+17240>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2056>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+2552|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+2552|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7646336,7712584,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2552|0;h[m>>3]=k;return}function Ir(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2832>>3];i=+h[f+2552>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2328|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2328|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7645640,7712576,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2328|0;h[m>>3]=k;return}function Jr(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[(c[a+416>>2]|0)+17216>>3];return}function Kr(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[a+416>>2]|0;d=+h[b+18096>>3];e=+h[b+18120>>3];b=a+4|0;f=+EI(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+40>>3],-2);h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1336>>3]=d*e*f*+(c[(c[a+420>>2]|0)+24>>2]|0)*-1256637061435917.0e-21;return}function Lr(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=+h[(c[e+8>>2]|0)+40>>3];g=b+416|0;i=c[g>>2]|0;j=+h[i+18136>>3];k=+h[i+18144>>3];l=f*f;do{if(f!=0.0){m=k/f}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,f,7645240,7712568,+h[e>>3],(a[b+319|0]|0)!=0|0)}}while(0);e=c[(c[b+420>>2]|0)+28>>2]|0;f=+(e|0);if(l*(m*3.141592653589793+1.0)!=0.0){i=c[c[d>>2]>>2]|0;m=+h[(c[i+8>>2]|0)+40>>3];n=+h[(c[g>>2]|0)+18144>>3];do{if(m!=0.0){o=n/m}else{if(n==0.0){o=n;break}o=n/+lH(c[b+536>>2]|0,m,7645240,7712568,+h[i>>3],(a[b+319|0]|0)!=0|0)}}while(0);p=f/(l*(o*3.141592653589793+1.0));q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}if((e|0)==0){p=f;q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}e=c[b+536>>2]|0;i=c[c[d>>2]>>2]|0;o=+h[(c[i+8>>2]|0)+40>>3];m=+h[(c[g>>2]|0)+18144>>3];do{if(o!=0.0){y=m/o;z=i}else{if(m==0.0){y=m;z=i;break}n=m/+lH(e,o,7645240,7712568,+h[i>>3],(a[b+319|0]|0)!=0|0);y=n;z=c[c[d>>2]>>2]|0}}while(0);p=f/+lH(e,l*(y*3.141592653589793+1.0),7644616,7712568,+h[z>>3],(a[b+319|0]|0)!=0|0);q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}function Mr(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0.0,l=0.0;d=i;e=b+4|0;f=c[c[e>>2]>>2]|0;g=+h[(c[f+8>>2]|0)+40>>3];j=b+416|0;k=+h[(c[j>>2]|0)+18144>>3];do{if(g!=0.0){l=k/g}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,g,7645240,7712560,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);g=l*3.141592653589793+1.0;if(!(g>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7644096,(b=i,i=i+8|0,h[b>>3]=g,b)|0);i=b}l=+h[(c[j>>2]|0)+18136>>3]*+ea(g)*4.0e-7;h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1288>>3]=l;i=d;return}function Nr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1288>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1296|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7641880,7712552,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1296|0;h[l>>3]=k;return}function Or(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+18096>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+40>>3];k=+h[d+18120>>3];do{if(j!=0.0){l=k/j;m=i}else{if(k==0.0){l=k;m=i;break}n=k/+lH(c[b+536>>2]|0,j,7645240,7712544,+h[g>>3],(a[b+319|0]|0)!=0|0);l=n;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0}}while(0);h[m+1344>>3]=e*l*1256637061435917.0e-21;return}function Pr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1344>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1352|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7641096,7712536,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1352|0;h[l>>3]=k;return}function Qr(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+124>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1568>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1568|0;h[c[f+128>>2]>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1568>>3]);d=c[e>>2]|0;h[c[d+132>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+1624>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+1624|0;h[(c[d+128>>2]|0)+8>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+1624>>3]);g=c[e>>2]|0;h[(c[g+132>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+124>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+1272>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+1272|0;h[(c[g+128>>2]|0)+16>>3]=+h[d>>3];i=+YK(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+1272>>3]);f=c[e>>2]|0;h[(c[f+132>>2]|0)+16>>3]=i;d=c[b>>2]|0;h[(c[f+124>>2]|0)+24>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1368>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1368|0;h[(c[f+128>>2]|0)+24>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1368>>3]);d=c[e>>2]|0;h[(c[d+132>>2]|0)+24>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+32>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+2032>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+2032|0;h[(c[d+128>>2]|0)+32>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+2032>>3]);g=c[e>>2]|0;h[(c[g+132>>2]|0)+32>>3]=i;f=c[b>>2]|0;h[(c[g+124>>2]|0)+40>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+1536>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+1536|0;h[(c[g+128>>2]|0)+40>>3]=+h[d>>3];i=+YK(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+1536>>3]);f=c[e>>2]|0;h[(c[f+132>>2]|0)+40>>3]=i;d=c[b>>2]|0;h[(c[f+124>>2]|0)+48>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1856>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1856|0;h[(c[f+128>>2]|0)+48>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1856>>3]);d=c[e>>2]|0;h[(c[d+132>>2]|0)+48>>3]=i;g=c[b>>2]|0;h[(c[d+124>>2]|0)+56>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+2080>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+2080|0;h[(c[d+128>>2]|0)+56>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+2080>>3]);h[(c[(c[e>>2]|0)+132>>2]|0)+56>>3]=i;WK(a,1)|0;g=c[(c[e>>2]|0)+124>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+1568>>3]=+h[g>>3];h[e+1624>>3]=+h[g+8>>3];h[e+1272>>3]=+h[g+16>>3];h[e+1368>>3]=+h[g+24>>3];h[e+2032>>3]=+h[g+32>>3];h[e+1536>>3]=+h[g+40>>3];h[e+1856>>3]=+h[g+48>>3];h[e+2080>>3]=+h[g+56>>3];Gj(a);Hj(a);Ij(a);Jj(a);Kj(a);Lj(a);Mj(a);Nj(a);Oj(a);Pj(a);Qj(a);Rj(a);Sj(a);Tj(a);Uj(a);Vj(a);Wj(a);Xj(a);Yj(a);Zj(a);_j(a);$j(a);ak(a);bk(a);ck(a);dk(a);ek(a);fk(a);gk(a);hk(a);ik(a);jk(a);kk(a);lk(a);mk(a);nk(a);ok(a);pk(a);qk(a);rk(a);sk(a);tk(a);uk(a);return}function Rr(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1376>>3];h[b+1360>>3]=d*d*+h[b+1336>>3]*.5;return}function Sr(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1312>>3];h[b+1304>>3]=d*d*+h[b+1280>>3]*.5;return}function Tr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1512>>3]=+h[b+1304>>3]+ +h[b+1360>>3];return}function Ur(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18120>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1368>>3];if(d!=0.0){j=i/d;k=g;l=k+1328|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1328|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7640576,7712392,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1328|0;h[l>>3]=j;return}function Vr(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2024>>3]=+h[(c[a+416>>2]|0)+17240>>3]*+h[b+2032>>3];return}function Wr(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+2048>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+2024>>3]*1.0e13;j=g}else{k=+h[g+2048>>3];l=+h[g+2024>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7640056,7712384,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+2016>>3]=+V(+i);return}function _setLinearMatrixA709$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,W=0.0,Y=0.0,Z=0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0,ka=0.0,la=0,ma=0.0,na=0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0,wa=0.0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0.0,Ga=0.0,Ha=0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0.0,Sa=0,Ta=0.0,Ua=0.0,Va=0,Wa=0.0,Xa=0.0,Ya=0,Za=0.0,_a=0,$a=0.0,ab=0,bb=0.0,cb=0.0,db=0,eb=0.0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0.0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0.0,rb=0,sb=0.0,tb=0.0,ub=0,vb=0.0,wb=0,xb=0.0,yb=0,zb=0.0,Ab=0.0,Bb=0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0,Pb=0.0,Qb=0,Rb=0.0,Sb=0.0,Tb=0,Ub=0.0,Vb=0,Wb=0.0,Xb=0.0,Yb=0.0,Zb=0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0.0,hc=0,ic=0.0,jc=0.0,kc=0,lc=0.0,mc=0,nc=0.0,oc=0,pc=0.0,qc=0.0,rc=0,sc=0.0,tc=0.0,uc=0,vc=0.0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0.0,Bc=0,Cc=0.0,Dc=0,Ec=0.0,Fc=0.0,Gc=0,Hc=0.0,Ic=0,Jc=0.0,Kc=0.0,Lc=0,Mc=0.0,Nc=0,Oc=0.0,Pc=0.0,Qc=0,Rc=0.0,Sc=0,Tc=0.0,Uc=0,Vc=0.0,Wc=0.0,Xc=0,Yc=0.0,Zc=0,_c=0.0,$c=0.0,ad=0.0,bd=0,cd=0.0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0.0,qd=0.0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0.0,yd=0.0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0.0,Hd=0.0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0.0,Qd=0.0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0.0,ae=0.0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0.0,le=0.0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;a:do{f=c[(e+8|0)>>2]|0;g=c[c[(d+4|0)>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+2768>>3];if(j!=0.0){k=j}else{k=+lH(c[d+536>>2]|0,j,7669120,8056,+h[g>>3],(a[d+319|0]|0)!=0|0)}Be[f&7](13,14,-1.0/k,35,e);Be[c[(e+8|0)>>2]&7](14,11,1.0,36,e);j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){m=l/j}else{if(l==0.0){m=l;break}m=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){o=l/j}else{if(l==0.0){o=l;break}o=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){p=l/j}else{if(l==0.0){p=l;break}p=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){r=l/j}else{if(l==0.0){r=l;break}r=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){s=l/j}else{if(l==0.0){s=l;break}s=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(s>0.0){t=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17480>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1832>>3];do{if(j!=0.0){u=l/j}else{if(l==0.0){u=l;break}u=l/+lH(c[d+536>>2]|0,j,7671568,8056,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);t=+((u<0.0)<<31>>31|0)}f=c[(d+416|0)>>2]|0;j=+h[f+17496>>3];l=+h[f+17480>>3];g=c[c[(d+4|0)>>2]>>2]|0;v=+h[(c[g+8>>2]|0)+1832>>3];do{if(l!=0.0){w=v/l;x=f;y=l;z=g;A=v}else{if(v==0.0){w=v;x=f;y=l;z=g;A=v;break}B=v/+lH(c[d+536>>2]|0,l,7671568,8056,+h[g>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;D=c[c[(d+4|0)>>2]>>2]|0;w=B;x=C;y=+h[C+17480>>3];z=D;A=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);l=j*+V(+w);do{if(y!=0.0){E=A/y;F=x;G=y;H=z;I=A}else{if(A==0.0){E=A;F=x;G=y;H=z;I=A;break}v=A/+lH(c[d+536>>2]|0,y,7671568,8056,+h[z>>3],(a[d+319|0]|0)!=0|0);g=c[(d+416|0)>>2]|0;f=c[c[(d+4|0)>>2]>>2]|0;E=v;F=g;G=+h[g+17480>>3];H=f;I=+h[(c[f+8>>2]|0)+1832>>3]}}while(0);j=+V(+E);v=l+ +X(+j,+(+h[F+17504>>3]))+1.0;f=c[(e+8|0)>>2]|0;j=+h[F+17472>>3];B=+h[F+17488>>3];g=G!=0.0;do{D=1;if(D){D=0;if(v*v!=0.0){do{if(g){J=I/G;K=F;L=G}else{if(I==0.0){J=I;K=F;L=G;break}M=I/+lH(c[d+536>>2]|0,G,7671568,8056,+h[H>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;J=M;K=C;L=+h[C+17480>>3]}}while(0);M=j+B*+V(+J)+-1.0;N=+h[K+17496>>3];do{if(L!=0.0){O=n/L;P=K;Q=L}else{if(n==0.0){O=n;P=K;Q=L;break}R=n/+lH(c[d+536>>2]|0,L,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;O=R;P=C;Q=+h[C+17480>>3]}}while(0);R=N*O;C=c[c[(d+4|0)>>2]>>2]|0;S=+h[(c[C+8>>2]|0)+1832>>3];do{if(Q!=0.0){T=S/Q;U=P;W=Q}else{if(S==0.0){T=S;U=P;W=Q;break}Y=S/+lH(c[d+536>>2]|0,Q,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;T=Y;U=Z;W=+h[Z+17480>>3]}}while(0);S=+V(+T);N=+h[U+17504>>3];Y=+X(+S,+(N+-1.0));do{if(W!=0.0){_=q/W;$=U;aa=W}else{if(q==0.0){_=q;$=U;aa=W;break}S=q/+lH(c[d+536>>2]|0,W,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;_=S;$=C;aa=+h[C+17480>>3]}}while(0);S=M*(R+Y*N*_);ba=+h[$+17488>>3];ca=+h[$+17496>>3];C=c[c[(d+4|0)>>2]>>2]|0;da=+h[(c[C+8>>2]|0)+1832>>3];do{if(aa!=0.0){ea=+V(+(da/aa));fa=(ca*ea+ +X(+ea,+(+h[$+17504>>3]))+1.0)/aa}else{if(da==0.0){ga=da;ha=$;ia=aa;ja=C;ka=da}else{ea=da/+lH(c[d+536>>2]|0,aa,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;ga=ea;ha=Z;ia=+h[Z+17480>>3];ja=la;ka=+h[(c[la+8>>2]|0)+1832>>3]}ea=ca*+V(+ga);do{if(ia!=0.0){ma=ka/ia;na=ha;oa=ia;pa=ja;qa=ka}else{if(ka==0.0){ma=ka;na=ha;oa=ia;pa=ja;qa=ka;break}ra=ka/+lH(c[d+536>>2]|0,ia,7671568,8056,+h[ja>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;ma=ra;na=la;oa=+h[la+17480>>3];pa=Z;qa=+h[(c[Z+8>>2]|0)+1832>>3]}}while(0);ra=+V(+ma);Z=ea+ +X(+ra,+(+h[na+17504>>3]))+1.0==0.0;ra=+h[na+17496>>3];la=oa!=0.0;if(Z){do{if(la){sa=qa/oa;ta=na;ua=oa;va=pa;wa=qa}else{if(qa==0.0){sa=qa;ta=na;ua=oa;va=pa;wa=qa;break}xa=qa/+lH(c[d+536>>2]|0,oa,7671568,8056,+h[pa>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ya=c[c[(d+4|0)>>2]>>2]|0;sa=xa;ta=Z;ua=+h[Z+17480>>3];va=ya;wa=+h[(c[ya+8>>2]|0)+1832>>3]}}while(0);ea=ra*+V(+sa);do{if(ua!=0.0){za=wa/ua;Aa=ta}else{if(wa==0.0){za=wa;Aa=ta;break}xa=wa/+lH(c[d+536>>2]|0,ua,7671568,8056,+h[va>>3],(a[d+319|0]|0)!=0|0);za=xa;Aa=c[(d+416|0)>>2]|0}}while(0);xa=+V(+za);fa=ea+ +X(+xa,+(+h[Aa+17504>>3]))+1.0;break}else{do{if(la){Ba=qa/oa;Ca=na;Da=oa;Ea=pa;Fa=qa}else{if(qa==0.0){Ba=qa;Ca=na;Da=oa;Ea=pa;Fa=qa;break}xa=qa/+lH(c[d+536>>2]|0,oa,7671568,8056,+h[pa>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Ba=xa;Ca=ya;Da=+h[ya+17480>>3];Ea=Z;Fa=+h[(c[Z+8>>2]|0)+1832>>3]}}while(0);ea=ra*+V(+Ba);do{if(Da!=0.0){Ga=Fa/Da;Ha=Ca;Ia=Da;Ja=Ea}else{if(Fa==0.0){Ga=Fa;Ha=Ca;Ia=Da;Ja=Ea;break}xa=Fa/+lH(c[d+536>>2]|0,Da,7671568,8056,+h[Ea>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Ga=xa;Ha=la;Ia=+h[la+17480>>3];Ja=c[c[(d+4|0)>>2]>>2]|0}}while(0);ra=+V(+Ga);xa=ea+ +X(+ra,+(+h[Ha+17504>>3]))+1.0;fa=xa/+lH(c[d+536>>2]|0,Ia,7671568,8056,+h[Ja>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Ka=(S-ba*t*fa)/(v*v)}else{D=1}}if(D){D=0;if(1){do{if(g){La=I/G;Ma=F;Na=G}else{if(I==0.0){La=I;Ma=F;Na=G;break}ca=I/+lH(c[d+536>>2]|0,G,7671568,8056,+h[H>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;La=ca;Ma=C;Na=+h[C+17480>>3]}}while(0);ba=j+B*+V(+La)+-1.0;S=+h[Ma+17496>>3];do{if(Na!=0.0){Oa=n/Na;Pa=Ma;Qa=Na}else{if(n==0.0){Oa=n;Pa=Ma;Qa=Na;break}ca=n/+lH(c[d+536>>2]|0,Na,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;Oa=ca;Pa=C;Qa=+h[C+17480>>3]}}while(0);ca=S*Oa;C=c[c[(d+4|0)>>2]>>2]|0;da=+h[(c[C+8>>2]|0)+1832>>3];do{if(Qa!=0.0){Ra=da/Qa;Sa=Pa;Ta=Qa}else{if(da==0.0){Ra=da;Sa=Pa;Ta=Qa;break}N=da/+lH(c[d+536>>2]|0,Qa,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Ra=N;Sa=la;Ta=+h[la+17480>>3]}}while(0);da=+V(+Ra);S=+h[Sa+17504>>3];N=+X(+da,+(S+-1.0));do{if(Ta!=0.0){Ua=q/Ta;Va=Sa;Wa=Ta}else{if(q==0.0){Ua=q;Va=Sa;Wa=Ta;break}da=q/+lH(c[d+536>>2]|0,Ta,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;Ua=da;Va=C;Wa=+h[C+17480>>3]}}while(0);da=ba*(ca+N*S*Ua);Y=+h[Va+17488>>3];R=+h[Va+17496>>3];C=c[c[(d+4|0)>>2]>>2]|0;M=+h[(c[C+8>>2]|0)+1832>>3];do{if(Wa!=0.0){xa=+V(+(M/Wa));Xa=(R*xa+ +X(+xa,+(+h[Va+17504>>3]))+1.0)/Wa;Ya=Va}else{if(M==0.0){Za=M;_a=Va;$a=Wa;ab=C;bb=M}else{xa=M/+lH(c[d+536>>2]|0,Wa,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Za=xa;_a=la;$a=+h[la+17480>>3];ab=Z;bb=+h[(c[Z+8>>2]|0)+1832>>3]}xa=R*+V(+Za);do{if($a!=0.0){cb=bb/$a;db=_a;eb=$a;fb=ab;gb=bb}else{if(bb==0.0){cb=bb;db=_a;eb=$a;fb=ab;gb=bb;break}ra=bb/+lH(c[d+536>>2]|0,$a,7671568,8056,+h[ab>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;cb=ra;db=Z;eb=+h[Z+17480>>3];fb=la;gb=+h[(c[la+8>>2]|0)+1832>>3]}}while(0);ea=+V(+cb);la=xa+ +X(+ea,+(+h[db+17504>>3]))+1.0==0.0;ea=+h[db+17496>>3];Z=eb!=0.0;if(la){do{if(Z){hb=gb/eb;ib=db;jb=eb;kb=fb;lb=gb}else{if(gb==0.0){hb=gb;ib=db;jb=eb;kb=fb;lb=gb;break}ra=gb/+lH(c[d+536>>2]|0,eb,7671568,8056,+h[fb>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;ya=c[c[(d+4|0)>>2]>>2]|0;hb=ra;ib=la;jb=+h[la+17480>>3];kb=ya;lb=+h[(c[ya+8>>2]|0)+1832>>3]}}while(0);xa=ea*+V(+hb);do{if(jb!=0.0){mb=lb/jb;nb=ib}else{if(lb==0.0){mb=lb;nb=ib;break}ra=lb/+lH(c[d+536>>2]|0,jb,7671568,8056,+h[kb>>3],(a[d+319|0]|0)!=0|0);mb=ra;nb=c[(d+416|0)>>2]|0}}while(0);ra=+V(+mb);Xa=xa+ +X(+ra,+(+h[nb+17504>>3]))+1.0;Ya=nb;break}else{do{if(Z){ob=gb/eb;pb=db;qb=eb;rb=fb;sb=gb}else{if(gb==0.0){ob=gb;pb=db;qb=eb;rb=fb;sb=gb;break}ra=gb/+lH(c[d+536>>2]|0,eb,7671568,8056,+h[fb>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;ob=ra;pb=ya;qb=+h[ya+17480>>3];rb=la;sb=+h[(c[la+8>>2]|0)+1832>>3]}}while(0);xa=ea*+V(+ob);do{if(qb!=0.0){tb=sb/qb;ub=pb;vb=qb;wb=rb}else{if(sb==0.0){tb=sb;ub=pb;vb=qb;wb=rb;break}ra=sb/+lH(c[d+536>>2]|0,qb,7671568,8056,+h[rb>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;tb=ra;ub=Z;vb=+h[Z+17480>>3];wb=c[c[(d+4|0)>>2]>>2]|0}}while(0);ea=+V(+tb);ra=xa+ +X(+ea,+(+h[ub+17504>>3]))+1.0;ea=ra/+lH(c[d+536>>2]|0,vb,7671568,8056,+h[wb>>3],(a[d+319|0]|0)!=0|0);Xa=ea;Ya=c[(d+416|0)>>2]|0;break}}}while(0);R=+h[Ya+17472>>3];M=+h[Ya+17488>>3];S=+h[Ya+17480>>3];C=c[c[(d+4|0)>>2]>>2]|0;N=+h[(c[C+8>>2]|0)+1832>>3];if(da-Y*t*Xa==0.0){do{if(S!=0.0){xb=N/S;yb=Ya;zb=S}else{if(N==0.0){xb=N;yb=Ya;zb=S;break}ca=N/+lH(c[d+536>>2]|0,S,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;xb=ca;yb=Z;zb=+h[Z+17480>>3]}}while(0);Y=R+M*+V(+xb)+-1.0;da=+h[yb+17496>>3];do{if(zb!=0.0){Ab=n/zb;Bb=yb;Cb=zb}else{if(n==0.0){Ab=n;Bb=yb;Cb=zb;break}ca=n/+lH(c[d+536>>2]|0,zb,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;Ab=ca;Bb=Z;Cb=+h[Z+17480>>3]}}while(0);ca=da*Ab;Z=c[c[(d+4|0)>>2]>>2]|0;ba=+h[(c[Z+8>>2]|0)+1832>>3];do{if(Cb!=0.0){Db=ba/Cb;Eb=Bb;Fb=Cb}else{if(ba==0.0){Db=ba;Eb=Bb;Fb=Cb;break}ea=ba/+lH(c[d+536>>2]|0,Cb,7671568,8056,+h[Z>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Db=ea;Eb=la;Fb=+h[la+17480>>3]}}while(0);ba=+V(+Db);da=+h[Eb+17504>>3];ea=+X(+ba,+(da+-1.0));do{if(Fb!=0.0){Gb=q/Fb;Hb=Eb;Ib=Fb}else{if(q==0.0){Gb=q;Hb=Eb;Ib=Fb;break}ba=q/+lH(c[d+536>>2]|0,Fb,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;Gb=ba;Hb=Z;Ib=+h[Z+17480>>3]}}while(0);ba=Y*(ca+ea*da*Gb);ra=+h[Hb+17488>>3];Jb=+h[Hb+17496>>3];Z=c[c[(d+4|0)>>2]>>2]|0;Kb=+h[(c[Z+8>>2]|0)+1832>>3];do{if(Ib!=0.0){Lb=+V(+(Kb/Ib));Mb=(Jb*Lb+ +X(+Lb,+(+h[Hb+17504>>3]))+1.0)/Ib}else{if(Kb==0.0){Nb=Kb;Ob=Hb;Pb=Ib;Qb=Z;Rb=Kb}else{Lb=Kb/+lH(c[d+536>>2]|0,Ib,7671568,8056,+h[Z>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;ya=c[c[(d+4|0)>>2]>>2]|0;Nb=Lb;Ob=la;Pb=+h[la+17480>>3];Qb=ya;Rb=+h[(c[ya+8>>2]|0)+1832>>3]}Lb=Jb*+V(+Nb);do{if(Pb!=0.0){Sb=Rb/Pb;Tb=Ob;Ub=Pb;Vb=Qb;Wb=Rb}else{if(Rb==0.0){Sb=Rb;Tb=Ob;Ub=Pb;Vb=Qb;Wb=Rb;break}Xb=Rb/+lH(c[d+536>>2]|0,Pb,7671568,8056,+h[Qb>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;Sb=Xb;Tb=ya;Ub=+h[ya+17480>>3];Vb=la;Wb=+h[(c[la+8>>2]|0)+1832>>3]}}while(0);xa=+V(+Sb);la=Lb+ +X(+xa,+(+h[Tb+17504>>3]))+1.0==0.0;xa=+h[Tb+17496>>3];ya=Ub!=0.0;if(la){do{if(ya){Yb=Wb/Ub;Zb=Tb;_b=Ub;$b=Vb;ac=Wb}else{if(Wb==0.0){Yb=Wb;Zb=Tb;_b=Ub;$b=Vb;ac=Wb;break}Xb=Wb/+lH(c[d+536>>2]|0,Ub,7671568,8056,+h[Vb>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;bc=c[c[(d+4|0)>>2]>>2]|0;Yb=Xb;Zb=la;_b=+h[la+17480>>3];$b=bc;ac=+h[(c[bc+8>>2]|0)+1832>>3]}}while(0);Lb=xa*+V(+Yb);do{if(_b!=0.0){cc=ac/_b;dc=Zb}else{if(ac==0.0){cc=ac;dc=Zb;break}Xb=ac/+lH(c[d+536>>2]|0,_b,7671568,8056,+h[$b>>3],(a[d+319|0]|0)!=0|0);cc=Xb;dc=c[(d+416|0)>>2]|0}}while(0);Xb=+V(+cc);Mb=Lb+ +X(+Xb,+(+h[dc+17504>>3]))+1.0;break}else{do{if(ya){ec=Wb/Ub;fc=Tb;gc=Ub;hc=Vb;ic=Wb}else{if(Wb==0.0){ec=Wb;fc=Tb;gc=Ub;hc=Vb;ic=Wb;break}Xb=Wb/+lH(c[d+536>>2]|0,Ub,7671568,8056,+h[Vb>>3],(a[d+319|0]|0)!=0|0);bc=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;ec=Xb;fc=bc;gc=+h[bc+17480>>3];hc=la;ic=+h[(c[la+8>>2]|0)+1832>>3]}}while(0);Lb=xa*+V(+ec);do{if(gc!=0.0){jc=ic/gc;kc=fc;lc=gc;mc=hc}else{if(ic==0.0){jc=ic;kc=fc;lc=gc;mc=hc;break}Xb=ic/+lH(c[d+536>>2]|0,gc,7671568,8056,+h[hc>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;jc=Xb;kc=ya;lc=+h[ya+17480>>3];mc=c[c[(d+4|0)>>2]>>2]|0}}while(0);xa=+V(+jc);Xb=Lb+ +X(+xa,+(+h[kc+17504>>3]))+1.0;Mb=Xb/+lH(c[d+536>>2]|0,lc,7671568,8056,+h[mc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Ka=ba-ra*t*Mb;break}else{do{if(S!=0.0){nc=N/S;oc=Ya;pc=S}else{if(N==0.0){nc=N;oc=Ya;pc=S;break}Jb=N/+lH(c[d+536>>2]|0,S,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;nc=Jb;oc=Z;pc=+h[Z+17480>>3]}}while(0);S=R+M*+V(+nc)+-1.0;N=+h[oc+17496>>3];do{if(pc!=0.0){qc=n/pc;rc=oc;sc=pc}else{if(n==0.0){qc=n;rc=oc;sc=pc;break}ra=n/+lH(c[d+536>>2]|0,pc,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;qc=ra;rc=C;sc=+h[C+17480>>3]}}while(0);M=N*qc;C=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[C+8>>2]|0)+1832>>3];do{if(sc!=0.0){tc=R/sc;uc=rc;vc=sc}else{if(R==0.0){tc=R;uc=rc;vc=sc;break}ra=R/+lH(c[d+536>>2]|0,sc,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;tc=ra;uc=Z;vc=+h[Z+17480>>3]}}while(0);R=+V(+tc);N=+h[uc+17504>>3];ra=+X(+R,+(N+-1.0));do{if(vc!=0.0){wc=q/vc;xc=uc;yc=vc}else{if(q==0.0){wc=q;xc=uc;yc=vc;break}R=q/+lH(c[d+536>>2]|0,vc,7671568,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;wc=R;xc=C;yc=+h[C+17480>>3]}}while(0);R=S*(M+ra*N*wc);ba=+h[xc+17488>>3];Jb=+h[xc+17496>>3];C=c[c[(d+4|0)>>2]>>2]|0;Kb=+h[(c[C+8>>2]|0)+1832>>3];do{if(yc!=0.0){da=+V(+(Kb/yc));zc=(Jb*da+ +X(+da,+(+h[xc+17504>>3]))+1.0)/yc}else{if(Kb==0.0){Ac=Kb;Bc=xc;Cc=yc;Dc=C;Ec=Kb}else{da=Kb/+lH(c[d+536>>2]|0,yc,7671568,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ya=c[c[(d+4|0)>>2]>>2]|0;Ac=da;Bc=Z;Cc=+h[Z+17480>>3];Dc=ya;Ec=+h[(c[ya+8>>2]|0)+1832>>3]}da=Jb*+V(+Ac);do{if(Cc!=0.0){Fc=Ec/Cc;Gc=Bc;Hc=Cc;Ic=Dc;Jc=Ec}else{if(Ec==0.0){Fc=Ec;Gc=Bc;Hc=Cc;Ic=Dc;Jc=Ec;break}ea=Ec/+lH(c[d+536>>2]|0,Cc,7671568,8056,+h[Dc>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Fc=ea;Gc=ya;Hc=+h[ya+17480>>3];Ic=Z;Jc=+h[(c[Z+8>>2]|0)+1832>>3]}}while(0);Lb=+V(+Fc);Z=da+ +X(+Lb,+(+h[Gc+17504>>3]))+1.0==0.0;Lb=+h[Gc+17496>>3];ya=Hc!=0.0;if(Z){do{if(ya){Kc=Jc/Hc;Lc=Gc;Mc=Hc;Nc=Ic;Oc=Jc}else{if(Jc==0.0){Kc=Jc;Lc=Gc;Mc=Hc;Nc=Ic;Oc=Jc;break}ea=Jc/+lH(c[d+536>>2]|0,Hc,7671568,8056,+h[Ic>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;la=c[c[(d+4|0)>>2]>>2]|0;Kc=ea;Lc=Z;Mc=+h[Z+17480>>3];Nc=la;Oc=+h[(c[la+8>>2]|0)+1832>>3]}}while(0);da=Lb*+V(+Kc);do{if(Mc!=0.0){Pc=Oc/Mc;Qc=Lc}else{if(Oc==0.0){Pc=Oc;Qc=Lc;break}ea=Oc/+lH(c[d+536>>2]|0,Mc,7671568,8056,+h[Nc>>3],(a[d+319|0]|0)!=0|0);Pc=ea;Qc=c[(d+416|0)>>2]|0}}while(0);ea=+V(+Pc);zc=da+ +X(+ea,+(+h[Qc+17504>>3]))+1.0;break}else{do{if(ya){Rc=Jc/Hc;Sc=Gc;Tc=Hc;Uc=Ic;Vc=Jc}else{if(Jc==0.0){Rc=Jc;Sc=Gc;Tc=Hc;Uc=Ic;Vc=Jc;break}ea=Jc/+lH(c[d+536>>2]|0,Hc,7671568,8056,+h[Ic>>3],(a[d+319|0]|0)!=0|0);la=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Rc=ea;Sc=la;Tc=+h[la+17480>>3];Uc=Z;Vc=+h[(c[Z+8>>2]|0)+1832>>3]}}while(0);da=Lb*+V(+Rc);do{if(Tc!=0.0){Wc=Vc/Tc;Xc=Sc;Yc=Tc;Zc=Uc}else{if(Vc==0.0){Wc=Vc;Xc=Sc;Yc=Tc;Zc=Uc;break}ea=Vc/+lH(c[d+536>>2]|0,Tc,7671568,8056,+h[Uc>>3],(a[d+319|0]|0)!=0|0);ya=c[(d+416|0)>>2]|0;Wc=ea;Xc=ya;Yc=+h[ya+17480>>3];Zc=c[c[(d+4|0)>>2]>>2]|0}}while(0);Lb=+V(+Wc);ea=da+ +X(+Lb,+(+h[Xc+17504>>3]))+1.0;zc=ea/+lH(c[d+536>>2]|0,Yc,7671568,8056,+h[Zc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Ka=(R-ba*t*zc)/+lH(c[d+536>>2]|0,v*v,7670400,8056,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{D=1}}}while(0);Be[f&7](14,12,Ka,37,e);Be[c[(e+8|0)>>2]&7](15,10,1.0,38,e);g=c[(e+8|0)>>2]|0;v=+h[(c[(d+416|0)>>2]|0)+17512>>3];C=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[C+8>>2]|0)+2768>>3];do{if(v!=0.0){_c=B/v}else{if(B==0.0){_c=B;break}_c=B/+lH(c[d+536>>2]|0,v,7672472,8056,+h[C>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[g&7](15,11,_c*-1256637061435917.0e-21,39,e);Be[c[(e+8|0)>>2]&7](16,9,1.0,40,e);C=c[c[(d+4|0)>>2]>>2]|0;v=+h[(c[C+8>>2]|0)+1840>>3];if(v!=0.0){$c=v;ad=1.0/$c;bd=c[(e+8|0)>>2]|0;cd=ad*ad;Be[bd&7](16,10,cd,41,e);dd=c[(e+8|0)>>2]|0;Be[dd&7](17,4,-1.0,42,e);ed=c[(e+8|0)>>2]|0;Be[ed&7](17,5,-1.0,43,e);fd=c[(e+8|0)>>2]|0;Be[fd&7](17,6,-1.0,44,e);gd=c[(e+8|0)>>2]|0;Be[gd&7](17,8,-1.0,45,e);hd=c[(e+8|0)>>2]|0;Be[hd&7](17,14,-1.0,46,e);id=c[(e+8|0)>>2]|0;Be[id&7](18,7,1.0,47,e);jd=c[(e+8|0)>>2]|0;kd=c[(d+4|0)>>2]|0;ld=c[kd>>2]|0;md=ld+8|0;nd=c[md>>2]|0;od=nd+2664|0;pd=+h[od>>3];qd=-0.0-pd;Be[jd&7](18,8,qd,48,e);rd=c[(e+8|0)>>2]|0;sd=c[(d+4|0)>>2]|0;td=c[sd>>2]|0;ud=td+8|0;vd=c[ud>>2]|0;wd=vd+2696|0;xd=+h[wd>>3];yd=-0.0-xd;Be[rd&7](19,6,yd,49,e);zd=c[(e+8|0)>>2]|0;Be[zd&7](19,7,1.0,50,e);Ad=c[(e+8|0)>>2]|0;Bd=c[(d+4|0)>>2]|0;Cd=c[Bd>>2]|0;Dd=Cd+8|0;Ed=c[Dd>>2]|0;Fd=Ed+2680|0;Gd=+h[Fd>>3];Hd=-0.0-Gd;Be[Ad&7](20,5,Hd,51,e);Id=c[(e+8|0)>>2]|0;Be[Id&7](20,7,1.0,52,e);Jd=c[(e+8|0)>>2]|0;Kd=c[(d+4|0)>>2]|0;Ld=c[Kd>>2]|0;Md=Ld+8|0;Nd=c[Md>>2]|0;Od=Nd+2704|0;Pd=+h[Od>>3];Qd=-0.0-Pd;Be[Jd&7](21,4,Qd,53,e);Rd=c[(e+8|0)>>2]|0;Be[Rd&7](21,7,1.0,54,e);Sd=c[(e+8|0)>>2]|0;Be[Sd&7](22,3,-1.0,55,e);Td=c[(e+8|0)>>2]|0;Be[Td&7](22,14,1.0,56,e);Ud=c[(e+8|0)>>2]|0;Be[Ud&7](23,2,1.0,57,e);Vd=c[(e+8|0)>>2]|0;Wd=c[(d+4|0)>>2]|0;Xd=c[Wd>>2]|0;Yd=Xd+8|0;Zd=c[Yd>>2]|0;_d=Zd+2656|0;$d=+h[_d>>3];ae=-0.0-$d;Be[Vd&7](23,3,ae,58,e);be=c[(e+8|0)>>2]|0;Be[be&7](24,1,-1.0,59,e);ce=c[(e+8|0)>>2]|0;Be[ce&7](24,25,-1.0,60,e);de=c[(e+8|0)>>2]|0;Be[de&7](25,0,1.0,61,e);ee=c[(e+8|0)>>2]|0;fe=c[(d+4|0)>>2]|0;ge=c[fe>>2]|0;he=ge+8|0;ie=c[he>>2]|0;je=ie+1296|0;ke=+h[je>>3];le=-0.0-ke;Be[ee&7](25,1,le,62,e);i=b;c[b+7328>>2]=5;break a}$c=+lH(c[d+536>>2]|0,v,7673528,8056,+h[C>>3],(a[d+319|0]|0)!=0|0);ad=1.0/$c;bd=c[(e+8|0)>>2]|0;cd=ad*ad;Be[bd&7](16,10,cd,41,e);dd=c[(e+8|0)>>2]|0;Be[dd&7](17,4,-1.0,42,e);ed=c[(e+8|0)>>2]|0;Be[ed&7](17,5,-1.0,43,e);fd=c[(e+8|0)>>2]|0;Be[fd&7](17,6,-1.0,44,e);gd=c[(e+8|0)>>2]|0;Be[gd&7](17,8,-1.0,45,e);hd=c[(e+8|0)>>2]|0;Be[hd&7](17,14,-1.0,46,e);id=c[(e+8|0)>>2]|0;Be[id&7](18,7,1.0,47,e);jd=c[(e+8|0)>>2]|0;kd=c[(d+4|0)>>2]|0;ld=c[kd>>2]|0;md=ld+8|0;nd=c[md>>2]|0;od=nd+2664|0;pd=+h[od>>3];qd=-0.0-pd;Be[jd&7](18,8,qd,48,e);rd=c[(e+8|0)>>2]|0;sd=c[(d+4|0)>>2]|0;td=c[sd>>2]|0;ud=td+8|0;vd=c[ud>>2]|0;wd=vd+2696|0;xd=+h[wd>>3];yd=-0.0-xd;Be[rd&7](19,6,yd,49,e);zd=c[(e+8|0)>>2]|0;Be[zd&7](19,7,1.0,50,e);Ad=c[(e+8|0)>>2]|0;Bd=c[(d+4|0)>>2]|0;Cd=c[Bd>>2]|0;Dd=Cd+8|0;Ed=c[Dd>>2]|0;Fd=Ed+2680|0;Gd=+h[Fd>>3];Hd=-0.0-Gd;Be[Ad&7](20,5,Hd,51,e);Id=c[(e+8|0)>>2]|0;Be[Id&7](20,7,1.0,52,e);Jd=c[(e+8|0)>>2]|0;Kd=c[(d+4|0)>>2]|0;Ld=c[Kd>>2]|0;Md=Ld+8|0;Nd=c[Md>>2]|0;Od=Nd+2704|0;Pd=+h[Od>>3];Qd=-0.0-Pd;Be[Jd&7](21,4,Qd,53,e);Rd=c[(e+8|0)>>2]|0;Be[Rd&7](21,7,1.0,54,e);Sd=c[(e+8|0)>>2]|0;Be[Sd&7](22,3,-1.0,55,e);Td=c[(e+8|0)>>2]|0;Be[Td&7](22,14,1.0,56,e);Ud=c[(e+8|0)>>2]|0;Be[Ud&7](23,2,1.0,57,e);Vd=c[(e+8|0)>>2]|0;Wd=c[(d+4|0)>>2]|0;Xd=c[Wd>>2]|0;Yd=Xd+8|0;Zd=c[Yd>>2]|0;_d=Zd+2656|0;$d=+h[_d>>3];ae=-0.0-$d;Be[Vd&7](23,3,ae,58,e);be=c[(e+8|0)>>2]|0;Be[be&7](24,1,-1.0,59,e);ce=c[(e+8|0)>>2]|0;Be[ce&7](24,25,-1.0,60,e);de=c[(e+8|0)>>2]|0;Be[de&7](25,0,1.0,61,e);ee=c[(e+8|0)>>2]|0;fe=c[(d+4|0)>>2]|0;ge=c[fe>>2]|0;he=ge+8|0;ie=c[he>>2]|0;je=ie+1296|0;ke=+h[je>>3];le=-0.0-ke;Be[ee&7](25,1,le,62,e);i=b;c[b+7328>>2]=5;break a}while(0)}



function De(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function Ee(){return i|0}function Fe(a){a=a|0;i=a}function Ge(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function He(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function Ie(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function Je(a){a=a|0;K=a}function Ke(a){a=a|0;L=a}function Le(a){a=a|0;M=a}function Me(a){a=a|0;N=a}function Ne(a){a=a|0;O=a}function Oe(a){a=a|0;P=a}function Pe(a){a=a|0;Q=a}function Qe(a){a=a|0;R=a}function Re(a){a=a|0;S=a}function Se(a){a=a|0;T=a}function Te(){c[1926998]=q+8;c[1927e3]=q+8;c[1927002]=p+8;c[1927006]=p+8;c[1927010]=p+8;c[1927014]=p+8;c[1927018]=p+8;c[1927022]=p+8;c[1927026]=q+8;c[1927060]=p+8;c[1927064]=p+8;c[1927128]=p+8;c[1927132]=p+8;c[1927152]=q+8;c[1927154]=p+8;c[1927190]=p+8;c[1927194]=p+8;c[1927230]=p+8;c[1927234]=p+8;c[1927254]=q+8;c[1927256]=q+8;c[1927258]=p+8;c[1927262]=p+8;c[1927266]=p+8;c[1927270]=p+8;c[1927274]=p+8;c[1927278]=q+8;c[1927280]=q+8;c[1927282]=q+8;c[1927284]=p+8;c[1927288]=p+8;c[1927292]=q+8;c[1927294]=q+8;c[1927296]=q+8;c[1927298]=q+8;c[1927324]=p+8;c[1927328]=p+8;c[1927332]=q+8;c[1927334]=p+8;c[1927338]=p+8;c[1927342]=p+8;c[1927346]=q+8;c[1927348]=q+8;c[1927350]=q+8;c[1927352]=q+8;c[1927386]=q+8;c[1927388]=q+8;c[1927390]=q+8;c[1927392]=p+8;c[1927396]=p+8;c[1927400]=p+8;c[1927404]=p+8;c[1927408]=p+8;c[1927412]=p+8}function Ue(a){a=a|0;var b=0;b=a+540|0;ke[c[(c[b>>2]|0)+40>>2]&255](a)|0;ke[c[(c[b>>2]|0)+28>>2]&255](a)|0;ke[c[(c[b>>2]|0)+32>>2]&255](a)|0;ke[c[(c[b>>2]|0)+48>>2]&255](a)|0;ke[c[(c[b>>2]|0)+52>>2]&255](a)|0;hK(a);return}function Ve(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[1931172]|0)==0){l=0}else{m=c[a+88>>2]|0;n=laa(m|0)|0;o=L9(n+11|0)|0;maa(o|0,m|0,n|0)|0;naa(o+n|0,7700688,11)|0;n=Hc(o|0,7700680)|0;if((n|0)==0){m=ld(c[(kd()|0)>>2]|0)|0;hH(23,0,7680856,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Pa(0)|0;q=0}else{q=n}M9(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}xe[c[2191]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[1931172]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{zI(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}zI(2);yI(2)}nI(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){fH(23,0,7669680,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];WJ(a,b);L=+h[k>>3];M=+h[v>>3];fH(23,1,7658656,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];WX(7650760,(+h[k>>3]-M)/(+h[q>>3]-M));N=mL(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Ue(a);iK(a);if((c[1928889]|0)!=0){he[c[3556]&511](23)}if((c[1931172]|0)!=0){yI(4)}l=YJ(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];fH(7,1,7644408,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?7637184:7630664,h[p+8>>3]=M,p)|0);i=p;if((c[1929070]|0)==0){ie[c[2005]&255](8e3,a)}_J(a,c[x>>2]|0,k,b);if((c[1928873]|0)!=0){he[c[3556]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;mK(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[1931172]|0)!=0){BI(4)}if((yL(a,1,1)|0)!=0){c[s>>2]=1;mK(a)}ke[c[(c[y>>2]|0)+88>>2]&255](a)|0;hK(a);qK(a);iK(a);do{if((H|0)==0){O=0}else{yI(7);BI(2);l=(Ya(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Ya(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+tI(2);if(!P){Q=0;break}Q=(Ya(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+tI(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=oI(R+9|0)|0;if((S|0)==0){T=0}else{T=(Ya(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+tI(S+9|0);if((R|0)==0){_=0}else{_=(Ya(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}BI(7);if(($|0)!=0){O=H;break}R=ld(c[(kd()|0)>>2]|0)|0;hH(23,0,7625096,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Pa(H|0)|0;O=0}}while(0);if((c[1929070]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;ie[c[2005]&255](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[1928924]|0)!=0){ZG(A,7742912);Wa(10,A|0)|0;S=c[1935726]|0;fH(1,0,7700624,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((XK(a,0)|0)!=0){aa=58;break}if((NK(a,0)|0)!=0){aa=58;break}if((CK(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){fH(1,0,7695912,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((XK(a,0)|0)!=0){fH(1,0,7691696,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((NK(a,0)|0)!=0){fH(1,0,7689016,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(CK(a,0)|0)==0;M=+h[k>>3];if(H){fH(1,0,7685928,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{fH(1,0,7687072,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Pa(J|0)|0;i=d;return I|0}function We(a){a=a|0;return 0}function Xe(a){a=a|0;return 0}function Ye(a){a=a|0;return 0}function Ze(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[a+416>>2]|0;d=+h[b+19048>>3];e=+h[b+19072>>3];b=a+4|0;f=+EI(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+16>>3],-2);h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+280>>3]=d*e*f*+(c[(c[a+420>>2]|0)+48>>2]|0)*-1256637061435917.0e-21;return}function _e(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=+h[(c[e+8>>2]|0)+16>>3];g=b+416|0;i=c[g>>2]|0;j=+h[i+19088>>3];k=+h[i+19096>>3];l=f*f;do{if(f!=0.0){m=k/f}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,f,7681704,7712120,+h[e>>3],(a[b+319|0]|0)!=0|0)}}while(0);e=c[(c[b+420>>2]|0)+52>>2]|0;f=+(e|0);if(l*(m*3.141592653589793+1.0)!=0.0){i=c[c[d>>2]>>2]|0;m=+h[(c[i+8>>2]|0)+16>>3];n=+h[(c[g>>2]|0)+19096>>3];do{if(m!=0.0){o=n/m}else{if(n==0.0){o=n;break}o=n/+lH(c[b+536>>2]|0,m,7681704,7712120,+h[i>>3],(a[b+319|0]|0)!=0|0)}}while(0);p=f/(l*(o*3.141592653589793+1.0));q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}if((e|0)==0){p=f;q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}e=c[b+536>>2]|0;i=c[c[d>>2]>>2]|0;o=+h[(c[i+8>>2]|0)+16>>3];m=+h[(c[g>>2]|0)+19096>>3];do{if(o!=0.0){y=m/o;z=i}else{if(m==0.0){y=m;z=i;break}n=m/+lH(e,o,7681704,7712120,+h[i>>3],(a[b+319|0]|0)!=0|0);y=n;z=c[c[d>>2]>>2]|0}}while(0);p=f/+lH(e,l*(y*3.141592653589793+1.0),7680744,7712120,+h[z>>3],(a[b+319|0]|0)!=0|0);q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+224|0;h[x>>3]=s;return}function $e(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[c[b+356>>2]|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[c[b+356>>2]|0]|0;i=b+416|0;j=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=j;d=g;e=i;break}else{i=b+416|0;g=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=g;d=g;e=i;break}}else{if(f){f=a[c[b+356>>2]|0]|0;i=b+416|0;g=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3])|0;a[c[b+352>>2]|0]=g;d=f;e=i;break}else{i=b+416|0;f=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+18272>>3])|0;a[c[b+352>>2]|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+18264>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+856|0;h[s>>3]=m;return}l=+h[i+18280>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+856|0;h[s>>3]=m;return}function af(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0.0,l=0.0;d=i;e=b+4|0;f=c[c[e>>2]>>2]|0;g=+h[(c[f+8>>2]|0)+16>>3];j=b+416|0;k=+h[(c[j>>2]|0)+19096>>3];do{if(g!=0.0){l=k/g}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,g,7681704,7712112,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);g=l*3.141592653589793+1.0;if(!(g>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711328,7679864,(b=i,i=i+8|0,h[b>>3]=g,b)|0);i=b}l=+h[(c[j>>2]|0)+19088>>3]*+ea(g)*4.0e-7;h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+232>>3]=l;i=d;return}function bf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+232>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+240|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7678512,7712104,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+240|0;h[l>>3]=k;return}function cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+256>>3]=+h[b>>3]*+h[b+240>>3];return}function df(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+256>>3];h[b+248>>3]=d*d*+h[b+224>>3]*.5;return}function ef(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+19048>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+16>>3];k=+h[d+19072>>3];do{if(j!=0.0){l=k/j;m=i}else{if(k==0.0){l=k;m=i;break}n=k/+lH(c[b+536>>2]|0,j,7681704,7712096,+h[g>>3],(a[b+319|0]|0)!=0|0);l=n;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0}}while(0);h[m+288>>3]=e*l*1256637061435917.0e-21;return}function ff(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+288>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+296|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7677632,7712088,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+296|0;h[l>>3]=k;return}function gf(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+204>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+520>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+520|0;h[c[f+208>>2]>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+520>>3]);d=c[e>>2]|0;h[c[d+212>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+204>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+696>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+696|0;h[(c[d+208>>2]|0)+8>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+696>>3]);h[(c[(c[e>>2]|0)+212>>2]|0)+8>>3]=i;WK(a,2)|0;g=c[(c[e>>2]|0)+204>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+520>>3]=+h[g>>3];h[e+696>>3]=+h[g+8>>3];xk(a);yk(a);zk(a);Ak(a);Bk(a);Ck(a);Dk(a);Ek(a);Fk(a);Gk(a);Hk(a);Ik(a);Jk(a);Kk(a);Lk(a);Mk(a);Nk(a);Ok(a);Pk(a);Qk(a);Rk(a);Sk(a);Tk(a);Uk(a);Vk(a);Wk(a);Xk(a);Yk(a);Zk(a);_k(a);return}function hf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+784>>3]=-0.0- +h[b+312>>3]- +h[b>>3];return}function jf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2992>>3];i=+h[f+784>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+488|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+488|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7676256,7711968,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+488|0;h[m>>3]=k;return}function kf(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+488>>3],+h[f+18816>>3],+h[f+18824>>3],+h[f+18832>>3],+h[f+18840>>3],+h[f+18848>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+472>>3]=+h[d>>3];i=b;return}function lf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+472>>3];i=+h[(c[b+416>>2]|0)+18856>>3];j=+h[f+2992>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7675216,7711960,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+496>>3]=g*k*1256637061435917.0e-21;return}function mf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+496>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+504|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7674056,7711952,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+504|0;h[l>>3]=k;return}function nf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+472>>3]*1256637061435917.0e-21;i=+h[f+488>>3];if(g!=0.0){j=i/g;k=f;l=k+480|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+480|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7673016,7711944,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+480|0;h[l>>3]=j;return}function of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+512>>3]=+h[b+504>>3]*(-0.0- +h[b+784>>3]);return}function pf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+776>>3]=+h[(c[a+416>>2]|0)+18488>>3]*+h[b+784>>3];return}function qf(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+19072>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+312>>3];if(d!=0.0){j=i/d;k=g;l=k+272|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+272|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7671992,7711936,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+272|0;h[l>>3]=j;return}function rf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+3016>>3];i=+h[f+216>>3];if(g!=0.0){j=i/g;k=f;l=k+208|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+208|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7671168,7711928,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+208|0;h[l>>3]=j;return}function sf(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+19104>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+208>>3];if(d!=0.0){j=i/d;k=g;l=k+200|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+200|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7669616,7711920,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+200|0;h[l>>3]=j;return}function tf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+848>>3]=+h[b+784>>3]- +h[b+216>>3]- +h[b+520>>3]- +h[b+528>>3];return}function uf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+720>>3]*1256637061435917.0e-21;i=+h[f+736>>3];if(g!=0.0){j=i/g;k=f;l=k+728|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+728|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7668824,7711912,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+728|0;h[l>>3]=j;return}function vf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+656>>3]*1256637061435917.0e-21;i=+h[f+672>>3];if(g!=0.0){j=i/g;k=f;l=k+664|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+664|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7667088,7711904,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+664|0;h[l>>3]=j;return}function wf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+600>>3]*1256637061435917.0e-21;i=+h[f+616>>3];if(g!=0.0){j=i/g;k=f;l=k+608|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+608|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7665712,7711896,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+608|0;h[l>>3]=j;return}function xf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+544>>3]*1256637061435917.0e-21;i=+h[f+560>>3];if(g!=0.0){j=i/g;k=f;l=k+552|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+552|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7664448,7711888,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+552|0;h[l>>3]=j;return}function yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+792>>3]=+h[b+816>>3]+ +h[b+512>>3];return}function zf(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18488>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+792>>3];if(d!=0.0){j=i/d;k=g;l=k+800|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+800|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7663520,7711880,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+800|0;h[l>>3]=j;return}function Af(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+800>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+776>>3]*1.0e13;j=g}else{k=+h[g+800>>3];l=+h[g+776>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7662296,7711872,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+768>>3]=+V(+i);return}function Bf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+832>>3]=+h[b+2928>>3]*+h[b+800>>3];return}function Cf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+808>>3]=+h[b+856>>3]- +h[b+832>>3];return}function Df(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+18488>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+808>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+1160|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+1160|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7663520,7711864,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+1160|0;h[m>>3]=k;return}function Ef(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2992>>3];i=+h[f+1160>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+976|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+976|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7676256,7711856,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+976|0;h[m>>3]=k;return}function Ff(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+18824>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+488>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+488>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+488>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+488>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+488>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+18824>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+488>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7661152,7711848,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+18840>>3];p=+h[g+18824>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+488>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7661152,7711848,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+18824>>3];x=B;y=C;z=+h[C+488>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7661152,7711848,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+18824>>3];I=+h[g+488>>3]}}while(0);w=+V(+D);D=+h[E+18848>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+18832>>3];p=+h[G+976>>3];G=H!=0.0;u=+h[E+18840>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7661152,7711848,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+18824>>3];O=y;P=+h[(c[y+8>>2]|0)+488>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7661152,7711848,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+18824>>3];T=x;U=+h[(c[x+8>>2]|0)+488>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+18848>>3]))+1.0==0.0;o=+h[R+18840>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7661152,7711848,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+18824>>3];_=v;$=+h[(c[v+8>>2]|0)+488>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7661152,7711848,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+18848>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7661152,7711848,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+18824>>3];fa=x;ga=+h[(c[x+8>>2]|0)+488>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7661152,7711848,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+18824>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+18848>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7661152,7711848,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+18816>>3];ha=+h[K+18832>>3];ea=+h[K+18824>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+488>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7661152,7711848,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+18824>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+18840>>3];ha=+h[pa+976>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7661152,7711848,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+18824>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+488>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7661152,7711848,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+18824>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+18848>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+976>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7661152,7711848,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7661152,7711848,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+18824>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+488>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7661152,7711848,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+18824>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+488>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+18848>>3]))+1.0==0.0;r=+h[Pa+18840>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7661152,7711848,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+18824>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+488>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7661152,7711848,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+18848>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7661152,7711848,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+18824>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+488>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7661152,7711848,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+18824>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+18848>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7661152,7711848,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+18816>>3];p=+h[Ia+18832>>3];z=+h[Ia+18824>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+488>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7661152,7711848,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+18824>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+18840>>3];p=+h[lb+976>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7661152,7711848,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+18824>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+488>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7661152,7711848,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+18824>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+18848>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+976>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7661152,7711848,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+976>>3];Bb=+h[pb+18824>>3]}}while(0);tb=+h[xb+18832>>3];ub=Bb!=0.0;ob=+h[xb+18840>>3];hb=+h[zb+488>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+18848>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7661152,7711848,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+18824>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+488>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7661152,7711848,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+18824>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+488>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+18848>>3]))+1.0==0.0;Aa=+h[Kb+18840>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7661152,7711848,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+18824>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+488>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7661152,7711848,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+18848>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7661152,7711848,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+18824>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+488>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7661152,7711848,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+18824>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+18848>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7661152,7711848,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+18816>>3];_b=+h[Db+18832>>3];Xb=+h[Db+18824>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+488>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7661152,7711848,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+18824>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+18840>>3];_b=+h[gc+976>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7661152,7711848,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+18824>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+488>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7661152,7711848,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+18824>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+18848>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+976>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7661152,7711848,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+18848>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7661152,7711848,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+18824>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+488>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7661152,7711848,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+18824>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+488>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+18848>>3]))+1.0==0.0;wb=+h[Ac+18840>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7661152,7711848,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+18824>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+488>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7661152,7711848,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+18848>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7661152,7711848,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+18824>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+488>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7661152,7711848,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+18824>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+18848>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7661152,7711848,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+18816>>3];Ab=+h[tc+18832>>3];k=+h[tc+18824>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+488>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7661152,7711848,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+18824>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+18840>>3];Ab=+h[Yc+976>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7661152,7711848,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+18824>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+488>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7661152,7711848,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+18824>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+18848>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+976>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7661152,7711848,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7660144,7711848,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+1120|0;h[Ga>>3]=Ba;return}}function Gf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1120>>3];i=+h[(c[b+416>>2]|0)+18856>>3];j=+h[f+2992>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7675216,7711840,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+968>>3]=g*k*1256637061435917.0e-21;return}function Hf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+496>>3];i=g*g;g=+h[f+968>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+960|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+960|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7659392,7711832,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+960|0;h[m>>3]=k;return}function If(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1112>>3]=+h[b+960>>3]*(-0.0- +h[b+784>>3])+ +h[b+504>>3]*(-0.0- +h[b+1160>>3]);return}function Jf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+824>>3]=+h[b+832>>3]*+h[b+800>>3];return}function Kf(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+320>>3];h[b+304>>3]=d*d*+h[b+280>>3]*.5;return}function Lf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+464>>3]=+h[b+248>>3]+ +h[b+304>>3];return}function Mf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+88>>3]=+h[b+8>>3];return}function Nf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+392>>3]=-0.0- +h[b+88>>3];return}function Of(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+168>>3]=+h[b+88>>3];return}function Pf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+16>>3];i=b+416|0;j=c[i>>2]|0;k=+h[j+19088>>3];l=+h[j+19096>>3];m=-0.0-l;n=g*g;do{if(g!=0.0){o=l/g;p=e;q=f}else{if(l==0.0){o=l;p=e;q=f;break}r=l/+lH(c[b+536>>2]|0,g,7681704,7711824,+h[e>>3],(a[b+319|0]|0)!=0|0);j=c[c[d>>2]>>2]|0;o=r;p=j;q=c[j+8>>2]|0}}while(0);g=+h[q+88>>3];if(n*(o*3.141592653589793+1.0)!=0.0){o=+h[q+16>>3];l=+h[(c[i>>2]|0)+19096>>3];do{if(o!=0.0){s=l/o}else{if(l==0.0){s=l;break}s=l/+lH(c[b+536>>2]|0,o,7681704,7711824,+h[p>>3],(a[b+319|0]|0)!=0|0)}}while(0);t=g/(n*(s*3.141592653589793+1.0));u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}if(g==0.0){t=g;u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}e=c[b+536>>2]|0;s=+h[q+16>>3];o=+h[(c[i>>2]|0)+19096>>3];do{if(s!=0.0){C=o/s;D=p}else{if(o==0.0){C=o;D=p;break}l=o/+lH(e,s,7681704,7711824,+h[p>>3],(a[b+319|0]|0)!=0|0);C=l;D=c[c[d>>2]>>2]|0}}while(0);t=g/+lH(e,n*(C*3.141592653589793+1.0),7680744,7711824,+h[D>>3],(a[b+319|0]|0)!=0|0);u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+1008|0;h[B>>3]=w;return}function Qf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+232>>3];i=g*g;g=+h[f+1008>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+1e3|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+1e3|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7658616,7711816,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1e3|0;h[m>>3]=k;return}function Rf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+16>>3];i=c[b+416>>2]|0;j=+h[i+19048>>3];k=-0.0- +h[i+19072>>3];l=g*g;g=+h[f+88>>3];do{if(l!=0.0){m=g/l;n=f}else{if(g==0.0){m=g;n=f;break}o=g/+lH(c[b+536>>2]|0,l,7658024,7711808,+h[e>>3],(a[b+319|0]|0)!=0|0);m=o;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[n+992>>3]=j*m*k*1256637061435917.0e-21;return}function Sf(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+288>>3];i=g*g;g=+h[f+992>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+984|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+984|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7656328,7711800,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+984|0;h[m>>3]=k;return}function Tf(a){a=a|0;var b=0,d=0;MK(a,5)|0;b=c[(c[a+476>>2]|0)+348>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1136>>3]=+h[b>>3];h[d+72>>3]=+h[b+8>>3];h[d+1184>>3]=+h[b+16>>3];h[d+1096>>3]=+h[b+24>>3];h[d+936>>3]=+h[b+32>>3];h[d+944>>3]=+h[b+40>>3];h[d+1104>>3]=+h[b+48>>3];h[d+952>>3]=+h[b+56>>3];h[d+1168>>3]=+h[b+64>>3];h[d+1192>>3]=+h[b+72>>3];h[d+1200>>3]=+h[b+80>>3];h[d+1176>>3]=+h[b+88>>3];h[d+912>>3]=+h[b+96>>3];h[d+920>>3]=+h[b+104>>3];h[d+1088>>3]=+h[b+112>>3];h[d+928>>3]=+h[b+120>>3];h[d+1080>>3]=+h[b+128>>3];h[d+888>>3]=+h[b+136>>3];h[d+896>>3]=+h[b+144>>3];h[d+1072>>3]=+h[b+152>>3];h[d+904>>3]=+h[b+160>>3];h[d+1016>>3]=+h[b+168>>3];h[d+1064>>3]=+h[b+176>>3];h[d+1208>>3]=+h[b+184>>3];h[d+880>>3]=+h[b+192>>3];h[d+1056>>3]=+h[b+200>>3];h[d+872>>3]=+h[b+208>>3];h[d+864>>3]=+h[b+216>>3];h[d+1048>>3]=+h[b+224>>3];h[d+1024>>3]=+h[b+232>>3];h[d+1032>>3]=+h[b+240>>3];h[d+1152>>3]=+h[b+248>>3];h[d+1144>>3]=+h[b+256>>3];h[d+1128>>3]=+h[b+264>>3];return}function Uf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1040>>3]=+h[b+1144>>3]+ +h[b+1112>>3];return}function Vf(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18488>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1040>>3];if(d!=0.0){j=i/d;k=g;l=k+1216|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1216|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7663520,7711792,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1216|0;h[l>>3]=j;return}function Wf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+440>>3]=+h[b+16>>3]+ +h[(c[a+416>>2]|0)+18936>>3]*-.5;return}function Xf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+264>>3]=+h[b+440>>3]+ +h[(c[a+416>>2]|0)+18936>>3]*-.5;return}function Yf(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+336>>3]=+h[b+264>>3]- +h[(c[a+416>>2]|0)+19040>>3];return}function Zf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+1|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+1|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3])|0;a[(c[b+352>>2]|0)+1|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+336>>3],+h[(c[b+416>>2]|0)+19016>>3])|0;a[(c[b+352>>2]|0)+1|0]=f;d=f;e=i;break}}}}while(0);a[c[(c[c[e>>2]>>2]|0)+16>>2]|0]=d;return}function _f(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[c[d+16>>2]|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+352|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+19008>>3]*+h[i+8>>3];f=i;g=f+352|0;h[g>>3]=e;return}}function $f(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[c[d+16>>2]|0]|0)==0){f=0.0;g=e+360|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+336>>3]- +h[d+19016>>3]));f=i*i*(-0.0- +h[d+19e3>>3]);g=e+360|0;h[g>>3]=f;return}function ag(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[c[b+16>>2]|0]|0)==0){f=0.0;g=e;i=g+344|0;h[i>>3]=f;return}b=(wK(+h[e+352>>3],+h[e+360>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+360>>3];g=e;i=g+344|0;h[i>>3]=f;return}b=(yK(+h[e+352>>3],-0.0- +h[e+360>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+352>>3];g=e;i=g+344|0;h[i>>3]=f;return}else{f=-0.0- +h[e+360>>3];g=e;i=g+344|0;h[i>>3]=f;return}}function bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+368>>3]=+h[b+344>>3]*+h[b+8>>3];return}function cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+376>>3]=+h[b+360>>3]+ +h[b+344>>3];return}function dg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+456>>3]=+h[b+464>>3]- +h[b+376>>3];return}function eg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+384>>3]=+h[(c[a+416>>2]|0)+19032>>3]- +h[b+16>>3];return}function fg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+2|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+2|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3])|0;a[(c[b+352>>2]|0)+2|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+384>>3],+h[(c[b+416>>2]|0)+18976>>3])|0;a[(c[b+352>>2]|0)+2|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+1|0]=d;return}function gg(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+1|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+408|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18968>>3]*+h[i+392>>3];f=i;g=f+408|0;h[g>>3]=e;return}}function hg(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+1|0]|0)==0){f=0.0;g=e+416|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+384>>3]- +h[d+18976>>3]));f=i*i*(-0.0- +h[d+18960>>3]);g=e+416|0;h[g>>3]=f;return}function ig(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+1|0]|0)==0){f=0.0;g=e;i=g+400|0;h[i>>3]=f;return}b=(wK(+h[e+408>>3],+h[e+416>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+416>>3];g=e;i=g+400|0;h[i>>3]=f;return}b=(yK(+h[e+408>>3],-0.0- +h[e+416>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+408>>3];g=e;i=g+400|0;h[i>>3]=f;return}else{f=-0.0- +h[e+416>>3];g=e;i=g+400|0;h[i>>3]=f;return}}function jg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+424>>3]=+h[b+400>>3]*+h[b+392>>3];return}function kg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+432>>3]=+h[b+416>>3]+ +h[b+400>>3];return}function lg(a){a=a|0;var b=0,d=0;MK(a,6)|0;b=c[(c[a+476>>2]|0)+412>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+448>>3]=+h[b>>3];h[d+184>>3]=+h[b+8>>3];h[d+840>>3]=+h[b+16>>3];return}function mg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+80>>3]=+h[b+184>>3];return}function ng(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+176>>3]=+h[b+16>>3]+ +h[(c[a+416>>2]|0)+19176>>3]*.5;return}function og(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+192>>3]=+h[b+176>>3]+ +h[(c[a+416>>2]|0)+19176>>3]*.5;return}function pg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2008>>3]=+h[b+2736>>3]*+h[b+64>>3];return}function qg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2e3>>3]=+h[b+2008>>3]*+h[b+64>>3];return}function rg(a){a=a|0;var b=0,d=0.0,e=0.0,f=0.0;b=c[a+416>>2]|0;d=+h[b+18096>>3];e=+h[b+18120>>3];b=a+4|0;f=+EI(+h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+40>>3],-2);h[(c[(c[c[b>>2]>>2]|0)+8>>2]|0)+1336>>3]=d*e*f*+(c[(c[a+420>>2]|0)+24>>2]|0)*-1256637061435917.0e-21;return}function sg(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=+h[(c[e+8>>2]|0)+40>>3];g=b+416|0;i=c[g>>2]|0;j=+h[i+18136>>3];k=+h[i+18144>>3];l=f*f;do{if(f!=0.0){m=k/f}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,f,7655608,7711784,+h[e>>3],(a[b+319|0]|0)!=0|0)}}while(0);e=c[(c[b+420>>2]|0)+28>>2]|0;f=+(e|0);if(l*(m*3.141592653589793+1.0)!=0.0){i=c[c[d>>2]>>2]|0;m=+h[(c[i+8>>2]|0)+40>>3];n=+h[(c[g>>2]|0)+18144>>3];do{if(m!=0.0){o=n/m}else{if(n==0.0){o=n;break}o=n/+lH(c[b+536>>2]|0,m,7655608,7711784,+h[i>>3],(a[b+319|0]|0)!=0|0)}}while(0);p=f/(l*(o*3.141592653589793+1.0));q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}if((e|0)==0){p=f;q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}e=c[b+536>>2]|0;i=c[c[d>>2]>>2]|0;o=+h[(c[i+8>>2]|0)+40>>3];m=+h[(c[g>>2]|0)+18144>>3];do{if(o!=0.0){y=m/o;z=i}else{if(m==0.0){y=m;z=i;break}n=m/+lH(e,o,7655608,7711784,+h[i>>3],(a[b+319|0]|0)!=0|0);y=n;z=c[c[d>>2]>>2]|0}}while(0);p=f/+lH(e,l*(y*3.141592653589793+1.0),7654728,7711784,+h[z>>3],(a[b+319|0]|0)!=0|0);q=k*p;r=j*q;s=r*-1256637061435917.0e-21;t=c[d>>2]|0;u=c[t>>2]|0;v=u+8|0;w=c[v>>2]|0;x=w+1280|0;h[x>>3]=s;return}function tg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+3|0]|0;e=b+416|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+3|0]|0;i=b+416|0;j=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=j;d=g;e=i;break}else{i=b+416|0;g=uK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+3|0]|0;i=b+416|0;g=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3])|0;a[(c[b+352>>2]|0)+3|0]=g;d=f;e=i;break}else{i=b+416|0;f=wK(+h[c[c[b+4>>2]>>2]>>3],+h[(c[i>>2]|0)+17032>>3])|0;a[(c[b+352>>2]|0)+3|0]=f;d=f;e=i;break}}}}while(0);i=c[e>>2]|0;k=+h[i+17024>>3];if(!(d<<24>>24==0)){l=0.0;m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+2176|0;h[s>>3]=m;return}l=+h[i+17040>>3];m=k+l;n=b+4|0;o=c[n>>2]|0;p=c[o>>2]|0;q=p+8|0;r=c[q>>2]|0;s=r+2176|0;h[s>>3]=m;return}function ug(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2104>>3]=+h[b+2176>>3]- +h[b+2008>>3];return}function vg(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0,k=0.0,l=0.0;d=i;e=b+4|0;f=c[c[e>>2]>>2]|0;g=+h[(c[f+8>>2]|0)+40>>3];j=b+416|0;k=+h[(c[j>>2]|0)+18144>>3];do{if(g!=0.0){l=k/g}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,g,7655608,7711776,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);g=l*3.141592653589793+1.0;if(!(g>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711328,7653960,(b=i,i=i+8|0,h[b>>3]=g,b)|0);i=b}l=+h[(c[j>>2]|0)+18136>>3]*+ea(g)*4.0e-7;h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1288>>3]=l;i=d;return}function wg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1288>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1296|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7653288,7711768,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1296|0;h[l>>3]=k;return}function xg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1312>>3]=+h[b+24>>3]*+h[b+1296>>3];return}function yg(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1312>>3];h[b+1304>>3]=d*d*+h[b+1280>>3]*.5;return}function zg(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0.0;d=c[b+416>>2]|0;e=+h[d+18096>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=c[g+8>>2]|0;j=+h[i+40>>3];k=+h[d+18120>>3];do{if(j!=0.0){l=k/j;m=i}else{if(k==0.0){l=k;m=i;break}n=k/+lH(c[b+536>>2]|0,j,7655608,7711760,+h[g>>3],(a[b+319|0]|0)!=0|0);l=n;m=c[(c[c[f>>2]>>2]|0)+8>>2]|0}}while(0);h[m+1344>>3]=e*l*1256637061435917.0e-21;return}function Ag(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1344>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1352|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7652424,7711752,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1352|0;h[l>>3]=k;return}function Bg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[b+32>>3];return}function Cg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1440>>3]=-0.0- +h[b+112>>3];return}function Dg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1224>>3]=+h[b+112>>3];return}function Eg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+40>>3];i=b+416|0;j=c[i>>2]|0;k=+h[j+18136>>3];l=+h[j+18144>>3];m=-0.0-l;n=g*g;do{if(g!=0.0){o=l/g;p=e;q=f}else{if(l==0.0){o=l;p=e;q=f;break}r=l/+lH(c[b+536>>2]|0,g,7655608,7711744,+h[e>>3],(a[b+319|0]|0)!=0|0);j=c[c[d>>2]>>2]|0;o=r;p=j;q=c[j+8>>2]|0}}while(0);g=+h[q+112>>3];if(n*(o*3.141592653589793+1.0)!=0.0){o=+h[q+40>>3];l=+h[(c[i>>2]|0)+18144>>3];do{if(o!=0.0){s=l/o}else{if(l==0.0){s=l;break}s=l/+lH(c[b+536>>2]|0,o,7655608,7711744,+h[p>>3],(a[b+319|0]|0)!=0|0)}}while(0);t=g/(n*(s*3.141592653589793+1.0));u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}if(g==0.0){t=g;u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}e=c[b+536>>2]|0;s=+h[q+40>>3];o=+h[(c[i>>2]|0)+18144>>3];do{if(s!=0.0){C=o/s;D=p}else{if(o==0.0){C=o;D=p;break}l=o/+lH(e,s,7655608,7711744,+h[p>>3],(a[b+319|0]|0)!=0|0);C=l;D=c[c[d>>2]>>2]|0}}while(0);t=g/+lH(e,n*(C*3.141592653589793+1.0),7654728,7711744,+h[D>>3],(a[b+319|0]|0)!=0|0);u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}function Fg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1288>>3];i=g*g;g=+h[f+2360>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2352|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2352|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7651808,7711736,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2352|0;h[m>>3]=k;return}function Gg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+40>>3];i=c[b+416>>2]|0;j=+h[i+18096>>3];k=-0.0- +h[i+18120>>3];l=g*g;g=+h[f+112>>3];do{if(l!=0.0){m=g/l;n=f}else{if(g==0.0){m=g;n=f;break}o=g/+lH(c[b+536>>2]|0,l,7651312,7711728,+h[e>>3],(a[b+319|0]|0)!=0|0);m=o;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[n+2344>>3]=j*m*k*1256637061435917.0e-21;return}function Hg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1344>>3];i=g*g;g=+h[f+2344>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2336|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2336|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7650720,7711720,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2336|0;h[m>>3]=k;return}function Ig(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2088>>3]=+h[b+64>>3]*+h[(c[a+416>>2]|0)+17232>>3];return}function Jg(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0.0;b=a+4|0;d=c[b>>2]|0;e=a+468|0;f=c[e>>2]|0;h[c[f+284>>2]>>3]=+h[(c[(c[d>>2]|0)+8>>2]|0)+1568>>3];g=(c[(c[d+4>>2]|0)+8>>2]|0)+1568|0;h[c[f+288>>2]>>3]=+h[g>>3];i=+YK(a,+h[g>>3],+h[(c[(c[d+8>>2]|0)+8>>2]|0)+1568>>3]);d=c[e>>2]|0;h[c[d+292>>2]>>3]=i;g=c[b>>2]|0;h[(c[d+284>>2]|0)+8>>3]=+h[(c[(c[g>>2]|0)+8>>2]|0)+1856>>3];f=(c[(c[g+4>>2]|0)+8>>2]|0)+1856|0;h[(c[d+288>>2]|0)+8>>3]=+h[f>>3];i=+YK(a,+h[f>>3],+h[(c[(c[g+8>>2]|0)+8>>2]|0)+1856>>3]);g=c[e>>2]|0;h[(c[g+292>>2]|0)+8>>3]=i;f=c[b>>2]|0;h[(c[g+284>>2]|0)+16>>3]=+h[(c[(c[f>>2]|0)+8>>2]|0)+2080>>3];d=(c[(c[f+4>>2]|0)+8>>2]|0)+2080|0;h[(c[g+288>>2]|0)+16>>3]=+h[d>>3];i=+YK(a,+h[d>>3],+h[(c[(c[f+8>>2]|0)+8>>2]|0)+2080>>3]);h[(c[(c[e>>2]|0)+292>>2]|0)+16>>3]=i;WK(a,3)|0;f=c[(c[e>>2]|0)+284>>2]|0;e=c[(c[c[b>>2]>>2]|0)+8>>2]|0;h[e+1568>>3]=+h[f>>3];h[e+1856>>3]=+h[f+8>>3];h[e+2080>>3]=+h[f+16>>3];bl(a);cl(a);dl(a);el(a);fl(a);gl(a);hl(a);il(a);jl(a);kl(a);ll(a);ml(a);nl(a);ol(a);pl(a);ql(a);rl(a);sl(a);tl(a);ul(a);vl(a);wl(a);xl(a);yl(a);zl(a);Al(a);Bl(a);Cl(a);Dl(a);El(a);Fl(a);Gl(a);Hl(a);Il(a);Jl(a);Kl(a);Ll(a);Ml(a);Nl(a);Ol(a);return}function Kg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2856>>3];i=+h[f+1272>>3];if(g!=0.0){j=i/g;k=f;l=k+1264|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1264|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7650240,7711544,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1264|0;h[l>>3]=j;return}function Lg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18152>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1264>>3];if(d!=0.0){j=i/d;k=g;l=k+1256|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1256|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7648672,7711536,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1256|0;h[l>>3]=j;return}function Mg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1816>>3]*1256637061435917.0e-21;i=+h[f+1832>>3];if(g!=0.0){j=i/g;k=f;l=k+1824|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1824|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7648120,7711528,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1824|0;h[l>>3]=j;return}function Ng(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1760>>3]*1256637061435917.0e-21;i=+h[f+1776>>3];if(g!=0.0){j=i/g;k=f;l=k+1768|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1768|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7647488,7711520,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1768|0;h[l>>3]=j;return}function Og(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1872>>3]*1256637061435917.0e-21;i=+h[f+1888>>3];if(g!=0.0){j=i/g;k=f;l=k+1880|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1880|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7647e3,7711512,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1880|0;h[l>>3]=j;return}function Pg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1704>>3]*1256637061435917.0e-21;i=+h[f+1720>>3];if(g!=0.0){j=i/g;k=f;l=k+1712|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1712|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7646496,7711504,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1712|0;h[l>>3]=j;return}function Qg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1648>>3]*1256637061435917.0e-21;i=+h[f+1664>>3];if(g!=0.0){j=i/g;k=f;l=k+1656|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1656|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7645928,7711496,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1656|0;h[l>>3]=j;return}function Rg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2816>>3];i=+h[f+1592>>3];if(g!=0.0){j=i/g;k=f;l=k+1584|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1584|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7645440,7711488,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1584|0;h[l>>3]=j;return}function Sg(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17776>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1584>>3];if(d!=0.0){j=i/d;k=g;l=k+1576|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1576|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7644944,7711480,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1576|0;h[l>>3]=j;return}function Tg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2072>>3]=+h[(c[a+416>>2]|0)+17232>>3]*+h[b+2080>>3];return}function Ug(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+2072>>3]*1.0e13;j=g}else{k=+h[g+64>>3];l=+h[g+2072>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7644376,7711472,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+2064>>3]=+V(+i);return}function Vg(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2032>>3]=-0.0- +h[b+1368>>3]- +h[b+24>>3]- +h[b+1592>>3];return}function Wg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2832>>3];i=+h[f+2032>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1536|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1536|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7642792,7711464,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1536|0;h[m>>3]=k;return}function Xg(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1536>>3],+h[f+17864>>3],+h[f+17872>>3],+h[f+17880>>3],+h[f+17888>>3],+h[f+17896>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1520>>3]=+h[d>>3];i=b;return}function Yg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1520>>3];i=+h[(c[b+416>>2]|0)+17904>>3];j=+h[f+2832>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7641248,7711456,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1544>>3]=g*k*1256637061435917.0e-21;return}function Zg(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1544>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1552|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7640816,7711448,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1552|0;h[l>>3]=k;return}function _g(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1520>>3]*1256637061435917.0e-21;i=+h[f+1536>>3];if(g!=0.0){j=i/g;k=f;l=k+1528|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1528|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7640224,7711440,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1528|0;h[l>>3]=j;return}function $g(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1560>>3]=+h[b+1552>>3]*(-0.0- +h[b+2032>>3]);return}function ah(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2144>>3]=+h[b+2032>>3]- +h[b+1272>>3]- +h[b+1568>>3]- +h[b+1624>>3]- +h[b+1632>>3];return}function bh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2024>>3]=+h[(c[a+416>>2]|0)+17240>>3]*+h[b+2032>>3];return}function ch(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2160>>3]=+h[b+2072>>3]+ +h[b+2024>>3];return}function dh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18120>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1368>>3];if(d!=0.0){j=i/d;k=g;l=k+1328|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1328|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7639800,7711432,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1328|0;h[l>>3]=j;return}function eh(a){a=a|0;var b=0,d=0.0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;d=+h[b+1376>>3];h[b+1360>>3]=d*d*+h[b+1336>>3]*.5;return}function fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1512>>3]=+h[b+1304>>3]+ +h[b+1360>>3];return}function gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2040>>3]=+h[b+1560>>3]+ +h[b+1616>>3];return}function hh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17240>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2040>>3];if(d!=0.0){j=i/d;k=g;l=k+2048|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2048|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7639272,7711424,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2048|0;h[l>>3]=j;return}function ih(a){a=a|0;var b=0,d=0;MK(a,7)|0;b=c[(c[a+476>>2]|0)+476>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+1968>>3]=+h[b>>3];h[d+1976>>3]=+h[b+8>>3];h[d+1928>>3]=+h[b+16>>3];h[d+1920>>3]=+h[b+24>>3];h[d+1952>>3]=+h[b+32>>3];h[d+1944>>3]=+h[b+40>>3];return}function jh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17376>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1968>>3];if(d!=0.0){j=i/d;k=g;l=k+128|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+128|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7638560,7711416,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+128|0;h[l>>3]=j;return}function kh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2168>>3]=-0.0- +h[b+64>>3]- +h[b+1968>>3];return}function lh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1960>>3]=+h[b+1976>>3]*+h[b+1968>>3];return}function mh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2096>>3]=+h[b+2104>>3]- +h[b+1920>>3];return}function nh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+17232>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2096>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+2632|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+2632|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7638136,7711408,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2632|0;h[m>>3]=k;return}function oh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2208|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2208|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7637680,7711400,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2208|0;h[m>>3]=k;return}function ph(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17408>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1888>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1888>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1888>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1888>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1888>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1888>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7637128,7711392,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17424>>3];p=+h[g+17408>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1888>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7637128,7711392,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17408>>3];x=B;y=C;z=+h[C+1888>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7637128,7711392,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17408>>3];I=+h[g+1888>>3]}}while(0);w=+V(+D);D=+h[E+17432>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17416>>3];p=+h[G+2208>>3];G=H!=0.0;u=+h[E+17424>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7637128,7711392,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17408>>3];O=y;P=+h[(c[y+8>>2]|0)+1888>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7637128,7711392,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17408>>3];T=x;U=+h[(c[x+8>>2]|0)+1888>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17432>>3]))+1.0==0.0;o=+h[R+17424>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7637128,7711392,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17408>>3];_=v;$=+h[(c[v+8>>2]|0)+1888>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7637128,7711392,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17432>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7637128,7711392,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17408>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1888>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7637128,7711392,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17408>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17432>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7637128,7711392,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17400>>3];ha=+h[K+17416>>3];ea=+h[K+17408>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1888>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7637128,7711392,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17408>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17424>>3];ha=+h[pa+2208>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7637128,7711392,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17408>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1888>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7637128,7711392,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17408>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17432>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2208>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7637128,7711392,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7637128,7711392,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17408>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1888>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7637128,7711392,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17408>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1888>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17432>>3]))+1.0==0.0;r=+h[Pa+17424>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7637128,7711392,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17408>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1888>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7637128,7711392,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17432>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7637128,7711392,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17408>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1888>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7637128,7711392,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17408>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17432>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7637128,7711392,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17400>>3];p=+h[Ia+17416>>3];z=+h[Ia+17408>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1888>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7637128,7711392,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17408>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17424>>3];p=+h[lb+2208>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7637128,7711392,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17408>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1888>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7637128,7711392,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17408>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17432>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2208>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7637128,7711392,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2208>>3];Bb=+h[pb+17408>>3]}}while(0);tb=+h[xb+17416>>3];ub=Bb!=0.0;ob=+h[xb+17424>>3];hb=+h[zb+1888>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17432>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7637128,7711392,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17408>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1888>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7637128,7711392,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17408>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1888>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17432>>3]))+1.0==0.0;Aa=+h[Kb+17424>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7637128,7711392,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17408>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1888>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7637128,7711392,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17432>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7637128,7711392,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17408>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1888>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7637128,7711392,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17408>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17432>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7637128,7711392,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17400>>3];_b=+h[Db+17416>>3];Xb=+h[Db+17408>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1888>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7637128,7711392,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17408>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17424>>3];_b=+h[gc+2208>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7637128,7711392,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17408>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1888>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7637128,7711392,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17408>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17432>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2208>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7637128,7711392,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17432>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7637128,7711392,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17408>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1888>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7637128,7711392,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17408>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1888>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17432>>3]))+1.0==0.0;wb=+h[Ac+17424>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7637128,7711392,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17408>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1888>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7637128,7711392,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17432>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7637128,7711392,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17408>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1888>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7637128,7711392,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17408>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17432>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7637128,7711392,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17400>>3];Ab=+h[tc+17416>>3];k=+h[tc+17408>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1888>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7637128,7711392,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17408>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17424>>3];Ab=+h[Yc+2208>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7637128,7711392,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17408>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1888>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7637128,7711392,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17408>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17432>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2208>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7637128,7711392,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7636456,7711392,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}}function qh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2424>>3];i=+h[(c[b+416>>2]|0)+17440>>3];j=+h[f+2760>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7635296,7711384,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2200>>3]=g*k*1256637061435917.0e-21;return}function rh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1896>>3];i=g*g;g=+h[f+2200>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2192|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2192|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7634880,7711376,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2192|0;h[m>>3]=k;return}function sh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2416>>3]=+h[b+2192>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1904>>3]*(-0.0- +h[b+2632>>3]);return}function th(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2784>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2280|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2280|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7634136,7711368,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2280|0;h[m>>3]=k;return}function uh(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17624>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1720>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1720>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1720>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1720>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1720>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1720>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7633496,7711360,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17640>>3];p=+h[g+17624>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1720>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7633496,7711360,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17624>>3];x=B;y=C;z=+h[C+1720>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7633496,7711360,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17624>>3];I=+h[g+1720>>3]}}while(0);w=+V(+D);D=+h[E+17648>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17632>>3];p=+h[G+2280>>3];G=H!=0.0;u=+h[E+17640>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7633496,7711360,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17624>>3];O=y;P=+h[(c[y+8>>2]|0)+1720>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7633496,7711360,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17624>>3];T=x;U=+h[(c[x+8>>2]|0)+1720>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17648>>3]))+1.0==0.0;o=+h[R+17640>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7633496,7711360,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17624>>3];_=v;$=+h[(c[v+8>>2]|0)+1720>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7633496,7711360,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17648>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7633496,7711360,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17624>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1720>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7633496,7711360,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17624>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17648>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7633496,7711360,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17616>>3];ha=+h[K+17632>>3];ea=+h[K+17624>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1720>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7633496,7711360,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17624>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17640>>3];ha=+h[pa+2280>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7633496,7711360,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17624>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1720>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7633496,7711360,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17624>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17648>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2280>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7633496,7711360,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7633496,7711360,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17624>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1720>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7633496,7711360,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17624>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1720>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17648>>3]))+1.0==0.0;r=+h[Pa+17640>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7633496,7711360,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17624>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1720>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7633496,7711360,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17648>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7633496,7711360,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17624>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1720>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7633496,7711360,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17624>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17648>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7633496,7711360,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17616>>3];p=+h[Ia+17632>>3];z=+h[Ia+17624>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1720>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7633496,7711360,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17624>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17640>>3];p=+h[lb+2280>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7633496,7711360,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17624>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1720>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7633496,7711360,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17624>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17648>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2280>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7633496,7711360,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2280>>3];Bb=+h[pb+17624>>3]}}while(0);tb=+h[xb+17632>>3];ub=Bb!=0.0;ob=+h[xb+17640>>3];hb=+h[zb+1720>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17648>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7633496,7711360,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17624>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1720>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7633496,7711360,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17624>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1720>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17648>>3]))+1.0==0.0;Aa=+h[Kb+17640>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7633496,7711360,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17624>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1720>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7633496,7711360,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17648>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7633496,7711360,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17624>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1720>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7633496,7711360,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17624>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17648>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7633496,7711360,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17616>>3];_b=+h[Db+17632>>3];Xb=+h[Db+17624>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1720>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7633496,7711360,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17624>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17640>>3];_b=+h[gc+2280>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7633496,7711360,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17624>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1720>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7633496,7711360,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17624>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17648>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2280>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7633496,7711360,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17648>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7633496,7711360,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17624>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1720>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7633496,7711360,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17624>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1720>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17648>>3]))+1.0==0.0;wb=+h[Ac+17640>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7633496,7711360,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17624>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1720>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7633496,7711360,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17648>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7633496,7711360,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17624>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1720>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7633496,7711360,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17624>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17648>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7633496,7711360,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17616>>3];Ab=+h[tc+17632>>3];k=+h[tc+17624>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1720>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7633496,7711360,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17624>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17640>>3];Ab=+h[Yc+2280>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7633496,7711360,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17624>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1720>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7633496,7711360,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17624>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17648>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2280>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7633496,7711360,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7632672,7711360,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}}function vh(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17664>>3];j=+h[f+17672>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7632152,7711352,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711328,7631456,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+2472>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17656>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7631024,7711352,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}function wh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1728>>3];i=g*g;g=+h[f+2272>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2264|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2264|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7630624,7711320,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2264|0;h[m>>3]=k;return}function xh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2464>>3]=+h[b+2264>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1736>>3]*(-0.0- +h[b+2632>>3]);return}function yh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2792>>3];i=+h[f+2632>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2304|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2304|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7630368,7711312,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2304|0;h[m>>3]=k;return}function zh(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17696>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1664>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1664>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1664>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1664>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1664>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1664>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7629528,7711304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17712>>3];p=+h[g+17696>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1664>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7629528,7711304,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17696>>3];x=B;y=C;z=+h[C+1664>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7629528,7711304,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17696>>3];I=+h[g+1664>>3]}}while(0);w=+V(+D);D=+h[E+17720>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17704>>3];p=+h[G+2304>>3];G=H!=0.0;u=+h[E+17712>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7629528,7711304,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17696>>3];O=y;P=+h[(c[y+8>>2]|0)+1664>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7629528,7711304,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17696>>3];T=x;U=+h[(c[x+8>>2]|0)+1664>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17720>>3]))+1.0==0.0;o=+h[R+17712>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7629528,7711304,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17696>>3];_=v;$=+h[(c[v+8>>2]|0)+1664>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7629528,7711304,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17720>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7629528,7711304,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17696>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1664>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7629528,7711304,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17696>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17720>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7629528,7711304,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17688>>3];ha=+h[K+17704>>3];ea=+h[K+17696>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1664>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7629528,7711304,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17696>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17712>>3];ha=+h[pa+2304>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7629528,7711304,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17696>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1664>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7629528,7711304,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17696>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17720>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2304>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7629528,7711304,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7629528,7711304,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17696>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1664>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7629528,7711304,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17696>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1664>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17720>>3]))+1.0==0.0;r=+h[Pa+17712>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7629528,7711304,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17696>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1664>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7629528,7711304,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17720>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7629528,7711304,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17696>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1664>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7629528,7711304,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17696>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17720>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7629528,7711304,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17688>>3];p=+h[Ia+17704>>3];z=+h[Ia+17696>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1664>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7629528,7711304,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17696>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17712>>3];p=+h[lb+2304>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7629528,7711304,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17696>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1664>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7629528,7711304,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17696>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17720>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2304>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7629528,7711304,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2304>>3];Bb=+h[pb+17696>>3]}}while(0);tb=+h[xb+17704>>3];ub=Bb!=0.0;ob=+h[xb+17712>>3];hb=+h[zb+1664>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17720>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7629528,7711304,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17696>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1664>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7629528,7711304,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17696>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1664>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17720>>3]))+1.0==0.0;Aa=+h[Kb+17712>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7629528,7711304,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17696>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1664>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7629528,7711304,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17720>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7629528,7711304,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17696>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1664>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7629528,7711304,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17696>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17720>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7629528,7711304,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17688>>3];_b=+h[Db+17704>>3];Xb=+h[Db+17696>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1664>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7629528,7711304,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17696>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17712>>3];_b=+h[gc+2304>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7629528,7711304,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17696>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1664>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7629528,7711304,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17696>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17720>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2304>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7629528,7711304,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17720>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7629528,7711304,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17696>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1664>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7629528,7711304,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17696>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1664>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17720>>3]))+1.0==0.0;wb=+h[Ac+17712>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7629528,7711304,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17696>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1664>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7629528,7711304,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17720>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7629528,7711304,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17696>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1664>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7629528,7711304,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17696>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17720>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7629528,7711304,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17688>>3];Ab=+h[tc+17704>>3];k=+h[tc+17696>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1664>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7629528,7711304,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17696>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17712>>3];Ab=+h[Yc+2304>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7629528,7711304,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17696>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1664>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7629528,7711304,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17696>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17720>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2304>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7629528,7711304,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7628696,7711304,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}}function Ah(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2488>>3];i=+h[(c[b+416>>2]|0)+17728>>3];j=+h[f+2792>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7628176,7711296,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2296>>3]=g*k*1256637061435917.0e-21;return}function Bh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1672>>3];i=g*g;g=+h[f+2296>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2288|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2288|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7627672,7711288,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2288|0;h[m>>3]=k;return}function Ch(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2480>>3]=+h[b+2288>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1680>>3]*(-0.0- +h[b+2632>>3]);return}function Dh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17384>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1944>>3];if(d!=0.0){j=i/d;k=g;l=k+120|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+120|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7627200,7711280,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+120|0;h[l>>3]=j;return}function Eh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1936>>3]=+h[b+1952>>3]*+h[b+1944>>3];return}function Fh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2136>>3]=-0.0- +h[b+1944>>3]- +h[b+2048>>3];return}function Gh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2184>>3]=+h[b+2168>>3]- +h[b+2136>>3];return}function Hh(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1992>>3]=+h[b+2728>>3]*+h[b+2048>>3];return}function Ih(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2056>>3]=+h[b+1920>>3]- +h[b+1992>>3];return}function Jh(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=+h[(c[b+416>>2]|0)+17240>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2056>>3];j=-0.0-i;if(d!=0.0){k=j/d;l=g;m=l+2552|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=g;m=l+2552|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,d,7639272,7711272,+h[f>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[e>>2]>>2]|0)+8>>2]|0;m=l+2552|0;h[m>>3]=k;return}function Kh(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2832>>3];i=+h[f+2552>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+2328|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+2328|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7642792,7711264,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2328|0;h[m>>3]=k;return}



function VE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)!=109)if((k|0)==77){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function WE(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=fE(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=fE(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function XE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=fE(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==27){k=QE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function YE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 6:{m=34;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 7:{m=37;break c;break};case 5:{m=31;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function ZE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 31:{c[f>>2]=b+1;k=23;break a;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 15:{k=DF(j,b+1|0,e,f)|0;break a;break};case 16:{k=IF(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 13:{k=HF(13,j,b+1|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((ue[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;l=18;m=76;break b}if((ue[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 19:{k=JF(j,b+1|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 33:{c[f>>2]=b+1;k=36;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=HF(12,j,b+1|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ue[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;l=18;m=76;break b}if((ue[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}if((ue[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;l=18;m=76;break b}if((ue[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=16;break b}break};case 36:{c[f>>2]=b+1;k=21;break a;break};case 29:{m=75;break};case 30:{k=xF(j,b+1|0,e,f)|0;break a;break};case 21:case 10:{m=16;break};case 22:case 24:{l=18;b=b+1|0;m=76;break};case 25:case 26:case 27:case 23:{l=19;b=b+1|0;m=76;break};default:{m=75}}}while(0);if((m|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){m=18;break}g=d[j+76+(d[b]|0)|0]|0;if(!((g|0)==21|(g|0)==10))if((g|0)==9){if((b+1|0)==(e|0)){m=23;break}}else{break}}if((m|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==75){c[f>>2]=b;k=0;break}else if((m|0)==76){c:while(1){if((b|0)==(e|0)){m=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{m=79;break c;break};case 7:{if((e-b|0)<4){m=92;break c}if((ue[c[j+340>>2]&127](j,b)|0)==0){m=94;break c}b=b+4|0;break};case 23:{b=b+1|0;g=l;if((g|0)==18){if((b|0)==(e|0)){m=99;break c}l=41;switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){m=109;break c}if((ue[c[j+336>>2]&127](j,b)|0)==0){m=111;break c}b=b+3|0;break};case 29:{m=101;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=104;break c}if((ue[c[j+332>>2]&127](j,b)|0)==0){m=106;break c}b=b+2|0;break};case 7:{if((e-b|0)<4){m=114;break c}if((ue[c[j+340>>2]&127](j,b)|0)==0){m=116;break c}b=b+4|0;break};default:{l=19}}}else if((g|0)==41){l=19}break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=82;break c}if((ue[c[j+332>>2]&127](j,b)|0)==0){m=84;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){m=87;break c}if((ue[c[j+336>>2]&127](j,b)|0)==0){m=89;break c}b=b+3|0;break};case 15:{m=128;break c;break};case 34:{m=122;break c;break};case 33:{m=125;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=96;break c;break};default:{m=131;break c}}}if((m|0)==79){c[f>>2]=b;k=0;break}else if((m|0)==82){k=-2;break}else if((m|0)==84){c[f>>2]=b;k=0;break}else if((m|0)==87){k=-2;break}else if((m|0)==89){c[f>>2]=b;k=0;break}else if((m|0)==92){k=-2;break}else if((m|0)==94){c[f>>2]=b;k=0;break}else if((m|0)==96){c[f>>2]=b;k=l;break}else if((m|0)==99){k=-1;break}else if((m|0)==101){c[f>>2]=b;k=0;break}else if((m|0)==104){k=-2;break}else if((m|0)==106){c[f>>2]=b;k=0;break}else if((m|0)==109){k=-2;break}else if((m|0)==111){c[f>>2]=b;k=0;break}else if((m|0)==114){k=-2;break}else if((m|0)==116){c[f>>2]=b;k=0;break}else if((m|0)==122){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((m|0)==125){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((m|0)==128){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((m|0)==131){c[f>>2]=b;k=0;break}else if((m|0)==133){k=-l|0;break}}}}while(0);i=h;return k|0}function _E(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 2:{k=AF(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ue[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ue[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=wF(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ue[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=43;break b}if((ue[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 7:{if((e-b|0)<4){m=51;break b}if((ue[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 6:{if((e-b|0)<3){m=47;break b}if((ue[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function $E(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ue[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ue[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ue[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=49;break b}if((ue[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};case 5:{if((e-b|0)<2){m=41;break b}if((ue[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((ue[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function aF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{k=19;break a;break};case 6:{if((e-b|0)<3){k=10;break a}if((ue[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((ue[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((ue[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function bF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 3:{k=9;break a;break};case 10:{k=13;break a;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 9:{k=16;break a;break};case 2:{k=12;break a;break};case 21:{k=23;break a;break};case 7:{a=a+4|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=wF(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function cF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{a=a+3|0;break};case 3:{k=9;break a;break};case 10:{k=18;break a;break};case 9:{k=21;break a;break};case 30:{k=12;break a;break};case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=wF(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=xF(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function dF(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 5:{h=9;break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=4;break a}h=6;break};case 6:{h=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){h=15;break a}break};default:{h=17;break a}}if((h|0)==6){h=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=7;break}h=9}if((h|0)==9){h=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){h=10;break}e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){h=12;break}}}if((h|0)==4){k=0;l=k;i=f;return l|0}else if((h|0)==7){k=0;l=k;i=f;return l|0}else if((h|0)==10){k=0;l=k;i=f;return l|0}else if((h|0)==12){k=0;l=k;i=f;return l|0}else if((h|0)==15){k=0;l=k;i=f;return l|0}else if((h|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function eF(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function fF(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 7:{a=a+4|0;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{break a}}}i=c;return a-b|0}function gF(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function hF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};default:{}}b=b+1|0}i=h;return k|0}function iF(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=tD(c)|0;h=g;i=b;return h|0}function jF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==2){do{if((a[e+1|0]|0)==116){d=a[e]|0;if((d|0)==103){f=62;g=f;i=b;return g|0}else if((d|0)==108){f=60;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){d=a[e]|0;if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}else if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}f=0;g=f;i=b;return g|0}function kF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 7:{a=a+4|0;break};case 6:{a=a+3|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function lF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 21:{if((a[b]|0)==9){k=6;break a}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function mF(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function nF(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}q=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;q=q-65536|0;b[j>>1]=q>>>10|55296;b[j+2>>1]=q&1023|56320;j=j+4|0;m=m+4|0}else if((p|0)==6){p=j;j=p+2|0;b[p>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function oF(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[13672+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function pF(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[13672+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function qF(a,b){a=a|0;b=b|0;i=i;return 0}function rF(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[8776+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function sF(b,e){b=b|0;e=e|0;b=e;i=i;return c[12392+(((d[8776+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function tF(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function uF(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function vF(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function wF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ue[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ue[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ue[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 19:{j=yF(h,a+1|0,b,e)|0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){k=29;break c}if((ue[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 29:{k=26;break c;break};case 6:{if((b-a|0)<3){k=34;break c}if((ue[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((ue[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function xF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((ue[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ue[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((ue[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 18:{k=43;break c;break};case 5:{if((b-a|0)<2){k=29;break c}if((ue[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((ue[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=39;break c}if((ue[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function yF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=zF(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function zF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function AF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==20){k=CF(j,b+1|0,e,f)|0;break a}else if((g|0)==27){k=BF(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{c[f>>2]=b;k=0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((ue[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{b=b+1|0;break};case 15:{k=DF(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ue[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 17:{k=EF(j,b+1|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ue[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 11:{l=100;break c;break};case 17:{l=102;break c;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){l=58;break c}if((ue[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};case 29:{l=55;break c;break};case 7:{if((e-b|0)<4){l=68;break c}if((ue[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 22:case 24:{b=b+1|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((ue[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};default:{l=72;break c}}break};case 7:{if((e-b|0)<4){l=46;break c}if((ue[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 5:{if((e-b|0)<2){l=36;break c}if((ue[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 29:{l=33;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{l=74;break c;break};case 6:{if((e-b|0)<3){l=41;break c}if((ue[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=77;break e;break};case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 6:{l=84;break e;break};case 7:{l=89;break e;break};case 21:case 9:case 10:{break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((ue[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((ue[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((ue[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=FF(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function BF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 6:{if((e-b|0)<3){l=13;break a}if((ue[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 0:case 1:case 8:{l=22;break a;break};case 7:{if((e-b|0)<4){l=18;break a}if((ue[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};case 5:{if((e-b|0)<2){l=8;break a}if((ue[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function CF(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8768+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function DF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=-2;break a}if((ue[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}if((ue[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 6:{if((e-b|0)<3){l=-2;break a}if((ue[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{b=b+1|0;break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=28;break c}if((ue[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){m=33;break c}if((ue[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};case 15:{m=71;break c;break};case 29:{m=25;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};case 7:{if((e-b|0)<4){m=38;break c}if((ue[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((GF(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=58;break d}if((ue[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 6:{if((e-b|0)<3){m=53;break d}if((ue[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 0:case 1:case 8:{m=62;break d;break};case 5:{if((e-b|0)<2){m=48;break d}if((ue[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((GF(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function EF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){j=-2;break a}if((ue[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ue[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ue[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){k=28;break c}if((ue[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 21:case 9:case 10:{k=42;break c;break};case 29:{k=25;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ue[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ue[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function FF(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 14:{l=55;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((ue[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 29:{l=4;break a;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 29:{l=26;break a;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((ue[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((ue[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((ue[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};default:{l=43;break a}}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((ue[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((ue[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((ue[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((ue[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((ue[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=92;break a;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=wF(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 7:{l=118;break b;break};case 17:{l=126;break a;break};case 29:{l=106;break a;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};case 6:{l=113;break b;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((ue[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((ue[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((ue[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function GF(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=108)if((j|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function HF(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 7:{if((e-b|0)<4){k=15;break a}if((ue[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((ue[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 0:case 1:case 8:{k=19;break a;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 6:{if((e-b|0)<3){k=10;break a}if((ue[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function IF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==27){j=BF(h,a+1|0,b,e)|0;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 30:{k=11;break b;break};case 22:case 24:{break};case 21:case 9:case 10:{break b;break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}f=d[h+76+(d[a+1|0]|0)|0]|0;if((f|0)==21|(f|0)==9|(f|0)==10|(f|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function JF(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 6:{if((b-a|0)<3){j=-2;break a}if((ue[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((ue[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ue[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ue[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ue[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 29:{k=25;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ue[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function KF(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function LF(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function MF(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function NF(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 0:case 60:{break};case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=ye[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=ye[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=ye[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=ye[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function OF(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((QF(PF(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((QF(PF(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=PF(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((QF(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=PF(k,a,b)|0;n=h;}while((QF(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=PF(k,a,b)|0;while(1){if((QF(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=PF(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=PF(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function PF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;ge[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function QF(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function RF(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function SF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 11:{c[h>>2]=74;j=55;break};case 29:{c[h>>2]=110;j=2;break};case 15:{c[h>>2]=74;j=0;break};case 13:{c[h>>2]=74;j=56;break};case 14:{j=0;break};case 16:{if((ye[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,7714648)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 12:{c[h>>2]=74;j=1;break};default:{k=11}}}while(0);if((k|0)==11){j=WF(h,a)|0}i=g;return j|0}function TF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 33:{c[h>>2]=20;j=0;break};case 34:{if((c[h+12>>2]|0)==0){k=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;j=0;break a}break};case 15:{j=0;break};case-4:{if((c[h+12>>2]|0)!=0){k=12;break a}else{j=0;break a}break};case 26:{k=12;break};default:{j=VF(h,a,d,e,f)|0}}}while(0);if((k|0)==12){j=WF(h,a)|0}i=g;return j|0}function UF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=0;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((ye[c[e+28>>2]&127](e,b,d,7714552)|0)!=0){c[h>>2]=22;j=0;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b,d,7714568)|0)==0){break}c[h>>2]=24;j=0;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function VF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case 13:{j=56;break};case 26:{c[h>>2]=120;j=3;break};case 15:{j=0;break};case 11:{j=55;break};case 16:{if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,7714608)|0)!=0){c[h>>2]=38;j=11;break a}if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,7714664)|0)!=0){c[h>>2]=90;j=33;break a}if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,7714640)|0)!=0){c[h>>2]=70;j=39;break a}if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,7714488)|0)!=0){c[h>>2]=14;j=17;break a}else{k=17;break a}break};case-4:{j=0;break};case 28:{j=60;break};default:{k=17}}}while(0);if((k|0)==17){j=WF(h,a)|0}i=g;return j|0}function WF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function XF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function YF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=34;g=9}else if((b|0)==22){c[e>>2]=40;g=11}else if((b|0)==15){g=11}else{g=WF(e,a)|0}i=f;return g|0}function ZF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else{g=WF(e,a)|0}i=f;return g|0}function _F(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=64;g=40}else if((b|0)==15){g=39}else{g=WF(e,a)|0}i=f;return g|0}function $F(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=WF(e,a)|0}i=f;return g|0}function aG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=76;g=8}else if((b|0)==15){g=3}else{g=WF(e,a)|0}i=f;return g|0}function bG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==15){g=0}else if((b|0)==11){g=55}else if((b|0)==13){g=56}else{g=WF(e,a)|0}i=f;return g|0}function cG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=17;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((ye[c[e+28>>2]&127](e,b,d,7714448)|0)!=0){c[h>>2]=6;j=17;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b,d,7714472)|0)==0){break}c[h>>2]=8;j=17;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function dG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else{g=WF(e,a)|0}i=f;return g|0}function eG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=10;g=21}else if((b|0)==15){g=17}else{g=WF(e,a)|0}i=f;return g|0}function fG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=20}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else{g=WF(e,a)|0}i=f;return g|0}function gG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=WF(e,a)|0;h=g;i=f;return h|0}return 0}function hG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((ye[c[e+28>>2]&127](e,b,d,7714632)|0)!=0){c[h>>2]=52;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b,d,7714672)|0)==0){break}c[h>>2]=52;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=62;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}else if((f|0)==15){j=39;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function iG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 23:{c[h+4>>2]=2;c[h>>2]=66;j=44;break};case 15:{j=39;break};case 32:{c[h>>2]=56;j=54;break};case 31:{c[h>>2]=56;j=52;break};case 30:{c[h>>2]=56;j=53;break};case 18:case 41:{c[h>>2]=56;j=51;break};case 20:{if((ye[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,7714480)|0)!=0){c[h>>2]=68;j=43;break a}else{k=11;break a}break};default:{k=11}}}while(0);if((k|0)==11){j=WF(h,a)|0}i=g;return j|0}function jG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=52;c[e+8>>2]=39;g=45}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==15){g=39}else{g=WF(e,a)|0}i=f;return g|0}function kG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 32:{c[e>>2]=56;g=54;break};case 18:case 41:{c[e>>2]=56;g=51;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 15:{g=39;break};case 30:{c[e>>2]=56;g=53;break};case 31:{c[e>>2]=56;g=52;break};default:{g=WF(e,a)|0}}i=f;return g|0}function lG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 38:{c[e>>2]=66;g=50;h=g;i=f;return h|0};case 21:{c[e>>2]=66;g=49;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 15:{g=39;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};default:{g=WF(e,a)|0;h=g;i=f;return h|0}}return 0}function mG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=60;g=51}else if((b|0)==15){g=39}else{g=WF(e,a)|0}i=f;return g|0}function nG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=39}else if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else{g=WF(e,a)|0}i=f;return g|0}function oG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==15){g=33}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=33}else{g=WF(e,a)|0}i=f;return g|0}function pG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){j=0;while(1){if((j|0)>=8){break}if((ye[c[e+28>>2]&127](e,b,d,c[31296+(j<<2)>>2]|0)|0)!=0){k=6;break}j=j+1|0}if((k|0)==6){c[h>>2]=80;l=j+23|0;m=l;i=g;return m|0}if((ye[c[e+28>>2]&127](e,b,d,7714488)|0)==0){break}c[h>>2]=82;l=33;m=l;i=g;return m|0}else if((f|0)==23){c[h>>2]=92;l=33;m=l;i=g;return m|0}else if((f|0)==15){l=33;m=l;i=g;return m|0}}while(0);l=WF(h,a)|0;m=l;i=g;return m|0}function qG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}else if((f|0)==20){if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,7714560)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,7714456)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,7714600)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function rG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==23){c[e>>2]=12;g=33}else{g=WF(e,a)|0}i=f;return g|0}function sG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=WF(e,a)|0}i=f;return g|0}function tG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==21){c[e>>2]=92;g=33}else if((b|0)==24){c[e>>2]=80;g=33}else{g=WF(e,a)|0}i=f;return g|0}function uG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=86;g=32}else{g=WF(e,a)|0}i=f;return g|0}function vG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=12;g=33}else if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==15){g=33}else{g=WF(e,a)|0}i=f;return g|0}function wG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==27){c[e>>2]=88;g=38}else{g=WF(e,a)|0}i=f;return g|0}function xG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=16;g=10}else if((b|0)==15){g=11}else{g=WF(e,a)|0}i=f;return g|0}function yG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((ye[c[e+28>>2]&127](e,b,d,7714448)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b,d,7714472)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function zG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=72;g=13}else if((b|0)==15){g=11}else{g=WF(e,a)|0}i=f;return g|0}function AG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=WF(e,a)|0}i=f;return g|0}function BG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:28;j=15;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==18){if((ye[c[e+28>>2]&127](e,b,d,7714528)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function CG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=52;c[e+8>>2]=11;g=16}else{g=WF(e,a)|0}i=f;return g|0}function DG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==18){if((ye[c[e+28>>2]&127](e,b,d,7714448)|0)!=0){c[h>>2]=32;j=11;k=j;i=g;return k|0}if((ye[c[e+28>>2]&127](e,b,d,7714472)|0)==0){break}c[h>>2]=30;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}}while(0);j=WF(h,a)|0;k=j;i=g;return k|0}function EG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=44;g=13}else if((b|0)==15){g=11}else{g=WF(e,a)|0}i=f;return g|0}function FG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=32;g=14}else{g=WF(e,a)|0}i=f;return g|0}function GG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=15}else if((b|0)==15){g=11}else{g=WF(e,a)|0}i=f;return g|0}function HG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=28;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=WF(e,a)|0}i=f;return g|0}function IG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==25){c[e>>2]=28;g=58}else if((b|0)==15){g=0}else{g=WF(e,a)|0}i=f;return g|0}function JG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 16:{if((ye[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,7714648)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 29:{c[h>>2]=110;j=2;break};case 15:{j=0;break};case 11:{j=55;break};case 13:{j=56;break};case 14:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=WF(h,a)|0}i=g;return j|0}function KG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=WF(e,a)|0}i=f;return g|0}function LG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==17){c[h>>2]=76;j=8}else if((f|0)==18){if((ye[c[e+28>>2]&127](e,b,d,7714448)|0)!=0){c[h>>2]=124;j=3;break}if((ye[c[e+28>>2]&127](e,b,d,7714472)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==25){c[h>>2]=106;j=7}else if((f|0)==15){j=3}else{k=10}}while(0);if((k|0)==10){j=WF(h,a)|0}i=g;return j|0}function MG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=118;g=5}else{g=WF(e,a)|0}i=f;return g|0}function NG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=124;g=6}else if((b|0)==15){g=3}else{g=WF(e,a)|0}i=f;return g|0}function OG(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==17){c[e>>2]=76;g=8}else if((b|0)==25){c[e>>2]=106;g=7}else{g=WF(e,a)|0}i=f;return g|0}function PG(){return}function QG(){return}function RG(){Qc(7724648,0)|0;QG();return}function SG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;if((a|0)==0){d=c[u>>2]|0;Ya(7637648,29,1,d|0)|0;Ta(d|0)|0;e=0;i=b;return e|0}d=c[a>>2]|0;if((d|0)<0){f=c[u>>2]|0;Ya(7683368,54,1,f|0)|0;Ta(f|0)|0;e=0;i=b;return e|0}f=c[a+4>>2]|0;if((f|0)==0){a=c[u>>2]|0;Ya(7672824,47,1,a|0)|0;Ta(a|0)|0;e=0;i=b;return e|0}else{g=0}while(1){if((g|0)>=(d|0)){e=1;h=10;break}j=c[f+(g<<2)>>2]|0;if((j|0)<0){break}else{g=g+1|0}}if((h|0)==10){i=b;return e|0}h=c[u>>2]|0;Bd(h|0,7660808,(f=i,i=i+16|0,c[f>>2]=g,c[f+8>>2]=j,f)|0)|0;i=f;Ta(h|0)|0;e=0;i=b;return e|0}function TG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[a>>2]|0;e=c[d>>2]|0;f=1;while(1){if((f|0)>=(b|0)){break}if((c[c[a+(f<<2)>>2]>>2]|0)==(e|0)){f=f+1|0}else{g=6;break}}if((g|0)==6){wd(7645672,7638352,103,7700896)}if((e|0)<=0){return}f=c[d+4>>2]|0;d=0;a:while(1){h=c[f+(d<<2)>>2]|0;i=1;while(1){if((i|0)>=(b|0)){break}if((h|0)==(c[(c[(c[a+(i<<2)>>2]|0)+4>>2]|0)+(d<<2)>>2]|0)){i=i+1|0}else{g=10;break a}}i=d+1|0;if((i|0)<(e|0)){d=i}else{g=12;break}}if((g|0)==10){wd(7626496,7638352,109,7700896)}else if((g|0)==12){return}}function UG(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=c[a>>2]|0;if((b|0)<=0){d=1;return d|0}e=c[a+4>>2]|0;a=0;f=1;while(1){g=ga(c[e+(a<<2)>>2]|0,f)|0;h=a+1|0;if((h|0)<(b|0)){a=h;f=g}else{d=g;break}}return d|0}function VG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;c[a>>2]=1;e=GH(1)|0;c[a+4>>2]=e;c[e>>2]=b;c[a+8>>2]=d;return}function WG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;c[a>>2]=b;e=a+4|0;c[e>>2]=GH(b)|0;if((b|0)>0){f=0;g=1}else{h=1;return h|0}while(1){a=(B=c[d+4>>2]|0,c[d+4>>2]=B+8,c[(c[d>>2]|0)+B>>2]|0);c[(c[e>>2]|0)+(f<<2)>>2]=a;i=ga(a,g)|0;a=f+1|0;if((a|0)<(b|0)){f=a;g=i}else{h=i;break}}return h|0}function XG(a,b){a=a|0;b=b|0;if((SG(a)|0)==0){wd(7674176,7638352,347,7700720);return 0}if((b|0)<=0){wd(7673200,7638352,348,7700720);return 0}if((c[a>>2]|0)<(b|0)){wd(7673200,7638352,348,7700720);return 0}else{return c[(c[a+4>>2]|0)+(b-1<<2)>>2]|0}return 0}function YG(){oaa(7715464|0,0|0,112|0)|0;oaa(7724736|0,0|0,112|0)|0;oaa(7724848|0,0|0,112|0)|0;c[1928867]=1;c[1928868]=1;return}function ZG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?7646480:7645864;Bd(a|0,7646976,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function _G(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=7724848+(d<<2)|0;k=7724736+(d<<2)|0;l=7714080+(b<<2)|0;m=7714104+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){Fc(7641232,(o=i,i=i+8|0,c[o>>2]=7640760,o)|0)|0;i=o;p=7640760}else{if((c[1931240]|0)==(d|0)){if((c[k>>2]|0)>0){q=7640760}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}Fc(7641232,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[1931240]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=7640760;break b}}}while(0);p=c[l>>2]|0}}while(0);Fc(7640216,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[1931240]=d;if((c[k>>2]|0)>0){e=0;while(1){Fc(7639792,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Nc(g|0)|0;n=1;g=g+(t+1)|0;f=0}Nc(g|0)|0;Ta(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function $G(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[7714080+(a<<2)>>2]|0;Fc(7638472,(a=i,i=i+16|0,c[a>>2]=c[7714104+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;aH(e);if((g|0)==0){e=c[r>>2]|0;_a(((d|0)!=0?7638104:7636376)|0,e|0)|0;j=e;k=Ta(j|0)|0;i=f;return}Nc(7888)|0;if((c[g>>2]|0)>=1){e=1;do{Fc(7637464,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Ta(j|0)|0;i=f;return}Ya(7637112,11,1,g|0)|0;j=g;k=Ta(j|0)|0;i=f;return}function aH(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==62){Ya(7634128,4,1,d|0)|0}else if((b<<24>>24|0)==38){Ya(7635288,5,1,d|0)|0}else if((b<<24>>24|0)==60){Ya(7634584,4,1,d|0)|0}else if((b<<24>>24|0)==0){break}else{Wa(b<<24>>24|0,d|0)|0}e=e+1|0}return}function bH(a){a=a|0;var b=0;b=7724736+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function cH(a){a=a|0;var b=0;b=(a|0)==0;c[3554]=b?36:12;c[3556]=b?196:140;return}function dH(a){a=a|0;a=c[r>>2]|0;Ya(7637112,11,1,a|0)|0;Ta(a|0)|0;return}function eH(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[7715464+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;ud(j|0,2048,e|0,h|0)|0;pe[c[3554]&63](1,a,b,j,0,d);i=g;return}function fH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[7715464+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;ud(h|0,2048,d|0,g|0)|0;pe[c[3554]&63](1,a,b,h,0,0);i=f;return}function gH(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[1928952]|0)==0){if((c[7715464+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;ud(k|0,2048,e|0,j|0)|0;pe[c[3554]&63](2,a,b,k,0,d);i=g;return}function hH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[1928952]|0)==0){if((c[7715464+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;ud(j|0,2048,d|0,h|0)|0;pe[c[3554]&63](2,a,b,j,0,0);i=f;return}function iH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;ud(b|0,2048,d|0,g|0)|0;pe[c[3554]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1)}h=Gd(c[1931162]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1)}function jH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;ud(g|0,2048,b|0,f|0)|0;pe[c[3554]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1)}h=Gd(c[1931162]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Rd(l|0,1)}function kH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+2064|0;g=f+2048|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;ud(h|0,2048,d|0,g|0)|0;pe[c[3554]&63](5,2,0,h,0,b);if((a|0)!=0){j=a;k=j+76|0;l=c[k>>2]|0;m=l|0;Rd(m|0,1)}j=Gd(c[1931162]|0)|0;k=j+76|0;l=c[k>>2]|0;m=l|0;Rd(m|0,1)}function lH(a,b,d,e,f,g){a=a|0;b=+b;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0;j=i;if(g<<24>>24==0){kH(a,e,7692096,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;return 0.0}else{gH(26,0,e,7682504,(k=i,i=i+16|0,h[k>>3]=f,c[k+8>>2]=d,k)|0);i=k;i=j;return+b}return 0.0}function mH(a,b){a=a|0;b=b|0;VG(a,b,FH(b)|0);return}function nH(a,b,d){a=a|0;b=b|0;d=d|0;c[a+(b<<2)>>2]=d;return}function oH(a,b,d){a=a|0;b=b|0;d=d|0;nH(c[d+8>>2]|0,b,a);return}function pH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;i=i+16|0;g=f|0;mH(a,b);h=g|0;j=g;c[j>>2]=e;c[j+4>>2]=0;oH(d,0,a);if((b|0)>1){k=1}else{i=f;return}do{oH((B=c[h+4>>2]|0,c[h+4>>2]=B+8,c[(c[h>>2]|0)+B>>2]|0),k,a);k=k+1|0;}while((k|0)<(b|0));i=f;return}function qH(a){a=a|0;return}function rH(a){a=a|0;var b=0,d=0,e=0;b=i;d=L9(16)|0;iH(0,(d|0)!=0|0,7664584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function sH(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;M9(c[e>>2]|0);M9(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function tH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;iH(0,(a|0)!=0|0,7687816,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=L9(8)|0;g=f;iH(0,(f|0)!=0|0,7664584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=L9(c[h>>2]|0)|0;c[f>>2]=j;iH(0,(j|0)!=0|0,7664584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;naa(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function uH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;iH(0,(a|0)!=0|0,7687816,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=L9(8)|0;g=f;iH(0,(f|0)!=0|0,7664584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=L9(c[h>>2]|0)|0;c[f>>2]=j;iH(0,(j|0)!=0|0,7664584,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;naa(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function vH(a){a=a|0;var b=0,d=0;b=i;iH(0,(a|0)!=0|0,7687816,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function wH(a){a=a|0;var b=0,d=0,e=0;b=i;iH(0,(a|0)!=0|0,7687816,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;iH(0,(c[e>>2]|0)!=0|0,7676832,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function xH(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;M9(c[d>>2]|0);M9(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function yH(a){a=a|0;var b=0,d=0,e=0;b=i;iH(0,(a|0)!=0|0,7687816,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;iH(0,(c[e>>2]|0)!=0|0,7664848,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function zH(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;iH(0,d&1,7655168,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function AH(a){a=a|0;var b=0,d=0,e=0;b=i;iH(0,(a|0)!=0|0,7655168,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;iH(0,(c[e>>2]|0)!=0|0,7647776,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function BH(){var a=0;a=L9(16)|0;c[1931164]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=L9(2097152)|0;c[a+12>>2]=0;return}function CH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=HH(a)|0;d;IH(b);d=c[1931164]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;oaa(f|0,0,b|0)|0;return f|0}function DH(){var a=0,b=0,d=0;a=c[1931164]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;M9(c[a>>2]|0);M9(a);if((b|0)==0){break}else{a=b}}d=c[1931164]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function EH(a){a=a|0;return ke[c[2188]&255](a<<3)|0}function FH(a){a=a|0;return ke[c[2188]&255](a<<2)|0}function GH(a){a=a|0;return ke[c[2188]&255](a<<2)|0}function HH(a){a=a|0;return a+7&-8|0}function IH(a){a=a|0;var b=0,d=0,e=0;b=c[1931164]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=L9(16)|0;c[e+12>>2]=b;c[1931164]=e;c[e+4>>2]=0;b=JH((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=L9(b)|0;return}function JH(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function KH(a){a=a|0;return laa(a|0)|0}function LH(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;raa(e+1|0,c|0)|0;c=d+40|0;Ub(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=MH(c)|0;i=d;return f|0}function MH(a){a=a|0;var b=0,c=0;b=laa(a|0)|0;c=OH(b)|0;naa(c|0,a|0,b)|0;return c|0}function NH(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;raa(f+1|0,d|0)|0;d=e+40|0;Ub(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=MH(d)|0;i=e;return g|0}function OH(b){b=b|0;var d=0;d=ke[c[2189]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function PH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=KH(a)|0;d=KH(b)|0;e=OH(d+c|0)|0;naa(e|0,a|0,c)|0;naa(e+c|0,b|0,d)|0;return e|0}function QH(a,b){a=a|0;b=b|0;return jaa(c[a>>2]|0,c[b>>2]|0)|0}function RH(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}else if((d|0)==2){e=-1;break}switch(c|0){case 4:{e=2;break a;break};case 2:{e=4;break a;break};case 5:{e=1;break a;break};case 3:{e=2;break a;break};case 1:{e=4;break a;break};case 0:{e=8;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function SH(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Pa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){M9(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{M9(c[(c[e>>2]|0)+(f<<4)>>2]|0);M9(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;M9(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){M9(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{M9(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}M9(b);c[f>>2]=0;return}function TH(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(laa(b|0)|0)>>>0){break}else{c=e;d=f}}return}function UH(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;oaa(d|0,0,48)|0;l=Hc(b|0,7628104)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=ld(c[(kd()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Wc(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=Xc(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=7622048;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8656+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=7697960;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=7693352;E=131;break}G=RH(D)|0;if((G|0)==-1){n=7689880;E=131;break}D=c[q>>2]|0;H=L9(D)|0;if((Xc(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=7687752;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=7686456;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((jaa(H,c[8680+(C<<2)>>2]|0)|0)!=0){n=7685040;E=131;break}M9(H);b:do{switch(C|0){case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=7672368;E=131;break a}c[z>>2]=D;c[A>>2]=Sb(c[m>>2]|0)|0;c[B>>2]=N9(c[z>>2]<<1,4)|0;if((Jd(c[m>>2]|0,J|0,1)|0)==-1){n=7671488;E=131;break a}else{K=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=7672368;E=131;break a}c[z>>2]=I;c[A>>2]=Sb(c[m>>2]|0)|0;c[B>>2]=N9(c[z>>2]<<1,4)|0;H=ga(I,D)|0;if((a[l]|0)==1){F=L9(H<<3)|0;if((Xc(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=7671488;E=131;break a}if((I|0)!=0){G=D<<3;L=(D|0)==0;M=D<<3;N=0;do{O=L9(G)|0;c[(c[B>>2]|0)+(N<<2)>>2]=O;if(!L){O=F+(ga(M,N)|0)|0;naa(c[(c[B>>2]|0)+(N<<2)>>2]|0,O|0,M)|0}N=N+1|0;}while(N>>>0<I>>>0)}N=c[z>>2]|0;M=N<<1;if(N>>>0<M>>>0){L=D<<3;G=(D|0)==0;O=N;do{P=L9(L)|0;c[(c[B>>2]|0)+(O<<2)>>2]=P;if(!G){P=c[B>>2]|0;Q=c[P+(O-N<<2)>>2]|0;R=c[P+(O<<2)>>2]|0;P=0;do{h[R+(P<<3)>>3]=-0.0- +h[Q+(P<<3)>>3];P=P+1|0;}while(P>>>0<D>>>0)}O=O+1|0;}while(O>>>0<M>>>0)}M9(F)}else{M=L9(H<<2)|0;O=M;if((Xc(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=7671488;E=131;break a}if((I|0)!=0){N=D<<3;G=(D|0)==0;L=0;do{P=L9(N)|0;c[(c[B>>2]|0)+(L<<2)>>2]=P;if(!G){P=c[(c[B>>2]|0)+(L<<2)>>2]|0;Q=0;do{h[P+(Q<<3)>>3]=+g[O+((ga(D,L)|0)+Q<<2)>>2];Q=Q+1|0;}while(Q>>>0<D>>>0)}L=L+1|0;}while(L>>>0<I>>>0)}L=c[z>>2]|0;O=L<<1;if(L>>>0<O>>>0){G=D<<3;N=(D|0)==0;H=L;do{F=L9(G)|0;c[(c[B>>2]|0)+(H<<2)>>2]=F;if(!N){F=c[B>>2]|0;Q=c[F+(H-L<<2)>>2]|0;P=c[F+(H<<2)>>2]|0;F=0;do{h[P+(F<<3)>>3]=-0.0- +h[Q+(F<<3)>>3];F=F+1|0;}while(F>>>0<D>>>0)}H=H+1|0;}while(H>>>0<O>>>0)}M9(M)}if((Jd(c[m>>2]|0,J|0,1)|0)==-1){n=7671488;E=131;break a}else{K=d;E=130}break};case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=7678048;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=7676792;E=131;break a}c[w>>2]=D;O=ga(I,D)|0;if((a[l]|0)==1){H=L9(O<<3)|0;c[x>>2]=H;if((Xc(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=7675584;E=131;break a}}else{H=L9(O<<2)|0;L=H;c[x>>2]=L9(ga(D<<3,I)|0)|0;if((Xc(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=7675584;E=131;break a}if((O|0)!=0){N=c[x>>2]|0;G=0;do{h[N+(G<<3)>>3]=+g[L+(G<<2)>>2];G=G+1|0;}while(G>>>0<O>>>0)}M9(H)}O=c[w>>2]|0;if(!(O>>>0>1>>>0)){K=1;E=130;break b}G=(I|0)==2;L=1;while(1){if(G){N=c[x>>2]|0;if(+h[N+(L<<3)>>3]!=+h[N+(O+L<<3)>>3]){n=7674496;E=131;break a}}N=L+1|0;if(N>>>0<O>>>0){L=N}else{K=1;E=130;break b}}}else if((d<<24>>24|0)!=0){S=d;E=129;break b}if((I|0)==0){n=7678048;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=7673400;E=131;break a}c[w>>2]=I;L=ga(I,D)|0;if((a[l]|0)==1){O=L9(L<<3)|0;G=O;c[x>>2]=L9(ga(D<<3,I)|0)|0;if((Xc(O|0,J|0,1,c[m>>2]|0)|0)!=1){n=7675584;E=131;break a}if((D|0)!=0){H=0;do{N=c[x>>2]|0;M=0;do{h[N+((ga(I,H)|0)+M<<3)>>3]=+h[G+((ga(D,M)|0)+H<<3)>>3];M=M+1|0;}while(M>>>0<I>>>0);H=H+1|0;}while(H>>>0<D>>>0)}M9(O)}else{H=L9(L<<2)|0;G=H;c[x>>2]=L9(ga(D<<3,I)|0)|0;if((Xc(H|0,J|0,1,c[m>>2]|0)|0)!=1){n=7675584;E=131;break a}if((D|0)!=0){M=0;do{N=c[x>>2]|0;F=0;do{h[N+((ga(I,M)|0)+F<<3)>>3]=+g[G+((ga(D,F)|0)+M<<2)>>2];F=F+1|0;}while(F>>>0<I>>>0);M=M+1|0;}while(M>>>0<D>>>0)}M9(H)}M=c[w>>2]|0;if(!(M>>>0>1>>>0)){K=d;E=130;break b}G=(D|0)==2;L=1;while(1){if(G){O=c[x>>2]|0;if(+h[O+(L<<3)>>3]!=+h[O+(M+L<<3)>>3]){n=7674496;E=131;break a}}O=L+1|0;if(O>>>0<M>>>0){L=O}else{K=d;E=130;break}}break};case 0:{if((D|0)!=4){n=7683960;E=131;break a}if((I|0)!=11){n=7682880;E=131;break a}if((Xc(f|0,44,1,c[m>>2]|0)|0)==1){T=0}else{n=7681944;E=131;break a}while(1){L=0;do{a[k+L|0]=a[j+((L<<2)+T)|0]|0;L=L+1|0;}while(L>>>0<11>>>0);a[k+11|0]=0;if((T|0)==3){break}L=T+1|0;if(L>>>0<4>>>0){T=L}else{K=d;E=130;break b}}if((kaa(t,c[7516]|0,8)|0)==0){K=1;E=130;break b}if((kaa(t,c[7518]|0,9)|0)==0){K=0;E=130}else{n=7681136;E=131;break a}break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){S=1;E=129;break b}L=D+1|0;M=0;while(1){G=L9(L)|0;c[(c[v>>2]|0)+(M<<4)+4>>2]=G;if((Xc(c[(c[v>>2]|0)+(M<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=7680280;E=131;break a}a[(c[(c[v>>2]|0)+(M<<4)+4>>2]|0)+D|0]=0;G=M+1|0;if(G>>>0<I>>>0){M=G}else{K=1;E=130;break b}}}else if((d<<24>>24|0)!=0){S=d;E=129;break b}M=ga(D,I)|0;U=L9(M+1|0)|0;if((Xc(U|0,M|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){M=I+1|0;L=(I|0)==0;G=0;do{H=L9(M)|0;c[(c[v>>2]|0)+(G<<4)+4>>2]=H;if(!L){H=0;do{O=a[U+((ga(D,H)|0)+G)|0]|0;a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+H|0]=O;H=H+1|0;}while(H>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+I|0]=0;G=G+1|0;}while(G>>>0<D>>>0)}M9(U);K=0;E=130;break};case 1:{G=d<<24>>24==0;L=G?D:I;c[u>>2]=L;M=L9(L<<4)|0;c[v>>2]=M;c:do{if(d<<24>>24==1){if((I|0)==0){V=0;break}L=D+1|0;H=0;O=M;while(1){c[O+(H<<4)>>2]=L9(L)|0;if((Xc(c[(c[v>>2]|0)+(H<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=7680280;E=131;break a}a[(c[(c[v>>2]|0)+(H<<4)>>2]|0)+D|0]=0;F=c[v>>2]|0;c[F+(H<<4)+8>>2]=-1;c[F+(H<<4)+12>>2]=-1;TH(c[F+(H<<4)>>2]|0);F=H+1|0;if(!(F>>>0<I>>>0)){V=I;break c}H=F;O=c[v>>2]|0}}else{V=I}}while(0);if(!G){K=d;E=130;break b}M=ga(D,V)|0;W=L9(M+1|0)|0;if((Xc(W|0,M|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){M=V+1|0;O=(V|0)==0;H=0;do{L=L9(M)|0;c[(c[v>>2]|0)+(H<<4)>>2]=L;if(!O){L=0;do{F=a[W+((ga(D,L)|0)+H)|0]|0;a[(c[(c[v>>2]|0)+(H<<4)>>2]|0)+L|0]=F;L=L+1|0;}while(L>>>0<V>>>0)}a[(c[(c[v>>2]|0)+(H<<4)>>2]|0)+V|0]=0;L=c[v>>2]|0;c[L+(H<<4)+8>>2]=-1;c[L+(H<<4)+12>>2]=-1;TH(c[L+(H<<4)>>2]|0);H=H+1|0;}while(H>>>0<D>>>0)}M9(W);K=0;E=130;break};case 3:{H=ga(I<<2,D)|0;X=L9(H)|0;O=X;if((Xc(X|0,H|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==0){if((D|0)==0){break}H=c[v>>2]|0;M=0;do{c[H+(M<<4)+8>>2]=(c[O+(M<<2)>>2]|0)==1;c[H+(M<<4)+12>>2]=c[O+(D+M<<2)>>2];M=M+1|0;}while(M>>>0<D>>>0)}else if((d<<24>>24|0)==1){if((I|0)==0){break}M=c[v>>2]|0;H=0;do{G=ga(D,H)|0;c[M+(H<<4)+8>>2]=(c[O+(G<<2)>>2]|0)==1;c[M+(H<<4)+12>>2]=c[O+(G+1<<2)>>2];H=H+1|0;}while(H>>>0<I>>>0)}}while(0);M9(X);Sc(c[v>>2]|0,c[u>>2]|0,16,62);K=d;E=130;break};default:{n=7670096;E=131;break a}}}while(0);if((E|0)==129){E=0;d=S;C=C+1|0;continue}else if((E|0)==130){E=0;I=C+1|0;if((I|0)<6){d=K;C=I;continue}else{n=0;E=131;break}}}if((E|0)==33){M9(W);n=7680280;i=e;return n|0}else if((E|0)==46){M9(U);n=7680280;i=e;return n|0}else if((E|0)==52){M9(X);n=7678896;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function VH(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=wc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,62)|0;i=d;return b|0}function WH(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){wd(7669040,7667880,399,7700784);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){wd(7669040,7667880,399,7700784);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=L9(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){Jd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((Xc(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}M9(o);m=0;return m|0}else{t=L9(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}Jd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((Xc(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){M9(t);M9(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);M9(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function XH(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){wd(7669040,7667880,519,7700808);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){wd(7669040,7667880,519,7700808);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){Jd(n|0,q+(r<<3)|0,0)|0;f=(Xc(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{Jd(n|0,q+(r<<2)|0,0)|0;if((Xc(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function YH(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function ZH(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function _H(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function $H(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+_H(b)<e){q=1;i=f;return q|0}if(+ZH(b)>e){q=1;i=f;return q|0}if((WH(b,1)|0)==0){q=1;i=f;return q|0}YH(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+XH(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+XH(a,b,d,o);i=f;return q|0}if(+XH(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+XH(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function aI(a,b){a=a|0;b=b|0;return+(+h[(c[a+8>>2]|0)+(b<<3)>>3])}function bI(a,b){a=a|0;b=b|0;VG(a,b,EH(b)|0);return}function cI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=f;c[g>>2]=d;c[g+4>>2]=0;c[a+8>>2]=EH(WG(a,b,f|0)|0)|0;i=e;return}function dI(a,b,c){a=a|0;b=b|0;c=+c;h[a+(b<<3)>>3]=c;return}function eI(a,b,d){a=+a;b=b|0;d=d|0;dI(c[d+8>>2]|0,b,a);return}function fI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+16|0;g=f|0;h=L9(b<<2)|0;j=h;if((h|0)==0){wd(7678040,7686368,617,7700944)}k=g|0;l=g;c[l>>2]=e;c[l+4>>2]=0;c[j>>2]=d;if((b|0)>1){l=1;do{c[j+(l<<2)>>2]=(B=c[k+4>>2]|0,c[k+4>>2]=B+8,c[(c[k>>2]|0)+B>>2]|0);l=l+1|0;}while((l|0)<(b|0))}TG(j,b);l=c[d>>2]|0;if((l|0)==1){k=c[c[d+4>>2]>>2]|0;cI(a,2,(m=i,i=i+16|0,c[m>>2]=b,c[m+8>>2]=k,m)|0);i=m}else if((l|0)==3){k=c[d+4>>2]|0;e=c[k>>2]|0;g=c[k+4>>2]|0;n=c[k+8>>2]|0;cI(a,4,(m=i,i=i+32|0,c[m>>2]=b,c[m+8>>2]=e,c[m+16>>2]=g,c[m+24>>2]=n,m)|0);i=m}else if((l|0)==4){n=c[d+4>>2]|0;g=c[n>>2]|0;e=c[n+4>>2]|0;k=c[n+8>>2]|0;o=c[n+12>>2]|0;cI(a,5,(m=i,i=i+40|0,c[m>>2]=b,c[m+8>>2]=g,c[m+16>>2]=e,c[m+24>>2]=k,c[m+32>>2]=o,m)|0);i=m}else if((l|0)==2){l=c[d+4>>2]|0;d=c[l>>2]|0;o=c[l+4>>2]|0;cI(a,3,(m=i,i=i+24|0,c[m>>2]=b,c[m+8>>2]=d,c[m+16>>2]=o,m)|0);i=m}else{wd(7676752,7686368,639,7700944)}if((b|0)<=0){M9(h);i=f;return}m=a+8|0;a=0;o=0;while(1){d=j+(o<<2)|0;l=UG(c[d>>2]|0)|0;if((l|0)>0){k=a;e=0;while(1){p=+aI(c[d>>2]|0,e);dI(c[m>>2]|0,k,p);g=e+1|0;if((g|0)<(l|0)){k=k+1|0;e=g}else{break}}q=l+a|0}else{q=a}e=o+1|0;if((e|0)<(b|0)){a=q;o=e}else{break}}M9(h);i=f;return}function gI(a,b,d,e){a=a|0;b=b|0;d=+d;e=e|0;var f=0,g=0,j=0,k=0,l=0;f=i;i=i+16|0;g=f|0;bI(a,b);j=g|0;k=g;c[k>>2]=e;c[k+4>>2]=0;eI(d,0,a);if((b|0)>1){l=1}else{i=f;return}do{eI((B=c[j+4>>2]|0,c[j+4>>2]=B+8,+h[(c[j>>2]|0)+B>>3]),l,a);l=l+1|0;}while((l|0)<(b|0));i=f;return}function hI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=L9(20)|0;iH(0,(e|0)!=0|0,7650096,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=N9(g,b)|0;c[e>>2]=a;iH(0,(a|0)!=0|0,7650096,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function iI(a){a=a|0;M9(c[a>>2]|0);M9(a);return}function jI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;iH(0,(c[e>>2]|0)>0|0,7685696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;iH(0,(g|0)>(b|0)|0,7674984,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;iH(0,(-g|0)<(b|0)|0,7674984,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function kI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=N9(c[d>>2]<<1,c[e>>2]|0)|0;iH(0,(f|0)!=0|0,7650096,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=jI(a,h)|0;j=c[e>>2]|0;naa(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;M9(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function lI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){kI(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;naa((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function mI(a){a=a|0;return c[a+12>>2]|0}function nI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;iH(0,(c[f>>2]|0)>0|0,7685696,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;iH(0,(h|0)>(b|0)|0,7674984,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;iH(0,b>>>31^1,7674984,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=jI(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function oI(a){a=a|0;return c[(c[2036]|0)+(a<<2)>>2]|0}function pI(a){a=a|0;return c[(c[2032]|0)+(a<<2)>>2]|0}function qI(a){a=a|0;return c[(c[2034]|0)+(a<<2)>>2]|0}function rI(a){a=a|0;return c[(c[2030]|0)+(a<<2)>>2]|0}function sI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2032]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2034]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2036]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function tI(a){a=a|0;var b=0;b=c[8034]|0;return+(+uI(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function uI(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function vI(a){a=a|0;var b=0;b=c[3558]|0;return+(+uI(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function wI(a){a=a|0;var b=0;b=c[408]|0;return+(+uI(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function xI(a){a=a|0;return 0}function yI(a){a=a|0;var b=0;Ab(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2036]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function zI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[8034]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2030]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2036]|0)+(a<<2)>>2]|0);e=c[3558]|0;g=e+(a<<3)|0;AI(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;sI(a);g=c[8034]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2036]|0)+(a<<2)>>2]=0;i=b;return}function AI(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((DI(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function BI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;Ab(4,e|0)|0;f=c[422]|0;g=c[8034]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function CI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=N9(a,8)|0;c[8034]=b;d=N9(a,8)|0;c[3558]=d;e=N9(a,8)|0;c[408]=e;f=N9(a,8)|0;c[422]=f;g=N9(a,4)|0;c[2036]=g;h=N9(a,4)|0;c[2030]=h;i=a<<2;j=L9(i)|0;c[2032]=j;k=N9(a,4)|0;c[2034]=k;oaa(j|0,-1|0,i|0)|0;if((b|0)==0){wd(7648864,7685472,393,7700752)}if((d|0)==0){wd(7674688,7685472,394,7700752)}if((e|0)==0){wd(7663e3,7685472,395,7700752)}if((f|0)==0){wd(7653752,7685472,396,7700752)}if((g|0)==0){wd(7646848,7685472,397,7700752)}if((j|0)==0){wd(7639672,7685472,398,7700752)}if((k|0)==0){wd(7633408,7685472,399,7700752)}if((h|0)==0){wd(7627592,7685472,400,7700752)}else{return}}function DI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function EI(a,b){a=+a;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0,j=0.0;c=(b|0)<0;d=c?-b|0:b;if((d|0)==0){e=1.0}else{b=d;f=1.0;g=a;while(1){if((b&1|0)==0){h=f;i=b}else{h=f*g;i=b-1|0}if((i+1|0)>>>0<3>>>0){e=h;break}else{b=(i|0)/2|0;f=h;g=g*g}}}if(!c){j=e;return+j}j=1.0/e;return+j}function FI(a,b,d){a=a|0;b=b|0;d=+d;var e=0,f=0,g=0,j=0;e=i;i=i+8|0;f=b;b=i;i=i+20|0;i=i+7&-8;c[b>>2]=c[f>>2];c[b+4>>2]=c[f+4>>2];c[b+8>>2]=c[f+8>>2];c[b+12>>2]=c[f+12>>2];c[b+16>>2]=c[f+16>>2];f=e|0;g=f|0;c[g>>2]=1;c[f+4>>2]=c[b>>2];if((a|0)==2){gH(17,0,g,7674208,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==3){gH(17,0,g,7662432,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==1){gH(17,0,g,7684672,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else if((a|0)==0){gH(17,0,g,7645880,(j=i,i=i+16|0,c[j>>2]=c[b+8>>2],h[j+8>>3]=d,j)|0);i=j;i=e;return}else{f=c[b+8>>2]|0;gH(17,0,g,7653376,(j=i,i=i+24|0,c[j>>2]=a,c[j+8>>2]=f,h[j+16>>3]=d,j)|0);i=j;i=e;return}}function GI(a){a=a|0;M9(c[a+12>>2]|0);M9(c[a+4>>2]|0);M9(c[a+8>>2]|0);return}function HI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d|0;f=e;c[f>>2]=b;c[f+4>>2]=0;II(a,e|0);i=d;return}function II(a,b){a=a|0;b=b|0;var d=0;d=c[r>>2]|0;dd(d|0,a|0,b|0)|0;Ta(d|0)|0;return}function JI(a){a=a|0;var b=0;b=c[u>>2]|0;_a(a|0,b|0)|0;Ta(b|0)|0;he[c[2162]&511](0);return}function KI(a,b){a=a|0;b=b|0;var d=0;d=c[u>>2]|0;dd(d|0,a|0,b|0)|0;Ta(d|0)|0;he[c[2162]&511](0);return}function LI(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d|0;f=e;c[f>>2]=b;c[f+4>>2]=0;KI(a,e|0);i=d;return}function MI(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[3808]=.5;h[3806]=1.0;h[3805]=.25;h[3793]=2.0;h[3792]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[1934588]=y;z=c[d>>2]|0;c[1934592]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[1934592]=A;}while((A|0)<=(z|0))}c[1934596]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[3797]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[3797]=D;E=D}else{E=C}F=c[d>>2]|0;c[1934592]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[1934592]=H;if((H|0)>(F|0)){break a}G=H;C=+h[3797]}}}while(0);A=A+1|0;c[1934596]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[3818]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[3816]=0.0;h[3811]=0.0;h[3804]=0.0;h[3789]=0.0;c[1934604]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[3816]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[3811]+ +h[G>>3]*D;h[3811]=C;D=+h[L>>3];M=+h[3804]+D*D;h[3804]=M;D=+h[H>>3];h[3789]=+h[3789]+D*D;H=F+1|0;c[1934604]=H;D=+h[3816];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[1934590]=F;D=E/K;h[3809]=D;A=c[d>>2]|0;c[1934592]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[3810]=0.0;h[3802]=0.0;F=c[b>>2]|0;c[1934604]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[3812]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[3810]=X;_=_+aa*aa;h[3802]=_;G=G+1|0;}while((G|0)<=(F|0));c[1934604]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[1934590]=H;h[3809]=aa;h[3811]=U;h[3804]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[1934592]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[1934604]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[1934604]=ea;ba=+h[3816];ca=+h[3804];da=+h[3811]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[3803]=I;c[1934598]=0;h[3813]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[1934598]=H;da=+h[3806]/+W(ca);h[3797]=da;h[3791]=0.0;h[3790]=0.0;A=c[b>>2]|0;c[1934604]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[3791]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[3791]=la;ma=+h[3790]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[3790]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[3797];da=+h[3816];J=+h[3811]}c[1934604]=na;fa=la;ha=ma;ia=+h[3816]}J=+h[3808];da=fa*J*fa;h[3796]=da;K=ha*J*ha;h[3795]=K;h[967312]=K+(da+ia*(+h[3789]+ia*J));J=+h[3793];h[967313]=J*fa*ia;h[967314]=J*ha*ia;h[967315]=da-K;h[967316]=fa*ha;oaa(7738536,0,32)|0;c[1934604]=10;B=c[d>>2]|0;c[1934592]=1;if((B|0)>=1){F=1;do{h[3796]=0.0;h[3795]=0.0;h[3794]=0.0;A=c[b>>2]|0;c[1934604]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[3796]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[3795]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[3794]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[1934604]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[3805]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[3796]*+h[3794];h[s+(Q+F<<3)>>3]=+h[3795]*+h[3794];J=+h[3796];P=+h[3795];h[s+(N+F<<3)>>3]=+h[3805]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[3808]*+h[3796]*+h[3795];F=F+1|0;c[1934592]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[1934604]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[1934602]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[1934604]=F;}while((F|0)<=(B|0))}c[1934594]=1;B=1;do{F=c[d>>2]|0;c[1934586]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[1934586]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[1934592]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[1934592]=ja}c[1934596]=1;if(z){ta=B}else{F=B;A=1;while(1){h[3800]=0.0;ka=c[d>>2]|0;c[1934592]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[3800]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[1934592]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[3800]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[1934592]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[3800]}c[1934592]=ya}xa=A+1|0;c[1934596]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[1934592]=1;if((A|0)<1){break}else{Aa=1}do{h[3800]=0.0;F=c[b>>2]|0;c[1934596]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[3800]=X;ka=ja+1|0;c[1934596]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[1934592]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[1934596]=1;if((A|0)>=1){ya=1;do{h[3800]=0.0;c[1934604]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[3800]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[1934604]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[1934596]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[1934594]=B;}while((B|0)<6);B=c[k>>2]|0;c[1934592]=1;h[3800]=0.0;c[1934604]=1;X=+h[3808];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[7738272+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[7738272+(ya-1<<3)>>3]+da;h[3800]=da;ya=ya+1|0;}while((ya|0)<6);h[967312]=+h[967312]- +h[967284]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[3796]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[3795]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[3794]=J;h[967313]=+h[967313]-K-X*(J+P);h[967317]=+h[967317]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[3796]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[3795]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[3794]=K;h[967314]=+h[967314]-J-X*(P-K);h[967318]=+h[967318]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[3796]=K;h[967315]=+h[967286]+(+h[967315]-K- +h[967285]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[3796]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[3795]=P;h[967316]=+h[967316]-K-P*X;h[967319]=+h[967319]- +h[967287]+ +h[967288];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[3796]=P;h[967320]=+h[967320]-X*P;A=A+1|0;h[3800]=0.0}while((A|0)<=(B|0));c[1934592]=A;c[1934604]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[7738272+(B-1<<3)>>3]=X*K*K;P=+h[7738272+(B-1<<3)>>3]+P;h[3800]=P;B=B+1|0;c[1934604]=B;}while((B|0)<6);K=+h[3818];J=K*+h[967312]+ +h[967284]+P;h[967303]=J;O=+h[3793];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[3796]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[3795]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[3794]=R;U=R+(K*+h[967313]+T+S);h[967304]=U;T=K*+h[967317]+S-R;h[967308]=T;R=O*+h[A>>3]*+h[Ha>>3];h[3796]=R;S=+h[qa>>3]*+h[za>>3];h[3795]=S;V=+h[Ha>>3]*+h[Ia>>3];h[3794]=V;h[967305]=K*+h[967314]+R+S-V;h[967309]=K*+h[967318]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[3796]=V;R=+h[967285]+(V+K*+h[967315])- +h[967286];h[967306]=R;V=O*+h[A>>3]*+h[za>>3];h[3796]=V;h[967307]=V+K*+h[967316]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[967319]+ +h[967287]- +h[967288];h[967310]=O;h[967311]=K*+h[967320]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[3800]=K;h[3814]=K;h[3815]=K;c[1934600]=0;O=+h[3792]/50.0;h[3797]=O;h[967284]=+h[3806];c[1934604]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[967285]=U;J=+Z(Ja);h[967286]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[7738272+(Ha-1<<3)>>3]=J;M=+h[967285]*C+ +h[967286]*E;h[7738272+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[967285];U=+h[967286]}do{Ha=La-1|0;Ka=Ka+ +h[7738424+(Ha<<3)>>3]*+h[7738272+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[3815]=Ka;c[1934600]=za;h[3796]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[3795]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[1934596]=10;h[3800]=Ka;h[3817]=Ja;h[3799]=T;c[1934604]=50;if((Oa|0)==0){h[3796]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[3795]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[3801]=0.0;if(Ta!=Sa){S=Ta-Ra;h[3796]=S;V=Sa-Ra;h[3795]=V;R=X*(S-V)/(S+V);h[3801]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[3817]=R;V=+Y(R);h[967285]=V;S=+Z(R);h[967286]=S;c[1934596]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[7738272+(Ia-1<<3)>>3]=S;D=+h[967285]*P+ +h[967286]*R;h[7738272+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[967285];V=+h[967286]}h[q>>3]=0.0;h[3815]=0.0;c[1934596]=1;Ia=1;do{za=Ia-1|0;Ha=7738272+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[7738496+(za<<3)>>3]*+h[Ha>>3];h[3815]=+h[3815]+ +h[7738424+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[1934596]=10;Ia=c[k>>2]|0;c[1934592]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[7738272+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[1934596]=6;c[1934592]=Ha}h[3798]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[3816]=0.0;h[3796]=0.0;h[3795]=0.0;Ia=c[b>>2]|0;c[1934604]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[967285]*+h[A>>3]+ +h[967286]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[3816]=+h[3816]+V*V;Xa=+h[3796]+ +h[A>>3]*+h[B>>3];h[3796]=Xa;V=+h[B>>3];Ya=+h[3795]+V*V;h[3795]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[1934604]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[3813];U=+h[3814];h[3813]=V>=U?V:U}U=+h[3815];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[3813];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[3813]=U;c[1934604]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[3797]=P;R=+h[3798]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[3818];B=Ha+1|0;c[1934604]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[3796];V=+h[3795]}}}while(0);Ia=c[d>>2]|0;c[1934592]=1;if((Ia|0)>=1){za=1;do{h[3800]=0.0;Ha=c[b>>2]|0;c[1934596]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[3800]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[1934596]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[3798]*+h[o+(Ha-1+za<<3)>>3]- +h[3818]*+h[p+(za-1<<3)>>3]);h[3797]=U;c[1934604]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[3797]}c[1934604]=qa}za=za+1|0;c[1934592]=za;}while((za|0)<=(Ia|0))}h[3804]=0.0;h[3811]=0.0;Ia=c[b>>2]|0;c[1934604]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[3804]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[3811]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[1934604]=za;ab=P;bb=V}U=+h[3816];R=U*ab-bb*bb;h[3803]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[30456]=1;H=c[k>>2]|0;c[1934592]=1;if((H|0)<1){cb=+h[3806];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[7738272+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[1934596]=6;c[1934592]=ib;cb=+h[3806];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function NI(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[3776]=.5;h[3774]=1.0;h[3760]=6.283185307179586;x=+h[m>>3];h[3780]=x*x;y=u-1-(c[b>>2]|0)|0;c[1934556]=y;c[1934562]=0;z=c[d>>2]|0;c[1934558]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[1934558]=A}c[1934560]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[3763]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[3763]=D;E=D}else{E=x}F=c[d>>2]|0;c[1934558]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[3763]}c[1934558]=H}G=z+1|0;c[1934560]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[3781]=0.0;B=c[b>>2]|0;c[1934566]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[3781]=+h[3781]+E*E;o=o+1|0;c[1934566]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[1934558]=1;if((B|0)>=1){o=1;do{h[3763]=0.0;h[3768]=0.0;w=c[b>>2]|0;c[1934560]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[3763]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[3768]=x;g=g+1|0;}while((g|0)<=(w|0));c[1934560]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[3763]=D;h[3768]=+h[w>>3]*K;w=c[b>>2]|0;c[1934566]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[3768]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[3763]}c[1934566]=M}o=o+1|0;c[1934558]=o;}while((o|0)<=(B|0))}h[3777]=0.0;h[3772]=0.0;h[3778]=0.0;B=c[b>>2]|0;c[1934566]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[3777]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[3772]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[3778]=L;o=o+1|0;}while((o|0)<=(B|0));c[1934566]=o;N=J;O=L;P=K}K=+h[3781];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[3773]=Q;h[3763]=0.0;if(N*N>K*.99*P){h[3763]=+h[3774]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[3776]*Q*S);h[3767]=O;if(P*+h[3780]<O*O*.01){h[3763]=+h[3774]}m=c[b>>2]|0;c[1934566]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[3773]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[3763]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[3773]}c[1934566]=U;T=0}while(1){U=T+1|0;c[1934562]=U;h[3781]=0.0;h[3772]=0.0;h[3771]=0.0;B=c[b>>2]|0;c[1934566]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[3781]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[3772]=Q;S=+h[M>>3];P=P+S*S;h[3771]=P;o=o+1|0;}while((o|0)<=(B|0));c[1934566]=o;V=O;X=P;_=Q}S=V*X-_*_;h[3763]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[3779]=R;B=c[b>>2]|0;c[1934566]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[3781];N=+h[3772];K=+h[3779]}c[1934566]=aa}m=c[d>>2]|0;c[1934558]=1;if((m|0)>=1){M=1;do{h[3768]=0.0;B=c[b>>2]|0;c[1934560]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[3768]=K;o=o+1|0;}while((o|0)<=(B|0));c[1934560]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[3768]=N;B=c[b>>2]|0;c[1934566]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[3768]}c[1934566]=H}M=M+1|0;c[1934558]=M;}while((M|0)<=(m|0))}h[3787]=0.0;h[3786]=0.0;h[3785]=0.0;h[3784]=0.0;h[3783]=0.0;m=c[b>>2]|0;c[1934566]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[3787]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[3786]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[3785]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[3784]=Q;P=P+ +h[w>>3]*+h[o>>3];h[3783]=P;M=M+1|0;}while((M|0)<=(m|0));c[1934566]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[3776];R=O*ca;h[3787]=R;L=O*da-R;h[3784]=L;J=R+ea+L;h[3766]=J;h[3765]=J;h[3764]=J;c[1934564]=0;a[30200]=1;x=+h[3760]/50.0;h[3763]=x;c[1934566]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[3765]=la;c[1934564]=m;h[3762]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[3761]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[3788]=ia;h[3782]=ja;h[3769]=ka;h[3767]=la;c[1934566]=50;h[3764]=la;if((pa|0)==0){h[3762]=la;$=74}else if((pa|0)==49){h[3761]=J;qa=J}else{$=74}if(($|0)==74){$=0;qa=+h[3761]}h[3770]=0.0;D=+h[3762];if(D!=qa){E=D-oa;h[3762]=E;D=qa-oa;h[3761]=D;P=O*(E-D)/(E+D);h[3770]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[3788]=P;D=+Y(P);h[3782]=D;E=+Z(P);h[3769]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[3767]=P;o=c[b>>2]|0;c[1934566]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[3782]*+h[w>>3]+ +h[3769]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[3782];D=+h[3769]}c[1934566]=ta;sa=+h[3767]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[3766];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function OI(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;o_(96)|0;m=c[d>>2]|0;c[1928848]=1;if((m|0)>=1){d=1;do{FZ(30032,b+(d-1)|0,1)|0;d=(c[1928848]|0)+1|0;c[1928848]=d;}while((d|0)<=(m|0))}YZ()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;o_(72)|0;FZ(30032,h,4)|0;YZ()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;o_(48)|0;FZ(30032,h,4)|0;FZ(30032,i,4)|0;YZ()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;o_(24)|0;FZ(30032,k,8)|0;YZ()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;o_(120)|0;FZ(30032,k,8)|0;FZ(30032,l,8)|0;YZ()|0}if((c[f>>2]|0)!=2){return 0}nZ(7738608,0)|0;return 0}



function Xr(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17872>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1536>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1536>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1536>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1536>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1536>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17872>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1536>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7639624,7712376,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17888>>3];p=+h[g+17872>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1536>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7639624,7712376,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17872>>3];x=B;y=C;z=+h[C+1536>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7639624,7712376,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17872>>3];I=+h[g+1536>>3]}}while(0);w=+V(+D);D=+h[E+17896>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17880>>3];p=+h[G+2328>>3];G=H!=0.0;u=+h[E+17888>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7639624,7712376,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17872>>3];O=y;P=+h[(c[y+8>>2]|0)+1536>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7639624,7712376,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17872>>3];T=x;U=+h[(c[x+8>>2]|0)+1536>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17896>>3]))+1.0==0.0;o=+h[R+17888>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7639624,7712376,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17872>>3];_=v;$=+h[(c[v+8>>2]|0)+1536>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7639624,7712376,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17896>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7639624,7712376,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17872>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1536>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7639624,7712376,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17872>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17896>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7639624,7712376,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17864>>3];ha=+h[K+17880>>3];ea=+h[K+17872>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1536>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7639624,7712376,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17872>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17888>>3];ha=+h[pa+2328>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7639624,7712376,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17872>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1536>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7639624,7712376,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17872>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17896>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2328>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7639624,7712376,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7639624,7712376,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17872>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1536>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7639624,7712376,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17872>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1536>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17896>>3]))+1.0==0.0;r=+h[Pa+17888>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7639624,7712376,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17872>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1536>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7639624,7712376,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17896>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7639624,7712376,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17872>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1536>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7639624,7712376,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17872>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17896>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7639624,7712376,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17864>>3];p=+h[Ia+17880>>3];z=+h[Ia+17872>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1536>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7639624,7712376,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17872>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17888>>3];p=+h[lb+2328>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7639624,7712376,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17872>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1536>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7639624,7712376,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17872>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17896>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2328>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7639624,7712376,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2328>>3];Bb=+h[pb+17872>>3]}}while(0);tb=+h[xb+17880>>3];ub=Bb!=0.0;ob=+h[xb+17888>>3];hb=+h[zb+1536>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17896>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7639624,7712376,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17872>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1536>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7639624,7712376,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17872>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1536>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17896>>3]))+1.0==0.0;Aa=+h[Kb+17888>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7639624,7712376,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17872>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1536>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7639624,7712376,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17896>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7639624,7712376,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17872>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1536>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7639624,7712376,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17872>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17896>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7639624,7712376,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17864>>3];_b=+h[Db+17880>>3];Xb=+h[Db+17872>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1536>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7639624,7712376,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17872>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17888>>3];_b=+h[gc+2328>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7639624,7712376,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17872>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1536>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7639624,7712376,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17872>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17896>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2328>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7639624,7712376,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17896>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7639624,7712376,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17872>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1536>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7639624,7712376,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17872>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1536>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17896>>3]))+1.0==0.0;wb=+h[Ac+17888>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7639624,7712376,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17872>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1536>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7639624,7712376,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17896>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7639624,7712376,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17872>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1536>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7639624,7712376,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17872>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17896>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7639624,7712376,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17864>>3];Ab=+h[tc+17880>>3];k=+h[tc+17872>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1536>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7639624,7712376,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17872>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17888>>3];Ab=+h[Yc+2328>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7639624,7712376,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17872>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1536>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7639624,7712376,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17872>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17896>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2328>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7639624,7712376,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7638728,7712376,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2512|0;h[Ga>>3]=Ba;return}}function Yr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2512>>3];i=+h[(c[b+416>>2]|0)+17904>>3];j=+h[f+2832>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7638320,7712368,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2320>>3]=g*k*1256637061435917.0e-21;return}function Zr(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1520>>3]*1256637061435917.0e-21;i=+h[f+1536>>3];if(g!=0.0){j=i/g;k=f;l=k+1528|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1528|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7637896,7712360,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1528|0;h[l>>3]=j;return}function _r(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1544>>3];i=g*g;g=+h[f+2320>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2312|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2312|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7637344,7712352,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2312|0;h[m>>3]=k;return}function $r(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2504>>3]=+h[b+2312>>3]*(-0.0- +h[b+2032>>3])+ +h[b+1552>>3]*(-0.0- +h[b+2552>>3]);return}function as(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17408>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1888>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1888>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1888>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1888>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1888>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17408>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1888>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7637016,7712344,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17424>>3];p=+h[g+17408>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1888>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7637016,7712344,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17408>>3];x=B;y=C;z=+h[C+1888>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7637016,7712344,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17408>>3];I=+h[g+1888>>3]}}while(0);w=+V(+D);D=+h[E+17432>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17416>>3];p=+h[G+2208>>3];G=H!=0.0;u=+h[E+17424>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7637016,7712344,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17408>>3];O=y;P=+h[(c[y+8>>2]|0)+1888>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7637016,7712344,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17408>>3];T=x;U=+h[(c[x+8>>2]|0)+1888>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17432>>3]))+1.0==0.0;o=+h[R+17424>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7637016,7712344,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17408>>3];_=v;$=+h[(c[v+8>>2]|0)+1888>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7637016,7712344,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17432>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7637016,7712344,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17408>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1888>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7637016,7712344,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17408>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17432>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7637016,7712344,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17400>>3];ha=+h[K+17416>>3];ea=+h[K+17408>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1888>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7637016,7712344,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17408>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17424>>3];ha=+h[pa+2208>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7637016,7712344,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17408>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1888>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7637016,7712344,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17408>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17432>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2208>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7637016,7712344,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7637016,7712344,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17408>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1888>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7637016,7712344,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17408>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1888>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17432>>3]))+1.0==0.0;r=+h[Pa+17424>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7637016,7712344,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17408>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1888>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7637016,7712344,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17432>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7637016,7712344,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17408>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1888>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7637016,7712344,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17408>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17432>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7637016,7712344,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17400>>3];p=+h[Ia+17416>>3];z=+h[Ia+17408>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1888>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7637016,7712344,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17408>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17424>>3];p=+h[lb+2208>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7637016,7712344,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17408>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1888>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7637016,7712344,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17408>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17432>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2208>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7637016,7712344,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2208>>3];Bb=+h[pb+17408>>3]}}while(0);tb=+h[xb+17416>>3];ub=Bb!=0.0;ob=+h[xb+17424>>3];hb=+h[zb+1888>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17432>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7637016,7712344,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17408>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1888>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7637016,7712344,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17408>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1888>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17432>>3]))+1.0==0.0;Aa=+h[Kb+17424>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7637016,7712344,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17408>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1888>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7637016,7712344,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17432>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7637016,7712344,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17408>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1888>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7637016,7712344,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17408>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17432>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7637016,7712344,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17400>>3];_b=+h[Db+17416>>3];Xb=+h[Db+17408>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1888>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7637016,7712344,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17408>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17424>>3];_b=+h[gc+2208>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7637016,7712344,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17408>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1888>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7637016,7712344,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17408>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17432>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2208>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7637016,7712344,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17432>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7637016,7712344,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17408>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1888>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7637016,7712344,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17408>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1888>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17432>>3]))+1.0==0.0;wb=+h[Ac+17424>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7637016,7712344,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17408>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1888>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7637016,7712344,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17432>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7637016,7712344,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17408>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1888>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7637016,7712344,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17408>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17432>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7637016,7712344,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17400>>3];Ab=+h[tc+17416>>3];k=+h[tc+17408>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1888>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7637016,7712344,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17408>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17424>>3];Ab=+h[Yc+2208>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7637016,7712344,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17408>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1888>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7637016,7712344,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17408>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17432>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2208>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7637016,7712344,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7635736,7712344,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2424|0;h[Ga>>3]=Ba;return}}function bs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2424>>3];i=+h[(c[b+416>>2]|0)+17440>>3];j=+h[f+2760>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7635136,7712336,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2200>>3]=g*k*1256637061435917.0e-21;return}function cs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1896>>3];i=g*g;g=+h[f+2200>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2192|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2192|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7634416,7712328,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2192|0;h[m>>3]=k;return}function ds(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1872>>3]*1256637061435917.0e-21;i=+h[f+1888>>3];if(g!=0.0){j=i/g;k=f;l=k+1880|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1880|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7633976,7712320,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1880|0;h[l>>3]=j;return}function es(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2416>>3]=+h[b+2192>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1904>>3]*(-0.0- +h[b+2632>>3]);return}function fs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2072>>3]=+h[(c[a+416>>2]|0)+17232>>3]*+h[b+2080>>3];return}function gs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2160>>3]=+h[b+2072>>3]+ +h[b+2024>>3];return}function hs(b){b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;d=b+4|0;e=(yK(+V(+(+h[(c[(c[c[d>>2]>>2]|0)+8>>2]|0)+64>>3])),1.0e-13)|0)<<24>>24==0;f=c[c[d>>2]>>2]|0;g=c[f+8>>2]|0;do{if(e){i=+h[g+2072>>3]*1.0e13;j=g}else{k=+h[g+64>>3];l=+h[g+2072>>3];if(k!=0.0){i=l/k;j=g;break}if(l==0.0){i=l;j=g;break}m=l/+lH(c[b+536>>2]|0,k,7633376,7712312,+h[f>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[j+2064>>3]=+V(+i);return}function is(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2152>>3]=+h[b+2064>>3]+ +h[b+2016>>3];return}function js(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17696>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1664>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1664>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1664>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1664>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1664>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17696>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1664>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7632352,7712304,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17712>>3];p=+h[g+17696>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1664>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7632352,7712304,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17696>>3];x=B;y=C;z=+h[C+1664>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7632352,7712304,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17696>>3];I=+h[g+1664>>3]}}while(0);w=+V(+D);D=+h[E+17720>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17704>>3];p=+h[G+2304>>3];G=H!=0.0;u=+h[E+17712>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7632352,7712304,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17696>>3];O=y;P=+h[(c[y+8>>2]|0)+1664>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7632352,7712304,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17696>>3];T=x;U=+h[(c[x+8>>2]|0)+1664>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17720>>3]))+1.0==0.0;o=+h[R+17712>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7632352,7712304,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17696>>3];_=v;$=+h[(c[v+8>>2]|0)+1664>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7632352,7712304,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17720>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7632352,7712304,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17696>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1664>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7632352,7712304,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17696>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17720>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7632352,7712304,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17688>>3];ha=+h[K+17704>>3];ea=+h[K+17696>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1664>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7632352,7712304,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17696>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17712>>3];ha=+h[pa+2304>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7632352,7712304,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17696>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1664>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7632352,7712304,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17696>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17720>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2304>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7632352,7712304,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7632352,7712304,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17696>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1664>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7632352,7712304,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17696>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1664>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17720>>3]))+1.0==0.0;r=+h[Pa+17712>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7632352,7712304,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17696>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1664>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7632352,7712304,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17720>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7632352,7712304,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17696>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1664>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7632352,7712304,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17696>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17720>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7632352,7712304,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17688>>3];p=+h[Ia+17704>>3];z=+h[Ia+17696>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1664>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7632352,7712304,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17696>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17712>>3];p=+h[lb+2304>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7632352,7712304,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17696>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1664>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7632352,7712304,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17696>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17720>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2304>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7632352,7712304,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2304>>3];Bb=+h[pb+17696>>3]}}while(0);tb=+h[xb+17704>>3];ub=Bb!=0.0;ob=+h[xb+17712>>3];hb=+h[zb+1664>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17720>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7632352,7712304,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17696>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1664>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7632352,7712304,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17696>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1664>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17720>>3]))+1.0==0.0;Aa=+h[Kb+17712>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7632352,7712304,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17696>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1664>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7632352,7712304,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17720>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7632352,7712304,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17696>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1664>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7632352,7712304,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17696>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17720>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7632352,7712304,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17688>>3];_b=+h[Db+17704>>3];Xb=+h[Db+17696>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1664>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7632352,7712304,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17696>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17712>>3];_b=+h[gc+2304>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7632352,7712304,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17696>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1664>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7632352,7712304,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17696>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17720>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2304>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7632352,7712304,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17720>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7632352,7712304,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17696>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1664>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7632352,7712304,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17696>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1664>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17720>>3]))+1.0==0.0;wb=+h[Ac+17712>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7632352,7712304,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17696>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1664>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7632352,7712304,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17720>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7632352,7712304,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17696>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1664>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7632352,7712304,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17696>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17720>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7632352,7712304,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17688>>3];Ab=+h[tc+17704>>3];k=+h[tc+17696>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1664>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7632352,7712304,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17696>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17712>>3];Ab=+h[Yc+2304>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7632352,7712304,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17696>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1664>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7632352,7712304,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17696>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17720>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2304>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7632352,7712304,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7631712,7712304,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2488|0;h[Ga>>3]=Ba;return}}function ks(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2488>>3];i=+h[(c[b+416>>2]|0)+17728>>3];j=+h[f+2792>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7631240,7712296,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+2296>>3]=g*k*1256637061435917.0e-21;return}function ls(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1648>>3]*1256637061435917.0e-21;i=+h[f+1664>>3];if(g!=0.0){j=i/g;k=f;l=k+1656|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1656|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7630792,7712288,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1656|0;h[l>>3]=j;return}function ms(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1672>>3];i=g*g;g=+h[f+2296>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2288|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2288|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7630520,7712280,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2288|0;h[m>>3]=k;return}function ns(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2480>>3]=+h[b+2288>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1680>>3]*(-0.0- +h[b+2632>>3]);return}function os(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0,Na=0.0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0,jb=0.0,kb=0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0,vb=0,wb=0.0,xb=0,yb=0,zb=0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0,rc=0.0,sc=0.0,tc=0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0.0,Kc=0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0.0,id=0;d=b+416|0;e=+h[(c[d>>2]|0)+17624>>3];f=b+4|0;g=c[c[f>>2]>>2]|0;i=+h[(c[g+8>>2]|0)+1720>>3];do{if(e!=0.0){j=i/e}else{if(i==0.0){j=i;break}j=i/+lH(c[b+536>>2]|0,e,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(j>0.0){k=1.0}else{j=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;e=+h[(c[g+8>>2]|0)+1720>>3];do{if(j!=0.0){l=e/j}else{if(e==0.0){l=e;break}l=e/+lH(c[b+536>>2]|0,j,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);k=+((l<0.0)<<31>>31|0)}l=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+1720>>3];do{if(l!=0.0){m=j/l}else{if(j==0.0){m=j;break}m=j/+lH(c[b+536>>2]|0,l,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{m=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;l=+h[(c[g+8>>2]|0)+1720>>3];do{if(m!=0.0){o=l/m}else{if(l==0.0){o=l;break}o=l/+lH(c[b+536>>2]|0,m,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}o=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;m=+h[(c[g+8>>2]|0)+1720>>3];do{if(o!=0.0){p=m/o}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,o,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{p=+h[(c[d>>2]|0)+17624>>3];g=c[c[f>>2]>>2]|0;o=+h[(c[g+8>>2]|0)+1720>>3];do{if(p!=0.0){r=o/p}else{if(o==0.0){r=o;break}r=o/+lH(c[b+536>>2]|0,p,7629824,7712272,+h[g>>3],(a[b+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}g=c[d>>2]|0;r=+h[g+17640>>3];p=+h[g+17624>>3];s=c[c[f>>2]>>2]|0;t=c[s+8>>2]|0;o=+h[t+1720>>3];do{if(p!=0.0){u=o/p;v=g;w=p;x=s;y=t;z=o}else{if(o==0.0){u=o;v=g;w=p;x=s;y=t;z=o;break}m=o/+lH(c[b+536>>2]|0,p,7629824,7712272,+h[s>>3],(a[b+319|0]|0)!=0|0);A=c[d>>2]|0;B=c[c[f>>2]>>2]|0;C=c[B+8>>2]|0;u=m;v=A;w=+h[A+17624>>3];x=B;y=C;z=+h[C+1720>>3]}}while(0);p=r*+V(+u);do{if(w!=0.0){D=z/w;E=v;F=x;G=y;H=w;I=z}else{if(z==0.0){D=z;E=v;F=x;G=y;H=w;I=z;break}u=z/+lH(c[b+536>>2]|0,w,7629824,7712272,+h[x>>3],(a[b+319|0]|0)!=0|0);s=c[d>>2]|0;t=c[c[f>>2]>>2]|0;g=c[t+8>>2]|0;D=u;E=s;F=t;G=g;H=+h[s+17624>>3];I=+h[g+1720>>3]}}while(0);w=+V(+D);D=+h[E+17648>>3];z=p+ +X(+w,+D)+1.0;w=z*z;z=+h[E+17632>>3];p=+h[G+2280>>3];G=H!=0.0;u=+h[E+17640>>3];if(w!=0.0){do{if(G){r=+V(+(I/H));J=(u*r+ +X(+r,+D)+1.0)/H;K=E}else{if(I==0.0){L=I;M=E;N=H;O=F;P=I}else{r=I/+lH(c[b+536>>2]|0,H,7629824,7712272,+h[F>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;y=c[c[f>>2]>>2]|0;L=r;M=x;N=+h[x+17624>>3];O=y;P=+h[(c[y+8>>2]|0)+1720>>3]}r=u*+V(+L);do{if(N!=0.0){Q=P/N;R=M;S=N;T=O;U=P}else{if(P==0.0){Q=P;R=M;S=N;T=O;U=P;break}o=P/+lH(c[b+536>>2]|0,N,7629824,7712272,+h[O>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;x=c[c[f>>2]>>2]|0;Q=o;R=y;S=+h[y+17624>>3];T=x;U=+h[(c[x+8>>2]|0)+1720>>3]}}while(0);o=+V(+Q);x=r+ +X(+o,+(+h[R+17648>>3]))+1.0==0.0;o=+h[R+17640>>3];y=S!=0.0;if(x){do{if(y){W=U/S;Y=R;Z=S;_=T;$=U}else{if(U==0.0){W=U;Y=R;Z=S;_=T;$=U;break}m=U/+lH(c[b+536>>2]|0,S,7629824,7712272,+h[T>>3],(a[b+319|0]|0)!=0|0);x=c[d>>2]|0;v=c[c[f>>2]>>2]|0;W=m;Y=x;Z=+h[x+17624>>3];_=v;$=+h[(c[v+8>>2]|0)+1720>>3]}}while(0);r=o*+V(+W);do{if(Z!=0.0){aa=$/Z;ba=Y}else{if($==0.0){aa=$;ba=Y;break}m=$/+lH(c[b+536>>2]|0,Z,7629824,7712272,+h[_>>3],(a[b+319|0]|0)!=0|0);aa=m;ba=c[d>>2]|0}}while(0);m=+V(+aa);J=r+ +X(+m,+(+h[ba+17648>>3]))+1.0;K=ba;break}else{do{if(y){ca=U/S;da=R;ea=S;fa=T;ga=U}else{if(U==0.0){ca=U;da=R;ea=S;fa=T;ga=U;break}m=U/+lH(c[b+536>>2]|0,S,7629824,7712272,+h[T>>3],(a[b+319|0]|0)!=0|0);v=c[d>>2]|0;x=c[c[f>>2]>>2]|0;ca=m;da=v;ea=+h[v+17624>>3];fa=x;ga=+h[(c[x+8>>2]|0)+1720>>3]}}while(0);r=o*+V(+ca);do{if(ea!=0.0){ha=ga/ea;ia=da;ja=ea;ka=fa}else{if(ga==0.0){ha=ga;ia=da;ja=ea;ka=fa;break}m=ga/+lH(c[b+536>>2]|0,ea,7629824,7712272,+h[fa>>3],(a[b+319|0]|0)!=0|0);y=c[d>>2]|0;ha=m;ia=y;ja=+h[y+17624>>3];ka=c[c[f>>2]>>2]|0}}while(0);o=+V(+ha);m=r+ +X(+o,+(+h[ia+17648>>3]))+1.0;o=m/+lH(c[b+536>>2]|0,ja,7629824,7712272,+h[ka>>3],(a[b+319|0]|0)!=0|0);J=o;K=c[d>>2]|0;break}}}while(0);ja=z*k*p*J;J=+h[K+17616>>3];ha=+h[K+17632>>3];ea=+h[K+17624>>3];ka=c[c[f>>2]>>2]|0;ia=c[ka+8>>2]|0;ga=+h[ia+1720>>3];do{if(ea!=0.0){la=ga/ea;ma=K;na=ea;oa=ka;pa=ia}else{if(ga==0.0){la=ga;ma=K;na=ea;oa=ka;pa=ia;break}ca=ga/+lH(c[b+536>>2]|0,ea,7629824,7712272,+h[ka>>3],(a[b+319|0]|0)!=0|0);fa=c[d>>2]|0;da=c[c[f>>2]>>2]|0;la=ca;ma=fa;na=+h[fa+17624>>3];oa=da;pa=c[da+8>>2]|0}}while(0);ea=J+ha*+V(+la)+-1.0;la=+h[ma+17640>>3];ha=+h[pa+2280>>3];do{if(na!=0.0){qa=ha/na;ra=ma;sa=na;ta=oa;ua=pa}else{if(ha==0.0){qa=ha;ra=ma;sa=na;ta=oa;ua=pa;break}J=ha/+lH(c[b+536>>2]|0,na,7629824,7712272,+h[oa>>3],(a[b+319|0]|0)!=0|0);ka=c[d>>2]|0;ia=c[c[f>>2]>>2]|0;qa=J;ra=ka;sa=+h[ka+17624>>3];ta=ia;ua=c[ia+8>>2]|0}}while(0);na=la*n*qa;qa=+h[ua+1720>>3];do{if(sa!=0.0){va=qa/sa;wa=ra;xa=sa;ya=ta;za=ua}else{if(qa==0.0){va=qa;wa=ra;xa=sa;ya=ta;za=ua;break}la=qa/+lH(c[b+536>>2]|0,sa,7629824,7712272,+h[ta>>3],(a[b+319|0]|0)!=0|0);oa=c[d>>2]|0;pa=c[c[f>>2]>>2]|0;va=la;wa=oa;xa=+h[oa+17624>>3];ya=pa;za=c[pa+8>>2]|0}}while(0);sa=+V(+va);va=+h[wa+17648>>3];qa=+X(+sa,+(va+-1.0));sa=+h[za+2280>>3];do{if(xa!=0.0){Aa=sa/xa}else{if(sa==0.0){Aa=sa;break}Aa=sa/+lH(c[b+536>>2]|0,xa,7629824,7712272,+h[ya>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=(ja-ea*(na+qa*va*q*Aa))/w;Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}do{if(G){Aa=+V(+(I/H));Ha=(u*Aa+ +X(+Aa,+D)+1.0)/H;Ia=E}else{if(I==0.0){Ja=I;Ka=E;La=H;Ma=F;Na=I}else{Aa=I/+lH(c[b+536>>2]|0,H,7629824,7712272,+h[F>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;za=c[c[f>>2]>>2]|0;Ja=Aa;Ka=ya;La=+h[ya+17624>>3];Ma=za;Na=+h[(c[za+8>>2]|0)+1720>>3]}Aa=u*+V(+Ja);do{if(La!=0.0){Oa=Na/La;Pa=Ka;Qa=La;Ra=Ma;Sa=Na}else{if(Na==0.0){Oa=Na;Pa=Ka;Qa=La;Ra=Ma;Sa=Na;break}va=Na/+lH(c[b+536>>2]|0,La,7629824,7712272,+h[Ma>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;Oa=va;Pa=za;Qa=+h[za+17624>>3];Ra=ya;Sa=+h[(c[ya+8>>2]|0)+1720>>3]}}while(0);r=+V(+Oa);ya=Aa+ +X(+r,+(+h[Pa+17648>>3]))+1.0==0.0;r=+h[Pa+17640>>3];za=Qa!=0.0;if(ya){do{if(za){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7629824,7712272,+h[Ra>>3],(a[b+319|0]|0)!=0|0);ya=c[d>>2]|0;wa=c[c[f>>2]>>2]|0;Ta=va;Ua=ya;Va=+h[ya+17624>>3];Wa=wa;Xa=+h[(c[wa+8>>2]|0)+1720>>3]}}while(0);Aa=r*+V(+Ta);do{if(Va!=0.0){Ya=Xa/Va;Za=Ua}else{if(Xa==0.0){Ya=Xa;Za=Ua;break}va=Xa/+lH(c[b+536>>2]|0,Va,7629824,7712272,+h[Wa>>3],(a[b+319|0]|0)!=0|0);Ya=va;Za=c[d>>2]|0}}while(0);va=+V(+Ya);Ha=Aa+ +X(+va,+(+h[Za+17648>>3]))+1.0;Ia=Za;break}else{do{if(za){_a=Sa/Qa;$a=Pa;ab=Qa;bb=Ra;cb=Sa}else{if(Sa==0.0){_a=Sa;$a=Pa;ab=Qa;bb=Ra;cb=Sa;break}va=Sa/+lH(c[b+536>>2]|0,Qa,7629824,7712272,+h[Ra>>3],(a[b+319|0]|0)!=0|0);wa=c[d>>2]|0;ya=c[c[f>>2]>>2]|0;_a=va;$a=wa;ab=+h[wa+17624>>3];bb=ya;cb=+h[(c[ya+8>>2]|0)+1720>>3]}}while(0);Aa=r*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;break}va=cb/+lH(c[b+536>>2]|0,ab,7629824,7712272,+h[bb>>3],(a[b+319|0]|0)!=0|0);za=c[d>>2]|0;db=va;eb=za;fb=+h[za+17624>>3];gb=c[c[f>>2]>>2]|0}}while(0);r=+V(+db);va=Aa+ +X(+r,+(+h[eb+17648>>3]))+1.0;r=va/+lH(c[b+536>>2]|0,fb,7629824,7712272,+h[gb>>3],(a[b+319|0]|0)!=0|0);Ha=r;Ia=c[d>>2]|0;break}}}while(0);fb=z*k*p*Ha;Ha=+h[Ia+17616>>3];p=+h[Ia+17632>>3];z=+h[Ia+17624>>3];gb=c[c[f>>2]>>2]|0;eb=c[gb+8>>2]|0;db=+h[eb+1720>>3];do{if(z!=0.0){hb=db/z;ib=Ia;jb=z;kb=gb;lb=eb}else{if(db==0.0){hb=db;ib=Ia;jb=z;kb=gb;lb=eb;break}ab=db/+lH(c[b+536>>2]|0,z,7629824,7712272,+h[gb>>3],(a[b+319|0]|0)!=0|0);bb=c[d>>2]|0;$a=c[c[f>>2]>>2]|0;hb=ab;ib=bb;jb=+h[bb+17624>>3];kb=$a;lb=c[$a+8>>2]|0}}while(0);z=Ha+p*+V(+hb)+-1.0;hb=+h[ib+17640>>3];p=+h[lb+2280>>3];do{if(jb!=0.0){mb=p/jb;nb=ib;ob=jb;pb=kb;qb=lb}else{if(p==0.0){mb=p;nb=ib;ob=jb;pb=kb;qb=lb;break}Ha=p/+lH(c[b+536>>2]|0,jb,7629824,7712272,+h[kb>>3],(a[b+319|0]|0)!=0|0);gb=c[d>>2]|0;eb=c[c[f>>2]>>2]|0;mb=Ha;nb=gb;ob=+h[gb+17624>>3];pb=eb;qb=c[eb+8>>2]|0}}while(0);jb=hb*n*mb;mb=+h[qb+1720>>3];do{if(ob!=0.0){rb=mb/ob;sb=nb;tb=ob;ub=pb;vb=qb}else{if(mb==0.0){rb=mb;sb=nb;tb=ob;ub=pb;vb=qb;break}hb=mb/+lH(c[b+536>>2]|0,ob,7629824,7712272,+h[pb>>3],(a[b+319|0]|0)!=0|0);kb=c[d>>2]|0;lb=c[c[f>>2]>>2]|0;rb=hb;sb=kb;tb=+h[kb+17624>>3];ub=lb;vb=c[lb+8>>2]|0}}while(0);ob=+V(+rb);rb=+h[sb+17648>>3];mb=+X(+ob,+(rb+-1.0));ob=+h[vb+2280>>3];do{if(tb!=0.0){wb=ob/tb;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb}else{if(ob==0.0){wb=ob;xb=sb;yb=ub;zb=vb;Ab=ob;Bb=tb;break}hb=ob/+lH(c[b+536>>2]|0,tb,7629824,7712272,+h[ub>>3],(a[b+319|0]|0)!=0|0);pb=c[d>>2]|0;qb=c[c[f>>2]>>2]|0;nb=c[qb+8>>2]|0;wb=hb;xb=pb;yb=qb;zb=nb;Ab=+h[nb+2280>>3];Bb=+h[pb+17624>>3]}}while(0);tb=+h[xb+17632>>3];ub=Bb!=0.0;ob=+h[xb+17640>>3];hb=+h[zb+1720>>3];if(fb-z*(jb+mb*rb*q*wb)==0.0){do{if(ub){wb=+V(+(hb/Bb));Cb=(ob*wb+ +X(+wb,+(+h[xb+17648>>3]))+1.0)/Bb;Db=xb}else{if(hb==0.0){Eb=hb;Fb=xb;Gb=Bb;Hb=yb;Ib=hb}else{wb=hb/+lH(c[b+536>>2]|0,Bb,7629824,7712272,+h[yb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;vb=c[c[f>>2]>>2]|0;Eb=wb;Fb=zb;Gb=+h[zb+17624>>3];Hb=vb;Ib=+h[(c[vb+8>>2]|0)+1720>>3]}wb=ob*+V(+Eb);do{if(Gb!=0.0){Jb=Ib/Gb;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib}else{if(Ib==0.0){Jb=Ib;Kb=Fb;Lb=Gb;Mb=Hb;Nb=Ib;break}rb=Ib/+lH(c[b+536>>2]|0,Gb,7629824,7712272,+h[Hb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Jb=rb;Kb=vb;Lb=+h[vb+17624>>3];Mb=zb;Nb=+h[(c[zb+8>>2]|0)+1720>>3]}}while(0);Aa=+V(+Jb);zb=wb+ +X(+Aa,+(+h[Kb+17648>>3]))+1.0==0.0;Aa=+h[Kb+17640>>3];vb=Lb!=0.0;if(zb){do{if(vb){Ob=Nb/Lb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb}else{if(Nb==0.0){Ob=Nb;Pb=Kb;Qb=Lb;Rb=Mb;Sb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7629824,7712272,+h[Mb>>3],(a[b+319|0]|0)!=0|0);zb=c[d>>2]|0;sb=c[c[f>>2]>>2]|0;Ob=rb;Pb=zb;Qb=+h[zb+17624>>3];Rb=sb;Sb=+h[(c[sb+8>>2]|0)+1720>>3]}}while(0);wb=Aa*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;break}rb=Sb/+lH(c[b+536>>2]|0,Qb,7629824,7712272,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Tb=rb;Ub=c[d>>2]|0}}while(0);rb=+V(+Tb);Cb=wb+ +X(+rb,+(+h[Ub+17648>>3]))+1.0;Db=Ub;break}else{do{if(vb){Vb=Nb/Lb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb}else{if(Nb==0.0){Vb=Nb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;break}rb=Nb/+lH(c[b+536>>2]|0,Lb,7629824,7712272,+h[Mb>>3],(a[b+319|0]|0)!=0|0);sb=c[d>>2]|0;zb=c[c[f>>2]>>2]|0;Vb=rb;Wb=sb;Xb=+h[sb+17624>>3];Yb=zb;Zb=+h[(c[zb+8>>2]|0)+1720>>3]}}while(0);wb=Aa*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}rb=Zb/+lH(c[b+536>>2]|0,Xb,7629824,7712272,+h[Yb>>3],(a[b+319|0]|0)!=0|0);vb=c[d>>2]|0;_b=rb;$b=vb;ac=+h[vb+17624>>3];bc=c[c[f>>2]>>2]|0}}while(0);Aa=+V(+_b);rb=wb+ +X(+Aa,+(+h[$b+17648>>3]))+1.0;Aa=rb/+lH(c[b+536>>2]|0,ac,7629824,7712272,+h[bc>>3],(a[b+319|0]|0)!=0|0);Cb=Aa;Db=c[d>>2]|0;break}}}while(0);ac=tb*k*Ab*Cb;Cb=+h[Db+17616>>3];_b=+h[Db+17632>>3];Xb=+h[Db+17624>>3];bc=c[c[f>>2]>>2]|0;$b=c[bc+8>>2]|0;Zb=+h[$b+1720>>3];do{if(Xb!=0.0){cc=Zb/Xb;dc=Db;ec=Xb;fc=bc;gc=$b}else{if(Zb==0.0){cc=Zb;dc=Db;ec=Xb;fc=bc;gc=$b;break}Vb=Zb/+lH(c[b+536>>2]|0,Xb,7629824,7712272,+h[bc>>3],(a[b+319|0]|0)!=0|0);Yb=c[d>>2]|0;Wb=c[c[f>>2]>>2]|0;cc=Vb;dc=Yb;ec=+h[Yb+17624>>3];fc=Wb;gc=c[Wb+8>>2]|0}}while(0);Xb=Cb+_b*+V(+cc)+-1.0;cc=+h[dc+17640>>3];_b=+h[gc+2280>>3];do{if(ec!=0.0){hc=_b/ec;ic=dc;jc=ec;kc=fc;lc=gc}else{if(_b==0.0){hc=_b;ic=dc;jc=ec;kc=fc;lc=gc;break}Cb=_b/+lH(c[b+536>>2]|0,ec,7629824,7712272,+h[fc>>3],(a[b+319|0]|0)!=0|0);bc=c[d>>2]|0;$b=c[c[f>>2]>>2]|0;hc=Cb;ic=bc;jc=+h[bc+17624>>3];kc=$b;lc=c[$b+8>>2]|0}}while(0);ec=cc*n*hc;hc=+h[lc+1720>>3];do{if(jc!=0.0){mc=hc/jc;nc=ic;oc=jc;pc=kc;qc=lc}else{if(hc==0.0){mc=hc;nc=ic;oc=jc;pc=kc;qc=lc;break}cc=hc/+lH(c[b+536>>2]|0,jc,7629824,7712272,+h[kc>>3],(a[b+319|0]|0)!=0|0);fc=c[d>>2]|0;gc=c[c[f>>2]>>2]|0;mc=cc;nc=fc;oc=+h[fc+17624>>3];pc=gc;qc=c[gc+8>>2]|0}}while(0);jc=+V(+mc);mc=+h[nc+17648>>3];hc=+X(+jc,+(mc+-1.0));jc=+h[qc+2280>>3];do{if(oc!=0.0){rc=jc/oc}else{if(jc==0.0){rc=jc;break}rc=jc/+lH(c[b+536>>2]|0,oc,7629824,7712272,+h[pc>>3],(a[b+319|0]|0)!=0|0)}}while(0);Ba=ac-Xb*(ec+hc*mc*q*rc);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}else{do{if(ub){rc=+V(+(hb/Bb));sc=(ob*rc+ +X(+rc,+(+h[xb+17648>>3]))+1.0)/Bb;tc=xb}else{if(hb==0.0){uc=hb;vc=xb;wc=Bb;xc=yb;yc=hb}else{rc=hb/+lH(c[b+536>>2]|0,Bb,7629824,7712272,+h[yb>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;qc=c[c[f>>2]>>2]|0;uc=rc;vc=pc;wc=+h[pc+17624>>3];xc=qc;yc=+h[(c[qc+8>>2]|0)+1720>>3]}rc=ob*+V(+uc);do{if(wc!=0.0){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}mc=yc/+lH(c[b+536>>2]|0,wc,7629824,7712272,+h[xc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;zc=mc;Ac=qc;Bc=+h[qc+17624>>3];Cc=pc;Dc=+h[(c[pc+8>>2]|0)+1720>>3]}}while(0);wb=+V(+zc);pc=rc+ +X(+wb,+(+h[Ac+17648>>3]))+1.0==0.0;wb=+h[Ac+17640>>3];qc=Bc!=0.0;if(pc){do{if(qc){Ec=Dc/Bc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc}else{if(Dc==0.0){Ec=Dc;Fc=Ac;Gc=Bc;Hc=Cc;Ic=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7629824,7712272,+h[Cc>>3],(a[b+319|0]|0)!=0|0);pc=c[d>>2]|0;nc=c[c[f>>2]>>2]|0;Ec=mc;Fc=pc;Gc=+h[pc+17624>>3];Hc=nc;Ic=+h[(c[nc+8>>2]|0)+1720>>3]}}while(0);rc=wb*+V(+Ec);do{if(Gc!=0.0){Jc=Ic/Gc;Kc=Fc}else{if(Ic==0.0){Jc=Ic;Kc=Fc;break}mc=Ic/+lH(c[b+536>>2]|0,Gc,7629824,7712272,+h[Hc>>3],(a[b+319|0]|0)!=0|0);Jc=mc;Kc=c[d>>2]|0}}while(0);mc=+V(+Jc);sc=rc+ +X(+mc,+(+h[Kc+17648>>3]))+1.0;tc=Kc;break}else{do{if(qc){Lc=Dc/Bc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc}else{if(Dc==0.0){Lc=Dc;Mc=Ac;Nc=Bc;Oc=Cc;Pc=Dc;break}mc=Dc/+lH(c[b+536>>2]|0,Bc,7629824,7712272,+h[Cc>>3],(a[b+319|0]|0)!=0|0);nc=c[d>>2]|0;pc=c[c[f>>2]>>2]|0;Lc=mc;Mc=nc;Nc=+h[nc+17624>>3];Oc=pc;Pc=+h[(c[pc+8>>2]|0)+1720>>3]}}while(0);rc=wb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc;Sc=Nc;Tc=Oc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;Sc=Nc;Tc=Oc;break}mc=Pc/+lH(c[b+536>>2]|0,Nc,7629824,7712272,+h[Oc>>3],(a[b+319|0]|0)!=0|0);qc=c[d>>2]|0;Qc=mc;Rc=qc;Sc=+h[qc+17624>>3];Tc=c[c[f>>2]>>2]|0}}while(0);wb=+V(+Qc);mc=rc+ +X(+wb,+(+h[Rc+17648>>3]))+1.0;wb=mc/+lH(c[b+536>>2]|0,Sc,7629824,7712272,+h[Tc>>3],(a[b+319|0]|0)!=0|0);sc=wb;tc=c[d>>2]|0;break}}}while(0);Sc=tb*k*Ab*sc;sc=+h[tc+17616>>3];Ab=+h[tc+17632>>3];k=+h[tc+17624>>3];Tc=c[c[f>>2]>>2]|0;Rc=c[Tc+8>>2]|0;tb=+h[Rc+1720>>3];do{if(k!=0.0){Uc=tb/k;Vc=tc;Wc=k;Xc=Tc;Yc=Rc}else{if(tb==0.0){Uc=tb;Vc=tc;Wc=k;Xc=Tc;Yc=Rc;break}Qc=tb/+lH(c[b+536>>2]|0,k,7629824,7712272,+h[Tc>>3],(a[b+319|0]|0)!=0|0);Oc=c[d>>2]|0;Mc=c[c[f>>2]>>2]|0;Uc=Qc;Vc=Oc;Wc=+h[Oc+17624>>3];Xc=Mc;Yc=c[Mc+8>>2]|0}}while(0);k=sc+Ab*+V(+Uc)+-1.0;Uc=+h[Vc+17640>>3];Ab=+h[Yc+2280>>3];do{if(Wc!=0.0){Zc=Ab/Wc;_c=Vc;$c=Wc;ad=Xc;bd=Yc}else{if(Ab==0.0){Zc=Ab;_c=Vc;$c=Wc;ad=Xc;bd=Yc;break}sc=Ab/+lH(c[b+536>>2]|0,Wc,7629824,7712272,+h[Xc>>3],(a[b+319|0]|0)!=0|0);Tc=c[d>>2]|0;Rc=c[c[f>>2]>>2]|0;Zc=sc;_c=Tc;$c=+h[Tc+17624>>3];ad=Rc;bd=c[Rc+8>>2]|0}}while(0);Wc=Uc*n*Zc;Zc=+h[bd+1720>>3];do{if($c!=0.0){cd=Zc/$c;dd=_c;ed=$c;fd=ad;gd=bd}else{if(Zc==0.0){cd=Zc;dd=_c;ed=$c;fd=ad;gd=bd;break}n=Zc/+lH(c[b+536>>2]|0,$c,7629824,7712272,+h[ad>>3],(a[b+319|0]|0)!=0|0);Xc=c[d>>2]|0;Yc=c[c[f>>2]>>2]|0;cd=n;dd=Xc;ed=+h[Xc+17624>>3];fd=Yc;gd=c[Yc+8>>2]|0}}while(0);$c=+V(+cd);cd=+h[dd+17648>>3];Zc=+X(+$c,+(cd+-1.0));$c=+h[gd+2280>>3];do{if(ed!=0.0){hd=$c/ed;id=fd}else{if($c==0.0){hd=$c;id=fd;break}n=$c/+lH(c[b+536>>2]|0,ed,7629824,7712272,+h[fd>>3],(a[b+319|0]|0)!=0|0);hd=n;id=c[c[f>>2]>>2]|0}}while(0);Ba=(Sc-k*(Wc+Zc*cd*q*hd))/+lH(c[b+536>>2]|0,w,7629120,7712272,+h[id>>3],(a[b+319|0]|0)!=0|0);Ca=c[f>>2]|0;Da=c[Ca>>2]|0;Ea=Da+8|0;Fa=c[Ea>>2]|0;Ga=Fa+2472|0;h[Ga>>3]=Ba;return}}function ps(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17664>>3];j=+h[f+17672>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7628440,7712264,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7712240,7627968,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+2472>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17656>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7627496,7712264,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+2272|0;h[r>>3]=q;i=d;return}function qs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1704>>3]*1256637061435917.0e-21;i=+h[f+1720>>3];if(g!=0.0){j=i/g;k=f;l=k+1712|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1712|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7626960,7712232,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1712|0;h[l>>3]=j;return}function rs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1728>>3];i=g*g;g=+h[f+2272>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2264|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2264|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7626568,7712224,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2264|0;h[m>>3]=k;return}function ss(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2464>>3]=+h[b+2264>>3]*(-0.0- +h[b+2080>>3])+ +h[b+1736>>3]*(-0.0- +h[b+2632>>3]);return}function ts(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1760>>3]*1256637061435917.0e-21;i=+h[f+1776>>3];if(g!=0.0){j=i/g;k=f;l=k+1768|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1768|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7625728,7712216,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1768|0;h[l>>3]=j;return}function us(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1816>>3]*1256637061435917.0e-21;i=+h[f+1832>>3];if(g!=0.0){j=i/g;k=f;l=k+1824|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1824|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7625360,7712208,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1824|0;h[l>>3]=j;return}function vs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2816>>3];i=+h[f+1592>>3];if(g!=0.0){j=i/g;k=f;l=k+1584|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1584|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7624928,7712200,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1584|0;h[l>>3]=j;return}function ws(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17776>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1584>>3];if(d!=0.0){j=i/d;k=g;l=k+1576|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1576|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7624032,7712192,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1576|0;h[l>>3]=j;return}function xs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2856>>3];i=+h[f+1272>>3];if(g!=0.0){j=i/g;k=f;l=k+1264|0;h[l>>3]=j;return}if(i==0.0){j=i;k=f;l=k+1264|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,g,7622904,7712184,+h[e>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[d>>2]>>2]|0)+8>>2]|0;l=k+1264|0;h[l>>3]=j;return}function ys(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+18152>>3]*1256637061435917.0e-21;e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+1264>>3];if(d!=0.0){j=i/d;k=g;l=k+1256|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+1256|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7622520,7712176,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+1256|0;h[l>>3]=j;return}function zs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2144>>3]=+h[b+2032>>3]- +h[b+1272>>3]- +h[b+1568>>3]- +h[b+1624>>3]- +h[b+1632>>3];return}function As(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1488>>3]=+h[b+40>>3]+ +h[(c[a+416>>2]|0)+17984>>3]*-.5;return}function Bs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1320>>3]=+h[b+1488>>3]+ +h[(c[a+416>>2]|0)+17984>>3]*-.5;return}function Cs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1384>>3]=+h[b+1320>>3]- +h[(c[a+416>>2]|0)+18088>>3];return}function Ds(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+4|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+4|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3])|0;a[(c[b+352>>2]|0)+4|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1384>>3],+h[(c[b+416>>2]|0)+18064>>3])|0;a[(c[b+352>>2]|0)+4|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+2|0]=d;return}function Es(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+2|0]|0)==0){f=0.0;g=e+1408|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+1384>>3]- +h[d+18064>>3]));f=i*i*(-0.0- +h[d+18048>>3]);g=e+1408|0;h[g>>3]=f;return}function Fs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1432>>3]=+h[(c[a+416>>2]|0)+18080>>3]- +h[b+40>>3];return}function Gs(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+5|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;j=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=j;d=g;e=i;break}else{i=b+4|0;g=uK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+5|0]|0;i=b+4|0;g=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3])|0;a[(c[b+352>>2]|0)+5|0]=g;d=f;e=i;break}else{i=b+4|0;f=wK(+h[(c[(c[c[i>>2]>>2]|0)+8>>2]|0)+1432>>3],+h[(c[b+416>>2]|0)+18024>>3])|0;a[(c[b+352>>2]|0)+5|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+3|0]=d;return}function Hs(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0.0;d=c[c[b+4>>2]>>2]|0;e=c[d+8>>2]|0;if((a[(c[d+16>>2]|0)+3|0]|0)==0){f=0.0;g=e+1464|0;h[g>>3]=f;return}d=c[b+416>>2]|0;i=+V(+(+h[e+1432>>3]- +h[d+18024>>3]));f=i*i*(-0.0- +h[d+18008>>3]);g=e+1464|0;h[g>>3]=f;return}function Is(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1232>>3]=+h[b+40>>3]+ +h[(c[a+416>>2]|0)+18224>>3]*.5;return}function Js(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1248>>3]=+h[b+1232>>3]+ +h[(c[a+416>>2]|0)+18224>>3]*.5;return}function Ks(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+32>>3]=0.0;return}function Ls(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+2|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+1400|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18056>>3]*+h[i+32>>3];f=i;g=f+1400|0;h[g>>3]=e;return}}function Ms(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+2|0]|0)==0){f=0.0;g=e;i=g+1392|0;h[i>>3]=f;return}b=(wK(+h[e+1400>>3],+h[e+1408>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+1408>>3];g=e;i=g+1392|0;h[i>>3]=f;return}b=(yK(+h[e+1400>>3],-0.0- +h[e+1408>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+1400>>3];g=e;i=g+1392|0;h[i>>3]=f;return}else{f=-0.0- +h[e+1408>>3];g=e;i=g+1392|0;h[i>>3]=f;return}}function Ns(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1416>>3]=+h[b+1392>>3]*+h[b+32>>3];return}function Os(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1424>>3]=+h[b+1408>>3]+ +h[b+1392>>3];return}function Ps(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1504>>3]=+h[b+1512>>3]- +h[b+1424>>3];return}function Qs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+112>>3]=+h[b+32>>3];return}function Rs(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+40>>3];i=c[b+416>>2]|0;j=+h[i+18096>>3];k=-0.0- +h[i+18120>>3];l=g*g;g=+h[f+112>>3];do{if(l!=0.0){m=g/l;n=f}else{if(g==0.0){m=g;n=f;break}o=g/+lH(c[b+536>>2]|0,l,7622016,7712168,+h[e>>3],(a[b+319|0]|0)!=0|0);m=o;n=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[n+2344>>3]=j*m*k*1256637061435917.0e-21;return}function Ss(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1344>>3];i=g*g;g=+h[f+2344>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2336|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2336|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7621672,7712160,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2336|0;h[m>>3]=k;return}function Ts(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+40>>3];i=b+416|0;j=c[i>>2]|0;k=+h[j+18136>>3];l=+h[j+18144>>3];m=-0.0-l;n=g*g;do{if(g!=0.0){o=l/g;p=e;q=f}else{if(l==0.0){o=l;p=e;q=f;break}r=l/+lH(c[b+536>>2]|0,g,7645240,7712152,+h[e>>3],(a[b+319|0]|0)!=0|0);j=c[c[d>>2]>>2]|0;o=r;p=j;q=c[j+8>>2]|0}}while(0);g=+h[q+112>>3];if(n*(o*3.141592653589793+1.0)!=0.0){o=+h[q+40>>3];l=+h[(c[i>>2]|0)+18144>>3];do{if(o!=0.0){s=l/o}else{if(l==0.0){s=l;break}s=l/+lH(c[b+536>>2]|0,o,7645240,7712152,+h[p>>3],(a[b+319|0]|0)!=0|0)}}while(0);t=g/(n*(s*3.141592653589793+1.0));u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}if(g==0.0){t=g;u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}e=c[b+536>>2]|0;s=+h[q+40>>3];o=+h[(c[i>>2]|0)+18144>>3];do{if(s!=0.0){C=o/s;D=p}else{if(o==0.0){C=o;D=p;break}l=o/+lH(e,s,7645240,7712152,+h[p>>3],(a[b+319|0]|0)!=0|0);C=l;D=c[c[d>>2]>>2]|0}}while(0);t=g/+lH(e,n*(C*3.141592653589793+1.0),7644616,7712152,+h[D>>3],(a[b+319|0]|0)!=0|0);u=t*m;v=k*u;w=v*1256637061435917.0e-21;x=c[d>>2]|0;y=c[x>>2]|0;z=y+8|0;A=c[z>>2]|0;B=A+2360|0;h[B>>3]=w;return}function Us(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1288>>3];i=g*g;g=+h[f+2360>>3];j=-0.0-g;if(i!=0.0){k=j/i;l=f;m=l+2352|0;h[m>>3]=k;return}if(g==-0.0){k=j;l=f;m=l+2352|0;h[m>>3]=k;return}g=j/+lH(c[b+536>>2]|0,i,7621360,7712144,+h[e>>3],(a[b+319|0]|0)!=0|0);k=g;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+2352|0;h[m>>3]=k;return}function Vs(a){a=a|0;var b=0,d=0;MK(a,3)|0;b=c[(c[a+476>>2]|0)+220>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2576>>3]=+h[b>>3];h[d+2592>>3]=+h[b+8>>3];h[d+2560>>3]=+h[b+16>>3];h[d+2624>>3]=+h[b+24>>3];h[d+2568>>3]=+h[b+32>>3];h[d+2240>>3]=+h[b+40>>3];h[d+2248>>3]=+h[b+48>>3];h[d+2456>>3]=+h[b+56>>3];h[d+2256>>3]=+h[b+64>>3];h[d+2376>>3]=+h[b+72>>3];h[d+2448>>3]=+h[b+80>>3];h[d+2496>>3]=+h[b+88>>3];h[d+2520>>3]=+h[b+96>>3];h[d+96>>3]=+h[b+104>>3];h[d+2584>>3]=+h[b+112>>3];h[d+2608>>3]=+h[b+120>>3];h[d+2616>>3]=+h[b+128>>3];h[d+2232>>3]=+h[b+136>>3];h[d+2440>>3]=+h[b+144>>3];h[d+2224>>3]=+h[b+152>>3];h[d+2216>>3]=+h[b+160>>3];h[d+2432>>3]=+h[b+168>>3];h[d+2544>>3]=+h[b+176>>3];h[d+2600>>3]=+h[b+184>>3];h[d+2536>>3]=+h[b+192>>3];h[d+2528>>3]=+h[b+200>>3];return}function Ws(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2408>>3]=+h[b+2504>>3]+ +h[b+2600>>3];return}function Xs(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17240>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2408>>3];if(d!=0.0){j=i/d;k=g;l=k+2640|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+2640|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7646336,7712136,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+2640|0;h[l>>3]=j;return}function Ys(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2384>>3]=+h[b+2416>>3]+ +h[b+2544>>3];return}function Zs(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2392>>3]=+h[b+2464>>3]+ +h[b+2384>>3];return}function _s(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2368>>3]=+h[b+2480>>3]+ +h[b+2392>>3];return}function $s(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2400>>3]=+h[b+2368>>3]- +h[b+2536>>3];return}function at(b){b=b|0;var d=0.0,e=0,f=0,g=0,i=0.0,j=0.0,k=0,l=0,m=0.0;d=+h[(c[b+416>>2]|0)+17232>>3];e=b+4|0;f=c[c[e>>2]>>2]|0;g=c[f+8>>2]|0;i=+h[g+2400>>3];if(d!=0.0){j=i/d;k=g;l=k+136|0;h[l>>3]=j;return}if(i==0.0){j=i;k=g;l=k+136|0;h[l>>3]=j;return}m=i/+lH(c[b+536>>2]|0,d,7648480,7712128,+h[f>>3],(a[b+319|0]|0)!=0|0);j=m;k=c[(c[c[e>>2]>>2]|0)+8>>2]|0;l=k+136|0;h[l>>3]=j;return}function bt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1224>>3]=+h[b+112>>3];return}function ct(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1440>>3]=-0.0- +h[b+112>>3];return}function dt(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;if((a[(c[d+16>>2]|0)+3|0]|0)==0){e=0.0;f=c[d+8>>2]|0;g=f+1456|0;h[g>>3]=e;return}else{i=c[d+8>>2]|0;e=+h[(c[b+416>>2]|0)+18016>>3]*+h[i+1440>>3];f=i;g=f+1456|0;h[g>>3]=e;return}}function et(b){b=b|0;var d=0,e=0,f=0.0,g=0,i=0;d=b+4|0;b=c[c[d>>2]>>2]|0;e=c[b+8>>2]|0;if((a[(c[b+16>>2]|0)+3|0]|0)==0){f=0.0;g=e;i=g+1448|0;h[i>>3]=f;return}b=(wK(+h[e+1456>>3],+h[e+1464>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(!b){f=+h[e+1464>>3];g=e;i=g+1448|0;h[i>>3]=f;return}b=(yK(+h[e+1456>>3],-0.0- +h[e+1464>>3])|0)<<24>>24==0;e=c[(c[c[d>>2]>>2]|0)+8>>2]|0;if(b){f=+h[e+1456>>3];g=e;i=g+1448|0;h[i>>3]=f;return}else{f=-0.0- +h[e+1464>>3];g=e;i=g+1448|0;h[i>>3]=f;return}}function ft(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1472>>3]=+h[b+1448>>3]*+h[b+1440>>3];return}function gt(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1480>>3]=+h[b+1464>>3]+ +h[b+1448>>3];return}function ht(a){a=a|0;var b=0,d=0;MK(a,4)|0;b=c[(c[a+476>>2]|0)+284>>2]|0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[d+2128>>3]=+h[b>>3];h[d+1240>>3]=+h[b+8>>3];h[d+1496>>3]=+h[b+16>>3];return}function it(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+104>>3]=+h[b+1240>>3];return}function jt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3040>>3]=0.0;return}function kt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3032>>3]=0.0;return}function lt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3024>>3]=0.0;return}function mt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3008>>3]=0.0;return}function nt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3e3>>3]=0.0;return}function ot(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2936>>3]=1.0e-13;return}function pt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2896>>3]=0.0;return}function qt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2880>>3]=0.0;return}function rt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2872>>3]=0.0;return}function st(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2864>>3]=0.0;return}function tt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2848>>3]=0.0;return}function ut(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2840>>3]=0.0;return}function vt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2752>>3]=1.0e-13;return}function wt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2744>>3]=1.0e-13;return}function xt(a){a=a|0;h[(c[a+400>>2]|0)+2648>>3]=0.0;return}function yt(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+6|0]|0;e=b+4|0}else{f=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(f){g=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;j=vK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=j;d=g;e=i;break}else{i=b+4|0;g=vK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=g;d=g;e=i;break}}else{if(f){f=a[(c[b+356>>2]|0)+6|0]|0;i=b+4|0;g=zK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3])|0;a[(c[b+352>>2]|0)+6|0]=g;d=f;e=i;break}else{i=b+4|0;f=zK(+h[c[c[i>>2]>>2]>>3],+h[(c[b+400>>2]|0)+2648>>3])|0;a[(c[b+352>>2]|0)+6|0]=f;d=f;e=i;break}}}}while(0);a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+4|0]=d;return}function zt(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0.0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;j=c[b+424>>2]|0;if((a[j+27|0]|0)==0){h[(c[b+416>>2]|0)+19216>>3]=1.0;k=1.0;l=b+536|0;m=b+320|0}else{n=b+536|0;o=b+320|0;Ti(e,c[n>>2]|0,c[c[o>>2]>>2]|0,0,a[j+28|0]|0);p=+h[e>>3];h[(c[b+416>>2]|0)+19216>>3]=p;k=p;l=n;m=o}o=b+416|0;Si(f,c[l>>2]|0,c[c[m>>2]>>2]|0,k);b=c[o>>2]|0;h[b+19200>>3]=+h[f>>3];Qi(g,c[l>>2]|0,c[c[m>>2]>>2]|0,+h[b+19216>>3]);h[(c[o>>2]|0)+19208>>3]=+h[g>>3];i=d;return}function At(a){a=a|0;var b=0,d=0,e=0;b=i;i=i+8|0;d=b|0;e=a+4|0;Ri(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,+h[c[c[e>>2]>>2]>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2648>>3]=+h[d>>3];i=b;return}function Bt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,3,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+160>>3]=+h[d>>3];i=b;return}function Ct(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,2,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+152>>3]=+h[d>>3];i=b;return}function Dt(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[c[e>>2]>>2]|0;Pi(d,c[a+536>>2]|0,c[c[a+320>>2]>>2]|0,1,+h[f>>3],+h[(c[f+8>>2]|0)+2648>>3],+h[(c[a+400>>2]|0)+2648>>3],+h[(c[a+416>>2]|0)+19216>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+144>>3]=+h[d>>3];i=b;return}function Et(b){b=b|0;var c=0;c=b+314|0;a[c]=1;vm(b);wm(b);xm(b);ym(b);zm(b);Am(b);Bm(b);Cm(b);Dm(b);Em(b);Fm(b);Gm(b);Hm(b);Im(b);Jm(b);Km(b);Lm(b);Mm(b);Nm(b);Om(b);Pm(b);Qm(b);Rm(b);Sm(b);Tm(b);Um(b);Vm(b);Wm(b);Xm(b);Ym(b);Zm(b);_m(b);$m(b);an(b);bn(b);cn(b);dn(b);en(b);fn(b);gn(b);hn(b);jn(b);kn(b);ln(b);mn(b);nn(b);on(b);pn(b);qn(b);rn(b);sn(b);tn(b);un(b);vn(b);wn(b);xn(b);yn(b);zn(b);An(b);Bn(b);Cn(b);Dn(b);En(b);Fn(b);Gn(b);Hn(b);In(b);Jn(b);Kn(b);Ln(b);Mn(b);Nn(b);On(b);Pn(b);Qn(b);Rn(b);Sn(b);Tn(b);Un(b);Vn(b);Wn(b);Xn(b);Yn(b);Zn(b);_n(b);$n(b);ao(b);bo(b);co(b);eo(b);fo(b);go(b);ho(b);io(b);jo(b);ko(b);lo(b);mo(b);no(b);oo(b);po(b);qo(b);ro(b);so(b);to(b);uo(b);vo(b);wo(b);xo(b);yo(b);zo(b);Ao(b);Bo(b);Co(b);Do(b);Eo(b);Fo(b);Go(b);Ho(b);Io(b);Jo(b);Ko(b);Lo(b);Mo(b);No(b);Oo(b);Po(b);Qo(b);Ro(b);So(b);To(b);Uo(b);Vo(b);Wo(b);Xo(b);Yo(b);Zo(b);_o(b);$o(b);ap(b);bp(b);cp(b);dp(b);ep(b);fp(b);gp(b);hp(b);ip(b);jp(b);kp(b);lp(b);mp(b);np(b);op(b);pp(b);qp(b);rp(b);sp(b);tp(b);up(b);vp(b);wp(b);xp(b);yp(b);zp(b);Ap(b);Bp(b);Cp(b);Dp(b);Ep(b);Fp(b);Gp(b);Hp(b);Ip(b);Jp(b);Kp(b);Lp(b);Mp(b);Np(b);Op(b);Pp(b);Qp(b);Rp(b);Sp(b);Tp(b);Up(b);Vp(b);Wp(b);Xp(b);Yp(b);Zp(b);_p(b);$p(b);aq(b);bq(b);cq(b);dq(b);eq(b);fq(b);gq(b);hq(b);iq(b);jq(b);kq(b);lq(b);mq(b);nq(b);oq(b);pq(b);qq(b);rq(b);sq(b);tq(b);uq(b);vq(b);wq(b);xq(b);yq(b);zq(b);Aq(b);Bq(b);Cq(b);Dq(b);Eq(b);Fq(b);Gq(b);Hq(b);Iq(b);Jq(b);Kq(b);Lq(b);Mq(b);Nq(b);Oq(b);Pq(b);Qq(b);Rq(b);Sq(b);Tq(b);Uq(b);Vq(b);Wq(b);Xq(b);Yq(b);Zq(b);_q(b);$q(b);ar(b);br(b);cr(b);dr(b);er(b);fr(b);gr(b);hr(b);ir(b);jr(b);kr(b);lr(b);mr(b);nr(b);or(b);pr(b);qr(b);rr(b);sr(b);tr(b);ur(b);vr(b);wr(b);xr(b);yr(b);zr(b);Ar(b);Br(b);Cr(b);Dr(b);Er(b);Fr(b);Gr(b);Hr(b);Ir(b);Jr(b);Kr(b);Lr(b);Mr(b);Nr(b);Or(b);Pr(b);Qr(b);Rr(b);Sr(b);Tr(b);Ur(b);Vr(b);Wr(b);Xr(b);Yr(b);Zr(b);_r(b);$r(b);as(b);bs(b);cs(b);ds(b);es(b);fs(b);gs(b);hs(b);is(b);js(b);ks(b);ls(b);ms(b);ns(b);os(b);ps(b);qs(b);rs(b);ss(b);ts(b);us(b);vs(b);ws(b);xs(b);ys(b);zs(b);As(b);Bs(b);Cs(b);Ds(b);Es(b);Fs(b);Gs(b);Hs(b);Is(b);Js(b);Ks(b);Ls(b);Ms(b);Ns(b);Os(b);Ps(b);Qs(b);Rs(b);Ss(b);Ts(b);Us(b);Vs(b);Ws(b);Xs(b);Ys(b);Zs(b);_s(b);$s(b);at(b);bt(b);ct(b);dt(b);et(b);ft(b);gt(b);ht(b);it(b);jt(b);kt(b);lt(b);mt(b);nt(b);ot(b);pt(b);qt(b);rt(b);st(b);tt(b);ut(b);vt(b);wt(b);xt(b);yt(b);zt(b);At(b);Bt(b);Ct(b);Dt(b);a[c]=0;return 0}function Ft(a){a=a|0;return}function Gt(a){a=a|0;return 0}function Ht(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+40>>3]=+h[(c[a+416>>2]|0)+17216>>3];return}function It(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+16>>3]=+h[(c[a+416>>2]|0)+18440>>3];return}function Jt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1384>>3]=+h[(c[a+416>>2]|0)+18040>>3];return}function Kt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+1432>>3]=+h[(c[a+416>>2]|0)+18e3>>3];return}function Lt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+336>>3]=+h[(c[a+416>>2]|0)+18992>>3];return}function Mt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+384>>3]=+h[(c[a+416>>2]|0)+18952>>3];return}function Nt(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0,j=0;b=i;fH(9,1,7652536,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[1928875]|0)!=0){he[c[3556]&511](9)}fH(9,1,7686200,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[1928875]|0)!=0){he[c[3556]&511](9)}Jt(a);Kt(a);Lt(a);Mt(a);fH(9,1,7675376,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a+4|0;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1384>>3];g=a+8|0;j=c[g>>2]|0;h[j+19456>>3]=f;fH(9,0,7663624,(d=i,i=i+16|0,c[d>>2]=c[j+19380>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1432>>3];j=c[g>>2]|0;h[j+20128>>3]=f;fH(9,0,7663624,(d=i,i=i+16|0,c[d>>2]=c[j+20052>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+336>>3];j=c[g>>2]|0;h[j+4784>>3]=f;fH(9,0,7663624,(d=i,i=i+16|0,c[d>>2]=c[j+4708>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+384>>3];j=c[g>>2]|0;h[j+5456>>3]=f;fH(9,0,7663624,(d=i,i=i+16|0,c[d>>2]=c[j+5380>>2],h[d+8>>3]=f,d)|0);i=d;if((c[1928875]|0)!=0){he[c[3556]&511](9)}Ht(a);It(a);fH(9,1,7654184,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+40>>3];a=c[g>>2]|0;h[a+656>>3]=f;fH(9,0,7647080,(d=i,i=i+16|0,c[d>>2]=c[a+564>>2],h[d+8>>3]=f,d)|0);i=d;f=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+16>>3];e=c[g>>2]|0;h[e+320>>3]=f;fH(9,0,7647080,(d=i,i=i+16|0,c[d>>2]=c[e+228>>2],h[d+8>>3]=f,d)|0);i=d;if((c[1928875]|0)==0){i=b;return 0}he[c[3556]&511](9);i=b;return 0}function Ot(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2744>>3]=1.0e-13;return}function Pt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2752>>3]=1.0e-13;return}function Qt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2840>>3]=0.0;return}function Rt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2848>>3]=0.0;return}function St(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2864>>3]=0.0;return}function Tt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2872>>3]=0.0;return}function Ut(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2880>>3]=0.0;return}function Vt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2896>>3]=0.0;return}function Wt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2936>>3]=1.0e-13;return}function Xt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3e3>>3]=0.0;return}function Yt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3008>>3]=0.0;return}function Zt(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3024>>3]=0.0;return}function _t(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3032>>3]=0.0;return}function $t(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3040>>3]=0.0;return}function au(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17016>>3]=+h[b+16992>>3];return}function bu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17024>>3]=+h[b+17e3>>3];return}function cu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17032>>3]=+h[b+17008>>3];return}function du(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17040>>3]=+h[b+17016>>3];return}function eu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17232>>3]=+h[b+17048>>3]*.5;return}function fu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17240>>3]=+h[b+17048>>3]*.5;return}function gu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17248>>3]=+h[b+17056>>3];return}function hu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17272>>3]=+h[b+17256>>3];return}function iu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2736>>3]=+h[b+17248>>3]*(+h[b+17264>>3]*(+h[b+17272>>3]- +h[b+17256>>3])+1.0);return}function ju(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17280>>3]=+h[b+17056>>3];return}function ku(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17304>>3]=+h[b+17288>>3];return}function lu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2728>>3]=+h[b+17280>>3]*(+h[b+17296>>3]*(+h[b+17304>>3]- +h[b+17288>>3])+1.0);return}function mu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17312>>3]=+h[b+17064>>3];return}function nu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17336>>3]=+h[b+17320>>3];return}function ou(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2720>>3]=+h[b+17312>>3]*(+h[b+17328>>3]*(+h[b+17336>>3]- +h[b+17320>>3])+1.0);return}function pu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17344>>3]=+h[b+17064>>3];return}function qu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17368>>3]=+h[b+17352>>3];return}function ru(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2712>>3]=+h[b+17344>>3]*(+h[b+17360>>3]*(+h[b+17368>>3]- +h[b+17352>>3])+1.0);return}function su(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17376>>3]=+h[b+17072>>3];return}function tu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17384>>3]=+h[b+17072>>3];return}function uu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17400>>3]=+h[b+17136>>3];return}function vu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17408>>3]=+h[b+17144>>3];return}function wu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17416>>3]=+h[b+17152>>3];return}function xu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17424>>3]=+h[b+17160>>3];return}function yu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17432>>3]=+h[b+17168>>3];return}function zu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17440>>3]=(+h[b+17096>>3]- +h[b+17120>>3])*.5;return}function Au(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17448>>3]=+h[b+17088>>3];return}function Bu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17456>>3]=+h[b+17080>>3];return}function Cu(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17456>>3];e=+h[b+17448>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2760>>3]=(d*d-e*e)*3.141592653589793;return}function Du(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17472>>3]=+h[b+17136>>3];return}function Eu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17480>>3]=+h[b+17144>>3];return}function Fu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17488>>3]=+h[b+17152>>3];return}function Gu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17496>>3]=+h[b+17160>>3];return}function Hu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17504>>3]=+h[b+17168>>3];return}function Iu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17512>>3]=(+h[b+17096>>3]- +h[b+17104>>3])*.5;return}function Ju(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17520>>3]=+h[b+17088>>3];return}function Ku(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17528>>3]=+h[b+17080>>3];return}function Lu(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17528>>3];e=+h[b+17520>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2768>>3]=(d*d-e*e)*3.141592653589793;return}function Mu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17544>>3]=+h[b+17136>>3];return}function Nu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17552>>3]=+h[b+17144>>3];return}function Ou(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17560>>3]=+h[b+17152>>3];return}function Pu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17568>>3]=+h[b+17160>>3];return}function Qu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17576>>3]=+h[b+17168>>3];return}function Ru(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17584>>3]=+h[b+17104>>3];return}function Su(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17592>>3]=+h[b+17176>>3]+ +h[b+17128>>3];return}function Tu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17600>>3]=+h[b+17088>>3];return}function Uu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2776>>3]=+h[b+17584>>3]*(+h[b+17600>>3]+ +h[b+17592>>3])*3.141592653589793;return}function Vu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17616>>3]=+h[b+17136>>3];return}function Wu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17624>>3]=+h[b+17144>>3];return}function Xu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17632>>3]=+h[b+17152>>3];return}function Yu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17640>>3]=+h[b+17160>>3];return}function Zu(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17648>>3]=+h[b+17168>>3];return}function _u(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17656>>3]=+h[b+17120>>3];return}function $u(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17664>>3]=+h[b+17176>>3];return}function av(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17672>>3]=+h[b+17088>>3];return}function bv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2784>>3]=+h[b+17656>>3]*(+h[b+17672>>3]+ +h[b+17664>>3])*3.141592653589793;return}function cv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17688>>3]=+h[b+17136>>3];return}function dv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17696>>3]=+h[b+17144>>3];return}function ev(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17704>>3]=+h[b+17152>>3];return}function fv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17712>>3]=+h[b+17160>>3];return}function gv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17720>>3]=+h[b+17168>>3];return}function hv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17728>>3]=+h[b+17112>>3];return}function iv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17744>>3]=+h[b+17176>>3];return}function jv(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17744>>3];e=+h[b+17736>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2792>>3]=(d*d-e*e)*3.141592653589793;return}function kv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17752>>3]=(+h[b+17176>>3]+ +h[b+17128>>3]*.5)*6.283185307179586;return}function lv(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2800>>3]=+h[(c[a+416>>2]|0)+17752>>3]*6.53451271946677e-7;return}function mv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2800>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2704|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7639832,7711152,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2704|0;h[l>>3]=k;return}function nv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17760>>3]=+h[b+17176>>3]*6.283185307179586;return}function ov(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0,j=0.0;b=i;d=a+416|0;e=c[d>>2]|0;f=+h[e+17768>>3]+1.0;if(f>0.0){g=e}else{Ce[c[2178]&63](c[a+536>>2]|0,7711e3,7627712,(e=i,i=i+8|0,h[e>>3]=f,e)|0);i=e;g=c[d>>2]|0}j=+h[g+17760>>3]*+ea(f)*8.000000000000001e-7;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2808>>3]=j;i=b;return}function pv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2808>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2696|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7621872,7711144,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2696|0;h[l>>3]=k;return}function qv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17824>>3]=+h[b+17096>>3]*.25;return}function rv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17832>>3]=+h[b+17176>>3];return}function sv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17840>>3]=+h[b+17088>>3];return}function tv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2816>>3]=+h[b+17824>>3]*(+h[b+17840>>3]+ +h[b+17832>>3])*3.141592653589793;return}function uv(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17832>>3];j=+h[f+17840>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7697928,7711136,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711e3,7693120,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+17776>>3];j=+ea(k);k=+h[f+17824>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7689792,7711136,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2688>>3]=g*l*7895683520871486.0e-21;i=d;return}function vv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2688>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2656|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7687720,7711128,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2656|0;h[l>>3]=k;return}function wv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17848>>3]=(+h[b+17176>>3]+ +h[b+17128>>3]*.5)*6.283185307179586;return}function xv(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2824>>3]=+h[(c[a+416>>2]|0)+17848>>3]*6.53451271946677e-7;return}function yv(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2824>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2680|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7686392,7711120,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2680|0;h[l>>3]=k;return}function zv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17864>>3]=+h[b+17136>>3];return}function Av(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17872>>3]=+h[b+17144>>3];return}function Bv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17880>>3]=+h[b+17152>>3];return}function Cv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17888>>3]=+h[b+17160>>3];return}function Dv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17896>>3]=+h[b+17168>>3];return}function Ev(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17904>>3]=+h[b+17096>>3]+((+h[b+17104>>3]+ +h[b+17120>>3])*-.5+((+h[b+17216>>3]+ +h[b+17208>>3])*-.5- +h[b+17112>>3]));return}function Fv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17920>>3]=+h[b+17176>>3];return}function Gv(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+17920>>3];e=+h[b+17912>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2832>>3]=(d*d-e*e)*3.141592653589793;return}function Hv(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+17176>>3];h[b+17936>>3]=+h[b+17224>>3]*d*d*+h[b+17184>>3]*3.141592653589793;return}function Iv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17944>>3]=+h[b+17192>>3];return}function Jv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17952>>3]=+h[b+17200>>3];return}function Kv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17968>>3]=+h[b+17216>>3];return}function Lv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17976>>3]=+h[b+17208>>3];return}function Mv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17984>>3]=+h[b+17928>>3];return}function Nv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+17992>>3]=+h[b+17936>>3];return}function Ov(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18008>>3]=+h[b+17944>>3];return}function Pv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18016>>3]=+h[b+17952>>3];return}function Qv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18048>>3]=+h[b+17944>>3];return}function Rv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18056>>3]=+h[b+17952>>3];return}function Sv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18080>>3]=+h[b+17968>>3];return}function Tv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18088>>3]=+h[b+17976>>3];return}function Uv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18112>>3]=+h[b+17176>>3];return}function Vv(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18112>>3];e=+h[b+18104>>3];h[b+18120>>3]=(d*d-e*e)*3.141592653589793;return}function Wv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18136>>3]=(+h[b+17176>>3]+.0015)*6.283185307179586;return}function Xv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18200>>3]=+h[b+17104>>3];return}function Yv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18208>>3]=+h[b+17176>>3];return}function Zv(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18216>>3]=+h[b+17176>>3]+ +h[b+17128>>3];return}function _v(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2856>>3]=+h[b+18200>>3]*(+h[b+18216>>3]+ +h[b+18208>>3])*3.141592653589793;return}function $v(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+18208>>3];j=+h[f+18216>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7685008,7711096,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711e3,7683832,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+18152>>3];j=+ea(k);k=+h[f+18200>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7682800,7711096,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2672>>3]=g*l*7895683520871486.0e-21;i=d;return}function aw(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2672>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2664|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7681912,7711088,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2664|0;h[l>>3]=k;return}function bw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18256>>3]=+h[b+16992>>3];return}function cw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18264>>3]=+h[b+18240>>3];return}function dw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18272>>3]=+h[b+18248>>3];return}function ew(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18280>>3]=+h[b+18256>>3];return}function fw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18456>>3]=+h[b+18288>>3];return}function gw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18480>>3]=+h[b+18464>>3];return}function hw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2928>>3]=+h[b+18456>>3]*(+h[b+18472>>3]*(+h[b+18480>>3]- +h[b+18464>>3])+1.0);return}function iw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18488>>3]=+h[b+18296>>3];return}function jw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18504>>3]=+h[b+18360>>3];return}function kw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18512>>3]=+h[b+18368>>3];return}function lw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18520>>3]=+h[b+18376>>3];return}function mw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18528>>3]=+h[b+18384>>3];return}function nw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18536>>3]=+h[b+18392>>3];return}function ow(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18544>>3]=+h[b+18320>>3]+(+h[b+18344>>3]+ +h[b+18328>>3])*-.5;return}function pw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18552>>3]=+h[b+18312>>3];return}function qw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18560>>3]=+h[b+18304>>3];return}function rw(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18560>>3];e=+h[b+18552>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2944>>3]=(d*d-e*e)*3.141592653589793;return}function sw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18576>>3]=+h[b+18360>>3];return}function tw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18584>>3]=+h[b+18368>>3];return}function uw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18592>>3]=+h[b+18376>>3];return}function vw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18600>>3]=+h[b+18384>>3];return}function ww(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18608>>3]=+h[b+18392>>3];return}function xw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18616>>3]=+h[b+18328>>3];return}function yw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18624>>3]=+h[b+18400>>3]+ +h[b+18352>>3];return}function zw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18632>>3]=+h[b+18312>>3];return}function Aw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2952>>3]=+h[b+18616>>3]*(+h[b+18632>>3]+ +h[b+18624>>3])*3.141592653589793;return}function Bw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18648>>3]=+h[b+18360>>3];return}function Cw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18656>>3]=+h[b+18368>>3];return}function Dw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18664>>3]=+h[b+18376>>3];return}function Ew(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18672>>3]=+h[b+18384>>3];return}function Fw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18680>>3]=+h[b+18392>>3];return}function Gw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18688>>3]=+h[b+18344>>3];return}function Hw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18696>>3]=+h[b+18400>>3];return}function Iw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18704>>3]=+h[b+18312>>3];return}function Jw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2960>>3]=+h[b+18688>>3]*(+h[b+18704>>3]+ +h[b+18696>>3])*3.141592653589793;return}function Kw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18720>>3]=+h[b+18360>>3];return}function Lw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18728>>3]=+h[b+18368>>3];return}function Mw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18736>>3]=+h[b+18376>>3];return}function Nw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18744>>3]=+h[b+18384>>3];return}function Ow(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18752>>3]=+h[b+18392>>3];return}function Pw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18760>>3]=+h[b+18336>>3];return}function Qw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18776>>3]=+h[b+18400>>3];return}function Rw(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18776>>3];e=+h[b+18768>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2968>>3]=(d*d-e*e)*3.141592653589793;return}function Sw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18784>>3]=(+h[b+18400>>3]+ +h[b+18352>>3]*.5)*6.283185307179586;return}function Tw(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2976>>3]=+h[(c[a+416>>2]|0)+18784>>3]*6.53451271946677e-7;return}function Uw(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2976>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2920|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7681104,7711064,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2920|0;h[l>>3]=k;return}function Vw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18792>>3]=+h[b+18400>>3]*6.283185307179586;return}function Ww(a){a=a|0;var b=0,d=0,e=0,f=0.0,g=0,j=0.0;b=i;d=a+416|0;e=c[d>>2]|0;f=+h[e+18800>>3]+1.0;if(f>0.0){g=e}else{Ce[c[2178]&63](c[a+536>>2]|0,7711e3,7680192,(e=i,i=i+8|0,h[e>>3]=f,e)|0);i=e;g=c[d>>2]|0}j=+h[g+18792>>3]*+ea(f)*8.000000000000001e-7;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2984>>3]=j;i=b;return}function Xw(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2984>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2912|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7678856,7711056,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2912|0;h[l>>3]=k;return}function Yw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18816>>3]=+h[b+18360>>3];return}function Zw(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18824>>3]=+h[b+18368>>3];return}function _w(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18832>>3]=+h[b+18376>>3];return}function $w(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18840>>3]=+h[b+18384>>3];return}function ax(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18848>>3]=+h[b+18392>>3];return}function bx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18856>>3]=+h[b+18320>>3]+((+h[b+18328>>3]+ +h[b+18344>>3])*-.5+((+h[b+18440>>3]+ +h[b+18432>>3])*-.5- +h[b+18336>>3]));return}function cx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18872>>3]=+h[b+18400>>3];return}function dx(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+18872>>3];e=+h[b+18864>>3];h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+2992>>3]=(d*d-e*e)*3.141592653589793;return}function ex(a){a=a|0;var b=0,d=0.0;b=c[a+416>>2]|0;d=+h[b+18400>>3];h[b+18888>>3]=+h[b+18448>>3]*d*d*+h[b+18408>>3]*3.141592653589793;return}function fx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18896>>3]=+h[b+18416>>3];return}function gx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18904>>3]=+h[b+18424>>3];return}function hx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18920>>3]=+h[b+18440>>3];return}function ix(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18928>>3]=+h[b+18432>>3];return}function jx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18936>>3]=+h[b+18880>>3];return}function kx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18944>>3]=+h[b+18888>>3];return}function lx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18960>>3]=+h[b+18896>>3];return}function mx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+18968>>3]=+h[b+18904>>3];return}function nx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19e3>>3]=+h[b+18896>>3];return}function ox(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19008>>3]=+h[b+18904>>3];return}



function cD(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=zC(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=fC(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=zC(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((iD(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=ye[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=ue[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){ye[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=MC(k,b,v,w+(ue[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=IC(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=QC(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=DC(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=DC(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=ue[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(zC(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((wC(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((wC(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((wC(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=ke[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;naa(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}he[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;naa(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;naa(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function dD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=64;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=ye[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case 0:{k=18;break a;break};case 15:{if((c[j+80>>2]|0)!=0){uC(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case 13:{if((YC(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case 11:{if((XC(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};case-1:{k=19;break a;break};case-4:{k=8;break a;break};case-2:{k=22;break a;break};case-15:{k=3;break a;break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==2){k=28;break}else if((f|0)==3){k=27;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){uC(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function eD(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=ye[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 0:{r=33;break a;break};case 40:{r=6;break a;break};case-1:case-4:{r=37;break a;break};case-2:{r=34;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;ze[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){uC(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){ze[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];ge[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];ze[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){uC(o,b,c[k>>2]|0,c[l>>2]|0)}}break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==3){r=42;break}else if((h|0)==2){r=43;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){he[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){uC(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function fD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=eD(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=80;k=gD(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=KC(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function gD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=$C(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((hD(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function hD(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=ue[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}naa(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function iD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((wC(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((wC(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=zC(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function jD(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(ye[c[b+16>>2]&127](b,f,g,l)|0){case 0:{o=4;break a;break};case-4:{o=3;break a;break};case 9:{p=(me[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(p<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((wC(h)|0)<<24>>24!=0){o=51;break}if(!0){o=52;break a}}else{o=51}}while(0);if((o|0)==51){o=0;q=h+12|0;r=c[q>>2]|0;c[q>>2]=r+1;a[r]=p;if(!1){o=52;break a}}break b}r=IC(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){o=55;break a}q=zC(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){s=((c[n+300>>2]|0)!=0^1)&1}else{s=((a[j+129|0]|0)!=0^1)&1}t=(s|0)!=0}else{t=0}u=t&1}else{if((a[j+129|0]|0)!=0){v=(d[j+130|0]|0)!=0}else{v=1}u=v&1}do{if(u<<24>>24!=0){if((q|0)==0){o=68;break a}if((a[q+34|0]|0)==0){o=70;break a}}else{if((q|0)!=0){break}else{break b}}}while(0);if((a[q+32|0]|0)!=0){o=77;break a}if((c[q+28>>2]|0)!=0){o=81;break a}if((c[q+4>>2]|0)==0){o=85;break a}p=(c[q+4>>2]|0)+(c[q+8>>2]|0)|0;a[q+32|0]=1;w=jD(n,c[n+228>>2]|0,e,c[q+4>>2]|0,p,h)|0;a[q+32|0]=0;if((w|0)!=0){o=89;break a}break};case-1:{o=7;break a;break};case 10:{p=ue[c[b+44>>2]&127](b,f)|0;if((p|0)<0){o=11;break a}do{if(!(e<<24>>24!=0)){if((p|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);p=qD(p,m|0)|0;if((p|0)==0){o=20;break a}q=0;while(1){if((q|0)>=(p|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((wC(h)|0)<<24>>24!=0){o=28;break}if(!0){o=29;break a}}else{o=28}}while(0);if((o|0)==28){o=0;r=a[m+q|0]|0;x=h+12|0;y=c[x>>2]|0;c[x>>2]=y+1;a[y]=r;if(!1){o=29;break a}}q=q+1|0}break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);o=37;break};case 39:case 7:{o=37;break};case 6:{if((OC(h,b,f,c[l>>2]|0)|0)==0){o=34;break a}break};default:{o=92;break a}}}while(0);c:do{if((o|0)==37){o=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((wC(h)|0)<<24>>24!=0){o=44;break}if(!0){o=45;break a}}else{o=44}}while(0);if((o|0)==44){o=0;q=h+12|0;p=c[q>>2]|0;c[q>>2]=p+1;a[p]=32;if(!1){o=45;break a}}}}while(0);f=c[l>>2]|0}if((o|0)==3){z=0;A=z;i=k;return A|0}else if((o|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((o|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((o|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((o|0)==29){z=1;A=z;i=k;return A|0}else if((o|0)==34){z=1;A=z;i=k;return A|0}else if((o|0)==45){z=1;A=z;i=k;return A|0}else if((o|0)==52){z=1;A=z;i=k;return A|0}else if((o|0)==55){z=1;A=z;i=k;return A|0}else if((o|0)==68){z=11;A=z;i=k;return A|0}else if((o|0)==70){z=24;A=z;i=k;return A|0}else if((o|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((o|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((o|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((o|0)==89){z=w;A=z;i=k;return A|0}else if((o|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function kD(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((me[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=rD()|0;c[g+240>>2]=ke[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=ye[((a[g+236|0]&255|0)!=0?38:24)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){he[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){he[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function lD(){var a=0,b=0;a=i;xd(((ce(0)|0)>>>0)%4294967295|0|0);b=uaa()|0;i=a;return b|0}function mD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=EC(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=72;h=FC(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function nD(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=ke[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{oD(b+80|0,e);oD(b+104|0,e);pD(b|0,e);pD(b+20|0,e);pD(b+40|0,e);pD(b+60|0,e);a[b+131|0]=0;pD(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function oD(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function pD(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function qD(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function rD(){return 1912}function sD(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15360+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15436+l|0]|0|0)!=28){if((d[15436+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15436+k|0]|0|0)!=28){if((d[15436+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15436+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((tD(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12392+(((d[8776+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12392+(((d[13672+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=qD(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=10;c[h+336>>2]=10;c[h+340>>2]=10;c[h+344>>2]=32;c[h+348>>2]=32;c[h+352>>2]=32;c[h+356>>2]=54;c[h+360>>2]=54;c[h+364>>2]=54}c[h+60>>2]=12;c[h+64>>2]=14;n=h|0;o=n;i=j;return o|0}return 0}function tD(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};case 0:{if((d[15436+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function uD(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ue[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12392+(((d[13672+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function vD(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ue[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12392+(((d[8776+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function wD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=ue[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(tD(a)|0)<0;g=f&1;i=d;return g|0}function xD(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=qD(ue[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function yD(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(ue[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function zD(){return 16184}function AD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=BD(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=42;c[g+4>>2]=78;c[g+52>>2]=10;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function BD(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((PD(d,c[16944+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function CD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=NF(19264,a,0,b,c,d)|0;i=e;return f|0}function DD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=NF(19264,a,1,b,c,d)|0;i=e;return f|0}function ED(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;kF(816,b,c,d);i=a;return}function FD(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=GD(16,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function GD(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((OF(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((ye[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,7714336)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((OF(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((ye[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,7714368)|0)!=0){m=PF(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=me[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((OF(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((ye[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,7714344)|0)!=0){if((a|0)!=0){break}if((ye[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,7714328)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((ye[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,7714360)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((QF(PF(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function HD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;ge[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((PD(h|0,7714424)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=BD(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[19264+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function ID(){return 15816}function JD(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=BD(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=10;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function KD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=NF(19232,a,0,b,c,d)|0;i=e;return f|0}function LD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=NF(19232,a,1,b,c,d)|0;i=e;return f|0}function MD(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=GD(52,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function ND(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;ge[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((PD(h|0,7714424)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=BD(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[19232+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function OD(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=sD(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function PD(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function QD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 19:{k=tE(j,b+2|0,e,f)|0;break a;break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{n=26;break b}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 13:{k=rE(13,j,b+2|0,e,f)|0;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 30:{k=hE(j,b+2|0,e,f)|0;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 16:{k=sE(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=nE(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 22:case 24:{p=18;b=b+2|0;n=86;break};case 25:case 26:case 27:case 23:{p=19;b=b+2|0;n=86;break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;p=18;n=86;break b}if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;p=19;n=86;break b}else{n=85;break b}break};case 21:case 10:{n=26;break};case 12:{k=rE(12,j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};default:{n=85}}}while(0);if((n|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){n=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=fE(a[b+1|0]|0,a[b|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){n=36;break}}else{break}}if((n|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((n|0)==85){c[f>>2]=b;k=0;break}else if((n|0)==86){c:while(1){if((b|0)==(e|0)){n=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=93;break c}n=95;break};case 7:{n=102;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{n=105;break c;break};case 6:{n=99;break c;break};case 22:case 24:case 25:case 26:case 27:{n=95;break};case 5:{n=96;break c;break};case 23:{b=b+2|0;g=p;if((g|0)==18){if((b|0)==(e|0)){n=108;break c}p=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=114;break c}n=116;break};case 7:{n=123;break c;break};case 22:case 24:case 25:case 26:case 27:{n=116;break};case 5:{n=117;break c;break};case 6:{n=120;break c;break};default:{p=19}}if((n|0)==116){n=0;b=b+2|0}}else if((g|0)==41){p=19}break};case 34:{n=130;break c;break};case 33:{n=133;break c;break};case 15:{n=136;break c;break};default:{n=139;break c}}if((n|0)==95){n=0;b=b+2|0}}if((n|0)==93){c[f>>2]=b;k=0;break}else if((n|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==105){c[f>>2]=b;k=p;break}else if((n|0)==108){k=-1;break}else if((n|0)==114){c[f>>2]=b;k=0;break}else if((n|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==130){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((n|0)==133){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((n|0)==136){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((n|0)==139){c[f>>2]=b;k=0;break}else if((n|0)==141){k=-p|0;break}}}}while(0);i=h;return k|0}function RD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 2:{k=kE(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 3:{k=gE(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=fE(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function SD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function TD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function UD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 10:{l=16;break a;break};case 5:{b=b+2|0;break};case 2:{l=15;break a;break};case 9:{l=19;break a;break};case 21:{l=29;break a;break};case 3:{l=12;break a;break};case 7:{b=b+4|0;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=gE(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function VD(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 10:{m=21;break a;break};case 30:{m=15;break a;break};case 9:{m=24;break a;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=gE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=hE(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=fE(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function WD(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=18;break a}j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=20;break a}break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 5:{k=12;break};case 6:{k=9;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=fE(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function XD(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function YD(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 7:{b=b+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 6:{b=b+3|0;break};case 5:{b=b+2|0;break};default:{break a}}}i=e;return b-c|0}function ZD(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=fE(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function _D(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 11:case 17:{if((g|0)!=2){break a}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=fE(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};default:{}}b=b+2|0}i=h;return k|0}function $D(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=tD(c)|0;k=j;i=b;return k|0}function aE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==108){g=60;h=g;i=b;return h|0}else if((f|0)==103){g=62;h=g;i=b;return h|0}else{break}}}while(0)}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==4){if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((j|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}g=0;h=g;i=b;return h|0}function bE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 7:{b=b+4|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function cE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function dE(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g|0]|0;m=((k&3)<<4|(a[g+1|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function eE(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function fE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 255:{c=b&255;if((c|0)==255|(c|0)==254){d=0;break a}else{e=7;break a}break};case 220:case 221:case 222:case 223:{d=8;break};case 216:case 217:case 218:case 219:{d=7;break};default:{e=7}}}while(0);if((e|0)==7){d=29}i=i;return d|0}function gE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 19:{k=iE(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function hE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=38;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function iE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=jE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function jE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=fE(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function kE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 17:{k=oE(j,b+2|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==20){k=mE(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=lE(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=nE(j,b+2|0,e,f)|0;break a;break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 7:{n=48;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 6:{n=45;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};case 7:{n=69;break c;break};case 22:case 24:{break};default:{n=72;break c}}b=b+2|0;break};case 21:case 9:case 10:{n=74;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 7:{n=90;break e;break};case 6:{n=87;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 29:{n=80;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=pE(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function lE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function mE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14248+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function nE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 22:case 24:case 25:case 26:case 27:{break};case 6:{n=34;break c;break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};case 5:{n=31;break c;break};case 21:case 9:case 10:{n=40;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((qE(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((qE(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function oE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{m=30;break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 23:{b=b+2|0;break};case 11:{m=53;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 7:{m=37;break c;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function pE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 14:{l=56;break};case 29:{if((c[12392+((d[13672+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){p=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{p=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(p|0){case 29:{if((c[12392+((d[8776+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 7:{l=38;break a;break};case 6:{l=35;break a;break};case 5:{l=32;break a;break};case 22:case 24:{break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 2:{l=93;break a;break};case 3:{t=gE(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=87;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 17:{l=103;break a;break};case 11:{l=104;break a;break};case 21:case 9:case 10:{break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=fE(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 7:{l=123;break a;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 29:{l=113;break b;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 6:{l=120;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12392+((d[8776+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function qE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)!=108)if((l|0)==76){f=1}else{h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function rE(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=fE(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=fE(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function sE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=fE(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 22:case 24:{break};case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=fE(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=lE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function tE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=fE(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12392+((d[8776+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=fE(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12392+((d[13672+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 5:{m=31;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function uE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 36:{c[f>>2]=b+2;k=21;break a;break};case 30:{k=ME(j,b+2|0,e,f)|0;break a;break};case 21:case 10:{m=26;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 13:{k=WE(13,j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 15:{k=SE(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 16:{k=XE(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 19:{k=YE(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 12:{k=WE(12,j,b+2|0,e,f)|0;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 31:{c[f>>2]=b+2;k=23;break a;break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=fE(a[b|0]|0,a[b+1|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 23:{b=b+2|0;g=n;if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 7:{m=123;break c;break};case 22:case 24:case 25:case 26:case 27:{m=116;break};case 5:{m=117;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=114;break c}m=116;break};case 6:{m=120;break c;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}else if((g|0)==41){n=19}break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};case 6:{m=99;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 7:{m=102;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=93;break c}m=95;break};case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 15:{m=136;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function vE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 2:{k=PE(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 3:{k=LE(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function wE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function xE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 0:case 1:case 8:{l=18;break a;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function yE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 5:{b=b+2|0;break};case 3:{l=12;break a;break};case 10:{l=16;break a;break};case 7:{b=b+4|0;break};case 9:{l=19;break a;break};case 21:{l=29;break a;break};case 6:{b=b+3|0;break};case 2:{l=15;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=LE(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function zE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 10:{m=21;break a;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 30:{m=15;break a;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 9:{m=24;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=LE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=ME(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function AE(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 5:{j=12;break};case 6:{j=9;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;k=b;b=k+1|0;if((a[e]|0)!=(a[k]|0)){j=18;break a}k=c;c=k+1|0;e=b;b=e+1|0;if((a[k]|0)!=(a[e]|0)){j=20;break a}break};case 7:{e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=7;break a}j=9;break};default:{j=22;break a}}if((j|0)==9){j=0;k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=10;break}j=12}if((j|0)==12){j=0;e=b;b=e+1|0;k=c;c=k+1|0;if((a[e]|0)!=(a[k]|0)){j=13;break}k=b;b=k+1|0;e=c;c=e+1|0;if((a[k]|0)!=(a[e]|0)){j=15;break}}}if((j|0)==7){l=0;m=l;i=f;return m|0}else if((j|0)==10){l=0;m=l;i=f;return m|0}else if((j|0)==13){l=0;m=l;i=f;return m|0}else if((j|0)==15){l=0;m=l;i=f;return m|0}else if((j|0)==18){l=0;m=l;i=f;return m|0}else if((j|0)==20){l=0;m=l;i=f;return m|0}else if((j|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=fE(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function BE(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function CE(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 6:{b=b+3|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function DE(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=fE(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function EE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=fE(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};default:{}}b=b+2|0}i=h;return k|0}function FE(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=tD(c)|0;k=j;i=b;return k|0}function GE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){h=a[e+1|0]|0}else{h=-1}if((h|0)==108){f=60;g=f;i=b;return g|0}else if((h|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}else if((c|0)==4){if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}else if((j|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}while(0)}}while(0)}}f=0;g=f;i=b;return g|0}function HE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 6:{b=b+3|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 7:{b=b+4|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 5:{b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function IE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function JE(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function KE(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function LE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 19:{k=NE(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 6:{m=35;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function ME(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 18:{m=41;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 6:{m=35;break c;break};case 7:{m=38;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function NE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=OE(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function OE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=fE(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function PE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 17:{k=TE(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 15:{k=SE(j,b+2|0,e,f)|0;break a;break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){k=RE(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=QE(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 7:{n=69;break c;break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};case 22:case 24:{break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 6:{n=45;break c;break};case 7:{n=48;break c;break};case 17:{n=101;break c;break};case 21:case 9:case 10:{n=74;break c;break};case 11:{n=99;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 7:{n=90;break e;break};case 6:{n=87;break e;break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 11:{n=93;break e;break};case 29:{n=80;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=UE(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function QE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 0:case 1:case 8:{k=20;break b;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function RE(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[30552+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function SE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 22:case 24:{break};case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 5:{n=31;break c;break};case 6:{n=34;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((VE(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 0:case 1:case 8:{n=57;break d;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((VE(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function TE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=fE(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12392+((d[8776+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=fE(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 11:{m=53;break c;break};case 29:{if((c[12392+((d[13672+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 21:case 9:case 10:{m=40;break c;break};case 23:{b=b+2|0;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=fE(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function UE(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 6:{l=14;break a;break};case 14:{l=56;break};case 5:{l=11;break a;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 7:{l=17;break a;break};case 29:{if((c[12392+((d[13672+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){p=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{p=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(p|0){case 5:{l=32;break a;break};case 7:{l=38;break a;break};case 6:{l=35;break a;break};case 29:{if((c[12392+((d[8776+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 22:case 24:{break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 2:{l=93;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 3:{t=LE(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 0:case 1:case 8:{l=87;break a;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 11:{l=104;break a;break};case 17:{l=103;break a;break};case 21:case 9:case 10:{break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=fE(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 5:{l=117;break a;break};case 7:{l=123;break a;break};case 22:case 24:{break b;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};case 6:{l=120;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12392+((d[8776+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}



function Yl(b,d){b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0.0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0.0,W=0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0,ma=0.0,na=0.0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0,Ra=0.0,Sa=0,Ta=0.0,Ua=0.0,Va=0,Wa=0.0,Xa=0,Ya=0.0,Za=0.0,_a=0,$a=0.0,ab=0,bb=0.0,cb=0.0,db=0,eb=0.0,fb=0,gb=0.0,hb=0,ib=0.0,jb=0.0,kb=0,lb=0.0,mb=0,nb=0.0,ob=0,pb=0.0,qb=0.0,rb=0,sb=0.0,tb=0.0,ub=0,vb=0.0,wb=0.0,xb=0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0,Gb=0,Hb=0.0,Ib=0.0,Jb=0,Kb=0.0,Lb=0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0,Ub=0.0,Vb=0,Wb=0.0,Xb=0,Yb=0.0,Zb=0,_b=0.0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0.0,hc=0,ic=0.0,jc=0.0,kc=0,lc=0.0,mc=0.0,nc=0,oc=0.0,pc=0.0,qc=0.0,rc=0,sc=0.0,tc=0,uc=0.0,vc=0.0,wc=0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0,Cc=0.0,Dc=0,Ec=0.0,Fc=0.0,Gc=0,Hc=0.0,Ic=0,Jc=0.0,Kc=0,Lc=0.0,Mc=0.0,Nc=0,Oc=0.0,Pc=0,Qc=0.0;e=i;Be[c[(d+8|0)>>2]&7](0,13,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1296>>3],0,d);Be[c[(d+8|0)>>2]&7](0,25,1.0,1,d);Be[c[(d+8|0)>>2]&7](1,23,-1.0,2,d);Be[c[(d+8|0)>>2]&7](1,24,1.0,3,d);Be[c[(d+8|0)>>2]&7](1,25,1.0,4,d);Be[c[(d+8|0)>>2]&7](2,12,1.0,5,d);Be[c[(d+8|0)>>2]&7](2,23,-1.0,6,d);Be[c[(d+8|0)>>2]&7](2,24,1.0,7,d);Be[c[(d+8|0)>>2]&7](3,11,1.0,8,d);Be[c[(d+8|0)>>2]&7](3,22,1.0,9,d);Be[c[(d+8|0)>>2]&7](3,23,-1.0,10,d);Be[c[(d+8|0)>>2]&7](4,9,1.0,11,d);Be[c[(d+8|0)>>2]&7](4,21,1.0,12,d);Be[c[(d+8|0)>>2]&7](4,22,-1.0,13,d);Be[c[(d+8|0)>>2]&7](5,16,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1848>>3],14,d);Be[c[(d+8|0)>>2]&7](5,20,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1856>>3],15,d);Be[c[(d+8|0)>>2]&7](5,21,1.0,16,d);f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+1840>>3];if(j!=0.0){k=j}else{k=+lH(c[b+536>>2]|0,j,7673528,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}j=1.0/k;Be[c[(d+8|0)>>2]&7](6,19,j*j,17,d);Be[c[(d+8|0)>>2]&7](6,20,1.0,18,d);f=c[(d+8|0)>>2]|0;j=+h[(c[(b+416|0)>>2]|0)+17512>>3];l=c[c[(b+4|0)>>2]>>2]|0;k=+h[(c[l+8>>2]|0)+2768>>3];do{if(j!=0.0){m=k/j}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,j,7672472,8072,+h[l>>3],(a[b+319|0]|0)!=0|0)}}while(0);Be[f&7](7,18,m*-1256637061435917.0e-21,19,d);Be[c[(d+8|0)>>2]&7](7,19,1.0,20,d);m=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+1832>>3];do{if(m!=0.0){n=j/m}else{if(j==0.0){n=j;break}n=j/+lH(c[b+536>>2]|0,m,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(n>0.0){o=1.0}else{n=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[f+8>>2]|0)+1832>>3];do{if(n!=0.0){p=m/n}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,n,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);o=+((p<0.0)<<31>>31|0)}p=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;n=+h[(c[f+8>>2]|0)+1832>>3];do{if(p!=0.0){q=n/p}else{if(n==0.0){q=n;break}q=n/+lH(c[b+536>>2]|0,p,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(q>0.0){r=1.0}else{q=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[f+8>>2]|0)+1832>>3];do{if(q!=0.0){s=p/q}else{if(p==0.0){s=p;break}s=p/+lH(c[b+536>>2]|0,q,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);r=+((s<0.0)<<31>>31|0)}s=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;q=+h[(c[f+8>>2]|0)+1832>>3];do{if(s!=0.0){t=q/s}else{if(q==0.0){t=q;break}t=q/+lH(c[b+536>>2]|0,s,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(t>0.0){u=1.0}else{t=+h[(c[(b+416|0)>>2]|0)+17480>>3];f=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[f+8>>2]|0)+1832>>3];do{if(t!=0.0){v=s/t}else{if(s==0.0){v=s;break}v=s/+lH(c[b+536>>2]|0,t,7671568,8072,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);u=+((v<0.0)<<31>>31|0)}f=c[(b+416|0)>>2]|0;v=+h[f+17496>>3];t=+h[f+17480>>3];l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+1832>>3];do{if(t!=0.0){w=s/t;x=f;y=t;z=l;A=s}else{if(s==0.0){w=s;x=f;y=t;z=l;A=s;break}q=s/+lH(c[b+536>>2]|0,t,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;w=q;x=C;y=+h[C+17480>>3];z=D;A=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);t=v*+V(+w);do{if(y!=0.0){E=A/y;F=x;G=y;H=z;K=A}else{if(A==0.0){E=A;F=x;G=y;H=z;K=A;break}w=A/+lH(c[b+536>>2]|0,y,7671568,8072,+h[z>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;f=c[c[(b+4|0)>>2]>>2]|0;E=w;F=l;G=+h[l+17480>>3];H=f;K=+h[(c[f+8>>2]|0)+1832>>3]}}while(0);y=+V(+E);E=t+ +X(+y,+(+h[F+17504>>3]))+1.0;z=c[(d+8|0)>>2]|0;y=+h[F+17472>>3];t=+h[F+17488>>3];x=G!=0.0;do{f=1;if(f){f=0;if(E*E!=0.0){do{if(x){L=K/G;M=F;N=G}else{if(K==0.0){L=K;M=F;N=G;break}A=K/+lH(c[b+536>>2]|0,G,7671568,8072,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;L=A;M=l;N=+h[l+17480>>3]}}while(0);A=y+t*+V(+L)+-1.0;w=+h[M+17496>>3];do{if(N!=0.0){O=o/N;P=M;Q=N}else{if(o==0.0){O=o;P=M;Q=N;break}v=o/+lH(c[b+536>>2]|0,N,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;O=v;P=l;Q=+h[l+17480>>3]}}while(0);v=w*O;l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+1832>>3];do{if(Q!=0.0){R=s/Q;S=P;T=Q}else{if(s==0.0){R=s;S=P;T=Q;break}q=s/+lH(c[b+536>>2]|0,Q,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;R=q;S=D;T=+h[D+17480>>3]}}while(0);s=+V(+R);w=+h[S+17504>>3];q=+X(+s,+(w+-1.0));do{if(T!=0.0){U=r/T;W=S;Y=T}else{if(r==0.0){U=r;W=S;Y=T;break}s=r/+lH(c[b+536>>2]|0,T,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;U=s;W=l;Y=+h[l+17480>>3]}}while(0);s=A*(v+q*w*U);p=+h[W+17488>>3];n=+h[W+17496>>3];l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+1832>>3];do{if(Y!=0.0){j=+V(+(m/Y));Z=(n*j+ +X(+j,+(+h[W+17504>>3]))+1.0)/Y}else{if(m==0.0){_=m;$=W;aa=Y;ba=l;ca=m}else{j=m/+lH(c[b+536>>2]|0,Y,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;_=j;$=D;aa=+h[D+17480>>3];ba=C;ca=+h[(c[C+8>>2]|0)+1832>>3]}j=n*+V(+_);do{if(aa!=0.0){da=ca/aa;ea=$;fa=aa;ga=ba;ha=ca}else{if(ca==0.0){da=ca;ea=$;fa=aa;ga=ba;ha=ca;break}k=ca/+lH(c[b+536>>2]|0,aa,7671568,8072,+h[ba>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;da=k;ea=C;fa=+h[C+17480>>3];ga=D;ha=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);k=+V(+da);D=j+ +X(+k,+(+h[ea+17504>>3]))+1.0==0.0;k=+h[ea+17496>>3];C=fa!=0.0;if(D){do{if(C){ia=ha/fa;ja=ea;ka=fa;la=ga;ma=ha}else{if(ha==0.0){ia=ha;ja=ea;ka=fa;la=ga;ma=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7671568,8072,+h[ga>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;ia=na;ja=D;ka=+h[D+17480>>3];la=oa;ma=+h[(c[oa+8>>2]|0)+1832>>3]}}while(0);j=k*+V(+ia);do{if(ka!=0.0){pa=ma/ka;qa=ja}else{if(ma==0.0){pa=ma;qa=ja;break}na=ma/+lH(c[b+536>>2]|0,ka,7671568,8072,+h[la>>3],(a[b+319|0]|0)!=0|0);pa=na;qa=c[(b+416|0)>>2]|0}}while(0);na=+V(+pa);Z=j+ +X(+na,+(+h[qa+17504>>3]))+1.0;break}else{do{if(C){ra=ha/fa;sa=ea;ta=fa;ua=ga;va=ha}else{if(ha==0.0){ra=ha;sa=ea;ta=fa;ua=ga;va=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7671568,8072,+h[ga>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;ra=na;sa=oa;ta=+h[oa+17480>>3];ua=D;va=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);j=k*+V(+ra);do{if(ta!=0.0){wa=va/ta;xa=sa;ya=ta;za=ua}else{if(va==0.0){wa=va;xa=sa;ya=ta;za=ua;break}na=va/+lH(c[b+536>>2]|0,ta,7671568,8072,+h[ua>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;wa=na;xa=C;ya=+h[C+17480>>3];za=c[c[(b+4|0)>>2]>>2]|0}}while(0);k=+V(+wa);na=j+ +X(+k,+(+h[xa+17504>>3]))+1.0;Z=na/+lH(c[b+536>>2]|0,ya,7671568,8072,+h[za>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(s-p*u*Z)/(E*E)}else{f=1}}if(f){f=0;if(1){do{if(x){Ba=K/G;Ca=F;Da=G}else{if(K==0.0){Ba=K;Ca=F;Da=G;break}n=K/+lH(c[b+536>>2]|0,G,7671568,8072,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ba=n;Ca=l;Da=+h[l+17480>>3]}}while(0);p=y+t*+V(+Ba)+-1.0;s=+h[Ca+17496>>3];do{if(Da!=0.0){Ea=o/Da;Fa=Ca;Ga=Da}else{if(o==0.0){Ea=o;Fa=Ca;Ga=Da;break}n=o/+lH(c[b+536>>2]|0,Da,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ea=n;Fa=l;Ga=+h[l+17480>>3]}}while(0);n=s*Ea;l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+1832>>3];do{if(Ga!=0.0){Ha=m/Ga;Ia=Fa;Ja=Ga}else{if(m==0.0){Ha=m;Ia=Fa;Ja=Ga;break}w=m/+lH(c[b+536>>2]|0,Ga,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Ha=w;Ia=C;Ja=+h[C+17480>>3]}}while(0);m=+V(+Ha);s=+h[Ia+17504>>3];w=+X(+m,+(s+-1.0));do{if(Ja!=0.0){Ka=r/Ja;La=Ia;Ma=Ja}else{if(r==0.0){Ka=r;La=Ia;Ma=Ja;break}m=r/+lH(c[b+536>>2]|0,Ja,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ka=m;La=l;Ma=+h[l+17480>>3]}}while(0);m=p*(n+w*s*Ka);q=+h[La+17488>>3];v=+h[La+17496>>3];l=c[c[(b+4|0)>>2]>>2]|0;A=+h[(c[l+8>>2]|0)+1832>>3];do{if(Ma!=0.0){na=+V(+(A/Ma));Na=(v*na+ +X(+na,+(+h[La+17504>>3]))+1.0)/Ma;Oa=La}else{if(A==0.0){Pa=A;Qa=La;Ra=Ma;Sa=l;Ta=A}else{na=A/+lH(c[b+536>>2]|0,Ma,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Pa=na;Qa=C;Ra=+h[C+17480>>3];Sa=D;Ta=+h[(c[D+8>>2]|0)+1832>>3]}na=v*+V(+Pa);do{if(Ra!=0.0){Ua=Ta/Ra;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta}else{if(Ta==0.0){Ua=Ta;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta;break}k=Ta/+lH(c[b+536>>2]|0,Ra,7671568,8072,+h[Sa>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ua=k;Va=D;Wa=+h[D+17480>>3];Xa=C;Ya=+h[(c[C+8>>2]|0)+1832>>3]}}while(0);j=+V(+Ua);C=na+ +X(+j,+(+h[Va+17504>>3]))+1.0==0.0;j=+h[Va+17496>>3];D=Wa!=0.0;if(C){do{if(D){Za=Ya/Wa;_a=Va;$a=Wa;ab=Xa;bb=Ya}else{if(Ya==0.0){Za=Ya;_a=Va;$a=Wa;ab=Xa;bb=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7671568,8072,+h[Xa>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Za=k;_a=C;$a=+h[C+17480>>3];ab=oa;bb=+h[(c[oa+8>>2]|0)+1832>>3]}}while(0);na=j*+V(+Za);do{if($a!=0.0){cb=bb/$a;db=_a}else{if(bb==0.0){cb=bb;db=_a;break}k=bb/+lH(c[b+536>>2]|0,$a,7671568,8072,+h[ab>>3],(a[b+319|0]|0)!=0|0);cb=k;db=c[(b+416|0)>>2]|0}}while(0);k=+V(+cb);Na=na+ +X(+k,+(+h[db+17504>>3]))+1.0;Oa=db;break}else{do{if(D){eb=Ya/Wa;fb=Va;gb=Wa;hb=Xa;ib=Ya}else{if(Ya==0.0){eb=Ya;fb=Va;gb=Wa;hb=Xa;ib=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7671568,8072,+h[Xa>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;eb=k;fb=oa;gb=+h[oa+17480>>3];hb=C;ib=+h[(c[C+8>>2]|0)+1832>>3]}}while(0);na=j*+V(+eb);do{if(gb!=0.0){jb=ib/gb;kb=fb;lb=gb;mb=hb}else{if(ib==0.0){jb=ib;kb=fb;lb=gb;mb=hb;break}k=ib/+lH(c[b+536>>2]|0,gb,7671568,8072,+h[hb>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jb=k;kb=D;lb=+h[D+17480>>3];mb=c[c[(b+4|0)>>2]>>2]|0}}while(0);j=+V(+jb);k=na+ +X(+j,+(+h[kb+17504>>3]))+1.0;j=k/+lH(c[b+536>>2]|0,lb,7671568,8072,+h[mb>>3],(a[b+319|0]|0)!=0|0);Na=j;Oa=c[(b+416|0)>>2]|0;break}}}while(0);v=+h[Oa+17472>>3];A=+h[Oa+17488>>3];s=+h[Oa+17480>>3];l=c[c[(b+4|0)>>2]>>2]|0;w=+h[(c[l+8>>2]|0)+1832>>3];if(m-q*u*Na==0.0){do{if(s!=0.0){nb=w/s;ob=Oa;pb=s}else{if(w==0.0){nb=w;ob=Oa;pb=s;break}n=w/+lH(c[b+536>>2]|0,s,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;nb=n;ob=D;pb=+h[D+17480>>3]}}while(0);q=v+A*+V(+nb)+-1.0;m=+h[ob+17496>>3];do{if(pb!=0.0){qb=o/pb;rb=ob;sb=pb}else{if(o==0.0){qb=o;rb=ob;sb=pb;break}n=o/+lH(c[b+536>>2]|0,pb,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;qb=n;rb=D;sb=+h[D+17480>>3]}}while(0);n=m*qb;D=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[D+8>>2]|0)+1832>>3];do{if(sb!=0.0){tb=p/sb;ub=rb;vb=sb}else{if(p==0.0){tb=p;ub=rb;vb=sb;break}j=p/+lH(c[b+536>>2]|0,sb,7671568,8072,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;tb=j;ub=C;vb=+h[C+17480>>3]}}while(0);p=+V(+tb);m=+h[ub+17504>>3];j=+X(+p,+(m+-1.0));do{if(vb!=0.0){wb=r/vb;xb=ub;yb=vb}else{if(r==0.0){wb=r;xb=ub;yb=vb;break}p=r/+lH(c[b+536>>2]|0,vb,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;wb=p;xb=D;yb=+h[D+17480>>3]}}while(0);p=q*(n+j*m*wb);k=+h[xb+17488>>3];zb=+h[xb+17496>>3];D=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[D+8>>2]|0)+1832>>3];do{if(yb!=0.0){Bb=+V(+(Ab/yb));Cb=(zb*Bb+ +X(+Bb,+(+h[xb+17504>>3]))+1.0)/yb}else{if(Ab==0.0){Db=Ab;Eb=xb;Fb=yb;Gb=D;Hb=Ab}else{Bb=Ab/+lH(c[b+536>>2]|0,yb,7671568,8072,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Db=Bb;Eb=C;Fb=+h[C+17480>>3];Gb=oa;Hb=+h[(c[oa+8>>2]|0)+1832>>3]}Bb=zb*+V(+Db);do{if(Fb!=0.0){Ib=Hb/Fb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb}else{if(Hb==0.0){Ib=Hb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb;break}Nb=Hb/+lH(c[b+536>>2]|0,Fb,7671568,8072,+h[Gb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ib=Nb;Jb=oa;Kb=+h[oa+17480>>3];Lb=C;Mb=+h[(c[C+8>>2]|0)+1832>>3]}}while(0);na=+V(+Ib);C=Bb+ +X(+na,+(+h[Jb+17504>>3]))+1.0==0.0;na=+h[Jb+17496>>3];oa=Kb!=0.0;if(C){do{if(oa){Ob=Mb/Kb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb}else{if(Mb==0.0){Ob=Mb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7671568,8072,+h[Lb>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Tb=c[c[(b+4|0)>>2]>>2]|0;Ob=Nb;Pb=C;Qb=+h[C+17480>>3];Rb=Tb;Sb=+h[(c[Tb+8>>2]|0)+1832>>3]}}while(0);Bb=na*+V(+Ob);do{if(Qb!=0.0){Ub=Sb/Qb;Vb=Pb}else{if(Sb==0.0){Ub=Sb;Vb=Pb;break}Nb=Sb/+lH(c[b+536>>2]|0,Qb,7671568,8072,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Ub=Nb;Vb=c[(b+416|0)>>2]|0}}while(0);Nb=+V(+Ub);Cb=Bb+ +X(+Nb,+(+h[Vb+17504>>3]))+1.0;break}else{do{if(oa){Wb=Mb/Kb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb}else{if(Mb==0.0){Wb=Mb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7671568,8072,+h[Lb>>3],(a[b+319|0]|0)!=0|0);Tb=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Wb=Nb;Xb=Tb;Yb=+h[Tb+17480>>3];Zb=C;_b=+h[(c[C+8>>2]|0)+1832>>3]}}while(0);Bb=na*+V(+Wb);do{if(Yb!=0.0){$b=_b/Yb;ac=Xb;bc=Yb;cc=Zb}else{if(_b==0.0){$b=_b;ac=Xb;bc=Yb;cc=Zb;break}Nb=_b/+lH(c[b+536>>2]|0,Yb,7671568,8072,+h[Zb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;$b=Nb;ac=oa;bc=+h[oa+17480>>3];cc=c[c[(b+4|0)>>2]>>2]|0}}while(0);na=+V(+$b);Nb=Bb+ +X(+na,+(+h[ac+17504>>3]))+1.0;Cb=Nb/+lH(c[b+536>>2]|0,bc,7671568,8072,+h[cc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=p-k*u*Cb;break}else{do{if(s!=0.0){dc=w/s;ec=Oa;fc=s}else{if(w==0.0){dc=w;ec=Oa;fc=s;break}zb=w/+lH(c[b+536>>2]|0,s,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;dc=zb;ec=D;fc=+h[D+17480>>3]}}while(0);s=v+A*+V(+dc)+-1.0;w=+h[ec+17496>>3];do{if(fc!=0.0){gc=o/fc;hc=ec;ic=fc}else{if(o==0.0){gc=o;hc=ec;ic=fc;break}k=o/+lH(c[b+536>>2]|0,fc,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;gc=k;hc=l;ic=+h[l+17480>>3]}}while(0);A=w*gc;l=c[c[(b+4|0)>>2]>>2]|0;v=+h[(c[l+8>>2]|0)+1832>>3];do{if(ic!=0.0){jc=v/ic;kc=hc;lc=ic}else{if(v==0.0){jc=v;kc=hc;lc=ic;break}k=v/+lH(c[b+536>>2]|0,ic,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jc=k;kc=D;lc=+h[D+17480>>3]}}while(0);v=+V(+jc);w=+h[kc+17504>>3];k=+X(+v,+(w+-1.0));do{if(lc!=0.0){mc=r/lc;nc=kc;oc=lc}else{if(r==0.0){mc=r;nc=kc;oc=lc;break}v=r/+lH(c[b+536>>2]|0,lc,7671568,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;mc=v;nc=l;oc=+h[l+17480>>3]}}while(0);v=s*(A+k*w*mc);p=+h[nc+17488>>3];zb=+h[nc+17496>>3];l=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[l+8>>2]|0)+1832>>3];do{if(oc!=0.0){m=+V(+(Ab/oc));pc=(zb*m+ +X(+m,+(+h[nc+17504>>3]))+1.0)/oc}else{if(Ab==0.0){qc=Ab;rc=nc;sc=oc;tc=l;uc=Ab}else{m=Ab/+lH(c[b+536>>2]|0,oc,7671568,8072,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;qc=m;rc=D;sc=+h[D+17480>>3];tc=oa;uc=+h[(c[oa+8>>2]|0)+1832>>3]}m=zb*+V(+qc);do{if(sc!=0.0){vc=uc/sc;wc=rc;xc=sc;yc=tc;zc=uc}else{if(uc==0.0){vc=uc;wc=rc;xc=sc;yc=tc;zc=uc;break}j=uc/+lH(c[b+536>>2]|0,sc,7671568,8072,+h[tc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;vc=j;wc=oa;xc=+h[oa+17480>>3];yc=D;zc=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);Bb=+V(+vc);D=m+ +X(+Bb,+(+h[wc+17504>>3]))+1.0==0.0;Bb=+h[wc+17496>>3];oa=xc!=0.0;if(D){do{if(oa){Ac=zc/xc;Bc=wc;Cc=xc;Dc=yc;Ec=zc}else{if(zc==0.0){Ac=zc;Bc=wc;Cc=xc;Dc=yc;Ec=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7671568,8072,+h[yc>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ac=j;Bc=D;Cc=+h[D+17480>>3];Dc=C;Ec=+h[(c[C+8>>2]|0)+1832>>3]}}while(0);m=Bb*+V(+Ac);do{if(Cc!=0.0){Fc=Ec/Cc;Gc=Bc}else{if(Ec==0.0){Fc=Ec;Gc=Bc;break}j=Ec/+lH(c[b+536>>2]|0,Cc,7671568,8072,+h[Dc>>3],(a[b+319|0]|0)!=0|0);Fc=j;Gc=c[(b+416|0)>>2]|0}}while(0);j=+V(+Fc);pc=m+ +X(+j,+(+h[Gc+17504>>3]))+1.0;break}else{do{if(oa){Hc=zc/xc;Ic=wc;Jc=xc;Kc=yc;Lc=zc}else{if(zc==0.0){Hc=zc;Ic=wc;Jc=xc;Kc=yc;Lc=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7671568,8072,+h[yc>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Hc=j;Ic=C;Jc=+h[C+17480>>3];Kc=D;Lc=+h[(c[D+8>>2]|0)+1832>>3]}}while(0);m=Bb*+V(+Hc);do{if(Jc!=0.0){Mc=Lc/Jc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Lc==0.0){Mc=Lc;Nc=Ic;Oc=Jc;Pc=Kc;break}j=Lc/+lH(c[b+536>>2]|0,Jc,7671568,8072,+h[Kc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;Mc=j;Nc=oa;Oc=+h[oa+17480>>3];Pc=c[c[(b+4|0)>>2]>>2]|0}}while(0);Bb=+V(+Mc);j=m+ +X(+Bb,+(+h[Nc+17504>>3]))+1.0;pc=j/+lH(c[b+536>>2]|0,Oc,7671568,8072,+h[Pc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(v-p*u*pc)/+lH(c[b+536>>2]|0,E*E,7670400,8072,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);break}}else{f=1}}}while(0);Be[z&7](8,17,Aa,21,d);Be[c[(d+8|0)>>2]&7](8,18,1.0,22,d);z=c[(d+8|0)>>2]|0;Pc=c[c[(b+4|0)>>2]>>2]|0;Aa=+h[(c[Pc+8>>2]|0)+2768>>3];if(Aa!=0.0){Qc=Aa}else{Qc=+lH(c[b+536>>2]|0,Aa,7669120,8072,+h[Pc>>3],(a[b+319|0]|0)!=0|0)}Be[z&7](9,16,-1.0/Qc,23,d);Be[c[(d+8|0)>>2]&7](9,17,1.0,24,d);Be[c[(d+8|0)>>2]&7](10,15,-1.0,25,d);Be[c[(d+8|0)>>2]&7](10,16,1.0,26,d);Be[c[(d+8|0)>>2]&7](11,13,1.0,27,d);Be[c[(d+8|0)>>2]&7](11,14,1.0,28,d);Be[c[(d+8|0)>>2]&7](11,15,1.0,29,d);Be[c[(d+8|0)>>2]&7](12,13,-1.0,30,d);Be[c[(d+8|0)>>2]&7](12,14,-1.0,31,d);Be[c[(d+8|0)>>2]&7](13,12,1.0,32,d);Be[c[(d+8|0)>>2]&7](13,14,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+1352>>3],33,d);Be[c[(d+8|0)>>2]&7](14,11,1.0,34,d);c[e+16>>2]=b;c[e+24>>2]=d;c[e+7152>>2]=0;c[e+7156>>2]=0;_setLinearMatrixA440$0(e);I=c[e+7152>>2]|0;B=c[e+7156>>2]|0;J=+g[e+7156>>2];c[e+7152>>2]=0;c[e+7156>>2]=0;if((I|0)==5){return}}function Zl(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+24>>3]*+h[d+2352>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=-0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;oaa(a+56|0,0,16)|0;h[a+72>>3]=-0.0;b=d+2632|0;h[a+80>>3]=-0.0- +h[b>>3];h[a+88>>3]=-0.0- +h[d+2552>>3];h[a+96>>3]=+h[b>>3];h[a+104>>3]=+h[d+1368>>3]*+h[d+2336>>3];h[a+112>>3]=-0.0;h[a+120>>3]=-0.0;h[a+128>>3]=-0.0;h[a+136>>3]=-0.0;oaa(a+144|0,0,16)|0;h[a+160>>3]=-0.0;h[a+168>>3]=0.0;h[a+176>>3]=-0.0;h[a+184>>3]=-0.0;h[a+192>>3]=-0.0;h[a+200>>3]=-0.0;return}function _l(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,-1.0,0,b);Be[c[d>>2]&7](0,2,1.0,1,b);e=a+416|0;Be[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+17992>>3],2,b);Be[c[d>>2]&7](1,2,-1.0,3,b);Be[c[d>>2]&7](2,0,1.0,4,b);Be[c[d>>2]&7](2,1,+h[(c[e>>2]|0)+18232>>3],5,b);return}function $l(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+1480>>3];h[a+8>>3]=+h[d+1504>>3];h[a+16>>3]=-0.0;return}function am(b,d){b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0.0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0.0,W=0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0,ma=0.0,na=0.0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0,Ra=0.0,Sa=0,Ta=0.0,Ua=0.0,Va=0,Wa=0.0,Xa=0,Ya=0.0,Za=0.0,_a=0,$a=0.0,ab=0,bb=0.0,cb=0.0,db=0,eb=0.0,fb=0,gb=0.0,hb=0,ib=0.0,jb=0.0,kb=0,lb=0.0,mb=0,nb=0.0,ob=0,pb=0.0,qb=0.0,rb=0,sb=0.0,tb=0.0,ub=0,vb=0.0,wb=0.0,xb=0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0,Gb=0,Hb=0.0,Ib=0.0,Jb=0,Kb=0.0,Lb=0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0,Ub=0.0,Vb=0,Wb=0.0,Xb=0,Yb=0.0,Zb=0,_b=0.0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0.0,hc=0,ic=0.0,jc=0.0,kc=0,lc=0.0,mc=0.0,nc=0,oc=0.0,pc=0.0,qc=0.0,rc=0,sc=0.0,tc=0,uc=0.0,vc=0.0,wc=0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0,Cc=0.0,Dc=0,Ec=0.0,Fc=0.0,Gc=0,Hc=0.0,Ic=0,Jc=0.0,Kc=0,Lc=0.0,Mc=0.0,Nc=0,Oc=0.0,Pc=0,Qc=0.0,Rc=0.0,Sc=0.0,Tc=0.0,Uc=0,Vc=0.0,Wc=0,Xc=0.0,Yc=0,Zc=0.0,_c=0.0,$c=0,ad=0;e=i;Be[c[(d+8|0)>>2]&7](0,2,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+296>>3],0,d);Be[c[(d+8|0)>>2]&7](0,33,1.0,1,d);Be[c[(d+8|0)>>2]&7](1,31,1.0,2,d);Be[c[(d+8|0)>>2]&7](1,32,-1.0,3,d);Be[c[(d+8|0)>>2]&7](1,33,1.0,4,d);Be[c[(d+8|0)>>2]&7](2,0,1.0,5,d);Be[c[(d+8|0)>>2]&7](2,31,1.0,6,d);Be[c[(d+8|0)>>2]&7](2,32,-1.0,7,d);Be[c[(d+8|0)>>2]&7](3,3,1.0,8,d);Be[c[(d+8|0)>>2]&7](3,30,1.0,9,d);Be[c[(d+8|0)>>2]&7](3,31,-1.0,10,d);Be[c[(d+8|0)>>2]&7](4,16,1.0,11,d);Be[c[(d+8|0)>>2]&7](4,29,1.0,12,d);Be[c[(d+8|0)>>2]&7](4,30,-1.0,13,d);Be[c[(d+8|0)>>2]&7](5,21,1.0,14,d);Be[c[(d+8|0)>>2]&7](5,28,1.0,15,d);Be[c[(d+8|0)>>2]&7](5,29,-1.0,16,d);Be[c[(d+8|0)>>2]&7](6,23,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+752>>3],17,d);Be[c[(d+8|0)>>2]&7](6,27,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],18,d);Be[c[(d+8|0)>>2]&7](6,28,1.0,19,d);f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+744>>3];if(j!=0.0){k=j}else{k=+lH(c[b+536>>2]|0,j,7674648,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}j=1.0/k;Be[c[(d+8|0)>>2]&7](7,26,j*j,20,d);Be[c[(d+8|0)>>2]&7](7,27,1.0,21,d);f=c[(d+8|0)>>2]|0;j=+h[(c[(b+416|0)>>2]|0)+18544>>3];l=c[c[(b+4|0)>>2]>>2]|0;k=+h[(c[l+8>>2]|0)+2944>>3];do{if(j!=0.0){m=k/j}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,j,7675680,8064,+h[l>>3],(a[b+319|0]|0)!=0|0)}}while(0);Be[f&7](8,25,m*-1256637061435917.0e-21,22,d);Be[c[(d+8|0)>>2]&7](8,26,1.0,23,d);m=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+736>>3];do{if(m!=0.0){n=j/m}else{if(j==0.0){n=j;break}n=j/+lH(c[b+536>>2]|0,m,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(n>0.0){o=1.0}else{n=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[f+8>>2]|0)+736>>3];do{if(n!=0.0){p=m/n}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,n,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);o=+((p<0.0)<<31>>31|0)}p=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;n=+h[(c[f+8>>2]|0)+736>>3];do{if(p!=0.0){q=n/p}else{if(n==0.0){q=n;break}q=n/+lH(c[b+536>>2]|0,p,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(q>0.0){r=1.0}else{q=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[f+8>>2]|0)+736>>3];do{if(q!=0.0){s=p/q}else{if(p==0.0){s=p;break}s=p/+lH(c[b+536>>2]|0,q,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);r=+((s<0.0)<<31>>31|0)}s=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;q=+h[(c[f+8>>2]|0)+736>>3];do{if(s!=0.0){t=q/s}else{if(q==0.0){t=q;break}t=q/+lH(c[b+536>>2]|0,s,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(t>0.0){u=1.0}else{t=+h[(c[(b+416|0)>>2]|0)+18512>>3];f=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[f+8>>2]|0)+736>>3];do{if(t!=0.0){v=s/t}else{if(s==0.0){v=s;break}v=s/+lH(c[b+536>>2]|0,t,7678144,8064,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);u=+((v<0.0)<<31>>31|0)}f=c[(b+416|0)>>2]|0;v=+h[f+18528>>3];t=+h[f+18512>>3];l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+736>>3];do{if(t!=0.0){w=s/t;x=f;y=t;z=l;A=s}else{if(s==0.0){w=s;x=f;y=t;z=l;A=s;break}q=s/+lH(c[b+536>>2]|0,t,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;w=q;x=C;y=+h[C+18512>>3];z=D;A=+h[(c[D+8>>2]|0)+736>>3]}}while(0);t=v*+V(+w);do{if(y!=0.0){E=A/y;F=x;G=y;H=z;K=A}else{if(A==0.0){E=A;F=x;G=y;H=z;K=A;break}w=A/+lH(c[b+536>>2]|0,y,7678144,8064,+h[z>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;f=c[c[(b+4|0)>>2]>>2]|0;E=w;F=l;G=+h[l+18512>>3];H=f;K=+h[(c[f+8>>2]|0)+736>>3]}}while(0);y=+V(+E);E=t+ +X(+y,+(+h[F+18536>>3]))+1.0;z=c[(d+8|0)>>2]|0;y=+h[F+18504>>3];t=+h[F+18520>>3];x=G!=0.0;do{f=1;if(f){f=0;if(E*E!=0.0){do{if(x){L=K/G;M=F;N=G}else{if(K==0.0){L=K;M=F;N=G;break}A=K/+lH(c[b+536>>2]|0,G,7678144,8064,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;L=A;M=l;N=+h[l+18512>>3]}}while(0);A=y+t*+V(+L)+-1.0;w=+h[M+18528>>3];do{if(N!=0.0){O=o/N;P=M;Q=N}else{if(o==0.0){O=o;P=M;Q=N;break}v=o/+lH(c[b+536>>2]|0,N,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;O=v;P=l;Q=+h[l+18512>>3]}}while(0);v=w*O;l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+736>>3];do{if(Q!=0.0){R=s/Q;S=P;T=Q}else{if(s==0.0){R=s;S=P;T=Q;break}q=s/+lH(c[b+536>>2]|0,Q,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;R=q;S=D;T=+h[D+18512>>3]}}while(0);s=+V(+R);w=+h[S+18536>>3];q=+X(+s,+(w+-1.0));do{if(T!=0.0){U=r/T;W=S;Y=T}else{if(r==0.0){U=r;W=S;Y=T;break}s=r/+lH(c[b+536>>2]|0,T,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;U=s;W=l;Y=+h[l+18512>>3]}}while(0);s=A*(v+q*w*U);p=+h[W+18520>>3];n=+h[W+18528>>3];l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+736>>3];do{if(Y!=0.0){j=+V(+(m/Y));Z=(n*j+ +X(+j,+(+h[W+18536>>3]))+1.0)/Y}else{if(m==0.0){_=m;$=W;aa=Y;ba=l;ca=m}else{j=m/+lH(c[b+536>>2]|0,Y,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;_=j;$=D;aa=+h[D+18512>>3];ba=C;ca=+h[(c[C+8>>2]|0)+736>>3]}j=n*+V(+_);do{if(aa!=0.0){da=ca/aa;ea=$;fa=aa;ga=ba;ha=ca}else{if(ca==0.0){da=ca;ea=$;fa=aa;ga=ba;ha=ca;break}k=ca/+lH(c[b+536>>2]|0,aa,7678144,8064,+h[ba>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;da=k;ea=C;fa=+h[C+18512>>3];ga=D;ha=+h[(c[D+8>>2]|0)+736>>3]}}while(0);k=+V(+da);D=j+ +X(+k,+(+h[ea+18536>>3]))+1.0==0.0;k=+h[ea+18528>>3];C=fa!=0.0;if(D){do{if(C){ia=ha/fa;ja=ea;ka=fa;la=ga;ma=ha}else{if(ha==0.0){ia=ha;ja=ea;ka=fa;la=ga;ma=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7678144,8064,+h[ga>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;ia=na;ja=D;ka=+h[D+18512>>3];la=oa;ma=+h[(c[oa+8>>2]|0)+736>>3]}}while(0);j=k*+V(+ia);do{if(ka!=0.0){pa=ma/ka;qa=ja}else{if(ma==0.0){pa=ma;qa=ja;break}na=ma/+lH(c[b+536>>2]|0,ka,7678144,8064,+h[la>>3],(a[b+319|0]|0)!=0|0);pa=na;qa=c[(b+416|0)>>2]|0}}while(0);na=+V(+pa);Z=j+ +X(+na,+(+h[qa+18536>>3]))+1.0;break}else{do{if(C){ra=ha/fa;sa=ea;ta=fa;ua=ga;va=ha}else{if(ha==0.0){ra=ha;sa=ea;ta=fa;ua=ga;va=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7678144,8064,+h[ga>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;ra=na;sa=oa;ta=+h[oa+18512>>3];ua=D;va=+h[(c[D+8>>2]|0)+736>>3]}}while(0);j=k*+V(+ra);do{if(ta!=0.0){wa=va/ta;xa=sa;ya=ta;za=ua}else{if(va==0.0){wa=va;xa=sa;ya=ta;za=ua;break}na=va/+lH(c[b+536>>2]|0,ta,7678144,8064,+h[ua>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;wa=na;xa=C;ya=+h[C+18512>>3];za=c[c[(b+4|0)>>2]>>2]|0}}while(0);k=+V(+wa);na=j+ +X(+k,+(+h[xa+18536>>3]))+1.0;Z=na/+lH(c[b+536>>2]|0,ya,7678144,8064,+h[za>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(s-p*u*Z)/(E*E)}else{f=1}}if(f){f=0;if(1){do{if(x){Ba=K/G;Ca=F;Da=G}else{if(K==0.0){Ba=K;Ca=F;Da=G;break}n=K/+lH(c[b+536>>2]|0,G,7678144,8064,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ba=n;Ca=l;Da=+h[l+18512>>3]}}while(0);p=y+t*+V(+Ba)+-1.0;s=+h[Ca+18528>>3];do{if(Da!=0.0){Ea=o/Da;Fa=Ca;Ga=Da}else{if(o==0.0){Ea=o;Fa=Ca;Ga=Da;break}n=o/+lH(c[b+536>>2]|0,Da,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ea=n;Fa=l;Ga=+h[l+18512>>3]}}while(0);n=s*Ea;l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+736>>3];do{if(Ga!=0.0){Ha=m/Ga;Ia=Fa;Ja=Ga}else{if(m==0.0){Ha=m;Ia=Fa;Ja=Ga;break}w=m/+lH(c[b+536>>2]|0,Ga,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Ha=w;Ia=C;Ja=+h[C+18512>>3]}}while(0);m=+V(+Ha);s=+h[Ia+18536>>3];w=+X(+m,+(s+-1.0));do{if(Ja!=0.0){Ka=r/Ja;La=Ia;Ma=Ja}else{if(r==0.0){Ka=r;La=Ia;Ma=Ja;break}m=r/+lH(c[b+536>>2]|0,Ja,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ka=m;La=l;Ma=+h[l+18512>>3]}}while(0);m=p*(n+w*s*Ka);q=+h[La+18520>>3];v=+h[La+18528>>3];l=c[c[(b+4|0)>>2]>>2]|0;A=+h[(c[l+8>>2]|0)+736>>3];do{if(Ma!=0.0){na=+V(+(A/Ma));Na=(v*na+ +X(+na,+(+h[La+18536>>3]))+1.0)/Ma;Oa=La}else{if(A==0.0){Pa=A;Qa=La;Ra=Ma;Sa=l;Ta=A}else{na=A/+lH(c[b+536>>2]|0,Ma,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Pa=na;Qa=C;Ra=+h[C+18512>>3];Sa=D;Ta=+h[(c[D+8>>2]|0)+736>>3]}na=v*+V(+Pa);do{if(Ra!=0.0){Ua=Ta/Ra;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta}else{if(Ta==0.0){Ua=Ta;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta;break}k=Ta/+lH(c[b+536>>2]|0,Ra,7678144,8064,+h[Sa>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ua=k;Va=D;Wa=+h[D+18512>>3];Xa=C;Ya=+h[(c[C+8>>2]|0)+736>>3]}}while(0);j=+V(+Ua);C=na+ +X(+j,+(+h[Va+18536>>3]))+1.0==0.0;j=+h[Va+18528>>3];D=Wa!=0.0;if(C){do{if(D){Za=Ya/Wa;_a=Va;$a=Wa;ab=Xa;bb=Ya}else{if(Ya==0.0){Za=Ya;_a=Va;$a=Wa;ab=Xa;bb=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7678144,8064,+h[Xa>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Za=k;_a=C;$a=+h[C+18512>>3];ab=oa;bb=+h[(c[oa+8>>2]|0)+736>>3]}}while(0);na=j*+V(+Za);do{if($a!=0.0){cb=bb/$a;db=_a}else{if(bb==0.0){cb=bb;db=_a;break}k=bb/+lH(c[b+536>>2]|0,$a,7678144,8064,+h[ab>>3],(a[b+319|0]|0)!=0|0);cb=k;db=c[(b+416|0)>>2]|0}}while(0);k=+V(+cb);Na=na+ +X(+k,+(+h[db+18536>>3]))+1.0;Oa=db;break}else{do{if(D){eb=Ya/Wa;fb=Va;gb=Wa;hb=Xa;ib=Ya}else{if(Ya==0.0){eb=Ya;fb=Va;gb=Wa;hb=Xa;ib=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7678144,8064,+h[Xa>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;eb=k;fb=oa;gb=+h[oa+18512>>3];hb=C;ib=+h[(c[C+8>>2]|0)+736>>3]}}while(0);na=j*+V(+eb);do{if(gb!=0.0){jb=ib/gb;kb=fb;lb=gb;mb=hb}else{if(ib==0.0){jb=ib;kb=fb;lb=gb;mb=hb;break}k=ib/+lH(c[b+536>>2]|0,gb,7678144,8064,+h[hb>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jb=k;kb=D;lb=+h[D+18512>>3];mb=c[c[(b+4|0)>>2]>>2]|0}}while(0);j=+V(+jb);k=na+ +X(+j,+(+h[kb+18536>>3]))+1.0;j=k/+lH(c[b+536>>2]|0,lb,7678144,8064,+h[mb>>3],(a[b+319|0]|0)!=0|0);Na=j;Oa=c[(b+416|0)>>2]|0;break}}}while(0);v=+h[Oa+18504>>3];A=+h[Oa+18520>>3];s=+h[Oa+18512>>3];l=c[c[(b+4|0)>>2]>>2]|0;w=+h[(c[l+8>>2]|0)+736>>3];if(m-q*u*Na==0.0){do{if(s!=0.0){nb=w/s;ob=Oa;pb=s}else{if(w==0.0){nb=w;ob=Oa;pb=s;break}n=w/+lH(c[b+536>>2]|0,s,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;nb=n;ob=D;pb=+h[D+18512>>3]}}while(0);q=v+A*+V(+nb)+-1.0;m=+h[ob+18528>>3];do{if(pb!=0.0){qb=o/pb;rb=ob;sb=pb}else{if(o==0.0){qb=o;rb=ob;sb=pb;break}n=o/+lH(c[b+536>>2]|0,pb,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;qb=n;rb=D;sb=+h[D+18512>>3]}}while(0);n=m*qb;D=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[D+8>>2]|0)+736>>3];do{if(sb!=0.0){tb=p/sb;ub=rb;vb=sb}else{if(p==0.0){tb=p;ub=rb;vb=sb;break}j=p/+lH(c[b+536>>2]|0,sb,7678144,8064,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;tb=j;ub=C;vb=+h[C+18512>>3]}}while(0);p=+V(+tb);m=+h[ub+18536>>3];j=+X(+p,+(m+-1.0));do{if(vb!=0.0){wb=r/vb;xb=ub;yb=vb}else{if(r==0.0){wb=r;xb=ub;yb=vb;break}p=r/+lH(c[b+536>>2]|0,vb,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;wb=p;xb=D;yb=+h[D+18512>>3]}}while(0);p=q*(n+j*m*wb);k=+h[xb+18520>>3];zb=+h[xb+18528>>3];D=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[D+8>>2]|0)+736>>3];do{if(yb!=0.0){Bb=+V(+(Ab/yb));Cb=(zb*Bb+ +X(+Bb,+(+h[xb+18536>>3]))+1.0)/yb}else{if(Ab==0.0){Db=Ab;Eb=xb;Fb=yb;Gb=D;Hb=Ab}else{Bb=Ab/+lH(c[b+536>>2]|0,yb,7678144,8064,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Db=Bb;Eb=C;Fb=+h[C+18512>>3];Gb=oa;Hb=+h[(c[oa+8>>2]|0)+736>>3]}Bb=zb*+V(+Db);do{if(Fb!=0.0){Ib=Hb/Fb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb}else{if(Hb==0.0){Ib=Hb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb;break}Nb=Hb/+lH(c[b+536>>2]|0,Fb,7678144,8064,+h[Gb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ib=Nb;Jb=oa;Kb=+h[oa+18512>>3];Lb=C;Mb=+h[(c[C+8>>2]|0)+736>>3]}}while(0);na=+V(+Ib);C=Bb+ +X(+na,+(+h[Jb+18536>>3]))+1.0==0.0;na=+h[Jb+18528>>3];oa=Kb!=0.0;if(C){do{if(oa){Ob=Mb/Kb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb}else{if(Mb==0.0){Ob=Mb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7678144,8064,+h[Lb>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Tb=c[c[(b+4|0)>>2]>>2]|0;Ob=Nb;Pb=C;Qb=+h[C+18512>>3];Rb=Tb;Sb=+h[(c[Tb+8>>2]|0)+736>>3]}}while(0);Bb=na*+V(+Ob);do{if(Qb!=0.0){Ub=Sb/Qb;Vb=Pb}else{if(Sb==0.0){Ub=Sb;Vb=Pb;break}Nb=Sb/+lH(c[b+536>>2]|0,Qb,7678144,8064,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Ub=Nb;Vb=c[(b+416|0)>>2]|0}}while(0);Nb=+V(+Ub);Cb=Bb+ +X(+Nb,+(+h[Vb+18536>>3]))+1.0;break}else{do{if(oa){Wb=Mb/Kb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb}else{if(Mb==0.0){Wb=Mb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7678144,8064,+h[Lb>>3],(a[b+319|0]|0)!=0|0);Tb=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Wb=Nb;Xb=Tb;Yb=+h[Tb+18512>>3];Zb=C;_b=+h[(c[C+8>>2]|0)+736>>3]}}while(0);Bb=na*+V(+Wb);do{if(Yb!=0.0){$b=_b/Yb;ac=Xb;bc=Yb;cc=Zb}else{if(_b==0.0){$b=_b;ac=Xb;bc=Yb;cc=Zb;break}Nb=_b/+lH(c[b+536>>2]|0,Yb,7678144,8064,+h[Zb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;$b=Nb;ac=oa;bc=+h[oa+18512>>3];cc=c[c[(b+4|0)>>2]>>2]|0}}while(0);na=+V(+$b);Nb=Bb+ +X(+na,+(+h[ac+18536>>3]))+1.0;Cb=Nb/+lH(c[b+536>>2]|0,bc,7678144,8064,+h[cc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=p-k*u*Cb;break}else{do{if(s!=0.0){dc=w/s;ec=Oa;fc=s}else{if(w==0.0){dc=w;ec=Oa;fc=s;break}zb=w/+lH(c[b+536>>2]|0,s,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;dc=zb;ec=D;fc=+h[D+18512>>3]}}while(0);s=v+A*+V(+dc)+-1.0;w=+h[ec+18528>>3];do{if(fc!=0.0){gc=o/fc;hc=ec;ic=fc}else{if(o==0.0){gc=o;hc=ec;ic=fc;break}k=o/+lH(c[b+536>>2]|0,fc,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;gc=k;hc=l;ic=+h[l+18512>>3]}}while(0);A=w*gc;l=c[c[(b+4|0)>>2]>>2]|0;v=+h[(c[l+8>>2]|0)+736>>3];do{if(ic!=0.0){jc=v/ic;kc=hc;lc=ic}else{if(v==0.0){jc=v;kc=hc;lc=ic;break}k=v/+lH(c[b+536>>2]|0,ic,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jc=k;kc=D;lc=+h[D+18512>>3]}}while(0);v=+V(+jc);w=+h[kc+18536>>3];k=+X(+v,+(w+-1.0));do{if(lc!=0.0){mc=r/lc;nc=kc;oc=lc}else{if(r==0.0){mc=r;nc=kc;oc=lc;break}v=r/+lH(c[b+536>>2]|0,lc,7678144,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;mc=v;nc=l;oc=+h[l+18512>>3]}}while(0);v=s*(A+k*w*mc);p=+h[nc+18520>>3];zb=+h[nc+18528>>3];l=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[l+8>>2]|0)+736>>3];do{if(oc!=0.0){m=+V(+(Ab/oc));pc=(zb*m+ +X(+m,+(+h[nc+18536>>3]))+1.0)/oc}else{if(Ab==0.0){qc=Ab;rc=nc;sc=oc;tc=l;uc=Ab}else{m=Ab/+lH(c[b+536>>2]|0,oc,7678144,8064,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;qc=m;rc=D;sc=+h[D+18512>>3];tc=oa;uc=+h[(c[oa+8>>2]|0)+736>>3]}m=zb*+V(+qc);do{if(sc!=0.0){vc=uc/sc;wc=rc;xc=sc;yc=tc;zc=uc}else{if(uc==0.0){vc=uc;wc=rc;xc=sc;yc=tc;zc=uc;break}j=uc/+lH(c[b+536>>2]|0,sc,7678144,8064,+h[tc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;vc=j;wc=oa;xc=+h[oa+18512>>3];yc=D;zc=+h[(c[D+8>>2]|0)+736>>3]}}while(0);Bb=+V(+vc);D=m+ +X(+Bb,+(+h[wc+18536>>3]))+1.0==0.0;Bb=+h[wc+18528>>3];oa=xc!=0.0;if(D){do{if(oa){Ac=zc/xc;Bc=wc;Cc=xc;Dc=yc;Ec=zc}else{if(zc==0.0){Ac=zc;Bc=wc;Cc=xc;Dc=yc;Ec=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7678144,8064,+h[yc>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ac=j;Bc=D;Cc=+h[D+18512>>3];Dc=C;Ec=+h[(c[C+8>>2]|0)+736>>3]}}while(0);m=Bb*+V(+Ac);do{if(Cc!=0.0){Fc=Ec/Cc;Gc=Bc}else{if(Ec==0.0){Fc=Ec;Gc=Bc;break}j=Ec/+lH(c[b+536>>2]|0,Cc,7678144,8064,+h[Dc>>3],(a[b+319|0]|0)!=0|0);Fc=j;Gc=c[(b+416|0)>>2]|0}}while(0);j=+V(+Fc);pc=m+ +X(+j,+(+h[Gc+18536>>3]))+1.0;break}else{do{if(oa){Hc=zc/xc;Ic=wc;Jc=xc;Kc=yc;Lc=zc}else{if(zc==0.0){Hc=zc;Ic=wc;Jc=xc;Kc=yc;Lc=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7678144,8064,+h[yc>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Hc=j;Ic=C;Jc=+h[C+18512>>3];Kc=D;Lc=+h[(c[D+8>>2]|0)+736>>3]}}while(0);m=Bb*+V(+Hc);do{if(Jc!=0.0){Mc=Lc/Jc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Lc==0.0){Mc=Lc;Nc=Ic;Oc=Jc;Pc=Kc;break}j=Lc/+lH(c[b+536>>2]|0,Jc,7678144,8064,+h[Kc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;Mc=j;Nc=oa;Oc=+h[oa+18512>>3];Pc=c[c[(b+4|0)>>2]>>2]|0}}while(0);Bb=+V(+Mc);j=m+ +X(+Bb,+(+h[Nc+18536>>3]))+1.0;pc=j/+lH(c[b+536>>2]|0,Oc,7678144,8064,+h[Pc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(v-p*u*pc)/+lH(c[b+536>>2]|0,E*E,7677008,8064,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);break}}else{f=1}}}while(0);Be[z&7](9,24,Aa,24,d);Be[c[(d+8|0)>>2]&7](9,25,1.0,25,d);z=c[(d+8|0)>>2]|0;Pc=c[c[(b+4|0)>>2]>>2]|0;Aa=+h[(c[Pc+8>>2]|0)+2944>>3];c[e+16>>2]=b;c[e+24>>2]=d;c[e+3360>>2]=z;c[e+3368>>2]=Pc;g[e+3376>>2]=Aa;g[e+6872>>2]=Qc;g[e+6944>>2]=Rc;g[e+7016>>2]=Sc;g[e+7160>>2]=Tc;c[e+7168>>2]=Uc;g[e+7176>>2]=Vc;c[e+7184>>2]=Wc;g[e+7208>>2]=Xc;c[e+7216>>2]=Yc;g[e+7224>>2]=Zc;g[e+7232>>2]=_c;c[e+7240>>2]=$c;c[e+13768>>2]=ad;c[e+13824>>2]=0;c[e+13828>>2]=0;_setLinearMatrixA562$1(e);Qc=+g[e+6872>>2];Rc=+g[e+6944>>2];Sc=+g[e+7016>>2];Tc=+g[e+7160>>2];Uc=c[e+7168>>2]|0;Vc=+g[e+7176>>2];Wc=c[e+7184>>2]|0;Xc=+g[e+7208>>2];Yc=c[e+7216>>2]|0;Zc=+g[e+7224>>2];_c=+g[e+7232>>2];$c=c[e+7240>>2]|0;ad=c[e+13768>>2]|0;c[e+16>>2]=b;c[e+24>>2]=d;g[e+6872>>2]=Qc;g[e+6944>>2]=Rc;g[e+7016>>2]=Sc;g[e+7160>>2]=Tc;c[e+7168>>2]=Uc;g[e+7176>>2]=Vc;c[e+7184>>2]=Wc;g[e+7208>>2]=Xc;c[e+7216>>2]=Yc;g[e+7224>>2]=Zc;g[e+7232>>2]=_c;c[e+7240>>2]=$c;c[e+13768>>2]=ad;c[e+13816>>2]=0;c[e+13820>>2]=0;_setLinearMatrixA562$0(e);ad=c[e+13768>>2]|0;I=c[e+13816>>2]|0;B=c[e+13820>>2]|0;J=+g[e+13820>>2];c[e+13816>>2]=0;c[e+13820>>2]=0;if((I|0)==5){return}}function bm(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+312>>3]*+h[d+984>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=-0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;h[a+48>>3]=-0.0;h[a+56>>3]=-0.0;oaa(a+64|0,0,16)|0;h[a+80>>3]=-0.0;h[a+88>>3]=-0.0;h[a+96>>3]=-0.0;h[a+104>>3]=-0.0;oaa(a+112|0,0,16)|0;h[a+128>>3]=-0.0;h[a+136>>3]=-0.0;h[a+144>>3]=-0.0;oaa(a+152|0,0,16)|0;h[a+168>>3]=-0.0;h[a+176>>3]=0.0;h[a+184>>3]=-0.0;h[a+192>>3]=-0.0;h[a+200>>3]=-0.0;h[a+208>>3]=-0.0;oaa(a+216|0,0,16)|0;h[a+232>>3]=-0.0;h[a+240>>3]=-0.0;h[a+248>>3]=0.0;h[a+256>>3]=-0.0- +h[d+1160>>3];h[a+264>>3]=+h[d>>3]*+h[d+1e3>>3];return}function cm(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,1.0,0,b);Be[c[d>>2]&7](0,2,-1.0,1,b);e=a+416|0;Be[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+19184>>3],2,b);Be[c[d>>2]&7](1,2,1.0,3,b);Be[c[d>>2]&7](2,0,-1.0,4,b);Be[c[d>>2]&7](2,1,+h[(c[e>>2]|0)+18944>>3],5,b);return}function dm(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+432>>3];h[a+8>>3]=-0.0;h[a+16>>3]=+h[d+456>>3];return}function em(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,-1.0,0,b);Be[c[d>>2]&7](0,5,1.0,1,b);Be[c[d>>2]&7](1,4,1.0,2,b);e=a+4|0;Be[c[d>>2]&7](1,5,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2712>>3],3,b);Be[c[d>>2]&7](2,3,-1.0,4,b);Be[c[d>>2]&7](2,4,1.0,5,b);Be[c[d>>2]&7](3,2,-1.0,6,b);Be[c[d>>2]&7](3,3,1.0,7,b);Be[c[d>>2]&7](4,1,1.0,8,b);Be[c[d>>2]&7](4,2,1.0,9,b);Be[c[d>>2]&7](5,0,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2720>>3],10,b);Be[c[d>>2]&7](5,1,1.0,11,b);return}function fm(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+64>>3]- +h[d+2048>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0- +h[d+48>>3];h[a+24>>3]=-0.0- +h[d+56>>3];h[a+32>>3]=+h[d+2176>>3];h[a+40>>3]=-0.0;return}function _setLinearMatrixA440$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,W=0.0,Y=0.0,Z=0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0.0,Na=0,Oa=0.0,Pa=0.0,Qa=0,Ra=0.0,Sa=0.0,Ta=0,Ua=0.0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0.0,jb=0,kb=0.0,lb=0,mb=0.0,nb=0.0,ob=0,pb=0.0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0.0,vb=0,wb=0.0,xb=0,yb=0.0,zb=0,Ab=0.0,Bb=0.0,Cb=0,Db=0.0,Eb=0.0,Fb=0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0.0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0.0,rc=0.0,sc=0,tc=0.0,uc=0.0,vc=0,wc=0.0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0.0,Cc=0,Dc=0.0,Ec=0,Fc=0.0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0.0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0.0,bd=0.0,cd=0.0,dd=0,ed=0.0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0.0,sd=0.0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0.0,Ad=0.0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0.0,Jd=0.0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0.0,Sd=0.0,Td=0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;a:do{Be[c[(e+8|0)>>2]&7](14,15,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2656>>3],35,e);Be[c[(e+8|0)>>2]&7](15,5,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+1856>>3],36,e);Be[c[(e+8|0)>>2]&7](15,10,1.0,37,e);Be[c[(e+8|0)>>2]&7](15,16,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+1792>>3],38,e);Be[c[(e+8|0)>>2]&7](16,3,1.0,39,e);Be[c[(e+8|0)>>2]&7](16,9,1.0,40,e);Be[c[(e+8|0)>>2]&7](16,10,1.0,41,e);Be[c[(e+8|0)>>2]&7](17,8,1.0,42,e);f=c[(e+8|0)>>2]|0;g=c[c[(d+4|0)>>2]>>2]|0;j=+h[(c[g+8>>2]|0)+2776>>3];if(j!=0.0){k=j}else{k=+lH(c[d+536>>2]|0,j,7668120,8072,+h[g>>3],(a[d+319|0]|0)!=0|0)}Be[f&7](17,16,1.0/k,43,e);Be[c[(e+8|0)>>2]&7](18,7,1.0,44,e);j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){m=l/j}else{if(l==0.0){m=l;break}m=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(m>0.0){n=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){o=l/j}else{if(l==0.0){o=l;break}o=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);n=+((o<0.0)<<31>>31|0)}j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){p=l/j}else{if(l==0.0){p=l;break}p=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(p>0.0){q=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){r=l/j}else{if(l==0.0){r=l;break}r=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);q=+((r<0.0)<<31>>31|0)}j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){s=l/j}else{if(l==0.0){s=l;break}s=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(s>0.0){t=1.0}else{j=+h[(c[(d+416|0)>>2]|0)+17552>>3];f=c[c[(d+4|0)>>2]>>2]|0;l=+h[(c[f+8>>2]|0)+1776>>3];do{if(j!=0.0){u=l/j}else{if(l==0.0){u=l;break}u=l/+lH(c[d+536>>2]|0,j,7666496,8072,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);t=+((u<0.0)<<31>>31|0)}f=c[(d+416|0)>>2]|0;j=+h[f+17568>>3];l=+h[f+17552>>3];g=c[c[(d+4|0)>>2]>>2]|0;v=+h[(c[g+8>>2]|0)+1776>>3];do{if(l!=0.0){w=v/l;x=f;y=l;z=g;A=v}else{if(v==0.0){w=v;x=f;y=l;z=g;A=v;break}B=v/+lH(c[d+536>>2]|0,l,7666496,8072,+h[g>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;D=c[c[(d+4|0)>>2]>>2]|0;w=B;x=C;y=+h[C+17552>>3];z=D;A=+h[(c[D+8>>2]|0)+1776>>3]}}while(0);l=j*+V(+w);do{if(y!=0.0){E=A/y;F=x;G=y;H=z;I=A}else{if(A==0.0){E=A;F=x;G=y;H=z;I=A;break}v=A/+lH(c[d+536>>2]|0,y,7666496,8072,+h[z>>3],(a[d+319|0]|0)!=0|0);g=c[(d+416|0)>>2]|0;f=c[c[(d+4|0)>>2]>>2]|0;E=v;F=g;G=+h[g+17552>>3];H=f;I=+h[(c[f+8>>2]|0)+1776>>3]}}while(0);j=+V(+E);v=l+ +X(+j,+(+h[F+17576>>3]))+1.0;f=c[(e+8|0)>>2]|0;j=+h[F+17544>>3];B=+h[F+17560>>3];g=G!=0.0;do{D=1;if(D){D=0;if(v*v!=0.0){do{if(g){J=I/G;K=F;L=G}else{if(I==0.0){J=I;K=F;L=G;break}M=I/+lH(c[d+536>>2]|0,G,7666496,8072,+h[H>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;J=M;K=C;L=+h[C+17552>>3]}}while(0);M=j+B*+V(+J)+-1.0;N=+h[K+17568>>3];do{if(L!=0.0){O=n/L;P=K;Q=L}else{if(n==0.0){O=n;P=K;Q=L;break}R=n/+lH(c[d+536>>2]|0,L,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;O=R;P=C;Q=+h[C+17552>>3]}}while(0);R=N*O;C=c[c[(d+4|0)>>2]>>2]|0;S=+h[(c[C+8>>2]|0)+1776>>3];do{if(Q!=0.0){T=S/Q;U=P;W=Q}else{if(S==0.0){T=S;U=P;W=Q;break}Y=S/+lH(c[d+536>>2]|0,Q,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;T=Y;U=Z;W=+h[Z+17552>>3]}}while(0);S=+V(+T);N=+h[U+17576>>3];Y=+X(+S,+(N+-1.0));do{if(W!=0.0){_=q/W;$=U;aa=W}else{if(q==0.0){_=q;$=U;aa=W;break}S=q/+lH(c[d+536>>2]|0,W,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;_=S;$=C;aa=+h[C+17552>>3]}}while(0);S=M*(R+Y*N*_);ba=+h[$+17560>>3];ca=+h[$+17568>>3];C=c[c[(d+4|0)>>2]>>2]|0;da=+h[(c[C+8>>2]|0)+1776>>3];do{if(aa!=0.0){fa=+V(+(da/aa));ga=(ca*fa+ +X(+fa,+(+h[$+17576>>3]))+1.0)/aa}else{if(da==0.0){ha=da;ia=$;ja=aa;ka=C;la=da}else{fa=da/+lH(c[d+536>>2]|0,aa,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;ha=fa;ia=Z;ja=+h[Z+17552>>3];ka=ma;la=+h[(c[ma+8>>2]|0)+1776>>3]}fa=ca*+V(+ha);do{if(ja!=0.0){na=la/ja;oa=ia;pa=ja;qa=ka;ra=la}else{if(la==0.0){na=la;oa=ia;pa=ja;qa=ka;ra=la;break}sa=la/+lH(c[d+536>>2]|0,ja,7666496,8072,+h[ka>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;na=sa;oa=ma;pa=+h[ma+17552>>3];qa=Z;ra=+h[(c[Z+8>>2]|0)+1776>>3]}}while(0);sa=+V(+na);Z=fa+ +X(+sa,+(+h[oa+17576>>3]))+1.0==0.0;sa=+h[oa+17568>>3];ma=pa!=0.0;if(Z){do{if(ma){ta=ra/pa;ua=oa;va=pa;wa=qa;xa=ra}else{if(ra==0.0){ta=ra;ua=oa;va=pa;wa=qa;xa=ra;break}ya=ra/+lH(c[d+536>>2]|0,pa,7666496,8072,+h[qa>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ta=ya;ua=Z;va=+h[Z+17552>>3];wa=za;xa=+h[(c[za+8>>2]|0)+1776>>3]}}while(0);fa=sa*+V(+ta);do{if(va!=0.0){Aa=xa/va;Ba=ua}else{if(xa==0.0){Aa=xa;Ba=ua;break}ya=xa/+lH(c[d+536>>2]|0,va,7666496,8072,+h[wa>>3],(a[d+319|0]|0)!=0|0);Aa=ya;Ba=c[(d+416|0)>>2]|0}}while(0);ya=+V(+Aa);ga=fa+ +X(+ya,+(+h[Ba+17576>>3]))+1.0;break}else{do{if(ma){Ca=ra/pa;Da=oa;Ea=pa;Fa=qa;Ga=ra}else{if(ra==0.0){Ca=ra;Da=oa;Ea=pa;Fa=qa;Ga=ra;break}ya=ra/+lH(c[d+536>>2]|0,pa,7666496,8072,+h[qa>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Ca=ya;Da=za;Ea=+h[za+17552>>3];Fa=Z;Ga=+h[(c[Z+8>>2]|0)+1776>>3]}}while(0);fa=sa*+V(+Ca);do{if(Ea!=0.0){Ha=Ga/Ea;Ia=Da;Ja=Ea;Ka=Fa}else{if(Ga==0.0){Ha=Ga;Ia=Da;Ja=Ea;Ka=Fa;break}ya=Ga/+lH(c[d+536>>2]|0,Ea,7666496,8072,+h[Fa>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Ha=ya;Ia=ma;Ja=+h[ma+17552>>3];Ka=c[c[(d+4|0)>>2]>>2]|0}}while(0);sa=+V(+Ha);ya=fa+ +X(+sa,+(+h[Ia+17576>>3]))+1.0;ga=ya/+lH(c[d+536>>2]|0,Ja,7666496,8072,+h[Ka>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(S-ba*t*ga)/(v*v)}else{D=1}}if(D){D=0;if(1){do{if(g){Ma=I/G;Na=F;Oa=G}else{if(I==0.0){Ma=I;Na=F;Oa=G;break}ca=I/+lH(c[d+536>>2]|0,G,7666496,8072,+h[H>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;Ma=ca;Na=C;Oa=+h[C+17552>>3]}}while(0);ba=j+B*+V(+Ma)+-1.0;S=+h[Na+17568>>3];do{if(Oa!=0.0){Pa=n/Oa;Qa=Na;Ra=Oa}else{if(n==0.0){Pa=n;Qa=Na;Ra=Oa;break}ca=n/+lH(c[d+536>>2]|0,Oa,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;Pa=ca;Qa=C;Ra=+h[C+17552>>3]}}while(0);ca=S*Pa;C=c[c[(d+4|0)>>2]>>2]|0;da=+h[(c[C+8>>2]|0)+1776>>3];do{if(Ra!=0.0){Sa=da/Ra;Ta=Qa;Ua=Ra}else{if(da==0.0){Sa=da;Ta=Qa;Ua=Ra;break}N=da/+lH(c[d+536>>2]|0,Ra,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Sa=N;Ta=ma;Ua=+h[ma+17552>>3]}}while(0);da=+V(+Sa);S=+h[Ta+17576>>3];N=+X(+da,+(S+-1.0));do{if(Ua!=0.0){Va=q/Ua;Wa=Ta;Xa=Ua}else{if(q==0.0){Va=q;Wa=Ta;Xa=Ua;break}da=q/+lH(c[d+536>>2]|0,Ua,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;Va=da;Wa=C;Xa=+h[C+17552>>3]}}while(0);da=ba*(ca+N*S*Va);Y=+h[Wa+17560>>3];R=+h[Wa+17568>>3];C=c[c[(d+4|0)>>2]>>2]|0;M=+h[(c[C+8>>2]|0)+1776>>3];do{if(Xa!=0.0){ya=+V(+(M/Xa));Ya=(R*ya+ +X(+ya,+(+h[Wa+17576>>3]))+1.0)/Xa;Za=Wa}else{if(M==0.0){_a=M;$a=Wa;ab=Xa;bb=C;cb=M}else{ya=M/+lH(c[d+536>>2]|0,Xa,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;_a=ya;$a=ma;ab=+h[ma+17552>>3];bb=Z;cb=+h[(c[Z+8>>2]|0)+1776>>3]}ya=R*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb;hb=cb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;hb=cb;break}sa=cb/+lH(c[d+536>>2]|0,ab,7666496,8072,+h[bb>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;db=sa;eb=Z;fb=+h[Z+17552>>3];gb=ma;hb=+h[(c[ma+8>>2]|0)+1776>>3]}}while(0);fa=+V(+db);ma=ya+ +X(+fa,+(+h[eb+17576>>3]))+1.0==0.0;fa=+h[eb+17568>>3];Z=fb!=0.0;if(ma){do{if(Z){ib=hb/fb;jb=eb;kb=fb;lb=gb;mb=hb}else{if(hb==0.0){ib=hb;jb=eb;kb=fb;lb=gb;mb=hb;break}sa=hb/+lH(c[d+536>>2]|0,fb,7666496,8072,+h[gb>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ib=sa;jb=ma;kb=+h[ma+17552>>3];lb=za;mb=+h[(c[za+8>>2]|0)+1776>>3]}}while(0);ya=fa*+V(+ib);do{if(kb!=0.0){nb=mb/kb;ob=jb}else{if(mb==0.0){nb=mb;ob=jb;break}sa=mb/+lH(c[d+536>>2]|0,kb,7666496,8072,+h[lb>>3],(a[d+319|0]|0)!=0|0);nb=sa;ob=c[(d+416|0)>>2]|0}}while(0);sa=+V(+nb);Ya=ya+ +X(+sa,+(+h[ob+17576>>3]))+1.0;Za=ob;break}else{do{if(Z){pb=hb/fb;qb=eb;rb=fb;sb=gb;tb=hb}else{if(hb==0.0){pb=hb;qb=eb;rb=fb;sb=gb;tb=hb;break}sa=hb/+lH(c[d+536>>2]|0,fb,7666496,8072,+h[gb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;pb=sa;qb=za;rb=+h[za+17552>>3];sb=ma;tb=+h[(c[ma+8>>2]|0)+1776>>3]}}while(0);ya=fa*+V(+pb);do{if(rb!=0.0){ub=tb/rb;vb=qb;wb=rb;xb=sb}else{if(tb==0.0){ub=tb;vb=qb;wb=rb;xb=sb;break}sa=tb/+lH(c[d+536>>2]|0,rb,7666496,8072,+h[sb>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ub=sa;vb=Z;wb=+h[Z+17552>>3];xb=c[c[(d+4|0)>>2]>>2]|0}}while(0);fa=+V(+ub);sa=ya+ +X(+fa,+(+h[vb+17576>>3]))+1.0;fa=sa/+lH(c[d+536>>2]|0,wb,7666496,8072,+h[xb>>3],(a[d+319|0]|0)!=0|0);Ya=fa;Za=c[(d+416|0)>>2]|0;break}}}while(0);R=+h[Za+17544>>3];M=+h[Za+17560>>3];S=+h[Za+17552>>3];C=c[c[(d+4|0)>>2]>>2]|0;N=+h[(c[C+8>>2]|0)+1776>>3];if(da-Y*t*Ya==0.0){do{if(S!=0.0){yb=N/S;zb=Za;Ab=S}else{if(N==0.0){yb=N;zb=Za;Ab=S;break}ca=N/+lH(c[d+536>>2]|0,S,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;yb=ca;zb=Z;Ab=+h[Z+17552>>3]}}while(0);Y=R+M*+V(+yb)+-1.0;da=+h[zb+17568>>3];do{if(Ab!=0.0){Bb=n/Ab;Cb=zb;Db=Ab}else{if(n==0.0){Bb=n;Cb=zb;Db=Ab;break}ca=n/+lH(c[d+536>>2]|0,Ab,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;Bb=ca;Cb=Z;Db=+h[Z+17552>>3]}}while(0);ca=da*Bb;Z=c[c[(d+4|0)>>2]>>2]|0;ba=+h[(c[Z+8>>2]|0)+1776>>3];do{if(Db!=0.0){Eb=ba/Db;Fb=Cb;Gb=Db}else{if(ba==0.0){Eb=ba;Fb=Cb;Gb=Db;break}fa=ba/+lH(c[d+536>>2]|0,Db,7666496,8072,+h[Z>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Eb=fa;Fb=ma;Gb=+h[ma+17552>>3]}}while(0);ba=+V(+Eb);da=+h[Fb+17576>>3];fa=+X(+ba,+(da+-1.0));do{if(Gb!=0.0){Hb=q/Gb;Ib=Fb;Jb=Gb}else{if(q==0.0){Hb=q;Ib=Fb;Jb=Gb;break}ba=q/+lH(c[d+536>>2]|0,Gb,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;Hb=ba;Ib=Z;Jb=+h[Z+17552>>3]}}while(0);ba=Y*(ca+fa*da*Hb);sa=+h[Ib+17560>>3];Kb=+h[Ib+17568>>3];Z=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[Z+8>>2]|0)+1776>>3];do{if(Jb!=0.0){Mb=+V(+(Lb/Jb));Nb=(Kb*Mb+ +X(+Mb,+(+h[Ib+17576>>3]))+1.0)/Jb}else{if(Lb==0.0){Ob=Lb;Pb=Ib;Qb=Jb;Rb=Z;Sb=Lb}else{Mb=Lb/+lH(c[d+536>>2]|0,Jb,7666496,8072,+h[Z>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Ob=Mb;Pb=ma;Qb=+h[ma+17552>>3];Rb=za;Sb=+h[(c[za+8>>2]|0)+1776>>3]}Mb=Kb*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb;break}Yb=Sb/+lH(c[d+536>>2]|0,Qb,7666496,8072,+h[Rb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;Tb=Yb;Ub=za;Vb=+h[za+17552>>3];Wb=ma;Xb=+h[(c[ma+8>>2]|0)+1776>>3]}}while(0);ya=+V(+Tb);ma=Mb+ +X(+ya,+(+h[Ub+17576>>3]))+1.0==0.0;ya=+h[Ub+17568>>3];za=Vb!=0.0;if(ma){do{if(za){Zb=Xb/Vb;_b=Ub;$b=Vb;ac=Wb;bc=Xb}else{if(Xb==0.0){Zb=Xb;_b=Ub;$b=Vb;ac=Wb;bc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7666496,8072,+h[Wb>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;cc=c[c[(d+4|0)>>2]>>2]|0;Zb=Yb;_b=ma;$b=+h[ma+17552>>3];ac=cc;bc=+h[(c[cc+8>>2]|0)+1776>>3]}}while(0);Mb=ya*+V(+Zb);do{if($b!=0.0){dc=bc/$b;ec=_b}else{if(bc==0.0){dc=bc;ec=_b;break}Yb=bc/+lH(c[d+536>>2]|0,$b,7666496,8072,+h[ac>>3],(a[d+319|0]|0)!=0|0);dc=Yb;ec=c[(d+416|0)>>2]|0}}while(0);Yb=+V(+dc);Nb=Mb+ +X(+Yb,+(+h[ec+17576>>3]))+1.0;break}else{do{if(za){fc=Xb/Vb;gc=Ub;hc=Vb;ic=Wb;jc=Xb}else{if(Xb==0.0){fc=Xb;gc=Ub;hc=Vb;ic=Wb;jc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7666496,8072,+h[Wb>>3],(a[d+319|0]|0)!=0|0);cc=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;fc=Yb;gc=cc;hc=+h[cc+17552>>3];ic=ma;jc=+h[(c[ma+8>>2]|0)+1776>>3]}}while(0);Mb=ya*+V(+fc);do{if(hc!=0.0){kc=jc/hc;lc=gc;mc=hc;nc=ic}else{if(jc==0.0){kc=jc;lc=gc;mc=hc;nc=ic;break}Yb=jc/+lH(c[d+536>>2]|0,hc,7666496,8072,+h[ic>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;kc=Yb;lc=za;mc=+h[za+17552>>3];nc=c[c[(d+4|0)>>2]>>2]|0}}while(0);ya=+V(+kc);Yb=Mb+ +X(+ya,+(+h[lc+17576>>3]))+1.0;Nb=Yb/+lH(c[d+536>>2]|0,mc,7666496,8072,+h[nc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=ba-sa*t*Nb;break}else{do{if(S!=0.0){oc=N/S;pc=Za;qc=S}else{if(N==0.0){oc=N;pc=Za;qc=S;break}Kb=N/+lH(c[d+536>>2]|0,S,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;oc=Kb;pc=Z;qc=+h[Z+17552>>3]}}while(0);S=R+M*+V(+oc)+-1.0;N=+h[pc+17568>>3];do{if(qc!=0.0){rc=n/qc;sc=pc;tc=qc}else{if(n==0.0){rc=n;sc=pc;tc=qc;break}sa=n/+lH(c[d+536>>2]|0,qc,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;rc=sa;sc=C;tc=+h[C+17552>>3]}}while(0);M=N*rc;C=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[C+8>>2]|0)+1776>>3];do{if(tc!=0.0){uc=R/tc;vc=sc;wc=tc}else{if(R==0.0){uc=R;vc=sc;wc=tc;break}sa=R/+lH(c[d+536>>2]|0,tc,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;uc=sa;vc=Z;wc=+h[Z+17552>>3]}}while(0);R=+V(+uc);N=+h[vc+17576>>3];sa=+X(+R,+(N+-1.0));do{if(wc!=0.0){xc=q/wc;yc=vc;zc=wc}else{if(q==0.0){xc=q;yc=vc;zc=wc;break}R=q/+lH(c[d+536>>2]|0,wc,7666496,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);C=c[(d+416|0)>>2]|0;xc=R;yc=C;zc=+h[C+17552>>3]}}while(0);R=S*(M+sa*N*xc);ba=+h[yc+17560>>3];Kb=+h[yc+17568>>3];C=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[C+8>>2]|0)+1776>>3];do{if(zc!=0.0){da=+V(+(Lb/zc));Ac=(Kb*da+ +X(+da,+(+h[yc+17576>>3]))+1.0)/zc}else{if(Lb==0.0){Bc=Lb;Cc=yc;Dc=zc;Ec=C;Fc=Lb}else{da=Lb/+lH(c[d+536>>2]|0,zc,7666496,8072,+h[C>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Bc=da;Cc=Z;Dc=+h[Z+17552>>3];Ec=za;Fc=+h[(c[za+8>>2]|0)+1776>>3]}da=Kb*+V(+Bc);do{if(Dc!=0.0){Gc=Fc/Dc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc}else{if(Fc==0.0){Gc=Fc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc;break}fa=Fc/+lH(c[d+536>>2]|0,Dc,7666496,8072,+h[Ec>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Gc=fa;Hc=za;Ic=+h[za+17552>>3];Jc=Z;Kc=+h[(c[Z+8>>2]|0)+1776>>3]}}while(0);Mb=+V(+Gc);Z=da+ +X(+Mb,+(+h[Hc+17576>>3]))+1.0==0.0;Mb=+h[Hc+17568>>3];za=Ic!=0.0;if(Z){do{if(za){Lc=Kc/Ic;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Kc==0.0){Lc=Kc;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc;break}fa=Kc/+lH(c[d+536>>2]|0,Ic,7666496,8072,+h[Jc>>3],(a[d+319|0]|0)!=0|0);Z=c[(d+416|0)>>2]|0;ma=c[c[(d+4|0)>>2]>>2]|0;Lc=fa;Mc=Z;Nc=+h[Z+17552>>3];Oc=ma;Pc=+h[(c[ma+8>>2]|0)+1776>>3]}}while(0);da=Mb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;break}fa=Pc/+lH(c[d+536>>2]|0,Nc,7666496,8072,+h[Oc>>3],(a[d+319|0]|0)!=0|0);Qc=fa;Rc=c[(d+416|0)>>2]|0}}while(0);fa=+V(+Qc);Ac=da+ +X(+fa,+(+h[Rc+17576>>3]))+1.0;break}else{do{if(za){Sc=Kc/Ic;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc}else{if(Kc==0.0){Sc=Kc;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc;break}fa=Kc/+lH(c[d+536>>2]|0,Ic,7666496,8072,+h[Jc>>3],(a[d+319|0]|0)!=0|0);ma=c[(d+416|0)>>2]|0;Z=c[c[(d+4|0)>>2]>>2]|0;Sc=fa;Tc=ma;Uc=+h[ma+17552>>3];Vc=Z;Wc=+h[(c[Z+8>>2]|0)+1776>>3]}}while(0);da=Mb*+V(+Sc);do{if(Uc!=0.0){Xc=Wc/Uc;Yc=Tc;Zc=Uc;_c=Vc}else{if(Wc==0.0){Xc=Wc;Yc=Tc;Zc=Uc;_c=Vc;break}fa=Wc/+lH(c[d+536>>2]|0,Uc,7666496,8072,+h[Vc>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;Xc=fa;Yc=za;Zc=+h[za+17552>>3];_c=c[c[(d+4|0)>>2]>>2]|0}}while(0);Mb=+V(+Xc);fa=da+ +X(+Mb,+(+h[Yc+17576>>3]))+1.0;Ac=fa/+lH(c[d+536>>2]|0,Zc,7666496,8072,+h[_c>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(R-ba*t*Ac)/+lH(c[d+536>>2]|0,v*v,7664952,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{D=1}}}while(0);Be[f&7](18,8,La,45,e);Be[c[(e+8|0)>>2]&7](19,6,1.0,46,e);g=c[(d+416|0)>>2]|0;v=+h[g+17592>>3];B=+h[g+17600>>3];do{if(v!=0.0){$c=B/v}else{if(B==0.0){$c=B;break}$c=B/+lH(c[d+536>>2]|0,v,7663848,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(!($c>0.0)){Ce[c[2178]&63](c[d+536>>2]|0,8032,7662864,(f=i,i=i+8|0,h[f>>3]=$c,f)|0);i=f}f=c[(e+8|0)>>2]|0;v=+ea($c);B=+h[(c[(d+416|0)>>2]|0)+17584>>3];do{if(v!=0.0){ad=B/v}else{if(B==0.0){ad=B;break}ad=B/+lH(c[d+536>>2]|0,v,7661776,8072,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[f&7](19,7,ad*-7895683520871486.0e-21,47,e);Be[c[(e+8|0)>>2]&7](20,5,1.0,48,e);g=c[c[(d+4|0)>>2]>>2]|0;v=+h[(c[g+8>>2]|0)+1784>>3];if(v!=0.0){bd=v;cd=1.0/bd;dd=c[(e+8|0)>>2]|0;ed=cd*cd;Be[dd&7](20,6,ed,49,e);fd=c[(e+8|0)>>2]|0;Be[fd&7](21,0,-1.0,50,e);gd=c[(e+8|0)>>2]|0;Be[gd&7](21,1,-1.0,51,e);hd=c[(e+8|0)>>2]|0;Be[hd&7](21,2,-1.0,52,e);id=c[(e+8|0)>>2]|0;Be[id&7](21,4,-1.0,53,e);jd=c[(e+8|0)>>2]|0;Be[jd&7](21,16,-1.0,54,e);kd=c[(e+8|0)>>2]|0;Be[kd&7](22,3,1.0,55,e);ld=c[(e+8|0)>>2]|0;md=c[(d+4|0)>>2]|0;nd=c[md>>2]|0;od=nd+8|0;pd=c[od>>2]|0;qd=pd+2696|0;rd=+h[qd>>3];sd=-0.0-rd;Be[ld&7](22,4,sd,56,e);td=c[(e+8|0)>>2]|0;ud=c[(d+4|0)>>2]|0;vd=c[ud>>2]|0;wd=vd+8|0;xd=c[wd>>2]|0;yd=xd+2704|0;zd=+h[yd>>3];Ad=-0.0-zd;Be[td&7](23,2,Ad,57,e);Bd=c[(e+8|0)>>2]|0;Be[Bd&7](23,3,1.0,58,e);Cd=c[(e+8|0)>>2]|0;Dd=c[(d+4|0)>>2]|0;Ed=c[Dd>>2]|0;Fd=Ed+8|0;Gd=c[Fd>>2]|0;Hd=Gd+2664|0;Id=+h[Hd>>3];Jd=-0.0-Id;Be[Cd&7](24,1,Jd,59,e);Kd=c[(e+8|0)>>2]|0;Be[Kd&7](24,3,1.0,60,e);Ld=c[(e+8|0)>>2]|0;Md=c[(d+4|0)>>2]|0;Nd=c[Md>>2]|0;Od=Nd+8|0;Pd=c[Od>>2]|0;Qd=Pd+2680|0;Rd=+h[Qd>>3];Sd=-0.0-Rd;Be[Ld&7](25,0,Sd,61,e);Td=c[(e+8|0)>>2]|0;Be[Td&7](25,3,1.0,62,e);i=b;c[b+7152>>2]=5;break a}bd=+lH(c[d+536>>2]|0,v,7660768,8072,+h[g>>3],(a[d+319|0]|0)!=0|0);cd=1.0/bd;dd=c[(e+8|0)>>2]|0;ed=cd*cd;Be[dd&7](20,6,ed,49,e);fd=c[(e+8|0)>>2]|0;Be[fd&7](21,0,-1.0,50,e);gd=c[(e+8|0)>>2]|0;Be[gd&7](21,1,-1.0,51,e);hd=c[(e+8|0)>>2]|0;Be[hd&7](21,2,-1.0,52,e);id=c[(e+8|0)>>2]|0;Be[id&7](21,4,-1.0,53,e);jd=c[(e+8|0)>>2]|0;Be[jd&7](21,16,-1.0,54,e);kd=c[(e+8|0)>>2]|0;Be[kd&7](22,3,1.0,55,e);ld=c[(e+8|0)>>2]|0;md=c[(d+4|0)>>2]|0;nd=c[md>>2]|0;od=nd+8|0;pd=c[od>>2]|0;qd=pd+2696|0;rd=+h[qd>>3];sd=-0.0-rd;Be[ld&7](22,4,sd,56,e);td=c[(e+8|0)>>2]|0;ud=c[(d+4|0)>>2]|0;vd=c[ud>>2]|0;wd=vd+8|0;xd=c[wd>>2]|0;yd=xd+2704|0;zd=+h[yd>>3];Ad=-0.0-zd;Be[td&7](23,2,Ad,57,e);Bd=c[(e+8|0)>>2]|0;Be[Bd&7](23,3,1.0,58,e);Cd=c[(e+8|0)>>2]|0;Dd=c[(d+4|0)>>2]|0;Ed=c[Dd>>2]|0;Fd=Ed+8|0;Gd=c[Fd>>2]|0;Hd=Gd+2664|0;Id=+h[Hd>>3];Jd=-0.0-Id;Be[Cd&7](24,1,Jd,59,e);Kd=c[(e+8|0)>>2]|0;Be[Kd&7](24,3,1.0,60,e);Ld=c[(e+8|0)>>2]|0;Md=c[(d+4|0)>>2]|0;Nd=c[Md>>2]|0;Od=Nd+8|0;Pd=c[Od>>2]|0;Qd=Pd+2680|0;Rd=+h[Qd>>3];Sd=-0.0-Rd;Be[Ld&7](25,0,Sd,61,e);Td=c[(e+8|0)>>2]|0;Be[Td&7](25,3,1.0,62,e);i=b;c[b+7152>>2]=5;break a}while(0)}function _setLinearMatrixA562$0(b){b=b|0;var d=0,e=0,f=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,W=0,Y=0.0,Z=0,_=0.0,$=0,aa=0.0,ba=0,ca=0.0,da=0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0,Fa=0.0,Ga=0.0,Ha=0,Ia=0.0,Ja=0.0,Ka=0,La=0.0,Ma=0.0,Na=0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0.0,cb=0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0.0,jb=0,kb=0.0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0.0,qb=0,rb=0.0,sb=0.0,tb=0,ub=0.0,vb=0.0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0,Pb=0.0,Qb=0,Rb=0.0,Sb=0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0.0,gc=0,hc=0.0,ic=0.0,jc=0,kc=0.0,lc=0.0,mc=0,nc=0.0,oc=0.0,pc=0.0,qc=0,rc=0.0,sc=0,tc=0.0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0.0,Sc=0.0,Tc=0.0,Uc=0.0,Vc=0.0,Wc=0.0,Xc=0.0,Yc=0.0,Zc=0.0,_c=0.0,$c=0.0,ad=0.0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0.0,gd=0,hd=0.0,id=0,jd=0.0,kd=0.0,ld=0,md=0.0,nd=0.0,od=0,pd=0.0,qd=0.0,rd=0,sd=0.0,td=0.0,ud=0,vd=0.0,wd=0.0,xd=0.0,yd=0,zd=0.0,Ad=0,Bd=0.0,Cd=0.0,Dd=0,Ed=0.0,Fd=0,Gd=0.0,Hd=0.0,Id=0,Jd=0.0,Kd=0,Ld=0.0,Md=0,Nd=0.0,Od=0,Pd=0.0,Qd=0,Rd=0.0,Sd=0,Td=0.0,Ud=0.0,Vd=0,Wd=0.0,Xd=0,Yd=0.0,Zd=0.0,_d=0,$d=0.0,ae=0.0,be=0,ce=0.0,de=0.0,ee=0,fe=0.0,ge=0.0,he=0,ie=0.0,je=0.0,ke=0,le=0.0,me=0,ne=0.0,oe=0,pe=0.0,qe=0.0,re=0,se=0.0,te=0,ue=0.0,ve=0.0,we=0,xe=0.0,ye=0,ze=0.0,Ae=0.0,De=0,Ee=0.0,Fe=0,Ge=0.0,He=0,Ie=0.0,Je=0.0,Ke=0,Le=0.0,Me=0,Ne=0.0,Oe=0,Pe=0.0,Qe=0.0,Re=0,Se=0.0,Te=0.0,Ue=0,Ve=0.0,We=0.0,Xe=0,Ye=0.0,Ze=0.0,_e=0.0,$e=0.0,af=0.0,bf=0.0,cf=0,df=0.0,ef=0,ff=0.0,gf=0.0,hf=0,jf=0.0,kf=0,lf=0.0,mf=0.0,nf=0.0,of=0,pf=0.0,qf=0,rf=0.0,sf=0,tf=0.0,uf=0,vf=0.0,wf=0,xf=0.0,yf=0,zf=0.0,Af=0.0,Bf=0,Cf=0.0,Df=0,Ef=0.0,Ff=0,Gf=0.0,Hf=0.0,If=0,Jf=0.0,Kf=0.0,Lf=0,Mf=0.0,Nf=0.0,Of=0,Pf=0.0,Qf=0.0,Rf=0.0,Sf=0,Tf=0.0,Uf=0,Vf=0.0,Wf=0.0,Xf=0,Yf=0.0,Zf=0,_f=0.0,$f=0.0,ag=0,bg=0.0,cg=0,dg=0.0,eg=0.0,fg=0,gg=0.0,hg=0,ig=0.0,jg=0,kg=0.0,lg=0.0,mg=0,ng=0.0,og=0,pg=0.0,qg=0.0,rg=0.0,sg=0,tg=0.0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0.0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0.0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0.0,Wg=0.0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;f=+g[b+6872>>2];j=+g[b+6944>>2];k=+g[b+7016>>2];l=+g[b+7160>>2];m=c[b+7168>>2]|0;n=+g[b+7176>>2];o=c[b+7184>>2]|0;p=+g[b+7208>>2];q=c[b+7216>>2]|0;r=+g[b+7224>>2];s=+g[b+7232>>2];t=c[b+7240>>2]|0;u=c[b+13768>>2]|0;a:do{do{v=1;if(v){v=0;if(p*p!=0.0){do{if(t){w=l/n;x=o;y=n}else{if(l==0.0){w=l;x=o;y=n;break}z=l/+lH(c[d+536>>2]|0,n,7640768,8064,+h[m>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;w=z;x=A;y=+h[A+18656>>3]}}while(0);z=r+s*+V(+w)+-1.0;B=+h[x+18672>>3];do{if(y!=0.0){C=f/y;D=x;E=y}else{if(f==0.0){C=f;D=x;E=y;break}F=f/+lH(c[d+536>>2]|0,y,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;C=F;D=A;E=+h[A+18656>>3]}}while(0);F=B*C;A=c[c[(d+4|0)>>2]>>2]|0;G=+h[(c[A+8>>2]|0)+616>>3];do{if(E!=0.0){H=G/E;I=D;J=E}else{if(G==0.0){H=G;I=D;J=E;break}K=G/+lH(c[d+536>>2]|0,E,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;H=K;I=L;J=+h[L+18656>>3]}}while(0);G=+V(+H);B=+h[I+18680>>3];K=+X(+G,+(B+-1.0));do{if(J!=0.0){M=j/J;N=I;O=J}else{if(j==0.0){M=j;N=I;O=J;break}G=j/+lH(c[d+536>>2]|0,J,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;M=G;N=A;O=+h[A+18656>>3]}}while(0);G=z*(F+K*B*M);P=+h[N+18664>>3];Q=+h[N+18672>>3];A=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[A+8>>2]|0)+616>>3];do{if(O!=0.0){S=+V(+(R/O));T=(Q*S+ +X(+S,+(+h[N+18680>>3]))+1.0)/O}else{if(R==0.0){U=R;W=N;Y=O;Z=A;_=R}else{S=R/+lH(c[d+536>>2]|0,O,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;U=S;W=L;Y=+h[L+18656>>3];Z=$;_=+h[(c[$+8>>2]|0)+616>>3]}S=Q*+V(+U);do{if(Y!=0.0){aa=_/Y;ba=W;ca=Y;da=Z;fa=_}else{if(_==0.0){aa=_;ba=W;ca=Y;da=Z;fa=_;break}ga=_/+lH(c[d+536>>2]|0,Y,7640768,8064,+h[Z>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;aa=ga;ba=$;ca=+h[$+18656>>3];da=L;fa=+h[(c[L+8>>2]|0)+616>>3]}}while(0);ga=+V(+aa);L=S+ +X(+ga,+(+h[ba+18680>>3]))+1.0==0.0;ga=+h[ba+18672>>3];$=ca!=0.0;if(L){do{if($){ha=fa/ca;ia=ba;ja=ca;ka=da;la=fa}else{if(fa==0.0){ha=fa;ia=ba;ja=ca;ka=da;la=fa;break}ma=fa/+lH(c[d+536>>2]|0,ca,7640768,8064,+h[da>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;ha=ma;ia=L;ja=+h[L+18656>>3];ka=na;la=+h[(c[na+8>>2]|0)+616>>3]}}while(0);S=ga*+V(+ha);do{if(ja!=0.0){oa=la/ja;pa=ia}else{if(la==0.0){oa=la;pa=ia;break}ma=la/+lH(c[d+536>>2]|0,ja,7640768,8064,+h[ka>>3],(a[d+319|0]|0)!=0|0);oa=ma;pa=c[(d+416|0)>>2]|0}}while(0);ma=+V(+oa);T=S+ +X(+ma,+(+h[pa+18680>>3]))+1.0;break}else{do{if($){qa=fa/ca;ra=ba;sa=ca;ta=da;ua=fa}else{if(fa==0.0){qa=fa;ra=ba;sa=ca;ta=da;ua=fa;break}ma=fa/+lH(c[d+536>>2]|0,ca,7640768,8064,+h[da>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;qa=ma;ra=na;sa=+h[na+18656>>3];ta=L;ua=+h[(c[L+8>>2]|0)+616>>3]}}while(0);S=ga*+V(+qa);do{if(sa!=0.0){va=ua/sa;wa=ra;xa=sa;ya=ta}else{if(ua==0.0){va=ua;wa=ra;xa=sa;ya=ta;break}ma=ua/+lH(c[d+536>>2]|0,sa,7640768,8064,+h[ta>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;va=ma;wa=$;xa=+h[$+18656>>3];ya=c[c[(d+4|0)>>2]>>2]|0}}while(0);ga=+V(+va);ma=S+ +X(+ga,+(+h[wa+18680>>3]))+1.0;T=ma/+lH(c[d+536>>2]|0,xa,7640768,8064,+h[ya>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=(G-P*k*T)/(p*p)}else{v=1}}if(v){v=0;if(1){do{if(t){Aa=l/n;Ba=o;Ca=n}else{if(l==0.0){Aa=l;Ba=o;Ca=n;break}Q=l/+lH(c[d+536>>2]|0,n,7640768,8064,+h[m>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Aa=Q;Ba=A;Ca=+h[A+18656>>3]}}while(0);P=r+s*+V(+Aa)+-1.0;G=+h[Ba+18672>>3];do{if(Ca!=0.0){Da=f/Ca;Ea=Ba;Fa=Ca}else{if(f==0.0){Da=f;Ea=Ba;Fa=Ca;break}Q=f/+lH(c[d+536>>2]|0,Ca,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Da=Q;Ea=A;Fa=+h[A+18656>>3]}}while(0);Q=G*Da;A=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[A+8>>2]|0)+616>>3];do{if(Fa!=0.0){Ga=R/Fa;Ha=Ea;Ia=Fa}else{if(R==0.0){Ga=R;Ha=Ea;Ia=Fa;break}B=R/+lH(c[d+536>>2]|0,Fa,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;Ga=B;Ha=$;Ia=+h[$+18656>>3]}}while(0);R=+V(+Ga);G=+h[Ha+18680>>3];B=+X(+R,+(G+-1.0));do{if(Ia!=0.0){Ja=j/Ia;Ka=Ha;La=Ia}else{if(j==0.0){Ja=j;Ka=Ha;La=Ia;break}R=j/+lH(c[d+536>>2]|0,Ia,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Ja=R;Ka=A;La=+h[A+18656>>3]}}while(0);R=P*(Q+B*G*Ja);K=+h[Ka+18664>>3];F=+h[Ka+18672>>3];A=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[A+8>>2]|0)+616>>3];do{if(La!=0.0){ma=+V(+(z/La));Ma=(F*ma+ +X(+ma,+(+h[Ka+18680>>3]))+1.0)/La;Na=Ka}else{if(z==0.0){Oa=z;Pa=Ka;Qa=La;Ra=A;Sa=z}else{ma=z/+lH(c[d+536>>2]|0,La,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Oa=ma;Pa=$;Qa=+h[$+18656>>3];Ra=L;Sa=+h[(c[L+8>>2]|0)+616>>3]}ma=F*+V(+Oa);do{if(Qa!=0.0){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}ga=Sa/+lH(c[d+536>>2]|0,Qa,7640768,8064,+h[Ra>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Ta=ga;Ua=L;Va=+h[L+18656>>3];Wa=$;Xa=+h[(c[$+8>>2]|0)+616>>3]}}while(0);S=+V(+Ta);$=ma+ +X(+S,+(+h[Ua+18680>>3]))+1.0==0.0;S=+h[Ua+18672>>3];L=Va!=0.0;if($){do{if(L){Ya=Xa/Va;Za=Ua;_a=Va;$a=Wa;ab=Xa}else{if(Xa==0.0){Ya=Xa;Za=Ua;_a=Va;$a=Wa;ab=Xa;break}ga=Xa/+lH(c[d+536>>2]|0,Va,7640768,8064,+h[Wa>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;Ya=ga;Za=$;_a=+h[$+18656>>3];$a=na;ab=+h[(c[na+8>>2]|0)+616>>3]}}while(0);ma=S*+V(+Ya);do{if(_a!=0.0){bb=ab/_a;cb=Za}else{if(ab==0.0){bb=ab;cb=Za;break}ga=ab/+lH(c[d+536>>2]|0,_a,7640768,8064,+h[$a>>3],(a[d+319|0]|0)!=0|0);bb=ga;cb=c[(d+416|0)>>2]|0}}while(0);ga=+V(+bb);Ma=ma+ +X(+ga,+(+h[cb+18680>>3]))+1.0;Na=cb;break}else{do{if(L){db=Xa/Va;eb=Ua;fb=Va;gb=Wa;hb=Xa}else{if(Xa==0.0){db=Xa;eb=Ua;fb=Va;gb=Wa;hb=Xa;break}ga=Xa/+lH(c[d+536>>2]|0,Va,7640768,8064,+h[Wa>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;db=ga;eb=na;fb=+h[na+18656>>3];gb=$;hb=+h[(c[$+8>>2]|0)+616>>3]}}while(0);ma=S*+V(+db);do{if(fb!=0.0){ib=hb/fb;jb=eb;kb=fb;lb=gb}else{if(hb==0.0){ib=hb;jb=eb;kb=fb;lb=gb;break}ga=hb/+lH(c[d+536>>2]|0,fb,7640768,8064,+h[gb>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;ib=ga;jb=L;kb=+h[L+18656>>3];lb=c[c[(d+4|0)>>2]>>2]|0}}while(0);S=+V(+ib);ga=ma+ +X(+S,+(+h[jb+18680>>3]))+1.0;S=ga/+lH(c[d+536>>2]|0,kb,7640768,8064,+h[lb>>3],(a[d+319|0]|0)!=0|0);Ma=S;Na=c[(d+416|0)>>2]|0;break}}}while(0);F=+h[Na+18648>>3];z=+h[Na+18664>>3];G=+h[Na+18656>>3];A=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[A+8>>2]|0)+616>>3];if(R-K*k*Ma==0.0){do{if(G!=0.0){mb=B/G;nb=Na;ob=G}else{if(B==0.0){mb=B;nb=Na;ob=G;break}Q=B/+lH(c[d+536>>2]|0,G,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;mb=Q;nb=L;ob=+h[L+18656>>3]}}while(0);K=F+z*+V(+mb)+-1.0;R=+h[nb+18672>>3];do{if(ob!=0.0){pb=f/ob;qb=nb;rb=ob}else{if(f==0.0){pb=f;qb=nb;rb=ob;break}Q=f/+lH(c[d+536>>2]|0,ob,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;pb=Q;qb=L;rb=+h[L+18656>>3]}}while(0);Q=R*pb;L=c[c[(d+4|0)>>2]>>2]|0;P=+h[(c[L+8>>2]|0)+616>>3];do{if(rb!=0.0){sb=P/rb;tb=qb;ub=rb}else{if(P==0.0){sb=P;tb=qb;ub=rb;break}S=P/+lH(c[d+536>>2]|0,rb,7640768,8064,+h[L>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;sb=S;tb=$;ub=+h[$+18656>>3]}}while(0);P=+V(+sb);R=+h[tb+18680>>3];S=+X(+P,+(R+-1.0));do{if(ub!=0.0){vb=j/ub;wb=tb;xb=ub}else{if(j==0.0){vb=j;wb=tb;xb=ub;break}P=j/+lH(c[d+536>>2]|0,ub,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;vb=P;wb=L;xb=+h[L+18656>>3]}}while(0);P=K*(Q+S*R*vb);ga=+h[wb+18664>>3];yb=+h[wb+18672>>3];L=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[L+8>>2]|0)+616>>3];do{if(xb!=0.0){Ab=+V(+(zb/xb));Bb=(yb*Ab+ +X(+Ab,+(+h[wb+18680>>3]))+1.0)/xb}else{if(zb==0.0){Cb=zb;Db=wb;Eb=xb;Fb=L;Gb=zb}else{Ab=zb/+lH(c[d+536>>2]|0,xb,7640768,8064,+h[L>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;Cb=Ab;Db=$;Eb=+h[$+18656>>3];Fb=na;Gb=+h[(c[na+8>>2]|0)+616>>3]}Ab=yb*+V(+Cb);do{if(Eb!=0.0){Hb=Gb/Eb;Ib=Db;Jb=Eb;Kb=Fb;Lb=Gb}else{if(Gb==0.0){Hb=Gb;Ib=Db;Jb=Eb;Kb=Fb;Lb=Gb;break}Mb=Gb/+lH(c[d+536>>2]|0,Eb,7640768,8064,+h[Fb>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Hb=Mb;Ib=na;Jb=+h[na+18656>>3];Kb=$;Lb=+h[(c[$+8>>2]|0)+616>>3]}}while(0);ma=+V(+Hb);$=Ab+ +X(+ma,+(+h[Ib+18680>>3]))+1.0==0.0;ma=+h[Ib+18672>>3];na=Jb!=0.0;if($){do{if(na){Nb=Lb/Jb;Ob=Ib;Pb=Jb;Qb=Kb;Rb=Lb}else{if(Lb==0.0){Nb=Lb;Ob=Ib;Pb=Jb;Qb=Kb;Rb=Lb;break}Mb=Lb/+lH(c[d+536>>2]|0,Jb,7640768,8064,+h[Kb>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;Nb=Mb;Ob=$;Pb=+h[$+18656>>3];Qb=Sb;Rb=+h[(c[Sb+8>>2]|0)+616>>3]}}while(0);Ab=ma*+V(+Nb);do{if(Pb!=0.0){Tb=Rb/Pb;Ub=Ob}else{if(Rb==0.0){Tb=Rb;Ub=Ob;break}Mb=Rb/+lH(c[d+536>>2]|0,Pb,7640768,8064,+h[Qb>>3],(a[d+319|0]|0)!=0|0);Tb=Mb;Ub=c[(d+416|0)>>2]|0}}while(0);Mb=+V(+Tb);Bb=Ab+ +X(+Mb,+(+h[Ub+18680>>3]))+1.0;break}else{do{if(na){Vb=Lb/Jb;Wb=Ib;Xb=Jb;Yb=Kb;Zb=Lb}else{if(Lb==0.0){Vb=Lb;Wb=Ib;Xb=Jb;Yb=Kb;Zb=Lb;break}Mb=Lb/+lH(c[d+536>>2]|0,Jb,7640768,8064,+h[Kb>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Vb=Mb;Wb=Sb;Xb=+h[Sb+18656>>3];Yb=$;Zb=+h[(c[$+8>>2]|0)+616>>3]}}while(0);Ab=ma*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}Mb=Zb/+lH(c[d+536>>2]|0,Xb,7640768,8064,+h[Yb>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;_b=Mb;$b=na;ac=+h[na+18656>>3];bc=c[c[(d+4|0)>>2]>>2]|0}}while(0);ma=+V(+_b);Mb=Ab+ +X(+ma,+(+h[$b+18680>>3]))+1.0;Bb=Mb/+lH(c[d+536>>2]|0,ac,7640768,8064,+h[bc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=P-ga*k*Bb;break}else{do{if(G!=0.0){cc=B/G;dc=Na;ec=G}else{if(B==0.0){cc=B;dc=Na;ec=G;break}yb=B/+lH(c[d+536>>2]|0,G,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;cc=yb;dc=L;ec=+h[L+18656>>3]}}while(0);G=F+z*+V(+cc)+-1.0;B=+h[dc+18672>>3];do{if(ec!=0.0){fc=f/ec;gc=dc;hc=ec}else{if(f==0.0){fc=f;gc=dc;hc=ec;break}ga=f/+lH(c[d+536>>2]|0,ec,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;fc=ga;gc=A;hc=+h[A+18656>>3]}}while(0);z=B*fc;A=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[A+8>>2]|0)+616>>3];do{if(hc!=0.0){ic=F/hc;jc=gc;kc=hc}else{if(F==0.0){ic=F;jc=gc;kc=hc;break}ga=F/+lH(c[d+536>>2]|0,hc,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;ic=ga;jc=L;kc=+h[L+18656>>3]}}while(0);F=+V(+ic);B=+h[jc+18680>>3];ga=+X(+F,+(B+-1.0));do{if(kc!=0.0){lc=j/kc;mc=jc;nc=kc}else{if(j==0.0){lc=j;mc=jc;nc=kc;break}F=j/+lH(c[d+536>>2]|0,kc,7640768,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;lc=F;mc=A;nc=+h[A+18656>>3]}}while(0);F=G*(z+ga*B*lc);P=+h[mc+18664>>3];yb=+h[mc+18672>>3];A=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[A+8>>2]|0)+616>>3];do{if(nc!=0.0){R=+V(+(zb/nc));oc=(yb*R+ +X(+R,+(+h[mc+18680>>3]))+1.0)/nc}else{if(zb==0.0){pc=zb;qc=mc;rc=nc;sc=A;tc=zb}else{R=zb/+lH(c[d+536>>2]|0,nc,7640768,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;pc=R;qc=L;rc=+h[L+18656>>3];sc=na;tc=+h[(c[na+8>>2]|0)+616>>3]}R=yb*+V(+pc);do{if(rc!=0.0){uc=tc/rc;vc=qc;wc=rc;xc=sc;yc=tc}else{if(tc==0.0){uc=tc;vc=qc;wc=rc;xc=sc;yc=tc;break}S=tc/+lH(c[d+536>>2]|0,rc,7640768,8064,+h[sc>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;uc=S;vc=na;wc=+h[na+18656>>3];xc=L;yc=+h[(c[L+8>>2]|0)+616>>3]}}while(0);Ab=+V(+uc);L=R+ +X(+Ab,+(+h[vc+18680>>3]))+1.0==0.0;Ab=+h[vc+18672>>3];na=wc!=0.0;if(L){do{if(na){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}S=yc/+lH(c[d+536>>2]|0,wc,7640768,8064,+h[xc>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;zc=S;Ac=L;Bc=+h[L+18656>>3];Cc=$;Dc=+h[(c[$+8>>2]|0)+616>>3]}}while(0);R=Ab*+V(+zc);do{if(Bc!=0.0){Ec=Dc/Bc;Fc=Ac}else{if(Dc==0.0){Ec=Dc;Fc=Ac;break}S=Dc/+lH(c[d+536>>2]|0,Bc,7640768,8064,+h[Cc>>3],(a[d+319|0]|0)!=0|0);Ec=S;Fc=c[(d+416|0)>>2]|0}}while(0);S=+V(+Ec);oc=R+ +X(+S,+(+h[Fc+18680>>3]))+1.0;break}else{do{if(na){Gc=yc/wc;Hc=vc;Ic=wc;Jc=xc;Kc=yc}else{if(yc==0.0){Gc=yc;Hc=vc;Ic=wc;Jc=xc;Kc=yc;break}S=yc/+lH(c[d+536>>2]|0,wc,7640768,8064,+h[xc>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Gc=S;Hc=$;Ic=+h[$+18656>>3];Jc=L;Kc=+h[(c[L+8>>2]|0)+616>>3]}}while(0);R=Ab*+V(+Gc);do{if(Ic!=0.0){Lc=Kc/Ic;Mc=Hc;Nc=Ic;Oc=Jc}else{if(Kc==0.0){Lc=Kc;Mc=Hc;Nc=Ic;Oc=Jc;break}S=Kc/+lH(c[d+536>>2]|0,Ic,7640768,8064,+h[Jc>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;Lc=S;Mc=na;Nc=+h[na+18656>>3];Oc=c[c[(d+4|0)>>2]>>2]|0}}while(0);Ab=+V(+Lc);S=R+ +X(+Ab,+(+h[Mc+18680>>3]))+1.0;oc=S/+lH(c[d+536>>2]|0,Nc,7640768,8064,+h[Oc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=(F-P*k*oc)/+lH(c[d+536>>2]|0,p*p,7634592,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{v=1}}}while(0);Be[q&7](19,15,za,48,e);Be[c[(e+8|0)>>2]&7](20,13,1.0,49,e);A=c[(d+416|0)>>2]|0;yb=+h[A+18696>>3];zb=+h[A+18704>>3];do{if(yb!=0.0){Pc=zb/yb}else{if(zb==0.0){Pc=zb;break}Pc=zb/+lH(c[d+536>>2]|0,yb,7628664,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(!(Pc>0.0)){Ce[c[2178]&63](c[d+536>>2]|0,8032,7698760,(u=i,i=i+8|0,h[u>>3]=Pc,u)|0);i=u}A=c[(e+8|0)>>2]|0;yb=+ea(Pc);zb=+h[(c[(d+416|0)>>2]|0)+18688>>3];do{if(yb!=0.0){Qc=zb/yb}else{if(zb==0.0){Qc=zb;break}Qc=zb/+lH(c[d+536>>2]|0,yb,7694056,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[A&7](20,14,Qc*-7895683520871486.0e-21,50,e);Be[c[(e+8|0)>>2]&7](21,12,1.0,51,e);na=c[c[(d+4|0)>>2]>>2]|0;yb=+h[(c[na+8>>2]|0)+624>>3];if(yb!=0.0){Rc=yb}else{Rc=+lH(c[d+536>>2]|0,yb,7690456,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}yb=1.0/Rc;Be[c[(e+8|0)>>2]&7](21,13,yb*yb,52,e);Be[c[(e+8|0)>>2]&7](22,8,-1.0,53,e);Be[c[(e+8|0)>>2]&7](22,9,-1.0,54,e);Be[c[(e+8|0)>>2]&7](22,11,-1.0,55,e);Be[c[(e+8|0)>>2]&7](22,23,1.0,56,e);Be[c[(e+8|0)>>2]&7](23,10,1.0,57,e);Be[c[(e+8|0)>>2]&7](23,11,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2912>>3],58,e);Be[c[(e+8|0)>>2]&7](24,9,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2888>>3],59,e);Be[c[(e+8|0)>>2]&7](24,10,1.0,60,e);Be[c[(e+8|0)>>2]&7](25,8,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2920>>3],61,e);Be[c[(e+8|0)>>2]&7](25,10,1.0,62,e);Be[c[(e+8|0)>>2]&7](26,7,1.0,63,e);na=c[(e+8|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;yb=+h[(c[L+8>>2]|0)+2968>>3];if(yb!=0.0){Sc=yb}else{Sc=+lH(c[d+536>>2]|0,yb,7655632,8064,+h[L>>3],(a[d+319|0]|0)!=0|0)}Be[na&7](26,23,1.0/Sc,64,e);Be[c[(e+8|0)>>2]&7](27,6,1.0,65,e);yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){Tc=zb/yb}else{if(zb==0.0){Tc=zb;break}Tc=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Tc>0.0){Uc=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){Vc=zb/yb}else{if(zb==0.0){Vc=zb;break}Vc=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);Uc=+((Vc<0.0)<<31>>31|0)}yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){Wc=zb/yb}else{if(zb==0.0){Wc=zb;break}Wc=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Wc>0.0){Xc=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){Yc=zb/yb}else{if(zb==0.0){Yc=zb;break}Yc=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);Xc=+((Yc<0.0)<<31>>31|0)}yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){Zc=zb/yb}else{if(zb==0.0){Zc=zb;break}Zc=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Zc>0.0){_c=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18728>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+560>>3];do{if(yb!=0.0){$c=zb/yb}else{if(zb==0.0){$c=zb;break}$c=zb/+lH(c[d+536>>2]|0,yb,7677680,8064,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);_c=+(($c<0.0)<<31>>31|0)}na=c[(d+416|0)>>2]|0;yb=+h[na+18744>>3];zb=+h[na+18728>>3];A=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[A+8>>2]|0)+560>>3];do{if(zb!=0.0){ad=B/zb;bd=na;cd=zb;dd=A;ed=B}else{if(B==0.0){ad=B;bd=na;cd=zb;dd=A;ed=B;break}ga=B/+lH(c[d+536>>2]|0,zb,7677680,8064,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;ad=ga;bd=L;cd=+h[L+18728>>3];dd=$;ed=+h[(c[$+8>>2]|0)+560>>3]}}while(0);zb=yb*+V(+ad);do{if(cd!=0.0){fd=ed/cd;gd=bd;hd=cd;id=dd;jd=ed}else{if(ed==0.0){fd=ed;gd=bd;hd=cd;id=dd;jd=ed;break}B=ed/+lH(c[d+536>>2]|0,cd,7677680,8064,+h[dd>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;fd=B;gd=A;hd=+h[A+18728>>3];id=na;jd=+h[(c[na+8>>2]|0)+560>>3]}}while(0);yb=+V(+fd);B=zb+ +X(+yb,+(+h[gd+18752>>3]))+1.0;na=c[(e+8|0)>>2]|0;yb=+h[gd+18720>>3];ga=+h[gd+18736>>3];A=hd!=0.0;do{$=1;if($){$=0;if(B*B!=0.0){do{if(A){kd=jd/hd;ld=gd;md=hd}else{if(jd==0.0){kd=jd;ld=gd;md=hd;break}z=jd/+lH(c[d+536>>2]|0,hd,7677680,8064,+h[id>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;kd=z;ld=L;md=+h[L+18728>>3]}}while(0);P=yb+ga*+V(+kd)+-1.0;F=+h[ld+18744>>3];do{if(md!=0.0){nd=Uc/md;od=ld;pd=md}else{if(Uc==0.0){nd=Uc;od=ld;pd=md;break}z=Uc/+lH(c[d+536>>2]|0,md,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;nd=z;od=v;pd=+h[v+18728>>3]}}while(0);z=F*nd;v=c[c[(d+4|0)>>2]>>2]|0;G=+h[(c[v+8>>2]|0)+560>>3];do{if(pd!=0.0){qd=G/pd;rd=od;sd=pd}else{if(G==0.0){qd=G;rd=od;sd=pd;break}S=G/+lH(c[d+536>>2]|0,pd,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;qd=S;rd=L;sd=+h[L+18728>>3]}}while(0);G=+V(+qd);F=+h[rd+18752>>3];S=+X(+G,+(F+-1.0));do{if(sd!=0.0){td=Xc/sd;ud=rd;vd=sd}else{if(Xc==0.0){td=Xc;ud=rd;vd=sd;break}G=Xc/+lH(c[d+536>>2]|0,sd,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;td=G;ud=v;vd=+h[v+18728>>3]}}while(0);G=P*(z+S*F*td);Ab=+h[ud+18736>>3];Q=+h[ud+18744>>3];v=c[c[(d+4|0)>>2]>>2]|0;K=+h[(c[v+8>>2]|0)+560>>3];do{if(vd!=0.0){Mb=+V(+(K/vd));wd=(Q*Mb+ +X(+Mb,+(+h[ud+18752>>3]))+1.0)/vd}else{if(K==0.0){xd=K;yd=ud;zd=vd;Ad=v;Bd=K}else{Mb=K/+lH(c[d+536>>2]|0,vd,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;xd=Mb;yd=L;zd=+h[L+18728>>3];Ad=Sb;Bd=+h[(c[Sb+8>>2]|0)+560>>3]}Mb=Q*+V(+xd);do{if(zd!=0.0){Cd=Bd/zd;Dd=yd;Ed=zd;Fd=Ad;Gd=Bd}else{if(Bd==0.0){Cd=Bd;Dd=yd;Ed=zd;Fd=Ad;Gd=Bd;break}ma=Bd/+lH(c[d+536>>2]|0,zd,7677680,8064,+h[Ad>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Cd=ma;Dd=Sb;Ed=+h[Sb+18728>>3];Fd=L;Gd=+h[(c[L+8>>2]|0)+560>>3]}}while(0);R=+V(+Cd);L=Mb+ +X(+R,+(+h[Dd+18752>>3]))+1.0==0.0;R=+h[Dd+18744>>3];Sb=Ed!=0.0;if(L){do{if(Sb){Hd=Gd/Ed;Id=Dd;Jd=Ed;Kd=Fd;Ld=Gd}else{if(Gd==0.0){Hd=Gd;Id=Dd;Jd=Ed;Kd=Fd;Ld=Gd;break}ma=Gd/+lH(c[d+536>>2]|0,Ed,7677680,8064,+h[Fd>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;Hd=ma;Id=L;Jd=+h[L+18728>>3];Kd=Md;Ld=+h[(c[Md+8>>2]|0)+560>>3]}}while(0);Mb=R*+V(+Hd);do{if(Jd!=0.0){Nd=Ld/Jd;Od=Id}else{if(Ld==0.0){Nd=Ld;Od=Id;break}ma=Ld/+lH(c[d+536>>2]|0,Jd,7677680,8064,+h[Kd>>3],(a[d+319|0]|0)!=0|0);Nd=ma;Od=c[(d+416|0)>>2]|0}}while(0);ma=+V(+Nd);wd=Mb+ +X(+ma,+(+h[Od+18752>>3]))+1.0;break}else{do{if(Sb){Pd=Gd/Ed;Qd=Dd;Rd=Ed;Sd=Fd;Td=Gd}else{if(Gd==0.0){Pd=Gd;Qd=Dd;Rd=Ed;Sd=Fd;Td=Gd;break}ma=Gd/+lH(c[d+536>>2]|0,Ed,7677680,8064,+h[Fd>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Pd=ma;Qd=Md;Rd=+h[Md+18728>>3];Sd=L;Td=+h[(c[L+8>>2]|0)+560>>3]}}while(0);Mb=R*+V(+Pd);do{if(Rd!=0.0){Ud=Td/Rd;Vd=Qd;Wd=Rd;Xd=Sd}else{if(Td==0.0){Ud=Td;Vd=Qd;Wd=Rd;Xd=Sd;break}ma=Td/+lH(c[d+536>>2]|0,Rd,7677680,8064,+h[Sd>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Ud=ma;Vd=Sb;Wd=+h[Sb+18728>>3];Xd=c[c[(d+4|0)>>2]>>2]|0}}while(0);R=+V(+Ud);ma=Mb+ +X(+R,+(+h[Vd+18752>>3]))+1.0;wd=ma/+lH(c[d+536>>2]|0,Wd,7677680,8064,+h[Xd>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=(G-Ab*_c*wd)/(B*B)}else{$=1}}if($){$=0;if(1){do{if(A){Zd=jd/hd;_d=gd;$d=hd}else{if(jd==0.0){Zd=jd;_d=gd;$d=hd;break}Q=jd/+lH(c[d+536>>2]|0,hd,7677680,8064,+h[id>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Zd=Q;_d=v;$d=+h[v+18728>>3]}}while(0);Ab=yb+ga*+V(+Zd)+-1.0;G=+h[_d+18744>>3];do{if($d!=0.0){ae=Uc/$d;be=_d;ce=$d}else{if(Uc==0.0){ae=Uc;be=_d;ce=$d;break}Q=Uc/+lH(c[d+536>>2]|0,$d,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;ae=Q;be=v;ce=+h[v+18728>>3]}}while(0);Q=G*ae;v=c[c[(d+4|0)>>2]>>2]|0;K=+h[(c[v+8>>2]|0)+560>>3];do{if(ce!=0.0){de=K/ce;ee=be;fe=ce}else{if(K==0.0){de=K;ee=be;fe=ce;break}F=K/+lH(c[d+536>>2]|0,ce,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;de=F;ee=Sb;fe=+h[Sb+18728>>3]}}while(0);K=+V(+de);G=+h[ee+18752>>3];F=+X(+K,+(G+-1.0));do{if(fe!=0.0){ge=Xc/fe;he=ee;ie=fe}else{if(Xc==0.0){ge=Xc;he=ee;ie=fe;break}K=Xc/+lH(c[d+536>>2]|0,fe,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;ge=K;he=v;ie=+h[v+18728>>3]}}while(0);K=Ab*(Q+F*G*ge);S=+h[he+18736>>3];z=+h[he+18744>>3];v=c[c[(d+4|0)>>2]>>2]|0;P=+h[(c[v+8>>2]|0)+560>>3];do{if(ie!=0.0){ma=+V(+(P/ie));je=(z*ma+ +X(+ma,+(+h[he+18752>>3]))+1.0)/ie;ke=he}else{if(P==0.0){le=P;me=he;ne=ie;oe=v;pe=P}else{ma=P/+lH(c[d+536>>2]|0,ie,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;le=ma;me=Sb;ne=+h[Sb+18728>>3];oe=L;pe=+h[(c[L+8>>2]|0)+560>>3]}ma=z*+V(+le);do{if(ne!=0.0){qe=pe/ne;re=me;se=ne;te=oe;ue=pe}else{if(pe==0.0){qe=pe;re=me;se=ne;te=oe;ue=pe;break}R=pe/+lH(c[d+536>>2]|0,ne,7677680,8064,+h[oe>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;qe=R;re=L;se=+h[L+18728>>3];te=Sb;ue=+h[(c[Sb+8>>2]|0)+560>>3]}}while(0);Mb=+V(+qe);Sb=ma+ +X(+Mb,+(+h[re+18752>>3]))+1.0==0.0;Mb=+h[re+18744>>3];L=se!=0.0;if(Sb){do{if(L){ve=ue/se;we=re;xe=se;ye=te;ze=ue}else{if(ue==0.0){ve=ue;we=re;xe=se;ye=te;ze=ue;break}R=ue/+lH(c[d+536>>2]|0,se,7677680,8064,+h[te>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;ve=R;we=Sb;xe=+h[Sb+18728>>3];ye=Md;ze=+h[(c[Md+8>>2]|0)+560>>3]}}while(0);ma=Mb*+V(+ve);do{if(xe!=0.0){Ae=ze/xe;De=we}else{if(ze==0.0){Ae=ze;De=we;break}R=ze/+lH(c[d+536>>2]|0,xe,7677680,8064,+h[ye>>3],(a[d+319|0]|0)!=0|0);Ae=R;De=c[(d+416|0)>>2]|0}}while(0);R=+V(+Ae);je=ma+ +X(+R,+(+h[De+18752>>3]))+1.0;ke=De;break}else{do{if(L){Ee=ue/se;Fe=re;Ge=se;He=te;Ie=ue}else{if(ue==0.0){Ee=ue;Fe=re;Ge=se;He=te;Ie=ue;break}R=ue/+lH(c[d+536>>2]|0,se,7677680,8064,+h[te>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;Ee=R;Fe=Md;Ge=+h[Md+18728>>3];He=Sb;Ie=+h[(c[Sb+8>>2]|0)+560>>3]}}while(0);ma=Mb*+V(+Ee);do{if(Ge!=0.0){Je=Ie/Ge;Ke=Fe;Le=Ge;Me=He}else{if(Ie==0.0){Je=Ie;Ke=Fe;Le=Ge;Me=He;break}R=Ie/+lH(c[d+536>>2]|0,Ge,7677680,8064,+h[He>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Je=R;Ke=L;Le=+h[L+18728>>3];Me=c[c[(d+4|0)>>2]>>2]|0}}while(0);Mb=+V(+Je);R=ma+ +X(+Mb,+(+h[Ke+18752>>3]))+1.0;Mb=R/+lH(c[d+536>>2]|0,Le,7677680,8064,+h[Me>>3],(a[d+319|0]|0)!=0|0);je=Mb;ke=c[(d+416|0)>>2]|0;break}}}while(0);z=+h[ke+18720>>3];P=+h[ke+18736>>3];G=+h[ke+18728>>3];v=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[v+8>>2]|0)+560>>3];if(K-S*_c*je==0.0){do{if(G!=0.0){Ne=F/G;Oe=ke;Pe=G}else{if(F==0.0){Ne=F;Oe=ke;Pe=G;break}Q=F/+lH(c[d+536>>2]|0,G,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Ne=Q;Oe=L;Pe=+h[L+18728>>3]}}while(0);S=z+P*+V(+Ne)+-1.0;K=+h[Oe+18744>>3];do{if(Pe!=0.0){Qe=Uc/Pe;Re=Oe;Se=Pe}else{if(Uc==0.0){Qe=Uc;Re=Oe;Se=Pe;break}Q=Uc/+lH(c[d+536>>2]|0,Pe,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Qe=Q;Re=L;Se=+h[L+18728>>3]}}while(0);Q=K*Qe;L=c[c[(d+4|0)>>2]>>2]|0;Ab=+h[(c[L+8>>2]|0)+560>>3];do{if(Se!=0.0){Te=Ab/Se;Ue=Re;Ve=Se}else{if(Ab==0.0){Te=Ab;Ue=Re;Ve=Se;break}Mb=Ab/+lH(c[d+536>>2]|0,Se,7677680,8064,+h[L>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Te=Mb;Ue=Sb;Ve=+h[Sb+18728>>3]}}while(0);Ab=+V(+Te);K=+h[Ue+18752>>3];Mb=+X(+Ab,+(K+-1.0));do{if(Ve!=0.0){We=Xc/Ve;Xe=Ue;Ye=Ve}else{if(Xc==0.0){We=Xc;Xe=Ue;Ye=Ve;break}Ab=Xc/+lH(c[d+536>>2]|0,Ve,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;We=Ab;Xe=L;Ye=+h[L+18728>>3]}}while(0);Ab=S*(Q+Mb*K*We);R=+h[Xe+18736>>3];Ze=+h[Xe+18744>>3];L=c[c[(d+4|0)>>2]>>2]|0;_e=+h[(c[L+8>>2]|0)+560>>3];do{if(Ye!=0.0){$e=+V(+(_e/Ye));af=(Ze*$e+ +X(+$e,+(+h[Xe+18752>>3]))+1.0)/Ye}else{if(_e==0.0){bf=_e;cf=Xe;df=Ye;ef=L;ff=_e}else{$e=_e/+lH(c[d+536>>2]|0,Ye,7677680,8064,+h[L>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;bf=$e;cf=Sb;df=+h[Sb+18728>>3];ef=Md;ff=+h[(c[Md+8>>2]|0)+560>>3]}$e=Ze*+V(+bf);do{if(df!=0.0){gf=ff/df;hf=cf;jf=df;kf=ef;lf=ff}else{if(ff==0.0){gf=ff;hf=cf;jf=df;kf=ef;lf=ff;break}mf=ff/+lH(c[d+536>>2]|0,df,7677680,8064,+h[ef>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;gf=mf;hf=Md;jf=+h[Md+18728>>3];kf=Sb;lf=+h[(c[Sb+8>>2]|0)+560>>3]}}while(0);ma=+V(+gf);Sb=$e+ +X(+ma,+(+h[hf+18752>>3]))+1.0==0.0;ma=+h[hf+18744>>3];Md=jf!=0.0;if(Sb){do{if(Md){nf=lf/jf;of=hf;pf=jf;qf=kf;rf=lf}else{if(lf==0.0){nf=lf;of=hf;pf=jf;qf=kf;rf=lf;break}mf=lf/+lH(c[d+536>>2]|0,jf,7677680,8064,+h[kf>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;sf=c[c[(d+4|0)>>2]>>2]|0;nf=mf;of=Sb;pf=+h[Sb+18728>>3];qf=sf;rf=+h[(c[sf+8>>2]|0)+560>>3]}}while(0);$e=ma*+V(+nf);do{if(pf!=0.0){tf=rf/pf;uf=of}else{if(rf==0.0){tf=rf;uf=of;break}mf=rf/+lH(c[d+536>>2]|0,pf,7677680,8064,+h[qf>>3],(a[d+319|0]|0)!=0|0);tf=mf;uf=c[(d+416|0)>>2]|0}}while(0);mf=+V(+tf);af=$e+ +X(+mf,+(+h[uf+18752>>3]))+1.0;break}else{do{if(Md){vf=lf/jf;wf=hf;xf=jf;yf=kf;zf=lf}else{if(lf==0.0){vf=lf;wf=hf;xf=jf;yf=kf;zf=lf;break}mf=lf/+lH(c[d+536>>2]|0,jf,7677680,8064,+h[kf>>3],(a[d+319|0]|0)!=0|0);sf=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;vf=mf;wf=sf;xf=+h[sf+18728>>3];yf=Sb;zf=+h[(c[Sb+8>>2]|0)+560>>3]}}while(0);$e=ma*+V(+vf);do{if(xf!=0.0){Af=zf/xf;Bf=wf;Cf=xf;Df=yf}else{if(zf==0.0){Af=zf;Bf=wf;Cf=xf;Df=yf;break}mf=zf/+lH(c[d+536>>2]|0,xf,7677680,8064,+h[yf>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Af=mf;Bf=Md;Cf=+h[Md+18728>>3];Df=c[c[(d+4|0)>>2]>>2]|0}}while(0);ma=+V(+Af);mf=$e+ +X(+ma,+(+h[Bf+18752>>3]))+1.0;af=mf/+lH(c[d+536>>2]|0,Cf,7677680,8064,+h[Df>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=Ab-R*_c*af;break}else{do{if(G!=0.0){Ef=F/G;Ff=ke;Gf=G}else{if(F==0.0){Ef=F;Ff=ke;Gf=G;break}Ze=F/+lH(c[d+536>>2]|0,G,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Ef=Ze;Ff=L;Gf=+h[L+18728>>3]}}while(0);G=z+P*+V(+Ef)+-1.0;F=+h[Ff+18744>>3];do{if(Gf!=0.0){Hf=Uc/Gf;If=Ff;Jf=Gf}else{if(Uc==0.0){Hf=Uc;If=Ff;Jf=Gf;break}R=Uc/+lH(c[d+536>>2]|0,Gf,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Hf=R;If=v;Jf=+h[v+18728>>3]}}while(0);P=F*Hf;v=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[v+8>>2]|0)+560>>3];do{if(Jf!=0.0){Kf=z/Jf;Lf=If;Mf=Jf}else{if(z==0.0){Kf=z;Lf=If;Mf=Jf;break}R=z/+lH(c[d+536>>2]|0,Jf,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Kf=R;Lf=L;Mf=+h[L+18728>>3]}}while(0);z=+V(+Kf);F=+h[Lf+18752>>3];R=+X(+z,+(F+-1.0));do{if(Mf!=0.0){Nf=Xc/Mf;Of=Lf;Pf=Mf}else{if(Xc==0.0){Nf=Xc;Of=Lf;Pf=Mf;break}z=Xc/+lH(c[d+536>>2]|0,Mf,7677680,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Nf=z;Of=v;Pf=+h[v+18728>>3]}}while(0);z=G*(P+R*F*Nf);Ab=+h[Of+18736>>3];Ze=+h[Of+18744>>3];v=c[c[(d+4|0)>>2]>>2]|0;_e=+h[(c[v+8>>2]|0)+560>>3];do{if(Pf!=0.0){K=+V(+(_e/Pf));Qf=(Ze*K+ +X(+K,+(+h[Of+18752>>3]))+1.0)/Pf}else{if(_e==0.0){Rf=_e;Sf=Of;Tf=Pf;Uf=v;Vf=_e}else{K=_e/+lH(c[d+536>>2]|0,Pf,7677680,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;Rf=K;Sf=L;Tf=+h[L+18728>>3];Uf=Md;Vf=+h[(c[Md+8>>2]|0)+560>>3]}K=Ze*+V(+Rf);do{if(Tf!=0.0){Wf=Vf/Tf;Xf=Sf;Yf=Tf;Zf=Uf;_f=Vf}else{if(Vf==0.0){Wf=Vf;Xf=Sf;Yf=Tf;Zf=Uf;_f=Vf;break}Mb=Vf/+lH(c[d+536>>2]|0,Tf,7677680,8064,+h[Uf>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Wf=Mb;Xf=Md;Yf=+h[Md+18728>>3];Zf=L;_f=+h[(c[L+8>>2]|0)+560>>3]}}while(0);$e=+V(+Wf);L=K+ +X(+$e,+(+h[Xf+18752>>3]))+1.0==0.0;$e=+h[Xf+18744>>3];Md=Yf!=0.0;if(L){do{if(Md){$f=_f/Yf;ag=Xf;bg=Yf;cg=Zf;dg=_f}else{if(_f==0.0){$f=_f;ag=Xf;bg=Yf;cg=Zf;dg=_f;break}Mb=_f/+lH(c[d+536>>2]|0,Yf,7677680,8064,+h[Zf>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;$f=Mb;ag=L;bg=+h[L+18728>>3];cg=Sb;dg=+h[(c[Sb+8>>2]|0)+560>>3]}}while(0);K=$e*+V(+$f);do{if(bg!=0.0){eg=dg/bg;fg=ag}else{if(dg==0.0){eg=dg;fg=ag;break}Mb=dg/+lH(c[d+536>>2]|0,bg,7677680,8064,+h[cg>>3],(a[d+319|0]|0)!=0|0);eg=Mb;fg=c[(d+416|0)>>2]|0}}while(0);Mb=+V(+eg);Qf=K+ +X(+Mb,+(+h[fg+18752>>3]))+1.0;break}else{do{if(Md){gg=_f/Yf;hg=Xf;ig=Yf;jg=Zf;kg=_f}else{if(_f==0.0){gg=_f;hg=Xf;ig=Yf;jg=Zf;kg=_f;break}Mb=_f/+lH(c[d+536>>2]|0,Yf,7677680,8064,+h[Zf>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;gg=Mb;hg=Sb;ig=+h[Sb+18728>>3];jg=L;kg=+h[(c[L+8>>2]|0)+560>>3]}}while(0);K=$e*+V(+gg);do{if(ig!=0.0){lg=kg/ig;mg=hg;ng=ig;og=jg}else{if(kg==0.0){lg=kg;mg=hg;ng=ig;og=jg;break}Mb=kg/+lH(c[d+536>>2]|0,ig,7677680,8064,+h[jg>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;lg=Mb;mg=Md;ng=+h[Md+18728>>3];og=c[c[(d+4|0)>>2]>>2]|0}}while(0);$e=+V(+lg);Mb=K+ +X(+$e,+(+h[mg+18752>>3]))+1.0;Qf=Mb/+lH(c[d+536>>2]|0,ng,7677680,8064,+h[og>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=(z-Ab*_c*Qf)/+lH(c[d+536>>2]|0,B*B,7665776,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{$=1}}}while(0);Be[na&7](27,7,Yd,66,e);Be[c[(e+8|0)>>2]&7](28,5,1.0,67,e);A=c[(e+8|0)>>2]|0;B=+h[(c[(d+416|0)>>2]|0)+18760>>3];v=c[c[(d+4|0)>>2]>>2]|0;ga=+h[(c[v+8>>2]|0)+2968>>3];do{if(B!=0.0){pg=ga/B}else{if(ga==0.0){pg=ga;break}pg=ga/+lH(c[d+536>>2]|0,B,7689120,8064,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[A&7](28,6,pg*-1256637061435917.0e-21,68,e);Be[c[(e+8|0)>>2]&7](29,4,1.0,69,e);v=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[v+8>>2]|0)+568>>3];if(B!=0.0){qg=B;rg=1.0/qg;sg=c[(e+8|0)>>2]|0;tg=rg*rg;Be[sg&7](29,5,tg,70,e);ug=c[(e+8|0)>>2]|0;Be[ug&7](30,3,1.0,71,e);vg=c[(e+8|0)>>2]|0;wg=c[(d+4|0)>>2]|0;xg=c[wg>>2]|0;yg=xg+8|0;zg=c[yg>>2]|0;Ag=zg+696|0;Bg=+h[Ag>>3];Be[vg&7](30,4,Bg,72,e);Cg=c[(e+8|0)>>2]|0;Dg=c[(d+4|0)>>2]|0;Eg=c[Dg>>2]|0;Fg=Eg+8|0;Gg=c[Fg>>2]|0;Hg=Gg+576|0;Ig=+h[Hg>>3];Be[Cg&7](30,23,Ig,73,e);Jg=c[(e+8|0)>>2]|0;Be[Jg&7](31,1,-1.0,74,e);Kg=c[(e+8|0)>>2]|0;Be[Kg&7](31,2,-1.0,75,e);Lg=c[(e+8|0)>>2]|0;Be[Lg&7](31,23,-1.0,76,e);Mg=c[(e+8|0)>>2]|0;Be[Mg&7](32,1,1.0,77,e);Ng=c[(e+8|0)>>2]|0;Be[Ng&7](32,2,1.0,78,e);Og=c[(e+8|0)>>2]|0;Be[Og&7](33,0,1.0,79,e);Pg=c[(e+8|0)>>2]|0;Qg=c[(d+4|0)>>2]|0;Rg=c[Qg>>2]|0;Sg=Rg+8|0;Tg=c[Sg>>2]|0;Ug=Tg+240|0;Vg=+h[Ug>>3];Wg=-0.0-Vg;Be[Pg&7](33,1,Wg,80,e);i=b;c[b+13816>>2]=5;break a}qg=+lH(c[d+536>>2]|0,B,7669800,8064,+h[v>>3],(a[d+319|0]|0)!=0|0);rg=1.0/qg;sg=c[(e+8|0)>>2]|0;tg=rg*rg;Be[sg&7](29,5,tg,70,e);ug=c[(e+8|0)>>2]|0;Be[ug&7](30,3,1.0,71,e);vg=c[(e+8|0)>>2]|0;wg=c[(d+4|0)>>2]|0;xg=c[wg>>2]|0;yg=xg+8|0;zg=c[yg>>2]|0;Ag=zg+696|0;Bg=+h[Ag>>3];Be[vg&7](30,4,Bg,72,e);Cg=c[(e+8|0)>>2]|0;Dg=c[(d+4|0)>>2]|0;Eg=c[Dg>>2]|0;Fg=Eg+8|0;Gg=c[Fg>>2]|0;Hg=Gg+576|0;Ig=+h[Hg>>3];Be[Cg&7](30,23,Ig,73,e);Jg=c[(e+8|0)>>2]|0;Be[Jg&7](31,1,-1.0,74,e);Kg=c[(e+8|0)>>2]|0;Be[Kg&7](31,2,-1.0,75,e);Lg=c[(e+8|0)>>2]|0;Be[Lg&7](31,23,-1.0,76,e);Mg=c[(e+8|0)>>2]|0;Be[Mg&7](32,1,1.0,77,e);Ng=c[(e+8|0)>>2]|0;Be[Ng&7](32,2,1.0,78,e);Og=c[(e+8|0)>>2]|0;Be[Og&7](33,0,1.0,79,e);Pg=c[(e+8|0)>>2]|0;Qg=c[(d+4|0)>>2]|0;Rg=c[Qg>>2]|0;Sg=Rg+8|0;Tg=c[Sg>>2]|0;Ug=Tg+240|0;Vg=+h[Ug>>3];Wg=-0.0-Vg;Be[Pg&7](33,1,Wg,80,e);i=b;c[b+13816>>2]=5;break a}while(0);c[b+13768>>2]=u}function _setLinearMatrixA562$1(b){b=b|0;var d=0,e=0,f=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0,U=0.0,W=0.0,Y=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0,da=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0.0,Na=0,Oa=0.0,Pa=0.0,Qa=0,Ra=0.0,Sa=0.0,Ta=0,Ua=0.0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0.0,jb=0,kb=0.0,lb=0,mb=0.0,nb=0.0,ob=0,pb=0.0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0.0,vb=0,wb=0.0,xb=0,yb=0.0,zb=0,Ab=0.0,Bb=0.0,Cb=0,Db=0.0,Eb=0.0,Fb=0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0.0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0.0,rc=0.0,sc=0,tc=0.0,uc=0.0,vc=0,wc=0.0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0.0,Cc=0,Dc=0.0,Ec=0,Fc=0.0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0.0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0.0,bd=0.0,cd=0.0,dd=0.0,ed=0.0,fd=0.0,gd=0.0,hd=0.0,id=0.0,jd=0.0,kd=0,ld=0.0,md=0,nd=0.0,od=0.0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;f=c[b+3360>>2]|0;j=c[b+3368>>2]|0;k=+g[b+3376>>2];l=+g[b+6872>>2];m=+g[b+6944>>2];n=+g[b+7016>>2];o=+g[b+7160>>2];p=c[b+7168>>2]|0;q=+g[b+7176>>2];r=c[b+7184>>2]|0;s=+g[b+7208>>2];t=c[b+7216>>2]|0;u=+g[b+7224>>2];v=+g[b+7232>>2];w=c[b+7240>>2]|0;x=c[b+13768>>2]|0;if(k!=0.0){y=k}else{y=+lH(c[d+536>>2]|0,k,7679192,8064,+h[j>>3],(a[d+319|0]|0)!=0|0)}Be[f&7](10,23,1.0/y,26,e);Be[c[(e+8|0)>>2]&7](10,24,1.0,27,e);Be[c[(e+8|0)>>2]&7](11,17,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],28,e);Be[c[(e+8|0)>>2]&7](11,22,1.0,29,e);Be[c[(e+8|0)>>2]&7](11,23,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+688>>3],30,e);Be[c[(e+8|0)>>2]&7](12,10,1.0,31,e);Be[c[(e+8|0)>>2]&7](12,21,1.0,32,e);Be[c[(e+8|0)>>2]&7](12,22,1.0,33,e);Be[c[(e+8|0)>>2]&7](13,20,1.0,34,e);f=c[(e+8|0)>>2]|0;j=c[c[(d+4|0)>>2]>>2]|0;y=+h[(c[j+8>>2]|0)+2952>>3];if(y!=0.0){z=y}else{z=+lH(c[d+536>>2]|0,y,7688136,8064,+h[j>>3],(a[d+319|0]|0)!=0|0)}Be[f&7](13,23,-1.0/z,35,e);Be[c[(e+8|0)>>2]&7](14,19,1.0,36,e);z=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;y=+h[(c[f+8>>2]|0)+672>>3];do{if(z!=0.0){A=y/z}else{if(y==0.0){A=y;break}A=y/+lH(c[d+536>>2]|0,z,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(A>0.0){B=1.0}else{A=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[f+8>>2]|0)+672>>3];do{if(A!=0.0){C=z/A}else{if(z==0.0){C=z;break}C=z/+lH(c[d+536>>2]|0,A,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);B=+((C<0.0)<<31>>31|0)}C=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;A=+h[(c[f+8>>2]|0)+672>>3];do{if(C!=0.0){D=A/C}else{if(A==0.0){D=A;break}D=A/+lH(c[d+536>>2]|0,C,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(D>0.0){E=1.0}else{D=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;C=+h[(c[f+8>>2]|0)+672>>3];do{if(D!=0.0){F=C/D}else{if(C==0.0){F=C;break}F=C/+lH(c[d+536>>2]|0,D,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);E=+((F<0.0)<<31>>31|0)}F=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;D=+h[(c[f+8>>2]|0)+672>>3];do{if(F!=0.0){G=D/F}else{if(D==0.0){G=D;break}G=D/+lH(c[d+536>>2]|0,F,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(G>0.0){H=1.0}else{G=+h[(c[(d+416|0)>>2]|0)+18584>>3];f=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[f+8>>2]|0)+672>>3];do{if(G!=0.0){I=F/G}else{if(F==0.0){I=F;break}I=F/+lH(c[d+536>>2]|0,G,7686528,8064,+h[f>>3],(a[d+319|0]|0)!=0|0)}}while(0);H=+((I<0.0)<<31>>31|0)}f=c[(d+416|0)>>2]|0;I=+h[f+18600>>3];G=+h[f+18584>>3];j=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[j+8>>2]|0)+672>>3];do{if(G!=0.0){J=F/G;K=f;L=G;M=j;N=F}else{if(F==0.0){J=F;K=f;L=G;M=j;N=F;break}D=F/+lH(c[d+536>>2]|0,G,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;J=D;K=O;L=+h[O+18584>>3];M=P;N=+h[(c[P+8>>2]|0)+672>>3]}}while(0);G=I*+V(+J);do{if(L!=0.0){Q=N/L;R=K;S=L;T=M;U=N}else{if(N==0.0){Q=N;R=K;S=L;T=M;U=N;break}J=N/+lH(c[d+536>>2]|0,L,7686528,8064,+h[M>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;f=c[c[(d+4|0)>>2]>>2]|0;Q=J;R=j;S=+h[j+18584>>3];T=f;U=+h[(c[f+8>>2]|0)+672>>3]}}while(0);L=+V(+Q);Q=G+ +X(+L,+(+h[R+18608>>3]))+1.0;M=c[(e+8|0)>>2]|0;L=+h[R+18576>>3];G=+h[R+18592>>3];K=S!=0.0;do{f=1;if(f){f=0;if(Q*Q!=0.0){do{if(K){W=U/S;Y=R;Z=S}else{if(U==0.0){W=U;Y=R;Z=S;break}N=U/+lH(c[d+536>>2]|0,S,7686528,8064,+h[T>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;W=N;Y=j;Z=+h[j+18584>>3]}}while(0);N=L+G*+V(+W)+-1.0;J=+h[Y+18600>>3];do{if(Z!=0.0){_=B/Z;$=Y;aa=Z}else{if(B==0.0){_=B;$=Y;aa=Z;break}I=B/+lH(c[d+536>>2]|0,Z,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;_=I;$=j;aa=+h[j+18584>>3]}}while(0);I=J*_;j=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[j+8>>2]|0)+672>>3];do{if(aa!=0.0){ba=F/aa;ca=$;da=aa}else{if(F==0.0){ba=F;ca=$;da=aa;break}D=F/+lH(c[d+536>>2]|0,aa,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;ba=D;ca=P;da=+h[P+18584>>3]}}while(0);F=+V(+ba);J=+h[ca+18608>>3];D=+X(+F,+(J+-1.0));do{if(da!=0.0){fa=E/da;ga=ca;ha=da}else{if(E==0.0){fa=E;ga=ca;ha=da;break}F=E/+lH(c[d+536>>2]|0,da,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;fa=F;ga=j;ha=+h[j+18584>>3]}}while(0);F=N*(I+D*J*fa);C=+h[ga+18592>>3];A=+h[ga+18600>>3];j=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[j+8>>2]|0)+672>>3];do{if(ha!=0.0){y=+V(+(z/ha));ia=(A*y+ +X(+y,+(+h[ga+18608>>3]))+1.0)/ha}else{if(z==0.0){ja=z;ka=ga;la=ha;ma=j;na=z}else{y=z/+lH(c[d+536>>2]|0,ha,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;ja=y;ka=P;la=+h[P+18584>>3];ma=O;na=+h[(c[O+8>>2]|0)+672>>3]}y=A*+V(+ja);do{if(la!=0.0){oa=na/la;pa=ka;qa=la;ra=ma;sa=na}else{if(na==0.0){oa=na;pa=ka;qa=la;ra=ma;sa=na;break}k=na/+lH(c[d+536>>2]|0,la,7686528,8064,+h[ma>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;oa=k;pa=O;qa=+h[O+18584>>3];ra=P;sa=+h[(c[P+8>>2]|0)+672>>3]}}while(0);k=+V(+oa);P=y+ +X(+k,+(+h[pa+18608>>3]))+1.0==0.0;k=+h[pa+18600>>3];O=qa!=0.0;if(P){do{if(O){ta=sa/qa;ua=pa;va=qa;wa=ra;xa=sa}else{if(sa==0.0){ta=sa;ua=pa;va=qa;wa=ra;xa=sa;break}ya=sa/+lH(c[d+536>>2]|0,qa,7686528,8064,+h[ra>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ta=ya;ua=P;va=+h[P+18584>>3];wa=za;xa=+h[(c[za+8>>2]|0)+672>>3]}}while(0);y=k*+V(+ta);do{if(va!=0.0){Aa=xa/va;Ba=ua}else{if(xa==0.0){Aa=xa;Ba=ua;break}ya=xa/+lH(c[d+536>>2]|0,va,7686528,8064,+h[wa>>3],(a[d+319|0]|0)!=0|0);Aa=ya;Ba=c[(d+416|0)>>2]|0}}while(0);ya=+V(+Aa);ia=y+ +X(+ya,+(+h[Ba+18608>>3]))+1.0;break}else{do{if(O){Ca=sa/qa;Da=pa;Ea=qa;Fa=ra;Ga=sa}else{if(sa==0.0){Ca=sa;Da=pa;Ea=qa;Fa=ra;Ga=sa;break}ya=sa/+lH(c[d+536>>2]|0,qa,7686528,8064,+h[ra>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;Ca=ya;Da=za;Ea=+h[za+18584>>3];Fa=P;Ga=+h[(c[P+8>>2]|0)+672>>3]}}while(0);y=k*+V(+Ca);do{if(Ea!=0.0){Ha=Ga/Ea;Ia=Da;Ja=Ea;Ka=Fa}else{if(Ga==0.0){Ha=Ga;Ia=Da;Ja=Ea;Ka=Fa;break}ya=Ga/+lH(c[d+536>>2]|0,Ea,7686528,8064,+h[Fa>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;Ha=ya;Ia=O;Ja=+h[O+18584>>3];Ka=c[c[(d+4|0)>>2]>>2]|0}}while(0);k=+V(+Ha);ya=y+ +X(+k,+(+h[Ia+18608>>3]))+1.0;ia=ya/+lH(c[d+536>>2]|0,Ja,7686528,8064,+h[Ka>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(F-C*H*ia)/(Q*Q)}else{f=1}}if(f){f=0;if(1){do{if(K){Ma=U/S;Na=R;Oa=S}else{if(U==0.0){Ma=U;Na=R;Oa=S;break}A=U/+lH(c[d+536>>2]|0,S,7686528,8064,+h[T>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;Ma=A;Na=j;Oa=+h[j+18584>>3]}}while(0);C=L+G*+V(+Ma)+-1.0;F=+h[Na+18600>>3];do{if(Oa!=0.0){Pa=B/Oa;Qa=Na;Ra=Oa}else{if(B==0.0){Pa=B;Qa=Na;Ra=Oa;break}A=B/+lH(c[d+536>>2]|0,Oa,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;Pa=A;Qa=j;Ra=+h[j+18584>>3]}}while(0);A=F*Pa;j=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[j+8>>2]|0)+672>>3];do{if(Ra!=0.0){Sa=z/Ra;Ta=Qa;Ua=Ra}else{if(z==0.0){Sa=z;Ta=Qa;Ua=Ra;break}J=z/+lH(c[d+536>>2]|0,Ra,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;Sa=J;Ta=O;Ua=+h[O+18584>>3]}}while(0);z=+V(+Sa);F=+h[Ta+18608>>3];J=+X(+z,+(F+-1.0));do{if(Ua!=0.0){Va=E/Ua;Wa=Ta;Xa=Ua}else{if(E==0.0){Va=E;Wa=Ta;Xa=Ua;break}z=E/+lH(c[d+536>>2]|0,Ua,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;Va=z;Wa=j;Xa=+h[j+18584>>3]}}while(0);z=C*(A+J*F*Va);D=+h[Wa+18592>>3];I=+h[Wa+18600>>3];j=c[c[(d+4|0)>>2]>>2]|0;N=+h[(c[j+8>>2]|0)+672>>3];do{if(Xa!=0.0){ya=+V(+(N/Xa));Ya=(I*ya+ +X(+ya,+(+h[Wa+18608>>3]))+1.0)/Xa;Za=Wa}else{if(N==0.0){_a=N;$a=Wa;ab=Xa;bb=j;cb=N}else{ya=N/+lH(c[d+536>>2]|0,Xa,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;_a=ya;$a=O;ab=+h[O+18584>>3];bb=P;cb=+h[(c[P+8>>2]|0)+672>>3]}ya=I*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb;hb=cb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;hb=cb;break}k=cb/+lH(c[d+536>>2]|0,ab,7686528,8064,+h[bb>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;db=k;eb=P;fb=+h[P+18584>>3];gb=O;hb=+h[(c[O+8>>2]|0)+672>>3]}}while(0);y=+V(+db);O=ya+ +X(+y,+(+h[eb+18608>>3]))+1.0==0.0;y=+h[eb+18600>>3];P=fb!=0.0;if(O){do{if(P){ib=hb/fb;jb=eb;kb=fb;lb=gb;mb=hb}else{if(hb==0.0){ib=hb;jb=eb;kb=fb;lb=gb;mb=hb;break}k=hb/+lH(c[d+536>>2]|0,fb,7686528,8064,+h[gb>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ib=k;jb=O;kb=+h[O+18584>>3];lb=za;mb=+h[(c[za+8>>2]|0)+672>>3]}}while(0);ya=y*+V(+ib);do{if(kb!=0.0){nb=mb/kb;ob=jb}else{if(mb==0.0){nb=mb;ob=jb;break}k=mb/+lH(c[d+536>>2]|0,kb,7686528,8064,+h[lb>>3],(a[d+319|0]|0)!=0|0);nb=k;ob=c[(d+416|0)>>2]|0}}while(0);k=+V(+nb);Ya=ya+ +X(+k,+(+h[ob+18608>>3]))+1.0;Za=ob;break}else{do{if(P){pb=hb/fb;qb=eb;rb=fb;sb=gb;tb=hb}else{if(hb==0.0){pb=hb;qb=eb;rb=fb;sb=gb;tb=hb;break}k=hb/+lH(c[d+536>>2]|0,fb,7686528,8064,+h[gb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;pb=k;qb=za;rb=+h[za+18584>>3];sb=O;tb=+h[(c[O+8>>2]|0)+672>>3]}}while(0);ya=y*+V(+pb);do{if(rb!=0.0){ub=tb/rb;vb=qb;wb=rb;xb=sb}else{if(tb==0.0){ub=tb;vb=qb;wb=rb;xb=sb;break}k=tb/+lH(c[d+536>>2]|0,rb,7686528,8064,+h[sb>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;ub=k;vb=P;wb=+h[P+18584>>3];xb=c[c[(d+4|0)>>2]>>2]|0}}while(0);y=+V(+ub);k=ya+ +X(+y,+(+h[vb+18608>>3]))+1.0;y=k/+lH(c[d+536>>2]|0,wb,7686528,8064,+h[xb>>3],(a[d+319|0]|0)!=0|0);Ya=y;Za=c[(d+416|0)>>2]|0;break}}}while(0);I=+h[Za+18576>>3];N=+h[Za+18592>>3];F=+h[Za+18584>>3];j=c[c[(d+4|0)>>2]>>2]|0;J=+h[(c[j+8>>2]|0)+672>>3];if(z-D*H*Ya==0.0){do{if(F!=0.0){yb=J/F;zb=Za;Ab=F}else{if(J==0.0){yb=J;zb=Za;Ab=F;break}A=J/+lH(c[d+536>>2]|0,F,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;yb=A;zb=P;Ab=+h[P+18584>>3]}}while(0);D=I+N*+V(+yb)+-1.0;z=+h[zb+18600>>3];do{if(Ab!=0.0){Bb=B/Ab;Cb=zb;Db=Ab}else{if(B==0.0){Bb=B;Cb=zb;Db=Ab;break}A=B/+lH(c[d+536>>2]|0,Ab,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;Bb=A;Cb=P;Db=+h[P+18584>>3]}}while(0);A=z*Bb;P=c[c[(d+4|0)>>2]>>2]|0;C=+h[(c[P+8>>2]|0)+672>>3];do{if(Db!=0.0){Eb=C/Db;Fb=Cb;Gb=Db}else{if(C==0.0){Eb=C;Fb=Cb;Gb=Db;break}y=C/+lH(c[d+536>>2]|0,Db,7686528,8064,+h[P>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;Eb=y;Fb=O;Gb=+h[O+18584>>3]}}while(0);C=+V(+Eb);z=+h[Fb+18608>>3];y=+X(+C,+(z+-1.0));do{if(Gb!=0.0){Hb=E/Gb;Ib=Fb;Jb=Gb}else{if(E==0.0){Hb=E;Ib=Fb;Jb=Gb;break}C=E/+lH(c[d+536>>2]|0,Gb,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;Hb=C;Ib=P;Jb=+h[P+18584>>3]}}while(0);C=D*(A+y*z*Hb);k=+h[Ib+18592>>3];Kb=+h[Ib+18600>>3];P=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[P+8>>2]|0)+672>>3];do{if(Jb!=0.0){Mb=+V(+(Lb/Jb));Nb=(Kb*Mb+ +X(+Mb,+(+h[Ib+18608>>3]))+1.0)/Jb}else{if(Lb==0.0){Ob=Lb;Pb=Ib;Qb=Jb;Rb=P;Sb=Lb}else{Mb=Lb/+lH(c[d+536>>2]|0,Jb,7686528,8064,+h[P>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Ob=Mb;Pb=O;Qb=+h[O+18584>>3];Rb=za;Sb=+h[(c[za+8>>2]|0)+672>>3]}Mb=Kb*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb;break}Yb=Sb/+lH(c[d+536>>2]|0,Qb,7686528,8064,+h[Rb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;Tb=Yb;Ub=za;Vb=+h[za+18584>>3];Wb=O;Xb=+h[(c[O+8>>2]|0)+672>>3]}}while(0);ya=+V(+Tb);O=Mb+ +X(+ya,+(+h[Ub+18608>>3]))+1.0==0.0;ya=+h[Ub+18600>>3];za=Vb!=0.0;if(O){do{if(za){Zb=Xb/Vb;_b=Ub;$b=Vb;ac=Wb;bc=Xb}else{if(Xb==0.0){Zb=Xb;_b=Ub;$b=Vb;ac=Wb;bc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7686528,8064,+h[Wb>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;cc=c[c[(d+4|0)>>2]>>2]|0;Zb=Yb;_b=O;$b=+h[O+18584>>3];ac=cc;bc=+h[(c[cc+8>>2]|0)+672>>3]}}while(0);Mb=ya*+V(+Zb);do{if($b!=0.0){dc=bc/$b;ec=_b}else{if(bc==0.0){dc=bc;ec=_b;break}Yb=bc/+lH(c[d+536>>2]|0,$b,7686528,8064,+h[ac>>3],(a[d+319|0]|0)!=0|0);dc=Yb;ec=c[(d+416|0)>>2]|0}}while(0);Yb=+V(+dc);Nb=Mb+ +X(+Yb,+(+h[ec+18608>>3]))+1.0;break}else{do{if(za){fc=Xb/Vb;gc=Ub;hc=Vb;ic=Wb;jc=Xb}else{if(Xb==0.0){fc=Xb;gc=Ub;hc=Vb;ic=Wb;jc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7686528,8064,+h[Wb>>3],(a[d+319|0]|0)!=0|0);cc=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;fc=Yb;gc=cc;hc=+h[cc+18584>>3];ic=O;jc=+h[(c[O+8>>2]|0)+672>>3]}}while(0);Mb=ya*+V(+fc);do{if(hc!=0.0){kc=jc/hc;lc=gc;mc=hc;nc=ic}else{if(jc==0.0){kc=jc;lc=gc;mc=hc;nc=ic;break}Yb=jc/+lH(c[d+536>>2]|0,hc,7686528,8064,+h[ic>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;kc=Yb;lc=za;mc=+h[za+18584>>3];nc=c[c[(d+4|0)>>2]>>2]|0}}while(0);ya=+V(+kc);Yb=Mb+ +X(+ya,+(+h[lc+18608>>3]))+1.0;Nb=Yb/+lH(c[d+536>>2]|0,mc,7686528,8064,+h[nc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=C-k*H*Nb;break}else{do{if(F!=0.0){oc=J/F;pc=Za;qc=F}else{if(J==0.0){oc=J;pc=Za;qc=F;break}Kb=J/+lH(c[d+536>>2]|0,F,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;oc=Kb;pc=P;qc=+h[P+18584>>3]}}while(0);F=I+N*+V(+oc)+-1.0;J=+h[pc+18600>>3];do{if(qc!=0.0){rc=B/qc;sc=pc;tc=qc}else{if(B==0.0){rc=B;sc=pc;tc=qc;break}k=B/+lH(c[d+536>>2]|0,qc,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;rc=k;sc=j;tc=+h[j+18584>>3]}}while(0);N=J*rc;j=c[c[(d+4|0)>>2]>>2]|0;I=+h[(c[j+8>>2]|0)+672>>3];do{if(tc!=0.0){uc=I/tc;vc=sc;wc=tc}else{if(I==0.0){uc=I;vc=sc;wc=tc;break}k=I/+lH(c[d+536>>2]|0,tc,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;uc=k;vc=P;wc=+h[P+18584>>3]}}while(0);I=+V(+uc);J=+h[vc+18608>>3];k=+X(+I,+(J+-1.0));do{if(wc!=0.0){xc=E/wc;yc=vc;zc=wc}else{if(E==0.0){xc=E;yc=vc;zc=wc;break}I=E/+lH(c[d+536>>2]|0,wc,7686528,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);j=c[(d+416|0)>>2]|0;xc=I;yc=j;zc=+h[j+18584>>3]}}while(0);I=F*(N+k*J*xc);C=+h[yc+18592>>3];Kb=+h[yc+18600>>3];j=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[j+8>>2]|0)+672>>3];do{if(zc!=0.0){z=+V(+(Lb/zc));Ac=(Kb*z+ +X(+z,+(+h[yc+18608>>3]))+1.0)/zc}else{if(Lb==0.0){Bc=Lb;Cc=yc;Dc=zc;Ec=j;Fc=Lb}else{z=Lb/+lH(c[d+536>>2]|0,zc,7686528,8064,+h[j>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Bc=z;Cc=P;Dc=+h[P+18584>>3];Ec=za;Fc=+h[(c[za+8>>2]|0)+672>>3]}z=Kb*+V(+Bc);do{if(Dc!=0.0){Gc=Fc/Dc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc}else{if(Fc==0.0){Gc=Fc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc;break}y=Fc/+lH(c[d+536>>2]|0,Dc,7686528,8064,+h[Ec>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;Gc=y;Hc=za;Ic=+h[za+18584>>3];Jc=P;Kc=+h[(c[P+8>>2]|0)+672>>3]}}while(0);Mb=+V(+Gc);P=z+ +X(+Mb,+(+h[Hc+18608>>3]))+1.0==0.0;Mb=+h[Hc+18600>>3];za=Ic!=0.0;if(P){do{if(za){Lc=Kc/Ic;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Kc==0.0){Lc=Kc;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc;break}y=Kc/+lH(c[d+536>>2]|0,Ic,7686528,8064,+h[Jc>>3],(a[d+319|0]|0)!=0|0);P=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;Lc=y;Mc=P;Nc=+h[P+18584>>3];Oc=O;Pc=+h[(c[O+8>>2]|0)+672>>3]}}while(0);z=Mb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;break}y=Pc/+lH(c[d+536>>2]|0,Nc,7686528,8064,+h[Oc>>3],(a[d+319|0]|0)!=0|0);Qc=y;Rc=c[(d+416|0)>>2]|0}}while(0);y=+V(+Qc);Ac=z+ +X(+y,+(+h[Rc+18608>>3]))+1.0;break}else{do{if(za){Sc=Kc/Ic;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc}else{if(Kc==0.0){Sc=Kc;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc;break}y=Kc/+lH(c[d+536>>2]|0,Ic,7686528,8064,+h[Jc>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;P=c[c[(d+4|0)>>2]>>2]|0;Sc=y;Tc=O;Uc=+h[O+18584>>3];Vc=P;Wc=+h[(c[P+8>>2]|0)+672>>3]}}while(0);z=Mb*+V(+Sc);do{if(Uc!=0.0){Xc=Wc/Uc;Yc=Tc;Zc=Uc;_c=Vc}else{if(Wc==0.0){Xc=Wc;Yc=Tc;Zc=Uc;_c=Vc;break}y=Wc/+lH(c[d+536>>2]|0,Uc,7686528,8064,+h[Vc>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;Xc=y;Yc=za;Zc=+h[za+18584>>3];_c=c[c[(d+4|0)>>2]>>2]|0}}while(0);Mb=+V(+Xc);y=z+ +X(+Mb,+(+h[Yc+18608>>3]))+1.0;Ac=y/+lH(c[d+536>>2]|0,Zc,7686528,8064,+h[_c>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(I-C*H*Ac)/+lH(c[d+536>>2]|0,Q*Q,7685160,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{f=1}}}while(0);Be[M&7](14,20,La,37,e);Be[c[(e+8|0)>>2]&7](15,18,1.0,38,e);M=c[(d+416|0)>>2]|0;La=+h[M+18624>>3];Q=+h[M+18632>>3];do{if(La!=0.0){$c=Q/La}else{if(Q==0.0){$c=Q;break}$c=Q/+lH(c[d+536>>2]|0,La,7684056,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(!($c>0.0)){Ce[c[2178]&63](c[d+536>>2]|0,8032,7682088,(x=i,i=i+8|0,h[x>>3]=$c,x)|0);i=x}M=c[(e+8|0)>>2]|0;La=+ea($c);$c=+h[(c[(d+416|0)>>2]|0)+18616>>3];do{if(La!=0.0){ad=$c/La}else{if($c==0.0){ad=$c;break}ad=$c/+lH(c[d+536>>2]|0,La,7681336,8064,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[M&7](15,19,ad*-7895683520871486.0e-21,39,e);Be[c[(e+8|0)>>2]&7](16,17,1.0,40,e);M=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[M+8>>2]|0)+680>>3];if(ad!=0.0){bd=ad}else{bd=+lH(c[d+536>>2]|0,ad,7680344,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}ad=1.0/bd;Be[c[(e+8|0)>>2]&7](16,18,ad*ad,41,e);Be[c[(e+8|0)>>2]&7](17,12,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],42,e);Be[c[(e+8|0)>>2]&7](17,16,1.0,43,e);Be[c[(e+8|0)>>2]&7](17,23,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+632>>3],44,e);Be[c[(e+8|0)>>2]&7](18,15,1.0,45,e);M=c[(e+8|0)>>2]|0;_c=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[_c+8>>2]|0)+2960>>3];if(ad!=0.0){cd=ad}else{cd=+lH(c[d+536>>2]|0,ad,7648088,8064,+h[_c>>3],(a[d+319|0]|0)!=0|0)}Be[M&7](18,23,1.0/cd,46,e);Be[c[(e+8|0)>>2]&7](19,14,1.0,47,e);cd=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[M+8>>2]|0)+616>>3];do{if(cd!=0.0){dd=ad/cd}else{if(ad==0.0){dd=ad;break}dd=ad/+lH(c[d+536>>2]|0,cd,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(dd>0.0){l=1.0}else{dd=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;cd=+h[(c[M+8>>2]|0)+616>>3];do{if(dd!=0.0){ed=cd/dd}else{if(cd==0.0){ed=cd;break}ed=cd/+lH(c[d+536>>2]|0,dd,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);l=+((ed<0.0)<<31>>31|0)}ed=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;dd=+h[(c[M+8>>2]|0)+616>>3];do{if(ed!=0.0){fd=dd/ed}else{if(dd==0.0){fd=dd;break}fd=dd/+lH(c[d+536>>2]|0,ed,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(fd>0.0){m=1.0}else{fd=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;ed=+h[(c[M+8>>2]|0)+616>>3];do{if(fd!=0.0){gd=ed/fd}else{if(ed==0.0){gd=ed;break}gd=ed/+lH(c[d+536>>2]|0,fd,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);m=+((gd<0.0)<<31>>31|0)}gd=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;fd=+h[(c[M+8>>2]|0)+616>>3];do{if(gd!=0.0){hd=fd/gd}else{if(fd==0.0){hd=fd;break}hd=fd/+lH(c[d+536>>2]|0,gd,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(hd>0.0){n=1.0}else{hd=+h[(c[(d+416|0)>>2]|0)+18656>>3];M=c[c[(d+4|0)>>2]>>2]|0;gd=+h[(c[M+8>>2]|0)+616>>3];do{if(hd!=0.0){id=gd/hd}else{if(gd==0.0){id=gd;break}id=gd/+lH(c[d+536>>2]|0,hd,7640768,8064,+h[M>>3],(a[d+319|0]|0)!=0|0)}}while(0);n=+((id<0.0)<<31>>31|0)}M=c[(d+416|0)>>2]|0;id=+h[M+18672>>3];hd=+h[M+18656>>3];_c=c[c[(d+4|0)>>2]>>2]|0;gd=+h[(c[_c+8>>2]|0)+616>>3];do{if(hd!=0.0){jd=gd/hd;kd=M;ld=hd;md=_c;nd=gd}else{if(gd==0.0){jd=gd;kd=M;ld=hd;md=_c;nd=gd;break}fd=gd/+lH(c[d+536>>2]|0,hd,7640768,8064,+h[_c>>3],(a[d+319|0]|0)!=0|0);Yc=c[(d+416|0)>>2]|0;Vc=c[c[(d+4|0)>>2]>>2]|0;jd=fd;kd=Yc;ld=+h[Yc+18656>>3];md=Vc;nd=+h[(c[Vc+8>>2]|0)+616>>3]}}while(0);hd=id*+V(+jd);do{if(ld!=0.0){od=nd/ld;r=kd;q=ld;p=md;o=nd}else{if(nd==0.0){od=nd;r=kd;q=ld;p=md;o=nd;break}jd=nd/+lH(c[d+536>>2]|0,ld,7640768,8064,+h[md>>3],(a[d+319|0]|0)!=0|0);_c=c[(d+416|0)>>2]|0;M=c[c[(d+4|0)>>2]>>2]|0;od=jd;r=_c;q=+h[_c+18656>>3];p=M;o=+h[(c[M+8>>2]|0)+616>>3]}}while(0);ld=+V(+od);s=hd+ +X(+ld,+(+h[r+18680>>3]))+1.0;t=c[(e+8|0)>>2]|0;u=+h[r+18648>>3];v=+h[r+18664>>3];w=q!=0.0;g[b+6872>>2]=l;g[b+6944>>2]=m;g[b+7016>>2]=n;g[b+7160>>2]=o;c[b+7168>>2]=p;g[b+7176>>2]=q;c[b+7184>>2]=r;g[b+7208>>2]=s;c[b+7216>>2]=t;g[b+7224>>2]=u;g[b+7232>>2]=v;c[b+7240>>2]=w;c[b+13768>>2]=x}



function d6(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;oaa(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=7703400;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=7703400;while(1){c[m>>2]=A;C=(we[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{Y$(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}y5(7659024)}}while(0);W_(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=_b(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;oaa(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=7703344;F=laa(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;W_(G);G$(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=7703344;while(1){c[q>>2]=o;v=(we[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{m0(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;W_(G);G$(r);i=d;return}y5(7659024)}function e6(a,b){a=a|0;b=b|0;Mb(((b|0)==-1?-1:b<<1)|0)|0;return}function f6(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=7702816;d=b+8|0;e=c[d>>2]|0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);if((e|0)==(c[1935196]|0)){f=b|0;W_(f);return}Zb(c[d>>2]|0);f=b|0;W_(f);return}function g6(a){a=a|0;a=Od(8)|0;Z_(a,7684040);c[a>>2]=7701728;Cc(a|0,7708072,50)}function h6(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=7703072;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);y$(b+144|0,7682952,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[1935229]=0;c[1935228]=7702776;if(!((c[1935474]|0)==-1)){c[G>>2]=7741896;c[G+4>>2]=20;c[G+8>>2]=0;r$(7741896,G,126)}i6(b,7740912,(c[1935475]|0)-1|0);c[1935227]=0;c[1935226]=7702736;if(!((c[1935472]|0)==-1)){c[F>>2]=7741888;c[F+4>>2]=20;c[F+8>>2]=0;r$(7741888,F,126)}i6(b,7740904,(c[1935473]|0)-1|0);c[1935279]=0;c[1935278]=7703184;c[1935280]=0;a[7741124]=0;c[1935280]=c[(gb()|0)>>2];if(!((c[1935554]|0)==-1)){c[E>>2]=7742216;c[E+4>>2]=20;c[E+8>>2]=0;r$(7742216,E,126)}i6(b,7741112,(c[1935555]|0)-1|0);c[1935277]=0;c[1935276]=7703104;if(!((c[1935552]|0)==-1)){c[D>>2]=7742208;c[D+4>>2]=20;c[D+8>>2]=0;r$(7742208,D,126)}i6(b,7741104,(c[1935553]|0)-1|0);c[1935231]=0;c[1935230]=7702872;if(!((c[1935478]|0)==-1)){c[C>>2]=7741912;c[C+4>>2]=20;c[C+8>>2]=0;r$(7741912,C,126)}i6(b,7740920,(c[1935479]|0)-1|0);c[1925319]=0;c[1925318]=7702816;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);c[1925320]=c[1935196];if(!((c[1935476]|0)==-1)){c[B>>2]=7741904;c[B+4>>2]=20;c[B+8>>2]=0;r$(7741904,B,126)}i6(b,7701272,(c[1935477]|0)-1|0);c[1935233]=0;c[1935232]=7702928;if(!((c[1935480]|0)==-1)){c[A>>2]=7741920;c[A+4>>2]=20;c[A+8>>2]=0;r$(7741920,A,126)}i6(b,7740928,(c[1935481]|0)-1|0);c[1935235]=0;c[1935234]=7702984;if(!((c[1935482]|0)==-1)){c[z>>2]=7741928;c[z+4>>2]=20;c[z+8>>2]=0;r$(7741928,z,126)}i6(b,7740936,(c[1935483]|0)-1|0);c[1935209]=0;c[1935208]=7702280;a[7740840]=46;a[7740841]=44;oaa(7740844,0,12)|0;if(!((c[1935458]|0)==-1)){c[y>>2]=7741832;c[y+4>>2]=20;c[y+8>>2]=0;r$(7741832,y,126)}i6(b,7740832,(c[1935459]|0)-1|0);c[1925311]=0;c[1925310]=7702232;c[1925312]=46;c[1925313]=44;oaa(7701256,0,12)|0;if(!((c[1935456]|0)==-1)){c[x>>2]=7741824;c[x+4>>2]=20;c[x+8>>2]=0;r$(7741824,x,126)}i6(b,7701240,(c[1935457]|0)-1|0);c[1935225]=0;c[1935224]=7702664;if(!((c[1935470]|0)==-1)){c[w>>2]=7741880;c[w+4>>2]=20;c[w+8>>2]=0;r$(7741880,w,126)}i6(b,7740896,(c[1935471]|0)-1|0);c[1935223]=0;c[1935222]=7702592;if(!((c[1935468]|0)==-1)){c[v>>2]=7741872;c[v+4>>2]=20;c[v+8>>2]=0;r$(7741872,v,126)}i6(b,7740888,(c[1935469]|0)-1|0);c[1935221]=0;c[1935220]=7702528;if(!((c[1935466]|0)==-1)){c[u>>2]=7741864;c[u+4>>2]=20;c[u+8>>2]=0;r$(7741864,u,126)}i6(b,7740880,(c[1935467]|0)-1|0);c[1935219]=0;c[1935218]=7702464;if(!((c[1935464]|0)==-1)){c[t>>2]=7741856;c[t+4>>2]=20;c[t+8>>2]=0;r$(7741856,t,126)}i6(b,7740872,(c[1935465]|0)-1|0);c[1935289]=0;c[1935288]=7704400;if(!((c[1935674]|0)==-1)){c[s>>2]=7742696;c[s+4>>2]=20;c[s+8>>2]=0;r$(7742696,s,126)}i6(b,7741152,(c[1935675]|0)-1|0);c[1935287]=0;c[1935286]=7704336;if(!((c[1935672]|0)==-1)){c[r>>2]=7742688;c[r+4>>2]=20;c[r+8>>2]=0;r$(7742688,r,126)}i6(b,7741144,(c[1935673]|0)-1|0);c[1935285]=0;c[1935284]=7704272;if(!((c[1935670]|0)==-1)){c[q>>2]=7742680;c[q+4>>2]=20;c[q+8>>2]=0;r$(7742680,q,126)}i6(b,7741136,(c[1935671]|0)-1|0);c[1935283]=0;c[1935282]=7704208;if(!((c[1935668]|0)==-1)){c[p>>2]=7742672;c[p+4>>2]=20;c[p+8>>2]=0;r$(7742672,p,126)}i6(b,7741128,(c[1935669]|0)-1|0);c[1935207]=0;c[1935206]=7701912;if(!((c[1935446]|0)==-1)){c[o>>2]=7741784;c[o+4>>2]=20;c[o+8>>2]=0;r$(7741784,o,126)}i6(b,7740824,(c[1935447]|0)-1|0);c[1935205]=0;c[1935204]=7701872;if(!((c[1935444]|0)==-1)){c[n>>2]=7741776;c[n+4>>2]=20;c[n+8>>2]=0;r$(7741776,n,126)}i6(b,7740816,(c[1935445]|0)-1|0);c[1935203]=0;c[1935202]=7701832;if(!((c[1935442]|0)==-1)){c[m>>2]=7741768;c[m+4>>2]=20;c[m+8>>2]=0;r$(7741768,m,126)}i6(b,7740808,(c[1935443]|0)-1|0);c[1935201]=0;c[1935200]=7701792;if(!((c[1935440]|0)==-1)){c[l>>2]=7741760;c[l+4>>2]=20;c[l+8>>2]=0;r$(7741760,l,126)}i6(b,7740800,(c[1935441]|0)-1|0);c[1925307]=0;c[1925306]=7702136;c[1925308]=7702184;if(!((c[1935454]|0)==-1)){c[k>>2]=7741816;c[k+4>>2]=20;c[k+8>>2]=0;r$(7741816,k,126)}i6(b,7701224,(c[1935455]|0)-1|0);c[1925303]=0;c[1925302]=7702040;c[1925304]=7702088;if(!((c[1935452]|0)==-1)){c[j>>2]=7741808;c[j+4>>2]=20;c[j+8>>2]=0;r$(7741808,j,126)}i6(b,7701208,(c[1935453]|0)-1|0);c[1925299]=0;c[1925298]=7703040;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);c[1925300]=c[1935196];c[1925298]=7702008;if(!((c[1935450]|0)==-1)){c[h>>2]=7741800;c[h+4>>2]=20;c[h+8>>2]=0;r$(7741800,h,126)}i6(b,7701192,(c[1935451]|0)-1|0);c[1925295]=0;c[1925294]=7703040;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);c[1925296]=c[1935196];c[1925294]=7701976;if(!((c[1935448]|0)==-1)){c[g>>2]=7741792;c[g+4>>2]=20;c[g+8>>2]=0;r$(7741792,g,126)}i6(b,7701176,(c[1935449]|0)-1|0);c[1935217]=0;c[1935216]=7702368;if(!((c[1935462]|0)==-1)){c[f>>2]=7741848;c[f+4>>2]=20;c[f+8>>2]=0;r$(7741848,f,126)}i6(b,7740864,(c[1935463]|0)-1|0);c[1935215]=0;c[1935214]=7702328;if(!((c[1935460]|0)==-1)){c[H>>2]=7741840;c[H+4>>2]=20;c[H+8>>2]=0;r$(7741840,H,126)}i6(b,7740856,(c[1935461]|0)-1|0);i=e;return}function i6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;X_(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){n8(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}Y_(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function j6(a){a=a|0;k6(a);T9(a);return}function k6(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=7703072;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{Y_(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}G$(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;W_(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;W_(l);return}else{T9(j);l=b|0;W_(l);return}}function l6(){var b=0,d=0;if((a[7742760]|0)!=0){b=c[1935188]|0;return b|0}if((fc(7742760)|0)==0){b=c[1935188]|0;return b|0}do{if((a[7742768]|0)==0){if((fc(7742768)|0)==0){break}h6(7740944,1);c[1935192]=7740944;c[1935190]=7740768}}while(0);d=c[c[1935190]>>2]|0;c[1935194]=d;X_(d|0);c[1935188]=7740776;b=c[1935188]|0;return b|0}function m6(a){a=a|0;var b=0;b=c[(l6()|0)>>2]|0;c[a>>2]=b;X_(b|0);return}function n6(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;X_(d|0);return}function o6(a){a=a|0;Y_(c[a>>2]|0)|0;return}function p6(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;r$(a,e,126)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function q6(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=20;c[e+8>>2]=0;r$(a,e,126)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=Od(4)|0;h=g;q9(h);Cc(g|0,7708024,182);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=Od(4)|0;h=g;q9(h);Cc(g|0,7708024,182);return 0}else{i=d;return f|0}return 0}function r6(a){a=a|0;W_(a|0);T9(a);return}function s6(a){a=a|0;if((a|0)==0){return}he[c[(c[a>>2]|0)+4>>2]&511](a);return}function t6(a){a=a|0;c[a+4>>2]=(I=c[1935484]|0,c[1935484]=I+1,I)+1;return}function u6(a){a=a|0;W_(a|0);T9(a);return}function v6(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function w6(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(gb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function x6(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function y6(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(gb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function z6(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Ud()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function A6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Ud()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function B6(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Wd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function C6(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Wd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function D6(a,b){a=a|0;b=b|0;return b<<24>>24|0}function E6(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function F6(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function G6(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function H6(b){b=b|0;var d=0;c[b>>2]=7703184;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}U9(d)}}while(0);W_(b|0);T9(b);return}function I6(b){b=b|0;var d=0;c[b>>2]=7703184;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}U9(d)}}while(0);W_(b|0);return}function J6(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Ud()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function K6(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Ud()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function L6(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Wd()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function M6(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Wd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function N6(a,b){a=a|0;b=b|0;return b|0}function O6(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function P6(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function Q6(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function R6(a){a=a|0;W_(a|0);T9(a);return}function S6(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function T6(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function U6(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function V6(a){a=a|0;return 1}function W6(a){a=a|0;return 1}function X6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function Y6(a){a=a|0;return 1}function Z6(a){a=a|0;f6(a);T9(a);return}function _6(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=td(c[t>>2]|0)|0;z=R8(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){td(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=td(c[t>>2]|0)|0;z=Q8(u,0,d)|0;if((y|0)!=0){td(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=td(c[t>>2]|0)|0;z=Q8(u,s,n)|0;if((p|0)!=0){td(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function $6(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=td(c[s>>2]|0)|0;y=N8(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){td(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=td(c[s>>2]|0)|0;F=M8(w,y,1,d)|0;if((E|0)!=0){td(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=td(c[s>>2]|0)|0;E=M8(v,r,x-r|0,n)|0;if((o|0)!=0){td(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function a7(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=td(c[b+8>>2]|0)|0;b=Q8(e,0,d)|0;if((j|0)!=0){td(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function b7(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=td(c[b>>2]|0)|0;d=P8(0,0,4)|0;if((a|0)!=0){td(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=td(d|0)|0;if((b|0)==0){e=0;return e|0}td(b|0)|0;e=0;return e|0}function c7(a){a=a|0;return 0}function d7(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=td(c[i>>2]|0)|0;l=L8(a,h-a|0,b)|0;if((k|0)!=0){td(k|0)|0}if((l|0)==0){m=1;n=a+1|0}else if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;o=15;break}else{m=l;n=a+l|0}l=m+d|0;k=j+1|0;if(k>>>0>=f>>>0|(n|0)==(e|0)){g=l;o=15;break}else{a=n;d=l;j=k}}if((o|0)==15){return g|0}return 0}function e7(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=td(b|0)|0;if((a|0)==0){d=4;break}td(a|0)|0;d=4}}while(0);return d|0}function f7(a){a=a|0;W_(a|0);T9(a);return}function g7(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=h7(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function h7(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function i7(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=j7(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function j7(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function k7(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function l7(a){a=a|0;return 0}function m7(a){a=a|0;return 0}function n7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return o7(c,d,e,1114111,0)|0}function o7(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function p7(a){a=a|0;return 4}function q7(a){a=a|0;W_(a|0);T9(a);return}function r7(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=s7(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function s7(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function t7(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=u7(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function u7(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function v7(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function w7(a){a=a|0;return 0}function x7(a){a=a|0;return 0}function y7(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return z7(c,d,e,1114111,0)|0}function z7(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function A7(a){a=a|0;return 4}function B7(a){a=a|0;W_(a|0);T9(a);return}function C7(a){a=a|0;W_(a|0);T9(a);return}function D7(a){a=a|0;c[a>>2]=7702280;G$(a+12|0);W_(a|0);T9(a);return}function E7(a){a=a|0;c[a>>2]=7702280;G$(a+12|0);W_(a|0);return}function F7(a){a=a|0;c[a>>2]=7702232;G$(a+16|0);W_(a|0);T9(a);return}function G7(a){a=a|0;c[a>>2]=7702232;G$(a+16|0);W_(a|0);return}function H7(b){b=b|0;return a[b+8|0]|0}function I7(a){a=a|0;return c[a+8>>2]|0}function J7(b){b=b|0;return a[b+9|0]|0}function K7(a){a=a|0;return c[a+12>>2]|0}function L7(a,b){a=a|0;b=b|0;w$(a,b+12|0);return}function M7(a,b){a=a|0;b=b|0;w$(a,b+16|0);return}function N7(a,b){a=a|0;b=b|0;y$(a,7674640,4);return}function O7(a,b){a=a|0;b=b|0;g0(a,7673504,l9(7673504)|0);return}function P7(a,b){a=a|0;b=b|0;y$(a,7672464,5);return}function Q7(a,b){a=a|0;b=b|0;g0(a,7671632,l9(7671632)|0);return}function R7(b){b=b|0;var d=0;if((a[7742856]|0)!=0){d=c[1935314]|0;return d|0}if((fc(7742856)|0)==0){d=c[1935314]|0;return d|0}do{if((a[7742744]|0)==0){if((fc(7742744)|0)==0){break}oaa(7740296,0,168)|0;Hb(332,0,s|0)|0}}while(0);J$(7740296,7691200)|0;J$(7740308,7690624)|0;J$(7740320,7690312)|0;J$(7740332,7689928)|0;J$(7740344,7689704)|0;J$(7740356,7689496)|0;J$(7740368,7689288)|0;J$(7740380,7689208)|0;J$(7740392,7689152)|0;J$(7740404,7688864)|0;J$(7740416,7688656)|0;J$(7740428,7688200)|0;J$(7740440,7688112)|0;J$(7740452,7687776)|0;c[1935314]=7740296;d=c[1935314]|0;return d|0}function S7(b){b=b|0;var d=0;if((a[7742800]|0)!=0){d=c[1935292]|0;return d|0}if((fc(7742800)|0)==0){d=c[1935292]|0;return d|0}do{if((a[7742720]|0)==0){if((fc(7742720)|0)==0){break}oaa(7739552,0,168)|0;Hb(122,0,s|0)|0}}while(0);j0(7739552,7697328)|0;j0(7739564,7696944)|0;j0(7739576,7696600)|0;j0(7739588,7696408)|0;j0(7739600,7695720)|0;j0(7739612,7695120)|0;j0(7739624,7694344)|0;j0(7739636,7693992)|0;j0(7739648,7693464)|0;j0(7739660,7692968)|0;j0(7739672,7692776)|0;j0(7739684,7692512)|0;j0(7739696,7692144)|0;j0(7739708,7691800)|0;c[1935292]=7739552;d=c[1935292]|0;return d|0}function T7(b){b=b|0;var d=0;if((a[7742848]|0)!=0){d=c[1935312]|0;return d|0}if((fc(7742848)|0)==0){d=c[1935312]|0;return d|0}do{if((a[7742736]|0)==0){if((fc(7742736)|0)==0){break}oaa(7740008,0,288)|0;Hb(220,0,s|0)|0}}while(0);J$(7740008,7629432)|0;J$(7740020,7628544)|0;J$(7740032,7628112)|0;J$(7740044,7627624)|0;J$(7740056,7627024)|0;J$(7740068,7626608)|0;J$(7740080,7625792)|0;J$(7740092,7625424)|0;J$(7740104,7624960)|0;J$(7740116,7624200)|0;J$(7740128,7622952)|0;J$(7740140,7622672)|0;J$(7740152,7622072)|0;J$(7740164,7621712)|0;J$(7740176,7621432)|0;J$(7740188,5757520)|0;J$(7740200,7627024)|0;J$(7740212,32584)|0;J$(7740224,32280)|0;J$(7740236,7700368)|0;J$(7740248,7699824)|0;J$(7740260,7699200)|0;J$(7740272,7698544)|0;J$(7740284,7697984)|0;c[1935312]=7740008;d=c[1935312]|0;return d|0}function U7(b){b=b|0;var d=0;if((a[7742792]|0)!=0){d=c[1935290]|0;return d|0}if((fc(7742792)|0)==0){d=c[1935290]|0;return d|0}do{if((a[7742712]|0)==0){if((fc(7742712)|0)==0){break}oaa(7739264,0,288)|0;Hb(168,0,s|0)|0}}while(0);j0(7739264,7645736)|0;j0(7739276,7645272)|0;j0(7739288,7644736)|0;j0(7739300,7644240)|0;j0(7739312,7634504)|0;j0(7739324,7641144)|0;j0(7739336,7640656)|0;j0(7739348,7640096)|0;j0(7739360,7639696)|0;j0(7739372,7639040)|0;j0(7739384,7638376)|0;j0(7739396,7637952)|0;j0(7739408,7637440)|0;j0(7739420,7637072)|0;j0(7739432,7636192)|0;j0(7739444,7635192)|0;j0(7739456,7634504)|0;j0(7739468,7634048)|0;j0(7739480,7633432)|0;j0(7739492,7632400)|0;j0(7739504,7631992)|0;j0(7739516,7631272)|0;j0(7739528,7630848)|0;j0(7739540,7630568)|0;c[1935290]=7739264;d=c[1935290]|0;return d|0}function V7(b){b=b|0;var d=0;if((a[7742864]|0)!=0){d=c[1935316]|0;return d|0}if((fc(7742864)|0)==0){d=c[1935316]|0;return d|0}do{if((a[7742752]|0)==0){if((fc(7742752)|0)==0){break}oaa(7740464,0,288)|0;Hb(166,0,s|0)|0}}while(0);J$(7740464,7647344)|0;J$(7740476,7646872)|0;c[1935316]=7740464;d=c[1935316]|0;return d|0}function W7(b){b=b|0;var d=0;if((a[7742808]|0)!=0){d=c[1935294]|0;return d|0}if((fc(7742808)|0)==0){d=c[1935294]|0;return d|0}do{if((a[7742728]|0)==0){if((fc(7742728)|0)==0){break}oaa(7739720,0,288)|0;Hb(308,0,s|0)|0}}while(0);j0(7739720,7649752)|0;j0(7739732,7648520)|0;c[1935294]=7739720;d=c[1935294]|0;return d|0}function X7(b){b=b|0;if((a[7742872]|0)!=0){return 7741272}if((fc(7742872)|0)==0){return 7741272}y$(7741272,7669224,8);Hb(324,7741272,s|0)|0;return 7741272}function Y7(b){b=b|0;if((a[7742816]|0)!=0){return 7741184}if((fc(7742816)|0)==0){return 7741184}g0(7741184,7668264,l9(7668264)|0);Hb(90,7741184,s|0)|0;return 7741184}function Z7(b){b=b|0;if((a[7742896]|0)!=0){return 7741320}if((fc(7742896)|0)==0){return 7741320}y$(7741320,7666608,8);Hb(324,7741320,s|0)|0;return 7741320}function _7(b){b=b|0;if((a[7742840]|0)!=0){return 7741232}if((fc(7742840)|0)==0){return 7741232}g0(7741232,7665328,l9(7665328)|0);Hb(90,7741232,s|0)|0;return 7741232}function $7(b){b=b|0;if((a[7742888]|0)!=0){return 7741304}if((fc(7742888)|0)==0){return 7741304}y$(7741304,7663952,20);Hb(324,7741304,s|0)|0;return 7741304}function a8(b){b=b|0;if((a[7742832]|0)!=0){return 7741216}if((fc(7742832)|0)==0){return 7741216}g0(7741216,7663024,l9(7663024)|0);Hb(90,7741216,s|0)|0;return 7741216}function b8(b){b=b|0;if((a[7742880]|0)!=0){return 7741288}if((fc(7742880)|0)==0){return 7741288}y$(7741288,7661968,11);Hb(324,7741288,s|0)|0;return 7741288}function c8(b){b=b|0;if((a[7742824]|0)!=0){return 7741200}if((fc(7742824)|0)==0){return 7741200}g0(7741200,7660720,l9(7660720)|0);Hb(90,7741200,s|0)|0;return 7741200}function d8(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=kd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=+haa(b,g,c[1935196]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function e8(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=kd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=+haa(b,g,c[1935196]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function f8(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=kd()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);l=+haa(b,g,c[1935196]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function g8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=kd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);n=Kc(b|0,h|0,f|0,c[1935196]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function h8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=kd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);m=Kc(b|0,h|0,f|0,c[1935196]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function i8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=kd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);m=Kc(b|0,h|0,f|0,c[1935196]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function j8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=kd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);m=Kc(b|0,h|0,f|0,c[1935196]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function k8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=kd()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);n=Rc(b|0,h|0,f|0,c[1935196]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function l8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=kd()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[7742776]|0)==0){if((fc(7742776)|0)==0){break}c[1935196]=qb(2147483647,7682952,0)|0}}while(0);m=Rc(b|0,h|0,f|0,c[1935196]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function m8(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;he[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;he[f&511](a);return}}function n8(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){g6(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=R9(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;naa(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{T9(g);return}}function o8(a){a=a|0;i0(7739996);i0(7739984);i0(7739972);i0(7739960);i0(7739948);i0(7739936);i0(7739924);i0(7739912);i0(7739900);i0(7739888);i0(7739876);i0(7739864);i0(7739852);i0(7739840);i0(7739828);i0(7739816);i0(7739804);i0(7739792);i0(7739780);i0(7739768);i0(7739756);i0(7739744);i0(7739732);i0(7739720);return}function p8(a){a=a|0;G$(7740740);G$(7740728);G$(7740716);G$(7740704);G$(7740692);G$(7740680);G$(7740668);G$(7740656);G$(7740644);G$(7740632);G$(7740620);G$(7740608);G$(7740596);G$(7740584);G$(7740572);G$(7740560);G$(7740548);G$(7740536);G$(7740524);G$(7740512);G$(7740500);G$(7740488);G$(7740476);G$(7740464);return}function q8(a){a=a|0;i0(7739540);i0(7739528);i0(7739516);i0(7739504);i0(7739492);i0(7739480);i0(7739468);i0(7739456);i0(7739444);i0(7739432);i0(7739420);i0(7739408);i0(7739396);i0(7739384);i0(7739372);i0(7739360);i0(7739348);i0(7739336);i0(7739324);i0(7739312);i0(7739300);i0(7739288);i0(7739276);i0(7739264);return}function r8(a){a=a|0;G$(7740284);G$(7740272);G$(7740260);G$(7740248);G$(7740236);G$(7740224);G$(7740212);G$(7740200);G$(7740188);G$(7740176);G$(7740164);G$(7740152);G$(7740140);G$(7740128);G$(7740116);G$(7740104);G$(7740092);G$(7740080);G$(7740068);G$(7740056);G$(7740044);G$(7740032);G$(7740020);G$(7740008);return}function s8(a){a=a|0;i0(7739708);i0(7739696);i0(7739684);i0(7739672);i0(7739660);i0(7739648);i0(7739636);i0(7739624);i0(7739612);i0(7739600);i0(7739588);i0(7739576);i0(7739564);i0(7739552);return}function t8(a){a=a|0;G$(7740452);G$(7740440);G$(7740428);G$(7740416);G$(7740404);G$(7740392);G$(7740380);G$(7740368);G$(7740356);G$(7740344);G$(7740332);G$(7740320);G$(7740308);G$(7740296);return}function u8(a){a=a|0;var b=0;if((A8(a)|0)!=0){b=1;return b|0}b=(v8(a)|0)!=0|0;return b|0}function v8(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function w8(a){a=a|0;return uc(a|0)|0}function x8(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function y8(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 7:{c=C8(a)|0;break};case 3:{c=w8(a)|0;break};case 11:{c=G8(a)|0;break};case 12:{c=H8(a)|0;break};case 5:{c=A8(a)|0;break};case 2:{c=v8(a)|0;break};case 8:{c=D8(a)|0;break};case 9:{c=E8(a)|0;break};case 4:{c=x8(a)|0;break};case 10:{c=F8(a)|0;break};case 6:{c=B8(a)|0;break};case 1:{c=u8(a)|0;break};default:{c=0}}return c|0}function z8(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 108:{if((jaa(b,404)|0)==0){d=7}else{e=16}break};case 97:{if((jaa(b,368)|0)==0){d=1;break a}if((jaa(b,374)|0)==0){d=2}else{e=16}break};case 115:{e=13;break};case 100:{if((jaa(b,392)|0)==0){d=5}else{e=16}break};case 98:{if((jaa(b,380)|0)==0){d=3}else{e=16}break};case 103:{if((jaa(b,398)|0)==0){d=6}else{e=16}break};case 120:{e=15;break};case 112:{if((jaa(b,410)|0)==0){d=8;break a}if((jaa(b,416)|0)==0){d=9;break a}if((c<<24>>24|0)==115){e=13}else if((c<<24>>24|0)==120){e=15}else if((c<<24>>24|0)==117){e=14}else{e=16}break};case 117:{e=14;break};case 99:{if((jaa(b,386)|0)==0){d=4}else{e=16}break};default:{e=16}}}while(0);if((e|0)==13){if((jaa(b,422)|0)==0){d=10}else{e=16}}else if((e|0)==14){if((jaa(b,428)|0)==0){d=11}else{e=16}}else if((e|0)==15){if((jaa(b,434)|0)==0){d=12}else{e=16}}if((e|0)==16){d=0}return d|0}function A8(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function B8(a){a=a|0;var b=0;if((F8(a)|0)!=0){b=0;return b|0}b=(D8(a)|0)!=0|0;return b|0}function C8(a){a=a|0;var b=0;if((I8(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function D8(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function E8(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function F8(a){a=a|0;return(k9(15728,a)|0)!=0|0}function G8(a){a=a|0;return(K8(a)|0)!=(a|0)|0}function H8(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function I8(a){a=a|0;return J8(a,0)|0}function J8(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((v8(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[29058+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[29056+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[29059+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8152+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8152+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function K8(a){a=a|0;return J8(a,1)|0}function L8(a,b,c){a=a|0;b=b|0;c=c|0;return M8(0,a,b,(c|0)!=0?c:7724704)|0}function M8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?7724696:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[7700968+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(kd()|0)>>2]=84;k=-1;i=g;return k|0}function N8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=O8(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=M8(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==(-1|0)){D=-1;break}else if((J|0)==0){c[j>>2]=0;D=G;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function O8(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[7700968+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[7700968+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(kd()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function P8(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[7700968+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(kd()|0)>>2]=84;j=-1;i=g;return j|0}function Q8(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(kd()|0)>>2]=84;f=-1;return f|0}return 0}function R8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=S8(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=Q8(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function S8(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=Q8(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=Q8(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=Q8(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}Q8(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function T8(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=L9(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=L9(2048)|0;c[o+16>>2]=r;if((r|0)==0){M9(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=h9(0,0)|0;if((s|0)==0){M9(r);M9(o);q=12;i=e;return q|0}oaa(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=U8(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=N9(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=V8(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=L9(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;oaa(x|0,-1|0,u|0)|0;H=G}else{H=0}G=N9(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=N9(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=V8(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=$8(p,w)|0;b:do{if((u|0)==0){x=$8(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==2){S=c[R+4>>2]|0;T=$8(p,K)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,R)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,1)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,0)|0;if((T|0)!=0){U=T;V=L;break c}if((c[S+4>>2]|0)>1){E=45}else{if((c[S+8>>2]|0)>1){E=45}else{W=K}}if((E|0)==45){E=0;c[h>>2]=0;W=0}X=M+1|0;Y=L;Z=W;break}else if((O|0)==0){S=c[R+4>>2]|0;T=c[S>>2]|0;if(!((T|0)>-1|(T|0)==-4)){X=M;Y=L;Z=K;break}T=S+8|0;S=(c[T>>2]|0)+K|0;c[T>>2]=S;if((S|0)<=(c[j>>2]|0)){X=M;Y=L;Z=K;break}c[j>>2]=S;X=M;Y=L;Z=K;break}else if((O|0)==3){S=c[R+4>>2]|0;T=$8(p,c[S+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}_=$8(p,0)|0}else if((O|0)==1){O=c[R+4>>2]|0;T=$8(p,c[O+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=$8(p,c[O>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}_=$8(p,0)|0}else{X=M;Y=L;Z=K;break}if((_|0)==0){X=M;Y=L;Z=K}else{U=_;V=L;break c}}else if((Q|0)==1){T=R+4|0;O=c[T>>2]|0;S=N-3|0;c[t>>2]=S;$=c[P+(S<<2)>>2]|0;c[h>>2]=$;S=O+4|0;aa=c[S>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=O;E=51}else{if((c[O+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=O;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=a9(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=j9(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=j9(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[S>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;S=O+8|0;aa=c[S>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=a9(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=j9(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=j9(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=a9(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=j9(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=j9(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=j9(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=j9(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=j9(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=j9(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[S>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}S=j9(s,0,0,1,32)|0;if((S|0)==0){I=12;break b}aa=j9(s,0,0,1,8)|0;O=S+4|0;c[O>>2]=aa;if((aa|0)==0){I=12;break b}c[S>>2]=1;c[S+8>>2]=-1;c[S+12>>2]=-1;c[aa>>2]=fa;c[(c[O>>2]|0)+4>>2]=ra;c[S+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=S;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[T>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}S=M-1|0;O=ca-$+L|0;if((S|0)!=0){X=S;Y=O;Z=ca;break}c[h>>2]=O;X=0;Y=O;Z=O}else{X=M;Y=L;Z=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=Z;L=Y;M=X;N=R}else{U=0;V=Y;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{U=0;V=0}}while(0);x=(c[G>>2]|0)+V|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=U;break}c[G>>2]=J;I=U}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=j9(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=j9(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=j9(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=j9(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=$8(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=$8(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==1){L=c[xa+4>>2]|0;K=L;P=c[K>>2]|0;Q=L+4|0;L=c[Q>>2]|0;if((c[P+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;O=Z8(s,c[P+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=O;if((O|0)==0){y=12;z=C;A=0;B=0;break a}O=Z8(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[Q>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=O;if((O|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==2){O=c[xa+4>>2]|0;Q=O;K=c[Q>>2]|0;L=K+8|0;if((c[L>>2]|0)==0){za=0}else{za=(c[(c[O+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[L>>2]|0)==0){c[xa+24>>2]=c[K+24>>2];Aa=O+4|0}else{L=_8(p,K,0,0,f)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}Ba=L9((c[f>>2]<<2)+4|0)|0;L=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[L>>2]=-1;c[g>>2]=0;Ca=_8(p,c[Q>>2]|0,L,g,0)|0;if((Ca|0)!=0){E=151;break g}K=O+4|0;O=xa+24|0;c[O>>2]=Z8(s,c[(c[K>>2]|0)+24>>2]|0,c[(c[Q>>2]|0)+24>>2]|0,L,c[g>>2]|0)|0;M9(Ba);if((c[O>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=K}}K=c[Aa>>2]|0;if((c[K+8>>2]|0)==0){c[xa+28>>2]=c[K+28>>2];break}O=_8(p,K,0,0,f)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}Da=L9((c[f>>2]<<2)+4|0)|0;O=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[O>>2]=-1;c[g>>2]=0;Ea=_8(p,c[Aa>>2]|0,O,g,0)|0;if((Ea|0)!=0){E=158;break g}K=xa+28|0;c[K>>2]=Z8(s,c[(c[Q>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,O,c[g>>2]|0)|0;M9(Da);if((c[K>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==0){K=c[xa>>2]|0;if((K|0)==2){O=$8(p,xa)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=$8(p,3)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=$8(p,c[c[xa+4>>2]>>2]|0)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=$8(p,0)|0;if((O|0)==0){break}else{y=O;z=C;A=0;B=0;break a}}else if((K|0)==0){O=c[xa+4>>2]|0;Q=O;L=c[Q>>2]|0;if((L|0)==-4){c[xa+8>>2]=0;P=O+8|0;S=c[P>>2]|0;aa=j9(s,0,0,1,64)|0;if((aa|0)==0){E=105;break g}c[aa>>2]=S;c[aa+4>>2]=0;c[aa+8>>2]=1114111;c[aa+20>>2]=0;c[aa+24>>2]=0;oaa(aa+28|0,-1|0,16)|0;c[xa+24>>2]=aa;aa=c[P>>2]|0;P=c[O+4>>2]|0;S=j9(s,0,0,1,64)|0;if((S|0)==0){E=107;break g}c[S>>2]=aa;c[S+4>>2]=0;c[S+8>>2]=1114111;c[S+20>>2]=0;c[S+24>>2]=0;c[S+28>>2]=P;c[S+32>>2]=-1;c[S+36>>2]=-1;c[S+40>>2]=-1;c[xa+28>>2]=S;break}S=xa+8|0;if((L|0)<0){c[S>>2]=1;P=j9(s,0,0,1,32)|0;if((P|0)==0){E=111;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+24>>2]=P;P=j9(s,0,0,1,32)|0;if((P|0)==0){E=113;break g}c[P>>2]=-1;c[P+4>>2]=-1;c[P+8>>2]=-1;c[xa+28>>2]=P;break}else{c[S>>2]=0;S=O+8|0;P=c[S>>2]|0;aa=O+4|0;la=c[aa>>2]|0;da=j9(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=P;c[da+4>>2]=L;c[da+8>>2]=la;c[da+20>>2]=0;c[da+24>>2]=0;oaa(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[S>>2]|0;S=c[Q>>2]|0;Q=c[aa>>2]|0;aa=c[O+12>>2]|0;la=c[O+16>>2]|0;O=j9(s,0,0,1,64)|0;if((O|0)==0){E=118;break g}c[O>>2]=da;c[O+4>>2]=S;c[O+8>>2]=Q;c[O+20>>2]=aa;c[O+24>>2]=la;oaa(O+28|0,-1|0,16)|0;c[xa+28>>2]=O;break}}else if((K|0)==3){O=$8(p,xa)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=$8(p,1)|0;if((O|0)!=0){y=O;z=C;A=0;B=0;break a}O=xa+4|0;la=$8(p,c[(c[O>>2]|0)+4>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,c[c[O>>2]>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,0)|0;if((la|0)==0){break}else{y=la;z=C;A=0;B=0;break a}}else if((K|0)==1){K=$8(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=$8(p,2)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;la=$8(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,c[c[K>>2]>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=$8(p,0)|0;if((la|0)==0){break}else{y=la;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==3){la=c[xa+4>>2]|0;K=la;O=c[K>>2]|0;do{if((c[la+4>>2]|0)==0){E=142}else{if((c[O+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[O+24>>2];c[xa+28>>2]=c[(c[K>>2]|0)+28>>2]}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){M9(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){M9(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=L9(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=L9(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){oaa(N|0,0,((D|0)>1?D<<2:4)|0)|0}W8(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;la=w+(x<<2)|0;aa=R+1+(c[la>>2]|0)|0;c[la>>2]=0;la=x+1|0;if((la|0)<(D|0)){x=la;R=aa}else{Fa=aa;break}}}else{Fa=0}R=N9(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=W8(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;aa=c[D>>2]|0;if((c[aa>>2]|0)>-1){la=1;Q=aa;while(1){aa=Q+32|0;S=la+1|0;if((c[aa>>2]|0)>-1){la=S;Q=aa}else{Ga=S;break}}}else{Ga=1}Q=N9(Ga,32)|0;la=Q;if((Q|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=la;Q=c[D>>2]|0;J=c[Q>>2]|0;if((J|0)>-1){S=0;aa=Q;Q=J;while(1){c[la+(S<<5)+8>>2]=x+(c[t+(Q<<2)>>2]<<5);c[la+(S<<5)+12>>2]=Q;J=la+(S<<5)+16|0;c[J>>2]=0;da=aa+12|0;L=c[da>>2]|0;if((L|0)!=0){P=0;while(1){Ha=P+1|0;if((c[L+(P<<2)>>2]|0)>-1){P=Ha}else{break}}P=Ha<<2;L=L9(P)|0;c[J>>2]=L;if((L|0)==0){y=12;z=C;A=w;B=t;break a}naa(L|0,c[da>>2]|0,P)|0}c[la+(S<<5)+20>>2]=c[aa+16>>2];P=S+1|0;L=aa+32|0;ja=c[L>>2]|0;if((ja|0)>-1){S=P;aa=L;Q=ja}else{Ia=P;break}}}else{Ia=0}c[la+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;i9(s);M9(c[o+16>>2]|0);M9(o);M9(N);M9(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);i9(s);M9(c[o+16>>2]|0);M9(o);if((A|0)!=0){M9(A)}if((B|0)!=0){M9(B)}c[a+4>>2]=z;X8(a);q=y;i=e;return q|0}function U8(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;$8(m,c[p>>2]|0)|0;$8(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=$8(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 0:{if((c[v>>2]&1|0)!=0){Q=$8(m,7)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}}U=$8(m,3)|0;V=M;W=L;break};case 3:{Q=$8(m,5)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}U=$8(m,4)|0;V=M;W=L;break};case 4:{Q=$8(m,9)|0;if((Q|0)!=0){R=Q;S=M;T=6;break b}U=$8(m,1)|0;V=M;W=L;break};case 5:{Q=c[q>>2]|0;X=a[Q]|0;if(X<<24>>24==0){U=0;V=M;W=L;break c}Y=c[v>>2]&1;Z=(Y|0)!=0;if(Z&X<<24>>24==124){U=0;V=M;W=L;break c}do{if(!(Z&X<<24>>24==41&(M|0)>0)){if((Y|0)==0&X<<24>>24==92){if((a[Q+1|0]|0)==41){break}}_=$8(m,5)|0;if((_|0)!=0){R=_;S=M;T=6;break b}_=$8(m,L)|0;if((_|0)!=0){R=_;S=M;T=6;break b}_=$8(m,6)|0;if((_|0)!=0){R=_;S=M;T=6;break b}U=$8(m,4)|0;V=M;W=L;break c}}while(0);X=(Y|M|0)==0?8:0;Z=M-1|0;if((Y|0)!=0){U=X;V=Z;W=L;break c}c[q>>2]=Q+2;U=X;V=Z;W=L;break};case 6:{Z=N-2|0;c[n>>2]=Z;X=c[P+(Z<<2)>>2]|0;Z=c[w>>2]|0;_=j9(Z,0,0,1,32)|0;if((_|0)==0){$=12;T=293;break b}aa=j9(Z,0,0,1,8)|0;Z=_+4|0;c[Z>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[_>>2]=1;c[_+8>>2]=-1;c[_+12>>2]=-1;c[aa>>2]=X;c[(c[Z>>2]|0)+4>>2]=L;c[_+16>>2]=(c[L+16>>2]|0)+(c[X+16>>2]|0);U=0;V=M;W=_;break};case 7:{_=c[q>>2]|0;X=a[_]|0;if((X|0)==41){c[q>>2]=_+1;U=0;V=M;W=L;break c}else if((X|0)!=124){U=0;V=M;W=L;break c}X=$8(m,7)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=$8(m,L)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=$8(m,8)|0;if((X|0)!=0){R=X;S=M;T=6;break b}X=$8(m,3)|0;if((X|0)!=0){R=X;S=M;T=6;break b}c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=L;break};case 8:{X=N-2|0;c[n>>2]=X;_=c[P+(X<<2)>>2]|0;X=c[w>>2]|0;Z=j9(X,0,0,1,32)|0;if((Z|0)==0){$=12;T=293;break b}aa=j9(X,0,0,1,8)|0;X=Z+4|0;c[X>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[Z>>2]=3;c[Z+8>>2]=-1;c[Z+12>>2]=-1;c[aa>>2]=_;c[(c[X>>2]|0)+4>>2]=L;c[Z+16>>2]=(c[L+16>>2]|0)+(c[_+16>>2]|0);U=0;V=M;W=Z;break};case 9:{Z=c[q>>2]|0;_=a[Z]|0;switch(_<<24>>24|0){case 43:case 63:{if((c[v>>2]&1|0)==0){U=0;V=M;W=L;break c}else{T=41}break};case 42:{T=41;break};case 92:{X=c[v>>2]|0;if((X&1|0)!=0){U=0;V=M;W=L;break c}aa=Z+1|0;if((a[aa]|0)!=123){U=0;V=M;W=L;break c}c[q>>2]=aa;ba=aa;ca=X;break};case 123:{X=c[v>>2]|0;if((X&1|0)==0){U=0;V=M;W=L;break c}else{ba=Z;ca=X}break};default:{U=0;V=M;W=L;break c}}if((T|0)==41){T=0;c[q>>2]=Z+1;Z=c[w>>2]|0;X=j9(Z,0,0,1,32)|0;if((X|0)==0){$=12;T=293;break b}aa=j9(Z,0,0,1,16)|0;c[X+4>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[X>>2]=2;c[X+8>>2]=-1;c[X+12>>2]=-1;c[aa>>2]=L;c[aa+4>>2]=_<<24>>24==43;c[aa+8>>2]=_<<24>>24==63?1:-1;_=aa+12|0;c[_>>2]=c[_>>2]&-2;c[X+16>>2]=c[L+16>>2];U=$8(m,9)|0;V=M;W=X;break c}X=ba+1|0;c[q>>2]=X;_=a[X]|0;if((_-48&255)>>>0<10>>>0){aa=_<<24>>24;if((aa-48|0)>>>0<10>>>0){da=-1;ea=X;fa=aa}else{$=10;T=293;break b}while(1){aa=((da|0)<0?-48:(da*10|0)-48|0)+fa|0;Z=ea+1|0;ga=a[Z]|0;ha=ga<<24>>24;if((ha-48|0)>>>0<10>>>0){da=aa;ea=Z;fa=ha}else{ia=aa;ja=Z;ka=ga;break}}}else{ia=-1;ja=X;ka=_}do{if(ka<<24>>24==44){Q=ja+1|0;Y=a[Q]|0;ga=Y<<24>>24;if((ga-48|0)>>>0<10>>>0){la=-1;ma=Q;na=ga}else{oa=Q;pa=-1;qa=Y;break}while(1){Y=((la|0)<0?-48:(la*10|0)-48|0)+na|0;Q=ma+1|0;ga=a[Q]|0;Z=ga<<24>>24;if((Z-48|0)>>>0<10>>>0){la=Y;ma=Q;na=Z}else{ra=Y;sa=Q;ta=ga;T=54;break}}}else{ra=ia;sa=ja;ta=ka;T=54}}while(0);do{if((T|0)==54){T=0;if(!((ra|0)>-1)){oa=sa;pa=ra;qa=ta;break}if((ia|0)>(ra|0)|(ra|0)>255){$=10;T=293;break b}else{oa=sa;pa=ra;qa=ta}}}while(0);if(qa<<24>>24==0){$=9;T=293;break b}if((oa|0)==(X|0)){$=10;T=293;break b}if((ca&1|0)==0){if(!(qa<<24>>24==92)){$=10;T=293;break b}if((a[oa+1|0]|0)!=125){$=10;T=293;break b}ua=oa+2|0}else{if(!(qa<<24>>24==125)){$=10;T=293;break b}ua=oa+1|0}if((pa|ia|0)==0){_=c[w>>2]|0;ga=j9(_,0,0,1,32)|0;if((ga|0)==0){$=12;T=293;break b}Q=j9(_,0,0,1,20)|0;c[ga+4>>2]=Q;if((Q|0)==0){$=12;T=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[Q>>2]=-1;c[Q+4>>2]=-1;c[Q+8>>2]=-1;va=ga}else{ga=(pa&ia|0)<0;Q=c[w>>2]|0;_=j9(Q,0,0,1,32)|0;if((_|0)==0){$=12;T=293;break b}Y=j9(Q,0,0,1,16)|0;c[_+4>>2]=Y;if((Y|0)==0){$=12;T=293;break b}c[_>>2]=2;c[_+8>>2]=-1;c[_+12>>2]=-1;c[Y>>2]=L;c[Y+4>>2]=ga?1:ia;c[Y+8>>2]=ga?1:pa;ga=Y+12|0;c[ga>>2]=c[ga>>2]&-2;c[_+16>>2]=c[L+16>>2];va=_}c[q>>2]=ua;U=$8(m,9)|0;V=M;W=va;break};case 1:{_=c[q>>2]|0;d:do{switch(a[_]|0){case 40:{if((c[v>>2]&1|0)!=0){wa=_;T=74}break};case 91:{ga=_+1|0;c[q>>2]=ga;Y=L9(128)|0;if((Y|0)==0){$=12;T=293;break b}if((a[ga]|0)==94){Q=_+2|0;c[q>>2]=Q;xa=1;ya=Q}else{xa=0;ya=ga}ga=(xa|0)==0;Q=ya;Z=32;aa=0;ha=0;za=Y;e:while(1){Y=a[Q]|0;if((Y<<24>>24|0)==93){if(Q>>>0>(c[q>>2]|0)>>>0){T=85;break}}else if((Y<<24>>24|0)==0){Aa=Q;Ba=7;Ca=za;T=140;break}Y=P8(e,Q,-1)|0;if((Y|0)<0){c[e>>2]=-1;Da=1}else{Da=Y}Y=Q+Da|0;do{if((a[Y]|0)==45){Ea=Da+1|0;Fa=Q+Ea|0;if((a[Fa]|0)==93){T=94;break}Ga=c[e>>2]|0;Ha=P8(e,Fa,-1)|0;if((Ha|0)<0){c[e>>2]=-1;Ia=1;Ja=-1}else{Ia=Ha;Ja=c[e>>2]|0}Ka=Q+(Ia+Ea)|0;La=Ja;Ma=Ga;Na=Ga>>>0>Ja>>>0?11:0;Oa=0}else{T=94}}while(0);f:do{if((T|0)==94){T=0;Ga=a[Q]|0;do{if((Ga<<24>>24|0)==91){Ea=a[Q+1|0]|0;if((Ea<<24>>24|0)==46|(Ea<<24>>24|0)==61){Aa=Q;Ba=3;Ca=za;T=140;break e}else if((Ea<<24>>24|0)!=58){Pa=0;break}Ea=Q+2|0;Ha=Ea;while(1){Fa=a[Ha]|0;Qa=Fa<<24>>24==0;if(Fa<<24>>24!=58&(Qa^1)){Ha=Ha+1|0}else{break}}if(Qa){Aa=Q;Ba=4;Ca=za;T=140;break e}Fa=Ha-Q-2|0;Ra=(Fa|0)>63?63:Fa;maa(A|0,Ea|0,Ra|0)|0;a[f+Ra|0]=0;Ra=z8(A)|0;Ka=Ha+2|0;La=1114111;Ma=0;Na=(Ra|0)==0?4:0;Oa=Ra;break f}else if((Ga<<24>>24|0)==45){if((a[Q+1|0]|0)==93){Pa=0;break}Pa=(c[q>>2]|0)==(Q|0)?0:11}else{Pa=0}}while(0);Ga=c[e>>2]|0;Ka=Y;La=Ga;Ma=Ga;Na=Pa;Oa=0}}while(0);if((Na|0)!=0){Aa=Ka;Ba=Na;Ca=za;T=140;break}Y=(Oa|0)!=0;do{if(ga|Y^1){Ga=c[w>>2]|0;if((aa|0)<(Z|0)){Sa=Z;Ta=za}else{if((Z|0)>1024){Aa=Ka;Ba=12;Ca=za;T=140;break e}Ra=O9(za,Z<<3)|0;if((Ra|0)==0){Aa=Ka;Ba=12;Ca=za;T=140;break e}else{Sa=Z<<1;Ta=Ra}}Ra=j9(Ga,0,0,1,32)|0;if((Ra|0)==0){T=112;break e}Fa=j9(Ga,0,0,1,20)|0;Ga=Ra+4|0;c[Ga>>2]=Fa;if((Fa|0)==0){T=112;break e}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=Ma;c[Fa+4>>2]=La;c[Fa+8>>2]=-1;c[Ta+(aa<<2)>>2]=Ra;c[(c[Ga>>2]|0)+12>>2]=Oa;Ua=0;Wa=Sa;Xa=aa+1|0;Ya=ha;Za=Ta}else{if((ha|0)>63){Ua=12;Wa=Z;Xa=aa;Ya=ha;Za=za;break}c[g+(ha<<2)>>2]=Oa;Ua=0;Wa=Z;Xa=aa;Ya=ha+1|0;Za=za}}while(0);Ga=(Ua|0)==0;if(Ga&(((c[v>>2]&2|0)==0|Y)^1)){_a=Ma;$a=Wa;ab=Xa;bb=Za}else{if(Ga){Q=Ka;Z=Wa;aa=Xa;ha=Ya;za=Za;continue}else{Aa=Ka;Ba=Ua;Ca=Za;T=140;break}}while(1){Ga=_a;while(1){if(Ga>>>0>La>>>0){Q=Ka;Z=$a;aa=ab;ha=Ya;za=bb;continue e}if((C8(Ga)|0)!=0){T=118;break}cb=Ga+1|0;if((G8(Ga)|0)==0){Ga=cb}else{T=129;break}}if((T|0)==118){T=0;Ra=I8(Ga)|0;Fa=Ga+1|0;g:do{if((C8(Fa)|0)==0){db=Ra;eb=Fa}else{fb=Ra;gb=Fa;while(1){if((I8(gb)|0)!=(fb+1|0)|gb>>>0>La>>>0){db=fb;eb=gb;break g}hb=I8(gb)|0;ib=gb+1|0;if((C8(ib)|0)==0){db=hb;eb=ib;break}else{fb=hb;gb=ib}}}}while(0);Fa=c[w>>2]|0;if((ab|0)<($a|0)){jb=$a;kb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;T=140;break e}gb=O9(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;T=140;break e}else{jb=$a<<1;kb=gb}}gb=j9(Fa,0,0,1,32)|0;fb=gb;do{if((gb|0)==0){lb=0}else{Ha=j9(Fa,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){lb=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=Ra;c[Ha+4>>2]=db;c[Ha+8>>2]=-1;lb=fb}}while(0);c[kb+(ab<<2)>>2]=lb;mb=eb;nb=jb;ob=lb;pb=kb}else if((T|0)==129){T=0;fb=K8(Ga)|0;h:do{if((G8(cb)|0)==0){qb=cb;rb=fb}else{Ra=cb;gb=fb;while(1){if((K8(Ra)|0)!=(gb+1|0)|Ra>>>0>La>>>0){qb=Ra;rb=gb;break h}Fa=Ra+1|0;Ha=K8(Ra)|0;if((G8(Fa)|0)==0){qb=Fa;rb=Ha;break}else{Ra=Fa;gb=Ha}}}}while(0);Ga=c[w>>2]|0;if((ab|0)<($a|0)){sb=$a;tb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;T=140;break e}gb=O9(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;T=140;break e}else{sb=$a<<1;tb=gb}}gb=j9(Ga,0,0,1,32)|0;Ra=gb;do{if((gb|0)==0){ub=0}else{Ha=j9(Ga,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){ub=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=fb;c[Ha+4>>2]=rb;c[Ha+8>>2]=-1;ub=Ra}}while(0);c[tb+(ab<<2)>>2]=ub;mb=qb;nb=sb;ob=ub;pb=tb}if((ob|0)==0){T=141;break e}else{_a=mb;$a=nb;ab=ab+1|0;bb=pb}}}i:do{if((T|0)==85){T=0;c[q>>2]=Q+1;Z=(xa|0)!=0;if(Z){Sc(za|0,aa|0,4,46)}j:do{if((aa|0)>0){ga=(ha|0)>0;Y=ha<<2;Ra=Y+4|0;if(Z){vb=0;wb=0;xb=0;yb=0}else{fb=0;gb=0;while(1){Ga=za+(fb<<2)|0;Ha=c[(c[Ga>>2]|0)+4>>2]|0;do{if((Ha|0)==0){zb=gb;Ab=0}else{c[Ha+8>>2]=c[x>>2];if(ga){Fa=j9(c[w>>2]|0,0,0,0,Ra)|0;Ea=Ha+16|0;c[Ea>>2]=Fa;if((Fa|0)==0){Bb=gb;Cb=12;Db=za;break i}naa(Fa|0,z|0,Y)|0;c[(c[Ea>>2]|0)+(ha<<2)>>2]=0}else{c[Ha+16>>2]=0}if((gb|0)==0){zb=c[Ga>>2]|0;Ab=0;break}Ea=c[w>>2]|0;Fa=c[Ga>>2]|0;ib=j9(Ea,0,0,1,32)|0;hb=ib;do{if((ib|0)==0){Eb=0}else{Fb=j9(Ea,0,0,1,8)|0;Gb=ib+4|0;c[Gb>>2]=Fb;if((Fb|0)==0){Eb=0;break}c[ib>>2]=3;c[ib+8>>2]=-1;c[ib+12>>2]=-1;c[Fb>>2]=gb;c[(c[Gb>>2]|0)+4>>2]=Fa;c[ib+16>>2]=(c[Fa+16>>2]|0)+(c[gb+16>>2]|0);Eb=hb}}while(0);zb=Eb;Ab=(Eb|0)==0?12:0}}while(0);Ga=fb+1|0;if((Ga|0)<(aa|0)&(Ab|0)==0){fb=Ga;gb=zb}else{Hb=Ab;Ib=0;Jb=zb;break j}}}while(1){gb=za+(vb<<2)|0;fb=c[(c[gb>>2]|0)+4>>2]|0;Ga=fb;Ha=c[Ga>>2]|0;hb=fb+4|0;Fa=c[hb>>2]|0;do{if((Ha|0)<(wb|0)){ib=Fa+1|0;Kb=yb;Lb=0;Mb=(ib|0)<(wb|0)?wb:ib;Nb=xb}else{ib=Ha-1|0;if((ib|0)<(xb|0)){Ea=Fa+1|0;Kb=yb;Lb=0;Mb=Ea;Nb=Ea;break}c[Ga>>2]=xb;c[hb>>2]=ib;ib=Fa+1|0;if((fb|0)==0){Kb=yb;Lb=0;Mb=ib;Nb=ib;break}c[fb+8>>2]=c[x>>2];if(ga){Ea=j9(c[w>>2]|0,0,0,0,Ra)|0;Gb=fb+16|0;c[Gb>>2]=Ea;if((Ea|0)==0){Bb=yb;Cb=12;Db=za;break i}naa(Ea|0,z|0,Y)|0;c[(c[Gb>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((yb|0)==0){Kb=c[gb>>2]|0;Lb=0;Mb=ib;Nb=ib;break}Gb=c[w>>2]|0;Ea=c[gb>>2]|0;Fb=j9(Gb,0,0,1,32)|0;Ob=Fb;do{if((Fb|0)==0){Pb=0}else{Qb=j9(Gb,0,0,1,8)|0;Rb=Fb+4|0;c[Rb>>2]=Qb;if((Qb|0)==0){Pb=0;break}c[Fb>>2]=3;c[Fb+8>>2]=-1;c[Fb+12>>2]=-1;c[Qb>>2]=yb;c[(c[Rb>>2]|0)+4>>2]=Ea;c[Fb+16>>2]=(c[Ea+16>>2]|0)+(c[yb+16>>2]|0);Pb=Ob}}while(0);Kb=Pb;Lb=(Pb|0)==0?12:0;Mb=ib;Nb=ib}}while(0);gb=vb+1|0;if((gb|0)<(aa|0)&(Lb|0)==0){vb=gb;wb=Mb;xb=Nb;yb=Kb}else{Hb=Lb;Ib=Nb;Jb=Kb;break}}}else{Hb=0;Ib=0;Jb=0}}while(0);if((Hb|0)!=0|Z^1){Bb=Jb;Cb=Hb;Db=za;break}Y=c[w>>2]|0;Ra=c[x>>2]|0;ga=j9(Y,0,0,1,32)|0;gb=ga;if((ga|0)==0){Bb=Jb;Cb=12;Db=za;break}fb=j9(Y,0,0,1,20)|0;c[ga+4>>2]=fb;if((fb|0)==0){Bb=Jb;Cb=12;Db=za;break}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[fb>>2]=Ib;c[fb+4>>2]=1114111;c[fb+8>>2]=Ra;if((ha|0)>0){Ra=ha<<2;Y=j9(c[w>>2]|0,0,0,0,Ra+4|0)|0;Fa=fb+16|0;c[Fa>>2]=Y;if((Y|0)==0){Bb=Jb;Cb=12;Db=za;break}naa(Y|0,z|0,Ra)|0;c[(c[Fa>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((Jb|0)==0){Bb=gb;Cb=0;Db=za;break}fb=c[w>>2]|0;Fa=j9(fb,0,0,1,32)|0;Ra=Fa;do{if((Fa|0)==0){Sb=0}else{Y=j9(fb,0,0,1,8)|0;hb=Fa+4|0;c[hb>>2]=Y;if((Y|0)==0){Sb=0;break}c[Fa>>2]=3;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[Y>>2]=Jb;c[(c[hb>>2]|0)+4>>2]=gb;c[Fa+16>>2]=(c[ga+16>>2]|0)+(c[Jb+16>>2]|0);Sb=Ra}}while(0);Bb=Sb;Cb=(Sb|0)==0?12:0;Db=za}else if((T|0)==112){T=0;c[Ta+(aa<<2)>>2]=0;Aa=Ka;Ba=12;Ca=Ta;T=140}else if((T|0)==141){T=0;c[q>>2]=Ka;Bb=0;Cb=12;Db=pb}}while(0);if((T|0)==140){T=0;c[q>>2]=Aa;Bb=0;Cb=Ba;Db=Ca}M9(Db);c[x>>2]=(c[x>>2]|0)+1;if((Cb|0)==0){U=0;V=M;W=Bb;break c}else{$=Cb;T=293;break b}break};case 92:{aa=_+1|0;za=a[aa]|0;do{if((c[v>>2]&1|0)==0){if(za<<24>>24==40){c[q>>2]=aa;wa=aa;T=74;break d}else{ha=a[_+1|0]|0;if(ha<<24>>24==41){T=264;break d}else{Tb=ha;break}}}else{Tb=za}}while(0);za=_+1|0;aa=Tb<<24>>24==0;if(aa){$=5;T=293;break b}else{Ub=0}while(1){if((Ub|0)==12){break}if((a[1528+(Ub<<3)|0]|0)==Tb<<24>>24){T=193;break}else{Ub=Ub+1|0}}if((T|0)==193){T=0;ha=c[1532+(Ub<<3)>>2]|0;naa(F|0,G|0,40)|0;c[H>>2]=ha;c[I>>2]=1;ha=U8(j)|0;if((ha|0)!=0){$=ha;T=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];U=0;V=M;W=c[K>>2]|0;break c}if(aa){$=5;T=293;break b}c[q>>2]=za;ha=a[za]|0;k:do{switch(ha|0){case 98:{Q=c[w>>2]|0;Ra=j9(Q,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Vb=0}else{Fa=j9(Q,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Vb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=64;c[Fa+8>>2]=-1;Vb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Vb;break};case 66:{ga=c[w>>2]|0;Ra=j9(ga,0,0,1,32)|0;Q=Ra;do{if((Ra|0)==0){Xb=0}else{Fa=j9(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Xb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=128;c[Fa+8>>2]=-1;Xb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Xb;break};case 60:{Q=c[w>>2]|0;Ra=j9(Q,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Yb=0}else{Fa=j9(Q,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Yb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=16;c[Fa+8>>2]=-1;Yb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Yb;break};case 62:{ga=c[w>>2]|0;Ra=j9(ga,0,0,1,32)|0;Q=Ra;do{if((Ra|0)==0){Zb=0}else{Fa=j9(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Zb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=32;c[Fa+8>>2]=-1;Zb=Q}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Zb;break};case 120:{Q=_+2|0;c[q>>2]=Q;Ra=a[Q]|0;if(Ra<<24>>24==123){Q=_+3|0;c[q>>2]=Q;ga=0;Fa=Q;while(1){Q=a[Fa]|0;if((Q<<24>>24|0)==125|(Q<<24>>24|0)==0){_b=Fa;$b=ga;break}if((H8(Q<<24>>24)|0)==0){$=9;T=293;break b}Q=c[q>>2]|0;a[l+ga|0]=a[Q]|0;gb=ga+1|0;fb=Q+1|0;c[q>>2]=fb;if(gb>>>0>31>>>0){_b=fb;$b=gb;break}else{ga=gb;Fa=fb}}c[q>>2]=_b+1;a[l+$b|0]=0;Fa=Va(C|0,0,16)|0;ga=c[w>>2]|0;fb=c[x>>2]|0;gb=j9(ga,0,0,1,32)|0;Q=gb;do{if((gb|0)==0){ac=0}else{Z=j9(ga,0,0,1,20)|0;c[gb+4>>2]=Z;if((Z|0)==0){ac=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Z>>2]=Fa;c[Z+4>>2]=Fa;c[Z+8>>2]=fb;ac=Q}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=ac;break k}else{oaa(D|0,0,3)|0;Q=(H8(Ra<<24>>24)|0)==0;fb=c[q>>2]|0;if(Q){bc=fb}else{a[D]=a[fb]|0;Q=fb+1|0;c[q>>2]=Q;bc=Q}if((H8(a[bc]|0)|0)!=0){Q=c[q>>2]|0;a[E]=a[Q]|0;c[q>>2]=Q+1}Q=Va(D|0,0,16)|0;fb=c[w>>2]|0;Fa=c[x>>2]|0;gb=j9(fb,0,0,1,32)|0;ga=gb;do{if((gb|0)==0){cc=0}else{Z=j9(fb,0,0,1,20)|0;c[gb+4>>2]=Z;if((Z|0)==0){cc=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Z>>2]=Q;c[Z+4>>2]=Q;c[Z+8>>2]=Fa;cc=ga}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=cc;break k}break};default:{if((A8(ha)|0)!=0){ga=(a[c[q>>2]|0]|0)-48|0;Fa=c[w>>2]|0;Q=c[x>>2]|0;gb=j9(Fa,0,0,1,32)|0;if((gb|0)==0){$=12;T=293;break b}fb=j9(Fa,0,0,1,20)|0;c[gb+4>>2]=fb;if((fb|0)==0){$=12;T=293;break b}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[fb>>2]=-4;c[fb+4>>2]=ga;c[fb+8>>2]=Q;c[x>>2]=(c[x>>2]|0)+1;Q=c[B>>2]|0;c[B>>2]=(ga|0)<(Q|0)?Q:ga;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=gb;break c}gb=c[w>>2]|0;ga=a[c[q>>2]|0]|0;Q=c[x>>2]|0;fb=j9(gb,0,0,1,32)|0;Fa=fb;do{if((fb|0)==0){dc=0}else{Ra=j9(gb,0,0,1,20)|0;c[fb+4>>2]=Ra;if((Ra|0)==0){dc=0;break}c[fb>>2]=0;c[fb+8>>2]=-1;c[fb+12>>2]=-1;c[Ra>>2]=ga;c[Ra+4>>2]=ga;c[Ra+8>>2]=Q;dc=Fa}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Wb=dc}}}while(0);if((Wb|0)==0){$=12;T=293;break b}else{U=0;V=M;W=Wb;break c}break};case 46:{ha=(c[v>>2]&4|0)==0;za=c[w>>2]|0;aa=c[x>>2]|0;Fa=j9(za,0,0,1,32)|0;Q=Fa;ga=(Fa|0)==0;if(ha){if(ga){$=12;T=293;break b}ha=j9(za,0,0,1,20)|0;c[Fa+4>>2]=ha;if((ha|0)==0){$=12;T=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ha>>2]=0;c[ha+4>>2]=1114111;c[ha+8>>2]=aa;ec=(c[x>>2]|0)+1|0;fc=Q}else{if(ga){$=12;T=293;break b}ga=j9(za,0,0,1,20)|0;c[Fa+4>>2]=ga;if((ga|0)==0){$=12;T=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ga>>2]=0;c[ga+4>>2]=9;c[ga+8>>2]=aa;aa=c[w>>2]|0;ga=(c[x>>2]|0)+1|0;za=j9(aa,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}ha=j9(aa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;T=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=11;c[ha+4>>2]=1114111;c[ha+8>>2]=ga;ga=c[w>>2]|0;ha=j9(ga,0,0,1,32)|0;if((ha|0)==0){$=12;T=293;break b}aa=j9(ga,0,0,1,8)|0;ga=ha+4|0;c[ga>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[ha>>2]=3;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=Q;c[(c[ga>>2]|0)+4>>2]=za;c[ha+16>>2]=(c[za+16>>2]|0)+(c[Fa+16>>2]|0);ec=(c[x>>2]|0)+2|0;fc=ha}c[x>>2]=ec;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=fc;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((_|0)!=(c[r>>2]|0)){break d}ha=$8(m,5)|0;if((ha|0)!=0){R=ha;S=M;T=6;break b}}ha=c[w>>2]|0;Fa=j9(ha,0,0,1,32)|0;if((Fa|0)==0){$=12;T=293;break b}za=j9(ha,0,0,1,20)|0;c[Fa+4>>2]=za;if((za|0)==0){$=12;T=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[za>>2]=-2;c[za+4>>2]=1;c[za+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=Fa;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[_+1|0]|0)!=0){break d}}Fa=c[w>>2]|0;za=j9(Fa,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}ha=j9(Fa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;T=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-2;c[ha+4>>2]=2;c[ha+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;U=0;V=M;W=za;break c;break};case 41:{if((M|0)!=0){T=263}break};case 42:case 124:case 123:case 43:case 63:{T=263;break};case 0:{T=264;break};default:{}}}while(0);if((T|0)==74){T=0;X=M+1|0;c[q>>2]=wa+1;za=$8(m,c[y>>2]|0)|0;if((za|0)!=0){R=za;S=X;T=6;break b}za=$8(m,2)|0;if((za|0)!=0){R=za;S=X;T=6;break b}za=$8(m,0)|0;if((za|0)!=0){R=za;S=X;T=6;break b}c[y>>2]=(c[y>>2]|0)+1;U=0;V=X;W=L;break c}else if((T|0)==263){T=0;if((c[v>>2]&1|0)!=0){T=264}}if((T|0)==264){T=0;X=c[w>>2]|0;za=j9(X,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}ha=j9(X,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;T=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-1;c[ha+4>>2]=-1;c[ha+8>>2]=-1;U=0;V=M;W=za;break c}za=P8(h,_,-1)|0;if((za|0)<0){c[h>>2]=-1;gc=1}else{gc=za}do{if((c[v>>2]&2|0)==0){T=279}else{if((G8(c[h>>2]|0)|0)==0){if((C8(c[h>>2]|0)|0)==0){T=279;break}}za=c[w>>2]|0;ha=I8(c[h>>2]|0)|0;X=I8(c[h>>2]|0)|0;Fa=c[x>>2]|0;ga=j9(za,0,0,1,32)|0;if((ga|0)==0){$=12;T=293;break b}Q=j9(za,0,0,1,20)|0;c[ga+4>>2]=Q;if((Q|0)==0){$=12;T=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[Q>>2]=ha;c[Q+4>>2]=X;c[Q+8>>2]=Fa;Fa=c[w>>2]|0;Q=K8(c[h>>2]|0)|0;X=K8(c[h>>2]|0)|0;ha=c[x>>2]|0;za=j9(Fa,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}aa=j9(Fa,0,0,1,20)|0;c[za+4>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[aa>>2]=Q;c[aa+4>>2]=X;c[aa+8>>2]=ha;ha=c[w>>2]|0;aa=j9(ha,0,0,1,32)|0;if((aa|0)==0){$=12;T=293;break b}X=j9(ha,0,0,1,8)|0;ha=aa+4|0;c[ha>>2]=X;if((X|0)==0){$=12;T=293;break b}c[aa>>2]=3;c[aa+8>>2]=-1;c[aa+12>>2]=-1;c[X>>2]=ga;c[(c[ha>>2]|0)+4>>2]=za;c[aa+16>>2]=(c[za+16>>2]|0)+(c[ga+16>>2]|0);hc=aa}}while(0);if((T|0)==279){T=0;_=c[w>>2]|0;aa=c[h>>2]|0;ga=c[x>>2]|0;za=j9(_,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}ha=j9(_,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;T=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=aa;c[ha+4>>2]=aa;c[ha+8>>2]=ga;hc=za}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+gc;U=0;V=M;W=hc;break};case 2:{za=N-2|0;c[n>>2]=za;ga=c[P+(za<<2)>>2]|0;if((c[L+12>>2]|0)>-1){za=c[w>>2]|0;ha=j9(za,0,0,1,32)|0;if((ha|0)==0){$=12;T=293;break b}aa=j9(za,0,0,1,20)|0;c[ha+4>>2]=aa;if((aa|0)==0){$=12;T=293;break b}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=-1;c[aa+4>>2]=-1;c[aa+8>>2]=-1;aa=c[w>>2]|0;za=j9(aa,0,0,1,32)|0;if((za|0)==0){$=12;T=293;break b}_=j9(aa,0,0,1,8)|0;aa=za+4|0;c[aa>>2]=_;if((_|0)==0){$=12;T=293;break b}c[za>>2]=1;c[za+8>>2]=-1;c[za+12>>2]=-1;c[_>>2]=ha;c[(c[aa>>2]|0)+4>>2]=L;aa=L+16|0;_=za+16|0;c[_>>2]=(c[aa>>2]|0)+(c[ha+16>>2]|0);c[_>>2]=c[aa>>2];ic=za}else{ic=L}c[ic+12>>2]=ga;ga=ic+16|0;c[ga>>2]=(c[ga>>2]|0)+1;U=0;V=M;W=ic;break};case 10:{ga=N-2|0;c[n>>2]=ga;c[v>>2]=c[P+(ga<<2)>>2];U=0;V=M;W=L;break};default:{U=0;V=M;W=L}}}while(0);P=c[n>>2]|0;O=(U|0)==0;if((P|0)>(o|0)&O){L=W;M=V;N=P}else{jc=W;kc=V;lc=U;mc=O;break a}}if((T|0)==6){jc=L;kc=S;lc=R;mc=(R|0)==0;break}else if((T|0)==293){i=d;return $|0}}else{jc=0;kc=0;lc=p;mc=t}}while(0);t=(kc|0)>0;if(t|mc^1){$=t?8:lc;i=d;return $|0}c[b+8>>2]=jc;$=0;i=d;return $|0}function V8(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=L9((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=L9((i<<2)+4|0)|0;n=m;if((m|0)==0){M9(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}$8(b,d)|0;d=$8(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 1:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;if(h){C=c[(c[c[D+4>>2]>>2]|0)+20>>2]|0;E=z-3|0;c[f>>2]=E;c[D+20>>2]=(c[B+(E<<2)>>2]|0)+C;F=0;G=y;H=x;I=w;J=v;K=u;L=-1;M=s;break b}else{C=z-3|0;c[f>>2]=C;E=c[B+(C<<2)>>2]|0;C=z-4|0;c[f>>2]=C;D=(E|0)==0;F=0;G=y;H=x;I=w;J=v;K=u;L=D?t:c[B+(C<<2)>>2]|0;M=D&1;break b}break};case 4:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;D=z-3|0;c[f>>2]=D;F=0;G=y;H=x;I=w;J=(C|0)>-1?C:v;K=c[B+(D<<2)>>2]|0;L=t;M=s;break};case 5:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;if(!h){F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break b}D=c[C+4>>2]|0;c[C+20>>2]=(c[(c[D+4>>2]|0)+20>>2]|0)+(c[(c[D>>2]|0)+20>>2]|0);F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break};case 2:{D=y;while(1){if((c[D>>2]|0)>-1){D=D+4|0}else{F=0;G=D;H=x;I=w;J=v;K=u;L=t;M=s;break}}break};case 3:{D=c[B+(z-2<<2)>>2]|0;C=c[B+(z-3<<2)>>2]|0;E=c[B+(z-4<<2)>>2]|0;N=z-5|0;c[f>>2]=N;if(h){O=c[E+4>>2]|0;P=E+16|0;c[E+20>>2]=(c[(c[O>>2]|0)+20>>2]|0)+(c[B+(N<<2)>>2]|0)+(c[(c[O+4>>2]|0)+20>>2]|0)+((c[P>>2]|0)>0?2:0);Q=c[f>>2]|0;R=P}else{Q=N;R=E+16|0}E=c[B+(Q-1<<2)>>2]|0;N=Q-2|0;c[f>>2]=N;P=c[B+(N<<2)>>2]|0;N=Q-3|0;c[f>>2]=N;O=c[B+(N<<2)>>2]|0;if((c[R>>2]|0)<=0){F=0;G=E;H=x;I=w;J=v;K=u;L=t;M=1;break b}if(h){S=0}else{c9(a,D,P)|0;c[(c[p>>2]|0)+(P<<2)>>2]=1;P=c9(a,C,O)|0;c[(c[p>>2]|0)+(O<<2)>>2]=1;S=P}F=S;G=E;H=x+2|0;I=w;J=v;K=u;L=t;M=1;break};case 0:{E=z-2|0;c[f>>2]=E;P=c[B+(E<<2)>>2]|0;E=P;O=P+12|0;C=c[O>>2]|0;if((C|0)>-1){D=0;do{T=y+(D<<2)|0;D=D+1|0}while((c[T>>2]|0)>-1);c[T>>2]=C<<1;c[y+(D<<2)>>2]=-1;do{if(!h){N=0;while(1){if((c[n+(N<<2)>>2]|0)>-1){N=N+1|0}else{break}}c[(c[q>>2]|0)+(C*12|0)+8>>2]=0;if((N|0)<=0){break}U=L9((N<<2)+4|0)|0;V=U;if((U|0)==0){W=t;X=v;Y=w;Z=x;_=y;$=12;break a}c[(c[q>>2]|0)+(C*12|0)+8>>2]=V;U=c[n>>2]|0;if((U|0)>-1){aa=0;ba=U;U=V;while(1){c[U>>2]=ba;ca=aa+1|0;da=c[n+(ca<<2)>>2]|0;ea=V+(ca<<2)|0;if((da|0)>-1){aa=ca;ba=da;U=ea}else{fa=ea;break}}}else{fa=V}c[fa>>2]=-1}}while(0);C=$8(b,c[O>>2]|0)|0;if((C|0)!=0){W=t;X=v;Y=w;Z=x;_=y;$=C;break a}C=$8(b,6)|0;if((C|0)!=0){W=t;X=v;Y=w;Z=x;_=y;$=C;break a}}C=c[P>>2]|0;do{if((C|0)==3){D=c[P+4>>2]|0;U=c[D>>2]|0;ba=c[D+4>>2]|0;D=(c[y>>2]|0)>-1;aa=u+1|0;N=$8(b,D?aa:u)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=$8(b,D?u:v)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=$8(b,y)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=$8(b,(c[y>>2]|0)>>>31^1)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=$8(b,P)|0;if((N|0)!=0){ga=N;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}N=ba;ba=$8(b,N)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=U;U=$8(b,ba)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,3)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,N)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,0)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,2)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,ba)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}U=$8(b,0)|0;if((U|0)!=0){ga=U;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if((c[y>>2]|0)>-1){if(h){na=0;oa=w;pa=t}else{U=b9(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ba=c[r>>2]|0;N=0;while(1){qa=ba+(N<<2)|0;ra=N+1|0;if((c[qa>>2]|0)>-1){N=ra}else{break}}c[qa>>2]=v;c[ba+(ra<<2)>>2]=t;c[ba+(N+2<<2)>>2]=-1;sa=w+1|0;ta=-1}else{sa=w;ta=t}V=c[y>>2]|0;if((V|0)>-1){D=c[q>>2]|0;ea=0;da=V;do{V=(da|0)/2|0;if((da&1|0)==0){c[D+(V*12|0)>>2]=v}else{c[D+(V*12|0)+4>>2]=v}ea=ea+1|0;da=c[y+(ea<<2)>>2]|0;}while((da|0)>-1)}c[y>>2]=-1;na=U;oa=sa;pa=ta}c[y>>2]=-1;ua=na;va=x+1|0;wa=oa;xa=u;ya=aa;za=pa}else{ua=0;va=x;wa=w;xa=v;ya=u;za=t}if((c[P+16>>2]|0)<=0){ga=ua;ha=va;ia=wa;ja=xa;ka=ya;la=za;ma=s;break}ga=ua;ha=va;ia=wa;ja=ya+1|0;ka=ya+2|0;la=za;ma=s}else if((C|0)==2){da=c[P+4>>2]|0;if(h){if((c[y>>2]|0)>-1){Aa=1}else{Aa=c[da+12>>2]&1}ea=$8(b,Aa)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}}else{ea=$8(b,v)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ea=$8(b,c[da+12>>2]&1)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}}ea=$8(b,P)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ea=$8(b,1)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ea=$8(b,c[da>>2]|0)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ea=$8(b,0)|0;if((ea|0)!=0){ga=ea;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(!((c[y>>2]|0)>-1)){if((c[da+12>>2]&1|0)==0){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=0;break}}if(h){Ba=0;Ca=w;Da=t}else{ea=b9(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[da+12>>2]&1|0)==0?s:1;if((t|0)>-1){da=c[r>>2]|0;D=0;while(1){Ea=da+(D<<2)|0;Fa=D+1|0;if((c[Ea>>2]|0)>-1){D=Fa}else{break}}c[Ea>>2]=v;c[da+(Fa<<2)>>2]=t;c[da+(D+2<<2)>>2]=-1;Ga=w+1|0;Ha=-1}else{Ga=w;Ha=t}aa=c[y>>2]|0;if((aa|0)>-1){U=c[q>>2]|0;N=0;ba=aa;do{aa=(ba|0)/2|0;if((ba&1|0)==0){c[U+(aa*12|0)>>2]=v}else{c[U+(aa*12|0)+4>>2]=v}N=N+1|0;ba=c[y+(N<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;Ba=ea;Ca=Ga;Da=Ha}c[y>>2]=-1;ga=Ba;ha=x+1|0;ia=Ca;ja=u;ka=u+1|0;la=Da;ma=0}else if((C|0)==1){ba=c[P+4>>2]|0;N=c[ba>>2]|0;U=c[ba+4>>2]|0;ba=$8(b,P)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=$8(b,5)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=$8(b,U)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=$8(b,0)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}ba=N+20|0;D=$8(b,(c[ba>>2]|0)+u|0)|0;if((D|0)!=0){ga=D;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if((c[ba>>2]|0)>0){ba=(c[U+20>>2]|0)>0;Ia=(ba&1)+u|0;Ja=ba?u:-1}else{Ia=u;Ja=-1}ba=$8(b,Ja)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=Ia;la=t;ma=s;break}ba=$8(b,4)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=Ia;la=t;ma=s;break}ba=$8(b,N)|0;if((ba|0)!=0){ga=ba;ha=x;ia=w;ja=v;ka=Ia;la=t;ma=s;break}ga=$8(b,0)|0;ha=x;ia=w;ja=v;ka=Ia;la=t;ma=s}else if((C|0)==0){ba=c[c[P+4>>2]>>2]|0;if(!((ba|0)>-1|(ba|0)==-4)){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(!((c[y>>2]|0)>-1)){ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s;break}if(h){c[P+20>>2]=1;Ka=0;La=w;Ma=t}else{ba=b9(a,E,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){N=c[r>>2]|0;U=0;while(1){Na=N+(U<<2)|0;Oa=U+1|0;if((c[Na>>2]|0)>-1){U=Oa}else{break}}c[Na>>2]=v;c[N+(Oa<<2)>>2]=t;c[N+(U+2<<2)>>2]=-1;Pa=w+1|0;Qa=-1}else{Pa=w;Qa=t}ea=c[y>>2]|0;if((ea|0)>-1){D=c[q>>2]|0;da=0;aa=ea;do{ea=(aa|0)/2|0;if((aa&1|0)==0){c[D+(ea*12|0)>>2]=v}else{c[D+(ea*12|0)+4>>2]=v}da=da+1|0;aa=c[y+(da<<2)>>2]|0;}while((aa|0)>-1)}c[y>>2]=-1;Ka=ba;La=Pa;Ma=Qa}c[y>>2]=-1;ga=Ka;ha=x+1|0;ia=La;ja=u;ka=u+1|0;la=Ma;ma=s}else{ga=0;ha=x;ia=w;ja=v;ka=u;la=t;ma=s}}while(0);E=c[O>>2]|0;if((E|0)>-1){Ra=0}else{F=ga;G=y;H=ha;I=ia;J=ja;K=ka;L=la;M=ma;break b}do{Sa=n+(Ra<<2)|0;Ra=Ra+1|0}while((c[Sa>>2]|0)>-1);c[Sa>>2]=E;c[n+(Ra<<2)>>2]=-1;F=ga;G=y;H=ha;I=ia;J=ja;K=ka;L=la;M=ma;break};case 6:{O=z-2|0;c[f>>2]=O;P=c[B+(O<<2)>>2]|0;O=0;do{Ta=y+(O<<2)|0;O=O+1|0}while((c[Ta>>2]|0)>-1);c[Ta>>2]=P<<1|1;c[y+(O<<2)>>2]=-1;E=0;while(1){if((c[n+(E<<2)>>2]|0)>-1){E=E+1|0}else{break}}c[n+(E-1<<2)>>2]=-1;F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s;break};default:{F=0;G=y;H=x;I=w;J=v;K=u;L=t;M=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(F|0)==0){s=M;t=L;u=K;v=J;w=I;x=H;y=G;z=B}else{W=L;X=J;Y=I;Z=H;_=G;$=F;break a}}}else{W=-1;X=0;Y=0;Z=0;_=k;$=d}}while(0);do{if(h){Ua=Y}else{d=c[_>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;F=0;G=d;do{d=(G|0)/2|0;if((G&1|0)==0){c[k+(d*12|0)>>2]=X}else{c[k+(d*12|0)+4>>2]=X}F=F+1|0;G=c[_+(F<<2)>>2]|0;}while((G|0)>-1)}c[_>>2]=-1;if(!((W|0)>-1)){Ua=Y;break}G=c[e+36>>2]|0;F=0;while(1){Va=G+(F<<2)|0;Wa=F+1|0;if((c[Va>>2]|0)>-1){F=Wa}else{break}}c[Va>>2]=X;c[G+(Wa<<2)>>2]=W;c[G+(F+2<<2)>>2]=-1;Ua=Y+1|0}}while(0);c[e+48>>2]=Z;c[e+40>>2]=Z;c[e+44>>2]=Ua;M9(j);M9(m);l=$;return l|0}function W8(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==3){g=c[f+4>>2]|0;h=W8(c[g>>2]|0,b,d,e)|0;if((h|0)!=0){i=h;j=10;break a}k=g+4|0}else if((a|0)==1){g=c[f+4>>2]|0;h=g;l=g+4|0;g=Y8(c[(c[h>>2]|0)+28>>2]|0,c[(c[l>>2]|0)+24>>2]|0,b,d,e)|0;if((g|0)!=0){i=g;j=10;break a}g=W8(c[h>>2]|0,b,d,e)|0;if((g|0)==0){k=l}else{i=g;j=10;break a}}else if((a|0)==2){g=c[f+4>>2]|0;l=g;if(!((c[g+8>>2]|0)==-1)){k=l;break}g=c[l>>2]|0;h=Y8(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((h|0)==0){k=l}else{i=h;j=10;break a}}else{i=0;j=10;break a}}while(0);f=c[k>>2]|0}if((j|0)==10){return i|0}return 0}function X8(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{M9(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}M9(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){M9(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){M9(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}M9(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{M9(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}M9(l)}l=c[b+32>>2]|0;if((l|0)!=0){M9(l)}l=c[b+20>>2]|0;if((l|0)!=0){M9(l)}l=c[b+36>>2]|0;if((l|0)!=0){M9(l)}M9(b);return}function Y8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=L9(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){M9(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=L9((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function Z8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=j9(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=j9(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=j9(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function _8(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=$8(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==0){p=c[m+4>>2]|0;q=c[p>>2]|0;if((q|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[p+4>>2];continue a}else if((q|0)!=(-3|0)){continue a}q=c[p+4>>2]|0;if(!((q|0)>-1)){continue a}do{if(!b){p=0;while(1){r=d+(p<<2)|0;s=c[r>>2]|0;if(!((s|0)>-1)){n=14;break}t=p+1|0;if((s|0)==(q|0)){n=13;break}else{p=t}}if((n|0)==13){n=0;if((q|0)<0){u=t}else{break}}else if((n|0)==14){n=0;u=p+1|0}c[r>>2]=q;c[d+(u<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else if((o|0)==3){q=c[m+4>>2]|0;s=c[q>>2]|0;if((c[s+8>>2]|0)!=0){v=$8(a,s)|0;break}s=c[q+4>>2]|0;if((c[s+8>>2]|0)==0){continue a}v=$8(a,s)|0}else if((o|0)==1){s=c[m+4>>2]|0;q=$8(a,c[s>>2]|0)|0;if((q|0)!=0){k=q;n=28;break a}v=$8(a,c[s+4>>2]|0)|0}else if((o|0)==2){s=c[c[m+4>>2]>>2]|0;if((c[s+8>>2]|0)==0){continue a}v=$8(a,s)|0}else{continue a}}while(0);if((v|0)!=0){k=v;n=28;break}}if((n|0)==28){return k|0}return 0}function $8(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=O9(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;$8(a,b)|0;return 0}return 0}function a9(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;$8(b,d)|0;d=$8(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==0){v=c[r+4>>2]|0;u=c[v+8>>2]|0;x=c[v>>2]|0;y=c[v+4>>2]|0;do{if((x|0)>-1|(x|0)==-4){z=q+1|0;A=p;B=y;C=x;D=(c[f>>2]|0)+u|0}else{if(!((x|0)==-3)){z=q;A=p;B=y;C=x;D=u;break}if(!m){z=q;A=p;B=-1;C=-1;D=-1;break}if(n|(p|0)==0){z=q;A=p;B=y;C=-3;D=u;break}c[g+(y<<2)>>2]=1;z=q;A=0;B=y;C=-3;D=u}}while(0);u=j9(a,0,0,1,32)|0;y=u;do{if((u|0)==0){E=0}else{x=j9(a,0,0,1,20)|0;c[u+4>>2]=x;if((x|0)==0){E=0;break}c[u>>2]=0;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=C;c[x+4>>2]=B;c[x+8>>2]=D;E=y}}while(0);c[o>>2]=E;y=(E|0)==0?12:0;if((D|0)<=(c[i>>2]|0)){F=y;G=z;H=A;I=o;break}c[i>>2]=D;F=y;G=z;H=A;I=o}else if((w|0)==3){y=c[r+4>>2]|0;u=y;x=c[u>>2]|0;v=y+4|0;y=c[v>>2]|0;J=j9(a,0,0,1,32)|0;if((J|0)==0){K=20;break b}L=j9(a,0,0,1,8)|0;M=J+4|0;c[M>>2]=L;if((L|0)==0){K=20;break b}c[J>>2]=3;c[J+8>>2]=-1;c[J+12>>2]=-1;c[L>>2]=x;c[(c[M>>2]|0)+4>>2]=y;c[J+16>>2]=(c[y+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=J;J=c[M>>2]|0;M=$8(b,c[v>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=$8(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=$8(b,J+4|0)|0;if((M|0)!=0){s=q;t=M;break a}M=$8(b,1)|0;if((M|0)!=0){s=q;t=M;break a}M=$8(b,c[u>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}F=$8(b,0)|0;G=q;H=p;I=J}else if((w|0)==1){J=c[r+4>>2]|0;M=J;u=c[M>>2]|0;v=J+4|0;J=c[v>>2]|0;x=j9(a,0,0,1,32)|0;if((x|0)==0){K=29;break b}y=j9(a,0,0,1,8)|0;L=x+4|0;c[L>>2]=y;if((y|0)==0){K=29;break b}c[x>>2]=1;c[x+8>>2]=-1;c[x+12>>2]=-1;c[y>>2]=u;c[(c[L>>2]|0)+4>>2]=J;c[x+16>>2]=(c[J+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[L>>2]|0;L=x;c[L>>2]=0;u=x+4|0;c[u>>2]=0;x=$8(b,c[v>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}x=$8(b,0)|0;if((x|0)!=0){s=q;t=x;break a}x=$8(b,u)|0;if((x|0)!=0){s=q;t=x;break a}x=$8(b,1)|0;if((x|0)!=0){s=q;t=x;break a}x=$8(b,c[M>>2]|0)|0;if((x|0)!=0){s=q;t=x;break a}F=$8(b,0)|0;G=q;H=p;I=L}else if((w|0)==2){L=c[r+4>>2]|0;x=L;M=$8(b,c[x>>2]|0)|0;if((M|0)!=0){s=q;t=M;break a}M=$8(b,0)|0;if((M|0)!=0){s=q;t=M;break a}M=c[x>>2]|0;x=c[L+4>>2]|0;u=c[L+8>>2]|0;v=c[L+12>>2]&1;L=j9(a,0,0,1,32)|0;if((L|0)==0){K=40;break b}J=j9(a,0,0,1,16)|0;y=L+4|0;c[y>>2]=J;if((J|0)==0){K=40;break b}c[L>>2]=2;c[L+8>>2]=-1;c[L+12>>2]=-1;c[J>>2]=M;c[J+4>>2]=x;c[J+8>>2]=u;u=J+12|0;c[u>>2]=c[u>>2]&-2|v;c[L+16>>2]=c[M+16>>2];c[o>>2]=L;o=c[y>>2]|0;p=p;q=q;continue b}else{o=o;p=p;q=q;continue b}}while(0);if((F|0)==0){o=I;p=H;q=G}else{s=G;t=F;break a}}if((K|0)==20){c[o>>2]=0;s=q;t=12;break}else if((K|0)==29){c[o>>2]=0;s=q;t=12;break}else if((K|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function b9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=j9(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=j9(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=j9(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=j9(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function c9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=j9(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=j9(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=j9(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=j9(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function d9(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function e9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13928}else{h=b;j=13928;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((laa(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Db(e|0,f|0,7642144,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function IB(a,b){a=a|0;b=b|0;a=i;M9(b);i=a;return}function JB(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=a;a=b;b=c;c=f>>>16&65535;f=f&65535;if((b|0)==1){f=f+(d[a|0]|0)|0;if(f>>>0>=65521>>>0){f=f-65521|0}c=c+f|0;if(c>>>0>=65521>>>0){c=c-65521|0}g=f|c<<16;h=g;i=e;return h|0}if((a|0)==0){g=1;h=g;i=e;return h|0}if(b>>>0<16>>>0){while(1){j=b;b=j-1|0;if((j|0)==0){break}j=a;a=j+1|0;f=f+(d[j]|0)|0;c=c+f|0}if(f>>>0>=65521>>>0){f=f-65521|0}c=(c>>>0)%65521|0;g=f|c<<16;h=g;i=e;return h|0}while(1){if(!(b>>>0>=5552>>>0)){break}b=b-5552|0;j=347;do{f=f+(d[a|0]|0)|0;c=c+f|0;f=f+(d[a+1|0]|0)|0;c=c+f|0;f=f+(d[a+2|0]|0)|0;c=c+f|0;f=f+(d[a+3|0]|0)|0;c=c+f|0;f=f+(d[a+4|0]|0)|0;c=c+f|0;f=f+(d[a+5|0]|0)|0;c=c+f|0;f=f+(d[a+6|0]|0)|0;c=c+f|0;f=f+(d[a+7|0]|0)|0;c=c+f|0;f=f+(d[a+8|0]|0)|0;c=c+f|0;f=f+(d[a+9|0]|0)|0;c=c+f|0;f=f+(d[a+10|0]|0)|0;c=c+f|0;f=f+(d[a+11|0]|0)|0;c=c+f|0;f=f+(d[a+12|0]|0)|0;c=c+f|0;f=f+(d[a+13|0]|0)|0;c=c+f|0;f=f+(d[a+14|0]|0)|0;c=c+f|0;f=f+(d[a+15|0]|0)|0;c=c+f|0;a=a+16|0;k=j-1|0;j=k;}while((k|0)!=0);f=(f>>>0)%65521|0;c=(c>>>0)%65521|0}if((b|0)!=0){while(1){if(!(b>>>0>=16>>>0)){break}b=b-16|0;f=f+(d[a|0]|0)|0;c=c+f|0;f=f+(d[a+1|0]|0)|0;c=c+f|0;f=f+(d[a+2|0]|0)|0;c=c+f|0;f=f+(d[a+3|0]|0)|0;c=c+f|0;f=f+(d[a+4|0]|0)|0;c=c+f|0;f=f+(d[a+5|0]|0)|0;c=c+f|0;f=f+(d[a+6|0]|0)|0;c=c+f|0;f=f+(d[a+7|0]|0)|0;c=c+f|0;f=f+(d[a+8|0]|0)|0;c=c+f|0;f=f+(d[a+9|0]|0)|0;c=c+f|0;f=f+(d[a+10|0]|0)|0;c=c+f|0;f=f+(d[a+11|0]|0)|0;c=c+f|0;f=f+(d[a+12|0]|0)|0;c=c+f|0;f=f+(d[a+13|0]|0)|0;c=c+f|0;f=f+(d[a+14|0]|0)|0;c=c+f|0;f=f+(d[a+15|0]|0)|0;c=c+f|0;a=a+16|0}while(1){j=b;b=j-1|0;if((j|0)==0){break}j=a;a=j+1|0;f=f+(d[j]|0)|0;c=c+f|0}f=(f>>>0)%65521|0;c=(c>>>0)%65521|0}g=f|c<<16;h=g;i=e;return h|0}function KB(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((b|0)==0){j=0}else{c[g>>2]=1;if((a[g]|0)!=0){j=LB(h,b,d)|0;break}else{j=MB(h,b,d)|0;break}}}while(0);i=f;return j|0}function LB(a,b,e){a=a|0;b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=e;e=a;e=~e;while(1){if((b|0)!=0){h=(g&3|0)!=0}else{h=0}if(!h){break}a=g;g=a+1|0;e=c[20800+(((e^(d[a]|0))&255)<<2)>>2]^e>>>8;b=b-1|0}h=g;while(1){if(!(b>>>0>=32>>>0)){break}a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];b=b-32|0}while(1){if(!(b>>>0>=4>>>0)){break}a=h;h=a+4|0;e=e^c[a>>2];e=c[23872+((e&255)<<2)>>2]^c[22848+((e>>>8&255)<<2)>>2]^c[21824+((e>>>16&255)<<2)>>2]^c[20800+(e>>>24<<2)>>2];b=b-4|0}g=h;if((b|0)==0){j=e;k=~j;e=k;l=e;i=f;return l|0}do{h=g;g=h+1|0;e=c[20800+(((e^(d[h]|0))&255)<<2)>>2]^e>>>8;h=b-1|0;b=h;}while((h|0)!=0);j=e;k=~j;e=k;l=e;i=f;return l|0}function MB(a,b,e){a=a|0;b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f=i;g=a;a=b;b=e;e=(g>>>24&255)+(g>>>8&65280)+((g&65280)<<8)+((g&255)<<24)|0;e=~e;while(1){if((b|0)!=0){h=(a&3|0)!=0}else{h=0}if(!h){break}g=a;a=g+1|0;e=c[24896+((e>>>24^(d[g]|0))<<2)>>2]^e<<8;b=b-1|0}h=a;h=h-4|0;while(1){if(!(b>>>0>=32>>>0)){break}g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];b=b-32|0}while(1){if(!(b>>>0>=4>>>0)){break}g=h+4|0;h=g;e=e^c[g>>2];e=c[24896+((e&255)<<2)>>2]^c[25920+((e>>>8&255)<<2)>>2]^c[26944+((e>>>16&255)<<2)>>2]^c[27968+(e>>>24<<2)>>2];b=b-4|0}h=h+4|0;a=h;if((b|0)==0){j=e;k=~j;e=k;l=e;m=l>>>24;n=m&255;o=e;p=o>>>8;q=p&65280;r=n+q|0;s=e;t=s&65280;u=t<<8;v=r+u|0;w=e;x=w&255;y=x<<24;z=v+y|0;i=f;return z|0}do{h=a;a=h+1|0;e=c[24896+((e>>>24^(d[h]|0))<<2)>>2]^e<<8;h=b-1|0;b=h;}while((h|0)!=0);j=e;k=~j;e=k;l=e;m=l>>>24;n=m&255;o=e;p=o>>>8;q=p&65280;r=n+q|0;s=e;t=s&65280;u=t<<8;v=r+u|0;w=e;x=w&255;y=x<<24;z=v+y|0;i=f;return z|0}function NB(f,g){f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=i;i=i+8|0;j=h|0;k=f;f=c[k+28>>2]|0;l=(c[k>>2]|0)-1|0;m=l+((c[k+4>>2]|0)-5)|0;n=(c[k+12>>2]|0)-1|0;o=n+(-(g-(c[k+16>>2]|0)|0)|0)|0;g=n+((c[k+16>>2]|0)-257)|0;p=c[f+40>>2]|0;q=c[f+44>>2]|0;r=c[f+48>>2]|0;s=c[f+52>>2]|0;t=c[f+56>>2]|0;u=c[f+60>>2]|0;v=c[f+76>>2]|0;w=c[f+80>>2]|0;x=(1<<c[f+84>>2])-1|0;y=(1<<c[f+88>>2])-1|0;a:do{if(u>>>0<15>>>0){z=l+1|0;l=z;t=t+((d[z]|0)<<u)|0;u=u+8|0;z=l+1|0;l=z;t=t+((d[z]|0)<<u)|0;u=u+8|0}z=j;A=v+((t&x)<<2)|0;b[z>>1]=b[A>>1]|0;b[z+2>>1]=b[A+2>>1]|0;while(1){B=d[j+1|0]|0;t=t>>>(B>>>0);u=u-B|0;B=d[j|0]|0;if((B|0)==0){C=6;break}if((B&16|0)!=0){C=8;break}if((B&64|0)!=0){C=74;break a}A=j;z=v+((e[j+2>>1]|0)+(t&(1<<B)-1)<<2)|0;b[A>>1]=b[z>>1]|0;b[A+2>>1]=b[z+2>>1]|0}if((C|0)==6){C=0;z=n+1|0;n=z;a[z]=b[j+2>>1]}else if((C|0)==8){C=0;D=e[j+2>>1]|0;B=B&15;if((B|0)!=0){if(u>>>0<B>>>0){z=l+1|0;l=z;t=t+((d[z]|0)<<u)|0;u=u+8|0}D=D+(t&(1<<B)-1)|0;t=t>>>(B>>>0);u=u-B|0}if(u>>>0<15>>>0){z=l+1|0;l=z;t=t+((d[z]|0)<<u)|0;u=u+8|0;z=l+1|0;l=z;t=t+((d[z]|0)<<u)|0;u=u+8|0}z=j;A=w+((t&y)<<2)|0;b[z>>1]=b[A>>1]|0;b[z+2>>1]=b[A+2>>1]|0;while(1){B=d[j+1|0]|0;t=t>>>(B>>>0);u=u-B|0;B=d[j|0]|0;if((B&16|0)!=0){break}if((B&64|0)!=0){C=70;break a}A=j;z=w+((e[j+2>>1]|0)+(t&(1<<B)-1)<<2)|0;b[A>>1]=b[z>>1]|0;b[A+2>>1]=b[z+2>>1]|0}z=e[j+2>>1]|0;B=B&15;if(u>>>0<B>>>0){A=l+1|0;l=A;t=t+((d[A]|0)<<u)|0;u=u+8|0;if(u>>>0<B>>>0){A=l+1|0;l=A;t=t+((d[A]|0)<<u)|0;u=u+8|0}}z=z+(t&(1<<B)-1)|0;t=t>>>(B>>>0);u=u-B|0;B=n-o|0;if(z>>>0>B>>>0){B=z-B|0;if(B>>>0>q>>>0){if((c[f+7104>>2]|0)!=0){C=23;break}}E=s-1|0;if((r|0)==0){E=E+(p-B)|0;if(B>>>0<D>>>0){D=D-B|0;do{A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=B-1|0;B=A;}while((A|0)!=0);E=n+(-z|0)|0}}else{if(r>>>0<B>>>0){E=E+(p+r-B)|0;B=B-r|0;if(B>>>0<D>>>0){D=D-B|0;do{A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=B-1|0;B=A;}while((A|0)!=0);E=s-1|0;if(r>>>0<D>>>0){B=r;D=D-B|0;do{A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=B-1|0;B=A;}while((A|0)!=0);E=n+(-z|0)|0}}}else{E=E+(r-B)|0;if(B>>>0<D>>>0){D=D-B|0;do{A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=B-1|0;B=A;}while((A|0)!=0);E=n+(-z|0)|0}}}while(1){if(!(D>>>0>2>>>0)){break}A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;D=D-3|0}if((D|0)!=0){A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;if(D>>>0>1>>>0){A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0}}}else{E=n+(-z|0)|0;do{A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;A=E+1|0;E=A;F=n+1|0;n=F;a[F]=a[A]|0;D=D-3|0;}while(D>>>0>2>>>0);if((D|0)!=0){z=E+1|0;E=z;A=n+1|0;n=A;a[A]=a[z]|0;if(D>>>0>1>>>0){z=E+1|0;E=z;A=n+1|0;n=A;a[A]=a[z]|0}}}}if(l>>>0<m>>>0){G=n>>>0<g>>>0}else{G=0}}while(G);do{if((C|0)==23){c[k+24>>2]=7626928;c[f>>2]=29}else if((C|0)==70){c[k+24>>2]=7681864;c[f>>2]=29}else if((C|0)==74){if((B&32|0)!=0){c[f>>2]=11;break}else{c[k+24>>2]=7671272;c[f>>2]=29;break}}}while(0);D=u>>>3;l=l+(-D|0)|0;u=u-(D<<3)|0;t=t&(1<<u)-1;c[k>>2]=l+1;c[k+12>>2]=n+1;if(l>>>0<m>>>0){H=m-l+5|0}else{H=5-(l-m)|0}c[k+4>>2]=H;if(n>>>0<g>>>0){I=g-n+257|0;J=k;K=J+16|0;c[K>>2]=I;L=t;M=f;N=M+56|0;c[N>>2]=L;O=u;P=f;Q=P+60|0;c[Q>>2]=O;i=h;return}else{I=257-(n-g)|0;J=k;K=J+16|0;c[K>>2]=I;L=t;M=f;N=M+56|0;c[N>>2]=L;O=u;P=f;Q=P+60|0;c[Q>>2]=O;i=h;return}}function OB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}a=c[d>>2]|0;if((a|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}g=+h[b>>3];d=g<0.0;if((a|0)==1){if(d){i=-0.0-g}else{i=g}if((e|0)<2){f=1;return f|0}else{j=1;k=2;l=i}while(1){i=+h[b+(k-1<<3)>>3];m=i<0.0;if(m){n=-0.0-i}else{n=i}o=n<=l;if(o|m^1){p=o?l:i;q=o?j:k}else{p=-0.0-i;q=k}o=k+1|0;if((o|0)>(e|0)){f=q;break}else{j=q;k=o;l=p}}return f|0}if(d){r=-0.0-g}else{r=g}if((e|0)<2){f=1;return f|0}d=1;k=2;q=a+1|0;g=r;while(1){r=+h[b+(q-1<<3)>>3];j=r<0.0;if(j){s=-0.0-r}else{s=r}o=s<=g;if(o|j^1){t=o?g:r;u=o?d:k}else{t=-0.0-r;u=k}o=k+1|0;if((o|0)>(e|0)){f=u;break}else{d=u;k=o;q=a+q|0;g=t}}return f|0}function PB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)<1){return 0}if((g|0)!=1){e=ga(g,f)|0;if((e|0)>0){i=1}else{return 0}do{j=d+(i-1<<3)|0;h[j>>3]=+h[b>>3]*+h[j>>3];i=i+g|0;}while((i|0)<=(e|0));return 0}e=(f|0)%5|0;do{if((e|0)==0){k=f}else{if((e|0)<1){l=f}else{i=1;do{g=d+(i-1<<3)|0;h[g>>3]=+h[b>>3]*+h[g>>3];i=i+1|0;}while((i|0)<=(e|0));l=c[a>>2]|0}if((l|0)>=5){k=l;break}return 0}}while(0);l=e+1|0;if((l|0)>(k|0)){return 0}else{m=l}do{l=d+(m-1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+1<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+2<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];l=d+(m+3<<3)|0;h[l>>3]=+h[b>>3]*+h[l>>3];m=m+5|0;}while((m|0)<=(k|0));return 0}function QB(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0;g=c[a>>2]|0;if((g|0)<1){return 0}i=c[d>>2]|0;do{if((i|0)==1){j=c[f>>2]|0;if((j|0)!=1){k=1;l=j;break}j=(g|0)%3|0;do{if((j|0)==0){m=g}else{if((j|0)<1){n=g}else{o=1;do{p=o-1|0;q=b+(p<<3)|0;r=+h[q>>3];s=e+(p<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;o=o+1|0;}while((o|0)<=(j|0));n=c[a>>2]|0}if((n|0)>=3){m=n;break}return 0}}while(0);o=j+1|0;if((o|0)>(m|0)){return 0}else{t=o}do{o=t-1|0;s=b+(o<<3)|0;r=+h[s>>3];q=e+(o<<3)|0;h[s>>3]=+h[q>>3];h[q>>3]=r;q=b+(t<<3)|0;r=+h[q>>3];s=e+(t<<3)|0;h[q>>3]=+h[s>>3];h[s>>3]=r;s=t+1|0;q=b+(s<<3)|0;r=+h[q>>3];o=e+(s<<3)|0;h[q>>3]=+h[o>>3];h[o>>3]=r;t=t+3|0;}while((t|0)<=(m|0));return 0}else{if((i|0)<0){u=(ga(1-g|0,i)|0)+1|0}else{u=1}k=u;l=c[f>>2]|0}}while(0);if((l|0)<0){v=1;w=k;x=(ga(1-g|0,l)|0)+1|0}else{v=1;w=k;x=1}while(1){k=b+(w-1<<3)|0;r=+h[k>>3];l=e+(x-1<<3)|0;h[k>>3]=+h[l>>3];h[l>>3]=r;l=v+1|0;if((l|0)>(g|0)){break}else{v=l;w=(c[d>>2]|0)+w|0;x=(c[f>>2]|0)+x|0}}return 0}function RB(a,b,d,e,f,g,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;m=i;i=i+8|0;n=m|0;o=c[l>>2]|0;l=~o;c[n>>2]=0;p=c[a>>2]|0;do{if((p|0)<0){c[n>>2]=1}else{q=c[b>>2]|0;if((q|0)<0){c[n>>2]=2;break}r=c[f>>2]|0;if((r|0)==0){c[n>>2]=5;break}s=c[j>>2]|0;if((s|0)==0){c[n>>2]=7;break}if((o|0)<(((p|0)>1?p:1)|0)){c[n>>2]=9;break}if((p|0)==0|(q|0)==0){i=m;return 0}if(+h[d>>3]==0.0){i=m;return 0}if((s|0)>0){t=1}else{t=1-(ga(s,q-1|0)|0)|0}if((r|0)==1){if((q|0)<1){i=m;return 0}else{u=1;v=t;w=s}while(1){x=+h[g+(v-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){A=w;break}B=(ga(u,o)|0)+l|0;C=1;do{D=k+(B+C<<3)|0;h[D>>3]=+h[D>>3]+y*+h[e+(C-1<<3)>>3];C=C+1|0;}while((C|0)<=(z|0));A=c[j>>2]|0}else{A=w}}while(0);z=u+1|0;if((z|0)>(q|0)){break}else{u=z;v=A+v|0;w=A}}i=m;return 0}if((r|0)>0){E=1}else{E=1-(ga(p-1|0,r)|0)|0}if((q|0)<1){i=m;return 0}else{F=1;G=t;H=s}while(1){x=+h[g+(G-1<<3)>>3];do{if(x!=0.0){y=x*+h[d>>3];z=c[a>>2]|0;if((z|0)<1){I=H;break}C=(ga(F,o)|0)+l|0;B=1;D=E;while(1){J=k+(C+B<<3)|0;h[J>>3]=+h[J>>3]+y*+h[e+(D-1<<3)>>3];J=B+1|0;if((J|0)>(z|0)){break}else{B=J;D=(c[f>>2]|0)+D|0}}I=c[j>>2]|0}else{I=H}}while(0);D=F+1|0;if((D|0)>(q|0)){break}else{F=D;G=I+G|0;H=I}}i=m;return 0}}while(0);Pc(7685488,n|0)|0;i=m;return 0}function SB(a,b,d,e,f,g,j,k,l,m,n,o,p){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0,da=0;q=i;i=i+8|0;r=q|0;s=c[k>>2]|0;t=~s;u=c[m>>2]|0;v=~u;w=c[p>>2]|0;x=~w;y=qJ(a,7683824,0,0)|0;z=qJ(b,7683824,0,0)|0;A=(y|0)!=0;y=c[(A?d:f)>>2]|0;B=(z|0)!=0;z=c[(B?f:e)>>2]|0;c[r>>2]=0;do{if(A){C=5}else{if((qJ(a,7692704,0,0)|0)!=0){C=5;break}if((qJ(a,7678768,0,0)|0)!=0){C=5;break}c[r>>2]=1}}while(0);a:do{if((C|0)==5){do{if(!B){if((qJ(b,7692704,0,0)|0)!=0){break}if((qJ(b,7678768,0,0)|0)!=0){break}c[r>>2]=2;break a}}while(0);a=c[d>>2]|0;if((a|0)<0){c[r>>2]=3;break}D=c[e>>2]|0;if((D|0)<0){c[r>>2]=4;break}E=c[f>>2]|0;if((E|0)<0){c[r>>2]=5;break}if((c[k>>2]|0)<(((y|0)>1?y:1)|0)){c[r>>2]=8;break}if((c[m>>2]|0)<(((z|0)>1?z:1)|0)){c[r>>2]=10;break}if((c[p>>2]|0)<(((a|0)>1?a:1)|0)){c[r>>2]=13;break}if((c[r>>2]|0)!=0){break}if((a|0)==0|(D|0)==0){i=q;return 0}F=+h[g>>3]==0.0;do{if(F|(E|0)==0){if(+h[n>>3]==1.0){i=q;return 0}if(!F){break}G=(D|0)<1;if(+h[n>>3]==0.0){if(G){i=q;return 0}else{H=2;I=0;J=a}while(1){if((J|0)>=1){oaa(o+((ga(w,I)|0)<<3)|0,0,J<<3|0)|0}if((H|0)>(D|0)){break}H=H+1|0;I=I+1|0;J=c[d>>2]|0}i=q;return 0}if(G){i=q;return 0}else{K=1;L=a}while(1){if((L|0)>=1){M=(ga(K,w)|0)+x|0;N=1;do{O=o+(M+N<<3)|0;h[O>>3]=+h[n>>3]*+h[O>>3];N=N+1|0;}while((N|0)<=(L|0))}N=K+1|0;if((N|0)>(D|0)){break}K=N;L=c[d>>2]|0}i=q;return 0}}while(0);F=(D|0)<1;if(B){if(!A){if(F){i=q;return 0}else{P=1;Q=a}while(1){if((Q|0)>=1){E=(ga(P,w)|0)+x|0;G=(ga(P,u)|0)+v|0;N=1;do{M=c[f>>2]|0;if((M|0)<1){R=0.0}else{O=(ga(N,s)|0)+t|0;S=1;T=0.0;while(1){U=T+ +h[j+(O+S<<3)>>3]*+h[l+(G+S<<3)>>3];V=S+1|0;if((V|0)>(M|0)){R=U;break}else{S=V;T=U}}}T=+h[n>>3];U=R*+h[g>>3];S=o+(E+N<<3)|0;if(T==0.0){W=U}else{W=U+T*+h[S>>3]}h[S>>3]=W;N=N+1|0;}while((N|0)<=(Q|0))}N=P+1|0;if((N|0)>(D|0)){break}P=N;Q=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{X=1;Y=0}while(1){N=o+((ga(w,Y)|0)<<3)|0;T=+h[n>>3];b:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}oaa(N|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}G=(ga(X,w)|0)+x|0;S=1;U=T;while(1){M=o+(G+S<<3)|0;h[M>>3]=U*+h[M>>3];M=S+1|0;if((M|0)>(E|0)){break b}S=M;U=+h[n>>3]}}}while(0);N=c[f>>2]|0;if((N|0)>=1){S=(ga(X,u)|0)+v|0;E=(ga(X,w)|0)+x|0;G=1;do{T=+h[l+(S+G<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];M=c[d>>2]|0;if((M|0)<1){break}O=(ga(G,s)|0)+t|0;V=1;do{Z=o+(E+V<<3)|0;h[Z>>3]=+h[Z>>3]+U*+h[j+(O+V<<3)>>3];V=V+1|0;}while((V|0)<=(M|0))}}while(0);G=G+1|0;}while((G|0)<=(N|0))}N=X+1|0;if((N|0)>(D|0)){break}X=N;Y=Y+1|0}i=q;return 0}else{if(!A){if(F){i=q;return 0}else{_=1;$=a}while(1){if(($|0)>=1){N=(ga(_,w)|0)+x|0;G=_+v|0;E=1;do{S=c[f>>2]|0;if((S|0)<1){aa=0.0}else{M=(ga(E,s)|0)+t|0;V=1;T=0.0;while(1){U=T+ +h[j+(M+V<<3)>>3]*+h[l+(G+(ga(V,u)|0)<<3)>>3];O=V+1|0;if((O|0)>(S|0)){aa=U;break}else{V=O;T=U}}}T=+h[n>>3];U=aa*+h[g>>3];V=o+(N+E<<3)|0;if(T==0.0){ba=U}else{ba=U+T*+h[V>>3]}h[V>>3]=ba;E=E+1|0;}while((E|0)<=($|0))}E=_+1|0;if((E|0)>(D|0)){break}_=E;$=c[d>>2]|0}i=q;return 0}if(F){i=q;return 0}else{ca=1;da=0}while(1){a=o+((ga(w,da)|0)<<3)|0;T=+h[n>>3];c:do{if(T==0.0){E=c[d>>2]|0;if((E|0)<1){break}oaa(a|0,0,E<<3|0)|0}else{if(!(T!=1.0)){break}E=c[d>>2]|0;if((E|0)<1){break}N=(ga(ca,w)|0)+x|0;G=1;U=T;while(1){V=o+(N+G<<3)|0;h[V>>3]=U*+h[V>>3];V=G+1|0;if((V|0)>(E|0)){break c}G=V;U=+h[n>>3]}}}while(0);a=c[f>>2]|0;if((a|0)>=1){G=ca+v|0;E=(ga(ca,w)|0)+x|0;N=1;do{T=+h[l+(G+(ga(N,u)|0)<<3)>>3];do{if(T!=0.0){U=T*+h[g>>3];V=c[d>>2]|0;if((V|0)<1){break}S=(ga(N,s)|0)+t|0;M=1;do{O=o+(E+M<<3)|0;h[O>>3]=+h[O>>3]+U*+h[j+(S+M<<3)>>3];M=M+1|0;}while((M|0)<=(V|0))}}while(0);N=N+1|0;}while((N|0)<=(a|0))}a=ca+1|0;if((a|0)>(D|0)){break}ca=a;da=da+1|0}i=q;return 0}}}while(0);Pc(7667464,r|0)|0;i=q;return 0}function TB(a,b,d,e,f,g,j,k,l,m,n){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0,X=0.0,Y=0,Z=0,_=0;o=i;i=i+8|0;p=o|0;q=c[l>>2]|0;r=~q;s=c[n>>2]|0;t=~s;u=(qJ(a,7681416,0,0)|0)!=0;v=c[(u?f:g)>>2]|0;w=qJ(e,7691792,0,0)|0;x=qJ(b,7678560,0,0)|0;c[p>>2]=0;do{if(u){y=4}else{if((qJ(a,7667152,0,0)|0)!=0){y=4;break}c[p>>2]=1}}while(0);a:do{if((y|0)==4){do{if((x|0)==0){if((qJ(b,7681416,0,0)|0)!=0){break}c[p>>2]=2;break a}}while(0);do{if((qJ(d,7691792,0,0)|0)==0){if((qJ(d,7656368,0,0)|0)!=0){break}if((qJ(d,7648736,0,0)|0)!=0){break}c[p>>2]=3;break a}}while(0);do{if((qJ(e,7678560,0,0)|0)==0){if((qJ(e,7691792,0,0)|0)!=0){break}c[p>>2]=4;break a}}while(0);a=c[f>>2]|0;if((a|0)<0){c[p>>2]=5;break}z=c[g>>2]|0;if((z|0)<0){c[p>>2]=6;break}if((c[l>>2]|0)<(((v|0)>1?v:1)|0)){c[p>>2]=9;break}if((c[n>>2]|0)<(((a|0)>1?a:1)|0)){c[p>>2]=11;break}if((c[p>>2]|0)!=0){break}if((a|0)==0|(z|0)==0){i=o;return 0}if(+h[j>>3]==0.0){if((z|0)<1){i=o;return 0}else{A=2;B=0;C=a}while(1){if((C|0)>=1){oaa(m+((ga(s,B)|0)<<3)|0,0,C<<3|0)|0}if((A|0)>(z|0)){break}A=A+1|0;B=B+1|0;C=c[f>>2]|0}i=o;return 0}z=(qJ(d,7691792,0,0)|0)!=0;a=(x|0)!=0;D=c[g>>2]|0;if(u){E=(D|0)<1;if(!z){if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{H=c[f>>2]|0;if((H|0)>=1){I=(ga(G,s)|0)+t|0;J=1;do{K=m+(I+J<<3)|0;L=+h[j>>3]*+h[K>>3];M=J-1|0;if((M|0)<1){N=L}else{O=(ga(J,q)|0)+r|0;P=1;Q=L;while(1){L=Q- +h[k+(O+P<<3)>>3]*+h[m+(I+P<<3)>>3];R=P+1|0;if((R|0)>(M|0)){N=L;break}else{P=R;Q=L}}}if(F){S=N}else{S=N/+h[k+(J+r+(ga(J,q)|0)<<3)>>3]}h[K>>3]=S;J=J+1|0;}while((J|0)<=(H|0))}G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{H=c[f>>2]|0;b:do{if((H|0)>0){J=(ga(F,s)|0)+t|0;I=H;P=H;while(1){M=m+(J+I<<3)|0;Q=+h[j>>3]*+h[M>>3];O=I+1|0;if((O|0)>(P|0)){T=Q}else{R=(ga(I,q)|0)+r|0;L=Q;U=O;while(1){Q=L- +h[k+(R+U<<3)>>3]*+h[m+(J+U<<3)>>3];O=U+1|0;if((O|0)>(P|0)){T=Q;break}else{L=Q;U=O}}}if(G){V=T}else{V=T/+h[k+(I+r+(ga(I,q)|0)<<3)>>3]}h[M>>3]=V;U=I-1|0;if((U|0)<=0){break b}I=U;P=c[f>>2]|0}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(a){if(E){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];c:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}P=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){J=m+(P+I<<3)|0;h[J>>3]=Q*+h[J>>3];J=I+1|0;if((J|0)>(H|0)){y=43;break c}I=J;Q=+h[j>>3]}}else{y=43}}while(0);d:do{if((y|0)==43){y=0;I=c[f>>2]|0;if((I|0)<=0){break}H=(ga(G,s)|0)+t|0;if(F){P=I;while(1){J=m+(H+P<<3)|0;L=+h[J>>3];K=P-1|0;e:do{if(L!=0.0){if((K|0)<1){break d}U=(ga(P,q)|0)+r|0;R=1;Q=L;while(1){O=m+(H+R<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(U+R<<3)>>3];O=R+1|0;if((O|0)>(K|0)){break e}R=O;Q=+h[J>>3]}}}while(0);if((K|0)>0){P=K}else{break d}}}else{W=I}while(1){P=m+(H+W<<3)|0;L=+h[P>>3];f:do{if(L!=0.0){Q=L/+h[k+(W+r+(ga(W,q)|0)<<3)>>3];h[P>>3]=Q;J=W-1|0;if((J|0)<1){break d}M=(ga(W,q)|0)+r|0;R=1;X=Q;while(1){U=m+(H+R<<3)|0;h[U>>3]=+h[U>>3]-X*+h[k+(M+R<<3)>>3];U=R+1|0;if((U|0)>(J|0)){Y=J;break f}R=U;X=+h[P>>3]}}else{Y=W-1|0}}while(0);if((Y|0)>0){W=Y}else{break}}}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}if(E){i=o;return 0}G=(w|0)==0;F=1;do{L=+h[j>>3];g:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;X=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=X*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){y=64;break g}P=K;X=+h[j>>3]}}else{y=64}}while(0);do{if((y|0)==64){y=0;P=c[f>>2]|0;if((P|0)<1){break}H=(ga(F,s)|0)+t|0;if(G){I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];h:do{if(L!=0.0){R=c[f>>2]|0;J=I+1|0;if((J|0)>(R|0)){Z=J;break}M=(ga(I,q)|0)+r|0;U=J;X=L;while(1){O=m+(H+U<<3)|0;h[O>>3]=+h[O>>3]-X*+h[k+(M+U<<3)>>3];O=U+1|0;if((O|0)>(R|0)){Z=J;break h}U=O;X=+h[K>>3]}}else{Z=I+1|0}}while(0);if((Z|0)>(P|0)){break}else{I=Z}}}else{I=1;while(1){K=m+(H+I<<3)|0;L=+h[K>>3];i:do{if(L!=0.0){X=L/+h[k+(I+r+(ga(I,q)|0)<<3)>>3];h[K>>3]=X;U=c[f>>2]|0;J=I+1|0;if((J|0)>(U|0)){_=J;break}R=(ga(I,q)|0)+r|0;M=J;Q=X;while(1){O=m+(H+M<<3)|0;h[O>>3]=+h[O>>3]-Q*+h[k+(R+M<<3)>>3];O=M+1|0;if((O|0)>(U|0)){_=J;break i}M=O;Q=+h[K>>3]}}else{_=I+1|0}}while(0);if((_|0)>(P|0)){break}else{I=_}}}}}while(0);F=F+1|0;}while((F|0)<=(D|0));i=o;return 0}if(!z){if(a){if((D|0)<=0){i=o;return 0}F=(w|0)==0;G=D;while(1){do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];E=c[f>>2]|0;if((E|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;do{H=m+(I+P<<3)|0;h[H>>3]=L*+h[H>>3];P=P+1|0;}while((P|0)<=(E|0))}}while(0);E=G-1|0;if((E|0)>=1){P=(ga(G,q)|0)+r|0;I=(ga(G,s)|0)+t|0;H=1;do{L=+h[k+(P+H<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(H,s)|0)+t|0;J=1;do{U=m+(M+J<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(I+J<<3)>>3];J=J+1|0;}while((J|0)<=(K|0))}}while(0);H=H+1|0;}while((H|0)<=(E|0))}L=+h[j>>3];j:do{if(L!=1.0){H=c[f>>2]|0;if((H|0)<1){break}I=(ga(G,s)|0)+t|0;P=1;Q=L;while(1){K=m+(I+P<<3)|0;h[K>>3]=Q*+h[K>>3];K=P+1|0;if((K|0)>(H|0)){break j}P=K;Q=+h[j>>3]}}}while(0);if((E|0)>0){G=E}else{break}}i=o;return 0}else{if((D|0)<1){i=o;return 0}G=(w|0)==0;F=1;while(1){do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}P=(ga(F,s)|0)+t|0;H=1;do{I=m+(P+H<<3)|0;h[I>>3]=L*+h[I>>3];H=H+1|0;}while((H|0)<=(z|0))}}while(0);E=c[g>>2]|0;z=F+1|0;if((z|0)<=(E|0)){H=(ga(F,q)|0)+r|0;P=(ga(F,s)|0)+t|0;I=z;do{L=+h[k+(H+I<<3)>>3];do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}J=(ga(I,s)|0)+t|0;M=1;do{U=m+(J+M<<3)|0;h[U>>3]=+h[U>>3]-L*+h[m+(P+M<<3)>>3];M=M+1|0;}while((M|0)<=(K|0))}}while(0);I=I+1|0;}while((I|0)<=(E|0))}L=+h[j>>3];k:do{if(L!=1.0){E=c[f>>2]|0;if((E|0)<1){break}I=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){H=m+(I+P<<3)|0;h[H>>3]=Q*+h[H>>3];H=P+1|0;if((H|0)>(E|0)){break k}P=H;Q=+h[j>>3]}}}while(0);if((z|0)>(D|0)){break}else{F=z}}i=o;return 0}}if(a){if((D|0)<1){i=o;return 0}F=(w|0)==0;G=1;do{L=+h[j>>3];l:do{if(L!=1.0){P=c[f>>2]|0;if((P|0)<1){break}E=(ga(G,s)|0)+t|0;I=1;Q=L;while(1){H=m+(E+I<<3)|0;h[H>>3]=Q*+h[H>>3];H=I+1|0;if((H|0)>(P|0)){break l}I=H;Q=+h[j>>3]}}}while(0);z=G-1|0;if((z|0)>=1){I=(ga(G,q)|0)+r|0;P=(ga(G,s)|0)+t|0;E=1;do{H=k+(I+E<<3)|0;L=+h[H>>3];m:do{if(L!=0.0){K=c[f>>2]|0;if((K|0)<1){break}M=(ga(E,s)|0)+t|0;J=1;Q=L;while(1){U=m+(P+J<<3)|0;h[U>>3]=+h[U>>3]-Q*+h[m+(M+J<<3)>>3];U=J+1|0;if((U|0)>(K|0)){break m}J=U;Q=+h[H>>3]}}}while(0);E=E+1|0;}while((E|0)<=(z|0))}do{if(!F){L=1.0/+h[k+(G+r+(ga(G,q)|0)<<3)>>3];z=c[f>>2]|0;if((z|0)<1){break}E=(ga(G,s)|0)+t|0;P=1;do{I=m+(E+P<<3)|0;h[I>>3]=L*+h[I>>3];P=P+1|0;}while((P|0)<=(z|0))}}while(0);G=G+1|0;}while((G|0)<=(D|0));i=o;return 0}else{if((D|0)<=0){i=o;return 0}G=(w|0)==0;F=D;do{L=+h[j>>3];n:do{if(L!=1.0){a=c[f>>2]|0;if((a|0)<1){break}z=(ga(F,s)|0)+t|0;P=1;Q=L;while(1){E=m+(z+P<<3)|0;h[E>>3]=Q*+h[E>>3];E=P+1|0;if((E|0)>(a|0)){break n}P=E;Q=+h[j>>3]}}}while(0);P=c[g>>2]|0;a=F+1|0;if((a|0)<=(P|0)){z=(ga(F,q)|0)+r|0;E=(ga(F,s)|0)+t|0;I=a;do{a=k+(z+I<<3)|0;L=+h[a>>3];o:do{if(L!=0.0){H=c[f>>2]|0;if((H|0)<1){break}J=(ga(I,s)|0)+t|0;K=1;Q=L;while(1){M=m+(E+K<<3)|0;h[M>>3]=+h[M>>3]-Q*+h[m+(J+K<<3)>>3];M=K+1|0;if((M|0)>(H|0)){break o}K=M;Q=+h[a>>3]}}}while(0);I=I+1|0;}while((I|0)<=(P|0))}do{if(!G){L=1.0/+h[k+(F+r+(ga(F,q)|0)<<3)>>3];P=c[f>>2]|0;if((P|0)<1){break}I=(ga(F,s)|0)+t|0;E=1;do{z=m+(I+E<<3)|0;h[z>>3]=L*+h[z>>3];E=E+1|0;}while((E|0)<=(P|0))}}while(0);F=F-1|0;}while((F|0)>0);i=o;return 0}}}while(0);Pc(7641280,p|0)|0;i=o;return 0}function UB(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=i;i=i+8|0;l=k|0;c[j>>2]=0;m=c[a>>2]|0;do{if((m|0)<0){c[j>>2]=-1;n=-1}else{if((c[b>>2]|0)<0){c[j>>2]=-2;n=-2;break}o=(m|0)>1?m:1;if((c[e>>2]|0)<(o|0)){c[j>>2]=-4;n=-4;break}if((c[h>>2]|0)<(o|0)){c[j>>2]=-7;n=-7;break}WB(a,a,d,e,f,j)|0;if((c[j>>2]|0)!=0){i=k;return 0}XB(7688312,a,b,d,e,f,g,h,j)|0;i=k;return 0}}while(0);c[l>>2]=-n;Pc(7667296,l|0)|0;i=k;return 0}function VB(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=c[e>>2]|0;p=~o;c[g>>2]=0;q=c[a>>2]|0;do{if((q|0)<0){c[g>>2]=-1;r=-1}else{s=c[b>>2]|0;if((s|0)<0){c[g>>2]=-2;r=-2;break}if((c[e>>2]|0)<(((q|0)>1?q:1)|0)){c[g>>2]=-4;r=-4;break}if((q|0)==0|(s|0)==0){i=j;return 0}t=+ZI(7688192,0);s=c[a>>2]|0;u=c[b>>2]|0;v=(s|0)>(u|0)?u:s;c[k>>2]=v;if((v|0)<1){i=j;return 0}else{w=1;x=s}while(1){c[l>>2]=1-w+x;s=w-1|0;v=ga(w,o)|0;u=w+p|0;y=u+v|0;z=d+(y<<3)|0;A=s+(OB(l,z,30008)|0)|0;c[f+(s<<2)>>2]=A;B=v+p|0;a:do{if(+h[d+(B+A<<3)>>3]!=0.0){if((A|0)!=(w|0)){QB(b,d+(s<<3)|0,e,d+(A-1<<3)|0,e)|0}C=c[a>>2]|0;if((w|0)>=(C|0)){break}D=+h[z>>3];h[n>>3]=D;if(D<0.0){E=-0.0-D}else{E=D}F=C-w|0;c[l>>2]=F;if(!(E<t)){h[n>>3]=1.0/D;PB(l,n,d+(w-o+v<<3)|0,30008)|0;break}if((F|0)<1){break}else{G=1;H=D}while(1){C=d+(y+G<<3)|0;h[C>>3]=+h[C>>3]/H;C=G+1|0;if((C|0)>(F|0)){break a}G=C;H=+h[z>>3]}}else{if((c[g>>2]|0)!=0){break}c[g>>2]=w}}while(0);z=c[a>>2]|0;y=c[b>>2]|0;if((w|0)<(((z|0)>(y|0)?y:z)|0)){c[l>>2]=z-w;c[m>>2]=y-w;y=w+1|0;z=ga(y,o)|0;RB(l,m,29320,d+(B+y<<3)|0,30008,d+(u+z<<3)|0,e,d+(y+p+z<<3)|0,e)|0;I=y}else{I=w+1|0}if((I|0)>(c[k>>2]|0)){break}w=I;x=c[a>>2]|0}i=j;return 0}}while(0);c[k>>2]=-r;Pc(7666544,k|0)|0;i=j;return 0}function WB(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=i;i=i+48|0;j=h|0;k=h+8|0;l=h+16|0;m=h+24|0;n=h+32|0;o=h+40|0;p=c[e>>2]|0;q=~p;c[g>>2]=0;r=c[a>>2]|0;do{if((r|0)<0){c[g>>2]=-1;s=-1}else{t=c[b>>2]|0;if((t|0)<0){c[g>>2]=-2;s=-2;break}if((c[e>>2]|0)<(((r|0)>1?r:1)|0)){c[g>>2]=-4;s=-4;break}if((r|0)==0|(t|0)==0){i=h;return 0}t=ZB(3e4,7666480,7688184,a,b,29312,29312)|0;do{if((t|0)>=2){u=c[a>>2]|0;v=c[b>>2]|0;w=(u|0)>(v|0)?v:u;if((t|0)>=(w|0)){break}c[j>>2]=w;c[m>>2]=1;if((w|0)>0){x=1;y=u;z=v}else{i=h;return 0}while(1){v=((y|0)>(z|0)?z:y)-x+1|0;c[n>>2]=(v|0)<=(t|0)?v:t;c[k>>2]=y+1-x;VB(k,n,d+(x+q+(ga(x,p)|0)<<3)|0,e,f+(x-1<<2)|0,o)|0;do{if((c[g>>2]|0)==0){v=c[o>>2]|0;if((v|0)<=0){break}c[g>>2]=v-1+(c[m>>2]|0)}}while(0);v=c[a>>2]|0;c[l>>2]=v;u=c[m>>2]|0;w=u-1|0;A=w+(c[n>>2]|0)|0;B=(v|0)<=(A|0)?v:A;c[k>>2]=B;if((u|0)<=(B|0)){v=u;do{u=f+(v-1<<2)|0;c[u>>2]=(c[u>>2]|0)+w;v=v+1|0;}while((v|0)<=(B|0))}c[k>>2]=w;c[l>>2]=A;YB(k,d,e,m,l,f,3e4)|0;B=c[m>>2]|0;v=c[n>>2]|0;u=v+B|0;C=c[b>>2]|0;do{if((u|0)>(C|0)){D=B}else{c[k>>2]=1-B-v+C;c[l>>2]=u-1;YB(k,d+((ga(u,p)|0)-p<<3)|0,e,m,l,f,3e4)|0;E=c[m>>2]|0;F=c[n>>2]|0;c[k>>2]=(c[b>>2]|0)+1-E-F;G=E+q|0;TB(7677304,7665256,7655376,7647936,n,k,29368,d+(G+(ga(E,p)|0)<<3)|0,e,d+(G+(ga(F+E|0,p)|0)<<3)|0,e)|0;E=c[m>>2]|0;F=c[n>>2]|0;G=F+E|0;H=c[a>>2]|0;if((G|0)>(H|0)){D=E;break}c[k>>2]=1-E-F+H;c[l>>2]=(c[b>>2]|0)+1-E-F;F=ga(G,p)|0;SB(7655376,7655376,k,l,n,29352,d+((ga(E,p)|0)+q+G<<3)|0,e,d+(E+q+F<<3)|0,e,29368,d+(G+q+F<<3)|0,e)|0;D=c[m>>2]|0}}while(0);u=D+t|0;c[m>>2]=u;if((u|0)>(c[j>>2]|0)){break}x=u;y=c[a>>2]|0;z=c[b>>2]|0}i=h;return 0}}while(0);VB(a,b,d,e,f,g)|0;i=h;return 0}}while(0);c[j>>2]=-s;Pc(7666480,j|0)|0;i=h;return 0}function XB(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=i;i=i+8|0;m=l|0;c[k>>2]=0;n=(qJ(a,7666232,0,0)|0)!=0;do{if(n){o=5}else{if((qJ(a,7688176,0,0)|0)!=0){o=5;break}if((qJ(a,7677296,0,0)|0)!=0){o=5;break}c[k>>2]=-1;p=-1}}while(0);do{if((o|0)==5){a=c[b>>2]|0;if((a|0)<0){c[k>>2]=-2;p=-2;break}q=c[d>>2]|0;if((q|0)<0){c[k>>2]=-3;p=-3;break}r=(a|0)>1?a:1;if((c[f>>2]|0)<(r|0)){c[k>>2]=-5;p=-5;break}if((c[j>>2]|0)<(r|0)){c[k>>2]=-8;p=-8;break}r=c[k>>2]|0;if((r|0)!=0){p=r;break}if((a|0)==0|(q|0)==0){i=l;return 0}if(n){YB(d,h,j,29992,b,g,29992)|0;TB(7655368,7647928,7640680,7634496,b,d,29384,e,f,h,j)|0;TB(7655368,7628536,7640680,7622656,b,d,29384,e,f,h,j)|0;i=l;return 0}else{TB(7655368,7628536,7698528,7622656,b,d,29384,e,f,h,j)|0;TB(7655368,7647928,7698528,7634496,b,d,29384,e,f,h,j)|0;YB(d,h,j,29992,b,g,29304)|0;i=l;return 0}}}while(0);c[m>>2]=-p;Pc(7665248,m|0)|0;i=l;return 0}function YB(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0;j=c[d>>2]|0;d=~j;k=c[i>>2]|0;do{if((k|0)>0){l=c[e>>2]|0;m=1;n=l;o=f;p=l}else{if((k|0)<0){l=c[f>>2]|0;m=-1;n=(ga(1-l|0,k)|0)+1|0;o=e;p=l;break}else{return 0}}}while(0);e=c[o>>2]|0;o=c[a>>2]|0;f=((o|0)/32|0)<<5;if((f|0)<1){q=o;r=k}else{o=(m|0)<0;l=o?(p|0)>=(e|0):(p|0)<=(e|0);s=1;t=k;while(1){if(l){k=s+31|0;if(o){u=p;v=n;w=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(u|0)){y=w}else{z=u+d|0;A=x+d|0;x=s;do{B=ga(x,j)|0;C=b+(z+B<<3)|0;D=+h[C>>3];E=b+(A+B<<3)|0;h[C>>3]=+h[E>>3];h[E>>3]=D;x=x+1|0;}while((x|0)<=(k|0));y=c[i>>2]|0}x=u+m|0;if((x|0)<(e|0)){F=y;break}else{u=x;v=y+v|0;w=y}}}else{w=p;v=n;u=t;while(1){x=c[g+(v-1<<2)>>2]|0;if((x|0)==(w|0)){G=u}else{A=w+d|0;z=x+d|0;x=s;do{E=ga(x,j)|0;C=b+(A+E<<3)|0;D=+h[C>>3];B=b+(z+E<<3)|0;h[C>>3]=+h[B>>3];h[B>>3]=D;x=x+1|0;}while((x|0)<=(k|0));G=c[i>>2]|0}x=w+m|0;if((x|0)>(e|0)){F=G;break}else{w=x;v=G+v|0;u=G}}}}else{F=t}u=s+32|0;if((u|0)>(f|0)){break}else{s=u;t=F}}q=c[a>>2]|0;r=F}if((f|0)==(q|0)){return 0}q=f|1;f=(m|0)<0;if(!(f?(p|0)>=(e|0):(p|0)<=(e|0))){return 0}if(f){f=p;F=n;t=r;while(1){s=c[g+(F-1<<2)>>2]|0;do{if((s|0)==(f|0)){H=t}else{G=c[a>>2]|0;if((q|0)>(G|0)){H=t;break}y=f+d|0;o=s+d|0;l=q;do{u=ga(l,j)|0;v=b+(y+u<<3)|0;D=+h[v>>3];w=b+(o+u<<3)|0;h[v>>3]=+h[w>>3];h[w>>3]=D;l=l+1|0;}while((l|0)<=(G|0));H=c[i>>2]|0}}while(0);s=f+m|0;if((s|0)<(e|0)){break}else{f=s;F=H+F|0;t=H}}return 0}else{H=p;p=n;n=r;while(1){r=c[g+(p-1<<2)>>2]|0;do{if((r|0)==(H|0)){I=n}else{t=c[a>>2]|0;if((q|0)>(t|0)){I=n;break}F=H+d|0;f=r+d|0;s=q;do{G=ga(s,j)|0;l=b+(F+G<<3)|0;D=+h[l>>3];o=b+(f+G<<3)|0;h[l>>3]=+h[o>>3];h[o>>3]=D;s=s+1|0;}while((s|0)<=(t|0));I=c[i>>2]|0}}while(0);r=H+m|0;if((r|0)>(e|0)){break}else{H=r;p=I+p|0;n=I}}return 0}return 0}function ZB(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+32|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=laa(d|0)|0;a:do{switch(c[b>>2]|0){case 1:case 2:case 3:{q=o|0;uZ(q,d,1,p);r=a[q]|0;do{if((r-97&255)>>>0<26>>>0){s=r-32&255;a[q]=s;t=o+1|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+2|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+3|0;u=a[t]|0;if((u-97&255)>>>0<26>>>0){a[t]=u-32}u=o+4|0;t=a[u]|0;if((t-97&255)>>>0<26>>>0){a[u]=t-32}t=o+5|0;u=a[t]|0;if(!((u-97&255)>>>0<26>>>0)){v=s;break}a[t]=u-32;v=s}else{v=r}}while(0);r=v<<24>>24==83;q=v<<24>>24==68;s=r|q;if(!((v<<24>>24|0)==90|(v<<24>>24|0)==83|(v<<24>>24|0)==68|(v<<24>>24|0)==67)){w=1;break a}u=l|0;uZ(u,o+1|0,1,2);t=m|0;uZ(t,o+3|0,1,3);x=n|0;uZ(x,m+1|0,1,2);y=c[b>>2]|0;if((y|0)==2){if((tZ(u,7691040,1,2)|0)==0){if((tZ(t,7679272,1,3)|0)==0){w=2;break a}if((tZ(t,7668240,1,3)|0)==0){w=2;break a}if((tZ(t,7657312,1,3)|0)==0){w=2;break a}if((tZ(t,7649744,1,3)|0)==0){w=2;break a}if((tZ(t,7642184,1,3)|0)==0){w=2;break a}if((tZ(t,7636184,1,3)|0)==0){w=2;break a}tZ(t,7630104,1,3)|0;w=2;break a}if((tZ(u,7699888,1,2)|0)==0){z=(tZ(t,7694432,1,3)|0)==0;if(z|(r|q)^1){w=z?8:2;break a}tZ(t,7694984,1,3)|0;w=2;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((tZ(u,7688648,1,2)|0)==0){tZ(t,7694984,1,3)|0;w=2;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=94}else{w=2;break a}}while(0);do{if((A|0)==94){if((tZ(u,7686928,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=2;break a}}z=a[t]|0;if((z<<24>>24|0)==71){if((tZ(x,7685688,1,2)|0)==0){w=2;break a}if((tZ(x,7684336,1,2)|0)==0){w=2;break a}if((tZ(x,7683168,1,2)|0)==0){w=2;break a}if((tZ(x,7682384,1,2)|0)==0){w=2;break a}if((tZ(x,7681584,1,2)|0)==0){w=2;break a}if((tZ(x,7680592,1,2)|0)==0){w=2;break a}tZ(x,7679576,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((tZ(x,7685688,1,2)|0)==0){w=2;break a}if((tZ(x,7684336,1,2)|0)==0){w=2;break a}if((tZ(x,7683168,1,2)|0)==0){w=2;break a}if((tZ(x,7682384,1,2)|0)==0){w=2;break a}if((tZ(x,7681584,1,2)|0)==0){w=2;break a}if((tZ(x,7680592,1,2)|0)==0){w=2;break a}tZ(x,7679576,1,2)|0;w=2;break a}else{w=2;break a}}}while(0);if((tZ(u,7678368,1,2)|0)!=0){w=2;break a}z=a[t]|0;if((z<<24>>24|0)==71){if((tZ(x,7685688,1,2)|0)==0){w=2;break a}if((tZ(x,7684336,1,2)|0)==0){w=2;break a}if((tZ(x,7683168,1,2)|0)==0){w=2;break a}if((tZ(x,7682384,1,2)|0)==0){w=2;break a}if((tZ(x,7681584,1,2)|0)==0){w=2;break a}if((tZ(x,7680592,1,2)|0)==0){w=2;break a}tZ(x,7679576,1,2)|0;w=2;break a}else if((z<<24>>24|0)==77){if((tZ(x,7685688,1,2)|0)==0){w=2;break a}if((tZ(x,7684336,1,2)|0)==0){w=2;break a}if((tZ(x,7683168,1,2)|0)==0){w=2;break a}if((tZ(x,7682384,1,2)|0)==0){w=2;break a}if((tZ(x,7681584,1,2)|0)==0){w=2;break a}if((tZ(x,7680592,1,2)|0)==0){w=2;break a}tZ(x,7679576,1,2)|0;w=2;break a}else{w=2;break a}}else if((y|0)==3){if((tZ(u,7691040,1,2)|0)==0){if((tZ(t,7679272,1,3)|0)==0){w=128;break a}if((tZ(t,7668240,1,3)|0)==0){w=128;break a}if((tZ(t,7657312,1,3)|0)==0){w=128;break a}if((tZ(t,7649744,1,3)|0)==0){w=128;break a}if((tZ(t,7642184,1,3)|0)==0){w=128;break a}z=(tZ(t,7636184,1,3)|0)==0;w=z?128:0;break a}if((tZ(u,7699888,1,2)|0)==0){if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=0;break a}z=(tZ(t,7694984,1,3)|0)==0;w=z?32:0;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((tZ(u,7688648,1,2)|0)==0){z=(tZ(t,7694984,1,3)|0)==0;w=z?32:0;break a}else{if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141;break}else if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=141}else{w=0;break a}}while(0);do{if((A|0)==141){if((tZ(u,7686928,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){break}else{w=0;break a}}if((a[t]|0)!=71){w=0;break a}do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}}while(0);if((tZ(u,7678368,1,2)|0)!=0){w=0;break a}if((a[t]|0)!=71){w=0;break a}do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=0;break a}}}while(0);w=128;break a}else{if((tZ(u,7691040,1,2)|0)==0){if((tZ(t,7694432,1,3)|0)==0){w=64;break a}if((tZ(t,7679272,1,3)|0)==0){w=32;break a}if((tZ(t,7668240,1,3)|0)==0){w=32;break a}if((tZ(t,7657312,1,3)|0)==0){w=32;break a}if((tZ(t,7649744,1,3)|0)==0){w=32;break a}if((tZ(t,7642184,1,3)|0)==0){w=32;break a}if((tZ(t,7636184,1,3)|0)==0){w=32;break a}y=(tZ(t,7630104,1,3)|0)==0;w=y?64:1;break a}if((tZ(u,7624192,1,2)|0)==0){y=(tZ(t,7694432,1,3)|0)==0;w=y?64:1;break a}if((tZ(u,7699888,1,2)|0)==0){y=(tZ(t,7694432,1,3)|0)==0;if(y|s^1){w=y?64:1;break a}y=(tZ(t,7694984,1,3)|0)==0;if(y){w=y?32:1;break a}y=(tZ(t,7691112,1,3)|0)==0;w=y?64:1;break a}do{if((v<<24>>24|0)==90|(v<<24>>24|0)==67){if((tZ(u,7688648,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29;break}else{break}}if((tZ(t,7694432,1,3)|0)==0){w=64;break a}if((tZ(t,7694984,1,3)|0)==0){w=32;break a}y=(tZ(t,7691112,1,3)|0)==0;w=y?64:1;break a}else if((v<<24>>24|0)==83|(v<<24>>24|0)==68){A=29}}while(0);do{if((A|0)==29){if((tZ(u,7686928,1,2)|0)!=0){if((v<<24>>24|0)==90|(v<<24>>24|0)==67){A=48;break}else{break}}s=a[t]|0;if((s<<24>>24|0)==71){do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);do{if((A|0)==48){if((tZ(u,7678368,1,2)|0)!=0){break}s=a[t]|0;if((s<<24>>24|0)==71){do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else if((s<<24>>24|0)==77){do{if((tZ(x,7685688,1,2)|0)!=0){if((tZ(x,7684336,1,2)|0)==0){break}if((tZ(x,7683168,1,2)|0)==0){break}if((tZ(x,7682384,1,2)|0)==0){break}if((tZ(x,7681584,1,2)|0)==0){break}if((tZ(x,7680592,1,2)|0)==0){break}if((tZ(x,7679576,1,2)|0)!=0){w=1;break a}}}while(0);w=32;break a}else{w=1;break a}}}while(0);if((tZ(u,7677432,1,2)|0)==0){if((tZ(t,7694432,1,3)|0)!=0){w=1;break a}w=(c[j>>2]|0)<65?1:32;break a}if((tZ(u,7676016,1,2)|0)==0){if((tZ(t,7694432,1,3)|0)!=0){w=1;break a}w=(c[g>>2]|0)<65?1:32;break a}if((tZ(u,7680592,1,2)|0)==0){x=(tZ(t,7630104,1,3)|0)==0;w=x?64:1;break a}if((tZ(u,7675040,1,2)|0)==0){x=(tZ(t,7673864,1,3)|0)==0;w=x?64:1;break a}if(!((v<<24>>24|0)==83|(v<<24>>24|0)==68)){w=1;break a}if((tZ(u,7672752,1,2)|0)!=0){w=1;break a}tZ(t,7671808,1,3)|0;i=k;return 1}break};case 4:{w=6;break};case 5:{w=2;break};case 6:{x=c[f>>2]|0;s=c[g>>2]|0;w=~~(+(((x|0)>(s|0)?s:x)|0)*1.600000023841858);break};case 7:{w=1;break};case 8:{w=50;break};case 9:{w=25;break};case 10:{w=_B(30040,29376,29360)|0;break};case 11:{w=_B(7738160,29376,29360)|0;break};case 12:case 13:case 14:case 15:case 16:{w=$B(b,d,e,f,g,h,j)|0;break};default:{w=-1}}}while(0);i=k;return w|0}function _B(a,b,d){a=a|0;b=b|0;d=d|0;var e=0.0,f=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0;e=+g[d>>2];f=+g[b>>2];if(!(e/f>e)){h=0;return h|0}i=(-0.0-e)/f;if(!(i<f)){h=0;return h|0}j=e/(e+i);if(j!=f){h=0;return h|0}i=e/j;if(!(i<f)){h=0;return h|0}k=f+j;if(k!=f){h=0;return h|0}l=e/k;if(!(l>e)){h=0;return h|0}k=i*l;if(!(k<f)){h=0;return h|0}i=l*l;if(!(i>e)){h=0;return h|0}if((c[a>>2]|0)==0){h=1;return h|0}e=i+k;l=i/i;m=f*i;f=j*k;a=!(e!=e)&!(de=0.0,de!=de);e=i/k;b=a|!(e!=e)&!(de=0.0,de!=de);a=b|!(l!=l)&!(de=0.0,de!=de);b=a|!(m!=m)&!(de=0.0,de!=de);if(b|!(f!=f)&!(de=0.0,de!=de)){h=0;return h|0}m=f*0.0;h=(m!=m|(de=0.0,de!=de))&1;return h|0}function $B(a,b,d,e,f,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;j=i;i=i+8|0;e=j|0;d=c[a>>2]|0;if((d|0)==15|(d|0)==13|(d|0)==16){b=(c[h>>2]|0)-(c[f>>2]|0)+1|0;if((b|0)>149){g[e>>2]=+ea(+(b|0))/.6931471805599453;f=(b|0)/(sZ(e)|0)|0;k=(f|0)>10?f:10;l=c[a>>2]|0}else{k=(b|0)>59?10:(b|0)>29?4:2;l=d}a=(b|0)>5999?256:(b|0)>2999?128:(b|0)>589?64:k;k=a-((a|0)%2|0)|0;m=(k|0)>2?k:2;n=b;o=l}else{m=0;n=0;o=d}a:do{switch(o|0){case 14:{p=14;break};case 15:{p=m;break};case 13:{if((n|0)<501){p=m;break a}p=(m*3|0|0)/2|0;break};case 16:{d=(m|0)>13;i=j;return(d?2:d&1)|0};case 12:{p=75;break};default:{p=-1}}}while(0);i=j;return p|0}function aC(a){a=a|0;var b=0,c=0;b=i;c=bC(a,0,0)|0;i=b;return c|0}function bC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=cC(a,b,c,0)|0;i=d;return e|0}function cC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=ke[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=L9(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=36;c[b+4>>2]=98;c[b+8>>2]=266}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=ke[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){he[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=ke[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){he[c[j+20>>2]&511](c[j+392>>2]|0);he[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=nD(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}he[c[j+20>>2]&511](c[j+44>>2]|0);he[c[j+20>>2]&511](c[j+392>>2]|0);he[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;oD(j+416|0,j+12|0);oD(j+440|0,j+12|0);eC(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}hC(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=ID()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=zD()|0}k=j;l=k;i=g;return l|0}function dC(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function eC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;RF(f+256|0);if((b|0)!=0){g=fC(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;AD(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;oaa(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function fC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((wC(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function gC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=zC(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=fC(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((DC(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=zC(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function hC(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;he[c[e+20>>2]&511](c[f+36>>2]|0);iC(c[f+44>>2]|0,e);he[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;he[c[e+20>>2]&511](f)}iC(c[e+376>>2]|0,e);iC(c[e+372>>2]|0,e);jC(e+416|0);jC(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}kC(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);he[c[e+20>>2]&511](c[e+392>>2]|0);he[c[e+20>>2]&511](c[e+464>>2]|0);he[c[e+20>>2]&511](c[e+8>>2]|0);he[c[e+20>>2]&511](c[e+44>>2]|0);he[c[e+20>>2]&511](c[e+396>>2]|0);he[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){he[c[e+252>>2]&511](c[e+244>>2]|0)}he[c[e+20>>2]&511](e);i=d;return}function iC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;he[c[a+20>>2]&511](c[b+16>>2]|0);he[c[a+20>>2]&511](b)}i=d;return}function jC(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;he[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;he[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function kC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;xC(f,g+20|0);while(1){d=yC(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){he[c[b+8>>2]&511](c[d+20>>2]|0)}}CC(g|0);CC(g+132|0);CC(g+20|0);CC(g+40|0);CC(g+60|0);jC(g+80|0);jC(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;he[k&511](m);i=e;return}he[c[b+8>>2]&511](c[g+184>>2]|0);he[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;he[k&511](m);i=e;return}function lC(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function mC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function nC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((oC(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}else if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=qC(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{naa(f|0,b|0,d)|0;j=rC(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=ye[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){Ce[c[(c[h+144>>2]|0)+52>>2]&63](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function oC(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=lD()|0}if((a[e+236|0]|0)!=0){f=gC(e,16880)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function pC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function qC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;saa(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=ke[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}naa(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;he[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function rC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}else if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((oC(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=ye[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);Ce[c[(c[g+144>>2]|0)+52>>2]&63](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function sC(a){a=a|0;i=i;return c[a+284>>2]|0}function tC(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}Ce[c[(c[d+144>>2]|0)+52>>2]&63](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function uC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){ze[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];ge[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];ze[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function vC(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[7709824+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function wC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;naa((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=ue[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=ke[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){naa(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function xC(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function yC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function zC(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=ke[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){oaa(c[b>>2]|0,0,g|0)|0;g=AC(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=AC(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((BC(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=ke[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}oaa(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=AC(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}he[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=ke[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){oaa(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function AC(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function BC(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function CC(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}he[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}he[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function DC(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[32096+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[32064+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=ue[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=ke[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=ke[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}he[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;naa(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}ze[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function EC(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((me[((a[e+236|0]&255|0)!=0?48:2)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=kD(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function FC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=ye[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=GC(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function GC(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case-1:{r=11;break a;break};case-4:{r=14;break a;break};case 0:{r=10;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};default:{g=-g|0;c[n>>2]=f}}}s=le[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 6:{a[o+489|0]=0;c[o+316>>2]=zC(o,l+132|0,19432,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((ye[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}t=IC(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=46;break a}JC(t);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=t;h=0;r=52;break};case 8:{if((c[o+320>>2]|0)!=0){ge[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);dC(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;t=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}u=zC(o,l+132|0,19432,36)|0;if((u|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[u+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((le[c[o+112>>2]&127](c[o+116>>2]|0,0,c[u+20>>2]|0,c[u+16>>2]|0,c[u+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ke[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=t}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){he[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 1:{v=HC(o,0,e,c[n>>2]|0)|0;if((v|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=IC(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 14:{r=49;break};case 7:{if((c[o+84>>2]|0)!=0){ge[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;dC(o+416|0);h=0}break};case 57:{w=HC(o,1,e,c[n>>2]|0)|0;if((w|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 2:{r=86;break a;break};case 34:{c[o+344>>2]=LC(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=MC(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=19528;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=19496;r=117;break};case 25:{c[o+332>>2]=19488;r=117;break};case 26:{c[o+332>>2]=19480;r=117;break};case 27:{c[o+332>>2]=19504;r=117;break};case 28:{c[o+332>>2]=19512;r=117;break};case 29:{c[o+332>>2]=19472;r=117;break};case 30:{c[o+332>>2]=19456;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){x=19448}else{x=(s|0)==32?19416:19440}if((NC(o+416|0,x)|0)==0){r=127;break a}if((OC(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((PC(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((wC(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;t=o+428|0;u=c[t>>2]|0;c[t>>2]=u+1;a[u]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((wC(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;u=o+428|0;t=c[u>>2]|0;c[u>>2]=t+1;a[t]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;pe[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);dC(o+416|0);h=0}}while(0)}break};case 37:case 38:{if((a[l+128|0]|0)!=0){y=QC(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((y|0)!=0){r=155;break a}t=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((PC(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,t,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((wC(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;u=o+428|0;z=c[u>>2]|0;c[u>>2]=z+1;a[z]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((wC(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;z=o+428|0;u=c[z>>2]|0;c[z>>2]=u+1;a[u]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;pe[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,t,(s|0)==38|0);dC(o+416|0);h=0}}while(0)}break};case 12:{if((a[l+128|0]|0)!=0){A=RC(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;te[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((A|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=IC(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=19432}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((ke[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=zC(o,l+132|0,19432,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;te[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}t=IC(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=t;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;pe[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;te[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((me[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){t=IC(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=229;break a}c[o+316>>2]=zC(o,l|0,t,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){B=1}else{B=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(B^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){t=IC(l+80|0,b,e,c[n>>2]|0)|0;if((t|0)==0){r=244;break a}c[o+316>>2]=zC(o,l+132|0,t,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(t|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){C=1}else{C=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(C^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=IC(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 21:{if((ye[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){t=IC(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=266;break a}JC(t);c[o+340>>2]=t;c[o+432>>2]=c[o+428>>2];h=0}break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}t=IC(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((t|0)==0){r=272;break a}c[q>>2]=e;ge[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,t,c[o+340>>2]|0);h=0}}while(0);dC(o+416|0);break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;ge[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);dC(o+416|0);break};case-1:{r=279;break a;break};case 58:{if((c[o+80>>2]|0)!=0){uC(o,b,e,c[n>>2]|0)}h=0;D=SC(o,b,n,f,j,k)|0;if((D|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;u=c[o+464>>2]|0;z=o+468|0;E=c[z>>2]<<1;c[z>>2]=E;z=ue[t&127](u,E)|0;if((z|0)==0){r=294;break a}c[o+464>>2]=z;if((c[l+184>>2]|0)!=0){z=ue[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((z|0)==0){r=297;break a}c[l+184>>2]=z}}else{z=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=ke[z&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){z=UC(o)|0;if((z|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=z;E=l+180|0;c[E>>2]=(c[E>>2]|0)+1;c[(c[l+164>>2]|0)+(z*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){z=IC(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((z|0)==0){r=329;break a}F=zC(o,l+132|0,z,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((F|0)==0){r=335;break a}if((a[F+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((F|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}ze[c[o+120>>2]&15](c[o+4>>2]|0,z,1);h=0}}while(0);break b}}while(0);if((a[F+32|0]|0)!=0){r=347;break a}if((c[F+4>>2]|0)!=0){G=VC(o,F,((s|0)==60?1:0)&255)|0;if((G|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[F+32|0]=1;if((le[c[o+112>>2]&127](c[o+116>>2]|0,0,c[F+20>>2]|0,c[F+16>>2]|0,c[F+24>>2]|0)|0)==0){r=354;break a}a[F+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ke[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=LC(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){z=ke[c[o+12>>2]&255](20)|0;if((z|0)==0){r=373;break a}c[z+4>>2]=0;c[z+8>>2]=0;c[z+12>>2]=0;c[z+16>>2]=0;c[z>>2]=(s|0)==41?2:1;c[q>>2]=e;ze[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,z);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 51:{H=0;r=386;break};case 53:{H=1;r=386;break};case 52:{H=2;r=386;break};case 54:{H=3;r=386;break};case 45:{H=0;r=405;break};case 47:{H=1;r=405;break};case 46:{H=2;r=405;break};case 48:{H=3;r=405;break};case 55:{if((XC(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((YC(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((ye[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=IC(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((H|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=UC(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=H;z=LC(o,b,e,I)|0;if((z|0)==0){r=393;break}E=c[z>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=E;s=0;do{z=s;s=z+1|0;}while((a[E+z|0]|0)!=0);E=l+168|0;c[E>>2]=(c[E>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}E=l+180|0;c[E>>2]=(c[E>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=H;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){E=WC(o)|0;if((E|0)==0){r=411;break}c[q>>2]=e;ze[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,E)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}E=IC(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((E|0)==0){r=55;break a}JC(E);c[(c[o+316>>2]|0)+24>>2]=E;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}uC(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=ye[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((le[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=v;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=w;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){w=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}v=zC(o,l+132|0,19432,36)|0;if((v|0)==0){J=1;K=J;i=m;return K|0}c[v+20>>2]=c[o+360>>2];a[l+131|0]=0;if((le[c[o+112>>2]&127](c[o+116>>2]|0,0,c[v+20>>2]|0,c[v+16>>2]|0,c[v+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((ke[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=w}}}while(0)}c[o+280>>2]=4;J=KC(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=y;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=A;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){A=g;if((A|0)==28){J=10;K=J;i=m;return K|0}else if((A|0)==12){J=17;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=D;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=D;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=G;K=J;i=m;return K|0}else if((r|0)==354){a[F+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function HC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((je[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=IC(n+440|0,b,r,s+(ue[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=IC(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);Ce[c[n+140>>2]&63](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){uC(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=IC(n+440|0,e,d,m+(ue[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=kD(n,f)|0;dC(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){dC(n+440|0)}p=0;q=p;i=g;return q|0}function IC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((OC(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((wC(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function JC(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function KC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=$C(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((hD(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function LC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=IC(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=zC(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((iD(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function MC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((wC(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=IC(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=zC(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=zC(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((wC(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((wC(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=zC(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function NC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((wC(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function OC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((wC(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){ge[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((wC(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function PC(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=ke[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=ue[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function QC(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=jD(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((wC(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function RC(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((wC(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(ye[c[b+20>>2]&127](b,e,f,j)|0){case 0:{r=59;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 7:{r=36;break};case 9:case 6:{if((OC(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case-4:{r=31;break a;break};case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=IC(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=zC(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((le[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=RC(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case-1:{r=56;break a;break};case 10:{s=ue[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=qD(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((wC(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((wC(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function SC(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=ye[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case 42:{if((c[k+80>>2]|0)!=0){uC(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function TC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=SC(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=72;k=FC(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function UC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=ke[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=ue[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=ke[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function VC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=ke[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=ye[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=GC(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=$C(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=88}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function WC(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=ke[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;_C(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function XC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){uC(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(ue[c[a+32>>2]&127](a,b)|0)|0;k=IC(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=ue[c[a+36>>2]&127](a,e)|0;e=IC(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){ZC(e);ze[c[g+64>>2]&15](c[g+4>>2]|0,k,e);dC(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function YC(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){uC(g,a,b,d)}h=1;j=h;i=f;return j|0}e=IC(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){ZC(e);ie[c[g+68>>2]&255](c[g+4>>2]|0,e);dC(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function ZC(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function _C(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}_C(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function $C(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=ye[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-4:{B=18;break a;break};case 9:{a[p]=me[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){ze[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}C=IC(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((C|0)==0){B=40;break a}D=zC(y,k|0,C,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((D|0)!=0){break}if((c[y+120>>2]|0)!=0){ze[c[y+120>>2]&15](c[y+4>>2]|0,C,0)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((D|0)==0){B=44;break a}if((a[D+34|0]|0)==0){B=46;break a}}if((a[D+32|0]|0)!=0){B=58;break a}if((c[D+28>>2]|0)!=0){B=60;break a}do{if((c[D+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){E=VC(y,D,0)|0;if((E|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){ze[c[y+120>>2]&15](c[y+4>>2]|0,c[D>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[D+32|0]=1;C=bD(y)|0;a[D+32|0]=0;if((C|0)==0){B=74;break a}if((le[c[y+112>>2]&127](c[y+116>>2]|0,C,c[D+20>>2]|0,c[D+16>>2]|0,c[D+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 0:{B=25;break a;break};case 6:{D=c[y+60>>2]|0;if((D|0)!=0){if((a[e+72|0]|0)!=0){ze[D&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];ge[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];ze[D&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 2:case 1:{if((c[y+368>>2]|0)!=0){F=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{F=ke[c[y+12>>2]&255](48)|0;if((F|0)==0){B=86;break a}c[F+36>>2]=ke[c[y+12>>2]&255](32)|0;if((c[F+36>>2]|0)==0){B=88;break a}c[F+40>>2]=(c[F+36>>2]|0)+32}c[F+44>>2]=0;c[F>>2]=c[y+364>>2];c[y+364>>2]=F;c[F+16>>2]=0;c[F+20>>2]=0;c[F+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[F+8>>2]=ue[c[e+32>>2]&127](e,c[F+4>>2]|0)|0;D=y+312|0;c[D>>2]=(c[D>>2]|0)+1;D=(c[F+4>>2]|0)+(c[F+8>>2]|0)|0;c[r>>2]=c[F+4>>2];c[q>>2]=c[F+36>>2];while(1){ge[c[e+60>>2]&31](e,r,D,q,(c[F+40>>2]|0)-1|0);G=(c[q>>2]|0)-(c[F+36>>2]|0)|0;if((c[r>>2]|0)==(D|0)){break}C=(c[F+40>>2]|0)-(c[F+36>>2]|0)<<1;H=ue[c[y+16>>2]&127](c[F+36>>2]|0,C)|0;if((H|0)==0){B=94;break a}c[F+36>>2]=H;c[F+40>>2]=H+C;c[q>>2]=H+G}c[F+24>>2]=G;c[F+12>>2]=c[F+36>>2];a[c[q>>2]|0]=0;I=cD(y,e,c[m>>2]|0,F+12|0,F+44|0)|0;if((I|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){ze[c[y+52>>2]&15](c[y+4>>2]|0,c[F+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}dC(y+416|0);break};case-5:{B=182;break a;break};case-1:{B=26;break a;break};case 4:case 3:{D=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;H=1;c[t>>2]=IC(y+416|0,e,D,D+(ue[c[e+32>>2]&127](e,D)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];J=cD(y,e,c[m>>2]|0,t,s)|0;if((J|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){ze[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);H=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}ie[c[y+56>>2]&255](c[y+4>>2]|0,c[t>>2]|0);H=0}do{if((H&255|0)!=0){if((c[y+80>>2]|0)==0){break}uC(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);dC(y+416|0);while(1){if((c[s>>2]|0)==0){break}H=c[s>>2]|0;if((c[y+104>>2]|0)!=0){ie[c[y+104>>2]&255](c[y+4>>2]|0,c[c[H>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[H+4>>2]=c[y+376>>2];c[y+376>>2]=H;c[(c[H>>2]|0)+4>>2]=c[H+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};case 10:{H=ue[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((H|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){D=c[y+60>>2]|0;C=c[y+4>>2]|0;K=qD(H,u|0)|0;ze[D&15](C,u|0,K)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 8:{if((c[y+72>>2]|0)!=0){he[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}L=eD(y,e,n,g,h,j)|0;if((L|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case-2:{B=29;break a;break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;ze[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}K=c[y+364>>2]|0;c[y+364>>2]=c[K>>2];c[K>>2]=c[y+368>>2];c[y+368>>2]=K;M=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;C=ue[c[e+32>>2]&127](e,M)|0;if((C|0)!=(c[K+8>>2]|0)){B=129;break a}if((iaa(c[K+4>>2]|0,M,C)|0)!=0){B=129;break a}C=y+312|0;c[C>>2]=(c[C>>2]|0)-1;if((c[y+56>>2]|0)!=0){C=c[K+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((C|0)==0){break}D=(c[K+12>>2]|0)+(c[K+28>>2]|0)|0;while(1){if((a[C]|0)==0){break}H=C;C=H+1|0;N=D;D=N+1|0;a[N]=a[H]|0}H=c[K+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((H|0)==0){break}N=D;D=N+1|0;a[N]=a[y+472|0]|0;while(1){if((a[H]|0)==0){break}N=H;H=N+1|0;O=D;D=O+1|0;a[O]=a[N]|0}}}while(0);a[D]=0}}while(0);ie[c[y+56>>2]&255](c[y+4>>2]|0,c[K+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[K+44>>2]|0)==0){break}C=c[K+44>>2]|0;if((c[y+104>>2]|0)!=0){ie[c[y+104>>2]&255](c[y+4>>2]|0,c[c[C>>2]>>2]|0)}c[K+44>>2]=c[(c[K+44>>2]|0)+4>>2];c[C+4>>2]=c[y+376>>2];c[y+376>>2]=C;c[(c[C>>2]|0)+4>>2]=c[C+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case-3:{B=6;break a;break};case 11:{if((XC(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 13:{if((YC(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};default:{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;ze[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=E;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){he[c[y+20>>2]&511](F);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=I;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=J;Q=P;i=l;return Q|0}else if((B|0)==123){P=dD(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=M;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=dD(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=L;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=70;P=L;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){ze[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];ge[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);ze[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){uC(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function aD(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=ye[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=GC(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=$C(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=72;m=ye[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=GC(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=$C(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function bD(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);xC(e,b+60|0);b:while(1){j=yC(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){xC(e,b|0);d:while(1){b=yC(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((wC(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}



function px(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19032>>3]=+h[b+18920>>3];return}function qx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19040>>3]=+h[b+18928>>3];return}function rx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19064>>3]=+h[b+18400>>3];return}function sx(a){a=a|0;var b=0,d=0.0,e=0.0;b=c[a+416>>2]|0;d=+h[b+19064>>3];e=+h[b+19056>>3];h[b+19072>>3]=(d*d-e*e)*3.141592653589793;return}function tx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19088>>3]=(+h[b+18400>>3]+.0015)*6.283185307179586;return}function ux(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19152>>3]=+h[b+18328>>3];return}function vx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19160>>3]=+h[b+18400>>3];return}function wx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+19168>>3]=+h[b+18400>>3]+ +h[b+18352>>3];return}function xx(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+3016>>3]=+h[b+19152>>3]*(+h[b+19168>>3]+ +h[b+19160>>3])*3.141592653589793;return}function yx(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+19160>>3];j=+h[f+19168>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7678008,7711024,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711e3,7676632,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=c[e>>2]|0;g=+h[f+19104>>3];j=+ea(k);k=+h[f+19152>>3];do{if(j!=0.0){l=k/j}else{if(k==0.0){l=k;break}l=k/+lH(c[b+536>>2]|0,j,7675504,7711024,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+2904>>3]=g*l*7895683520871486.0e-21;i=d;return}function zx(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2904>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+2888|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7674464,7710992,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+2888|0;h[l>>3]=k;return}function Ax(b){b=b|0;var d=0,e=0;d=i;if(a[7710960]|0){i=d;return}e=b+420|0;if(!((zK(+(c[(c[e>>2]|0)+68>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=PH(7672264,NH(c[(c[e>>2]|0)+68>>2]|0,7673392)|0)|0;ze[c[2176]&15](7710968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710960]=1;i=d;return}function Bx(b){b=b|0;var d=0,e=0;d=i;if(a[7710920]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+64>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+64>>2]|0),4.0)|0)<<24>>24==0)){i=d;return}b=PH(7669832,NH(c[(c[e>>2]|0)+64>>2]|0,7673392)|0)|0;ze[c[2176]&15](7710928,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710920]=1;i=d;return}function Cx(b){b=b|0;var d=0,e=0;d=i;if(a[7710888]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+60>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+60>>2]|0),3.0)|0)<<24>>24==0)){i=d;return}b=PH(7667632,NH(c[(c[e>>2]|0)+60>>2]|0,7673392)|0)|0;ze[c[2176]&15](7710896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710888]=1;i=d;return}function Dx(b){b=b|0;var d=0,e=0;d=i;if(a[7710880]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+56>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+56>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7666248,NH(c[(c[e>>2]|0)+56>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710880]=1;i=d;return}function Ex(b){b=b|0;var d=0,e=0;d=i;if(a[7710872]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19184>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7662752,LH(+h[(c[e>>2]|0)+19184>>3],7663808)|0)|0;ze[c[2176]&15](7713504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710872]=1;i=d;return}function Fx(b){b=b|0;var d=0,e=0;d=i;if(a[7710864]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19168>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7661616,LH(+h[(c[e>>2]|0)+19168>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710864]=1;i=d;return}function Gx(b){b=b|0;var d=0,e=0;d=i;if(a[7710856]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19160>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7659640,LH(+h[(c[e>>2]|0)+19160>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710856]=1;i=d;return}function Hx(b){b=b|0;var d=0,e=0;d=i;if(a[7710848]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19096>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7658848,LH(+h[(c[e>>2]|0)+19096>>3],7663808)|0)|0;ze[c[2176]&15](7713840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710848]=1;i=d;return}function Ix(b){b=b|0;var d=0,e=0;d=i;if(a[7710840]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19064>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7658128,LH(+h[(c[e>>2]|0)+19064>>3],7663808)|0)|0;ze[c[2176]&15](7713808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710840]=1;i=d;return}function Jx(b){b=b|0;var d=0,e=0;d=i;if(a[7710832]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19056>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7656768,LH(+h[(c[e>>2]|0)+19056>>3],7663808)|0)|0;ze[c[2176]&15](7713776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710832]=1;i=d;return}function Kx(b){b=b|0;var d=0,e=0;d=i;if(a[7710824]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19024>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7655792,LH(+h[(c[e>>2]|0)+19024>>3],7663808)|0)|0;ze[c[2176]&15](7713696,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710824]=1;i=d;return}function Lx(b){b=b|0;var d=0,e=0;d=i;if(a[7710816]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19008>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7655032,LH(+h[(c[e>>2]|0)+19008>>3],7663808)|0)|0;ze[c[2176]&15](7713664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710816]=1;i=d;return}function Mx(b){b=b|0;var d=0,e=0;d=i;if(a[7710808]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+19e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7654264,LH(+h[(c[e>>2]|0)+19e3>>3],7663808)|0)|0;ze[c[2176]&15](7713632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710808]=1;i=d;return}function Nx(b){b=b|0;var d=0,e=0;d=i;if(a[7710800]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7653568,LH(+h[(c[e>>2]|0)+18992>>3],7663808)|0)|0;ze[c[2176]&15](7713600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710800]=1;i=d;return}function Ox(b){b=b|0;var d=0,e=0;d=i;if(a[7710792]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+44>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+44>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7652696,NH(c[(c[e>>2]|0)+44>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713568,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710792]=1;i=d;return}function Px(b){b=b|0;var d=0,e=0;d=i;if(a[7710784]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18984>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7651920,LH(+h[(c[e>>2]|0)+18984>>3],7663808)|0)|0;ze[c[2176]&15](7713696,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710784]=1;i=d;return}function Qx(b){b=b|0;var d=0,e=0;d=i;if(a[7710776]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18968>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7651416,LH(+h[(c[e>>2]|0)+18968>>3],7663808)|0)|0;ze[c[2176]&15](7713664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710776]=1;i=d;return}function Rx(b){b=b|0;var d=0,e=0;d=i;if(a[7710768]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18960>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7650832,LH(+h[(c[e>>2]|0)+18960>>3],7663808)|0)|0;ze[c[2176]&15](7713632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710768]=1;i=d;return}function Sx(b){b=b|0;var d=0,e=0;d=i;if(a[7710760]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18952>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7650360,LH(+h[(c[e>>2]|0)+18952>>3],7663808)|0)|0;ze[c[2176]&15](7713600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710760]=1;i=d;return}function Tx(b){b=b|0;var d=0,e=0;d=i;if(a[7710752]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+40>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+40>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7649016,NH(c[(c[e>>2]|0)+40>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713568,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710752]=1;i=d;return}function Ux(b){b=b|0;var d=0,e=0;d=i;if(a[7710744]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+36>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+36>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7648256,NH(c[(c[e>>2]|0)+36>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710744]=1;i=d;return}function Vx(b){b=b|0;var d=0,e=0;d=i;if(a[7710728]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18944>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7647656,LH(+h[(c[e>>2]|0)+18944>>3],7663808)|0)|0;ze[c[2176]&15](7713504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710728]=1;i=d;return}function Wx(b){b=b|0;var d=0,e=0;d=i;if(a[7710720]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18912>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7647184,LH(+h[(c[e>>2]|0)+18912>>3],7663808)|0)|0;ze[c[2176]&15](7713472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710720]=1;i=d;return}function Xx(b){b=b|0;var d=0,e=0;d=i;if(a[7710712]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18888>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7646696,LH(+h[(c[e>>2]|0)+18888>>3],7663808)|0)|0;ze[c[2176]&15](7713440,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710712]=1;i=d;return}function Yx(b){b=b|0;var d=0,e=0;d=i;if(a[7710704]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18872>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7646224,LH(+h[(c[e>>2]|0)+18872>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710704]=1;i=d;return}function Zx(b){b=b|0;var d=0,e=0;d=i;if(a[7710696]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18864>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7645528,LH(+h[(c[e>>2]|0)+18864>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710696]=1;i=d;return}function _x(b){b=b|0;var d=0,e=0;d=i;if(a[7710688]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18776>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7645120,LH(+h[(c[e>>2]|0)+18776>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710688]=1;i=d;return}function $x(b){b=b|0;var d=0,e=0;d=i;if(a[7710680]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18768>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7644496,LH(+h[(c[e>>2]|0)+18768>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710680]=1;i=d;return}function ay(b){b=b|0;var d=0,e=0;d=i;if(a[7710672]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18704>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7643976,LH(+h[(c[e>>2]|0)+18704>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710672]=1;i=d;return}function by(b){b=b|0;var d=0,e=0;d=i;if(a[7710664]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18696>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7641656,LH(+h[(c[e>>2]|0)+18696>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710664]=1;i=d;return}function cy(b){b=b|0;var d=0,e=0;d=i;if(a[7710656]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18632>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7640976,LH(+h[(c[e>>2]|0)+18632>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710656]=1;i=d;return}function dy(b){b=b|0;var d=0,e=0;d=i;if(a[7710640]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18624>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7640456,LH(+h[(c[e>>2]|0)+18624>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710640]=1;i=d;return}function ey(b){b=b|0;var d=0,e=0;d=i;if(a[7710632]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18560>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7639928,LH(+h[(c[e>>2]|0)+18560>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710632]=1;i=d;return}function fy(b){b=b|0;var d=0,e=0;d=i;if(a[7710624]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18552>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7639496,LH(+h[(c[e>>2]|0)+18552>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710624]=1;i=d;return}function gy(b){b=b|0;var d=0,e=0;d=i;if(a[7710616]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18480>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7638632,LH(+h[(c[e>>2]|0)+18480>>3],7663808)|0)|0;ze[c[2176]&15](7713096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710616]=1;i=d;return}function hy(b){b=b|0;var d=0,e=0;d=i;if(a[7710608]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18464>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7637792,LH(+h[(c[e>>2]|0)+18464>>3],7663808)|0)|0;ze[c[2176]&15](7713064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710608]=1;i=d;return}function iy(b){b=b|0;var d=0,e=0;d=i;if(a[7710576]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7636904,LH(+h[(c[e>>2]|0)+18448>>3],7663808)|0)|0;ze[c[2176]&15](7710584,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710576]=1;i=d;return}function jy(b){b=b|0;var d=0,e=0;d=i;if(a[7710544]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18400>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7635520,LH(+h[(c[e>>2]|0)+18400>>3],7663808)|0)|0;ze[c[2176]&15](7710552,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710544]=1;i=d;return}function ky(b){b=b|0;var d=0,e=0;d=i;if(a[7710512]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18312>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7635032,LH(+h[(c[e>>2]|0)+18312>>3],7663808)|0)|0;ze[c[2176]&15](7710520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710512]=1;i=d;return}function ly(b){b=b|0;var d=0,e=0;d=i;if(a[7710480]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7634304,LH(+h[(c[e>>2]|0)+18304>>3],7663808)|0)|0;ze[c[2176]&15](7710488,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710480]=1;i=d;return}function my(b){b=b|0;var d=0,e=0;d=i;if(a[7710472]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+32>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+32>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7633800,NH(c[(c[e>>2]|0)+32>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7710472]=1;i=d;return}function ny(b){b=b|0;var d=0,e=0;d=i;if(a[7713880]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18232>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7633288,LH(+h[(c[e>>2]|0)+18232>>3],7663808)|0)|0;ze[c[2176]&15](7713504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713880]=1;i=d;return}function oy(b){b=b|0;var d=0,e=0;d=i;if(a[7713872]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18216>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7632232,LH(+h[(c[e>>2]|0)+18216>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713872]=1;i=d;return}function py(b){b=b|0;var d=0,e=0;d=i;if(a[7713864]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18208>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7631592,LH(+h[(c[e>>2]|0)+18208>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713864]=1;i=d;return}function qy(b){b=b|0;var d=0,e=0;d=i;if(a[7713832]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18144>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7631120,LH(+h[(c[e>>2]|0)+18144>>3],7663808)|0)|0;ze[c[2176]&15](7713840,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713832]=1;i=d;return}function ry(b){b=b|0;var d=0,e=0;d=i;if(a[7713800]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18112>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7630672,LH(+h[(c[e>>2]|0)+18112>>3],7663808)|0)|0;ze[c[2176]&15](7713808,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713800]=1;i=d;return}function sy(b){b=b|0;var d=0,e=0;d=i;if(a[7713768]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18104>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7630400,LH(+h[(c[e>>2]|0)+18104>>3],7663808)|0)|0;ze[c[2176]&15](7713776,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713768]=1;i=d;return}function ty(b){b=b|0;var d=0,e=0;d=i;if(a[7713760]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18072>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7629656,LH(+h[(c[e>>2]|0)+18072>>3],7663808)|0)|0;ze[c[2176]&15](7713696,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713760]=1;i=d;return}function uy(b){b=b|0;var d=0,e=0;d=i;if(a[7713752]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18056>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7628976,LH(+h[(c[e>>2]|0)+18056>>3],7663808)|0)|0;ze[c[2176]&15](7713664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713752]=1;i=d;return}function vy(b){b=b|0;var d=0,e=0;d=i;if(a[7713744]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18048>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7628296,LH(+h[(c[e>>2]|0)+18048>>3],7663808)|0)|0;ze[c[2176]&15](7713632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713744]=1;i=d;return}function wy(b){b=b|0;var d=0,e=0;d=i;if(a[7713736]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18040>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7627808,LH(+h[(c[e>>2]|0)+18040>>3],7663808)|0)|0;ze[c[2176]&15](7713600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713736]=1;i=d;return}function xy(b){b=b|0;var d=0,e=0;d=i;if(a[7713720]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+20>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7627240,NH(c[(c[e>>2]|0)+20>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713568,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713720]=1;i=d;return}function yy(b){b=b|0;var d=0,e=0;d=i;if(a[7713688]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18032>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7626784,LH(+h[(c[e>>2]|0)+18032>>3],7663808)|0)|0;ze[c[2176]&15](7713696,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713688]=1;i=d;return}function zy(b){b=b|0;var d=0,e=0;d=i;if(a[7713656]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18016>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7626352,LH(+h[(c[e>>2]|0)+18016>>3],7663808)|0)|0;ze[c[2176]&15](7713664,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713656]=1;i=d;return}function Ay(b){b=b|0;var d=0,e=0;d=i;if(a[7713624]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18008>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7625584,LH(+h[(c[e>>2]|0)+18008>>3],7663808)|0)|0;ze[c[2176]&15](7713632,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713624]=1;i=d;return}function By(b){b=b|0;var d=0,e=0;d=i;if(a[7713592]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+18e3>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7625200,LH(+h[(c[e>>2]|0)+18e3>>3],7663808)|0)|0;ze[c[2176]&15](7713600,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713592]=1;i=d;return}function Cy(b){b=b|0;var d=0,e=0;d=i;if(a[7713560]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+16>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+16>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7624672,NH(c[(c[e>>2]|0)+16>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713568,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713560]=1;i=d;return}function Dy(b){b=b|0;var d=0,e=0;d=i;if(a[7713528]|0){i=d;return}e=b+420|0;b=zK(+(c[(c[e>>2]|0)+12>>2]|0),1.0)|0;if(!(b<<24>>24==0|(xK(+(c[(c[e>>2]|0)+12>>2]|0),5.0)|0)<<24>>24==0)){i=d;return}b=PH(7623784,NH(c[(c[e>>2]|0)+12>>2]|0,7673392)|0)|0;ze[c[2176]&15](7713536,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713528]=1;i=d;return}function Ey(b){b=b|0;var d=0,e=0;d=i;if(a[7713496]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17992>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7622776,LH(+h[(c[e>>2]|0)+17992>>3],7663808)|0)|0;ze[c[2176]&15](7713504,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713496]=1;i=d;return}function Fy(b){b=b|0;var d=0,e=0;d=i;if(a[7713464]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17960>>3],1.0)|0)<<24>>24==0)){i=d;return}b=PH(7622408,LH(+h[(c[e>>2]|0)+17960>>3],7663808)|0)|0;ze[c[2176]&15](7713472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713464]=1;i=d;return}function Gy(b){b=b|0;var d=0,e=0;d=i;if(a[7713432]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17936>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7621904,LH(+h[(c[e>>2]|0)+17936>>3],7663808)|0)|0;ze[c[2176]&15](7713440,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713432]=1;i=d;return}function Hy(b){b=b|0;var d=0,e=0;d=i;if(a[7713424]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17920>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7621552,LH(+h[(c[e>>2]|0)+17920>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713424]=1;i=d;return}function Iy(b){b=b|0;var d=0,e=0;d=i;if(a[7713416]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17912>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7621240,LH(+h[(c[e>>2]|0)+17912>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713416]=1;i=d;return}function Jy(b){b=b|0;var d=0,e=0;d=i;if(a[7713408]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17840>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(5757400,LH(+h[(c[e>>2]|0)+17840>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713408]=1;i=d;return}function Ky(b){b=b|0;var d=0,e=0;d=i;if(a[7713400]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17832>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(32464,LH(+h[(c[e>>2]|0)+17832>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713400]=1;i=d;return}function Ly(b){b=b|0;var d=0,e=0;d=i;if(a[7713392]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17744>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(32160,LH(+h[(c[e>>2]|0)+17744>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713392]=1;i=d;return}function My(b){b=b|0;var d=0,e=0;d=i;if(a[7713384]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17736>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7700248,LH(+h[(c[e>>2]|0)+17736>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713384]=1;i=d;return}function Ny(b){b=b|0;var d=0,e=0;d=i;if(a[7713376]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17672>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7699544,LH(+h[(c[e>>2]|0)+17672>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713376]=1;i=d;return}function Oy(b){b=b|0;var d=0,e=0;d=i;if(a[7713368]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17664>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7699056,LH(+h[(c[e>>2]|0)+17664>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713368]=1;i=d;return}function Py(b){b=b|0;var d=0,e=0;d=i;if(a[7713336]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17600>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7698888,LH(+h[(c[e>>2]|0)+17600>>3],7663808)|0)|0;ze[c[2176]&15](7713344,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713336]=1;i=d;return}function Qy(b){b=b|0;var d=0,e=0;d=i;if(a[7713304]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17592>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7698192,LH(+h[(c[e>>2]|0)+17592>>3],7663808)|0)|0;ze[c[2176]&15](7713312,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713304]=1;i=d;return}function Ry(b){b=b|0;var d=0,e=0;d=i;if(a[7713288]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17528>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7697800,LH(+h[(c[e>>2]|0)+17528>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713288]=1;i=d;return}function Sy(b){b=b|0;var d=0,e=0;d=i;if(a[7713280]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17520>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7697448,LH(+h[(c[e>>2]|0)+17520>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713280]=1;i=d;return}function Ty(b){b=b|0;var d=0,e=0;d=i;if(a[7713248]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17456>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7697072,LH(+h[(c[e>>2]|0)+17456>>3],7663808)|0)|0;ze[c[2176]&15](7713256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713248]=1;i=d;return}function Uy(b){b=b|0;var d=0,e=0;d=i;if(a[7713216]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17448>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7696760,LH(+h[(c[e>>2]|0)+17448>>3],7663808)|0)|0;ze[c[2176]&15](7713224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713216]=1;i=d;return}function Vy(b){b=b|0;var d=0,e=0;d=i;if(a[7713208]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17384>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7696264,LH(+h[(c[e>>2]|0)+17384>>3],7663808)|0)|0;ze[c[2176]&15](7713184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713208]=1;i=d;return}function Wy(b){b=b|0;var d=0,e=0;d=i;if(a[7713176]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17376>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7695800,LH(+h[(c[e>>2]|0)+17376>>3],7663808)|0)|0;ze[c[2176]&15](7713184,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713176]=1;i=d;return}function Xy(b){b=b|0;var d=0,e=0;d=i;if(a[7713168]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17368>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7695368,LH(+h[(c[e>>2]|0)+17368>>3],7663808)|0)|0;ze[c[2176]&15](7713096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713168]=1;i=d;return}function Yy(b){b=b|0;var d=0,e=0;d=i;if(a[7713160]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17352>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7694472,LH(+h[(c[e>>2]|0)+17352>>3],7663808)|0)|0;ze[c[2176]&15](7713064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713160]=1;i=d;return}function Zy(b){b=b|0;var d=0,e=0;d=i;if(a[7713152]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17336>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7694144,LH(+h[(c[e>>2]|0)+17336>>3],7663808)|0)|0;ze[c[2176]&15](7713096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713152]=1;i=d;return}function _y(b){b=b|0;var d=0,e=0;d=i;if(a[7713144]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17320>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7693552,LH(+h[(c[e>>2]|0)+17320>>3],7663808)|0)|0;ze[c[2176]&15](7713064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713144]=1;i=d;return}function $y(b){b=b|0;var d=0,e=0;d=i;if(a[7713128]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17304>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7693016,LH(+h[(c[e>>2]|0)+17304>>3],7663808)|0)|0;ze[c[2176]&15](7713096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713128]=1;i=d;return}function az(b){b=b|0;var d=0,e=0;d=i;if(a[7713120]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17288>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7692832,LH(+h[(c[e>>2]|0)+17288>>3],7663808)|0)|0;ze[c[2176]&15](7713064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713120]=1;i=d;return}function bz(b){b=b|0;var d=0,e=0;d=i;if(a[7713088]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17272>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7692400,LH(+h[(c[e>>2]|0)+17272>>3],7663808)|0)|0;ze[c[2176]&15](7713096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713088]=1;i=d;return}function cz(b){b=b|0;var d=0,e=0;d=i;if(a[7713056]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17256>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7692272,LH(+h[(c[e>>2]|0)+17256>>3],7663808)|0)|0;ze[c[2176]&15](7713064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713056]=1;i=d;return}function dz(b){b=b|0;var d=0,e=0;d=i;if(a[7713024]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17224>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7691944,LH(+h[(c[e>>2]|0)+17224>>3],7663808)|0)|0;ze[c[2176]&15](7713032,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7713024]=1;i=d;return}function ez(b){b=b|0;var d=0,e=0;d=i;if(a[7712992]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17176>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7691592,LH(+h[(c[e>>2]|0)+17176>>3],7663808)|0)|0;ze[c[2176]&15](7713e3,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7712992]=1;i=d;return}function fz(b){b=b|0;var d=0,e=0;d=i;if(a[7712960]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17088>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7691448,LH(+h[(c[e>>2]|0)+17088>>3],7663808)|0)|0;ze[c[2176]&15](7712968,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7712960]=1;i=d;return}function gz(b){b=b|0;var d=0,e=0;d=i;if(a[7712928]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17080>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7690712,LH(+h[(c[e>>2]|0)+17080>>3],7663808)|0)|0;ze[c[2176]&15](7712936,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7712928]=1;i=d;return}function hz(b){b=b|0;var d=0,e=0;d=i;if(a[7712896]|0){i=d;return}e=b+416|0;if(!((zK(+h[(c[e>>2]|0)+17072>>3],0.0)|0)<<24>>24==0)){i=d;return}b=PH(7690488,LH(+h[(c[e>>2]|0)+17072>>3],7663808)|0)|0;ze[c[2176]&15](7712904,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[7712896]=1;i=d;return}function iz(a){a=a|0;Ot(a);Pt(a);Qt(a);Rt(a);St(a);Tt(a);Ut(a);Vt(a);Wt(a);Xt(a);Yt(a);Zt(a);_t(a);$t(a);au(a);bu(a);cu(a);du(a);eu(a);fu(a);gu(a);hu(a);iu(a);ju(a);ku(a);lu(a);mu(a);nu(a);ou(a);pu(a);qu(a);ru(a);su(a);tu(a);uu(a);vu(a);wu(a);xu(a);yu(a);zu(a);Au(a);Bu(a);Cu(a);Du(a);Eu(a);Fu(a);Gu(a);Hu(a);Iu(a);Ju(a);Ku(a);Lu(a);Mu(a);Nu(a);Ou(a);Pu(a);Qu(a);Ru(a);Su(a);Tu(a);Uu(a);Vu(a);Wu(a);Xu(a);Yu(a);Zu(a);_u(a);$u(a);av(a);bv(a);cv(a);dv(a);ev(a);fv(a);gv(a);hv(a);iv(a);jv(a);kv(a);lv(a);mv(a);nv(a);ov(a);pv(a);qv(a);rv(a);sv(a);tv(a);uv(a);vv(a);wv(a);xv(a);yv(a);zv(a);Av(a);Bv(a);Cv(a);Dv(a);Ev(a);Fv(a);Gv(a);Hv(a);Iv(a);Jv(a);Kv(a);Lv(a);Mv(a);Nv(a);Ov(a);Pv(a);Qv(a);Rv(a);Sv(a);Tv(a);Uv(a);Vv(a);Wv(a);Xv(a);Yv(a);Zv(a);_v(a);$v(a);aw(a);bw(a);cw(a);dw(a);ew(a);fw(a);gw(a);hw(a);iw(a);jw(a);kw(a);lw(a);mw(a);nw(a);ow(a);pw(a);qw(a);rw(a);sw(a);tw(a);uw(a);vw(a);ww(a);xw(a);yw(a);zw(a);Aw(a);Bw(a);Cw(a);Dw(a);Ew(a);Fw(a);Gw(a);Hw(a);Iw(a);Jw(a);Kw(a);Lw(a);Mw(a);Nw(a);Ow(a);Pw(a);Qw(a);Rw(a);Sw(a);Tw(a);Uw(a);Vw(a);Ww(a);Xw(a);Yw(a);Zw(a);_w(a);$w(a);ax(a);bx(a);cx(a);dx(a);ex(a);fx(a);gx(a);hx(a);ix(a);jx(a);kx(a);lx(a);mx(a);nx(a);ox(a);px(a);qx(a);rx(a);sx(a);tx(a);ux(a);vx(a);wx(a);xx(a);yx(a);zx(a);Ax(a);Bx(a);Cx(a);Dx(a);Ex(a);Fx(a);Gx(a);Hx(a);Ix(a);Jx(a);Kx(a);Lx(a);Mx(a);Nx(a);Ox(a);Px(a);Qx(a);Rx(a);Sx(a);Tx(a);Ux(a);Vx(a);Wx(a);Xx(a);Yx(a);Zx(a);_x(a);$x(a);ay(a);by(a);cy(a);dy(a);ey(a);fy(a);gy(a);hy(a);iy(a);jy(a);ky(a);ly(a);my(a);ny(a);oy(a);py(a);qy(a);ry(a);sy(a);ty(a);uy(a);vy(a);wy(a);xy(a);yy(a);zy(a);Ay(a);By(a);Cy(a);Dy(a);Ey(a);Fy(a);Gy(a);Hy(a);Iy(a);Jy(a);Ky(a);Ly(a);My(a);Ny(a);Oy(a);Py(a);Qy(a);Ry(a);Sy(a);Ty(a);Uy(a);Vy(a);Wy(a);Xy(a);Yy(a);Zy(a);_y(a);$y(a);az(a);bz(a);cz(a);dz(a);ez(a);fz(a);gz(a);hz(a);return 0}function jz(b){b=b|0;a[b+314|0]=0;kz(b);return 0}function kz(a){a=a|0;ti(a);vi(a);wi(a);xi(a);qg(a);Dg(a);Kg(a);Lg(a);Mg(a);Ng(a);Og(a);Pg(a);Qg(a);Rg(a);Sg(a);Tg(a);Ug(a);_g(a);ah(a);bh(a);ch(a);dh(a);kh(a);lh(a);Eh(a);Fh(a);Gh(a);Kh(a);Lh(a);Mh(a);Nh(a);Oh(a);Th(a);Uh(a);Xh(a);Yh(a);Zh(a);fi(a);ni(a);ri(a);si(a);nf(a);pf(a);qf(a);rf(a);sf(a);tf(a);uf(a);vf(a);wf(a);xf(a);Af(a);Ef(a);Ff(a);Gf(a);Hf(a);If(a);Jf(a);Of(a);Uf(a);Vf(a);bg(a);jg(a);ng(a);og(a);yi(a);zi(a);Ai(a);Bi(a);Ci(a);return}function lz(a){a=a|0;return 0}function mz(a){a=a|0;return 1}function nz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+464|0;a=c[b>>2]|0;c[a+44>>2]=9;c[a+48>>2]=9;c[a+72>>2]=N9(9,8)|0;a=N9(9,8)|0;c[(c[b>>2]|0)+80>>2]=a;a=N9(0,8)|0;c[(c[b>>2]|0)+76>>2]=a;a=L9(36)|0;c[(c[b>>2]|0)+52>>2]=a;a=L9(136)|0;c[(c[b>>2]|0)+56>>2]=a;a=L9(36)|0;c[(c[b>>2]|0)+64>>2]=a;a=c[b>>2]|0;c[a+68>>2]=6;c[a+84>>2]=0;a=c[b>>2]|0;d=c[a+52>>2]|0;c[d+32>>2]=5;c[d+28>>2]=4;c[d+24>>2]=4;c[d+20>>2]=5;c[d+16>>2]=4;c[d+12>>2]=5;c[d+8>>2]=2;c[d+4>>2]=3;c[d>>2]=2;e=1;f=2;g=3;while(1){h=g+f|0;c[d+(e<<2)>>2]=h;i=e+1|0;if((i|0)>=9){break}e=i;f=h;g=c[d+(i<<2)>>2]|0}oz(d,c[a+56>>2]|0);a=c[b>>2]|0;pz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;qz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;rz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;sz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;tz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;uz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;vz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[b>>2]|0;wz(c[a+52>>2]|0,c[a+56>>2]|0);a=c[(c[b>>2]|0)+64>>2]|0;c[a+32>>2]=1;c[a+8>>2]=1;c[a+28>>2]=2;c[a+4>>2]=2;c[a+24>>2]=3;c[a>>2]=3;c[a+20>>2]=4;c[a+16>>2]=5;c[a+12>>2]=6;return 0}function oz(a,b){a=a|0;b=b|0;var d=0;d=a+32|0;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=4;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=7;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function pz(a,b){a=a|0;b=b|0;var d=0;d=a+28|0;c[b+((c[d>>2]|0)-4<<2)>>2]=3;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=7;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function qz(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[b+((c[d>>2]|0)-4<<2)>>2]=3;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=7;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function rz(a,b){a=a|0;b=b|0;var d=0;d=a+20|0;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=4;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=7;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function sz(a,b){a=a|0;b=b|0;var d=0;d=a+16|0;c[b+((c[d>>2]|0)-4<<2)>>2]=3;c[b+((c[d>>2]|0)-3<<2)>>2]=4;c[b+((c[d>>2]|0)-2<<2)>>2]=5;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function tz(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[b+((c[d>>2]|0)-5<<2)>>2]=3;c[b+((c[d>>2]|0)-4<<2)>>2]=4;c[b+((c[d>>2]|0)-3<<2)>>2]=6;c[b+((c[d>>2]|0)-2<<2)>>2]=7;c[b+((c[d>>2]|0)-1<<2)>>2]=8;return}function uz(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;c[b+((c[d>>2]|0)-2<<2)>>2]=0;c[b+((c[d>>2]|0)-1<<2)>>2]=1;return}function vz(a,b){a=a|0;b=b|0;var d=0;d=a+4|0;c[b+((c[d>>2]|0)-3<<2)>>2]=0;c[b+((c[d>>2]|0)-2<<2)>>2]=1;c[b+((c[d>>2]|0)-1<<2)>>2]=2;return}function wz(a,b){a=a|0;b=b|0;c[b+((c[a>>2]|0)-2<<2)>>2]=0;c[b+((c[a>>2]|0)-1<<2)>>2]=1;return}function xz(a){a=a|0;return 1}function yz(a){a=a|0;return 1}function zz(a){a=a|0;return 1}function Az(a){a=a|0;return 0}function Bz(a){a=a|0;return 0}function Cz(a){a=a|0;return 0}function Dz(a){a=a|0;return 0}function Ez(a){a=a|0;return 0}function Fz(a,b){a=a|0;b=b|0;return-1|0}function Gz(a,b){a=a|0;b=b|0;return-1|0}function Hz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function Iz(){return 7642824}function Jz(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+24|0;r=a;a=b;b=d;d=e;e=f;s=g;f=j;j=k;k=N9(1,104)|0;if((k|0)!=0){c[k+24>>2]=l;c[k+28>>2]=m;c[k+40>>2]=j;do{if(j>>>0>0>>>0){c[k+36>>2]=L9(c[k+40>>2]<<2)|0;if((c[k+36>>2]|0)!=0){naa(c[k+36>>2]|0,f|0,c[k+40>>2]<<2)|0;break}else{M9(k);JI(7642592);t=0;u=t;i=n;return u|0}}}while(0);h[k+48>>3]=s;c[k+32>>2]=Kz(r,a)|0;m=c[k+32>>2]|0;do{if((m|0)==0){c[k+12>>2]=d;c[k+16>>2]=e;c[k+8>>2]=b;do{if((c[k+24>>2]|0)==2){if((c[k+12>>2]|0)!=2){break}c[k+24>>2]=1}}while(0);if((Lz(k)|0)!=0){if((c[k+24>>2]|0)==2){c[k+56>>2]=Mz(b,c[k+12>>2]|0,c[k+16>>2]|0,f,c[k+40>>2]|0)|0}c[k+8>>2]=L9((ga(c[k+12>>2]|0,c[k+16>>2]|0)|0)<<3)|0;if((c[k+8>>2]|0)!=0){naa(c[k+8>>2]|0,b|0,(ga(c[k+12>>2]|0,c[k+16>>2]|0)|0)<<3)|0}else{if(j>>>0>0>>>0){M9(c[k+36>>2]|0)}M9(k);k=0;JI(7642592)}}else{c[k+8>>2]=0}}else if((m|0)!=3)if((m|0)==2){if((Nz(r,0,p|0,o,k+8|0)|0)==0){c[k+12>>2]=c[p>>2];c[k+16>>2]=c[p+4>>2];if((c[o>>2]|0)!=0){c[q>>2]=c[k+12>>2];c[q+4>>2]=c[k+16>>2];l=L9((ga(c[q>>2]|0,c[q+4>>2]|0)|0)<<3)|0;if((l|0)==0){if(j>>>0>0>>>0){M9(c[k+36>>2]|0)}M9(k);k=0;JI(7642592);break}v=0;while(1){if(!(v>>>0<(c[q+4>>2]|0)>>>0)){break}w=0;while(1){if(!(w>>>0<(c[q>>2]|0)>>>0)){break}x=(ga(w,c[q+4>>2]|0)|0)+v|0;h[l+((ga(v,c[q>>2]|0)|0)+w<<3)>>3]=+h[(c[k+8>>2]|0)+(x<<3)>>3];w=w+1|0}v=v+1|0}c[k+8>>2]=l;c[k+12>>2]=c[q+4>>2];c[k+16>>2]=c[q>>2];c[k+32>>2]=3}do{if((c[k+24>>2]|0)==2){if((c[k+12>>2]|0)!=2){break}c[k+24>>2]=1}}while(0);if((Lz(k)|0)!=0){if((c[k+24>>2]|0)==2){c[k+56>>2]=Mz(c[k+8>>2]|0,c[k+12>>2]|0,c[k+16>>2]|0,f,c[k+40>>2]|0)|0}}}}else if((m|0)==1){c[k+4>>2]=L9((laa(r|0)|0)+1|0)|0;if((c[k+4>>2]|0)==0){if(j>>>0>0>>>0){M9(c[k+36>>2]|0)}M9(k);k=0;JI(7642592);break}raa(c[k+4>>2]|0,r|0)|0;c[k>>2]=L9((laa(a|0)|0)+1|0)|0;if((c[k>>2]|0)!=0){raa(c[k>>2]|0,a|0)|0}else{M9(c[k+4>>2]|0);if(j>>>0>0>>>0){M9(c[k+36>>2]|0)}M9(k);k=0;JI(7642592)}}else{JI(7684344)}}while(0)}else{JI(7642592)}t=k;u=t;i=n;return u|0}function Kz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=aA(a)|0;a=aA(e)|0;if((b|0)!=0){f=(a|0)==0?2:1;g=f;i=d;return g|0}if((a|0)!=0){LI(7671304,(a=i,i=i+8|0,c[a>>2]=e,a)|0);i=a}f=0;g=f;i=d;return g|0}function Lz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0;b=i;i=i+8|0;d=b|0;e=a;a=1;a:do{if((e|0)!=0){f=c[e+12>>2]|0;g=c[e+16>>2]|0;raa(d|0,7669784)|0;if((c[e+32>>2]|0)==0){j=d|0}else{j=c[e+4>>2]|0}do{if(!(f>>>0<1>>>0)){if(g>>>0<2>>>0){break}do{if((c[e+8>>2]|0)!=0){if(!(f>>>0>1>>>0)){break}k=c[e+8>>2]|0;do{if((c[e+28>>2]|0)==3){if(!(+h[k+((ga(f-1|0,g)|0)<<3)>>3]- +h[k>>3]<=0.0)){break}LI(7662536,(l=i,i=i+8|0,c[l>>2]=j,l)|0);i=l;a=0;m=a;n=m;i=b;return n|0}}while(0);do{if((c[e+24>>2]|0)==2){o=0;while(1){if(!(o>>>0<(f-1|0)>>>0)){p=21;break}q=+h[k+((ga(o,g)|0)<<3)>>3];r=+h[k+((ga(o+1|0,g)|0)<<3)>>3];if(q>=r){break}o=o+1|0}if((p|0)==21){break}LI(7667472,(l=i,i=i+72|0,c[l>>2]=j,c[l+8>>2]=f,c[l+16>>2]=g,c[l+24>>2]=j,c[l+32>>2]=o+1,h[l+40>>3]=q,c[l+48>>2]=j,c[l+56>>2]=o+2,h[l+64>>3]=r,l)|0);i=l;a=0;m=a;n=m;i=b;return n|0}else{o=0;while(1){if(!(o>>>0<(f-1|0)>>>0)){p=28;break}s=+h[k+((ga(o,g)|0)<<3)>>3];t=+h[k+((ga(o+1|0,g)|0)<<3)>>3];if(s>t){break}o=o+1|0}if((p|0)==28){break}LI(7661408,(l=i,i=i+72|0,c[l>>2]=j,c[l+8>>2]=f,c[l+16>>2]=g,c[l+24>>2]=j,c[l+32>>2]=o+1,h[l+40>>3]=s,c[l+48>>2]=j,c[l+56>>2]=o+2,h[l+64>>3]=t,l)|0);i=l;a=0;m=a;n=m;i=b;return n|0}}while(0)}}while(0);break a}}while(0);LI(7663640,(l=i,i=i+24|0,c[l>>2]=j,c[l+8>>2]=f,c[l+16>>2]=g,l)|0);i=l;a=0;m=a;n=m;i=b;return n|0}}while(0);m=a;n=m;i=b;return n|0}function Mz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;g=i;j=a;a=b;b=d;d=e;e=f;f=0;do{if((j|0)!=0){if((d|0)==0){break}if(!(a>>>0>2>>>0)){break}f=L9((ga(a-1|0,e)|0)*24|0)|0;if((f|0)==0){JI(7642592);k=0;l=k;i=g;return l|0}m=L9(a+3<<3)|0;if((m|0)==0){M9(f);JI(7642592);k=0;l=k;i=g;return l|0}n=0;while(1){if(!(n>>>0<e>>>0)){break}o=0;while(1){if(!(o>>>0<(a-1|0)>>>0)){break}p=ga(o+1|0,b)|0;q=ga(o,b)|0;r=+h[j+((ga(o+1|0,b)|0)<<3)>>3];h[m+(o+2<<3)>>3]=(+h[j+(p+((c[d+(n<<2)>>2]|0)-1)<<3)>>3]- +h[j+(q+((c[d+(n<<2)>>2]|0)-1)<<3)>>3])/(r- +h[j+((ga(o,b)|0)<<3)>>3]);o=o+1|0}h[m>>3]=+h[m+16>>3]*3.0- +h[m+24>>3]*2.0;h[m+8>>3]=+h[m+16>>3]*2.0- +h[m+24>>3];h[m+(a+1<<3)>>3]=+h[m+(a<<3)>>3]*2.0- +h[m+(a-1<<3)>>3];h[m+(a+2<<3)>>3]=+h[m+(a<<3)>>3]*3.0- +h[m+(a-1<<3)>>3]*2.0;o=0;while(1){if(!(o>>>0<(a-1|0)>>>0)){break}r=+h[j+((ga(o+1|0,b)|0)<<3)>>3];s=r- +h[j+((ga(o,b)|0)<<3)>>3];q=f+(((ga(o,e)|0)+n|0)*24|0)|0;r=+V(+(+h[m+(o+3<<3)>>3]- +h[m+(o+2<<3)>>3]));t=r+ +V(+(+h[m+(o+1<<3)>>3]- +h[m+(o<<3)>>3]));if(t>0.0){r=+V(+(+h[m+(o+1<<3)>>3]- +h[m+(o<<3)>>3]))/t;h[q+16>>3]=(1.0-r)*+h[m+(o+1<<3)>>3]+r*+h[m+(o+2<<3)>>3]}else{h[q+16>>3]=+h[m+(o+1<<3)>>3]*.5+ +h[m+(o+2<<3)>>3]*.5}r=+V(+(+h[m+(o+4<<3)>>3]- +h[m+(o+3<<3)>>3]));t=r+ +V(+(+h[m+(o+2<<3)>>3]- +h[m+(o+1<<3)>>3]));if(t>0.0){r=+V(+(+h[m+(o+2<<3)>>3]- +h[m+(o+1<<3)>>3]))/t;t=(1.0-r)*+h[m+(o+2<<3)>>3]+r*+h[m+(o+3<<3)>>3]}else{t=+h[m+(o+2<<3)>>3]*.5+ +h[m+(o+3<<3)>>3]*.5}h[q+8>>3]=(+h[m+(o+2<<3)>>3]*3.0- +h[q+16>>3]*2.0-t)/s;h[q>>3]=(+h[q+16>>3]+t- +h[m+(o+2<<3)>>3]*2.0)/(s*s);o=o+1|0}n=n+1|0}M9(m)}}while(0);k=f;l=k;i=g;return l|0}function Nz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;e=i;JI(7639096);i=e;return 1}function Oz(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((d|0)==0){i=b;return}do{if((c[d+8>>2]|0)!=0){if((c[d+32>>2]|0)!=1){e=5;break}M9(c[d+8>>2]|0);c[d+8>>2]=0}else{e=5}}while(0);if((e|0)==5){do{if((c[d+8>>2]|0)!=0){if((c[d+32>>2]|0)!=0){if((c[d+32>>2]|0)!=3){break}}M9(c[d+8>>2]|0);c[d+8>>2]=0}}while(0)}do{if((c[d+40>>2]|0)>>>0>0>>>0){if((c[d+36>>2]|0)==0){break}M9(c[d+36>>2]|0);c[d+36>>2]=0}}while(0);if((c[d+4>>2]|0)!=0){M9(c[d+4>>2]|0);c[d+4>>2]=0}if((c[d>>2]|0)!=0){M9(c[d>>2]|0);c[d>>2]=0}if((c[d+96>>2]|0)!=0){M9(c[d+96>>2]|0);c[d+96>>2]=0}Pz(c[d+56>>2]|0);M9(d);d=0;i=b;return}function Pz(a){a=a|0;var b=0,c=0;b=i;c=a;if((c|0)!=0){M9(c);c=0}i=b;return}function Qz(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=+e;f=+f;var g=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0;g=i;j=b;k=d;d=e;e=f;f=0.0;b=a;do{if((b|0)!=0){if((c[b+8>>2]|0)==0){break}if((c[b+36>>2]|0)==0){break}l=k;k=k- +h[b+48>>3];do{if(k>=0.0){if(!(d<1.7976931348623157e+308)){break}if(!(d==e)){break}if(!(+h[b+48>>3]>=d)){break}m=0.0;n=m;i=g;return+n}}while(0);if(k>=0.0){a=c[b+8>>2]|0;o=c[b+12>>2]|0;p=c[b+16>>2]|0;q=(c[(c[b+36>>2]|0)+(j-1<<2)>>2]|0)-1|0;if((o|0)==1){f=+h[a+(q<<3)>>3]}else{r=0;if((c[b+28>>2]|0)==3){s=+h[a>>3];t=+h[a+((ga(o-1|0,p)|0)<<3)>>3];u=t-s;do{if(d==e){if(!(l>=d)){break}if((c[b+24>>2]|0)==3){v=c[(c[b+96>>2]|0)+((c[b+84>>2]|0)-1<<3)>>2]|0}else{v=c[(c[b+96>>2]|0)+((c[b+84>>2]|0)-1<<3)+4>>2]|0}f=+h[a+((ga(v,p)|0)+q<<3)>>3];m=f;n=m;i=g;return+n}}while(0);do{if(d>e){if(!(l>=e)){break}if(!(+h[b+48>>3]<e)){break}f=+h[a+((ga(c[(c[b+96>>2]|0)+((c[b+84>>2]|0)-1<<3)>>2]|0,p)|0)+q<<3)>>3];m=f;n=m;i=g;return+n}}while(0);w=c[(c[b+96>>2]|0)+((c[b+84>>2]|0)-1<<3)>>2]|0;x=c[(c[b+96>>2]|0)+((c[b+84>>2]|0)-1<<3)+4>>2]|0;k=k- +h[b+88>>3];if(k<s){k=k+u}else{if(k>t){k=k-u}}c[b+20>>2]=Rz(a,o,p,c[b+20>>2]|0,k)|0;if((c[b+20>>2]|0)>>>0<w>>>0){k=+h[a+((ga(w,p)|0)<<3)>>3]}if((c[b+20>>2]|0)>>>0>=x>>>0){if((c[b+84>>2]|0)==1){k=+h[a+((ga(w,p)|0)<<3)>>3]}else{k=+h[a+((ga(x,p)|0)<<3)>>3]}}}else{if(k<+h[a>>3]){r=-1}else{if(k>+h[a+((ga(o-1|0,p)|0)<<3)>>3]){r=1;if((c[b+28>>2]|0)!=3){do{if(d==e){if(!(d<1.7976931348623157e+308)){break}if(!(l>=d)){break}r=0}}while(0)}}}}if((r|0)==0){x=Rz(a,o,p,c[b+20>>2]|0,k)|0;c[b+20>>2]=x;if((c[b+28>>2]|0)!=3){do{if(d==e){if(!(d<1.7976931348623157e+308)){break}if(!(l>=d)){break}if(k>=+h[a+((ga(o-1|0,p)|0)<<3)>>3]){x=o-1|0}f=+h[a+((ga(Sz(b,x)|0,p)|0)+q<<3)>>3];m=f;n=m;i=g;return+n}}while(0)}w=c[b+24>>2]|0;if((w|0)==3){if(k>=+h[a+((ga(x+1|0,p)|0)<<3)>>3]){x=x+1|0}f=+h[a+((ga(x,p)|0)+q<<3)>>3]}else if((w|0)==1){l=+h[a+((ga(x,p)|0)<<3)>>3];u=+h[a+((ga(x+1|0,p)|0)<<3)>>3];t=+h[a+((ga(x,p)|0)+q<<3)>>3];s=+h[a+((ga(x+1|0,p)|0)+q<<3)>>3];if((Tz(l,u)|0)!=0){f=s}else{f=t+(s-t)*(k-l)/(u-l)}}else if((w|0)==2){if((c[b+56>>2]|0)!=0){w=(ga(x,c[b+40>>2]|0)|0)+(j-1)|0;y=(c[b+56>>2]|0)+(w*24|0)|0;k=k- +h[a+((ga(x,p)|0)<<3)>>3];f=+h[a+((ga(x,p)|0)+q<<3)>>3];f=f+((+h[y>>3]*k+ +h[y+8>>3])*k+ +h[y+16>>3])*k}}else{JI(7673784)}}else{y=c[b+28>>2]|0;if((y|0)!=3)if((y|0)==4){JI(7662208)}else if((y|0)==1){if((r|0)==1){z=+h[a+((ga(o-1|0,p)|0)+q<<3)>>3]}else{z=+h[a+(q<<3)>>3]}f=z}else if((y|0)==2){if((r|0)==1){A=o-2|0}else{A=0}y=A;l=+h[a+((ga(y,p)|0)<<3)>>3];u=+h[a+((ga(y,p)|0)+q<<3)>>3];if((c[b+24>>2]|0)==2){if((c[b+56>>2]|0)!=0){w=(ga(y,c[b+40>>2]|0)|0)+(j-1)|0;B=(c[b+56>>2]|0)+(w*24|0)|0;if((r|0)==1){t=+h[a+((ga(y+1|0,p)|0)<<3)>>3];s=+h[a+((ga(y+1|0,p)|0)+q<<3)>>3];f=t-l;f=(+h[B>>3]*3.0*f+ +h[B+8>>3]*2.0)*f+ +h[B+16>>3];f=s+f*(k-t)}else{f=u+ +h[B+16>>3]*(k-l)}}}else{t=+h[a+((ga(y+1|0,p)|0)<<3)>>3];s=+h[a+((ga(y+1|0,p)|0)+q<<3)>>3];if((Tz(l,t)|0)!=0){f=s}else{f=u+(s-u)*(k-l)/(t-l)}}}else{JI(7653232)}}}}}}while(0);m=f;n=m;i=g;return+n}function Rz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,j=0.0,k=0,l=0,m=0;f=i;g=a;a=c;c=d;j=e;d=0;k=b-1|0;do{if(j<+h[g+((ga(c,a)|0)<<3)>>3]){k=c}else{if(j>=+h[g+((ga(c+1|0,a)|0)<<3)>>3]){d=c;break}else{l=c;m=l;i=f;return m|0}}}while(0);while(1){if(!(k>>>0>(d+1|0)>>>0)){break}c=((d+k|0)>>>0)/2|0;if(j<+h[g+((ga(c,a)|0)<<3)>>3]){k=c}else{d=c}}l=d;m=l;i=f;return m|0}function Sz(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0;d=i;e=a;a=b;b=a;if((e|0)==0){f=b;i=d;return f|0}if((c[e+8>>2]|0)==0){f=b;i=d;return f|0}g=c[e+8>>2]|0;j=c[e+16>>2]|0;k=a;while(1){if(!(k>>>0>0>>>0)){break}l=+h[g+((ga(k-1|0,j)|0)<<3)>>3];m=+h[g+((ga(k,j)|0)<<3)>>3];if((c[e+24>>2]|0)==3){if((Tz(l,m)|0)==0){n=7;break}}else{if((Tz(l,m)|0)==0){n=10;break}}k=k-1|0}if((n|0)==7){b=k-1|0}else if((n|0)==10){b=k}f=b;i=d;return f|0}function Tz(a,b){a=+a;b=+b;var c=0.0,d=0.0,e=0.0,f=0;c=a;a=b;b=+V(+c);d=+V(+a);if(b>d){e=b}else{e=d}d=e;if(d<1.0e-10){d=1.0e-10}d=d*1.0e-10;f=+V(+(a-c))<d|0;i=i;return f|0}function Uz(a){a=a|0;var b=0,d=0.0,e=0;b=i;d=0.0;e=a;do{if((e|0)!=0){if((c[e+8>>2]|0)==0){break}d=+h[c[e+8>>2]>>3]}}while(0);i=b;return+d}function Vz(a){a=a|0;var b=0,d=0.0,e=0,f=0.0;b=i;d=0.0;e=a;if((e|0)==0){f=d;i=b;return+f}if((c[e+8>>2]|0)==0){f=d;i=b;return+f}d=+h[(c[e+8>>2]|0)+((ga((c[e+12>>2]|0)-1|0,c[e+16>>2]|0)|0)<<3)>>3];f=d;i=b;return+f}function Wz(a,b){a=a|0;b=+b;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0.0;d=i;e=b;b=1.7976931348623157e+308;f=a;do{if((f|0)!=0){if((c[f+8>>2]|0)==0){g=129;break}a=c[f+8>>2]|0;j=c[f+12>>2]|0;k=c[f+16>>2]|0;do{if((c[f+60>>2]|0)>>>0>0>>>0){if(e>+h[f+72>>3]){h[f+72>>3]=e;break}else{l=+h[f+64>>3];m=l;i=d;return+m}}}while(0);do{if((c[f+28>>2]|0)==3){if((c[f+60>>2]|0)!=0){break}n=+h[a>>3];o=+h[a+((ga(j-1|0,k)|0)<<3)>>3];c[f+80>>2]=1;p=0;while(1){if(!(p>>>0<(j-1|0)>>>0)){break}q=+h[a+((ga(p,k)|0)<<3)>>3];r=+h[a+((ga(p+1|0,k)|0)<<3)>>3];do{if(r>n){if((Tz(r,o)|0)!=0){break}if((c[f+24>>2]|0)==3){if((Tz(q,r)|0)==0){n=r;s=f+80|0;c[s>>2]=(c[s>>2]|0)+1}}else{if((Tz(q,r)|0)!=0){n=r;s=f+80|0;c[s>>2]=(c[s>>2]|0)+1}}}}while(0);p=p+1|0}c[f+96>>2]=N9(c[f+80>>2]|0,8)|0;if((c[f+96>>2]|0)==0){JI(7642592);l=b;m=l;i=d;return+m}n=+h[a>>3];s=0;if((c[f+24>>2]|0)==3){p=0;while(1){if(p>>>0<(j-1|0)>>>0){t=s>>>0<(c[f+80>>2]|0)>>>0}else{t=0}if(!t){break}o=+h[a+((ga(p,k)|0)<<3)>>3];r=+h[a+((ga(p+1|0,k)|0)<<3)>>3];if(r>n){if((Tz(o,r)|0)!=0){c[(c[f+96>>2]|0)+(s<<3)>>2]=p+1}else{n=r;c[(c[f+96>>2]|0)+(s<<3)>>2]=p;c[(c[f+96>>2]|0)+(s<<3)+4>>2]=p+1;s=s+1|0}}else{c[(c[f+96>>2]|0)+(s<<3)+4>>2]=p+1}p=p+1|0}}else{p=0;while(1){if(p>>>0<(j-1|0)>>>0){u=s>>>0<(c[f+80>>2]|0)>>>0}else{u=0}if(!u){break}r=+h[a+((ga(p,k)|0)<<3)>>3];o=+h[a+((ga(p+1|0,k)|0)<<3)>>3];if(o>n){if((Tz(r,o)|0)!=0){n=o;c[(c[f+96>>2]|0)+(s<<3)+4>>2]=p;s=s+1|0;if(s>>>0<(c[f+80>>2]|0)>>>0){c[(c[f+96>>2]|0)+(s<<3)>>2]=p+1}}else{c[(c[f+96>>2]|0)+(s<<3)+4>>2]=p+1}}else{c[(c[f+96>>2]|0)+(s<<3)>>2]=p+1}p=p+1|0}}}}while(0);e=e- +h[f+48>>3];if(e<0.0){b=0.0}else{if(j>>>0>1>>>0){n=+h[a>>3];o=+h[a+((ga(j-1|0,k)|0)<<3)>>3];r=o-n;if((c[f+28>>2]|0)==3){if((c[f+84>>2]|0)==0){q=n;h[f+88>>3]=+U((e-n)/r)*r;e=e- +h[f+88>>3];if(e<n){e=e+r}else{if(e>o){e=e-r}}v=Rz(a,j,k,c[f+20>>2]|0,e+1.0e-10*r)|0;b=o;w=v+1|0;while(1){if(!(w>>>0<(j-1|0)>>>0)){break}x=+h[a+((ga(w,k)|0)<<3)>>3];y=+h[a+((ga(w+1|0,k)|0)<<3)>>3];if(x>e){if((c[f+24>>2]|0)==3){g=70;break}if((Tz(x,y)|0)!=0){g=72;break}}w=w+1|0}if((g|0)==70){b=x}else if((g|0)==72){b=x}c[f+84>>2]=1;if(v>>>0<(j-1|0)>>>0){z=v}else{z=j-1|0}p=z;w=0;while(1){if(!(w>>>0<p>>>0)){break}y=+h[a+((ga(w,k)|0)<<3)>>3];A=+h[a+((ga(w+1|0,k)|0)<<3)>>3];do{if(A>q){if((Tz(A,o)|0)!=0){break}if((c[f+24>>2]|0)==3){if((Tz(y,A)|0)==0){q=A;s=f+84|0;c[s>>2]=(c[s>>2]|0)+1}}else{if((Tz(y,A)|0)!=0){q=A;s=f+84|0;c[s>>2]=(c[s>>2]|0)+1}}}}while(0);w=w+1|0}b=b+ +h[f+88>>3];if((c[f+84>>2]|0)==(c[f+80>>2]|0)){p=f+88|0;h[p>>3]=+h[p>>3]+r}}else{c[f+84>>2]=(((c[f+84>>2]|0)>>>0)%((c[f+80>>2]|0)>>>0)|0)+1;if((c[f+84>>2]|0)==(c[f+80>>2]|0)){b=o+ +h[f+88>>3];p=f+88|0;h[p>>3]=+h[p>>3]+r}else{w=c[(c[f+96>>2]|0)+((c[f+84>>2]|0)-1<<3)+4>>2]|0;q=+h[a+((ga(w,k)|0)<<3)>>3];b=q+ +h[f+88>>3]}}}else{if(e<n){b=n}else{if(e<o){if((c[f+24>>2]|0)==2){b=o}else{v=Rz(a,j,k,c[f+20>>2]|0,e+1.0e-10*r)|0;b=o;w=v+1|0;while(1){if(!(w>>>0<(j-1|0)>>>0)){break}B=+h[a+((ga(w,k)|0)<<3)>>3];if(B>e){q=+h[a+((ga(w+1|0,k)|0)<<3)>>3];if((c[f+24>>2]|0)==3){g=111;break}if((Tz(B,q)|0)!=0){g=113;break}}w=w+1|0}if((g|0)==111){b=B}else if((g|0)==113){b=B}}}}}}}if(b<1.7976931348623157e+308){b=b+ +h[f+48>>3]}if(b>+h[f+64>>3]){h[f+64>>3]=b;k=f+60|0;c[k>>2]=(c[k>>2]|0)+1}}else{g=129}}while(0);if((g|0)==129){JI(7646400)}l=b;m=l;i=d;return+m}function Xz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0.0;e=i;f=b;b=d;d=a;if((d|0)!=0){if((c[d+32>>2]|0)==1){if((f|0)!=0){g=5}else{if((c[d+8>>2]|0)==0){g=5}}if((g|0)==5){if((c[d+8>>2]|0)!=0){M9(c[d+8>>2]|0)}c[d+8>>2]=Yz(c[d+4>>2]|0,c[d>>2]|0,d+12|0,d+16|0,b,f)|0;if((c[d+8>>2]|0)==0){h=0.0;j=h;i=e;return+j}do{if((c[d+24>>2]|0)==2){if((c[d+12>>2]|0)!=2){break}c[d+24>>2]=1}}while(0);if((Lz(d)|0)==0){h=0.0;j=h;i=e;return+j}if((c[d+24>>2]|0)==2){Pz(c[d+56>>2]|0);c[d+56>>2]=Mz(c[d+8>>2]|0,c[d+12>>2]|0,c[d+16>>2]|0,c[d+36>>2]|0,c[d+40>>2]|0)|0}}}}h=1.0;j=h;i=e;return+j}function Yz(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=0;if((h|0)==0){j=f;i=g;return j|0}if((a|0)==0){j=f;i=g;return j|0}if((b|0)==0){j=f;i=g;return j|0}if((d|0)==0){j=f;i=g;return j|0}k=0;l=Yb(a|0,46)|0;if((l|0)!=0){if(0==(kaa(l,7632440,4)|0)){m=8}else{if(0==(kaa(l,7627032,4)|0)){m=8}}if((m|0)==8){k=1}}if((e|0)==1){HI(7621400,(e=i,i=i+16|0,c[e>>2]=h,c[e+8>>2]=a,e)|0);i=e}if((k|0)!=0){f=Zz(h,a,b,d)|0}else{f=_z(h,a,b,d)|0}j=f;i=g;return j|0}function Zz(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f=i;g=a;a=b;b=d;d=e;e=0;do{if((g|0)!=0){if((a|0)==0){break}if((b|0)==0){break}if((d|0)==0){break}h=0;j=$A(a,0)|0;if((j|0)==0){LI(7692712,(k=i,i=i+8|0,c[k>>2]=a,k)|0);i=k;l=0;m=l;i=f;return m|0}n=kB(j,g)|0;if((n|0)==0){cB(j)|0;LI(7678776,(k=i,i=i+16|0,c[k>>2]=g,c[k+8>>2]=a,k)|0);i=k;l=0;m=l;i=f;return m|0}if((c[n+4>>2]|0)!=2){dB(n);cB(j)|0;LI(7675424,(k=i,i=i+8|0,c[k>>2]=g,k)|0);i=k;l=0;m=l;i=f;return m|0}if((c[n+16>>2]|0)!=6){dB(n);cB(j)|0;LI(7674352,(k=i,i=i+8|0,c[k>>2]=g,k)|0);i=k;l=0;m=l;i=f;return m|0}if((c[n+20>>2]|0)!=0){dB(n);cB(j)|0;LI(7673336,(k=i,i=i+8|0,c[k>>2]=g,k)|0);i=k;l=0;m=l;i=f;return m|0}e=L9((ga(c[c[n+32>>2]>>2]|0,c[(c[n+32>>2]|0)+4>>2]|0)|0)<<3)|0;if((e|0)==0){dB(n);cB(j)|0;JI(7642592);l=0;m=l;i=f;return m|0}o=c[c[n+32>>2]>>2]|0;p=c[(c[n+32>>2]|0)+4>>2]|0;q=0;while(1){if((h|0)==0){r=q>>>0<o>>>0}else{r=0}if(!r){break}h=fB(j,n,e+((ga(q,p)|0)<<3)|0,q,o,p)|0;q=q+1|0}dB(n);cB(j)|0;if((h|0)==0){c[b>>2]=o;c[d>>2]=p;break}else{M9(e);c[b>>2]=0;c[d>>2]=0;LI(7672184,(k=i,i=i+32|0,c[k>>2]=g,c[k+8>>2]=o,c[k+16>>2]=p,c[k+24>>2]=a,k)|0);i=k;l=0;m=l;i=f;return m|0}}}while(0);l=e;m=l;i=f;return m|0}function _z(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=b;b=d;d=e;e=f;f=0;do{if((m|0)!=0){if((b|0)==0){break}if((d|0)==0){break}if((e|0)==0){break}c[k>>2]=64;n=0;o=0;p=0;q=1;r=Hc(b|0,7697320)|0;if((r|0)==0){LI(7692712,(s=i,i=i+8|0,c[s>>2]=b,s)|0);i=s;t=0;u=t;i=g;return u|0}c[j>>2]=L9(64)|0;if((c[j>>2]|0)==0){Pa(r|0)|0;JI(7642592);t=0;u=t;i=g;return u|0}v=$z(j,k,r)|0;w=v;if((v|0)!=0){M9(c[j>>2]|0);Pa(r|0)|0;if((w|0)<0){LI(7689504,(s=i,i=i+8|0,c[s>>2]=b,s)|0);i=s}t=0;u=t;i=g;return u|0}if(0!=(kaa(c[j>>2]|0,7687560,2)|0)){v=laa(c[j>>2]|0)|0;if((v|0)==0){M9(c[j>>2]|0);Pa(r|0)|0;LI(7686264,(s=i,i=i+8|0,c[s>>2]=b,s)|0);i=s}else{if((v|0)==1){v=a[c[j>>2]|0]|0;M9(c[j>>2]|0);Pa(r|0)|0;LI(7684824,(s=i,i=i+16|0,c[s>>2]=b,c[s+8>>2]=v<<24>>24,s)|0);i=s}else{v=a[c[j>>2]|0]|0;x=a[(c[j>>2]|0)+1|0]|0;M9(c[j>>2]|0);Pa(r|0)|0;LI(7683664,(s=i,i=i+24|0,c[s>>2]=b,c[s+8>>2]=v<<24>>24,c[s+16>>2]=x<<24>>24,s)|0);i=s}}t=0;u=t;i=g;return u|0}x=c[(id()|0)>>2]|0;a:while(1){if(($z(j,k,r)|0)!=0){break}q=q+1|0;y=Xa(c[j>>2]|0,7682752)|0;if((y|0)==0){continue}do{if(0!=(jaa(y,7681888)|0)){if(0==(jaa(y,7681064)|0)){break}continue a}}while(0);y=Xa(0,7682752)|0;if((y|0)==0){continue}if(0!=(jaa(y,m)|0)){continue}n=1;y=Xa(0,7682752)|0;if((y|0)==0){continue}o=Va(y|0,l|0,10)|0;if((a[c[l>>2]|0]|0)!=0){continue}y=Xa(0,7682752)|0;if((y|0)==0){continue}p=Va(y|0,l|0,10)|0;if((a[c[l>>2]|0]|0)==0){z=41;break}}if((z|0)==41){v=0;A=0;f=L9((ga(o,p)|0)<<3)|0;if((f|0)==0){c[d>>2]=0;c[e>>2]=0;M9(c[j>>2]|0);Pa(r|0)|0;JI(7642592);t=f;u=t;i=g;return u|0}b:while(1){if((w|0)==0){B=v>>>0<o>>>0}else{B=0}if(!B){break}C=0;q=q+1|0;D=$z(j,k,r)|0;w=D;if((D|0)!=0){z=48;break}while(1){if((C|0)>=((c[k>>2]|0)-1|0)){break}if((a[(c[j>>2]|0)+C|0]|0)!=32){if((a[(c[j>>2]|0)+C|0]|0)!=9){z=53;break}}C=C+1|0}if((z|0)==53){z=0}do{if((a[(c[j>>2]|0)+C|0]|0)!=0){if((a[(c[j>>2]|0)+C|0]|0)==35){break}y=Xa((c[j>>2]|0)+C|0,7680176)|0;while(1){if(v>>>0<o>>>0){E=A>>>0<p>>>0}else{E=0}if(!E){break}if((y|0)==0){z=63;break}if((a[y|0]|0)==35){z=65;break}if((a[x]|0)==46){h[f+((ga(v,p)|0)+A<<3)>>3]=+gaa(y,l)}else{if(0==(Lb(y|0,46)|0)){h[f+((ga(v,p)|0)+A<<3)>>3]=+gaa(y,l)}else{D=L9((laa(y|0)|0)+1|0)|0;if((D|0)==0){z=75;break}raa(D|0,y|0)|0;F=Lb(D|0,46)|0;a[F]=a[x]|0;h[f+((ga(v,p)|0)+A<<3)>>3]=+gaa(D,l);if((a[c[l>>2]|0]|0)!=0){w=1}M9(D)}}D=A+1|0;A=D;if((D|0)==(p|0)){v=v+1|0;A=0}if((w|0)!=0){z=82;break}y=Xa(0,7680176)|0}if((z|0)==63){z=0}else if((z|0)==65){z=0}else if((z|0)==75){z=0;c[d>>2]=0;c[e>>2]=0;M9(c[j>>2]|0);Pa(r|0)|0;w=1;JI(7642592)}else if((z|0)==82){z=0}if((y|0)!=0){if((a[y|0]|0)!=35){z=85;break b}}continue b}}while(0)}if((z|0)!=48)if((z|0)==85){w=1}}M9(c[j>>2]|0);Pa(r|0)|0;if((n|0)==0){LI(7678776,(s=i,i=i+16|0,c[s>>2]=m,c[s+8>>2]=b,s)|0);i=s;t=f;u=t;i=g;return u|0}if((w|0)==0){c[d>>2]=o;c[e>>2]=p}else{M9(f);f=0;c[d>>2]=0;c[e>>2]=0;if((w|0)==-1){LI(7677888,(s=i,i=i+32|0,c[s>>2]=m,c[s+8>>2]=o,c[s+16>>2]=p,c[s+24>>2]=b,s)|0);i=s}else{LI(7676536,(s=i,i=i+40|0,c[s>>2]=q,c[s+8>>2]=m,c[s+16>>2]=o,c[s+24>>2]=p,c[s+32>>2]=b,s)|0);i=s}}}}while(0);t=f;u=t;i=g;return u|0}function $z(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;if((Jb(c[g>>2]|0,c[b>>2]|0,d|0)|0)==0){h=-1;j=h;i=f;return j|0}e=Lb(c[g>>2]|0,10)|0;k=e;if((e|0)!=0){a[k]=0;h=0;j=h;i=f;return j|0}while(1){e=Lb(c[g>>2]|0,10)|0;k=e;if((e|0)!=0){l=7;break}e=c[b>>2]|0;m=b;c[m>>2]=c[m>>2]<<1;m=O9(c[g>>2]|0,c[b>>2]|0)|0;if((m|0)==0){l=9;break}c[g>>2]=m;if((Jb((c[g>>2]|0)+(e-1)|0,e+1|0,d|0)|0)==0){l=12;break}}if((l|0)==7){a[k]=0;h=0;j=h;i=f;return j|0}else if((l|0)==9){JI(7642592);h=1;j=h;i=f;return j|0}else if((l|0)==12){h=0;j=h;i=f;return j|0}return 0}function aA(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=i;d=b;b=0;if((d|0)==0){e=b;i=c;return e|0}if((jaa(d,7669784)|0)!=0){f=laa(d|0)|0;g=0;while(1){if(!(g>>>0<f>>>0)){break}if((a[d+g|0]|0)!=32){h=6;break}g=g+1|0}if((h|0)==6){b=1}}e=b;i=c;return e|0}function bA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+8|0;e=d|0;f=b;b=f;g=c[b+4>>2]|0;h=e;c[h>>2]=c[b>>2];c[h+4>>2]=g;g=e|0;a[g]=a[g]^a[e+7|0];g=e+7|0;a[g]=a[g]^a[e|0];g=e|0;a[g]=a[g]^a[e+7|0];g=e+1|0;a[g]=a[g]^a[e+6|0];g=e+6|0;a[g]=a[g]^a[e+1|0];g=e+1|0;a[g]=a[g]^a[e+6|0];g=e+2|0;a[g]=a[g]^a[e+5|0];g=e+5|0;a[g]=a[g]^a[e+2|0];g=e+2|0;a[g]=a[g]^a[e+5|0];g=e+3|0;a[g]=a[g]^a[e+4|0];g=e+4|0;a[g]=a[g]^a[e+3|0];g=e+3|0;a[g]=a[g]^a[e+4|0];g=e;e=c[g+4>>2]|0;h=f;c[h>>2]=c[g>>2];c[h+4>>2]=e;e=f;i=d;return(K=c[e+4>>2]|0,c[e>>2]|0)|0}function cA(b){b=b|0;var e=0,f=0,g=0,h=0,j=0;e=i;i=i+8|0;f=e|0;g=b;b=g;h=c[b+4>>2]|0;j=f;c[j>>2]=c[b>>2];c[j+4>>2]=h;h=f|0;a[h]=(d[h]|0)^(d[f+7|0]|0);h=f+7|0;a[h]=(d[h]|0)^(d[f|0]|0);h=f|0;a[h]=(d[h]|0)^(d[f+7|0]|0);h=f+1|0;a[h]=(d[h]|0)^(d[f+6|0]|0);h=f+6|0;a[h]=(d[h]|0)^(d[f+1|0]|0);h=f+1|0;a[h]=(d[h]|0)^(d[f+6|0]|0);h=f+2|0;a[h]=(d[h]|0)^(d[f+5|0]|0);h=f+5|0;a[h]=(d[h]|0)^(d[f+2|0]|0);h=f+2|0;a[h]=(d[h]|0)^(d[f+5|0]|0);h=f+3|0;a[h]=(d[h]|0)^(d[f+4|0]|0);h=f+4|0;a[h]=(d[h]|0)^(d[f+3|0]|0);h=f+3|0;a[h]=(d[h]|0)^(d[f+4|0]|0);h=f;f=c[h+4>>2]|0;j=g;c[j>>2]=c[h>>2];c[j+4>>2]=f;f=g;i=e;return(K=c[f+4>>2]|0,c[f>>2]|0)|0}function dA(b){b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;f=b;c[e>>2]=c[f>>2];b=e|0;a[b]=a[b]^a[e+3|0];b=e+3|0;a[b]=a[b]^a[e|0];b=e|0;a[b]=a[b]^a[e+3|0];b=e+1|0;a[b]=a[b]^a[e+2|0];b=e+2|0;a[b]=a[b]^a[e+1|0];b=e+1|0;a[b]=a[b]^a[e+2|0];c[f>>2]=c[e>>2];i=d;return c[f>>2]|0}function eA(b){b=b|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=b;c[f>>2]=c[g>>2];b=f|0;a[b]=(d[b]|0)^(d[f+3|0]|0);b=f+3|0;a[b]=(d[b]|0)^(d[f|0]|0);b=f|0;a[b]=(d[b]|0)^(d[f+3|0]|0);b=f+1|0;a[b]=(d[b]|0)^(d[f+2|0]|0);b=f+2|0;a[b]=(d[b]|0)^(d[f+1|0]|0);b=f+1|0;a[b]=(d[b]|0)^(d[f+2|0]|0);c[g>>2]=c[f>>2];i=e;return c[g>>2]|0}function fA(c){c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;f=c;b[e>>1]=b[f>>1]|0;c=e|0;a[c]=a[c]^a[e+1|0];c=e+1|0;a[c]=a[c]^a[e|0];c=e|0;a[c]=a[c]^a[e+1|0];b[f>>1]=b[e>>1]|0;i=d;return b[f>>1]|0}function gA(c){c=c|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=c;b[f>>1]=b[g>>1]|0;c=f|0;a[c]=(d[c]|0)^(d[f+1|0]|0);c=f+1|0;a[c]=(d[c]|0)^(d[f|0]|0);c=f|0;a[c]=(d[c]|0)^(d[f+1|0]|0);b[g>>1]=b[f>>1]|0;i=e;return b[g>>1]|0}function hA(b){b=b|0;var c=0,d=0,e=0;c=i;i=i+8|0;d=c|0;e=b;g[d>>2]=+g[e>>2];b=d|0;a[b]=a[b]^a[d+3|0];b=d+3|0;a[b]=a[b]^a[d|0];b=d|0;a[b]=a[b]^a[d+3|0];b=d+1|0;a[b]=a[b]^a[d+2|0];b=d+2|0;a[b]=a[b]^a[d+1|0];b=d+1|0;a[b]=a[b]^a[d+2|0];g[e>>2]=+g[d>>2];i=c;return+(+g[e>>2])}function iA(b){b=b|0;var c=0,d=0,e=0;c=i;i=i+8|0;d=c|0;e=b;h[d>>3]=+h[e>>3];b=d|0;a[b]=a[b]^a[d+7|0];b=d+7|0;a[b]=a[b]^a[d|0];b=d|0;a[b]=a[b]^a[d+7|0];b=d+1|0;a[b]=a[b]^a[d+6|0];b=d+6|0;a[b]=a[b]^a[d+1|0];b=d+1|0;a[b]=a[b]^a[d+6|0];b=d+2|0;a[b]=a[b]^a[d+5|0];b=d+5|0;a[b]=a[b]^a[d+2|0];b=d+2|0;a[b]=a[b]^a[d+5|0];b=d+3|0;a[b]=a[b]^a[d+4|0];b=d+4|0;a[b]=a[b]^a[d+3|0];b=d+3|0;a[b]=a[b]^a[d+4|0];h[e>>3]=+h[d>>3];i=c;return+(+h[e>>3])}function jA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+1024|0;f=e|0;g=e+512|0;h=a;a=b;b=d;d=0;j=0;if((b|0)<1){k=0;l=k;i=e;return l|0}if((b|0)<512){m=b}else{m=512}n=m;if((c[a+4>>2]|0)==0){c[a>>2]=f;m=Xc(f|0,1,n|0,c[h>>2]|0)|0;o=a+4|0;c[o>>2]=(c[o>>2]|0)+m;d=d+(c[a+4>>2]|0)|0}c[a+16>>2]=n;c[a+12>>2]=g;m=BB(a,3)|0;if((m|0)==1){k=d;l=k;i=e;return l|0}if((m|0)!=0){kA(7639e3,(p=i,i=i+8|0,c[p>>2]=m,p)|0);i=p;k=d;l=k;i=e;return l|0}if((c[a+16>>2]|0)==0){j=j+n|0;if((b-j|0)<512){q=b-j|0}else{q=512}n=q;c[a+16>>2]=n;c[a+12>>2]=g}while(1){if((j|0)>=(b|0)){break}if((c[a+4>>2]|0)==0){c[a>>2]=f;q=Xc(f|0,1,n|0,c[h>>2]|0)|0;o=a+4|0;c[o>>2]=(c[o>>2]|0)+q;d=d+(c[a+4>>2]|0)|0}m=BB(a,3)|0;if((m|0)==1){r=23;break}if((m|0)!=0){r=25;break}if((c[a+16>>2]|0)==0){j=j+n|0;if((b-j|0)<512){s=b-j|0}else{s=512}n=s;c[a+16>>2]=n;c[a+12>>2]=g}}if((r|0)!=23)if((r|0)==25){kA(7639e3,(p=i,i=i+8|0,c[p>>2]=m,p)|0);i=p}if((c[a+4>>2]|0)!=0){Jd(c[h>>2]|0,-(c[a+4>>2]|0)|0,1)|0;d=d-(c[a+4>>2]|0)|0;c[a+4>>2]=0}k=d;l=k;i=e;return l|0}function kA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d|0;f=e|0;c[f>>2]=b;c[f+4>>2]=0;f=wA(a,e|0)|0;LI(7684816,(e=i,i=i+8|0,c[e>>2]=f,e)|0);i=e;M9(f);i=d;return}function lA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=b;b=c;c=d;d=0;a:do{if((f|0)==0){g=3}else{if((a|0)==0){g=3;break}if((c|0)<1){h=0;break}switch(b|0){case 1:{d=1;break};case 9:{d=8;break};case 7:{d=4;break};case 12:{d=8;break};case 13:{d=8;break};case 5:{d=4;break};case 6:{d=4;break};case 3:{d=2;break};case 4:{d=2;break};case 2:{d=1;break};default:{h=0;break a}}jA(f,a,ga(c,d)|0)|0;h=c}}while(0);if((g|0)==3){h=0}i=e;return h|0}function mA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=8;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7673296,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){l=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7673296,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}h=d;j=h;i=e;return j|0}function nA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=16;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7661368,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){l=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7661368,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}h=d;j=h;i=e;return j|0}function oA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+40|0;f=e|0;g=e+32|0;h=a;a=b;b=d;d=0;if((b|0)==0){j=0;k=j;i=e;return k|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[h>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=8;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;l=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((l|0)!=0){kA(7652560,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;j=d;k=j;i=e;return k|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){n=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{n=0}if(!n){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[h>>2]|0)|0)|0;l=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((l|0)!=0){o=12;break}}if((o|0)==12){kA(7652560,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;j=d;k=j;i=e;return k|0}c[g>>2]=c[b>>2];c[g+4>>2]=c[b+4>>2];if((c[h+20>>2]|0)!=0){dA(g|0)|0;dA(g+4|0)|0}if((c[g>>2]&65535|0)!=5){kA(7646048,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;j=d;k=j;i=e;return k|0}n=c[g+4>>2]|0;if(((n|0)%8|0|0)!=0){p=8-((n|0)%8|0)|0}else{p=0}n=n+p|0;if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[h>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=n;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b+8;l=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((l|0)!=0){kA(7652560,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;j=d;k=j;i=e;return k|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){q=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{q=0}if(!q){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[h>>2]|0)|0)|0;l=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((l|0)!=0){o=30;break}}if((o|0)==30){kA(7652560,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;j=d;k=j;i=e;return k|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[h>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}j=d;k=j;i=e;return k|0}function pA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=8;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7638592,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){l=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7638592,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}h=d;j=h;i=e;return j|0}function qA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;i=i+32|0;g=f|0;h=a;a=b;b=d;d=0;if((b|0)==0){j=0;k=j;i=f;return k|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=g;d=d+(Xc(g|0,1,1,c[h>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=e;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7632192,(l=i,i=i+8|0,c[l>>2]=b,l)|0);i=l;j=d;k=j;i=f;return k|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){m=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{m=0}if(!m){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=g;d=d+(Xc(g|0,1,1,c[h>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){n=12;break}}if((n|0)==12){kA(7632192,(l=i,i=i+8|0,c[l>>2]=b,l)|0);i=l;j=d;k=j;i=f;return k|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[h>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}j=d;k=j;i=f;return k|0}function rA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[a+4>>2]|0)==0){c[a+4>>2]=1;c[a>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[a+16>>2]=4;c[a+12>>2]=b;b=BB(a,0)|0;if((b|0)!=0){kA(7621200,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[a+16>>2]|0)!=0){l=(c[a+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[a+4>>2]=1;c[a>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(a,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7621200,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[a+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[a+4>>2]|0)|0,1)|0;d=d-(c[a+4>>2]|0)|0;c[a+4>>2]=0}h=d;j=h;i=e;return j|0}function sA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;i=i+1024|0;g=f|0;h=a;a=b;b=d;d=e;e=0;if((b|0)==0){j=0;k=j;i=f;return k|0}if((d|0)<1){kA(7697288,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;j=e;k=j;i=f;return k|0}if((c[a+4>>2]|0)==0){if((d|0)>1024){c[a+4>>2]=Xc(g|0,1,1024,c[h>>2]|0)|0;e=e+(c[a+4>>2]|0)|0;c[a>>2]=g}else{c[a+4>>2]=Xc(g|0,1,d|0,c[h>>2]|0)|0;e=e+(c[a+4>>2]|0)|0;c[a>>2]=g}}c[a+16>>2]=d;c[a+12>>2]=b;b=BB(a,3)|0;if((b|0)==1){j=e;k=j;i=f;return k|0}if((b|0)!=0){kA(7692664,(l=i,i=i+8|0,c[l>>2]=b,l)|0);i=l;j=e;k=j;i=f;return k|0}while(1){if((c[a+16>>2]|0)!=0){m=(c[a+4>>2]|0)!=0^1}else{m=0}if(!m){break}if((d-e|0)>1024){c[a+4>>2]=Xc(g|0,1,1024,c[h>>2]|0)|0;e=e+(c[a+4>>2]|0)|0;c[a>>2]=g}else{if((d-e|0)<1){c[a+4>>2]=Xc(g|0,1,1,c[h>>2]|0)|0;e=e+(c[a+4>>2]|0)|0;c[a>>2]=g}else{c[a+4>>2]=Xc(g|0,1,d-e|0,c[h>>2]|0)|0;e=e+(c[a+4>>2]|0)|0;c[a>>2]=g}}b=BB(a,3)|0;if((b|0)==1){n=26;break}if((b|0)!=0){if((b|0)!=-5){n=29;break}}}if((n|0)!=26)if((n|0)==29){kA(7692664,(l=i,i=i+8|0,c[l>>2]=b,l)|0);i=l}if((c[a+4>>2]|0)!=0){Jd(c[h>>2]|0,-(c[a+4>>2]|0)|0,1)|0;e=e-(c[a+4>>2]|0)|0;c[a+4>>2]=0}j=e;k=j;i=f;return k|0}function tA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=8;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7689448,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){l=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7689448,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}h=d;j=h;i=e;return j|0}function uA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+32|0;f=e|0;g=a;a=b;b=d;d=0;if((b|0)==0){h=0;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0}c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=8;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7687456,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){l=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{l=0}if(!l){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=f;d=d+(Xc(f|0,1,1,c[g>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){m=12;break}}if((m|0)==12){kA(7687456,(k=i,i=i+8|0,c[k>>2]=b,k)|0);i=k;h=d;j=h;i=e;return j|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[g>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}h=d;j=h;i=e;return j|0}function vA(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+32|0;j=h|0;k=a;a=b;b=d;d=0;if((b|0)==0){l=0;m=l;i=h;return m|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)==0){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=j;d=d+(Xc(j|0,1,1,c[k>>2]|0)|0)|0}n=(ga(e,f)|0)+g|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]=n;c[(c[(c[a+52>>2]|0)+32>>2]|0)+12>>2]=b;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){kA(7686224,(o=i,i=i+8|0,c[o>>2]=b,o)|0);i=o;l=d;m=l;i=h;return m|0}while(1){if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+16>>2]|0)!=0){p=(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0^1}else{p=0}if(!p){break}c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=1;c[c[(c[a+52>>2]|0)+32>>2]>>2]=j;d=d+(Xc(j|0,1,1,c[k>>2]|0)|0)|0;b=BB(c[(c[a+52>>2]|0)+32>>2]|0,0)|0;if((b|0)!=0){q=12;break}}if((q|0)==12){kA(7686224,(o=i,i=i+8|0,c[o>>2]=b,o)|0);i=o;l=d;m=l;i=h;return m|0}if((c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)!=0){Jd(c[k>>2]|0,-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;d=d-(c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]|0)|0;c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0}l=d;m=l;i=h;return m|0}function wA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;i=i+16|0;d=c|0;e=a;a=b;Bc(d|0,a|0);b=(xA(0,0,e,d|0)|0)+1|0;d=L9(b+1|0)|0;if((d|0)!=0){xA(d,b,e,a)|0;f=d;g=f;i=c;return g|0}else{f=0;g=f;i=c;return g|0}return 0}function xA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=XA(a,b,c,d)|0;i=e;return f|0}function yA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d|0;f=e|0;c[f>>2]=b;c[f+4>>2]=0;f=wA(a,e|0)|0;i=d;return f|0}function zA(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+16|0;e=d|0;f=e|0;c[f>>2]=b;c[f+4>>2]=0;f=wA(a,e|0)|0;HI(7684816,(e=i,i=i+8|0,c[e>>2]=f,e)|0);i=e;M9(f);i=d;return}function AA(a){a=a|0;var b=0;switch(a|0){case 1:{b=1;break};case 13:{b=8;break};case 6:{b=4;break};case 7:{b=4;break};case 2:{b=1;break};case 3:{b=2;break};case 12:{b=8;break};case 9:{b=8;break};case 5:{b=4;break};case 4:{b=2;break};default:{b=0}}i=i;return b|0}function BA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;m=i;i=i+56|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=f;f=j;j=k;k=l;l=0;v=0;do{if((u|0)!=0){if((f|0)==0){break}if((c[u>>2]|0)==0){break}switch(j|0){case 6:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((eA(p)|0)>>>0>>>0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((c[p>>2]|0)>>>0>>>0);w=w+1|0}}break};case 3:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((fA(q)|0)<<16>>16|0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(b[q>>1]|0);w=w+1|0}}break};case 1:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(a[s]|0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(a[s]|0);w=w+1|0}}break};case 4:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(((gA(r)|0)&65535)>>>0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((e[r>>1]|0)>>>0);w=w+1|0}}break};case 5:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(dA(o)|0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+(c[o>>2]|0);w=w+1|0}}break};case 9:{v=8;if((c[u+20>>2]|0)!=0){l=l+(Xc(f|0,v|0,k|0,c[u>>2]|0)|0)|0;w=0;while(1){if((w|0)>=(k|0)){break}+iA(f+(w<<3)|0);w=w+1|0}}else{l=l+(Xc(f|0,v|0,k|0,c[u>>2]|0)|0)|0}break};case 2:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((d[t]|0)>>>0);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+((d[t]|0)>>>0);w=w+1|0}}break};case 7:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+hA(n);w=w+1|0}}else{w=0;while(1){if((w|0)>=(k|0)){break}l=l+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;h[f+(w<<3)>>3]=+g[n>>2];w=w+1|0}}break};default:{x=0;y=x;i=m;return y|0}}l=ga(l,v)|0;x=l;y=x;i=m;return y|0}}while(0);x=0;y=x;i=m;return y|0}function CA(f,g,j,k,l){f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;m=i;i=i+1024|0;n=m|0;o=f;f=g;g=j;j=l;l=0;p=0;switch(k|0){case 5:{p=4;if((c[o+20>>2]|0)!=0){if((j|0)<=256){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+(dA(n+(q<<2)|0)|0);q=q+1|0}}else{j=j-256|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<8)|0;r=0;while(1){if((r|0)>=256){break}h[g+(q+r<<3)>>3]=+(dA(n+(r<<2)|0)|0);r=r+1|0}q=q+256|0}j=j-(q-256)|0;sA(o,f,n|0,ga(j,p)|0)|0;r=0;while(1){if((r|0)>=(j|0)){break}h[g+(q+r<<3)>>3]=+(dA(n+(r<<2)|0)|0);r=r+1|0}}}else{if((j|0)<=256){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+(c[n+(q<<2)>>2]|0);q=q+1|0}}else{j=j-256|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<8)|0;s=0;while(1){if((s|0)>=256){break}h[g+(q+s<<3)>>3]=+(c[n+(s<<2)>>2]|0);s=s+1|0}q=q+256|0}j=j-(q-256)|0;sA(o,f,n|0,ga(j,p)|0)|0;s=0;while(1){if((s|0)>=(j|0)){break}h[g+(q+s<<3)>>3]=+(c[n+(s<<2)>>2]|0);s=s+1|0}}}break};case 3:{p=2;if((c[o+20>>2]|0)!=0){if((j|0)<=512){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+((fA(n+(q<<1)|0)|0)<<16>>16|0);q=q+1|0}}else{j=j-512|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<9)|0;t=0;while(1){if((t|0)>=512){break}h[g+(q+t<<3)>>3]=+((fA(n+(t<<1)|0)|0)<<16>>16|0);t=t+1|0}q=q+512|0}j=j-(q-512)|0;sA(o,f,n|0,ga(j,p)|0)|0;t=0;while(1){if((t|0)>=(j|0)){break}h[g+(q+t<<3)>>3]=+((fA(n+(t<<1)|0)|0)<<16>>16|0);t=t+1|0}}}else{if((j|0)<=512){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+(b[n+(q<<1)>>1]|0);q=q+1|0}}else{j=j-512|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<9)|0;u=0;while(1){if((u|0)>=512){break}h[g+(q+u<<3)>>3]=+(b[n+(u<<1)>>1]|0);u=u+1|0}q=q+512|0}j=j-(q-512)|0;sA(o,f,n|0,ga(j,p)|0)|0;u=0;while(1){if((u|0)>=(j|0)){break}h[g+(q+u<<3)>>3]=+(b[n+(u<<1)>>1]|0);u=u+1|0}}}break};case 2:{p=1;if((j|0)<=1024){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+((d[n+q|0]|0)>>>0);q=q+1|0}}else{j=j-1024|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<10)|0;v=0;while(1){if((v|0)>=1024){break}h[g+(q+v<<3)>>3]=+((d[n+v|0]|0)>>>0);v=v+1|0}q=q+1024|0}j=j-(q-1024)|0;sA(o,f,n|0,ga(j,p)|0)|0;v=0;while(1){if((v|0)>=(j|0)){break}h[g+(q+v<<3)>>3]=+((d[n+v|0]|0)>>>0);v=v+1|0}}break};case 4:{p=2;if((c[o+20>>2]|0)!=0){if((j|0)<=512){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+(((gA(n+(q<<1)|0)|0)&65535)>>>0);q=q+1|0}}else{j=j-512|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<9)|0;w=0;while(1){if((w|0)>=512){break}h[g+(q+w<<3)>>3]=+(((gA(n+(w<<1)|0)|0)&65535)>>>0);w=w+1|0}q=q+512|0}j=j-(q-512)|0;sA(o,f,n|0,ga(j,p)|0)|0;w=0;while(1){if((w|0)>=(j|0)){break}h[g+(q+w<<3)>>3]=+(((gA(n+(w<<1)|0)|0)&65535)>>>0);w=w+1|0}}}else{if((j|0)<=512){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+((e[n+(q<<1)>>1]|0)>>>0);q=q+1|0}}else{j=j-512|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<9)|0;x=0;while(1){if((x|0)>=512){break}h[g+(q+x<<3)>>3]=+((e[n+(x<<1)>>1]|0)>>>0);x=x+1|0}q=q+512|0}j=j-(q-512)|0;sA(o,f,n|0,ga(j,p)|0)|0;x=0;while(1){if((x|0)>=(j|0)){break}h[g+(q+x<<3)>>3]=+((e[n+(x<<1)>>1]|0)>>>0);x=x+1|0}}}break};case 6:{p=4;if((c[o+20>>2]|0)!=0){if((j|0)<=256){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+((eA(n+(q<<2)|0)|0)>>>0>>>0);q=q+1|0}}else{j=j-256|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<8)|0;y=0;while(1){if((y|0)>=256){break}h[g+(q+y<<3)>>3]=+((eA(n+(y<<2)|0)|0)>>>0>>>0);y=y+1|0}q=q+256|0}j=j-(q-256)|0;sA(o,f,n|0,ga(j,p)|0)|0;y=0;while(1){if((y|0)>=(j|0)){break}h[g+(q+y<<3)>>3]=+((eA(n+(y<<2)|0)|0)>>>0>>>0);y=y+1|0}}}else{if((j|0)<=256){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+((c[n+(q<<2)>>2]|0)>>>0>>>0);q=q+1|0}}else{j=j-256|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<8)|0;z=0;while(1){if((z|0)>=256){break}h[g+(q+z<<3)>>3]=+((c[n+(z<<2)>>2]|0)>>>0>>>0);z=z+1|0}q=q+256|0}j=j-(q-256)|0;sA(o,f,n|0,ga(j,p)|0)|0;z=0;while(1){if((z|0)>=(j|0)){break}h[g+(q+z<<3)>>3]=+((c[n+(z<<2)>>2]|0)>>>0>>>0);z=z+1|0}}}break};case 1:{p=1;if((j|0)<=1024){sA(o,f,n|0,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}h[g+(q<<3)>>3]=+(a[n+q|0]|0);q=q+1|0}}else{j=j-1024|0;q=0;while(1){if((q|0)>=(j|0)){break}sA(o,f,n|0,p<<10)|0;A=0;while(1){if((A|0)>=1024){break}h[g+(q+A<<3)>>3]=+(a[n+A|0]|0);A=A+1|0}q=q+1024|0}j=j-(q-1024)|0;sA(o,f,n|0,ga(j,p)|0)|0;A=0;while(1){if((A|0)>=(j|0)){break}h[g+(q+A<<3)>>3]=+(a[n+A|0]|0);A=A+1|0}}break};case 9:{p=8;if((c[o+20>>2]|0)!=0){sA(o,f,g,ga(j,p)|0)|0;q=0;while(1){if((q|0)>=(j|0)){break}+iA(g+(q<<3)|0);q=q+1|0}}else{sA(o,f,g,ga(j,p)|0)|0}break};default:{B=0;C=B;i=m;return C|0}}l=ga(j,p)|0;B=l;C=B;i=m;return C|0}function DA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=i;i=i+64|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=f;f=j;j=k;k=l;l=0;w=0;do{if((v|0)!=0){if((f|0)==0){break}if((c[v>>2]|0)==0){break}switch(j|0){case 7:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+hA(o);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+g[o>>2];x=x+1|0}}break};case 5:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(dA(p)|0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(c[p>>2]|0);x=x+1|0}}break};case 6:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((eA(q)|0)>>>0>>>0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((c[q>>2]|0)>>>0>>>0);x=x+1|0}}break};case 3:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((fA(r)|0)<<16>>16|0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(b[r>>1]|0);x=x+1|0}}break};case 4:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(((gA(s)|0)&65535)>>>0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((e[s>>1]|0)>>>0);x=x+1|0}}break};case 1:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(a[t]|0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+(a[t]|0);x=x+1|0}}break};case 2:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((d[u]|0)>>>0);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+((d[u]|0)>>>0);x=x+1|0}}break};case 9:{w=8;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+iA(n);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;g[f+(x<<2)>>2]=+h[n>>3];x=x+1|0}}break};default:{y=0;z=y;i=m;return z|0}}l=ga(l,w)|0;y=l;z=y;i=m;return z|0}}while(0);y=0;z=y;i=m;return z|0}function EA(f,j,k,l,m){f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;n=i;i=i+64|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=n+32|0;t=n+40|0;u=n+48|0;v=n+56|0;w=f;f=j;j=k;k=l;l=m;m=0;x=0;do{if((w|0)!=0){if((j|0)==0){break}if((f|0)==0){break}switch(k|0){case 4:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;g[j+(y<<2)>>2]=+(((gA(t)|0)&65535)>>>0);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;g[j+(y<<2)>>2]=+((e[t>>1]|0)>>>0);y=y+1|0}}break};case 2:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,u,x)|0;g[j+(y<<2)>>2]=+((d[u]|0)>>>0);y=y+1|0}break};case 7:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,p,x)|0;g[j+(y<<2)>>2]=+hA(p);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,j+(y<<2)|0,x)|0;y=y+1|0}}break};case 3:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;g[j+(y<<2)>>2]=+((fA(s)|0)<<16>>16|0);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;g[j+(y<<2)>>2]=+(b[s>>1]|0);y=y+1|0}}break};case 6:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;g[j+(y<<2)>>2]=+((eA(r)|0)>>>0>>>0);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;g[j+(y<<2)>>2]=+((c[r>>2]|0)>>>0>>>0);y=y+1|0}}break};case 1:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,v,x)|0;g[j+(y<<2)>>2]=+(a[v]|0);y=y+1|0}break};case 5:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;g[j+(y<<2)>>2]=+(dA(q)|0);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;g[j+(y<<2)>>2]=+(c[q>>2]|0);y=y+1|0}}break};case 9:{x=8;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;g[j+(y<<2)>>2]=+iA(o);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;g[j+(y<<2)>>2]=+h[o>>3];y=y+1|0}}break};default:{z=0;A=z;i=n;return A|0}}m=ga(l,x)|0;z=m;A=z;i=n;return A|0}}while(0);z=0;A=z;i=n;return A|0}function FA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0;m=i;i=i+80|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=m+64|0;w=m+72|0;x=f;f=j;j=k;k=l;l=0;y=0;do{if((x|0)!=0){if((f|0)==0){break}if((c[x>>2]|0)==0){break}switch(j|0){case 7:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(o|0,y|0,1,c[x>>2]|0)|0)|0;A=+hA(o);B=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=f+(z<<3)|0;c[C>>2]=~~+A>>>0;c[C+4>>2]=B;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(o|0,y|0,1,c[x>>2]|0)|0)|0;A=+g[o>>2];B=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=f+(z<<3)|0;c[C>>2]=~~+A>>>0;c[C+4>>2]=B;z=z+1|0}}break};case 12:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(p|0,y|0,1,c[x>>2]|0)|0)|0;B=bA(p)|0;C=f+(z<<3)|0;c[C>>2]=B;c[C+4>>2]=K;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(p|0,y|0,1,c[x>>2]|0)|0)|0;C=c[p+4>>2]|0;B=f+(z<<3)|0;c[B>>2]=c[p>>2];c[B+4>>2]=C;z=z+1|0}}break};case 1:{y=1;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(v|0,y|0,1,c[x>>2]|0)|0)|0;C=a[v]|0;B=f+(z<<3)|0;c[B>>2]=C<<24>>24;c[B+4>>2]=C<<24>>24<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(v|0,y|0,1,c[x>>2]|0)|0)|0;C=a[v]|0;B=f+(z<<3)|0;c[B>>2]=C<<24>>24;c[B+4>>2]=C<<24>>24<0|0?-1:0;z=z+1|0}}break};case 5:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(r|0,y|0,1,c[x>>2]|0)|0)|0;C=dA(r)|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=(C|0)<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(r|0,y|0,1,c[x>>2]|0)|0)|0;C=c[r>>2]|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=(C|0)<0|0?-1:0;z=z+1|0}}break};case 9:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(n|0,y|0,1,c[x>>2]|0)|0)|0;A=+iA(n);C=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);B=f+(z<<3)|0;c[B>>2]=~~+A>>>0;c[B+4>>2]=C;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(n|0,y|0,1,c[x>>2]|0)|0)|0;A=+h[n>>3];C=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);B=f+(z<<3)|0;c[B>>2]=~~+A>>>0;c[B+4>>2]=C;z=z+1|0}}break};case 13:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(q|0,y|0,1,c[x>>2]|0)|0)|0;C=cA(q)|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=K;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(q|0,y|0,1,c[x>>2]|0)|0)|0;B=c[q+4>>2]|0;C=f+(z<<3)|0;c[C>>2]=c[q>>2];c[C+4>>2]=B;z=z+1|0}}break};case 2:{y=1;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(w|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=d[w]|0;c[B+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(w|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=d[w]|0;c[B+4>>2]=0;z=z+1|0}}break};case 4:{y=2;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(u|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=(gA(u)|0)&65535;c[B+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(u|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=e[u>>1]|0;c[B+4>>2]=0;z=z+1|0}}break};case 6:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(s|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=eA(s)|0;c[B+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(s|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=c[s>>2];c[B+4>>2]=0;z=z+1|0}}break};case 3:{y=2;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(t|0,y|0,1,c[x>>2]|0)|0)|0;B=fA(t)|0;C=f+(z<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(t|0,y|0,1,c[x>>2]|0)|0)|0;B=b[t>>1]|0;C=f+(z<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;z=z+1|0}}break};default:{D=0;E=D;i=m;return E|0}}l=ga(l,y)|0;D=l;E=D;i=m;return E|0}}while(0);D=0;E=D;i=m;return E|0}function GA(f,j,k,l,m){f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0;n=i;i=i+80|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=n+32|0;t=n+40|0;u=n+48|0;v=n+56|0;w=n+64|0;x=n+72|0;y=f;f=j;j=k;k=l;l=m;m=0;z=0;do{if((y|0)!=0){if((j|0)==0){break}if((f|0)==0){break}switch(k|0){case 2:{z=1;A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,w,z)|0;B=j+(A<<3)|0;c[B>>2]=d[w]|0;c[B+4>>2]=0;A=A+1|0}break};case 7:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,p,z)|0;C=+hA(p);B=(J=+C,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);D=j+(A<<3)|0;c[D>>2]=~~+C>>>0;c[D+4>>2]=B;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,p,z)|0;C=+g[p>>2];B=(J=+C,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);D=j+(A<<3)|0;c[D>>2]=~~+C>>>0;c[D+4>>2]=B;A=A+1|0}}break};case 12:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,q,z)|0;B=bA(q)|0;D=j+(A<<3)|0;c[D>>2]=B;c[D+4>>2]=K;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,q,z)|0;D=c[q+4>>2]|0;B=j+(A<<3)|0;c[B>>2]=c[q>>2];c[B+4>>2]=D;A=A+1|0}}break};case 13:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,r,z)|0;D=cA(r)|0;B=j+(A<<3)|0;c[B>>2]=D;c[B+4>>2]=K;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,r,z)|0;B=c[r+4>>2]|0;D=j+(A<<3)|0;c[D>>2]=c[r>>2];c[D+4>>2]=B;A=A+1|0}}break};case 5:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,s,z)|0;B=dA(s)|0;D=j+(A<<3)|0;c[D>>2]=B;c[D+4>>2]=(B|0)<0|0?-1:0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,s,z)|0;B=c[s>>2]|0;D=j+(A<<3)|0;c[D>>2]=B;c[D+4>>2]=(B|0)<0|0?-1:0;A=A+1|0}}break};case 6:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,t,z)|0;B=j+(A<<3)|0;c[B>>2]=eA(t)|0;c[B+4>>2]=0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,t,z)|0;B=j+(A<<3)|0;c[B>>2]=c[t>>2];c[B+4>>2]=0;A=A+1|0}}break};case 3:{z=2;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,u,z)|0;B=fA(u)|0;D=j+(A<<3)|0;c[D>>2]=B<<16>>16;c[D+4>>2]=B<<16>>16<0|0?-1:0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,u,z)|0;B=b[u>>1]|0;D=j+(A<<3)|0;c[D>>2]=B<<16>>16;c[D+4>>2]=B<<16>>16<0|0?-1:0;A=A+1|0}}break};case 1:{z=1;A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,x,z)|0;B=a[x]|0;D=j+(A<<3)|0;c[D>>2]=B<<24>>24;c[D+4>>2]=B<<24>>24<0|0?-1:0;A=A+1|0}break};case 4:{z=2;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,v,z)|0;B=j+(A<<3)|0;c[B>>2]=(gA(v)|0)&65535;c[B+4>>2]=0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,v,z)|0;B=j+(A<<3)|0;c[B>>2]=e[v>>1]|0;c[B+4>>2]=0;A=A+1|0}}break};case 9:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,o,z)|0;C=+iA(o);B=(J=+C,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);D=j+(A<<3)|0;c[D>>2]=~~+C>>>0;c[D+4>>2]=B;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,o,z)|0;C=+h[o>>3];B=(J=+C,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);D=j+(A<<3)|0;c[D>>2]=~~+C>>>0;c[D+4>>2]=B;A=A+1|0}}break};default:{E=0;F=E;i=n;return F|0}}m=ga(l,z)|0;E=m;F=E;i=n;return F|0}}while(0);E=0;F=E;i=n;return F|0}function HA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0;m=i;i=i+80|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=m+64|0;w=m+72|0;x=f;f=j;j=k;k=l;l=0;y=0;do{if((x|0)!=0){if((f|0)==0){break}if((c[x>>2]|0)==0){break}switch(j|0){case 7:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(o|0,y|0,1,c[x>>2]|0)|0)|0;A=+hA(o);B=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=f+(z<<3)|0;c[C>>2]=~~+A>>>0;c[C+4>>2]=B;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(o|0,y|0,1,c[x>>2]|0)|0)|0;A=+g[o>>2];B=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=f+(z<<3)|0;c[C>>2]=~~+A>>>0;c[C+4>>2]=B;z=z+1|0}}break};case 12:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(p|0,y|0,1,c[x>>2]|0)|0)|0;B=bA(p)|0;C=f+(z<<3)|0;c[C>>2]=B;c[C+4>>2]=K;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(p|0,y|0,1,c[x>>2]|0)|0)|0;C=c[p+4>>2]|0;B=f+(z<<3)|0;c[B>>2]=c[p>>2];c[B+4>>2]=C;z=z+1|0}}break};case 2:{y=1;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(w|0,y|0,1,c[x>>2]|0)|0)|0;C=f+(z<<3)|0;c[C>>2]=d[w]|0;c[C+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(w|0,y|0,1,c[x>>2]|0)|0)|0;C=f+(z<<3)|0;c[C>>2]=d[w]|0;c[C+4>>2]=0;z=z+1|0}}break};case 5:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(r|0,y|0,1,c[x>>2]|0)|0)|0;C=dA(r)|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=(C|0)<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(r|0,y|0,1,c[x>>2]|0)|0)|0;C=c[r>>2]|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=(C|0)<0|0?-1:0;z=z+1|0}}break};case 4:{y=2;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(u|0,y|0,1,c[x>>2]|0)|0)|0;C=f+(z<<3)|0;c[C>>2]=(gA(u)|0)&65535;c[C+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(u|0,y|0,1,c[x>>2]|0)|0)|0;C=f+(z<<3)|0;c[C>>2]=e[u>>1]|0;c[C+4>>2]=0;z=z+1|0}}break};case 9:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(n|0,y|0,1,c[x>>2]|0)|0)|0;A=+iA(n);C=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);B=f+(z<<3)|0;c[B>>2]=~~+A>>>0;c[B+4>>2]=C;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(n|0,y|0,1,c[x>>2]|0)|0)|0;A=+h[n>>3];C=(J=+A,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);B=f+(z<<3)|0;c[B>>2]=~~+A>>>0;c[B+4>>2]=C;z=z+1|0}}break};case 13:{y=8;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(q|0,y|0,1,c[x>>2]|0)|0)|0;C=cA(q)|0;B=f+(z<<3)|0;c[B>>2]=C;c[B+4>>2]=K;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(q|0,y|0,1,c[x>>2]|0)|0)|0;B=c[q+4>>2]|0;C=f+(z<<3)|0;c[C>>2]=c[q>>2];c[C+4>>2]=B;z=z+1|0}}break};case 1:{y=1;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(v|0,y|0,1,c[x>>2]|0)|0)|0;B=a[v]|0;C=f+(z<<3)|0;c[C>>2]=B<<24>>24;c[C+4>>2]=B<<24>>24<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(v|0,y|0,1,c[x>>2]|0)|0)|0;B=a[v]|0;C=f+(z<<3)|0;c[C>>2]=B<<24>>24;c[C+4>>2]=B<<24>>24<0|0?-1:0;z=z+1|0}}break};case 6:{y=4;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(s|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=eA(s)|0;c[B+4>>2]=0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(s|0,y|0,1,c[x>>2]|0)|0)|0;B=f+(z<<3)|0;c[B>>2]=c[s>>2];c[B+4>>2]=0;z=z+1|0}}break};case 3:{y=2;if((c[x+20>>2]|0)!=0){z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(t|0,y|0,1,c[x>>2]|0)|0)|0;B=fA(t)|0;C=f+(z<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;z=z+1|0}}else{z=0;while(1){if((z|0)>=(k|0)){break}l=l+(Xc(t|0,y|0,1,c[x>>2]|0)|0)|0;B=b[t>>1]|0;C=f+(z<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;z=z+1|0}}break};default:{D=0;E=D;i=m;return E|0}}l=ga(l,y)|0;D=l;E=D;i=m;return E|0}}while(0);D=0;E=D;i=m;return E|0}function IA(f,j,k,l,m){f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0;n=i;i=i+80|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=n+32|0;t=n+40|0;u=n+48|0;v=n+56|0;w=n+64|0;x=n+72|0;y=f;f=j;j=k;k=l;l=m;m=0;z=0;do{if((y|0)!=0){if((j|0)==0){break}if((f|0)==0){break}switch(k|0){case 1:{z=1;A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,x,z)|0;B=a[x]|0;C=j+(A<<3)|0;c[C>>2]=B<<24>>24;c[C+4>>2]=B<<24>>24<0|0?-1:0;A=A+1|0}break};case 2:{z=1;A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,w,z)|0;B=j+(A<<3)|0;c[B>>2]=d[w]|0;c[B+4>>2]=0;A=A+1|0}break};case 4:{z=2;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,v,z)|0;B=j+(A<<3)|0;c[B>>2]=(gA(v)|0)&65535;c[B+4>>2]=0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,v,z)|0;B=j+(A<<3)|0;c[B>>2]=e[v>>1]|0;c[B+4>>2]=0;A=A+1|0}}break};case 7:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,p,z)|0;D=+hA(p);B=(J=+D,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=j+(A<<3)|0;c[C>>2]=~~+D>>>0;c[C+4>>2]=B;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,p,z)|0;D=+g[p>>2];B=(J=+D,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=j+(A<<3)|0;c[C>>2]=~~+D>>>0;c[C+4>>2]=B;A=A+1|0}}break};case 12:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,q,z)|0;B=bA(q)|0;C=j+(A<<3)|0;c[C>>2]=B;c[C+4>>2]=K;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,q,z)|0;C=c[q+4>>2]|0;B=j+(A<<3)|0;c[B>>2]=c[q>>2];c[B+4>>2]=C;A=A+1|0}}break};case 13:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,r,z)|0;C=cA(r)|0;B=j+(A<<3)|0;c[B>>2]=C;c[B+4>>2]=K;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,r,z)|0;B=c[r+4>>2]|0;C=j+(A<<3)|0;c[C>>2]=c[r>>2];c[C+4>>2]=B;A=A+1|0}}break};case 5:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,s,z)|0;B=dA(s)|0;C=j+(A<<3)|0;c[C>>2]=B;c[C+4>>2]=(B|0)<0|0?-1:0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,s,z)|0;B=c[s>>2]|0;C=j+(A<<3)|0;c[C>>2]=B;c[C+4>>2]=(B|0)<0|0?-1:0;A=A+1|0}}break};case 6:{z=4;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,t,z)|0;B=j+(A<<3)|0;c[B>>2]=eA(t)|0;c[B+4>>2]=0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,t,z)|0;B=j+(A<<3)|0;c[B>>2]=c[t>>2];c[B+4>>2]=0;A=A+1|0}}break};case 3:{z=2;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,u,z)|0;B=fA(u)|0;C=j+(A<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,u,z)|0;B=b[u>>1]|0;C=j+(A<<3)|0;c[C>>2]=B<<16>>16;c[C+4>>2]=B<<16>>16<0|0?-1:0;A=A+1|0}}break};case 9:{z=8;if((c[y+20>>2]|0)!=0){A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,o,z)|0;D=+iA(o);B=(J=+D,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=j+(A<<3)|0;c[C>>2]=~~+D>>>0;c[C+4>>2]=B;A=A+1|0}}else{A=0;while(1){if((A|0)>=(l|0)){break}sA(y,f,o,z)|0;D=+h[o>>3];B=(J=+D,+V(J)>=1.0?J>0.0?(la(+U(J/4294967296.0),4294967295.0)|0)>>>0:~~+fa((J- +(~~J>>>0))/4294967296.0)>>>0:0);C=j+(A<<3)|0;c[C>>2]=~~+D>>>0;c[C+4>>2]=B;A=A+1|0}}break};default:{E=0;F=E;i=n;return F|0}}m=ga(l,z)|0;E=m;F=E;i=n;return F|0}}while(0);E=0;F=E;i=n;return F|0}



function f9(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=L9(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=L9(y)|0;if((z|0)==0){A=12;break}oaa(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=P8(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((u8(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((u8(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((u8(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((u8(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(u8(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(u8(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(u8(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(u8(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){oaa(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=P8(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((u8(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((u8(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((u8(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((u8(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(u8(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(u8(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(u8(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(u8(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((y8(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=K8(Y)|0;qb=_a+24|0;if((y8(fb,c[qb>>2]|0)|0)!=0){break}fb=I8(Y)|0;if((y8(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((y8(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=I8(Y)|0;if((y8(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=K8(Y)|0;if((y8(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}M9(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=h9(0,0)|0;if((S|0)==0){A=12;break}R=j9(S,0,0,0,32)|0;Q=R;if((R|0)==0){i9(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=L9(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=L9(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=L9(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){oaa(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){oaa(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=P8(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((u8(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((u8(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((u8(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((u8(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(u8(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(u8(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(u8(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(u8(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=j9(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=j9(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;g9(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((kaa(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=P8(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=P8(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((u8(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((u8(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((u8(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((u8(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(u8(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(u8(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(u8(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(u8(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((y8(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=K8(qc)|0;aa=$a+24|0;if((y8(qa,c[aa>>2]|0)|0)!=0){break}qa=I8(qc)|0;if((y8(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((y8(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=I8(qc)|0;if((y8(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=K8(qc)|0;if((y8(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=j9(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=j9(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){i9(S);if((Eb|0)!=0){M9(O)}if((Kb|0)!=0){M9(Kb)}if((Lb|0)==0){A=12;break a}M9(N);A=12;break a}else if((sa|0)==67){i9(S);if((Eb|0)!=0){M9(O)}if((Kb|0)!=0){M9(Kb)}if((Lb|0)==0){A=12;break a}M9(N);A=12;break a}else if((sa|0)==169){i9(S);if((Eb|0)!=0){M9(O)}if((Kb|0)!=0){M9(Kb)}if((Lb|0)==0){A=12;break a}M9(N);A=12;break a}else if((sa|0)==176){i9(S);if((Eb|0)!=0){M9(O)}if((Kb|0)!=0){M9(Kb)}if((Lb|0)==0){A=12;break a}M9(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);i9(S);if((Ib|0)!=0){M9(Ib)}if((Gb|0)!=0){M9(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}M9(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}g9(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}M9(m);p=A;i=g;return p|0}function g9(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function h9(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=N9(1,24)|0}else{oaa(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function i9(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;M9(d);return}else{e=b}while(1){M9(c[e>>2]|0);b=c[e+4>>2]|0;M9(e);if((b|0)==0){break}else{e=b}}d=a;M9(d);return}function j9(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=L9(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=L9(n)|0;q=m;c[q>>2]=p;if((p|0)==0){M9(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}oaa(l|0,0,g|0)|0;h=l;return h|0}function k9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((l9(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function l9(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function m9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function n9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function o9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function p9(a){a=a|0;return}function q9(a){a=a|0;c[a>>2]=7701632;return}function r9(a){a=a|0;T9(a);return}function s9(a){a=a|0;return}function t9(a){a=a|0;return 7675488}function u9(a){a=a|0;p9(a|0);return}function v9(a){a=a|0;return}function w9(a){a=a|0;return}function x9(a){a=a|0;p9(a|0);T9(a);return}function y9(a){a=a|0;p9(a|0);T9(a);return}function z9(a){a=a|0;p9(a|0);T9(a);return}function A9(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=E9(b,7709648,7709632,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}oaa(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;Ce[c[(c[h>>2]|0)+28>>2]&63](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function B9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function C9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;Ce[c[(c[g>>2]|0)+28>>2]&63](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function D9(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;Ce[c[(c[j>>2]|0)+28>>2]&63](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;Ce[c[(c[j>>2]|0)+28>>2]&63](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function E9(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;oaa(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;pe[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{ge[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function F9(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;pe[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;ge[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;ge[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;ge[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;ge[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function G9(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;ge[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;pe[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function H9(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function I9(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;pe[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;pe[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function J9(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;pe[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function K9(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function L9(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[1934698]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=7738832+(h<<2)|0;j=7738832+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[1934698]=e&~(1<<g)}else{if(l>>>0<(c[1934702]|0)>>>0){Ad();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{Ad();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[1934700]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=7738832+(p<<2)|0;m=7738832+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[1934698]=e&~(1<<r)}else{if(l>>>0<(c[1934702]|0)>>>0){Ad();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{Ad();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[1934700]|0;if((l|0)!=0){q=c[1934703]|0;d=l>>>3;l=d<<1;f=7738832+(l<<2)|0;k=c[1934698]|0;h=1<<d;do{if((k&h|0)==0){c[1934698]=k|h;s=f;t=7738832+(l+2<<2)|0}else{d=7738832+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[1934702]|0)>>>0)){s=g;t=d;break}Ad();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[1934700]=m;c[1934703]=e;n=i;return n|0}l=c[1934699]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[7739096+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[1934702]|0;if(r>>>0<i>>>0){Ad();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){Ad();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){Ad();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){Ad();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){Ad();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{Ad();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=7739096+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[1934699]=c[1934699]&~(1<<f);break a}else{if(e>>>0<(c[1934702]|0)>>>0){Ad();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[1934702]|0)>>>0){Ad();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[1934700]|0;if((f|0)!=0){e=c[1934703]|0;i=f>>>3;f=i<<1;q=7738832+(f<<2)|0;k=c[1934698]|0;g=1<<i;do{if((k&g|0)==0){c[1934698]=k|g;y=q;z=7738832+(f+2<<2)|0}else{i=7738832+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[1934702]|0)>>>0)){y=l;z=i;break}Ad();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[1934700]=p;c[1934703]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[1934699]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[7739096+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[7739096+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[1934700]|0)-g|0)>>>0)){o=g;break}q=K;m=c[1934702]|0;if(q>>>0<m>>>0){Ad();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){Ad();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){Ad();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){Ad();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){Ad();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{Ad();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=7739096+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[1934699]=c[1934699]&~(1<<i);break c}else{if(e>>>0<(c[1934702]|0)>>>0){Ad();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[1934702]|0)>>>0){Ad();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=7738832+(e<<2)|0;r=c[1934698]|0;j=1<<i;do{if((r&j|0)==0){c[1934698]=r|j;O=m;P=7738832+(e+2<<2)|0}else{i=7738832+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[1934702]|0)>>>0)){O=d;P=i;break}Ad();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=7739096+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[1934699]|0;l=1<<Q;if((m&l|0)==0){c[1934699]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[1934702]|0;if(m>>>0<i>>>0){Ad();return 0}if(j>>>0<i>>>0){Ad();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[1934700]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[1934703]|0;if(S>>>0>15>>>0){R=J;c[1934703]=R+o;c[1934700]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[1934700]=0;c[1934703]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[1934701]|0;if(o>>>0<J>>>0){S=J-o|0;c[1934701]=S;J=c[1934704]|0;K=J;c[1934704]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[1931156]|0)==0){J=Na(30)|0;if((J-1&J|0)==0){c[1931158]=J;c[1931157]=J;c[1931159]=-1;c[1931160]=-1;c[1931161]=0;c[1934809]=0;c[1931156]=(ce(0)|0)&-16^1431655768;break}else{Ad();return 0}}}while(0);J=o+48|0;S=c[1931158]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[1934808]|0;do{if((O|0)!=0){P=c[1934806]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[1934809]&4|0)==0){O=c[1934704]|0;e:do{if((O|0)==0){T=181}else{L=O;P=7739240;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[1934701]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=gd(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=gd(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[1931157]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[1934806]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[1934808]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=gd($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[1931158]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((gd(O|0)|0)==-1){gd(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[1934809]=c[1934809]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=gd(S|0)|0;Z=gd(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[1934806]|0)+aa|0;c[1934806]=da;if(da>>>0>(c[1934807]|0)>>>0){c[1934807]=da}da=c[1934704]|0;g:do{if((da|0)==0){S=c[1934702]|0;if((S|0)==0|ba>>>0<S>>>0){c[1934702]=ba}c[1934810]=ba;c[1934811]=aa;c[1934813]=0;c[1934707]=c[1931156];c[1934706]=-1;S=0;do{Y=S<<1;ca=7738832+(Y<<2)|0;c[7738832+(Y+3<<2)>>2]=ca;c[7738832+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[1934704]=ba+ea;c[1934701]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[1934705]=c[1931160]}else{S=7739240;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[1934701]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[1934704]=ca+ia;c[1934701]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[1934705]=c[1931160];break g}}while(0);if(ba>>>0<(c[1934702]|0)>>>0){c[1934702]=ba}S=ba+aa|0;Y=7739240;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[1934704]|0)){J=(c[1934701]|0)+K|0;c[1934701]=J;c[1934704]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[1934703]|0)){J=(c[1934700]|0)+K|0;c[1934700]=J;c[1934703]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=7738832+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[1934702]|0)>>>0){Ad();return 0}if((c[U+12>>2]|0)==(ca|0)){break}Ad();return 0}}while(0);if((Q|0)==(U|0)){c[1934698]=c[1934698]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[1934702]|0)>>>0){Ad();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}Ad();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[1934702]|0)>>>0){Ad();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){Ad();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{Ad();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=7739096+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[1934699]=c[1934699]&~(1<<P);break h}else{if(m>>>0<(c[1934702]|0)>>>0){Ad();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[1934702]|0)>>>0){Ad();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=7738832+(V<<2)|0;P=c[1934698]|0;m=1<<J;do{if((P&m|0)==0){c[1934698]=P|m;sa=X;ta=7738832+(V+2<<2)|0}else{J=7738832+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[1934702]|0)>>>0)){sa=U;ta=J;break}Ad();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=7739096+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[1934699]|0;Q=1<<ua;if((X&Q|0)==0){c[1934699]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[1934702]|0;if(X>>>0<$>>>0){Ad();return 0}if(m>>>0<$>>>0){Ad();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=7739240;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[1934704]=ba+Ba;c[1934701]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[1934705]=c[1931160];c[W+4>>2]=27;c[Z>>2]=c[1934810];c[Z+4>>2]=c[1934811];c[Z+8>>2]=c[1934812];c[Z+12>>2]=c[1934813];c[1934810]=ba;c[1934811]=aa;c[1934813]=0;c[1934812]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=7738832+(K<<2)|0;S=c[1934698]|0;m=1<<Z;do{if((S&m|0)==0){c[1934698]=S|m;Ca=ca;Da=7738832+(K+2<<2)|0}else{Z=7738832+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[1934702]|0)>>>0)){Ca=Q;Da=Z;break}Ad();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=7739096+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[1934699]|0;Q=1<<Ea;if((ca&Q|0)==0){c[1934699]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[1934702]|0;if(ca>>>0<m>>>0){Ad();return 0}if(_>>>0<m>>>0){Ad();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[1934701]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[1934701]=_;da=c[1934704]|0;Q=da;c[1934704]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(kd()|0)>>2]=12;n=0;return n|0}function M9(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[1934702]|0;if(b>>>0<e>>>0){Ad()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){Ad()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){Ad()}if((n|0)==(c[1934703]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[1934700]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=7738832+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){Ad()}if((c[k+12>>2]|0)==(n|0)){break}Ad()}}while(0);if((s|0)==(k|0)){c[1934698]=c[1934698]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){Ad()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}Ad()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){Ad()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){Ad()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){Ad()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{Ad()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=7739096+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[1934699]=c[1934699]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[1934702]|0)>>>0){Ad()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[1934702]|0)>>>0){Ad()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[1934702]|0)>>>0){Ad()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[1934702]|0)>>>0){Ad()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){Ad()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){Ad()}do{if((e&2|0)==0){if((j|0)==(c[1934704]|0)){B=(c[1934701]|0)+r|0;c[1934701]=B;c[1934704]=q;c[q+4>>2]=B|1;if((q|0)!=(c[1934703]|0)){return}c[1934703]=0;c[1934700]=0;return}if((j|0)==(c[1934703]|0)){B=(c[1934700]|0)+r|0;c[1934700]=B;c[1934703]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=7738832+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[1934702]|0)>>>0){Ad()}if((c[u+12>>2]|0)==(j|0)){break}Ad()}}while(0);if((g|0)==(u|0)){c[1934698]=c[1934698]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[1934702]|0)>>>0){Ad()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}Ad()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[1934702]|0)>>>0){Ad()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[1934702]|0)>>>0){Ad()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){Ad()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{Ad()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=7739096+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[1934699]=c[1934699]&~(1<<t);break b}else{if(f>>>0<(c[1934702]|0)>>>0){Ad()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[1934702]|0)>>>0){Ad()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[1934702]|0)>>>0){Ad()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[1934702]|0)>>>0){Ad()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[1934703]|0)){H=B;break}c[1934700]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=7738832+(d<<2)|0;A=c[1934698]|0;E=1<<r;do{if((A&E|0)==0){c[1934698]=A|E;I=e;J=7738832+(d+2<<2)|0}else{r=7738832+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[1934702]|0)>>>0)){I=h;J=r;break}Ad()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=7739096+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[1934699]|0;d=1<<K;do{if((r&d|0)==0){c[1934699]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[1934702]|0)>>>0){Ad()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[1934702]|0;if(J>>>0<E>>>0){Ad()}if(B>>>0<E>>>0){Ad()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[1934706]|0)-1|0;c[1934706]=q;if((q|0)==0){O=7739248}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[1934706]=-1;return}function N9(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=L9(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}oaa(b|0,0,d|0)|0;return b|0}function O9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=L9(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(kd()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=P9(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=L9(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;naa(f|0,a|0,g>>>0<b>>>0?g:b)|0;M9(a);d=f;return d|0}function P9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[1934702]|0;if(g>>>0<j>>>0){Ad();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){Ad();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){Ad();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[1931158]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;Q9(g+b|0,k);n=a;return n|0}if((i|0)==(c[1934704]|0)){k=(c[1934701]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[1934704]=g+b;c[1934701]=l;n=a;return n|0}if((i|0)==(c[1934703]|0)){l=(c[1934700]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[1934700]=q;c[1934703]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=7738832+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){Ad();return 0}if((c[l+12>>2]|0)==(i|0)){break}Ad();return 0}}while(0);if((k|0)==(l|0)){c[1934698]=c[1934698]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){Ad();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}Ad();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){Ad();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){Ad();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){Ad();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{Ad();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=7739096+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[1934699]=c[1934699]&~(1<<t);break a}else{if(s>>>0<(c[1934702]|0)>>>0){Ad();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[1934702]|0)>>>0){Ad();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[1934702]|0)>>>0){Ad();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;Q9(g+b|0,q);n=a;return n|0}return 0}function Q9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[1934702]|0;if(i>>>0<l>>>0){Ad()}if((j|0)==(c[1934703]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[1934700]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=7738832+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){Ad()}if((c[p+12>>2]|0)==(j|0)){break}Ad()}}while(0);if((q|0)==(p|0)){c[1934698]=c[1934698]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){Ad()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}Ad()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){Ad()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){Ad()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){Ad()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{Ad()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=7739096+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[1934699]=c[1934699]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[1934702]|0)>>>0){Ad()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[1934702]|0)>>>0){Ad()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[1934702]|0)>>>0){Ad()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[1934702]|0)>>>0){Ad()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[1934702]|0;if(e>>>0<a>>>0){Ad()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[1934704]|0)){A=(c[1934701]|0)+o|0;c[1934701]=A;c[1934704]=n;c[n+4>>2]=A|1;if((n|0)!=(c[1934703]|0)){return}c[1934703]=0;c[1934700]=0;return}if((f|0)==(c[1934703]|0)){A=(c[1934700]|0)+o|0;c[1934700]=A;c[1934703]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=7738832+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){Ad()}if((c[g+12>>2]|0)==(f|0)){break}Ad()}}while(0);if((t|0)==(g|0)){c[1934698]=c[1934698]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){Ad()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}Ad()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){Ad()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){Ad()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){Ad()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{Ad()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=7739096+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[1934699]=c[1934699]&~(1<<l);break b}else{if(m>>>0<(c[1934702]|0)>>>0){Ad()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[1934702]|0)>>>0){Ad()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[1934702]|0)>>>0){Ad()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[1934702]|0)>>>0){Ad()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[1934703]|0)){F=A;break}c[1934700]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=7738832+(z<<2)|0;C=c[1934698]|0;b=1<<o;do{if((C&b|0)==0){c[1934698]=C|b;G=y;H=7738832+(z+2<<2)|0}else{o=7738832+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[1934702]|0)>>>0)){G=d;H=o;break}Ad()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=7739096+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[1934699]|0;z=1<<I;if((o&z|0)==0){c[1934699]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[1934702]|0)>>>0){Ad()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[1934702]|0;if(J>>>0<I>>>0){Ad()}if(L>>>0<I>>>0){Ad()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function R9(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=L9(b)|0;if((d|0)!=0){e=10;break}a=(I=c[1935676]|0,c[1935676]=I+0,I);if((a|0)==0){break}Ae[a&15]()}if((e|0)==10){return d|0}d=Od(4)|0;c[d>>2]=7701600;Cc(d|0,7708008,198);return 0}function S9(a){a=a|0;return R9(a)|0}function T9(a){a=a|0;if((a|0)==0){return}M9(a);return}function U9(a){a=a|0;T9(a);return}function V9(a){a=a|0;T9(a);return}function W9(a){a=a|0;return}function X9(a){a=a|0;return 7666144}function Y9(){var a=0;a=Od(4)|0;c[a>>2]=7701600;Cc(a|0,7708008,198)}function Z9(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==2){j=-1074;k=53}else if((e|0)==1){j=-1074;k=53}else if((e|0)==0){j=-149;k=24}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=aaa(b)|0}}while((bb(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=aaa(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[7640856+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=aaa(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=aaa(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=aaa(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=aaa(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=aaa(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(kd()|0)>>2]=22;$9(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=aaa(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=aaa(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=aaa(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=aaa(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=aaa(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=vaa(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=vaa(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=aaa(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){$9(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=vaa(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=_9(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){$9(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=vaa(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=vaa(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(kd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(kd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=vaa(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=waa(32,0,j,(j|0)<0|0?-1:0)|0;n=vaa(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+vc(+(+baa(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(kd()|0)>>2]=34}l=+caa(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=aaa(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=aaa(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=aaa(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=vaa(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;ab=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=vaa(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;ab=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;ab=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=aaa(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=ab;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=ab;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=_9(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){$9(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=vaa(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(kd()|0)>>2]=22;$9(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(kd()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(kd()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[20264+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[20264+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[20264+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Vb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Wb=Ua&127;Xb=Ya-9|0}else{Wb=Za;Xb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Xb;Za=Wb;Xa=Ua;Wa=Vb}}if((Vb|0)==0){Sb=Nb;Tb=Wb;Ub=Xb;break}c[h+(Nb<<2)>>2]=Vb;Sb=Nb+1|0;Tb=Wb;Ub=Xb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=vaa(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=Gaa(Va,Ta,1e9,0)|0;ta=Haa(Va,Ta,1e9,0)|0;Yb=Sa;Zb=ta}else{Yb=0;Zb=Va}c[Ua>>2]=Zb;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){_b=Ya}else{_b=(Zb|0)==0?qa:Ya}if(Ua){break}else{Xa=Yb;Za=qa-1|0;Ya=_b}}Ya=Wa-29|0;if((Yb|0)==0){_a=_b;Wa=Ya}else{ac=Ya;bc=_b;cc=Yb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=vaa(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=Gaa(Ua,qa,1e9,0)|0;ta=Haa(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;oc=n;pc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){qc=Xa;break}Ua=Xa+oc&127;if((Ua|0)==(gc|0)){qc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[20256+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){qc=2;break}if(ta>>>0>Ua>>>0){qc=Xa;break}else{Xa=Xa+1|0}}if((qc|0)==2&Wa){break f}rc=Za+pc|0;if((oc|0)==(gc|0)){oc=gc;pc=rc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);sc=_a;tc=oc;Ua=oc;uc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+uc|0;c[ta>>2]=qa;uc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(tc|0)&(qa|0)==0;Ua=Ua+1&127;sc=Va?sc-9|0:sc;tc=Va?Ua:tc;}while((Ua|0)!=(gc|0));if((uc|0)==0){n=tc;Ya=rc;_a=sc;continue}if((nc|0)!=(tc|0)){break}c[ra>>2]=c[ra>>2]|1;n=tc;Ya=rc;_a=sc}c[h+(gc<<2)>>2]=uc;fc=tc;gc=nc;hc=rc;ic=sc}_a=oc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=oc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=pc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+vc(+(+baa(1.0,105-zc|0)),+yc);Bc=+$b(+yc,+(+baa(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=oc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((oc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((oc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+$b(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=pc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=pc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(kd()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=pc}}while(0);l=+caa(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(kd()|0)>>2]=22;$9(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function _9(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=aaa(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=aaa(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=aaa(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=Faa(h,l,10,0)|0;b=K;f=vaa(q,(q|0)<0|0?-1:0,-48,-1)|0;i=vaa(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=aaa(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=aaa(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=waa(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function $9(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function aaa(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=eaa(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function baa(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function caa(a,b){a=+a;b=b|0;return+(+baa(a,b))}function daa(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){me[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function eaa(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((daa(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((me[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function faa(a){a=a|0;return+(+gaa(a,0))}function gaa(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;oaa(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;$9(e,0);h=+Z9(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function haa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;oaa(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;$9(e,0);h=+Z9(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function iaa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function jaa(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function kaa(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function laa(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function maa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function naa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return kc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function oaa(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function paa(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}rc(116);rc(111);rc(111);rc(32);rc(109);rc(97);rc(110);rc(121);rc(32);rc(115);rc(101);rc(116);rc(106);rc(109);rc(112);rc(115);rc(32);rc(105);rc(110);rc(32);rc(97);rc(32);rc(102);rc(117);rc(110);rc(99);rc(116);rc(105);rc(111);rc(110);rc(32);rc(99);rc(97);rc(108);rc(108);rc(44);rc(32);rc(98);rc(117);rc(105);rc(108);rc(100);rc(32);rc(119);rc(105);rc(116);rc(104);rc(32);rc(97);rc(32);rc(104);rc(105);rc(103);rc(104);rc(101);rc(114);rc(32);rc(118);rc(97);rc(108);rc(117);rc(101);rc(32);rc(102);rc(111);rc(114);rc(32);rc(77);rc(65);rc(88);rc(95);rc(83);rc(69);rc(84);rc(74);rc(77);rc(80);rc(83);rc(10);ha(0);return 0}function qaa(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function raa(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function saa(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{naa(b,c,d)|0}return b|0}function taa(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function uaa(){return taa(o)|0}function vaa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function waa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function xaa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function yaa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function zaa(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function Aaa(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function Baa(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function Caa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function Daa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=waa(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=waa((Iaa(i,b,waa(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function Eaa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=waa(h^a,j^b,h,j)|0;b=K;Iaa(m,b,waa(k^d,l^e,k,l)|0,K,g)|0;l=waa(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function Faa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=Caa(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function Gaa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Iaa(a,b,c,d,0)|0;return(K=K,e)|0}function Haa(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;Iaa(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function Iaa(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((Baa(l|0)|0)>>>0);return(K=n,o)|0}p=(Aaa(l|0)|0)-(Aaa(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(Aaa(l|0)|0)-(Aaa(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(Aaa(j|0)|0)+33-(Aaa(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=Baa(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=vaa(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;waa(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=waa(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function Jaa(a){a=a|0;yc(a|0)}function Kaa(a){a=a|0;return Xb(a|0)|0}function Laa(a){a=a|0;return dc(a|0)|0}function Maa(a){a=a|0;return Ta(a|0)|0}function Naa(a){a=a|0;return Wc(a|0)|0}function Oaa(a){a=a|0;return Pa(a|0)|0}function Paa(a){a=a|0;return Gd(a|0)|0}function Qaa(a){a=a|0;return hb(a|0)|0}function Raa(a,b){a=a|0;b=b|0;return Vb(a|0,b|0)|0}function Saa(a,b){a=a|0;b=b|0;return rb(a|0,b|0)|0}function Taa(){return ae()|0}function Uaa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ya(a|0,b|0,c|0,d|0)|0}function Vaa(){eb()}function Waa(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return ee[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function Xaa(a,b){a=a|0;b=+b;fe[a&3](+b)}function Yaa(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ge[a&31](b|0,c|0,d|0,e|0,f|0)}function Zaa(a,b){a=a|0;b=b|0;he[a&511](b|0)}function _aa(a,b,c){a=a|0;b=b|0;c=c|0;ie[a&255](b|0,c|0)}function $aa(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return je[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function aba(a,b){a=a|0;b=b|0;return ke[a&255](b|0)|0}function bba(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return le[a&127](b|0,c|0,d|0,e|0,f|0)|0}function cba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return me[a&127](b|0,c|0,d|0)|0}function dba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ne[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function eba(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;oe[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function fba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;pe[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function gba(a,b,c){a=a|0;b=b|0;c=+c;return qe[a&3](b|0,+c)|0}function hba(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;re[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function iba(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;se[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function jba(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;te[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function kba(a,b,c){a=a|0;b=b|0;c=c|0;return ue[a&127](b|0,c|0)|0}function lba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return ve[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function mba(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return we[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function nba(a){a=a|0;return xe[a&15]()|0}function oba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ye[a&127](b|0,c|0,d|0,e|0)|0}function pba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ze[a&15](b|0,c|0,d|0)}function qba(a){a=a|0;Ae[a&15]()}function rba(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Be[a&7](b|0,c|0,+d,e|0,f|0)}function sba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Ce[a&63](b|0,c|0,d|0,e|0)}function tba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function uba(a){a=+a;ha(1)}function vba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function wba(a){a=a|0;ha(3)}function xba(a,b){a=a|0;b=b|0;ha(4)}function yba(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function zba(a){a=a|0;ha(6);return 0}function Aba(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function Bba(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function Cba(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function Dba(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function Eba(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function Fba(a,b){a=a|0;b=+b;ha(12);return 0}function Gba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(13)}function Hba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(14)}function Iba(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(15)}function Jba(a,b){a=a|0;b=b|0;ha(16);return 0}function Kba(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(17);return 0}function Lba(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(18);return 0}function Mba(){ha(19);return 0}function Nba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function Oba(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function Pba(){ha(22)}function Qba(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(23)}function Rba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function JA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=i;i=i+64|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=f;f=j;j=k;k=l;l=0;w=0;do{if((v|0)!=0){if((f|0)==0){break}if((c[v>>2]|0)==0){break}switch(j|0){case 7:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+hA(o);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+g[o>>2];x=x+1|0}}break};case 5:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=dA(p)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=c[p>>2];x=x+1|0}}break};case 4:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=(gA(s)|0)&65535;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=e[s>>1]|0;x=x+1|0}}break};case 9:{w=8;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+iA(n);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+h[n>>3];x=x+1|0}}break};case 3:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=(fA(r)|0)<<16>>16;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=b[r>>1]|0;x=x+1|0}}break};case 6:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=eA(q)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=c[q>>2];x=x+1|0}}break};case 1:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=a[t]|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=a[t]|0;x=x+1|0}}break};case 2:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=d[u]|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=d[u]|0;x=x+1|0}}break};default:{y=0;z=y;i=m;return z|0}}l=ga(l,w)|0;y=l;z=y;i=m;return z|0}}while(0);y=0;z=y;i=m;return z|0}function KA(f,j,k,l,m){f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;n=i;i=i+64|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=n+32|0;t=n+40|0;u=n+48|0;v=n+56|0;w=f;f=j;j=k;k=l;l=m;m=0;x=0;do{if((w|0)!=0){if((j|0)==0){break}if((f|0)==0){break}switch(k|0){case 2:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,u,x)|0;c[j+(y<<2)>>2]=d[u]|0;y=y+1|0}break};case 1:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,v,x)|0;c[j+(y<<2)>>2]=a[v]|0;y=y+1|0}break};case 7:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,p,x)|0;c[j+(y<<2)>>2]=~~+hA(p);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,p,x)|0;c[j+(y<<2)>>2]=~~+g[p>>2];y=y+1|0}}break};case 5:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;c[j+(y<<2)>>2]=dA(q)|0;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;c[j+(y<<2)>>2]=c[q>>2];y=y+1|0}}break};case 6:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;c[j+(y<<2)>>2]=eA(r)|0;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;c[j+(y<<2)>>2]=c[r>>2];y=y+1|0}}break};case 3:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;c[j+(y<<2)>>2]=(fA(s)|0)<<16>>16;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;c[j+(y<<2)>>2]=b[s>>1]|0;y=y+1|0}}break};case 4:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;c[j+(y<<2)>>2]=(gA(t)|0)&65535;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;c[j+(y<<2)>>2]=e[t>>1]|0;y=y+1|0}}break};case 9:{x=8;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;c[j+(y<<2)>>2]=~~+iA(o);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;c[j+(y<<2)>>2]=~~+h[o>>3];y=y+1|0}}break};default:{z=0;A=z;i=n;return A|0}}m=ga(l,x)|0;z=m;A=z;i=n;return A|0}}while(0);z=0;A=z;i=n;return A|0}function LA(f,j,k,l){f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=i;i=i+64|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=f;f=j;j=k;k=l;l=0;w=0;do{if((v|0)!=0){if((f|0)==0){break}if((c[v>>2]|0)==0){break}switch(j|0){case 1:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=a[t]|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(t|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=a[t]|0;x=x+1|0}}break};case 7:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+hA(o);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(o|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+g[o>>2];x=x+1|0}}break};case 5:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=dA(p)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(p|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=c[p>>2];x=x+1|0}}break};case 9:{w=8;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+iA(n);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(n|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=~~+h[n>>3];x=x+1|0}}break};case 3:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=(fA(r)|0)<<16>>16;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(r|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=b[r>>1]|0;x=x+1|0}}break};case 6:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=eA(q)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(q|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=c[q>>2];x=x+1|0}}break};case 4:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=(gA(s)|0)&65535;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(s|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=e[s>>1]|0;x=x+1|0}}break};case 2:{w=1;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=d[u]|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}l=l+(Xc(u|0,w|0,1,c[v>>2]|0)|0)|0;c[f+(x<<2)>>2]=d[u]|0;x=x+1|0}}break};default:{y=0;z=y;i=m;return z|0}}l=ga(l,w)|0;y=l;z=y;i=m;return z|0}}while(0);y=0;z=y;i=m;return z|0}function MA(f,j,k,l,m){f=f|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;n=i;i=i+64|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=n+32|0;t=n+40|0;u=n+48|0;v=n+56|0;w=f;f=j;j=k;k=l;l=m;m=0;x=0;do{if((w|0)!=0){if((j|0)==0){break}if((f|0)==0){break}switch(k|0){case 2:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,u,x)|0;c[j+(y<<2)>>2]=d[u]|0;y=y+1|0}break};case 1:{x=1;y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,v,x)|0;c[j+(y<<2)>>2]=a[v]|0;y=y+1|0}break};case 7:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,p,x)|0;c[j+(y<<2)>>2]=~~+hA(p);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,p,x)|0;c[j+(y<<2)>>2]=~~+g[p>>2];y=y+1|0}}break};case 5:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;c[j+(y<<2)>>2]=dA(q)|0;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,q,x)|0;c[j+(y<<2)>>2]=c[q>>2];y=y+1|0}}break};case 6:{x=4;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;c[j+(y<<2)>>2]=eA(r)|0;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,r,x)|0;c[j+(y<<2)>>2]=c[r>>2];y=y+1|0}}break};case 3:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;c[j+(y<<2)>>2]=(fA(s)|0)<<16>>16;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,s,x)|0;c[j+(y<<2)>>2]=b[s>>1]|0;y=y+1|0}}break};case 4:{x=2;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;c[j+(y<<2)>>2]=(gA(t)|0)&65535;y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,t,x)|0;c[j+(y<<2)>>2]=e[t>>1]|0;y=y+1|0}}break};case 9:{x=8;if((c[w+20>>2]|0)!=0){y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;c[j+(y<<2)>>2]=~~+iA(o);y=y+1|0}}else{y=0;while(1){if((y|0)>=(l|0)){break}sA(w,f,o,x)|0;c[j+(y<<2)>>2]=~~+h[o>>3];y=y+1|0}}break};default:{z=0;A=z;i=n;return A|0}}m=ga(l,x)|0;z=m;A=z;i=n;return A|0}}while(0);z=0;A=z;i=n;return A|0}function NA(e,f,j,k){e=e|0;f=f|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=i;i=i+64|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=e;e=f;f=j;j=k;k=0;v=0;do{if((u|0)!=0){if((e|0)==0){break}if((c[u>>2]|0)==0){break}switch(f|0){case 5:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=dA(o)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=c[o>>2];w=w+1|0}}break};case 4:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=gA(r)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=b[r>>1]|0;w=w+1|0}}break};case 2:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=d[t]|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=d[t]|0;w=w+1|0}}break};case 7:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+hA(n);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+g[n>>2];w=w+1|0}}break};case 9:{v=8;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(m|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+iA(m);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(m|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+h[m>>3];w=w+1|0}}break};case 3:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=fA(q)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=b[q>>1]|0;w=w+1|0}}break};case 1:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=a[s]|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=a[s]|0;w=w+1|0}}break};case 6:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=eA(p)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=c[p>>2];w=w+1|0}}break};default:{x=0;y=x;i=l;return y|0}}k=ga(k,v)|0;x=k;y=x;i=l;return y|0}}while(0);x=0;y=x;i=l;return y|0}function OA(e,f,j,k,l){e=e|0;f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=i;i=i+64|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=e;e=f;f=j;j=k;k=l;l=0;w=0;do{if((v|0)!=0){if((f|0)==0){break}if((e|0)==0){break}switch(j|0){case 6:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,q,w)|0;b[f+(x<<1)>>1]=eA(q)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,q,w)|0;b[f+(x<<1)>>1]=c[q>>2];x=x+1|0}}break};case 1:{w=1;x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,u,w)|0;b[f+(x<<1)>>1]=a[u]|0;x=x+1|0}break};case 4:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,s,w)|0;b[f+(x<<1)>>1]=gA(s)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,s,w)|0;b[f+(x<<1)>>1]=b[s>>1]|0;x=x+1|0}}break};case 2:{w=1;x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,t,w)|0;b[f+(x<<1)>>1]=d[t]|0;x=x+1|0}break};case 3:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,r,w)|0;b[f+(x<<1)>>1]=fA(r)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,r,w)|0;b[f+(x<<1)>>1]=b[r>>1]|0;x=x+1|0}}break};case 7:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,o,w)|0;b[f+(x<<1)>>1]=~~+hA(o);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,o,w)|0;b[f+(x<<1)>>1]=~~+g[o>>2];x=x+1|0}}break};case 5:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,p,w)|0;b[f+(x<<1)>>1]=dA(p)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,p,w)|0;b[f+(x<<1)>>1]=c[p>>2];x=x+1|0}}break};case 9:{w=8;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,n,w)|0;b[f+(x<<1)>>1]=~~+iA(n);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,n,w)|0;b[f+(x<<1)>>1]=~~+h[n>>3];x=x+1|0}}break};default:{y=0;z=y;i=m;return z|0}}l=ga(k,w)|0;y=l;z=y;i=m;return z|0}}while(0);y=0;z=y;i=m;return z|0}function PA(e,f,j,k){e=e|0;f=f|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=i;i=i+64|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=e;e=f;f=j;j=k;k=0;v=0;do{if((u|0)!=0){if((e|0)==0){break}if((c[u>>2]|0)==0){break}switch(f|0){case 1:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=a[s]|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(s|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=a[s]|0;w=w+1|0}}break};case 2:{v=1;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=d[t]|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(t|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=d[t]|0;w=w+1|0}}break};case 7:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+hA(n);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(n|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+g[n>>2];w=w+1|0}}break};case 5:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=dA(o)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(o|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=c[o>>2];w=w+1|0}}break};case 9:{v=8;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(m|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+iA(m);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(m|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=~~+h[m>>3];w=w+1|0}}break};case 3:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=fA(q)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(q|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=b[q>>1]|0;w=w+1|0}}break};case 6:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=eA(p)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(p|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=c[p>>2];w=w+1|0}}break};case 4:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=gA(r)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}k=k+(Xc(r|0,v|0,1,c[u>>2]|0)|0)|0;b[e+(w<<1)>>1]=b[r>>1]|0;w=w+1|0}}break};default:{x=0;y=x;i=l;return y|0}}k=ga(k,v)|0;x=k;y=x;i=l;return y|0}}while(0);x=0;y=x;i=l;return y|0}function QA(e,f,j,k,l){e=e|0;f=f|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;m=i;i=i+64|0;n=m|0;o=m+8|0;p=m+16|0;q=m+24|0;r=m+32|0;s=m+40|0;t=m+48|0;u=m+56|0;v=e;e=f;f=j;j=k;k=l;l=0;w=0;do{if((v|0)!=0){if((f|0)==0){break}if((e|0)==0){break}switch(j|0){case 1:{w=1;x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,u,w)|0;b[f+(x<<1)>>1]=a[u]|0;x=x+1|0}break};case 2:{w=1;x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,t,w)|0;b[f+(x<<1)>>1]=d[t]|0;x=x+1|0}break};case 7:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,o,w)|0;b[f+(x<<1)>>1]=~~+hA(o);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,o,w)|0;b[f+(x<<1)>>1]=~~+g[o>>2];x=x+1|0}}break};case 5:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,p,w)|0;b[f+(x<<1)>>1]=dA(p)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,p,w)|0;b[f+(x<<1)>>1]=c[p>>2];x=x+1|0}}break};case 6:{w=4;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,q,w)|0;b[f+(x<<1)>>1]=eA(q)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,q,w)|0;b[f+(x<<1)>>1]=c[q>>2];x=x+1|0}}break};case 3:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,r,w)|0;b[f+(x<<1)>>1]=fA(r)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,r,w)|0;b[f+(x<<1)>>1]=b[r>>1]|0;x=x+1|0}}break};case 4:{w=2;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,s,w)|0;b[f+(x<<1)>>1]=gA(s)|0;x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,s,w)|0;b[f+(x<<1)>>1]=b[s>>1]|0;x=x+1|0}}break};case 9:{w=8;if((c[v+20>>2]|0)!=0){x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,n,w)|0;b[f+(x<<1)>>1]=~~+iA(n);x=x+1|0}}else{x=0;while(1){if((x|0)>=(k|0)){break}sA(v,e,n,w)|0;b[f+(x<<1)>>1]=~~+h[n>>3];x=x+1|0}}break};default:{y=0;z=y;i=m;return z|0}}l=ga(k,w)|0;y=l;z=y;i=m;return z|0}}while(0);y=0;z=y;i=m;return z|0}function RA(d,e,f,j){d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k=i;i=i+64|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=k+56|0;t=d;d=e;e=f;f=j;j=0;u=0;do{if((t|0)!=0){if((d|0)==0){break}if((c[t>>2]|0)==0){break}switch(e|0){case 1:{u=1;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(r|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[r]|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(r|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[r]|0;v=v+1|0}}break};case 2:{u=1;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(s|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[s]|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(s|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[s]|0;v=v+1|0}}break};case 6:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(o|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=eA(o)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(o|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=c[o>>2];v=v+1|0}}break};case 7:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(m|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+hA(m);v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(m|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+g[m>>2];v=v+1|0}}break};case 5:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(n|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=dA(n)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(n|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=c[n>>2];v=v+1|0}}break};case 4:{u=2;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(q|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=gA(q)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(q|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=b[q>>1];v=v+1|0}}break};case 9:{u=8;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(l|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+iA(l);v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(l|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+h[l>>3];v=v+1|0}}break};case 3:{u=2;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(p|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=fA(p)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(p|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=b[p>>1];v=v+1|0}}break};default:{w=0;x=w;i=k;return x|0}}j=ga(j,u)|0;w=j;x=w;i=k;return x|0}}while(0);w=0;x=w;i=k;return x|0}function SA(d,e,f,j,k){d=d|0;e=e|0;f=f|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=i;i=i+64|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=d;d=e;e=f;f=j;j=k;k=0;v=0;do{if((u|0)!=0){if((e|0)==0){break}if((d|0)==0){break}switch(f|0){case 2:{v=1;w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,s,v)|0;a[e+w|0]=a[s]|0;w=w+1|0}break};case 1:{v=1;w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,t,v)|0;a[e+w|0]=a[t]|0;w=w+1|0}break};case 7:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,n,v)|0;a[e+w|0]=~~+hA(n);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,n,v)|0;a[e+w|0]=~~+g[n>>2];w=w+1|0}}break};case 5:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,o,v)|0;a[e+w|0]=dA(o)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,o,v)|0;a[e+w|0]=c[o>>2];w=w+1|0}}break};case 6:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,p,v)|0;a[e+w|0]=eA(p)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,p,v)|0;a[e+w|0]=c[p>>2];w=w+1|0}}break};case 3:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,q,v)|0;a[e+w|0]=fA(q)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,q,v)|0;a[e+w|0]=b[q>>1];w=w+1|0}}break};case 4:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,r,v)|0;a[e+w|0]=gA(r)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,r,v)|0;a[e+w|0]=b[r>>1];w=w+1|0}}break};case 9:{v=8;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,m,v)|0;a[e+w|0]=~~+iA(m);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,m,v)|0;a[e+w|0]=~~+h[m>>3];w=w+1|0}}break};default:{x=0;y=x;i=l;return y|0}}k=ga(j,v)|0;x=k;y=x;i=l;return y|0}}while(0);x=0;y=x;i=l;return y|0}function TA(d,e,f,j){d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k=i;i=i+64|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=k+56|0;t=d;d=e;e=f;f=j;j=0;u=0;do{if((t|0)!=0){if((d|0)==0){break}if((c[t>>2]|0)==0){break}switch(e|0){case 4:{u=2;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(q|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=gA(q)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(q|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=b[q>>1];v=v+1|0}}break};case 1:{u=1;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(r|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[r]|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(r|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[r]|0;v=v+1|0}}break};case 9:{u=8;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(l|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+iA(l);v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(l|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+h[l>>3];v=v+1|0}}break};case 5:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(n|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=dA(n)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(n|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=c[n>>2];v=v+1|0}}break};case 7:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(m|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+hA(m);v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(m|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=~~+g[m>>2];v=v+1|0}}break};case 2:{u=1;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(s|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[s]|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(s|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=a[s]|0;v=v+1|0}}break};case 6:{u=4;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(o|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=eA(o)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(o|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=c[o>>2];v=v+1|0}}break};case 3:{u=2;if((c[t+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(p|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=fA(p)|0;v=v+1|0}}else{v=0;while(1){if((v|0)>=(f|0)){break}j=j+(Xc(p|0,u|0,1,c[t>>2]|0)|0)|0;a[d+v|0]=b[p>>1];v=v+1|0}}break};default:{w=0;x=w;i=k;return x|0}}j=ga(j,u)|0;w=j;x=w;i=k;return x|0}}while(0);w=0;x=w;i=k;return x|0}function UA(d,e,f,j,k){d=d|0;e=e|0;f=f|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=i;i=i+64|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=d;d=e;e=f;f=j;j=k;k=0;v=0;do{if((u|0)!=0){if((e|0)==0){break}if((d|0)==0){break}switch(f|0){case 2:{v=1;w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,s,v)|0;a[e+w|0]=a[s]|0;w=w+1|0}break};case 1:{v=1;w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,t,v)|0;a[e+w|0]=a[t]|0;w=w+1|0}break};case 7:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,n,v)|0;a[e+w|0]=~~+hA(n);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,n,v)|0;a[e+w|0]=~~+g[n>>2];w=w+1|0}}break};case 5:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,o,v)|0;a[e+w|0]=dA(o)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,o,v)|0;a[e+w|0]=c[o>>2];w=w+1|0}}break};case 6:{v=4;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,p,v)|0;a[e+w|0]=eA(p)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,p,v)|0;a[e+w|0]=c[p>>2];w=w+1|0}}break};case 3:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,q,v)|0;a[e+w|0]=fA(q)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,q,v)|0;a[e+w|0]=b[q>>1];w=w+1|0}}break};case 4:{v=2;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,r,v)|0;a[e+w|0]=gA(r)|0;w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,r,v)|0;a[e+w|0]=b[r>>1];w=w+1|0}}break};case 9:{v=8;if((c[u+20>>2]|0)!=0){w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,m,v)|0;a[e+w|0]=~~+iA(m);w=w+1|0}}else{w=0;while(1){if((w|0)>=(j|0)){break}sA(u,d,m,v)|0;a[e+w|0]=~~+h[m>>3];w=w+1|0}}break};default:{x=0;y=x;i=l;return y|0}}k=ga(j,v)|0;x=k;y=x;i=l;return y|0}}while(0);x=0;y=x;i=l;return y|0}function VA(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=e;e=g;g=h;h=0;l=AA(b)|0;Jd(c[k>>2]|0,ga(f,l)|0,1)|0;e=ga(l,e-1|0)|0;switch(d|0){case 13:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(LA(k,a+(m<<2)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(LA(k,a,b,g)|0)|0}break};case 10:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(NA(k,a+(m<<1)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(NA(k,a,b,g)|0)|0}break};case 15:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(HA(k,a+(m<<3)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(HA(k,a,b,g)|0)|0}break};case 14:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(FA(k,a+(m<<3)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(FA(k,a,b,g)|0)|0}break};case 8:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(RA(k,a+m|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(RA(k,a,b,g)|0)|0}break};case 9:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(TA(k,a+m|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(TA(k,a,b,g)|0)|0}break};case 12:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(JA(k,a+(m<<2)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(JA(k,a,b,g)|0)|0}break};case 11:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(PA(k,a+(m<<1)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(PA(k,a,b,g)|0)|0}break};case 7:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(DA(k,a+(m<<2)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(DA(k,a,b,g)|0)|0}break};case 6:{if((e|0)!=0){m=0;while(1){if((m|0)>=(g|0)){break}h=h+(BA(k,a+(m<<3)|0,b,1)|0)|0;Jd(c[k>>2]|0,e|0,1)|0;m=m+1|0}}else{h=h+(BA(k,a,b,g)|0)|0}break};default:{n=0;o=n;i=j;return o|0}}n=h;o=n;i=j;return o|0}function WA(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+56|0;l=k|0;m=a;a=b;b=d;d=e;e=f;f=g;g=h;h=j;j=0;oaa(l|0,0,56)|0;do{if((m|0)!=0){if((b|0)==0){break}if((c[m>>2]|0)==0){break}g=g-1|0;FB(l,a)|0;lA(m,l,e,f)|0;switch(d|0){case 11:{n=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(QA(m,l,n+(o<<1)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(QA(m,l,n,e,h)|0)|0}break};case 7:{p=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(EA(m,l,p+(o<<2)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(EA(m,l,p,e,h)|0)|0}break};case 14:{n=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(GA(m,l,n+(o<<3)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(GA(m,l,n,e,h)|0)|0}break};case 15:{p=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(IA(m,l,p+(o<<3)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(IA(m,l,p,e,h)|0)|0}break};case 12:{n=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(KA(m,l,n+(o<<2)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(KA(m,l,n,e,h)|0)|0}break};case 10:{p=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(OA(m,l,p+(o<<1)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(OA(m,l,p,e,h)|0)|0}break};case 8:{n=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(SA(m,l,n+o|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(SA(m,l,n,e,h)|0)|0}break};case 9:{p=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(UA(m,l,p+o|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(UA(m,l,p,e,h)|0)|0}break};case 6:{n=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(CA(m,l,n+(o<<3)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(CA(m,l,n,e,h)|0)|0}break};case 13:{p=b;if((g|0)!=0){o=0;while(1){if((o|0)>=(h|0)){break}j=j+(MA(m,l,p+(o<<2)|0,e,1)|0)|0;lA(m,l,e,g)|0;o=o+1|0}}else{j=j+(MA(m,l,p,e,h)|0)|0}break};default:{}}EB(l)|0;q=j;r=q;i=k;return r|0}}while(0);q=0;r=q;i=k;return r|0}function XA(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;j=i;i=i+24|0;k=j|0;l=j+8|0;m=d;d=e;e=f;Bc(l|0,g|0);g=0;f=0;n=0;o=0;c[k>>2]=0;p=-1;q=e;e=q+1|0;r=a[q]|0;while(1){if((g|0)==7){break}if((r<<24>>24|0)==0){g=7}switch(g|0){case 7:{break};case 0:{if((r<<24>>24|0)==37){g=1}else{oB(m,k,d,r)}q=e;e=q+1|0;r=a[q]|0;break};case 1:{switch(r<<24>>24|0){case 45:{o=o|1;q=e;e=q+1|0;r=a[q]|0;break};case 43:{o=o|2;q=e;e=q+1|0;r=a[q]|0;break};case 32:{o=o|4;q=e;e=q+1|0;r=a[q]|0;break};case 35:{o=o|8;q=e;e=q+1|0;r=a[q]|0;break};case 48:{o=o|16;q=e;e=q+1|0;r=a[q]|0;break};default:{g=2}}break};case 2:{if((Cd(r&255|0)|0)!=0){f=(f*10|0)+((r<<24>>24)-48)|0;q=e;e=q+1|0;r=a[q]|0}else{if((r<<24>>24|0)==42){q=l|0;f=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0);q=e;e=q+1|0;r=a[q]|0;g=3}else{g=3}}break};case 3:{if((r<<24>>24|0)==46){g=4;q=e;e=q+1|0;r=a[q]|0}else{g=5}break};case 4:{if((Cd(r&255|0)|0)!=0){if((p|0)<0){p=0}p=(p*10|0)+((r<<24>>24)-48)|0;q=e;e=q+1|0;r=a[q]|0}else{if((r<<24>>24|0)==42){q=l|0;p=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0);q=e;e=q+1|0;r=a[q]|0;g=5}else{g=5}}break};case 5:{q=r<<24>>24;if((q|0)==104){n=1;s=e;e=s+1|0;r=a[s]|0}else if((q|0)==108){n=2;s=e;e=s+1|0;r=a[s]|0;if((r<<24>>24|0)==108){n=4;s=e;e=s+1|0;r=a[s]|0}}else if((q|0)==76){n=3;q=e;e=q+1|0;r=a[q]|0}g=6;break};case 6:{switch(r<<24>>24|0){case 99:{q=l|0;oB(m,k,d,(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)&255);break};case 88:{o=o|32;t=78;break};case 120:{t=78;break};case 71:{o=o|32;t=98;break};case 103:{t=98;break};case 119:{q=e;e=q+1|0;r=a[q]|0;break};case 37:{oB(m,k,d,r);break};case 69:{o=o|32;t=93;break};case 101:{t=93;break};case 115:{q=l|0;u=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0);if((u|0)==0){u=7689984}if((p|0)==-1){p=laa(u|0)|0}do{if((f|0)>0){if((p|0)<0){break}if((f|0)<=(p|0)){break}p=f}}while(0);rB(m,k,d,u,o,f,p);break};case 100:case 105:{if((n|0)==1){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==2){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==4){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}}}pB(m,k,d,v,10,f,p,o);break};case 111:{o=o|64;if((n|0)==1){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==2){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==4){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}}}pB(m,k,d,v,8,f,p,o);break};case 117:{o=o|64;if((n|0)==1){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==2){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==4){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}}}pB(m,k,d,v,10,f,p,o);break};case 110:{if((n|0)==1){q=l|0;b[(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)>>1]=c[k>>2]}else{if((n|0)==2){q=l|0;c[(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)>>2]=c[k>>2]}else{if((n|0)==4){q=l|0;c[(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)>>2]=c[k>>2]}else{q=l|0;c[(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)>>2]=c[k>>2]}}}break};case 112:{q=l|0;u=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0);pB(m,k,d,u,16,f,p,o);break};case 102:{if((n|0)==3){q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}else{q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}qB(m,k,d,w,f,p,o);break};default:{}}if((t|0)==78){t=0;o=o|64;if((n|0)==1){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==2){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{if((n|0)==4){q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}else{q=l|0;v=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,c[(c[q>>2]|0)+B>>2]|0)}}}pB(m,k,d,v,16,f,p,o)}else if((t|0)==93){t=0;if((n|0)==3){q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}else{q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}qB(m,k,d,w,f,p,o)}else if((t|0)==98){t=0;if((n|0)==3){q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}else{q=l|0;w=(B=c[q+4>>2]|0,c[q+4>>2]=B+8,+h[(c[q>>2]|0)+B>>3])}qB(m,k,d,w,f,p,o)}q=e;e=q+1|0;r=a[q]|0;g=0;f=0;n=0;o=0;p=-1;break};default:{}}}if((d|0)==0){x=c[k>>2]|0;i=j;return x|0}if((c[k>>2]|0)>>>0<(d-1|0)>>>0){a[m+(c[k>>2]|0)|0]=0}else{if(d>>>0>0>>>0){a[m+(d-1)|0]=0}}x=c[k>>2]|0;i=j;return x|0}function YA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g|0;c[h>>2]=e;c[h+4>>2]=0;h=xA(a,b,d,g|0)|0;i=f;return h|0}function ZA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;e=a;a=b;b=0;f=c;if((f|0)!=512)if((f|0)==256){b=_A(e,a)|0}i=d;return b|0}function _A(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=d;d=e;e=0;b[g>>1]=0;l=0;e=Hc(k|0,7624648)|0;if((e|0)==0){m=0;n=m;i=f;return n|0}l=L9(44)|0;if((l|0)==0){Pa(e|0)|0;m=0;n=m;i=f;return n|0}c[l>>2]=0;c[l+4>>2]=0;c[l+8>>2]=0;c[l+12>>2]=0;c[l+16>>2]=0;c[l+20>>2]=0;c[l+24>>2]=0;c[l+28>>2]=0;c[l+32>>2]=0;c[j>>2]=ce(0)|0;c[l>>2]=e;e=yA(7678760,(o=i,i=i+8|0,c[o>>2]=k,o)|0)|0;i=o;c[l+12>>2]=e;c[l+24>>2]=1;c[l+20>>2]=0;c[l+4>>2]=N9(1,128)|0;c[l+8>>2]=N9(1,16)|0;oaa(c[l+4>>2]|0,32,128)|0;if((d|0)==0){e=c[l+4>>2]|0;k=nb(j|0)|0;j=YA(e,116,7623600,(o=i,i=i+40|0,c[o>>2]=7622768,c[o+8>>2]=1,c[o+16>>2]=5,c[o+24>>2]=2,c[o+32>>2]=k,o)|0)|0;i=o;p=j;a[(c[l+4>>2]|0)+115|0]=0}else{j=YA(c[l+4>>2]|0,116,7678760,(o=i,i=i+8|0,c[o>>2]=d,o)|0)|0;i=o;p=j}a[(c[l+4>>2]|0)+p|0]=32;YA(c[l+8>>2]|0,15,7622360,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;c[l+16>>2]=256;b[g>>1]=19785;b[h>>1]=256;p=Ya(c[l+4>>2]|0,1,116,c[l>>2]|0)|0;p=Ya(c[l+8>>2]|0,1,8,c[l>>2]|0)|0;p=Ya(h|0,2,1,c[l>>2]|0)|0;p=Ya(g|0,2,1,c[l>>2]|0)|0;m=l;n=m;i=f;return n|0}function $A(d,e){d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+16|0;g=f|0;h=f+8|0;j=d;d=e;e=0;k=0;l=0;do{if((d&1|0)==0){e=Hc(j|0,7682720)|0;if((e|0)!=0){break}m=0;n=m;i=f;return n|0}else{if((d&1|0)!=1){k=ZA(j,0,d&-2)|0;m=k;n=m;i=f;return n|0}e=Hc(j|0,7681856)|0;if((e|0)!=0){break}else{k=ZA(j,0,d&-2)|0;m=k;n=m;i=f;return n|0}}}while(0);k=L9(44)|0;if(0==(k|0)){kA(7681e3,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;Pa(e|0)|0;m=0;n=m;i=f;return n|0}c[k>>2]=e;c[k+4>>2]=N9(128,1)|0;c[k+8>>2]=N9(8,1)|0;c[k+12>>2]=0;c[k+20>>2]=0;c[k+16>>2]=0;l=l+(Xc(c[k+4>>2]|0,1,116,e|0)|0)|0;a[(c[k+4>>2]|0)+116|0]=0;l=l+(Xc(c[k+8>>2]|0,1,8,e|0)|0)|0;l=l+((Xc(h|0,2,1,e|0)|0)<<1)|0;l=l+(Xc(g|0,1,2,e|0)|0)|0;if(128==(l|0)){c[k+20>>2]=-1;if((b[g>>1]|0)==19785){c[k+20>>2]=0}else{if((b[g>>1]|0)==18765){c[k+20>>2]=1;fA(h)|0}}c[k+16>>2]=b[h>>1]|0;if((c[k+16>>2]|0)==256){p=21}else{if((c[k+16>>2]|0)==512){p=21}else{p=23}}do{if((p|0)==21){if(!(-1!=(c[k+20>>2]|0))){p=23;break}c[k+28>>2]=Sb(c[k>>2]|0)|0;c[k+32>>2]=0}}while(0);if((p|0)==23){c[k+16>>2]=0}}if(0==(c[k+16>>2]|0)){if(0!=(c[k+4>>2]|0)){M9(c[k+4>>2]|0)}if(0!=(c[k+8>>2]|0)){M9(c[k+8>>2]|0)}c[k+4>>2]=0;c[k+8>>2]=0;c[k>>2]=e;c[k+16>>2]=16;c[k+20>>2]=0;c[k+24>>2]=d;c[k+28>>2]=0;c[k+32>>2]=0;aB(k)|0;e=bB(k)|0;if(0==(e|0)){kA(7680104,(o=i,i=i+8|0,c[o>>2]=j,o)|0);i=o;cB(k)|0;k=0}else{dB(e);aB(k)|0}}if(0==(k|0)){m=k;n=m;i=f;return n|0}e=yA(7678760,(o=i,i=i+8|0,c[o>>2]=j,o)|0)|0;i=o;c[k+12>>2]=e;c[k+24>>2]=d;if((c[k+16>>2]|0)==512){Pa(c[k>>2]|0)|0;c[k>>2]=0;cB(k)|0;k=0;kA(7677816,(o=i,i=i+8|0,c[o>>2]=j,o)|0);i=o}m=k;n=m;i=f;return n|0}function aB(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;a=c[d+16>>2]|0;if((a|0)==512){c[d+32>>2]=0}else if((a|0)==256){Jd(c[d>>2]|0,128,0)|0}else if((a|0)==16){Jd(c[d>>2]|0,0,0)|0}else{e=-1;f=e;i=b;return f|0}e=0;f=e;i=b;return f|0}function bB(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;b=i;i=i+16|0;e=b|0;f=b+8|0;g=a;a=0;do{if((g|0)!=0){if((c[g>>2]|0)==0){break}h=eB()|0;a=h;if(0==(h|0)){j=0;k=j;i=b;return k|0}c[(c[a+52>>2]|0)+20>>2]=g;h=Sb(c[g>>2]|0)|0;c[(c[a+52>>2]|0)+12>>2]=h;h=Xc(e|0,4,1,c[g>>2]|0)|0;if((h|0)==0){M9(a);j=0;k=j;i=b;return k|0}c[f>>2]=16909060;if((c[e>>2]|0)<0){l=11}else{if((c[e>>2]|0)>4052){l=11}}do{if((l|0)==11){if((dA(e)|0)<=4052){break}dB(a);j=0;k=j;i=b;return k|0}}while(0);m=~~+U(+(c[e>>2]|0)/1.0e3);c[e>>2]=(c[e>>2]|0)-(m*1e3|0);n=~~+U(+(c[e>>2]|0)/100.0);c[e>>2]=(c[e>>2]|0)-(n*100|0);o=~~+U(+(c[e>>2]|0)/10.0);c[e>>2]=(c[e>>2]|0)-(o*10|0);p=~~+U(+(c[e>>2]|0));q=m;if((q|0)==1){c[g+20>>2]=(d[f|0]|0|0)!=1}else if((q|0)==0){c[g+20>>2]=(d[f|0]|0|0)!=4}else{dB(a);j=0;k=j;i=b;return k|0}if(0!=(n|0)){dB(a);j=0;k=j;i=b;return k|0}switch(o|0){case 1:{c[a+8>>2]=7;break};case 2:{c[a+8>>2]=5;break};case 3:{c[a+8>>2]=3;break};case 4:{c[a+8>>2]=4;break};case 5:{c[a+8>>2]=2;break};case 0:{c[a+8>>2]=9;break};default:{dB(a);j=0;k=j;i=b;return k|0}}o=p;if((o|0)==0){c[a+16>>2]=6}else if((o|0)==1){c[a+16>>2]=4}else if((o|0)==2){c[a+16>>2]=5}else{dB(a);j=0;k=j;i=b;return k|0}c[a+4>>2]=2;c[a+32>>2]=L9(8)|0;if(0==(c[a+32>>2]|0)){dB(a);j=0;k=j;i=b;return k|0}h=Xc(e|0,4,1,c[g>>2]|0)|0;if((c[g+20>>2]|0)!=0){dA(e)|0}c[c[a+32>>2]>>2]=c[e>>2];if((h|0)==0){dB(a);j=0;k=j;i=b;return k|0}h=Xc(e|0,4,1,c[g>>2]|0)|0;if((c[g+20>>2]|0)!=0){dA(e)|0}c[(c[a+32>>2]|0)+4>>2]=c[e>>2];if((h|0)==0){dB(a);j=0;k=j;i=b;return k|0}h=Xc(a+20|0,4,1,c[g>>2]|0)|0;if((h|0)==0){dB(a);j=0;k=j;i=b;return k|0}h=Xc(e|0,4,1,c[g>>2]|0)|0;if((h|0)==0){dB(a);j=0;k=j;i=b;return k|0}if((c[g+20>>2]|0)!=0){dA(e)|0}if((c[e>>2]|0)<1){dB(a);j=0;k=j;i=b;return k|0}c[a+36>>2]=L9(c[e>>2]|0)|0;if(0==(c[a+36>>2]|0)){dB(a);j=0;k=j;i=b;return k|0}h=Xc(c[a+36>>2]|0,1,c[e>>2]|0,c[g>>2]|0)|0;if((h|0)==0){dB(a);j=0;k=j;i=b;return k|0}o=Sb(c[g>>2]|0)|0;c[(c[a+52>>2]|0)+16>>2]=o;o=ga(c[c[a+32>>2]>>2]|0,c[(c[a+32>>2]|0)+4>>2]|0)|0;p=ga(o,AA(c[a+8>>2]|0)|0)|0;if((c[a+20>>2]|0)!=0){p=p<<1}Jd(c[g>>2]|0,p|0,1)|0;j=a;k=j;i=b;return k|0}}while(0);j=0;k=j;i=b;return k|0}function cB(a){a=a|0;var b=0,d=0;b=i;d=a;if(0==(d|0)){i=b;return 0}if((c[d>>2]|0)!=0){Pa(c[d>>2]|0)|0}if((c[d+4>>2]|0)!=0){M9(c[d+4>>2]|0)}if((c[d+8>>2]|0)!=0){M9(c[d+8>>2]|0)}if((c[d+12>>2]|0)!=0){M9(c[d+12>>2]|0)}M9(d);i=b;return 0}function dB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=0;if((d|0)==0){i=b;return}if((c[d+32>>2]|0)!=0){a=1;e=0;while(1){if(!(e>>>0<(c[d+4>>2]|0)>>>0)){break}a=ga(a,c[(c[d+32>>2]|0)+(e<<2)>>2]|0)|0;e=e+1|0}M9(c[d+32>>2]|0)}if((c[d+36>>2]|0)!=0){M9(c[d+36>>2]|0)}if((c[d+40>>2]|0)!=0){a:do{switch(c[d+16>>2]|0){case 5:{if((c[d+44>>2]|0)==0){f=c[d+40>>2]|0;if((c[f+4>>2]|0)!=0){M9(c[f+4>>2]|0)}if((c[f+12>>2]|0)!=0){M9(c[f+12>>2]|0)}do{if((c[d+20>>2]|0)!=0){if(0==(c[f+24>>2]|0)){g=37;break}h=c[f+24>>2]|0;M9(c[h>>2]|0);M9(c[h+4>>2]|0);M9(h)}else{g=37}}while(0);if((g|0)==37){if((c[f+24>>2]|0)!=0){M9(c[f+24>>2]|0)}}M9(f)}break};case 6:case 7:case 14:case 15:case 12:case 13:case 10:case 11:case 8:case 9:case 4:{do{if((c[d+44>>2]|0)==0){if(0==(c[d+40>>2]|0)){break}if((c[d+20>>2]|0)!=0){h=c[d+40>>2]|0;M9(c[h>>2]|0);M9(c[h+4>>2]|0);M9(h)}else{M9(c[d+40>>2]|0)}}}while(0);break};case 1:{g=21;break};case 2:{do{if((c[d+44>>2]|0)==0){if(0==(c[d+40>>2]|0)){break}f=c[d+40>>2]|0;h=c[(c[d+52>>2]|0)+24>>2]|0;e=0;while(1){if(!(e>>>0<(ga(a,h)|0)>>>0)){break}dB(c[f+(e<<2)>>2]|0);e=e+1|0}M9(c[d+40>>2]|0);break a}}while(0);g=21;break};case 0:case 3:case 16:{break};default:{}}}while(0);if((g|0)==21){do{if((c[d+44>>2]|0)==0){if(0==(c[d+40>>2]|0)){break}g=c[d+40>>2]|0;e=0;while(1){if(!(e>>>0<a>>>0)){break}dB(c[g+(e<<2)>>2]|0);e=e+1|0}M9(c[d+40>>2]|0)}}while(0)}}if(0!=(c[d+52>>2]|0)){if((c[d+48>>2]|0)==1){EB(c[(c[d+52>>2]|0)+32>>2]|0)|0;M9(c[(c[d+52>>2]|0)+32>>2]|0)}do{if(0!=(c[(c[d+52>>2]|0)+28>>2]|0)){if(!((c[(c[d+52>>2]|0)+24>>2]|0)>>>0>0>>>0)){break}e=0;while(1){if(!(e>>>0<(c[(c[d+52>>2]|0)+24>>2]|0)>>>0)){break}if(0!=(c[(c[(c[d+52>>2]|0)+28>>2]|0)+(e<<2)>>2]|0)){M9(c[(c[(c[d+52>>2]|0)+28>>2]|0)+(e<<2)>>2]|0)}e=e+1|0}M9(c[(c[d+52>>2]|0)+28>>2]|0)}}while(0);M9(c[d+52>>2]|0);c[d+52>>2]=0}M9(d);i=b;return}function eB(){var a=0,b=0,d=0;a=i;b=L9(56)|0;if(0==(b|0)){d=b;i=a;return d|0}c[b>>2]=0;c[b+4>>2]=0;c[b+8>>2]=0;c[b+12>>2]=0;c[b+16>>2]=0;c[b+20>>2]=0;c[b+24>>2]=0;c[b+28>>2]=0;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;c[b+44>>2]=0;c[b+48>>2]=0;c[b+52>>2]=L9(36)|0;if(0==(c[b+52>>2]|0)){M9(b);b=0}else{c[c[b+52>>2]>>2]=0;c[(c[b+52>>2]|0)+4>>2]=0;c[(c[b+52>>2]|0)+8>>2]=-1;c[(c[b+52>>2]|0)+20>>2]=0;c[(c[b+52>>2]|0)+12>>2]=0;c[(c[b+52>>2]|0)+16>>2]=0;c[(c[b+52>>2]|0)+28>>2]=0;c[(c[b+52>>2]|0)+24>>2]=0;c[(c[b+52>>2]|0)+32>>2]=0}d=b;i=a;return d|0}function fB(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=a;a=b;b=d;d=e;e=f;f=g;g=0;switch(c[a+16>>2]|0){case 6:case 7:case 14:case 15:case 12:case 13:case 10:case 11:case 8:case 9:{break};default:{k=-1;l=k;i=h;return l|0}}m=c[j+16>>2]|0;if((m|0)==256){g=gB(j,a,b,d,e,f)|0}else if((m|0)==16){g=hB(j,a,b,d,e,f)|0}else if((m|0)==512){g=1}k=g;l=k;i=h;return l|0}function gB(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+64|0;j=h|0;k=h+8|0;l=a;a=b;b=d;d=e;e=f;f=g;g=0;m=1;n=0;if((c[l+16>>2]|0)==16){o=-1;p=o;i=h;return p|0}Jd(c[l>>2]|0,c[(c[a+52>>2]|0)+16>>2]|0,0)|0;if((c[a+48>>2]|0)==0){Xc(j|0,4,2,c[l>>2]|0)|0;if((c[l+20>>2]|0)!=0){dA(j|0)|0;dA(j+4|0)|0}c[a+8>>2]=c[j>>2]&255;if((c[j>>2]&-65536|0)!=0){Jd(c[l>>2]|0,-4|0,1)|0;n=(c[j>>2]>>16)+4|0}else{n=(c[j+4>>2]|0)+8|0}}else{if((c[a+48>>2]|0)==1){c[(c[(c[a+52>>2]|0)+32>>2]|0)+4>>2]=0;g=FB(k,c[(c[a+52>>2]|0)+32>>2]|0)|0;rA(l,k,j|0)|0;if((c[l+20>>2]|0)!=0){dA(j|0)|0;dA(j+4|0)|0}c[a+8>>2]=c[j>>2]&255;if((c[j>>2]&-65536|0)!=0){n=(c[j>>2]>>16)+4|0}else{rA(l,k,j+4|0)|0;if((c[l+20>>2]|0)!=0){dA(j+4|0)|0}n=(c[j+4>>2]|0)+8|0}}}if(((n|0)%8|0|0)!=0){n=n+(8-((n|0)%8|0))|0}q=0;while(1){if((q|0)>=(c[a+4>>2]|0)){break}m=ga(m,c[(c[a+32>>2]|0)+(q<<2)>>2]|0)|0;q=q+1|0}if(((ga(e,f-1|0)|0)+d+1|0)>(m|0)){g=1}else{if((c[a+48>>2]|0)==0){if((c[a+20>>2]|0)!=0){m=b;VA(l,c[m>>2]|0,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0;Jd(c[l>>2]|0,(c[(c[a+52>>2]|0)+16>>2]|0)+n|0,0)|0;Xc(j|0,4,2,c[l>>2]|0)|0;if((c[l+20>>2]|0)!=0){dA(j|0)|0;dA(j+4|0)|0}c[a+8>>2]=c[j>>2]&255;if((c[j>>2]&-65536|0)!=0){Jd(c[l>>2]|0,-4|0,1)|0}VA(l,c[m+4>>2]|0,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0}else{VA(l,b,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0}}else{if((c[a+48>>2]|0)==1){if((c[a+20>>2]|0)!=0){m=b;WA(l,k,c[m>>2]|0,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0;Jd(c[l>>2]|0,c[(c[a+52>>2]|0)+16>>2]|0,0)|0;EB(k)|0;g=FB(k,c[(c[a+52>>2]|0)+32>>2]|0)|0;jA(l,k,n)|0;c[k+4>>2]=0;rA(l,k,j|0)|0;if((c[l+20>>2]|0)!=0){dA(j|0)|0}c[a+8>>2]=c[j>>2]&255;if((c[j>>2]&-65536|0)==0){jA(l,k,4)|0}WA(l,k,c[m+4>>2]|0,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0;EB(k)|0}else{WA(l,k,b,c[a+16>>2]|0,c[a+8>>2]|0,d,e,f)|0;EB(k)|0}}}}switch(c[a+16>>2]|0){case 12:{c[a+8>>2]=5;c[a+12>>2]=4;break};case 6:{c[a+8>>2]=9;c[a+12>>2]=8;break};case 15:{c[a+8>>2]=13;c[a+12>>2]=8;break};case 10:{c[a+8>>2]=3;c[a+12>>2]=2;break};case 13:{c[a+8>>2]=6;c[a+12>>2]=4;break};case 7:{c[a+8>>2]=7;c[a+12>>2]=4;break};case 9:{c[a+8>>2]=2;c[a+12>>2]=1;break};case 14:{c[a+8>>2]=12;c[a+12>>2]=8;break};case 8:{c[a+8>>2]=1;c[a+12>>2]=1;break};case 11:{c[a+8>>2]=4;c[a+12>>2]=2;break};default:{}}o=g;p=o;i=h;return p|0}function hB(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=a;a=b;b=d;d=e;e=f;f=g;g=1;k=0;l=0;Jd(c[j>>2]|0,c[(c[a+52>>2]|0)+16>>2]|0,0)|0;switch(c[a+8>>2]|0){case 4:{l=11;break};case 9:{l=6;break};case 7:{l=7;break};case 3:{l=10;break};case 5:{l=12;break};case 2:{l=9;break};default:{m=1;n=m;i=h;return n|0}}c[a+12>>2]=AA(c[a+8>>2]|0)|0;o=0;while(1){if(!(o>>>0<(c[a+4>>2]|0)>>>0)){break}g=ga(g,c[(c[a+32>>2]|0)+(o<<2)>>2]|0)|0;o=o+1|0}if(((ga(e,f-1|0)|0)+d+1|0)>>>0>g>>>0){m=1;n=m;i=h;return n|0}if((c[a+20>>2]|0)!=0){o=b;p=ga(g,c[a+12>>2]|0)|0;VA(j,c[o>>2]|0,l,c[a+8>>2]|0,d,e,f)|0;Jd(c[j>>2]|0,(c[(c[a+52>>2]|0)+16>>2]|0)+p|0,0)|0;VA(j,c[o+4>>2]|0,l,c[a+8>>2]|0,d,e,f)|0}else{VA(j,b,l,c[a+8>>2]|0,d,e,f)|0}m=k;n=m;i=h;return n|0}function iB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=a;a=0;if((d|0)==0){e=0;f=e;i=b;return f|0}g=c[d+16>>2]|0;if((g|0)==16){a=bB(d)|0}else if((g|0)==256){a=jB(d)|0}e=a;f=e;i=b;return f|0}function jB(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+208|0;e=d|0;f=d+8|0;g=d+16|0;h=d+80|0;j=b;b=0;if((j|0)==0){k=0;l=k;i=d;return l|0}m=Sb(c[j>>2]|0)|0;n=Xc(e|0,4,1,c[j>>2]|0)|0;if((n|0)==0){k=0;l=k;i=d;return l|0}n=Xc(f|0,4,1,c[j>>2]|0)|0;if((c[j+20>>2]|0)!=0){dA(e)|0;dA(f)|0}o=c[e>>2]|0;do{if((o|0)==15){oaa(g|0,0,64)|0;e=0;b=eB()|0;c[b+36>>2]=0;c[b+40>>2]=0;c[b+32>>2]=0;c[b>>2]=0;c[b+8>>2]=0;c[b+16>>2]=0;c[b+12>>2]=0;c[b+44>>2]=0;c[b+48>>2]=1;c[(c[b+52>>2]|0)+20>>2]=j;c[(c[b+52>>2]|0)+12>>2]=m;p=N9(1,56)|0;c[(c[b+52>>2]|0)+32>>2]=p;c[(c[(c[b+52>>2]|0)+32>>2]|0)+32>>2]=0;c[(c[(c[b+52>>2]|0)+32>>2]|0)+36>>2]=0;c[(c[(c[b+52>>2]|0)+32>>2]|0)+40>>2]=0;c[c[(c[b+52>>2]|0)+32>>2]>>2]=0;c[(c[(c[b+52>>2]|0)+32>>2]|0)+12>>2]=0;c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]=0;c[(c[(c[b+52>>2]|0)+32>>2]|0)+16>>2]=0;n=AB(c[(c[b+52>>2]|0)+32>>2]|0,7700240,56)|0;if((n|0)!=0){kA(7699440,(q=i,i=i+8|0,c[q>>2]=n,q)|0);i=q;dB(b);break}e=e+(mA(j,b,g|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}p=c[g+4>>2]|0;if((c[g>>2]|0)!=14){kA(7699016,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Jd(c[j>>2]|0,(c[f>>2]|0)-e|0,1)|0;dB(b);b=0;break}e=e+(nA(j,b,g|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(g|0)|0;eA(g+8|0)|0;eA(g+12|0)|0}if((c[g>>2]|0)==6){r=c[g+8>>2]|0;c[b+16>>2]=r&255;c[b+20>>2]=r&2048;c[b+24>>2]=r&1024;c[b+28>>2]=r&512;if((c[b+16>>2]|0)==5){c[b>>2]=c[g+12>>2]}}e=e+(oA(j,b,g|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}if((c[g>>2]|0)==5){p=c[g+4>>2]|0;c[b+4>>2]=(p|0)/4|0;c[b+32>>2]=L9(c[b+4>>2]<<2)|0;if((c[j+20>>2]|0)!=0){s=0;while(1){if((s|0)>=(c[b+4>>2]|0)){break}p=eA(g+(s+2<<2)|0)|0;c[(c[b+32>>2]|0)+(s<<2)>>2]=p;s=s+1|0}}else{s=0;while(1){if((s|0)>=(c[b+4>>2]|0)){break}c[(c[b+32>>2]|0)+(s<<2)>>2]=c[g+(s+2<<2)>>2];s=s+1|0}}}e=e+(pA(j,b,g|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(g|0)|0}if((c[g>>2]|0)==1){if((c[j+20>>2]|0)!=0){t=eA(g+4|0)|0}else{t=c[g+4>>2]|0}if(((t|0)%8|0|0)==0){s=t}else{s=t+(8-((t|0)%8|0))|0}c[b+36>>2]=L9(s+1|0)|0;e=e+(qA(j,b,c[b+36>>2]|0,s)|0)|0;a[(c[b+36>>2]|0)+t|0]=0}else{do{if((c[g>>2]&65535|0)==1){if((c[g>>2]&-65536|0)==0){break}p=(c[g>>2]&-65536)>>>16;c[b+36>>2]=L9(p+1|0)|0;naa(c[b+36>>2]|0,g+4|0,p)|0;a[(c[b+36>>2]|0)+p|0]=0}}while(0)}if((c[b+16>>2]|0)==2){lB(j,b)|0}else{if((c[b+16>>2]|0)==1){mB(j,b)|0}}Jd(c[j>>2]|0,-(c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]|0)|0,1)|0;e=Sb(c[j>>2]|0)|0;c[(c[b+52>>2]|0)+16>>2]=e;Jd(c[j>>2]|0,(c[f>>2]|0)+8+m|0,0)|0}else if((o|0)==14){e=0;b=eB()|0;c[(c[b+52>>2]|0)+12>>2]=m;c[(c[b+52>>2]|0)+20>>2]=j;e=e+(Xc(h|0,4,6,c[j>>2]|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(h|0)|0;eA(h+4|0)|0;eA(h+8|0)|0;eA(h+12|0)|0;eA(h+16|0)|0;eA(h+20|0)|0}if((c[h>>2]|0)==6){r=c[h+8>>2]|0;c[b+16>>2]=r&255;c[b+20>>2]=r&2048;c[b+24>>2]=r&1024;c[b+28>>2]=r&512;if((c[b+16>>2]|0)==5){c[b>>2]=c[h+12>>2]}}if((c[h+16>>2]|0)==5){c[b+4>>2]=(c[h+20>>2]|0)/4|0;c[b+32>>2]=L9(c[b+4>>2]<<2)|0;if(((c[b+4>>2]|0)%2|0|0)!=0){e=e+(Xc(h|0,4,(c[b+4>>2]|0)+1|0,c[j>>2]|0)|0)|0}else{e=e+(Xc(h|0,4,c[b+4>>2]|0,c[j>>2]|0)|0)|0}if((c[j+20>>2]|0)!=0){s=0;while(1){if((s|0)>=(c[b+4>>2]|0)){break}p=eA(h+(s<<2)|0)|0;c[(c[b+32>>2]|0)+(s<<2)>>2]=p;s=s+1|0}}else{s=0;while(1){if((s|0)>=(c[b+4>>2]|0)){break}c[(c[b+32>>2]|0)+(s<<2)>>2]=c[h+(s<<2)>>2];s=s+1|0}}}e=e+(Xc(h|0,4,2,c[j>>2]|0)|0)|0;if((c[j+20>>2]|0)!=0){eA(h|0)|0}if((c[h>>2]|0)==1){if((c[j+20>>2]|0)!=0){u=eA(h+4|0)|0}else{u=c[h+4>>2]|0}if(((u|0)%8|0|0)==0){s=u}else{s=u+(8-((u|0)%8|0))|0}e=e+(Xc(h|0,1,s|0,c[j>>2]|0)|0)|0;c[b+36>>2]=L9(u+1|0)|0;naa(c[b+36>>2]|0,h|0,u)|0;a[(c[b+36>>2]|0)+u|0]=0}else{do{if((c[h>>2]&65535|0)==1){if((c[h>>2]&-65536|0)==0){break}p=(c[h>>2]&-65536)>>>16;c[b+36>>2]=L9(p+1|0)|0;naa(c[b+36>>2]|0,h+4|0,p)|0;a[(c[b+36>>2]|0)+p|0]=0}}while(0)}if((c[b+16>>2]|0)==2){lB(j,b)|0}else{if((c[b+16>>2]|0)==1){mB(j,b)|0}else{if((c[b+16>>2]|0)==16){nB(j,b)|0}}}e=Sb(c[j>>2]|0)|0;c[(c[b+52>>2]|0)+16>>2]=e;Jd(c[j>>2]|0,(c[f>>2]|0)+8+m|0,0)|0}else{kA(7698352,(q=i,i=i+8|0,c[q>>2]=c[j+12>>2],q)|0);i=q;k=0;l=k;i=d;return l|0}}while(0);k=b;l=k;i=d;return l|0}function kB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;e=a;a=b;b=0;do{if((e|0)!=0){if((a|0)==0){break}if((c[e+16>>2]|0)==512){do{b=iB(e)|0;if((b|0)==0){f=13;break}if((c[b+36>>2]|0)!=0){if((jaa(c[b+36>>2]|0,a)|0)!=0){dB(b);b=0}}else{dB(b);b=0}if(0==(b|0)){g=(c[e+32>>2]|0)<(c[e+36>>2]|0)}else{g=0}}while(g);if((f|0)==13){kA(7626304,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}}else{j=Sb(c[e>>2]|0)|0;Jd(c[e>>2]|0,c[e+28>>2]|0,0)|0;do{b=iB(e)|0;if((b|0)==0){f=27;break}if((c[b+36>>2]|0)!=0){if((jaa(c[b+36>>2]|0,a)|0)!=0){dB(b);b=0}}else{dB(b);b=0}if((b|0)!=0){k=0}else{k=(Ed(c[e>>2]|0)|0)!=0^1}}while(k);if((f|0)==27){kA(7626304,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h}Jd(c[e>>2]|0,j|0,0)|0}l=b;m=l;i=d;return m|0}}while(0);l=0;m=l;i=d;return m|0}function lB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;i=i+128|0;f=e|0;g=e+64|0;h=b;b=d;d=0;j=1;k=0;l=0;while(1){if((l|0)>=(c[b+4>>2]|0)){break}j=ga(j,c[(c[b+32>>2]|0)+(l<<2)>>2]|0)|0;l=l+1|0}do{if((c[b+48>>2]|0)!=0){oaa(f|0,0,64)|0;d=d+(tA(h,b,f|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}if((c[f>>2]&65535|0)!=5){zA(7694256,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d;o=n;i=e;return o|0}p=c[f+4>>2]|0;d=d+(uA(h,b,f|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}q=c[f+4>>2]|0;q=(q|0)/(p|0)|0;c[b+12>>2]=4;if(((ga(q,p)|0)%8|0|0)!=0){l=8-((ga(q,p)|0)%8|0)|0}else{l=0}if((q|0)!=0){r=L9((ga(q,p)|0)+l|0)|0;d=d+(vA(h,b,r,q,p,l)|0)|0;c[(c[b+52>>2]|0)+24>>2]=q;s=N9(q,4)|0;c[(c[b+52>>2]|0)+28>>2]=s;l=0;while(1){if((l|0)>=(q|0)){break}s=L9(p)|0;c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]=s;naa(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]|0,r+(ga(l,p)|0)|0,p)|0;a[(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]|0)+(p-1)|0]=0;l=l+1|0}M9(r)}else{c[(c[b+52>>2]|0)+24>>2]=0;c[(c[b+52>>2]|0)+28>>2]=0}s=ga(j,q)|0;c[b>>2]=ga(s,c[b+12>>2]|0)|0;if((c[b>>2]|0)==0){n=d;o=n;i=e;return o|0}c[b+40>>2]=L9(c[b>>2]|0)|0;if((c[b+40>>2]|0)==0){n=d;o=n;i=e;return o|0}k=c[b+40>>2]|0;l=0;while(1){if((l|0)>=(j|0)){break}s=0;while(1){if((s|0)>=(q|0)){break}c[k+((ga(l,q)|0)+s<<2)>>2]=eB()|0;t=Wc(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(s<<2)>>2]|0)|0;c[(c[k+((ga(l,q)|0)+s<<2)>>2]|0)+36>>2]=t;s=s+1|0}l=l+1|0}l=0;while(1){if((l|0)>=(ga(j,q)|0)){break}r=Sb(c[h>>2]|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+12>>2]=r-(c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]|0);d=d+(mA(h,b,f|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}r=c[f+4>>2]|0;do{if((c[f>>2]|0)!=14){kA(7693680,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;dB(c[k+(l<<2)>>2]|0);c[k+(l<<2)>>2]=0}else{if((r|0)==0){c[(c[k+(l<<2)>>2]|0)+4>>2]=0;break}c[(c[k+(l<<2)>>2]|0)+48>>2]=1;d=d+(nA(h,b,f|0)|0)|0;r=r-16|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0;eA(f+8|0)|0;eA(f+12|0)|0}if((c[f>>2]|0)==6){s=c[f+8>>2]|0;c[(c[k+(l<<2)>>2]|0)+16>>2]=s&255;c[(c[k+(l<<2)>>2]|0)+20>>2]=s&2048;c[(c[k+(l<<2)>>2]|0)+24>>2]=s&1024;c[(c[k+(l<<2)>>2]|0)+28>>2]=s&512;if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==5){c[c[k+(l<<2)>>2]>>2]=c[f+12>>2]}}else{kA(7696216,(m=i,i=i+8|0,c[m>>2]=c[f>>2],m)|0);i=m;d=d+(jA(h,c[(c[b+52>>2]|0)+32>>2]|0,r)|0)|0}d=d+(oA(h,b,f|0)|0)|0;r=r-8|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}if((c[f>>2]|0)==5){s=0;c[(c[k+(l<<2)>>2]|0)+4>>2]=c[f+4>>2];r=r-(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)|0;t=(c[k+(l<<2)>>2]|0)+4|0;c[t>>2]=(c[t>>2]|0)/4|0;t=L9(c[(c[k+(l<<2)>>2]|0)+4>>2]<<2)|0;c[(c[k+(l<<2)>>2]|0)+32>>2]=t;if((c[h+20>>2]|0)!=0){s=0;while(1){if((s|0)>=(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)){break}t=eA(f+8+(s<<2)|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+32>>2]|0)+(s<<2)>>2]=t;s=s+1|0}}else{s=0;while(1){if((s|0)>=(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)){break}c[(c[(c[k+(l<<2)>>2]|0)+32>>2]|0)+(s<<2)>>2]=c[f+(s+2<<2)>>2];s=s+1|0}}if(((c[(c[k+(l<<2)>>2]|0)+4>>2]|0)%2|0|0)!=0){r=r-4|0}}d=d+(pA(h,b,f|0)|0)|0;r=r-8|0;s=N9(1,56)|0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+32>>2]=s;s=FB(c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+32>>2]|0,c[(c[b+52>>2]|0)+32>>2]|0)|0;if((s|0)!=0){kA(7695520,(m=i,i=i+8|0,c[m>>2]=s,m)|0);i=m}s=Sb(c[h>>2]|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+16>>2]=s-(c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]|0);if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==2){d=d+(lB(h,c[k+(l<<2)>>2]|0)|0)|0}else{if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==1){d=d+(mB(h,c[k+(l<<2)>>2]|0)|0)|0}}Jd(c[h>>2]|0,c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+16>>2]|0,0)|0;d=d+(jA(h,c[(c[b+52>>2]|0)+32>>2]|0,r)|0)|0}}while(0);l=l+1|0}}else{oaa(g|0,0,64)|0;d=d+(Xc(g|0,4,2,c[h>>2]|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}if((c[g>>2]&65535|0)!=5){zA(7694256,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d;o=n;i=e;return o|0}p=c[g+4>>2]|0;d=d+(Xc(g|0,4,2,c[h>>2]|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}q=c[g+4>>2]|0;q=(q|0)/(p|0)|0;c[b+12>>2]=4;c[(c[b+52>>2]|0)+24>>2]=q;r=N9(q,4)|0;c[(c[b+52>>2]|0)+28>>2]=r;l=0;while(1){if((l|0)>=(q|0)){break}r=L9(p)|0;c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]=r;d=d+(Xc(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]|0,1,p|0,c[h>>2]|0)|0)|0;a[(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(l<<2)>>2]|0)+(p-1)|0]=0;l=l+1|0}if(((ga(q,p)|0)%8|0|0)!=0){Jd(c[h>>2]|0,8-((ga(q,p)|0)%8|0)|0,1)|0;d=d+(8-((ga(q,p)|0)%8|0))|0}r=ga(j,q)|0;c[b>>2]=ga(r,c[b+12>>2]|0)|0;if((c[b>>2]|0)==0){n=d;o=n;i=e;return o|0}c[b+40>>2]=L9(c[b>>2]|0)|0;if((c[b+40>>2]|0)==0){n=d;o=n;i=e;return o|0}k=c[b+40>>2]|0;l=0;while(1){if((l|0)>=(j|0)){break}r=0;while(1){if((r|0)>=(q|0)){break}c[k+((ga(l,q)|0)+r<<2)>>2]=eB()|0;s=Wc(c[(c[(c[b+52>>2]|0)+28>>2]|0)+(r<<2)>>2]|0)|0;c[(c[k+((ga(l,q)|0)+r<<2)>>2]|0)+36>>2]=s;r=r+1|0}l=l+1|0}l=0;while(1){if((l|0)>=(ga(j,q)|0)){u=141;break}r=Sb(c[h>>2]|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+12>>2]=r;d=d+(Xc(g|0,4,2,c[h>>2]|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}r=c[g+4>>2]|0;if((c[g>>2]|0)!=14){break}if((r|0)==0){c[(c[k+(l<<2)>>2]|0)+4>>2]=0}else{c[(c[k+(l<<2)>>2]|0)+48>>2]=0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+32>>2]=0;d=d+(Xc(g|0,4,6,c[h>>2]|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0;eA(g+8|0)|0;eA(g+12|0)|0;eA(g+16|0)|0;eA(g+20|0)|0}r=r-24|0;if((c[g>>2]|0)==6){s=c[g+8>>2]|0;c[(c[k+(l<<2)>>2]|0)+16>>2]=s&255;c[(c[k+(l<<2)>>2]|0)+20>>2]=s&2048;c[(c[k+(l<<2)>>2]|0)+24>>2]=s&1024;c[(c[k+(l<<2)>>2]|0)+28>>2]=s&512;if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==5){c[c[k+(l<<2)>>2]>>2]=c[g+12>>2]}}if((c[g+16>>2]|0)==5){s=c[g+20>>2]|0;r=r-s|0;c[(c[k+(l<<2)>>2]|0)+4>>2]=(s|0)/4|0;s=L9(c[(c[k+(l<<2)>>2]|0)+4>>2]<<2)|0;c[(c[k+(l<<2)>>2]|0)+32>>2]=s;if(((c[(c[k+(l<<2)>>2]|0)+4>>2]|0)%2|0|0)!=0){d=d+(Xc(g|0,4,(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)+1|0,c[h>>2]|0)|0)|0;r=r-4|0}else{d=d+(Xc(g|0,4,c[(c[k+(l<<2)>>2]|0)+4>>2]|0,c[h>>2]|0)|0)|0}if((c[h+20>>2]|0)!=0){v=0;while(1){if((v|0)>=(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)){break}s=eA(g+(v<<2)|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+32>>2]|0)+(v<<2)>>2]=s;v=v+1|0}}else{v=0;while(1){if((v|0)>=(c[(c[k+(l<<2)>>2]|0)+4>>2]|0)){break}c[(c[(c[k+(l<<2)>>2]|0)+32>>2]|0)+(v<<2)>>2]=c[g+(v<<2)>>2];v=v+1|0}}}d=d+(Xc(g|0,1,8,c[h>>2]|0)|0)|0;r=r-8|0;s=Sb(c[h>>2]|0)|0;c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+16>>2]=s;if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==2){d=d+(lB(h,c[k+(l<<2)>>2]|0)|0)|0}else{if((c[(c[k+(l<<2)>>2]|0)+16>>2]|0)==1){d=d+(mB(h,c[k+(l<<2)>>2]|0)|0)|0}}Jd(c[h>>2]|0,(c[(c[(c[k+(l<<2)>>2]|0)+52>>2]|0)+16>>2]|0)+r|0,0)|0}l=l+1|0}if((u|0)==141){break}s=Sb(c[h>>2]|0)|0;kA(7693248,(m=i,i=i+16|0,c[m>>2]=l,c[m+8>>2]=s,m)|0);i=m;dB(c[k+(l<<2)>>2]|0);c[k+(l<<2)>>2]=0;n=d;o=n;i=e;return o|0}}while(0);n=d;o=n;i=e;return o|0}function mB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+128|0;f=e|0;g=e+64|0;h=b;b=d;d=0;j=0;k=1;l=0;while(1){if((l|0)>=(c[b+4>>2]|0)){break}k=ga(k,c[(c[b+32>>2]|0)+(l<<2)>>2]|0)|0;l=l+1|0}c[b+12>>2]=4;c[b>>2]=ga(k,c[b+12>>2]|0)|0;c[b+40>>2]=L9(c[b>>2]|0)|0;if((c[b+40>>2]|0)==0){kA(7697248,(m=i,i=i+8|0,c[m>>2]=c[b+36>>2],m)|0);i=m;n=d;o=n;i=e;return o|0}j=c[b+40>>2]|0;if((c[b+48>>2]|0)!=0){oaa(f|0,0,64)|0;l=0;a:while(1){if((l|0)>=(k|0)){break}c[j+(l<<2)>>2]=eB()|0;do{if(0==(c[j+(l<<2)>>2]|0)){kA(7696888,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m}else{p=Sb(c[h>>2]|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+12>>2]=p-(c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]|0);c[f>>2]=0;c[f+4>>2]=0;d=d+(mA(h,b,f|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}p=c[f+4>>2]|0;if((p|0)==0){break}if((c[f>>2]|0)!=14){q=17;break a}c[(c[j+(l<<2)>>2]|0)+48>>2]=1;d=d+(nA(h,b,f|0)|0)|0;p=p-16|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0;eA(f+8|0)|0;eA(f+12|0)|0}if((c[f>>2]|0)==6){r=c[f+8>>2]|0;c[(c[j+(l<<2)>>2]|0)+16>>2]=r&255;c[(c[j+(l<<2)>>2]|0)+20>>2]=r&2048;c[(c[j+(l<<2)>>2]|0)+24>>2]=r&1024;c[(c[j+(l<<2)>>2]|0)+28>>2]=r&512;if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==5){c[c[j+(l<<2)>>2]>>2]=c[f+12>>2]}}else{kA(7696216,(m=i,i=i+8|0,c[m>>2]=c[f>>2],m)|0);i=m;d=d+(jA(h,c[(c[b+52>>2]|0)+32>>2]|0,p)|0)|0}d=d+(oA(h,b,f|0)|0)|0;p=p-8|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}if((c[f>>2]|0)==5){r=0;c[(c[j+(l<<2)>>2]|0)+4>>2]=c[f+4>>2];p=p-(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)|0;s=(c[j+(l<<2)>>2]|0)+4|0;c[s>>2]=(c[s>>2]|0)/4|0;s=L9(c[(c[j+(l<<2)>>2]|0)+4>>2]<<2)|0;c[(c[j+(l<<2)>>2]|0)+32>>2]=s;if((c[h+20>>2]|0)!=0){r=0;while(1){if((r|0)>=(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)){break}s=eA(f+8+(r<<2)|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+32>>2]|0)+(r<<2)>>2]=s;r=r+1|0}}else{r=0;while(1){if((r|0)>=(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)){break}c[(c[(c[j+(l<<2)>>2]|0)+32>>2]|0)+(r<<2)>>2]=c[f+(r+2<<2)>>2];r=r+1|0}}if(((c[(c[j+(l<<2)>>2]|0)+4>>2]|0)%2|0|0)!=0){p=p-4|0}}d=d+(pA(h,b,f|0)|0)|0;p=p-8|0;if((c[h+20>>2]|0)!=0){eA(f|0)|0;eA(f+4|0)|0}if((c[f+4>>2]|0)>>>0>0>>>0){r=0;if((c[f>>2]|0)==1){r=c[f+4>>2]|0;if(((r|0)%8|0|0)>0){r=r+(8-((r|0)%8|0))|0}s=L9(r+1|0)|0;c[(c[j+(l<<2)>>2]|0)+36>>2]=s;d=d+(qA(h,b,c[(c[j+(l<<2)>>2]|0)+36>>2]|0,r)|0)|0;a[(c[(c[j+(l<<2)>>2]|0)+36>>2]|0)+r|0]=0;p=p-r|0}else{do{if((c[f>>2]&65535|0)==1){if((c[f>>2]&-65536|0)==0){break}r=(c[f>>2]&-65536)>>>16;s=L9(r+1|0)|0;c[(c[j+(l<<2)>>2]|0)+36>>2]=s;naa(c[(c[j+(l<<2)>>2]|0)+36>>2]|0,f+4|0,r)|0;a[(c[(c[j+(l<<2)>>2]|0)+36>>2]|0)+r|0]=0}}while(0)}}r=N9(1,56)|0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+32>>2]=r;r=FB(c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+32>>2]|0,c[(c[b+52>>2]|0)+32>>2]|0)|0;if((r|0)!=0){kA(7695520,(m=i,i=i+8|0,c[m>>2]=r,m)|0);i=m}r=Sb(c[h>>2]|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+16>>2]=r-(c[(c[(c[b+52>>2]|0)+32>>2]|0)+4>>2]|0);if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==2){d=d+(lB(h,c[j+(l<<2)>>2]|0)|0)|0}else{if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==1){d=d+(mB(h,c[j+(l<<2)>>2]|0)|0)|0}}Jd(c[h>>2]|0,c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+16>>2]|0,0)|0;d=d+(jA(h,c[(c[b+52>>2]|0)+32>>2]|0,p)|0)|0}}while(0);l=l+1|0}if((q|0)==17){kA(7696552,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m;dB(c[j+(l<<2)>>2]|0);c[j+(l<<2)>>2]=0}}else{l=0;b:while(1){if((l|0)>=(k|0)){break}c[j+(l<<2)>>2]=eB()|0;do{if((c[j+(l<<2)>>2]|0)!=0){b=Sb(c[h>>2]|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+12>>2]=b;b=Xc(g|0,4,2,c[h>>2]|0)|0;if((b|0)==0){break}d=d+b|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}b=c[g+4>>2]|0;if((b|0)==0){break}if((c[g>>2]|0)!=14){q=76;break b}c[(c[j+(l<<2)>>2]|0)+48>>2]=0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+32>>2]=0;d=d+(Xc(g|0,4,6,c[h>>2]|0)|0)|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0;eA(g+8|0)|0;eA(g+12|0)|0;eA(g+16|0)|0;eA(g+20|0)|0}b=b-24|0;if((c[g>>2]|0)==6){f=c[g+8>>2]|0;c[(c[j+(l<<2)>>2]|0)+16>>2]=f&255;c[(c[j+(l<<2)>>2]|0)+20>>2]=f&2048;c[(c[j+(l<<2)>>2]|0)+24>>2]=f&1024;c[(c[j+(l<<2)>>2]|0)+28>>2]=f&512;if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==5){c[c[j+(l<<2)>>2]>>2]=c[g+12>>2]}}if((c[g+16>>2]|0)==5){f=c[g+20>>2]|0;b=b-f|0;c[(c[j+(l<<2)>>2]|0)+4>>2]=(f|0)/4|0;f=L9(c[(c[j+(l<<2)>>2]|0)+4>>2]<<2)|0;c[(c[j+(l<<2)>>2]|0)+32>>2]=f;if(((c[(c[j+(l<<2)>>2]|0)+4>>2]|0)%2|0|0)!=0){d=d+(Xc(g|0,4,(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)+1|0,c[h>>2]|0)|0)|0;b=b-4|0}else{d=d+(Xc(g|0,4,c[(c[j+(l<<2)>>2]|0)+4>>2]|0,c[h>>2]|0)|0)|0}if((c[h+20>>2]|0)!=0){t=0;while(1){if((t|0)>=(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)){break}f=eA(g+(t<<2)|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+32>>2]|0)+(t<<2)>>2]=f;t=t+1|0}}else{t=0;while(1){if((t|0)>=(c[(c[j+(l<<2)>>2]|0)+4>>2]|0)){break}c[(c[(c[j+(l<<2)>>2]|0)+32>>2]|0)+(t<<2)>>2]=c[g+(t<<2)>>2];t=t+1|0}}}d=d+(Xc(g|0,1,8,c[h>>2]|0)|0)|0;b=b-8|0;if((c[h+20>>2]|0)!=0){eA(g|0)|0;eA(g+4|0)|0}p=0;if((c[g+4>>2]|0)>>>0>0>>>0){if((c[g>>2]|0)==1){p=c[g+4>>2]|0;if(((p|0)%8|0|0)>0){p=p+(8-((p|0)%8|0))|0}b=b-p|0;Jd(c[h>>2]|0,p|0,1)|0}}p=Sb(c[h>>2]|0)|0;c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+16>>2]=p;if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==2){d=d+(lB(h,c[j+(l<<2)>>2]|0)|0)|0}if((c[(c[j+(l<<2)>>2]|0)+16>>2]|0)==1){d=d+(mB(h,c[j+(l<<2)>>2]|0)|0)|0}Jd(c[h>>2]|0,(c[(c[(c[j+(l<<2)>>2]|0)+52>>2]|0)+16>>2]|0)+b|0,0)|0}else{kA(7696888,(m=i,i=i+8|0,c[m>>2]=l,m)|0);i=m}}while(0);l=l+1|0}if((q|0)==76){q=Sb(c[h>>2]|0)|0;kA(7694640,(m=i,i=i+16|0,c[m>>2]=l,c[m+8>>2]=q,m)|0);i=m;dB(c[j+(l<<2)>>2]|0);c[j+(l<<2)>>2]=0}}n=d;o=n;i=e;return o|0}function nB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=a;a=b;b=1;f=0;g=0;h=0;while(1){if((h|0)>=(c[a+4>>2]|0)){break}b=ga(b,c[(c[a+32>>2]|0)+(h<<2)>>2]|0)|0;h=h+1|0}c[a+40>>2]=L9(b<<2)|0;if((c[a+40>>2]|0)==0){f=0;c[a+12>>2]=0;c[a>>2]=0;j=f;i=d;return j|0}c[a+12>>2]=4;c[a>>2]=ga(b,c[a+12>>2]|0)|0;g=c[a+40>>2]|0;h=0;while(1){if((h|0)>=(b|0)){break}c[g+(h<<2)>>2]=iB(e)|0;h=h+1|0}j=f;i=d;return j|0}function oB(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;g=d;if((c[g>>2]|0)>>>0<e>>>0){a[b+(c[g>>2]|0)|0]=f}f=g;c[f>>2]=(c[f>>2]|0)+1;i=i;return}function pB(b,c,d,e,f,g,h,j){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;i=i+24|0;l=k|0;m=b;b=c;c=d;d=e;e=f;f=g;g=h;h=j;j=0;n=0;o=0;p=0;q=0;if((g|0)<0){g=0}r=d;if((h&64|0)==0){if((d|0)<0){j=45;r=-d|0}else{if((h&2|0)!=0){j=43}else{if((h&4|0)!=0){j=32}}}}if((h&32|0)!=0){q=1}do{d=n;n=d+1|0;a[l+d|0]=a[((q|0)!=0?7689648:7689424)+((r>>>0)%(e>>>0)|0)|0]|0;r=(r>>>0)/(e>>>0)|0;if((r|0)!=0){s=(n|0)<20}else{s=0}}while(s);if((n|0)==20){n=n-1|0}a[l+n|0]=0;p=g-n|0;if((g|0)>=(n|0)){t=g}else{t=n}o=f-t-((j|0)!=0?1:0)|0;if((p|0)<0){p=0}if((o|0)<0){o=0}if((h&16|0)!=0){if((p|0)>=(o|0)){u=p}else{u=o}p=u;o=0}if((h&1|0)!=0){o=-o|0}while(1){if((o|0)<=0){break}oB(m,b,c,32);o=o-1|0}if((j|0)!=0){oB(m,b,c,j&255)}if((p|0)>0){while(1){if((p|0)<=0){break}oB(m,b,c,48);p=p-1|0}}while(1){if((n|0)<=0){break}p=n-1|0;n=p;oB(m,b,c,a[l+p|0]|0)}while(1){if((o|0)>=0){break}oB(m,b,c,32);o=o+1|0}i=k;return}function qB(b,c,d,e,f,g,j){b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0;k=i;i=i+640|0;l=k|0;m=k+312|0;n=k+624|0;o=k+632|0;p=b;b=c;c=d;q=e;d=f;f=g;g=j;j=0;r=0;s=0;t=0;u=0;v=0;if((f|0)<0){f=6}e=+sB(q);if(q<0.0){j=45}else{if((g&2|0)!=0){j=43}else{if((g&4|0)!=0){j=32}}}if((f|0)>16){f=16}q=e;+tB(q,n);w=+vB(f);h[o>>3]=+(uB(w*(e- +h[n>>3]))|0);e=+h[o>>3];if(e>=+vB(f)){h[n>>3]=+h[n>>3]+1.0;e=+vB(f);h[o>>3]=+h[o>>3]-e}do{q=+h[n>>3]*.1;+tB(q,n);x=~~((q- +h[n>>3]+.05)*10.0);y=r;r=y+1|0;a[l+y|0]=a[((v|0)!=0?7689648:7689424)+x|0]|0;if(+h[n>>3]!=0.0){z=(r|0)<311}else{z=0}}while(z);if((r|0)==311){r=r-1|0}a[l+r|0]=0;if(+h[o>>3]!=0.0){do{q=+h[o>>3]*.1;+tB(q,o);x=~~((q- +h[o>>3]+.05)*10.0);z=s;s=z+1|0;a[m+z|0]=a[((v|0)!=0?7689648:7689424)+x|0]|0;if(+h[o>>3]!=0.0){A=(s|0)<311}else{A=0}}while(A);if((s|0)==311){s=s-1|0}}a[m+s|0]=0;t=d-r-f-1-((j|0)!=0?1:0)|0;u=f-s|0;if((u|0)<0){u=0}if((t|0)<0){t=0}if((g&1|0)!=0){t=-t|0}do{if((g&16|0)!=0){if((t|0)<=0){break}if((j|0)!=0){oB(p,b,c,j&255);t=t-1|0;j=0}while(1){if((t|0)<=0){break}oB(p,b,c,48);t=t-1|0}}}while(0);while(1){if((t|0)<=0){break}oB(p,b,c,32);t=t-1|0}if((j|0)!=0){oB(p,b,c,j&255)}while(1){if((r|0)<=0){break}j=r-1|0;r=j;oB(p,b,c,a[l+j|0]|0)}if((f|0)>0){oB(p,b,c,46);while(1){if((u|0)<=0){break}oB(p,b,c,48);u=u-1|0}while(1){if((s|0)<=0){break}u=s-1|0;s=u;oB(p,b,c,a[m+u|0]|0)}}while(1){if((t|0)>=0){break}oB(p,b,c,32);t=t+1|0}i=k;return}function rB(b,c,d,e,f,g,h){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=c;c=d;d=e;e=f;f=g;g=h;h=0;if((d|0)==0){d=7689752}l=0;while(1){if((a[d+l|0]|0)==0){break}l=l+1|0}m=f-l|0;if((m|0)<0){m=0}if((e&1|0)!=0){m=-m|0}while(1){if((m|0)>0){n=(h|0)<(g|0)}else{n=0}if(!n){break}oB(k,b,c,32);m=m-1|0;h=h+1|0}while(1){if((a[d]|0)!=0){o=(h|0)<(g|0)}else{o=0}if(!o){break}n=d;d=n+1|0;oB(k,b,c,a[n]|0);h=h+1|0}while(1){if((m|0)<0){p=(h|0)<(g|0)}else{p=0}if(!p){break}oB(k,b,c,32);m=m+1|0;h=h+1|0}i=j;return}function sB(a){a=+a;var b=0.0;b=a;a=b;if(b<0.0){a=-0.0-b}i=i;return+a}function tB(a,b){a=+a;b=b|0;var c=0,d=0,e=0.0,f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0.0;c=i;i=i+8|0;d=c|0;e=a;f=b;a=e;g=1.0;b=0;while(1){if((b|0)>=100){break}j=~~a;if(+(j|0)<=a+1.0){if(+(j|0)>=a-1.0){k=5;break}}a=a*.1;g=g*10.0;b=b+1|0}if((b|0)==100){h[f>>3]=0.0;l=0.0;m=l;i=c;return+m}if((b|0)!=0){n=+tB(e- +(j|0)*g,d);h[f>>3]=+(j|0)*g+ +h[d>>3];l=n;m=l;i=c;return+m}else{h[f>>3]=+(j|0);l=a- +h[f>>3];m=l;i=c;return+m}return 0.0}function uB(a){a=+a;var b=0,c=0.0,d=0,e=0;b=i;c=a;d=~~c;c=c- +(d|0);if(!(c>=.5)){e=d;i=b;return e|0}d=d+1|0;e=d;i=b;return e|0}function vB(a){a=a|0;var b=0,c=0,d=0.0;b=i;c=a;d=1.0;while(1){if((c|0)==0){break}d=d*10.0;c=c-1|0}i=b;return+d}function wB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;d=a;do{if((d|0)!=0){if((c[d+28>>2]|0)==0){break}a=c[d+28>>2]|0;c[a+28>>2]=0;c[d+20>>2]=0;c[d+8>>2]=0;c[d+24>>2]=0;if((c[a+8>>2]|0)!=0){c[d+48>>2]=c[a+8>>2]&1}c[a>>2]=0;c[a+4>>2]=0;c[a+12>>2]=0;c[a+20>>2]=32768;c[a+32>>2]=0;c[a+56>>2]=0;c[a+60>>2]=0;e=a+1328|0;c[a+108>>2]=e;c[a+80>>2]=e;c[a+76>>2]=e;c[a+7104>>2]=1;c[a+7108>>2]=-1;f=0;g=f;i=b;return g|0}}while(0);f=-2;g=f;i=b;return g|0}function xB(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)!=0){if((c[d+28>>2]|0)==0){break}a=c[d+28>>2]|0;c[a+40>>2]=0;c[a+44>>2]=0;c[a+48>>2]=0;e=wB(d)|0;f=e;i=b;return f|0}}while(0);e=-2;f=e;i=b;return f|0}function yB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;do{if((e|0)!=0){if((c[e+28>>2]|0)==0){break}b=c[e+28>>2]|0;if((a|0)<0){f=0;a=-a|0}else{f=(a>>4)+1|0;if((a|0)<48){a=a&15}}do{if((a|0)!=0){if((a|0)>=8){if((a|0)<=15){break}}g=-2;h=g;i=d;return h|0}}while(0);do{if((c[b+52>>2]|0)!=0){if((c[b+36>>2]|0)==(a|0)){break}ie[c[e+36>>2]&255](c[e+40>>2]|0,c[b+52>>2]|0);c[b+52>>2]=0}}while(0);c[b+8>>2]=f;c[b+36>>2]=a;g=xB(e)|0;h=g;i=d;return h|0}}while(0);g=-2;h=g;i=d;return h|0}function zB(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;do{if((d|0)!=0){if((a[d|0]|0)!=(a[7630560]|0)){break}if((e|0)!=56){break}if((h|0)==0){j=-2;k=j;i=g;return k|0}c[h+24>>2]=0;if((c[h+32>>2]|0)==0){c[h+32>>2]=72;c[h+40>>2]=0}if((c[h+36>>2]|0)==0){c[h+36>>2]=6}f=me[c[h+32>>2]&127](c[h+40>>2]|0,1,7116)|0;if((f|0)==0){j=-4;k=j;i=g;return k|0}c[h+28>>2]=f;c[f+52>>2]=0;l=yB(h,b)|0;if((l|0)!=0){ie[c[h+36>>2]&255](c[h+40>>2]|0,f);c[h+28>>2]=0}j=l;k=j;i=g;return k|0}}while(0);j=-6;k=j;i=g;return k|0}function AB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=zB(a,15,b,c)|0;i=d;return e|0}function BB(f,g){f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;h=i;i=i+24|0;j=h|0;k=h+8|0;l=h+16|0;m=f;f=g;do{if((m|0)!=0){if((c[m+28>>2]|0)==0){break}if((c[m+12>>2]|0)==0){break}if((c[m>>2]|0)==0){if((c[m+4>>2]|0)!=0){break}}g=c[m+28>>2]|0;if((c[g>>2]|0)==11){c[g>>2]=12}n=c[m+12>>2]|0;o=c[m+16>>2]|0;p=c[m>>2]|0;q=c[m+4>>2]|0;r=c[g+56>>2]|0;s=c[g+60>>2]|0;t=q;u=o;v=0;a:while(1){b:do{switch(c[g>>2]|0){case 14:{w=272;break};case 15:{w=273;break};case 9:{while(1){if(!(s>>>0<32>>>0)){break}if((q|0)==0){w=211;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}x=(r>>>24&255)+(r>>>8&65280)+((r&65280)<<8)+((r&255)<<24)|0;c[g+24>>2]=x;c[m+48>>2]=x;r=0;s=0;c[g>>2]=10;w=218;break};case 19:{w=400;break};case 20:{w=401;break};case 18:{w=321;break};case 8:{w=188;break};case 6:{w=146;break};case 13:{r=r>>>((s&7)>>>0);s=s-(s&7)|0;while(1){if(!(s>>>0<32>>>0)){break}if((q|0)==0){w=261;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}if((r&65535|0)!=(r>>>16^65535|0)){c[m+24>>2]=7631424;c[g>>2]=29;break b}c[g+64>>2]=r&65535;r=0;s=0;c[g>>2]=14;if((f|0)==6){w=270;break a}w=272;break};case 2:{w=70;break};case 10:{w=218;break};case 11:{w=223;break};case 12:{w=227;break};case 17:{w=301;break};case 16:{while(1){if(!(s>>>0<14>>>0)){break}if((q|0)==0){w=287;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}c[g+96>>2]=(r&31)+257;r=r>>>5;s=s-5|0;c[g+100>>2]=(r&31)+1;r=r>>>5;s=s-5|0;c[g+92>>2]=(r&15)+4;r=r>>>4;s=s-4|0;do{if(!((c[g+96>>2]|0)>>>0>286>>>0)){if((c[g+100>>2]|0)>>>0>30>>>0){break}c[g+104>>2]=0;c[g>>2]=17;w=301;break b}}while(0);c[m+24>>2]=7625992;c[g>>2]=29;break};case 3:{w=88;break};case 5:{w=129;break};case 0:{if((c[g+8>>2]|0)==0){c[g>>2]=12;break b}while(1){if(!(s>>>0<16>>>0)){break}if((q|0)==0){w=20;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}do{if((c[g+8>>2]&2|0)!=0){if((r|0)!=35615){break}c[g+24>>2]=KB(0,0,0)|0;a[l|0]=r;a[l+1|0]=r>>>8;c[g+24>>2]=KB(c[g+24>>2]|0,l|0,2)|0;r=0;s=0;c[g>>2]=1;break b}}while(0);c[g+16>>2]=0;if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+48>>2]=-1}do{if((c[g+8>>2]&1|0)!=0){if((((((r&255)<<8)+(r>>>8)|0)>>>0)%31|0|0)!=0){break}if((r&15|0)!=8){c[m+24>>2]=7671960;c[g>>2]=29;break b}r=r>>>4;s=s-4|0;y=(r&15)+8|0;do{if((c[g+36>>2]|0)==0){c[g+36>>2]=y}else{if(y>>>0>(c[g+36>>2]|0)>>>0){c[m+24>>2]=7660120;c[g>>2]=29;break b}else{break}}}while(0);c[g+20>>2]=1<<y;x=JB(0,0,0)|0;c[g+24>>2]=x;c[m+48>>2]=x;c[g>>2]=(r&512|0)!=0?9:11;r=0;s=0;break b}}while(0);c[m+24>>2]=7682568;c[g>>2]=29;break};case 1:{while(1){if(!(s>>>0<16>>>0)){break}if((q|0)==0){w=53;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}c[g+16>>2]=r;if((c[g+16>>2]&255|0)!=8){c[m+24>>2]=7671960;c[g>>2]=29;break b}if((c[g+16>>2]&57344|0)!=0){c[m+24>>2]=7651776;c[g>>2]=29;break b}if((c[g+32>>2]|0)!=0){c[c[g+32>>2]>>2]=r>>>8&1}if((c[g+16>>2]&512|0)!=0){a[l|0]=r;a[l+1|0]=r>>>8;c[g+24>>2]=KB(c[g+24>>2]|0,l|0,2)|0}r=0;s=0;c[g>>2]=2;w=70;break};case 4:{w=106;break};case 7:{w=167;break};case 21:{w=440;break};case 22:{w=454;break};case 23:{w=479;break};case 24:{w=493;break};case 25:{if((o|0)==0){w=516;break a}x=n;n=x+1|0;a[x]=c[g+64>>2];o=o-1|0;c[g>>2]=20;break};case 26:{if((c[g+8>>2]|0)!=0){while(1){if(!(s>>>0<32>>>0)){break}if((q|0)==0){w=524;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}u=u-o|0;x=m+20|0;c[x>>2]=(c[x>>2]|0)+u;x=g+28|0;c[x>>2]=(c[x>>2]|0)+u;if((u|0)!=0){if((c[g+16>>2]|0)!=0){z=KB(c[g+24>>2]|0,n+(-u|0)|0,u)|0}else{z=JB(c[g+24>>2]|0,n+(-u|0)|0,u)|0}c[g+24>>2]=z;c[m+48>>2]=z}u=o;if((c[g+16>>2]|0)!=0){A=r}else{A=(r>>>24&255)+(r>>>8&65280)+((r&65280)<<8)+((r&255)<<24)|0}if((A|0)!=(c[g+24>>2]|0)){c[m+24>>2]=7682640;c[g>>2]=29;break b}r=0;s=0}c[g>>2]=27;w=542;break};case 27:{w=542;break};case 28:{w=559;break a;break};case 29:{w=560;break a;break};case 30:{w=561;break a;break};case 31:{w=562;break a;break};default:{w=563;break a}}}while(0);do{if((w|0)==70){w=0;while(1){if(!(s>>>0<32>>>0)){break}if((q|0)==0){w=75;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+4>>2]=r}if((c[g+16>>2]&512|0)!=0){a[l|0]=r;a[l+1|0]=r>>>8;a[l+2|0]=r>>>16;a[l+3|0]=r>>>24;c[g+24>>2]=KB(c[g+24>>2]|0,l|0,4)|0}r=0;s=0;c[g>>2]=3;w=88}else if((w|0)==218){w=0;if((c[g+12>>2]|0)==0){w=219;break a}x=JB(0,0,0)|0;c[g+24>>2]=x;c[m+48>>2]=x;c[g>>2]=11;w=223}else if((w|0)==272){w=0;c[g>>2]=15;w=273}else if((w|0)==301){w=0;while(1){if(!((c[g+104>>2]|0)>>>0<(c[g+92>>2]|0)>>>0)){break}while(1){if(!(s>>>0<3>>>0)){break}if((q|0)==0){w=308;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}x=g+104|0;B=c[x>>2]|0;c[x>>2]=B+1;b[g+112+((e[16808+(B<<1)>>1]|0)<<1)>>1]=r&7;r=r>>>3;s=s-3|0}while(1){if(!((c[g+104>>2]|0)>>>0<19>>>0)){break}B=g+104|0;x=c[B>>2]|0;c[B>>2]=x+1;b[g+112+((e[16808+(x<<1)>>1]|0)<<1)>>1]=0}c[g+108>>2]=g+1328;c[g+76>>2]=c[g+108>>2];c[g+84>>2]=7;v=GB(0,g+112|0,19,g+108|0,g+84|0,g+752|0)|0;if((v|0)!=0){c[m+24>>2]=32720;c[g>>2]=29;break}else{c[g+104>>2]=0;c[g>>2]=18;w=321;break}}else if((w|0)==542){w=0;if((c[g+8>>2]|0)==0){w=558;break a}if((c[g+16>>2]|0)==0){w=558;break a}while(1){if(!(s>>>0<32>>>0)){break}if((q|0)==0){w=549;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}if((r|0)==(c[g+28>>2]|0)){w=555;break a}c[m+24>>2]=7681768;c[g>>2]=29}}while(0);do{if((w|0)==88){w=0;while(1){if(!(s>>>0<16>>>0)){break}if((q|0)==0){w=93;break a}q=q-1|0;x=p;p=x+1|0;r=r+((d[x]|0)<<s)|0;s=s+8|0}if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+8>>2]=r&255;c[(c[g+32>>2]|0)+12>>2]=r>>>8}if((c[g+16>>2]&512|0)!=0){a[l|0]=r;a[l+1|0]=r>>>8;c[g+24>>2]=KB(c[g+24>>2]|0,l|0,2)|0}r=0;s=0;c[g>>2]=4;w=106}else if((w|0)==223){w=0;if((f|0)==5){w=225;break a}if((f|0)==6){w=225;break a}w=227}else if((w|0)==273){w=0;C=c[g+64>>2]|0;if((C|0)==0){c[g>>2]=11;break}if(C>>>0>q>>>0){C=q}if(C>>>0>o>>>0){C=o}if((C|0)==0){w=279;break a}naa(n|0,p|0,C)|0;q=q-C|0;p=p+C|0;o=o-C|0;n=n+C|0;x=g+64|0;c[x>>2]=(c[x>>2]|0)-C}else if((w|0)==321){w=0;while(1){if(!((c[g+104>>2]|0)>>>0<((c[g+96>>2]|0)+(c[g+100>>2]|0)|0)>>>0)){break}while(1){x=j;B=(c[g+76>>2]|0)+((r&(1<<c[g+84>>2])-1)<<2)|0;b[x>>1]=b[B>>1]|0;b[x+2>>1]=b[B+2>>1]|0;if((d[j+1|0]|0)>>>0<=s>>>0){break}if((q|0)==0){w=328;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}if((e[j+2>>1]|0|0)<16){r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;B=b[j+2>>1]|0;x=g+104|0;D=c[x>>2]|0;c[x>>2]=D+1;b[g+112+(D<<1)>>1]=B}else{if((e[j+2>>1]|0|0)==16){while(1){if(!(s>>>0<((d[j+1|0]|0)+2|0)>>>0)){break}if((q|0)==0){w=341;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;if((c[g+104>>2]|0)==0){w=348;break}y=e[g+112+((c[g+104>>2]|0)-1<<1)>>1]|0;C=(r&3)+3|0;r=r>>>2;s=s-2|0}else{if((e[j+2>>1]|0|0)==17){while(1){if(!(s>>>0<((d[j+1|0]|0)+3|0)>>>0)){break}if((q|0)==0){w=358;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;y=0;C=(r&7)+3|0;r=r>>>3;s=s-3|0}else{while(1){if(!(s>>>0<((d[j+1|0]|0)+7|0)>>>0)){break}if((q|0)==0){w=372;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;y=0;C=(r&127)+11|0;r=r>>>7;s=s-7|0}}if(((c[g+104>>2]|0)+C|0)>>>0>((c[g+96>>2]|0)+(c[g+100>>2]|0)|0)>>>0){w=383;break}while(1){B=C;C=B-1|0;if((B|0)==0){break}B=g+104|0;D=c[B>>2]|0;c[B>>2]=D+1;b[g+112+(D<<1)>>1]=y}}}if((w|0)==348){w=0;c[m+24>>2]=7696728;c[g>>2]=29}else if((w|0)==383){w=0;c[m+24>>2]=7696728;c[g>>2]=29}if((c[g>>2]|0)==29){break}if((e[g+624>>1]|0|0)==0){c[m+24>>2]=7692232;c[g>>2]=29;break}c[g+108>>2]=g+1328;c[g+76>>2]=c[g+108>>2];c[g+84>>2]=9;v=GB(1,g+112|0,c[g+96>>2]|0,g+108|0,g+84|0,g+752|0)|0;if((v|0)!=0){c[m+24>>2]=7689256;c[g>>2]=29;break}c[g+80>>2]=c[g+108>>2];c[g+88>>2]=6;v=GB(2,g+112+(c[g+96>>2]<<1)|0,c[g+100>>2]|0,g+108|0,g+88|0,g+752|0)|0;if((v|0)!=0){c[m+24>>2]=7687296;c[g>>2]=29;break}c[g>>2]=19;if((f|0)==6){w=398;break a}w=400}}while(0);do{if((w|0)==106){w=0;if((c[g+16>>2]&1024|0)!=0){while(1){if(!(s>>>0<16>>>0)){break}if((q|0)==0){w=112;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}c[g+64>>2]=r;if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+20>>2]=r}if((c[g+16>>2]&512|0)!=0){a[l|0]=r;a[l+1|0]=r>>>8;c[g+24>>2]=KB(c[g+24>>2]|0,l|0,2)|0}r=0;s=0}else{if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+16>>2]=0}}c[g>>2]=5;w=129}else if((w|0)==227){w=0;if((c[g+4>>2]|0)!=0){r=r>>>((s&7)>>>0);s=s-(s&7)|0;c[g>>2]=26;break}while(1){if(!(s>>>0<3>>>0)){break}if((q|0)==0){w=236;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}c[g+4>>2]=r&1;r=r>>>1;s=s-1|0;D=r&3;if((D|0)==0){c[g>>2]=13}else if((D|0)==1){CB(g);c[g>>2]=19;if((f|0)==6){w=245;break a}}else if((D|0)==2){c[g>>2]=16}else if((D|0)==3){c[m+24>>2]=7638112;c[g>>2]=29}r=r>>>2;s=s-2|0}else if((w|0)==400){w=0;c[g>>2]=20;w=401}}while(0);c:do{if((w|0)==129){w=0;if((c[g+16>>2]&1024|0)!=0){C=c[g+64>>2]|0;if(C>>>0>q>>>0){C=q}if((C|0)!=0){do{if((c[g+32>>2]|0)!=0){if((c[(c[g+32>>2]|0)+16>>2]|0)==0){break}y=(c[(c[g+32>>2]|0)+20>>2]|0)-(c[g+64>>2]|0)|0;if((y+C|0)>>>0>(c[(c[g+32>>2]|0)+24>>2]|0)>>>0){E=(c[(c[g+32>>2]|0)+24>>2]|0)-y|0}else{E=C}naa((c[(c[g+32>>2]|0)+16>>2]|0)+y|0,p|0,E)|0}}while(0);if((c[g+16>>2]&512|0)!=0){c[g+24>>2]=KB(c[g+24>>2]|0,p,C)|0}q=q-C|0;p=p+C|0;D=g+64|0;c[D>>2]=(c[D>>2]|0)-C}if((c[g+64>>2]|0)!=0){w=143;break a}}c[g+64>>2]=0;c[g>>2]=6;w=146}else if((w|0)==401){w=0;do{if(q>>>0>=6>>>0){if(!(o>>>0>=258>>>0)){break}c[m+12>>2]=n;c[m+16>>2]=o;c[m>>2]=p;c[m+4>>2]=q;c[g+56>>2]=r;c[g+60>>2]=s;NB(m,u);n=c[m+12>>2]|0;o=c[m+16>>2]|0;p=c[m>>2]|0;q=c[m+4>>2]|0;r=c[g+56>>2]|0;s=c[g+60>>2]|0;if((c[g>>2]|0)==11){c[g+7108>>2]=-1}break c}}while(0);c[g+7108>>2]=0;while(1){D=j;B=(c[g+76>>2]|0)+((r&(1<<c[g+84>>2])-1)<<2)|0;b[D>>1]=b[B>>1]|0;b[D+2>>1]=b[B+2>>1]|0;if((d[j+1|0]|0)>>>0<=s>>>0){break}if((q|0)==0){w=415;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}do{if((d[j|0]|0|0)!=0){if((a[j|0]&240|0)!=0){break}B=k;D=j;b[B>>1]=b[D>>1]|0;b[B+2>>1]=b[D+2>>1]|0;while(1){D=j;B=(c[g+76>>2]|0)+((e[k+2>>1]|0)+((r&(1<<(d[k+1|0]|0)+(d[k|0]|0))-1)>>>((d[k+1|0]|0)>>>0))<<2)|0;b[D>>1]=b[B>>1]|0;b[D+2>>1]=b[B+2>>1]|0;if(((d[k+1|0]|0)+(d[j+1|0]|0)|0)>>>0<=s>>>0){break}if((q|0)==0){w=425;break a}q=q-1|0;B=p;p=B+1|0;r=r+((d[B]|0)<<s)|0;s=s+8|0}r=r>>>((d[k+1|0]|0)>>>0);s=s-(d[k+1|0]|0)|0;B=g+7108|0;c[B>>2]=(c[B>>2]|0)+(d[k+1|0]|0)}}while(0);r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;B=g+7108|0;c[B>>2]=(c[B>>2]|0)+(d[j+1|0]|0);c[g+64>>2]=e[j+2>>1]|0;if((d[j|0]|0|0)==0){c[g>>2]=25;break}if((a[j|0]&32|0)!=0){c[g+7108>>2]=-1;c[g>>2]=11;break}if((a[j|0]&64|0)!=0){c[m+24>>2]=7686136;c[g>>2]=29;break}else{c[g+72>>2]=a[j|0]&15;c[g>>2]=21;w=440;break}}}while(0);if((w|0)==146){w=0;if((c[g+16>>2]&2048|0)!=0){if((q|0)==0){w=148;break}C=0;do{B=C;C=B+1|0;y=d[p+B|0]|0;do{if((c[g+32>>2]|0)!=0){if((c[(c[g+32>>2]|0)+28>>2]|0)==0){break}if(!((c[g+64>>2]|0)>>>0<(c[(c[g+32>>2]|0)+32>>2]|0)>>>0)){break}B=g+64|0;D=c[B>>2]|0;c[B>>2]=D+1;a[(c[(c[g+32>>2]|0)+28>>2]|0)+D|0]=y}}while(0);if((y|0)!=0){F=C>>>0<q>>>0}else{F=0}}while(F);if((c[g+16>>2]&512|0)!=0){c[g+24>>2]=KB(c[g+24>>2]|0,p,C)|0}q=q-C|0;p=p+C|0;if((y|0)!=0){w=161;break}}else{if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+28>>2]=0}}c[g+64>>2]=0;c[g>>2]=7;w=167}else if((w|0)==440){w=0;if((c[g+72>>2]|0)!=0){while(1){if(!(s>>>0<(c[g+72>>2]|0)>>>0)){break}if((q|0)==0){w=446;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}D=g+64|0;c[D>>2]=(c[D>>2]|0)+(r&(1<<c[g+72>>2])-1);r=r>>>((c[g+72>>2]|0)>>>0);s=s-(c[g+72>>2]|0)|0;D=g+7108|0;c[D>>2]=(c[D>>2]|0)+(c[g+72>>2]|0)}c[g+7112>>2]=c[g+64>>2];c[g>>2]=22;w=454}do{if((w|0)==167){w=0;if((c[g+16>>2]&4096|0)!=0){if((q|0)==0){w=169;break a}C=0;do{D=C;C=D+1|0;y=d[p+D|0]|0;do{if((c[g+32>>2]|0)!=0){if((c[(c[g+32>>2]|0)+36>>2]|0)==0){break}if(!((c[g+64>>2]|0)>>>0<(c[(c[g+32>>2]|0)+40>>2]|0)>>>0)){break}D=g+64|0;B=c[D>>2]|0;c[D>>2]=B+1;a[(c[(c[g+32>>2]|0)+36>>2]|0)+B|0]=y}}while(0);if((y|0)!=0){G=C>>>0<q>>>0}else{G=0}}while(G);if((c[g+16>>2]&512|0)!=0){c[g+24>>2]=KB(c[g+24>>2]|0,p,C)|0}q=q-C|0;p=p+C|0;if((y|0)!=0){w=182;break a}}else{if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+36>>2]=0}}c[g>>2]=8;w=188}else if((w|0)==454){w=0;while(1){B=j;D=(c[g+80>>2]|0)+((r&(1<<c[g+88>>2])-1)<<2)|0;b[B>>1]=b[D>>1]|0;b[B+2>>1]=b[D+2>>1]|0;if((d[j+1|0]|0)>>>0<=s>>>0){break}if((q|0)==0){w=459;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}if((a[j|0]&240|0)==0){D=k;B=j;b[D>>1]=b[B>>1]|0;b[D+2>>1]=b[B+2>>1]|0;while(1){B=j;D=(c[g+80>>2]|0)+((e[k+2>>1]|0)+((r&(1<<(d[k+1|0]|0)+(d[k|0]|0))-1)>>>((d[k+1|0]|0)>>>0))<<2)|0;b[B>>1]=b[D>>1]|0;b[B+2>>1]=b[D+2>>1]|0;if(((d[k+1|0]|0)+(d[j+1|0]|0)|0)>>>0<=s>>>0){break}if((q|0)==0){w=468;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}r=r>>>((d[k+1|0]|0)>>>0);s=s-(d[k+1|0]|0)|0;D=g+7108|0;c[D>>2]=(c[D>>2]|0)+(d[k+1|0]|0)}r=r>>>((d[j+1|0]|0)>>>0);s=s-(d[j+1|0]|0)|0;D=g+7108|0;c[D>>2]=(c[D>>2]|0)+(d[j+1|0]|0);if((a[j|0]&64|0)!=0){c[m+24>>2]=7684632;c[g>>2]=29;break}else{c[g+68>>2]=e[j+2>>1]|0;c[g+72>>2]=a[j|0]&15;c[g>>2]=23;w=479;break}}}while(0);do{if((w|0)==188){w=0;if((c[g+16>>2]&512|0)!=0){while(1){if(!(s>>>0<16>>>0)){break}if((q|0)==0){w=194;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}if((r|0)!=(c[g+24>>2]&65535|0)){c[m+24>>2]=7645416;c[g>>2]=29;break}r=0;s=0}if((c[g+32>>2]|0)!=0){c[(c[g+32>>2]|0)+44>>2]=c[g+16>>2]>>9&1;c[(c[g+32>>2]|0)+48>>2]=1}D=KB(0,0,0)|0;c[g+24>>2]=D;c[m+48>>2]=D;c[g>>2]=11}else if((w|0)==479){w=0;if((c[g+72>>2]|0)!=0){while(1){if(!(s>>>0<(c[g+72>>2]|0)>>>0)){break}if((q|0)==0){w=485;break a}q=q-1|0;D=p;p=D+1|0;r=r+((d[D]|0)<<s)|0;s=s+8|0}D=g+68|0;c[D>>2]=(c[D>>2]|0)+(r&(1<<c[g+72>>2])-1);r=r>>>((c[g+72>>2]|0)>>>0);s=s-(c[g+72>>2]|0)|0;D=g+7108|0;c[D>>2]=(c[D>>2]|0)+(c[g+72>>2]|0)}c[g>>2]=24;w=493}}while(0);d:do{if((w|0)==493){w=0;if((o|0)==0){w=494;break a}C=u-o|0;if((c[g+68>>2]|0)>>>0>C>>>0){C=(c[g+68>>2]|0)-C|0;do{if(C>>>0>(c[g+44>>2]|0)>>>0){if((c[g+7104>>2]|0)!=0){c[m+24>>2]=7683560;c[g>>2]=29;break d}else{break}}}while(0);if(C>>>0>(c[g+48>>2]|0)>>>0){C=C-(c[g+48>>2]|0)|0;H=(c[g+52>>2]|0)+((c[g+40>>2]|0)-C)|0}else{H=(c[g+52>>2]|0)+((c[g+48>>2]|0)-C)|0}if(C>>>0>(c[g+64>>2]|0)>>>0){C=c[g+64>>2]|0}}else{H=n+(-(c[g+68>>2]|0)|0)|0;C=c[g+64>>2]|0}if(C>>>0>o>>>0){C=o}o=o-C|0;D=g+64|0;c[D>>2]=(c[D>>2]|0)-C;do{D=H;H=D+1|0;B=n;n=B+1|0;a[B]=a[D]|0;D=C-1|0;C=D;}while((D|0)!=0);if((c[g+64>>2]|0)==0){c[g>>2]=20}}}while(0)}if((w|0)!=20)if((w|0)!=53)if((w|0)!=75)if((w|0)!=93)if((w|0)!=112)if((w|0)!=143)if((w|0)!=148)if((w|0)!=161)if((w|0)!=169)if((w|0)!=182)if((w|0)!=194)if((w|0)!=211)if((w|0)==219){c[m+12>>2]=n;c[m+16>>2]=o;c[m>>2]=p;c[m+4>>2]=q;c[g+56>>2]=r;c[g+60>>2]=s;I=2;J=I;i=h;return J|0}else if((w|0)!=225)if((w|0)!=236)if((w|0)==245){r=r>>>2;s=s-2|0}else if((w|0)!=261)if((w|0)!=270)if((w|0)!=279)if((w|0)!=287)if((w|0)!=308)if((w|0)!=328)if((w|0)!=341)if((w|0)!=358)if((w|0)!=372)if((w|0)!=398)if((w|0)!=415)if((w|0)!=425)if((w|0)!=446)if((w|0)!=459)if((w|0)!=468)if((w|0)!=485)if((w|0)!=494)if((w|0)!=516)if((w|0)!=524)if((w|0)!=549)if((w|0)==555){r=0;s=0;w=558}else if((w|0)==560){v=-3}else if((w|0)==561){I=-4;J=I;i=h;return J|0}else if((w|0)==562){w=563}if((w|0)==558){c[g>>2]=28;w=559}else if((w|0)==563){I=-2;J=I;i=h;return J|0}if((w|0)==559){v=1}c[m+12>>2]=n;c[m+16>>2]=o;c[m>>2]=p;c[m+4>>2]=q;c[g+56>>2]=r;c[g+60>>2]=s;do{if((c[g+40>>2]|0)!=0){w=572}else{if((u|0)==(c[m+16>>2]|0)){break}if(!((c[g>>2]|0)>>>0<29>>>0)){break}if((c[g>>2]|0)>>>0<26>>>0){w=572;break}if((f|0)!=4){w=572}}}while(0);do{if((w|0)==572){if((DB(m,c[m+12>>2]|0,u-(c[m+16>>2]|0)|0)|0)==0){break}c[g>>2]=30;I=-4;J=I;i=h;return J|0}}while(0);t=t-(c[m+4>>2]|0)|0;u=u-(c[m+16>>2]|0)|0;s=m+8|0;c[s>>2]=(c[s>>2]|0)+t;s=m+20|0;c[s>>2]=(c[s>>2]|0)+u;s=g+28|0;c[s>>2]=(c[s>>2]|0)+u;do{if((c[g+8>>2]|0)!=0){if((u|0)==0){break}if((c[g+16>>2]|0)!=0){K=KB(c[g+24>>2]|0,(c[m+12>>2]|0)+(-u|0)|0,u)|0}else{K=JB(c[g+24>>2]|0,(c[m+12>>2]|0)+(-u|0)|0,u)|0}c[g+24>>2]=K;c[m+48>>2]=K}}while(0);if((c[g>>2]|0)==19){L=1}else{L=(c[g>>2]|0)==14}c[m+44>>2]=(c[g+60>>2]|0)+((c[g+4>>2]|0)!=0?64:0)+((c[g>>2]|0)==11?128:0)+(L?256:0);if((t|0)==0){if((u|0)==0){w=586}else{w=585}}else{w=585}if((w|0)==585){if((f|0)==4){w=586}}do{if((w|0)==586){if((v|0)!=0){break}v=-5}}while(0);I=v;J=I;i=h;return J|0}}while(0);I=-2;J=I;i=h;return J|0}function CB(a){a=a|0;var b=0;b=a;c[b+76>>2]=16968;c[b+84>>2]=9;c[b+80>>2]=19016;c[b+88>>2]=5;i=i;return}function DB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=b;b=d;d=c[f+28>>2]|0;do{if((c[d+52>>2]|0)==0){c[d+52>>2]=me[c[f+32>>2]&127](c[f+40>>2]|0,1<<c[d+36>>2],1)|0;if((c[d+52>>2]|0)!=0){break}g=1;h=g;i=e;return h|0}}while(0);if((c[d+40>>2]|0)==0){c[d+40>>2]=1<<c[d+36>>2];c[d+48>>2]=0;c[d+44>>2]=0}if(b>>>0>=(c[d+40>>2]|0)>>>0){naa(c[d+52>>2]|0,a+(-(c[d+40>>2]|0)|0)|0,c[d+40>>2]|0)|0;c[d+48>>2]=0;c[d+44>>2]=c[d+40>>2]}else{f=(c[d+40>>2]|0)-(c[d+48>>2]|0)|0;if(f>>>0>b>>>0){f=b}naa((c[d+52>>2]|0)+(c[d+48>>2]|0)|0,a+(-b|0)|0,f)|0;b=b-f|0;if((b|0)!=0){naa(c[d+52>>2]|0,a+(-b|0)|0,b)|0;c[d+48>>2]=b;c[d+44>>2]=c[d+40>>2]}else{b=d+48|0;c[b>>2]=(c[b>>2]|0)+f;if((c[d+48>>2]|0)==(c[d+40>>2]|0)){c[d+48>>2]=0}if((c[d+44>>2]|0)>>>0<(c[d+40>>2]|0)>>>0){b=d+44|0;c[b>>2]=(c[b>>2]|0)+f}}}g=0;h=g;i=e;return h|0}function EB(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)!=0){if((c[d+28>>2]|0)==0){break}if((c[d+36>>2]|0)==0){break}a=c[d+28>>2]|0;if((c[a+52>>2]|0)!=0){ie[c[d+36>>2]&255](c[d+40>>2]|0,c[a+52>>2]|0)}ie[c[d+36>>2]&255](c[d+40>>2]|0,c[d+28>>2]|0);c[d+28>>2]=0;e=0;f=e;i=b;return f|0}}while(0);e=-2;f=e;i=b;return f|0}function FB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=a;a=b;do{if((e|0)!=0){if((a|0)==0){break}if((c[a+28>>2]|0)==0){break}if((c[a+32>>2]|0)==0){break}if((c[a+36>>2]|0)==0){break}b=c[a+28>>2]|0;f=me[c[a+32>>2]&127](c[a+40>>2]|0,1,7116)|0;if((f|0)==0){g=-4;h=g;i=d;return h|0}j=0;do{if((c[b+52>>2]|0)!=0){j=me[c[a+32>>2]&127](c[a+40>>2]|0,1<<c[b+36>>2],1)|0;if((j|0)!=0){break}ie[c[a+36>>2]&255](c[a+40>>2]|0,f);g=-4;h=g;i=d;return h|0}}while(0);naa(e|0,a|0,56)|0;naa(f|0,b|0,7116)|0;do{if((c[b+76>>2]|0)>>>0>=(b+1328|0)>>>0){if(!((c[b+76>>2]|0)>>>0<=(b+7104-4|0)>>>0)){break}c[f+76>>2]=f+1328+((((c[b+76>>2]|0)-(b+1328)|0)/4|0)<<2);c[f+80>>2]=f+1328+((((c[b+80>>2]|0)-(b+1328)|0)/4|0)<<2)}}while(0);c[f+108>>2]=f+1328+((((c[b+108>>2]|0)-(b+1328)|0)/4|0)<<2);if((j|0)!=0){naa(j|0,c[b+52>>2]|0,1<<c[b+36>>2])|0}c[f+52>>2]=j;c[e+28>>2]=f;g=0;h=g;i=d;return h|0}}while(0);g=-2;h=g;i=d;return h|0}function GB(d,f,g,h,j,k){d=d|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;l=i;i=i+72|0;m=l|0;n=l+8|0;o=l+40|0;p=d;d=f;f=g;g=h;h=j;j=k;k=0;while(1){if(!(k>>>0<=15>>>0)){break}b[n+(k<<1)>>1]=0;k=k+1|0}q=0;while(1){if(!(q>>>0<f>>>0)){break}r=n+((e[d+(q<<1)>>1]|0)<<1)|0;b[r>>1]=(b[r>>1]|0)+1;q=q+1|0}r=c[h>>2]|0;s=15;while(1){if(!(s>>>0>=1>>>0)){break}if((e[n+(s<<1)>>1]|0|0)!=0){t=12;break}s=s-1|0}if(r>>>0>s>>>0){r=s}if((s|0)==0){a[m|0]=64;a[m+1|0]=1;b[m+2>>1]=0;u=g;v=c[u>>2]|0;c[u>>2]=v+4;u=v;v=m;b[u>>1]=b[v>>1]|0;b[u+2>>1]=b[v+2>>1]|0;v=g;u=c[v>>2]|0;c[v>>2]=u+4;v=u;u=m;b[v>>1]=b[u>>1]|0;b[v+2>>1]=b[u+2>>1]|0;c[h>>2]=1;w=0;x=w;i=l;return x|0}u=1;while(1){if(!(u>>>0<s>>>0)){break}if((e[n+(u<<1)>>1]|0|0)!=0){t=22;break}u=u+1|0}if(r>>>0<u>>>0){r=u}v=1;k=1;while(1){if(!(k>>>0<=15>>>0)){break}v=v<<1;v=v-(e[n+(k<<1)>>1]|0)|0;if((v|0)<0){t=30;break}k=k+1|0}if((t|0)==30){w=-1;x=w;i=l;return x|0}do{if((v|0)>0){if((p|0)!=0){if((s|0)==1){break}}w=-1;x=w;i=l;return x|0}}while(0);b[o+2>>1]=0;k=1;while(1){if(!(k>>>0<15>>>0)){break}b[o+(k+1<<1)>>1]=(e[o+(k<<1)>>1]|0)+(e[n+(k<<1)>>1]|0);k=k+1|0}q=0;while(1){if(!(q>>>0<f>>>0)){break}if((e[d+(q<<1)>>1]|0|0)!=0){y=o+((e[d+(q<<1)>>1]|0)<<1)|0;z=b[y>>1]|0;b[y>>1]=z+1;b[j+((z&65535)<<1)>>1]=q}q=q+1|0}o=p;if((o|0)==1){A=16616;A=A-514|0;B=16552;B=B-514|0;C=256}else if((o|0)==0){o=j;B=o;A=o;C=19}else{A=16744;B=16680;C=-1}o=0;q=0;k=u;f=c[g>>2]|0;z=r;y=0;D=-1;E=1<<r;F=E-1|0;if((p|0)==1){if(!(E>>>0>852>>>0)){t=53}}else{t=53}do{if((t|0)==53){if((p|0)==2){if(E>>>0>592>>>0){break}}a:while(1){a[m+1|0]=k-y;if((e[j+(q<<1)>>1]|0|0)<(C|0)){a[m|0]=0;b[m+2>>1]=b[j+(q<<1)>>1]|0}else{if((e[j+(q<<1)>>1]|0|0)>(C|0)){a[m|0]=b[B+((e[j+(q<<1)>>1]|0)<<1)>>1];b[m+2>>1]=b[A+((e[j+(q<<1)>>1]|0)<<1)>>1]|0}else{a[m|0]=96;b[m+2>>1]=0}}G=1<<k-y;H=1<<z;u=H;do{H=H-G|0;I=f+((o>>>(y>>>0))+H<<2)|0;J=m;b[I>>1]=b[J>>1]|0;b[I+2>>1]=b[J+2>>1]|0;}while((H|0)!=0);G=1<<k-1;while(1){if((o&G|0)==0){break}G=G>>>1}if((G|0)!=0){o=o&G-1;o=o+G|0}else{o=0}q=q+1|0;H=n+(k<<1)|0;J=(b[H>>1]|0)-1&65535;b[H>>1]=J;if((J&65535|0)==0){if((k|0)==(s|0)){break}k=e[d+((e[j+(q<<1)>>1]|0)<<1)>>1]|0}do{if(k>>>0>r>>>0){if((o&F|0)==(D|0)){break}if((y|0)==0){y=r}f=f+(u<<2)|0;z=k-y|0;v=1<<z;while(1){if(!((z+y|0)>>>0<s>>>0)){break}v=v-(e[n+(z+y<<1)>>1]|0)|0;if((v|0)<=0){t=83;break}z=z+1|0;v=v<<1}if((t|0)==83){t=0}E=E+(1<<z)|0;if((p|0)==1){if(E>>>0>852>>>0){t=89;break a}}if((p|0)==2){if(E>>>0>592>>>0){t=89;break a}}D=o&F;a[(c[g>>2]|0)+(D<<2)|0]=z;a[(c[g>>2]|0)+(D<<2)+1|0]=r;b[(c[g>>2]|0)+(D<<2)+2>>1]=(f-(c[g>>2]|0)|0)/4|0}}while(0)}if((t|0)==89){w=1;x=w;i=l;return x|0}if((o|0)!=0){a[m|0]=64;a[m+1|0]=k-y;b[m+2>>1]=0;G=f+(o<<2)|0;J=m;b[G>>1]=b[J>>1]|0;b[G+2>>1]=b[J+2>>1]|0}J=g;c[J>>2]=(c[J>>2]|0)+(E<<2);c[h>>2]=r;w=0;x=w;i=l;return x|0}}while(0);w=1;x=w;i=l;return x|0}function HB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=b;b=c;if((a|0)!=0){e=e+(b-b)|0}a=L9(ga(e,b)|0)|0;i=d;return a|0}



function ml(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17592>>3];j=+h[f+17600>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7664136,7711656,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7663240,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+1760>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17584>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7662120,7711656,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+1784|0;h[r>>3]=q;i=d;return}function nl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1784>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1792|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7661024,7711648,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1792|0;h[l>>3]=k;return}function ol(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1800>>3]=+h[b+1792>>3]*(-0.0- +h[b+1856>>3]);return}function pl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1808>>3]=-0.0- +h[b+1800>>3]- +h[b+1640>>3];return}function ql(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1608>>3]=+h[b+1864>>3]+ +h[b+1808>>3];return}function rl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2760>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1888|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1888|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7672680,7711640,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1888|0;h[m>>3]=k;return}function sl(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1888>>3],+h[f+17400>>3],+h[f+17408>>3],+h[f+17416>>3],+h[f+17424>>3],+h[f+17432>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1872>>3]=+h[d>>3];i=b;return}function tl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1872>>3];i=+h[(c[b+416>>2]|0)+17440>>3];j=+h[f+2760>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7671768,7711632,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1896>>3]=g*k*1256637061435917.0e-21;return}function ul(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1896>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1904|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7670880,7711624,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1904|0;h[l>>3]=k;return}function vl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1912>>3]=+h[b+1904>>3]*(-0.0- +h[b+2080>>3]);return}function wl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2784>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1720|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1720|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7678288,7711616,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1720|0;h[m>>3]=k;return}function xl(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1720>>3],+h[f+17616>>3],+h[f+17624>>3],+h[f+17632>>3],+h[f+17640>>3],+h[f+17648>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1704>>3]=+h[d>>3];i=b;return}function yl(b){b=b|0;var d=0,e=0,f=0,g=0.0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0;d=i;e=b+416|0;f=c[e>>2]|0;g=+h[f+17664>>3];j=+h[f+17672>>3];do{if(g!=0.0){k=j/g}else{if(j==0.0){k=j;break}k=j/+lH(c[b+536>>2]|0,g,7677384,7711608,+h[c[c[b+4>>2]>>2]>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(!(k>0.0)){Ce[c[2178]&63](c[b+536>>2]|0,7711584,7675872,(f=i,i=i+8|0,h[f>>3]=k,f)|0);i=f}f=b+4|0;l=c[c[f>>2]>>2]|0;m=c[l+8>>2]|0;g=+h[m+1704>>3];j=+ea(k);k=+h[(c[e>>2]|0)+17656>>3];if(j!=0.0){n=k/j;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}if(k==0.0){n=k;o=m;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}s=k/+lH(c[b+536>>2]|0,j,7674896,7711608,+h[l>>3],(a[b+319|0]|0)!=0|0);n=s;o=c[(c[c[f>>2]>>2]|0)+8>>2]|0;p=g*n;q=p*7895683520871486.0e-21;r=o+1728|0;h[r>>3]=q;i=d;return}function zl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1728>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1736|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7673744,7711576,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1736|0;h[l>>3]=k;return}function Al(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1744>>3]=+h[b+1736>>3]*(-0.0- +h[b+2080>>3]);return}function Bl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+2792>>3];i=+h[f+2080>>3];j=-0.0-i;if(g!=0.0){k=j/g;l=f;m=l+1664|0;h[m>>3]=k;return}if(i==-0.0){k=j;l=f;m=l+1664|0;h[m>>3]=k;return}i=j/+lH(c[b+536>>2]|0,g,7681528,7711568,+h[e>>3],(a[b+319|0]|0)!=0|0);k=i;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0;m=l+1664|0;h[m>>3]=k;return}function Cl(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[a+416>>2]|0;Vi(d,c[a+536>>2]|0,+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1664>>3],+h[f+17688>>3],+h[f+17696>>3],+h[f+17704>>3],+h[f+17712>>3],+h[f+17720>>3]);h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+1648>>3]=+h[d>>3];i=b;return}function Dl(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1648>>3];i=+h[(c[b+416>>2]|0)+17728>>3];j=+h[f+2792>>3];do{if(i!=0.0){k=j/i;l=f}else{if(j==0.0){k=j;l=f;break}m=j/+lH(c[b+536>>2]|0,i,7680512,7711560,+h[e>>3],(a[b+319|0]|0)!=0|0);k=m;l=c[(c[c[d>>2]>>2]|0)+8>>2]|0}}while(0);h[l+1672>>3]=g*k*1256637061435917.0e-21;return}function El(b){b=b|0;var d=0,e=0,f=0,g=0.0,i=0.0,j=0,k=0.0,l=0,m=0.0;d=b+4|0;e=c[c[d>>2]>>2]|0;f=c[e+8>>2]|0;g=+h[f+1672>>3];if(g!=0.0){i=g;j=f;k=1.0/i;l=j+1680|0;h[l>>3]=k;return}m=+lH(c[b+536>>2]|0,g,7679520,7711552,+h[e>>3],(a[b+319|0]|0)!=0|0);i=m;j=c[(c[c[d>>2]>>2]|0)+8>>2]|0;k=1.0/i;l=j+1680|0;h[l>>3]=k;return}function Fl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1688>>3]=+h[b+1680>>3]*(-0.0- +h[b+2080>>3]);return}function Gl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1592>>3]=+h[b+2080>>3]+ +h[b+1856>>3];return}function Hl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1600>>3]=+h[b+1592>>3]*+h[b+2656>>3];return}function Il(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1368>>3]=-0.0- +h[b+24>>3]- +h[b+2080>>3];return}function Jl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1376>>3]=+h[b+1368>>3]*+h[b+1352>>3];return}function Kl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1616>>3]=+h[b+1600>>3]+ +h[b+1608>>3];return}function Ll(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2112>>3]=+h[b+1616>>3]- +h[b+1376>>3];return}function Ml(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1752>>3]=+h[b+1912>>3]+ +h[b+1608>>3];return}function Nl(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+1696>>3]=+h[b+1744>>3]+ +h[b+1752>>3];return}function Ol(a){a=a|0;var b=0;b=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;h[b+2120>>3]=+h[b+2088>>3]+ +h[b+2112>>3];return}function Pl(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=c[a+8>>2]|0;a=c[b+16>>2]|0;h[a>>3]=+h[d+22032>>3];e=c[b+8>>2]|0;h[e>>3]=+h[d+22008>>3];f=c[b+12>>2]|0;h[f>>3]=+h[d+22016>>3];h[a+8>>3]=+h[d+26064>>3];h[e+8>>3]=+h[d+26040>>3];h[f+8>>3]=+h[d+26048>>3];h[a+16>>3]=+h[d+29200>>3];h[e+16>>3]=+h[d+29176>>3];h[f+16>>3]=+h[d+29184>>3];return}function Ql(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=a;f=a+4|0;a=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[a+1568>>3]=+h[b>>3];h[a+1856>>3]=+h[b+8>>3];h[a+2080>>3]=+h[b+16>>3];bl(e);cl(e);dl(e);el(e);fl(e);gl(e);hl(e);il(e);jl(e);kl(e);ll(e);ml(e);nl(e);ol(e);pl(e);ql(e);rl(e);sl(e);tl(e);ul(e);vl(e);wl(e);xl(e);yl(e);zl(e);Al(e);Bl(e);Cl(e);Dl(e);El(e);Fl(e);Gl(e);Hl(e);Il(e);Jl(e);Kl(e);Ll(e);Ml(e);Nl(e);Ol(e);e=c[(c[c[f>>2]>>2]|0)+8>>2]|0;h[d>>3]=+h[e+1688>>3]+(+h[e+1696>>3]- +h[e+2120>>3]);h[d+8>>3]=+h[e+1312>>3]+(+h[e+2112>>3]- +h[e+1616>>3]);h[d+16>>3]=-0.0- +h[e+1272>>3]- +h[e+1568>>3]- +h[e+1624>>3]- +h[e+1856>>3]- +h[e+1632>>3];return}function Rl(a){a=a|0;c[a+4>>2]=135;c[a>>2]=6;c[a+56>>2]=0;c[a+32>>2]=24;c[a+20>>2]=0;c[a+24>>2]=0;c[a+28>>2]=-1;c[a+36>>2]=14;c[a+84>>2]=381;c[a+80>>2]=8;c[a+136>>2]=0;c[a+112>>2]=38;c[a+100>>2]=0;c[a+104>>2]=0;c[a+108>>2]=-1;c[a+116>>2]=4;c[a+164>>2]=524;c[a+160>>2]=2;c[a+216>>2]=0;c[a+192>>2]=22;c[a+180>>2]=0;c[a+184>>2]=0;c[a+188>>2]=-1;c[a+196>>2]=150;c[a+244>>2]=649;c[a+240>>2]=3;c[a+296>>2]=0;c[a+272>>2]=2;c[a+260>>2]=0;c[a+264>>2]=0;c[a+268>>2]=-1;c[a+276>>2]=80;return}function Sl(b,d){b=b|0;d=d|0;var e=0,f=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0.0,C=0,D=0,E=0.0,F=0,G=0.0,H=0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0.0,W=0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0,ma=0.0,na=0.0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0,ya=0.0,za=0,Aa=0.0,Ba=0.0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0,Ra=0.0,Sa=0,Ta=0.0,Ua=0.0,Va=0,Wa=0.0,Xa=0,Ya=0.0,Za=0.0,_a=0,$a=0.0,ab=0,bb=0.0,cb=0.0,db=0,eb=0.0,fb=0,gb=0.0,hb=0,ib=0.0,jb=0.0,kb=0,lb=0.0,mb=0,nb=0.0,ob=0,pb=0.0,qb=0.0,rb=0,sb=0.0,tb=0.0,ub=0,vb=0.0,wb=0.0,xb=0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0,Gb=0,Hb=0.0,Ib=0.0,Jb=0,Kb=0.0,Lb=0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0,Ub=0.0,Vb=0,Wb=0.0,Xb=0,Yb=0.0,Zb=0,_b=0.0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0.0,hc=0,ic=0.0,jc=0.0,kc=0,lc=0.0,mc=0.0,nc=0,oc=0.0,pc=0.0,qc=0.0,rc=0,sc=0.0,tc=0,uc=0.0,vc=0.0,wc=0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0,Cc=0.0,Dc=0,Ec=0.0,Fc=0.0,Gc=0,Hc=0.0,Ic=0,Jc=0.0,Kc=0,Lc=0.0,Mc=0.0,Nc=0,Oc=0.0,Pc=0,Qc=0.0,Rc=0.0,Sc=0.0,Tc=0.0,Uc=0.0,Vc=0,Wc=0.0,Xc=0,Yc=0.0,Zc=0,_c=0.0,$c=0.0,ad=0,bd=0;e=i;Be[c[(d+8|0)>>2]&7](0,24,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+240>>3],0,d);Be[c[(d+8|0)>>2]&7](0,33,1.0,1,d);Be[c[(d+8|0)>>2]&7](1,31,1.0,2,d);Be[c[(d+8|0)>>2]&7](1,32,-1.0,3,d);Be[c[(d+8|0)>>2]&7](1,33,1.0,4,d);Be[c[(d+8|0)>>2]&7](2,22,1.0,5,d);Be[c[(d+8|0)>>2]&7](2,31,1.0,6,d);Be[c[(d+8|0)>>2]&7](2,32,-1.0,7,d);Be[c[(d+8|0)>>2]&7](3,15,1.0,8,d);Be[c[(d+8|0)>>2]&7](3,30,1.0,9,d);Be[c[(d+8|0)>>2]&7](3,31,-1.0,10,d);Be[c[(d+8|0)>>2]&7](4,25,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+576>>3],11,d);Be[c[(d+8|0)>>2]&7](4,29,+h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],12,d);Be[c[(d+8|0)>>2]&7](4,30,1.0,13,d);f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+568>>3];if(j!=0.0){k=j}else{k=+lH(c[b+536>>2]|0,j,7669800,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}j=1.0/k;Be[c[(d+8|0)>>2]&7](5,28,j*j,14,d);Be[c[(d+8|0)>>2]&7](5,29,1.0,15,d);f=c[(d+8|0)>>2]|0;j=+h[(c[(b+416|0)>>2]|0)+18760>>3];l=c[c[(b+4|0)>>2]>>2]|0;k=+h[(c[l+8>>2]|0)+2968>>3];do{if(j!=0.0){m=k/j}else{if(k==0.0){m=k;break}m=k/+lH(c[b+536>>2]|0,j,7689120,8080,+h[l>>3],(a[b+319|0]|0)!=0|0)}}while(0);Be[f&7](6,27,m*-1256637061435917.0e-21,16,d);Be[c[(d+8|0)>>2]&7](6,28,1.0,17,d);m=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;j=+h[(c[f+8>>2]|0)+560>>3];do{if(m!=0.0){n=j/m}else{if(j==0.0){n=j;break}n=j/+lH(c[b+536>>2]|0,m,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(n>0.0){o=1.0}else{n=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[f+8>>2]|0)+560>>3];do{if(n!=0.0){p=m/n}else{if(m==0.0){p=m;break}p=m/+lH(c[b+536>>2]|0,n,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);o=+((p<0.0)<<31>>31|0)}p=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;n=+h[(c[f+8>>2]|0)+560>>3];do{if(p!=0.0){q=n/p}else{if(n==0.0){q=n;break}q=n/+lH(c[b+536>>2]|0,p,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(q>0.0){r=1.0}else{q=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[f+8>>2]|0)+560>>3];do{if(q!=0.0){s=p/q}else{if(p==0.0){s=p;break}s=p/+lH(c[b+536>>2]|0,q,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);r=+((s<0.0)<<31>>31|0)}s=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;q=+h[(c[f+8>>2]|0)+560>>3];do{if(s!=0.0){t=q/s}else{if(q==0.0){t=q;break}t=q/+lH(c[b+536>>2]|0,s,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);if(t>0.0){u=1.0}else{t=+h[(c[(b+416|0)>>2]|0)+18728>>3];f=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[f+8>>2]|0)+560>>3];do{if(t!=0.0){v=s/t}else{if(s==0.0){v=s;break}v=s/+lH(c[b+536>>2]|0,t,7677680,8080,+h[f>>3],(a[b+319|0]|0)!=0|0)}}while(0);u=+((v<0.0)<<31>>31|0)}f=c[(b+416|0)>>2]|0;v=+h[f+18744>>3];t=+h[f+18728>>3];l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+560>>3];do{if(t!=0.0){w=s/t;x=f;y=t;z=l;A=s}else{if(s==0.0){w=s;x=f;y=t;z=l;A=s;break}q=s/+lH(c[b+536>>2]|0,t,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;w=q;x=C;y=+h[C+18728>>3];z=D;A=+h[(c[D+8>>2]|0)+560>>3]}}while(0);t=v*+V(+w);do{if(y!=0.0){E=A/y;F=x;G=y;H=z;K=A}else{if(A==0.0){E=A;F=x;G=y;H=z;K=A;break}w=A/+lH(c[b+536>>2]|0,y,7677680,8080,+h[z>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;f=c[c[(b+4|0)>>2]>>2]|0;E=w;F=l;G=+h[l+18728>>3];H=f;K=+h[(c[f+8>>2]|0)+560>>3]}}while(0);y=+V(+E);E=t+ +X(+y,+(+h[F+18752>>3]))+1.0;z=c[(d+8|0)>>2]|0;y=+h[F+18720>>3];t=+h[F+18736>>3];x=G!=0.0;do{f=1;if(f){f=0;if(E*E!=0.0){do{if(x){L=K/G;M=F;N=G}else{if(K==0.0){L=K;M=F;N=G;break}A=K/+lH(c[b+536>>2]|0,G,7677680,8080,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;L=A;M=l;N=+h[l+18728>>3]}}while(0);A=y+t*+V(+L)+-1.0;w=+h[M+18744>>3];do{if(N!=0.0){O=o/N;P=M;Q=N}else{if(o==0.0){O=o;P=M;Q=N;break}v=o/+lH(c[b+536>>2]|0,N,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;O=v;P=l;Q=+h[l+18728>>3]}}while(0);v=w*O;l=c[c[(b+4|0)>>2]>>2]|0;s=+h[(c[l+8>>2]|0)+560>>3];do{if(Q!=0.0){R=s/Q;S=P;T=Q}else{if(s==0.0){R=s;S=P;T=Q;break}q=s/+lH(c[b+536>>2]|0,Q,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;R=q;S=D;T=+h[D+18728>>3]}}while(0);s=+V(+R);w=+h[S+18752>>3];q=+X(+s,+(w+-1.0));do{if(T!=0.0){U=r/T;W=S;Y=T}else{if(r==0.0){U=r;W=S;Y=T;break}s=r/+lH(c[b+536>>2]|0,T,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;U=s;W=l;Y=+h[l+18728>>3]}}while(0);s=A*(v+q*w*U);p=+h[W+18736>>3];n=+h[W+18744>>3];l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+560>>3];do{if(Y!=0.0){j=+V(+(m/Y));Z=(n*j+ +X(+j,+(+h[W+18752>>3]))+1.0)/Y}else{if(m==0.0){_=m;$=W;aa=Y;ba=l;ca=m}else{j=m/+lH(c[b+536>>2]|0,Y,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;_=j;$=D;aa=+h[D+18728>>3];ba=C;ca=+h[(c[C+8>>2]|0)+560>>3]}j=n*+V(+_);do{if(aa!=0.0){da=ca/aa;ea=$;fa=aa;ga=ba;ha=ca}else{if(ca==0.0){da=ca;ea=$;fa=aa;ga=ba;ha=ca;break}k=ca/+lH(c[b+536>>2]|0,aa,7677680,8080,+h[ba>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;da=k;ea=C;fa=+h[C+18728>>3];ga=D;ha=+h[(c[D+8>>2]|0)+560>>3]}}while(0);k=+V(+da);D=j+ +X(+k,+(+h[ea+18752>>3]))+1.0==0.0;k=+h[ea+18744>>3];C=fa!=0.0;if(D){do{if(C){ia=ha/fa;ja=ea;ka=fa;la=ga;ma=ha}else{if(ha==0.0){ia=ha;ja=ea;ka=fa;la=ga;ma=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7677680,8080,+h[ga>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;ia=na;ja=D;ka=+h[D+18728>>3];la=oa;ma=+h[(c[oa+8>>2]|0)+560>>3]}}while(0);j=k*+V(+ia);do{if(ka!=0.0){pa=ma/ka;qa=ja}else{if(ma==0.0){pa=ma;qa=ja;break}na=ma/+lH(c[b+536>>2]|0,ka,7677680,8080,+h[la>>3],(a[b+319|0]|0)!=0|0);pa=na;qa=c[(b+416|0)>>2]|0}}while(0);na=+V(+pa);Z=j+ +X(+na,+(+h[qa+18752>>3]))+1.0;break}else{do{if(C){ra=ha/fa;sa=ea;ta=fa;ua=ga;va=ha}else{if(ha==0.0){ra=ha;sa=ea;ta=fa;ua=ga;va=ha;break}na=ha/+lH(c[b+536>>2]|0,fa,7677680,8080,+h[ga>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;ra=na;sa=oa;ta=+h[oa+18728>>3];ua=D;va=+h[(c[D+8>>2]|0)+560>>3]}}while(0);j=k*+V(+ra);do{if(ta!=0.0){wa=va/ta;xa=sa;ya=ta;za=ua}else{if(va==0.0){wa=va;xa=sa;ya=ta;za=ua;break}na=va/+lH(c[b+536>>2]|0,ta,7677680,8080,+h[ua>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;wa=na;xa=C;ya=+h[C+18728>>3];za=c[c[(b+4|0)>>2]>>2]|0}}while(0);k=+V(+wa);na=j+ +X(+k,+(+h[xa+18752>>3]))+1.0;Z=na/+lH(c[b+536>>2]|0,ya,7677680,8080,+h[za>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(s-p*u*Z)/(E*E)}else{f=1}}if(f){f=0;if(1){do{if(x){Ba=K/G;Ca=F;Da=G}else{if(K==0.0){Ba=K;Ca=F;Da=G;break}n=K/+lH(c[b+536>>2]|0,G,7677680,8080,+h[H>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ba=n;Ca=l;Da=+h[l+18728>>3]}}while(0);p=y+t*+V(+Ba)+-1.0;s=+h[Ca+18744>>3];do{if(Da!=0.0){Ea=o/Da;Fa=Ca;Ga=Da}else{if(o==0.0){Ea=o;Fa=Ca;Ga=Da;break}n=o/+lH(c[b+536>>2]|0,Da,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ea=n;Fa=l;Ga=+h[l+18728>>3]}}while(0);n=s*Ea;l=c[c[(b+4|0)>>2]>>2]|0;m=+h[(c[l+8>>2]|0)+560>>3];do{if(Ga!=0.0){Ha=m/Ga;Ia=Fa;Ja=Ga}else{if(m==0.0){Ha=m;Ia=Fa;Ja=Ga;break}w=m/+lH(c[b+536>>2]|0,Ga,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Ha=w;Ia=C;Ja=+h[C+18728>>3]}}while(0);m=+V(+Ha);s=+h[Ia+18752>>3];w=+X(+m,+(s+-1.0));do{if(Ja!=0.0){Ka=r/Ja;La=Ia;Ma=Ja}else{if(r==0.0){Ka=r;La=Ia;Ma=Ja;break}m=r/+lH(c[b+536>>2]|0,Ja,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;Ka=m;La=l;Ma=+h[l+18728>>3]}}while(0);m=p*(n+w*s*Ka);q=+h[La+18736>>3];v=+h[La+18744>>3];l=c[c[(b+4|0)>>2]>>2]|0;A=+h[(c[l+8>>2]|0)+560>>3];do{if(Ma!=0.0){na=+V(+(A/Ma));Na=(v*na+ +X(+na,+(+h[La+18752>>3]))+1.0)/Ma;Oa=La}else{if(A==0.0){Pa=A;Qa=La;Ra=Ma;Sa=l;Ta=A}else{na=A/+lH(c[b+536>>2]|0,Ma,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Pa=na;Qa=C;Ra=+h[C+18728>>3];Sa=D;Ta=+h[(c[D+8>>2]|0)+560>>3]}na=v*+V(+Pa);do{if(Ra!=0.0){Ua=Ta/Ra;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta}else{if(Ta==0.0){Ua=Ta;Va=Qa;Wa=Ra;Xa=Sa;Ya=Ta;break}k=Ta/+lH(c[b+536>>2]|0,Ra,7677680,8080,+h[Sa>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ua=k;Va=D;Wa=+h[D+18728>>3];Xa=C;Ya=+h[(c[C+8>>2]|0)+560>>3]}}while(0);j=+V(+Ua);C=na+ +X(+j,+(+h[Va+18752>>3]))+1.0==0.0;j=+h[Va+18744>>3];D=Wa!=0.0;if(C){do{if(D){Za=Ya/Wa;_a=Va;$a=Wa;ab=Xa;bb=Ya}else{if(Ya==0.0){Za=Ya;_a=Va;$a=Wa;ab=Xa;bb=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7677680,8080,+h[Xa>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Za=k;_a=C;$a=+h[C+18728>>3];ab=oa;bb=+h[(c[oa+8>>2]|0)+560>>3]}}while(0);na=j*+V(+Za);do{if($a!=0.0){cb=bb/$a;db=_a}else{if(bb==0.0){cb=bb;db=_a;break}k=bb/+lH(c[b+536>>2]|0,$a,7677680,8080,+h[ab>>3],(a[b+319|0]|0)!=0|0);cb=k;db=c[(b+416|0)>>2]|0}}while(0);k=+V(+cb);Na=na+ +X(+k,+(+h[db+18752>>3]))+1.0;Oa=db;break}else{do{if(D){eb=Ya/Wa;fb=Va;gb=Wa;hb=Xa;ib=Ya}else{if(Ya==0.0){eb=Ya;fb=Va;gb=Wa;hb=Xa;ib=Ya;break}k=Ya/+lH(c[b+536>>2]|0,Wa,7677680,8080,+h[Xa>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;eb=k;fb=oa;gb=+h[oa+18728>>3];hb=C;ib=+h[(c[C+8>>2]|0)+560>>3]}}while(0);na=j*+V(+eb);do{if(gb!=0.0){jb=ib/gb;kb=fb;lb=gb;mb=hb}else{if(ib==0.0){jb=ib;kb=fb;lb=gb;mb=hb;break}k=ib/+lH(c[b+536>>2]|0,gb,7677680,8080,+h[hb>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jb=k;kb=D;lb=+h[D+18728>>3];mb=c[c[(b+4|0)>>2]>>2]|0}}while(0);j=+V(+jb);k=na+ +X(+j,+(+h[kb+18752>>3]))+1.0;j=k/+lH(c[b+536>>2]|0,lb,7677680,8080,+h[mb>>3],(a[b+319|0]|0)!=0|0);Na=j;Oa=c[(b+416|0)>>2]|0;break}}}while(0);v=+h[Oa+18720>>3];A=+h[Oa+18736>>3];s=+h[Oa+18728>>3];l=c[c[(b+4|0)>>2]>>2]|0;w=+h[(c[l+8>>2]|0)+560>>3];if(m-q*u*Na==0.0){do{if(s!=0.0){nb=w/s;ob=Oa;pb=s}else{if(w==0.0){nb=w;ob=Oa;pb=s;break}n=w/+lH(c[b+536>>2]|0,s,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;nb=n;ob=D;pb=+h[D+18728>>3]}}while(0);q=v+A*+V(+nb)+-1.0;m=+h[ob+18744>>3];do{if(pb!=0.0){qb=o/pb;rb=ob;sb=pb}else{if(o==0.0){qb=o;rb=ob;sb=pb;break}n=o/+lH(c[b+536>>2]|0,pb,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;qb=n;rb=D;sb=+h[D+18728>>3]}}while(0);n=m*qb;D=c[c[(b+4|0)>>2]>>2]|0;p=+h[(c[D+8>>2]|0)+560>>3];do{if(sb!=0.0){tb=p/sb;ub=rb;vb=sb}else{if(p==0.0){tb=p;ub=rb;vb=sb;break}j=p/+lH(c[b+536>>2]|0,sb,7677680,8080,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;tb=j;ub=C;vb=+h[C+18728>>3]}}while(0);p=+V(+tb);m=+h[ub+18752>>3];j=+X(+p,+(m+-1.0));do{if(vb!=0.0){wb=r/vb;xb=ub;yb=vb}else{if(r==0.0){wb=r;xb=ub;yb=vb;break}p=r/+lH(c[b+536>>2]|0,vb,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;wb=p;xb=D;yb=+h[D+18728>>3]}}while(0);p=q*(n+j*m*wb);k=+h[xb+18736>>3];zb=+h[xb+18744>>3];D=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[D+8>>2]|0)+560>>3];do{if(yb!=0.0){Bb=+V(+(Ab/yb));Cb=(zb*Bb+ +X(+Bb,+(+h[xb+18752>>3]))+1.0)/yb}else{if(Ab==0.0){Db=Ab;Eb=xb;Fb=yb;Gb=D;Hb=Ab}else{Bb=Ab/+lH(c[b+536>>2]|0,yb,7677680,8080,+h[D>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;Db=Bb;Eb=C;Fb=+h[C+18728>>3];Gb=oa;Hb=+h[(c[oa+8>>2]|0)+560>>3]}Bb=zb*+V(+Db);do{if(Fb!=0.0){Ib=Hb/Fb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb}else{if(Hb==0.0){Ib=Hb;Jb=Eb;Kb=Fb;Lb=Gb;Mb=Hb;break}Nb=Hb/+lH(c[b+536>>2]|0,Fb,7677680,8080,+h[Gb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ib=Nb;Jb=oa;Kb=+h[oa+18728>>3];Lb=C;Mb=+h[(c[C+8>>2]|0)+560>>3]}}while(0);na=+V(+Ib);C=Bb+ +X(+na,+(+h[Jb+18752>>3]))+1.0==0.0;na=+h[Jb+18744>>3];oa=Kb!=0.0;if(C){do{if(oa){Ob=Mb/Kb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb}else{if(Mb==0.0){Ob=Mb;Pb=Jb;Qb=Kb;Rb=Lb;Sb=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7677680,8080,+h[Lb>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;Tb=c[c[(b+4|0)>>2]>>2]|0;Ob=Nb;Pb=C;Qb=+h[C+18728>>3];Rb=Tb;Sb=+h[(c[Tb+8>>2]|0)+560>>3]}}while(0);Bb=na*+V(+Ob);do{if(Qb!=0.0){Ub=Sb/Qb;Vb=Pb}else{if(Sb==0.0){Ub=Sb;Vb=Pb;break}Nb=Sb/+lH(c[b+536>>2]|0,Qb,7677680,8080,+h[Rb>>3],(a[b+319|0]|0)!=0|0);Ub=Nb;Vb=c[(b+416|0)>>2]|0}}while(0);Nb=+V(+Ub);Cb=Bb+ +X(+Nb,+(+h[Vb+18752>>3]))+1.0;break}else{do{if(oa){Wb=Mb/Kb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb}else{if(Mb==0.0){Wb=Mb;Xb=Jb;Yb=Kb;Zb=Lb;_b=Mb;break}Nb=Mb/+lH(c[b+536>>2]|0,Kb,7677680,8080,+h[Lb>>3],(a[b+319|0]|0)!=0|0);Tb=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Wb=Nb;Xb=Tb;Yb=+h[Tb+18728>>3];Zb=C;_b=+h[(c[C+8>>2]|0)+560>>3]}}while(0);Bb=na*+V(+Wb);do{if(Yb!=0.0){$b=_b/Yb;ac=Xb;bc=Yb;cc=Zb}else{if(_b==0.0){$b=_b;ac=Xb;bc=Yb;cc=Zb;break}Nb=_b/+lH(c[b+536>>2]|0,Yb,7677680,8080,+h[Zb>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;$b=Nb;ac=oa;bc=+h[oa+18728>>3];cc=c[c[(b+4|0)>>2]>>2]|0}}while(0);na=+V(+$b);Nb=Bb+ +X(+na,+(+h[ac+18752>>3]))+1.0;Cb=Nb/+lH(c[b+536>>2]|0,bc,7677680,8080,+h[cc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=p-k*u*Cb;break}else{do{if(s!=0.0){dc=w/s;ec=Oa;fc=s}else{if(w==0.0){dc=w;ec=Oa;fc=s;break}zb=w/+lH(c[b+536>>2]|0,s,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;dc=zb;ec=D;fc=+h[D+18728>>3]}}while(0);s=v+A*+V(+dc)+-1.0;w=+h[ec+18744>>3];do{if(fc!=0.0){gc=o/fc;hc=ec;ic=fc}else{if(o==0.0){gc=o;hc=ec;ic=fc;break}k=o/+lH(c[b+536>>2]|0,fc,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;gc=k;hc=l;ic=+h[l+18728>>3]}}while(0);A=w*gc;l=c[c[(b+4|0)>>2]>>2]|0;v=+h[(c[l+8>>2]|0)+560>>3];do{if(ic!=0.0){jc=v/ic;kc=hc;lc=ic}else{if(v==0.0){jc=v;kc=hc;lc=ic;break}k=v/+lH(c[b+536>>2]|0,ic,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;jc=k;kc=D;lc=+h[D+18728>>3]}}while(0);v=+V(+jc);w=+h[kc+18752>>3];k=+X(+v,+(w+-1.0));do{if(lc!=0.0){mc=r/lc;nc=kc;oc=lc}else{if(r==0.0){mc=r;nc=kc;oc=lc;break}v=r/+lH(c[b+536>>2]|0,lc,7677680,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);l=c[(b+416|0)>>2]|0;mc=v;nc=l;oc=+h[l+18728>>3]}}while(0);v=s*(A+k*w*mc);p=+h[nc+18736>>3];zb=+h[nc+18744>>3];l=c[c[(b+4|0)>>2]>>2]|0;Ab=+h[(c[l+8>>2]|0)+560>>3];do{if(oc!=0.0){m=+V(+(Ab/oc));pc=(zb*m+ +X(+m,+(+h[nc+18752>>3]))+1.0)/oc}else{if(Ab==0.0){qc=Ab;rc=nc;sc=oc;tc=l;uc=Ab}else{m=Ab/+lH(c[b+536>>2]|0,oc,7677680,8080,+h[l>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;oa=c[c[(b+4|0)>>2]>>2]|0;qc=m;rc=D;sc=+h[D+18728>>3];tc=oa;uc=+h[(c[oa+8>>2]|0)+560>>3]}m=zb*+V(+qc);do{if(sc!=0.0){vc=uc/sc;wc=rc;xc=sc;yc=tc;zc=uc}else{if(uc==0.0){vc=uc;wc=rc;xc=sc;yc=tc;zc=uc;break}j=uc/+lH(c[b+536>>2]|0,sc,7677680,8080,+h[tc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;vc=j;wc=oa;xc=+h[oa+18728>>3];yc=D;zc=+h[(c[D+8>>2]|0)+560>>3]}}while(0);Bb=+V(+vc);D=m+ +X(+Bb,+(+h[wc+18752>>3]))+1.0==0.0;Bb=+h[wc+18744>>3];oa=xc!=0.0;if(D){do{if(oa){Ac=zc/xc;Bc=wc;Cc=xc;Dc=yc;Ec=zc}else{if(zc==0.0){Ac=zc;Bc=wc;Cc=xc;Dc=yc;Ec=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7677680,8080,+h[yc>>3],(a[b+319|0]|0)!=0|0);D=c[(b+416|0)>>2]|0;C=c[c[(b+4|0)>>2]>>2]|0;Ac=j;Bc=D;Cc=+h[D+18728>>3];Dc=C;Ec=+h[(c[C+8>>2]|0)+560>>3]}}while(0);m=Bb*+V(+Ac);do{if(Cc!=0.0){Fc=Ec/Cc;Gc=Bc}else{if(Ec==0.0){Fc=Ec;Gc=Bc;break}j=Ec/+lH(c[b+536>>2]|0,Cc,7677680,8080,+h[Dc>>3],(a[b+319|0]|0)!=0|0);Fc=j;Gc=c[(b+416|0)>>2]|0}}while(0);j=+V(+Fc);pc=m+ +X(+j,+(+h[Gc+18752>>3]))+1.0;break}else{do{if(oa){Hc=zc/xc;Ic=wc;Jc=xc;Kc=yc;Lc=zc}else{if(zc==0.0){Hc=zc;Ic=wc;Jc=xc;Kc=yc;Lc=zc;break}j=zc/+lH(c[b+536>>2]|0,xc,7677680,8080,+h[yc>>3],(a[b+319|0]|0)!=0|0);C=c[(b+416|0)>>2]|0;D=c[c[(b+4|0)>>2]>>2]|0;Hc=j;Ic=C;Jc=+h[C+18728>>3];Kc=D;Lc=+h[(c[D+8>>2]|0)+560>>3]}}while(0);m=Bb*+V(+Hc);do{if(Jc!=0.0){Mc=Lc/Jc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Lc==0.0){Mc=Lc;Nc=Ic;Oc=Jc;Pc=Kc;break}j=Lc/+lH(c[b+536>>2]|0,Jc,7677680,8080,+h[Kc>>3],(a[b+319|0]|0)!=0|0);oa=c[(b+416|0)>>2]|0;Mc=j;Nc=oa;Oc=+h[oa+18728>>3];Pc=c[c[(b+4|0)>>2]>>2]|0}}while(0);Bb=+V(+Mc);j=m+ +X(+Bb,+(+h[Nc+18752>>3]))+1.0;pc=j/+lH(c[b+536>>2]|0,Oc,7677680,8080,+h[Pc>>3],(a[b+319|0]|0)!=0|0);break}}}while(0);Aa=(v-p*u*pc)/+lH(c[b+536>>2]|0,E*E,7665776,8080,+h[c[c[(b+4|0)>>2]>>2]>>3],(a[b+319|0]|0)!=0|0);break}}else{f=1}}}while(0);Be[z&7](7,26,Aa,18,d);Be[c[(d+8|0)>>2]&7](7,27,1.0,19,d);z=c[(d+8|0)>>2]|0;Pc=c[c[(b+4|0)>>2]>>2]|0;Aa=+h[(c[Pc+8>>2]|0)+2968>>3];if(Aa!=0.0){Qc=Aa}else{Qc=+lH(c[b+536>>2]|0,Aa,7655632,8080,+h[Pc>>3],(a[b+319|0]|0)!=0|0)}Be[z&7](8,25,1.0/Qc,20,d);Be[c[(d+8|0)>>2]&7](8,26,1.0,21,d);Be[c[(d+8|0)>>2]&7](9,23,-1.0,22,d);Be[c[(d+8|0)>>2]&7](9,24,-1.0,23,d);Be[c[(d+8|0)>>2]&7](9,25,-1.0,24,d);Be[c[(d+8|0)>>2]&7](10,23,1.0,25,d);Be[c[(d+8|0)>>2]&7](10,24,1.0,26,d);Be[c[(d+8|0)>>2]&7](11,22,1.0,27,d);Be[c[(d+8|0)>>2]&7](11,23,-0.0- +h[(c[(c[c[(b+4|0)>>2]>>2]|0)+8>>2]|0)+296>>3],28,d);Be[c[(d+8|0)>>2]&7](12,18,-1.0,29,d);Be[c[(d+8|0)>>2]&7](12,19,-1.0,30,d);Be[c[(d+8|0)>>2]&7](12,21,-1.0,31,d);c[e+16>>2]=b;c[e+24>>2]=d;g[e+6872>>2]=Rc;g[e+6944>>2]=Sc;g[e+7016>>2]=Tc;g[e+7160>>2]=Uc;c[e+7168>>2]=Vc;g[e+7176>>2]=Wc;c[e+7184>>2]=Xc;g[e+7208>>2]=Yc;c[e+7216>>2]=Zc;g[e+7224>>2]=_c;g[e+7232>>2]=$c;c[e+7240>>2]=ad;c[e+13656>>2]=bd;c[e+13712>>2]=0;c[e+13716>>2]=0;_setLinearMatrixA175$1(e);Rc=+g[e+6872>>2];Sc=+g[e+6944>>2];Tc=+g[e+7016>>2];Uc=+g[e+7160>>2];Vc=c[e+7168>>2]|0;Wc=+g[e+7176>>2];Xc=c[e+7184>>2]|0;Yc=+g[e+7208>>2];Zc=c[e+7216>>2]|0;_c=+g[e+7224>>2];$c=+g[e+7232>>2];ad=c[e+7240>>2]|0;bd=c[e+13656>>2]|0;c[e+16>>2]=b;c[e+24>>2]=d;g[e+6872>>2]=Rc;g[e+6944>>2]=Sc;g[e+7016>>2]=Tc;g[e+7160>>2]=Uc;c[e+7168>>2]=Vc;g[e+7176>>2]=Wc;c[e+7184>>2]=Xc;g[e+7208>>2]=Yc;c[e+7216>>2]=Zc;g[e+7224>>2]=_c;g[e+7232>>2]=$c;c[e+7240>>2]=ad;c[e+13656>>2]=bd;c[e+13704>>2]=0;c[e+13708>>2]=0;_setLinearMatrixA175$0(e);bd=c[e+13656>>2]|0;I=c[e+13704>>2]|0;B=c[e+13708>>2]|0;J=+g[e+13708>>2];c[e+13704>>2]=0;c[e+13708>>2]=0;if((I|0)==5){return}}function Tl(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d>>3]*+h[d+1e3>>3];h[a+8>>3]=-0.0;h[a+16>>3]=-0.0;h[a+24>>3]=-0.0;h[a+32>>3]=-0.0;h[a+40>>3]=-0.0;oaa(a+48|0,0,16)|0;h[a+64>>3]=-0.0;h[a+72>>3]=0.0;h[a+80>>3]=-0.0- +h[d+1160>>3];h[a+88>>3]=+h[d+312>>3]*+h[d+984>>3];h[a+96>>3]=0.0;h[a+104>>3]=-0.0;h[a+112>>3]=-0.0;h[a+120>>3]=-0.0;h[a+128>>3]=-0.0;h[a+136>>3]=-0.0;h[a+144>>3]=-0.0;h[a+152>>3]=-0.0;oaa(a+160|0,0,16)|0;h[a+176>>3]=-0.0;h[a+184>>3]=-0.0;h[a+192>>3]=-0.0;oaa(a+200|0,0,16)|0;h[a+216>>3]=-0.0;h[a+224>>3]=-0.0;h[a+232>>3]=-0.0;oaa(a+240|0,0,16)|0;h[a+256>>3]=-0.0;h[a+264>>3]=-0.0;return}function Ul(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,1.0,0,b);Be[c[d>>2]&7](0,2,-1.0,1,b);e=a+416|0;Be[c[d>>2]&7](1,1,+h[(c[e>>2]|0)+19184>>3],2,b);Be[c[d>>2]&7](1,2,1.0,3,b);Be[c[d>>2]&7](2,0,-1.0,4,b);Be[c[d>>2]&7](2,1,+h[(c[e>>2]|0)+18944>>3],5,b);return}function Vl(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=+h[d+432>>3];h[a+8>>3]=-0.0;h[a+16>>3]=+h[d+456>>3];return}function Wl(a,b){a=a|0;b=b|0;var d=0,e=0;d=b+8|0;Be[c[d>>2]&7](0,0,-1.0,0,b);Be[c[d>>2]&7](0,5,1.0,1,b);e=a+4|0;Be[c[d>>2]&7](1,4,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2712>>3],2,b);Be[c[d>>2]&7](1,5,1.0,3,b);Be[c[d>>2]&7](2,3,-1.0,4,b);Be[c[d>>2]&7](2,4,1.0,5,b);Be[c[d>>2]&7](3,2,1.0,6,b);Be[c[d>>2]&7](3,3,-0.0- +h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+2720>>3],7,b);Be[c[d>>2]&7](4,1,1.0,8,b);Be[c[d>>2]&7](4,2,1.0,9,b);Be[c[d>>2]&7](5,0,1.0,10,b);Be[c[d>>2]&7](5,1,-1.0,11,b);return}function Xl(a,b){a=a|0;b=b|0;var d=0;d=c[(c[c[a+4>>2]>>2]|0)+8>>2]|0;a=c[b+36>>2]|0;h[a>>3]=-0.0- +h[d+48>>3];h[a+8>>3]=-0.0;h[a+16>>3]=+h[d+64>>3]- +h[d+2048>>3];h[a+24>>3]=-0.0;h[a+32>>3]=+h[d+2176>>3];h[a+40>>3]=-0.0- +h[d+56>>3];return}function _setLinearMatrixA175$0(b){b=b|0;var d=0,e=0,f=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,W=0,Y=0.0,Z=0,_=0.0,$=0,aa=0.0,ba=0,ca=0.0,da=0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0.0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0,Ca=0.0,Da=0.0,Ea=0,Fa=0.0,Ga=0.0,Ha=0,Ia=0.0,Ja=0.0,Ka=0,La=0.0,Ma=0.0,Na=0,Oa=0.0,Pa=0,Qa=0.0,Ra=0,Sa=0.0,Ta=0.0,Ua=0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0.0,cb=0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0.0,jb=0,kb=0.0,lb=0,mb=0.0,nb=0,ob=0.0,pb=0.0,qb=0,rb=0.0,sb=0.0,tb=0,ub=0.0,vb=0.0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0,Eb=0.0,Fb=0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0,Pb=0.0,Qb=0,Rb=0.0,Sb=0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0,Zb=0.0,_b=0.0,$b=0,ac=0.0,bc=0,cc=0.0,dc=0,ec=0.0,fc=0.0,gc=0,hc=0.0,ic=0.0,jc=0,kc=0.0,lc=0.0,mc=0,nc=0.0,oc=0.0,pc=0.0,qc=0,rc=0.0,sc=0,tc=0.0,uc=0.0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0.0,Ac=0,Bc=0.0,Cc=0,Dc=0.0,Ec=0.0,Fc=0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0.0,Sc=0.0,Tc=0.0,Uc=0.0,Vc=0.0,Wc=0.0,Xc=0.0,Yc=0.0,Zc=0.0,_c=0.0,$c=0.0,ad=0.0,bd=0,cd=0.0,dd=0,ed=0.0,fd=0.0,gd=0,hd=0.0,id=0,jd=0.0,kd=0.0,ld=0,md=0.0,nd=0.0,od=0,pd=0.0,qd=0.0,rd=0,sd=0.0,td=0.0,ud=0,vd=0.0,wd=0.0,xd=0.0,yd=0,zd=0.0,Ad=0,Bd=0.0,Cd=0.0,Dd=0,Ed=0.0,Fd=0,Gd=0.0,Hd=0.0,Id=0,Jd=0.0,Kd=0,Ld=0.0,Md=0,Nd=0.0,Od=0,Pd=0.0,Qd=0,Rd=0.0,Sd=0,Td=0.0,Ud=0.0,Vd=0,Wd=0.0,Xd=0,Yd=0.0,Zd=0.0,_d=0,$d=0.0,ae=0.0,be=0,ce=0.0,de=0.0,ee=0,fe=0.0,ge=0.0,he=0,ie=0.0,je=0.0,ke=0,le=0.0,me=0,ne=0.0,oe=0,pe=0.0,qe=0.0,re=0,se=0.0,te=0,ue=0.0,ve=0.0,we=0,xe=0.0,ye=0,ze=0.0,Ae=0.0,De=0,Ee=0.0,Fe=0,Ge=0.0,He=0,Ie=0.0,Je=0.0,Ke=0,Le=0.0,Me=0,Ne=0.0,Oe=0,Pe=0.0,Qe=0.0,Re=0,Se=0.0,Te=0.0,Ue=0,Ve=0.0,We=0.0,Xe=0,Ye=0.0,Ze=0.0,_e=0.0,$e=0.0,af=0.0,bf=0.0,cf=0,df=0.0,ef=0,ff=0.0,gf=0.0,hf=0,jf=0.0,kf=0,lf=0.0,mf=0.0,nf=0.0,of=0,pf=0.0,qf=0,rf=0.0,sf=0,tf=0.0,uf=0,vf=0.0,wf=0,xf=0.0,yf=0,zf=0.0,Af=0.0,Bf=0,Cf=0.0,Df=0,Ef=0.0,Ff=0,Gf=0.0,Hf=0.0,If=0,Jf=0.0,Kf=0.0,Lf=0,Mf=0.0,Nf=0.0,Of=0,Pf=0.0,Qf=0.0,Rf=0.0,Sf=0,Tf=0.0,Uf=0,Vf=0.0,Wf=0.0,Xf=0,Yf=0.0,Zf=0,_f=0.0,$f=0.0,ag=0,bg=0.0,cg=0,dg=0.0,eg=0.0,fg=0,gg=0.0,hg=0,ig=0.0,jg=0,kg=0.0,lg=0.0,mg=0,ng=0.0,og=0,pg=0.0,qg=0.0,rg=0.0,sg=0,tg=0.0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0.0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0.0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;f=+g[b+6872>>2];j=+g[b+6944>>2];k=+g[b+7016>>2];l=+g[b+7160>>2];m=c[b+7168>>2]|0;n=+g[b+7176>>2];o=c[b+7184>>2]|0;p=+g[b+7208>>2];q=c[b+7216>>2]|0;r=+g[b+7224>>2];s=+g[b+7232>>2];t=c[b+7240>>2]|0;u=c[b+13656>>2]|0;a:do{do{v=1;if(v){v=0;if(p*p!=0.0){do{if(t){w=l/n;x=o;y=n}else{if(l==0.0){w=l;x=o;y=n;break}z=l/+lH(c[d+536>>2]|0,n,7686528,8080,+h[m>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;w=z;x=A;y=+h[A+18584>>3]}}while(0);z=r+s*+V(+w)+-1.0;B=+h[x+18600>>3];do{if(y!=0.0){C=f/y;D=x;E=y}else{if(f==0.0){C=f;D=x;E=y;break}F=f/+lH(c[d+536>>2]|0,y,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;C=F;D=A;E=+h[A+18584>>3]}}while(0);F=B*C;A=c[c[(d+4|0)>>2]>>2]|0;G=+h[(c[A+8>>2]|0)+672>>3];do{if(E!=0.0){H=G/E;I=D;J=E}else{if(G==0.0){H=G;I=D;J=E;break}K=G/+lH(c[d+536>>2]|0,E,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;H=K;I=L;J=+h[L+18584>>3]}}while(0);G=+V(+H);B=+h[I+18608>>3];K=+X(+G,+(B+-1.0));do{if(J!=0.0){M=j/J;N=I;O=J}else{if(j==0.0){M=j;N=I;O=J;break}G=j/+lH(c[d+536>>2]|0,J,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;M=G;N=A;O=+h[A+18584>>3]}}while(0);G=z*(F+K*B*M);P=+h[N+18592>>3];Q=+h[N+18600>>3];A=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[A+8>>2]|0)+672>>3];do{if(O!=0.0){S=+V(+(R/O));T=(Q*S+ +X(+S,+(+h[N+18608>>3]))+1.0)/O}else{if(R==0.0){U=R;W=N;Y=O;Z=A;_=R}else{S=R/+lH(c[d+536>>2]|0,O,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;U=S;W=L;Y=+h[L+18584>>3];Z=$;_=+h[(c[$+8>>2]|0)+672>>3]}S=Q*+V(+U);do{if(Y!=0.0){aa=_/Y;ba=W;ca=Y;da=Z;fa=_}else{if(_==0.0){aa=_;ba=W;ca=Y;da=Z;fa=_;break}ga=_/+lH(c[d+536>>2]|0,Y,7686528,8080,+h[Z>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;aa=ga;ba=$;ca=+h[$+18584>>3];da=L;fa=+h[(c[L+8>>2]|0)+672>>3]}}while(0);ga=+V(+aa);L=S+ +X(+ga,+(+h[ba+18608>>3]))+1.0==0.0;ga=+h[ba+18600>>3];$=ca!=0.0;if(L){do{if($){ha=fa/ca;ia=ba;ja=ca;ka=da;la=fa}else{if(fa==0.0){ha=fa;ia=ba;ja=ca;ka=da;la=fa;break}ma=fa/+lH(c[d+536>>2]|0,ca,7686528,8080,+h[da>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;ha=ma;ia=L;ja=+h[L+18584>>3];ka=na;la=+h[(c[na+8>>2]|0)+672>>3]}}while(0);S=ga*+V(+ha);do{if(ja!=0.0){oa=la/ja;pa=ia}else{if(la==0.0){oa=la;pa=ia;break}ma=la/+lH(c[d+536>>2]|0,ja,7686528,8080,+h[ka>>3],(a[d+319|0]|0)!=0|0);oa=ma;pa=c[(d+416|0)>>2]|0}}while(0);ma=+V(+oa);T=S+ +X(+ma,+(+h[pa+18608>>3]))+1.0;break}else{do{if($){qa=fa/ca;ra=ba;sa=ca;ta=da;ua=fa}else{if(fa==0.0){qa=fa;ra=ba;sa=ca;ta=da;ua=fa;break}ma=fa/+lH(c[d+536>>2]|0,ca,7686528,8080,+h[da>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;qa=ma;ra=na;sa=+h[na+18584>>3];ta=L;ua=+h[(c[L+8>>2]|0)+672>>3]}}while(0);S=ga*+V(+qa);do{if(sa!=0.0){va=ua/sa;wa=ra;xa=sa;ya=ta}else{if(ua==0.0){va=ua;wa=ra;xa=sa;ya=ta;break}ma=ua/+lH(c[d+536>>2]|0,sa,7686528,8080,+h[ta>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;va=ma;wa=$;xa=+h[$+18584>>3];ya=c[c[(d+4|0)>>2]>>2]|0}}while(0);ga=+V(+va);ma=S+ +X(+ga,+(+h[wa+18608>>3]))+1.0;T=ma/+lH(c[d+536>>2]|0,xa,7686528,8080,+h[ya>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=(G-P*k*T)/(p*p)}else{v=1}}if(v){v=0;if(1){do{if(t){Aa=l/n;Ba=o;Ca=n}else{if(l==0.0){Aa=l;Ba=o;Ca=n;break}Q=l/+lH(c[d+536>>2]|0,n,7686528,8080,+h[m>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Aa=Q;Ba=A;Ca=+h[A+18584>>3]}}while(0);P=r+s*+V(+Aa)+-1.0;G=+h[Ba+18600>>3];do{if(Ca!=0.0){Da=f/Ca;Ea=Ba;Fa=Ca}else{if(f==0.0){Da=f;Ea=Ba;Fa=Ca;break}Q=f/+lH(c[d+536>>2]|0,Ca,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Da=Q;Ea=A;Fa=+h[A+18584>>3]}}while(0);Q=G*Da;A=c[c[(d+4|0)>>2]>>2]|0;R=+h[(c[A+8>>2]|0)+672>>3];do{if(Fa!=0.0){Ga=R/Fa;Ha=Ea;Ia=Fa}else{if(R==0.0){Ga=R;Ha=Ea;Ia=Fa;break}B=R/+lH(c[d+536>>2]|0,Fa,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;Ga=B;Ha=$;Ia=+h[$+18584>>3]}}while(0);R=+V(+Ga);G=+h[Ha+18608>>3];B=+X(+R,+(G+-1.0));do{if(Ia!=0.0){Ja=j/Ia;Ka=Ha;La=Ia}else{if(j==0.0){Ja=j;Ka=Ha;La=Ia;break}R=j/+lH(c[d+536>>2]|0,Ia,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;Ja=R;Ka=A;La=+h[A+18584>>3]}}while(0);R=P*(Q+B*G*Ja);K=+h[Ka+18592>>3];F=+h[Ka+18600>>3];A=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[A+8>>2]|0)+672>>3];do{if(La!=0.0){ma=+V(+(z/La));Ma=(F*ma+ +X(+ma,+(+h[Ka+18608>>3]))+1.0)/La;Na=Ka}else{if(z==0.0){Oa=z;Pa=Ka;Qa=La;Ra=A;Sa=z}else{ma=z/+lH(c[d+536>>2]|0,La,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Oa=ma;Pa=$;Qa=+h[$+18584>>3];Ra=L;Sa=+h[(c[L+8>>2]|0)+672>>3]}ma=F*+V(+Oa);do{if(Qa!=0.0){Ta=Sa/Qa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa}else{if(Sa==0.0){Ta=Sa;Ua=Pa;Va=Qa;Wa=Ra;Xa=Sa;break}ga=Sa/+lH(c[d+536>>2]|0,Qa,7686528,8080,+h[Ra>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Ta=ga;Ua=L;Va=+h[L+18584>>3];Wa=$;Xa=+h[(c[$+8>>2]|0)+672>>3]}}while(0);S=+V(+Ta);$=ma+ +X(+S,+(+h[Ua+18608>>3]))+1.0==0.0;S=+h[Ua+18600>>3];L=Va!=0.0;if($){do{if(L){Ya=Xa/Va;Za=Ua;_a=Va;$a=Wa;ab=Xa}else{if(Xa==0.0){Ya=Xa;Za=Ua;_a=Va;$a=Wa;ab=Xa;break}ga=Xa/+lH(c[d+536>>2]|0,Va,7686528,8080,+h[Wa>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;Ya=ga;Za=$;_a=+h[$+18584>>3];$a=na;ab=+h[(c[na+8>>2]|0)+672>>3]}}while(0);ma=S*+V(+Ya);do{if(_a!=0.0){bb=ab/_a;cb=Za}else{if(ab==0.0){bb=ab;cb=Za;break}ga=ab/+lH(c[d+536>>2]|0,_a,7686528,8080,+h[$a>>3],(a[d+319|0]|0)!=0|0);bb=ga;cb=c[(d+416|0)>>2]|0}}while(0);ga=+V(+bb);Ma=ma+ +X(+ga,+(+h[cb+18608>>3]))+1.0;Na=cb;break}else{do{if(L){db=Xa/Va;eb=Ua;fb=Va;gb=Wa;hb=Xa}else{if(Xa==0.0){db=Xa;eb=Ua;fb=Va;gb=Wa;hb=Xa;break}ga=Xa/+lH(c[d+536>>2]|0,Va,7686528,8080,+h[Wa>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;db=ga;eb=na;fb=+h[na+18584>>3];gb=$;hb=+h[(c[$+8>>2]|0)+672>>3]}}while(0);ma=S*+V(+db);do{if(fb!=0.0){ib=hb/fb;jb=eb;kb=fb;lb=gb}else{if(hb==0.0){ib=hb;jb=eb;kb=fb;lb=gb;break}ga=hb/+lH(c[d+536>>2]|0,fb,7686528,8080,+h[gb>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;ib=ga;jb=L;kb=+h[L+18584>>3];lb=c[c[(d+4|0)>>2]>>2]|0}}while(0);S=+V(+ib);ga=ma+ +X(+S,+(+h[jb+18608>>3]))+1.0;S=ga/+lH(c[d+536>>2]|0,kb,7686528,8080,+h[lb>>3],(a[d+319|0]|0)!=0|0);Ma=S;Na=c[(d+416|0)>>2]|0;break}}}while(0);F=+h[Na+18576>>3];z=+h[Na+18592>>3];G=+h[Na+18584>>3];A=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[A+8>>2]|0)+672>>3];if(R-K*k*Ma==0.0){do{if(G!=0.0){mb=B/G;nb=Na;ob=G}else{if(B==0.0){mb=B;nb=Na;ob=G;break}Q=B/+lH(c[d+536>>2]|0,G,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;mb=Q;nb=L;ob=+h[L+18584>>3]}}while(0);K=F+z*+V(+mb)+-1.0;R=+h[nb+18600>>3];do{if(ob!=0.0){pb=f/ob;qb=nb;rb=ob}else{if(f==0.0){pb=f;qb=nb;rb=ob;break}Q=f/+lH(c[d+536>>2]|0,ob,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;pb=Q;qb=L;rb=+h[L+18584>>3]}}while(0);Q=R*pb;L=c[c[(d+4|0)>>2]>>2]|0;P=+h[(c[L+8>>2]|0)+672>>3];do{if(rb!=0.0){sb=P/rb;tb=qb;ub=rb}else{if(P==0.0){sb=P;tb=qb;ub=rb;break}S=P/+lH(c[d+536>>2]|0,rb,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;sb=S;tb=$;ub=+h[$+18584>>3]}}while(0);P=+V(+sb);R=+h[tb+18608>>3];S=+X(+P,+(R+-1.0));do{if(ub!=0.0){vb=j/ub;wb=tb;xb=ub}else{if(j==0.0){vb=j;wb=tb;xb=ub;break}P=j/+lH(c[d+536>>2]|0,ub,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;vb=P;wb=L;xb=+h[L+18584>>3]}}while(0);P=K*(Q+S*R*vb);ga=+h[wb+18592>>3];yb=+h[wb+18600>>3];L=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[L+8>>2]|0)+672>>3];do{if(xb!=0.0){Ab=+V(+(zb/xb));Bb=(yb*Ab+ +X(+Ab,+(+h[wb+18608>>3]))+1.0)/xb}else{if(zb==0.0){Cb=zb;Db=wb;Eb=xb;Fb=L;Gb=zb}else{Ab=zb/+lH(c[d+536>>2]|0,xb,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;Cb=Ab;Db=$;Eb=+h[$+18584>>3];Fb=na;Gb=+h[(c[na+8>>2]|0)+672>>3]}Ab=yb*+V(+Cb);do{if(Eb!=0.0){Hb=Gb/Eb;Ib=Db;Jb=Eb;Kb=Fb;Lb=Gb}else{if(Gb==0.0){Hb=Gb;Ib=Db;Jb=Eb;Kb=Fb;Lb=Gb;break}Mb=Gb/+lH(c[d+536>>2]|0,Eb,7686528,8080,+h[Fb>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Hb=Mb;Ib=na;Jb=+h[na+18584>>3];Kb=$;Lb=+h[(c[$+8>>2]|0)+672>>3]}}while(0);ma=+V(+Hb);$=Ab+ +X(+ma,+(+h[Ib+18608>>3]))+1.0==0.0;ma=+h[Ib+18600>>3];na=Jb!=0.0;if($){do{if(na){Nb=Lb/Jb;Ob=Ib;Pb=Jb;Qb=Kb;Rb=Lb}else{if(Lb==0.0){Nb=Lb;Ob=Ib;Pb=Jb;Qb=Kb;Rb=Lb;break}Mb=Lb/+lH(c[d+536>>2]|0,Jb,7686528,8080,+h[Kb>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;Nb=Mb;Ob=$;Pb=+h[$+18584>>3];Qb=Sb;Rb=+h[(c[Sb+8>>2]|0)+672>>3]}}while(0);Ab=ma*+V(+Nb);do{if(Pb!=0.0){Tb=Rb/Pb;Ub=Ob}else{if(Rb==0.0){Tb=Rb;Ub=Ob;break}Mb=Rb/+lH(c[d+536>>2]|0,Pb,7686528,8080,+h[Qb>>3],(a[d+319|0]|0)!=0|0);Tb=Mb;Ub=c[(d+416|0)>>2]|0}}while(0);Mb=+V(+Tb);Bb=Ab+ +X(+Mb,+(+h[Ub+18608>>3]))+1.0;break}else{do{if(na){Vb=Lb/Jb;Wb=Ib;Xb=Jb;Yb=Kb;Zb=Lb}else{if(Lb==0.0){Vb=Lb;Wb=Ib;Xb=Jb;Yb=Kb;Zb=Lb;break}Mb=Lb/+lH(c[d+536>>2]|0,Jb,7686528,8080,+h[Kb>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;Vb=Mb;Wb=Sb;Xb=+h[Sb+18584>>3];Yb=$;Zb=+h[(c[$+8>>2]|0)+672>>3]}}while(0);Ab=ma*+V(+Vb);do{if(Xb!=0.0){_b=Zb/Xb;$b=Wb;ac=Xb;bc=Yb}else{if(Zb==0.0){_b=Zb;$b=Wb;ac=Xb;bc=Yb;break}Mb=Zb/+lH(c[d+536>>2]|0,Xb,7686528,8080,+h[Yb>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;_b=Mb;$b=na;ac=+h[na+18584>>3];bc=c[c[(d+4|0)>>2]>>2]|0}}while(0);ma=+V(+_b);Mb=Ab+ +X(+ma,+(+h[$b+18608>>3]))+1.0;Bb=Mb/+lH(c[d+536>>2]|0,ac,7686528,8080,+h[bc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=P-ga*k*Bb;break}else{do{if(G!=0.0){cc=B/G;dc=Na;ec=G}else{if(B==0.0){cc=B;dc=Na;ec=G;break}yb=B/+lH(c[d+536>>2]|0,G,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;cc=yb;dc=L;ec=+h[L+18584>>3]}}while(0);G=F+z*+V(+cc)+-1.0;B=+h[dc+18600>>3];do{if(ec!=0.0){fc=f/ec;gc=dc;hc=ec}else{if(f==0.0){fc=f;gc=dc;hc=ec;break}ga=f/+lH(c[d+536>>2]|0,ec,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;fc=ga;gc=A;hc=+h[A+18584>>3]}}while(0);z=B*fc;A=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[A+8>>2]|0)+672>>3];do{if(hc!=0.0){ic=F/hc;jc=gc;kc=hc}else{if(F==0.0){ic=F;jc=gc;kc=hc;break}ga=F/+lH(c[d+536>>2]|0,hc,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;ic=ga;jc=L;kc=+h[L+18584>>3]}}while(0);F=+V(+ic);B=+h[jc+18608>>3];ga=+X(+F,+(B+-1.0));do{if(kc!=0.0){lc=j/kc;mc=jc;nc=kc}else{if(j==0.0){lc=j;mc=jc;nc=kc;break}F=j/+lH(c[d+536>>2]|0,kc,7686528,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;lc=F;mc=A;nc=+h[A+18584>>3]}}while(0);F=G*(z+ga*B*lc);P=+h[mc+18592>>3];yb=+h[mc+18600>>3];A=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[A+8>>2]|0)+672>>3];do{if(nc!=0.0){R=+V(+(zb/nc));oc=(yb*R+ +X(+R,+(+h[mc+18608>>3]))+1.0)/nc}else{if(zb==0.0){pc=zb;qc=mc;rc=nc;sc=A;tc=zb}else{R=zb/+lH(c[d+536>>2]|0,nc,7686528,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;pc=R;qc=L;rc=+h[L+18584>>3];sc=na;tc=+h[(c[na+8>>2]|0)+672>>3]}R=yb*+V(+pc);do{if(rc!=0.0){uc=tc/rc;vc=qc;wc=rc;xc=sc;yc=tc}else{if(tc==0.0){uc=tc;vc=qc;wc=rc;xc=sc;yc=tc;break}S=tc/+lH(c[d+536>>2]|0,rc,7686528,8080,+h[sc>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;uc=S;vc=na;wc=+h[na+18584>>3];xc=L;yc=+h[(c[L+8>>2]|0)+672>>3]}}while(0);Ab=+V(+uc);L=R+ +X(+Ab,+(+h[vc+18608>>3]))+1.0==0.0;Ab=+h[vc+18600>>3];na=wc!=0.0;if(L){do{if(na){zc=yc/wc;Ac=vc;Bc=wc;Cc=xc;Dc=yc}else{if(yc==0.0){zc=yc;Ac=vc;Bc=wc;Cc=xc;Dc=yc;break}S=yc/+lH(c[d+536>>2]|0,wc,7686528,8080,+h[xc>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;zc=S;Ac=L;Bc=+h[L+18584>>3];Cc=$;Dc=+h[(c[$+8>>2]|0)+672>>3]}}while(0);R=Ab*+V(+zc);do{if(Bc!=0.0){Ec=Dc/Bc;Fc=Ac}else{if(Dc==0.0){Ec=Dc;Fc=Ac;break}S=Dc/+lH(c[d+536>>2]|0,Bc,7686528,8080,+h[Cc>>3],(a[d+319|0]|0)!=0|0);Ec=S;Fc=c[(d+416|0)>>2]|0}}while(0);S=+V(+Ec);oc=R+ +X(+S,+(+h[Fc+18608>>3]))+1.0;break}else{do{if(na){Gc=yc/wc;Hc=vc;Ic=wc;Jc=xc;Kc=yc}else{if(yc==0.0){Gc=yc;Hc=vc;Ic=wc;Jc=xc;Kc=yc;break}S=yc/+lH(c[d+536>>2]|0,wc,7686528,8080,+h[xc>>3],(a[d+319|0]|0)!=0|0);$=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Gc=S;Hc=$;Ic=+h[$+18584>>3];Jc=L;Kc=+h[(c[L+8>>2]|0)+672>>3]}}while(0);R=Ab*+V(+Gc);do{if(Ic!=0.0){Lc=Kc/Ic;Mc=Hc;Nc=Ic;Oc=Jc}else{if(Kc==0.0){Lc=Kc;Mc=Hc;Nc=Ic;Oc=Jc;break}S=Kc/+lH(c[d+536>>2]|0,Ic,7686528,8080,+h[Jc>>3],(a[d+319|0]|0)!=0|0);na=c[(d+416|0)>>2]|0;Lc=S;Mc=na;Nc=+h[na+18584>>3];Oc=c[c[(d+4|0)>>2]>>2]|0}}while(0);Ab=+V(+Lc);S=R+ +X(+Ab,+(+h[Mc+18608>>3]))+1.0;oc=S/+lH(c[d+536>>2]|0,Nc,7686528,8080,+h[Oc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);za=(F-P*k*oc)/+lH(c[d+536>>2]|0,p*p,7685160,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{v=1}}}while(0);Be[q&7](25,9,za,62,e);Be[c[(e+8|0)>>2]&7](26,7,1.0,63,e);A=c[(d+416|0)>>2]|0;yb=+h[A+18624>>3];zb=+h[A+18632>>3];do{if(yb!=0.0){Pc=zb/yb}else{if(zb==0.0){Pc=zb;break}Pc=zb/+lH(c[d+536>>2]|0,yb,7684056,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(!(Pc>0.0)){Ce[c[2178]&63](c[d+536>>2]|0,8032,7682088,(u=i,i=i+8|0,h[u>>3]=Pc,u)|0);i=u}A=c[(e+8|0)>>2]|0;yb=+ea(Pc);zb=+h[(c[(d+416|0)>>2]|0)+18616>>3];do{if(yb!=0.0){Qc=zb/yb}else{if(zb==0.0){Qc=zb;break}Qc=zb/+lH(c[d+536>>2]|0,yb,7681336,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[A&7](26,8,Qc*-7895683520871486.0e-21,64,e);Be[c[(e+8|0)>>2]&7](27,6,1.0,65,e);na=c[c[(d+4|0)>>2]>>2]|0;yb=+h[(c[na+8>>2]|0)+680>>3];if(yb!=0.0){Rc=yb}else{Rc=+lH(c[d+536>>2]|0,yb,7680344,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}yb=1.0/Rc;Be[c[(e+8|0)>>2]&7](27,7,yb*yb,66,e);Be[c[(e+8|0)>>2]&7](28,5,1.0,67,e);Be[c[(e+8|0)>>2]&7](28,6,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],68,e);Be[c[(e+8|0)>>2]&7](28,25,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+688>>3],69,e);Be[c[(e+8|0)>>2]&7](29,4,1.0,70,e);na=c[(e+8|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;yb=+h[(c[L+8>>2]|0)+2944>>3];if(yb!=0.0){Sc=yb}else{Sc=+lH(c[d+536>>2]|0,yb,7679192,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}Be[na&7](29,25,1.0/Sc,71,e);Be[c[(e+8|0)>>2]&7](30,3,1.0,72,e);yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){Tc=zb/yb}else{if(zb==0.0){Tc=zb;break}Tc=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Tc>0.0){Uc=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){Vc=zb/yb}else{if(zb==0.0){Vc=zb;break}Vc=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);Uc=+((Vc<0.0)<<31>>31|0)}yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){Wc=zb/yb}else{if(zb==0.0){Wc=zb;break}Wc=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Wc>0.0){Xc=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){Yc=zb/yb}else{if(zb==0.0){Yc=zb;break}Yc=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);Xc=+((Yc<0.0)<<31>>31|0)}yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){Zc=zb/yb}else{if(zb==0.0){Zc=zb;break}Zc=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(Zc>0.0){_c=1.0}else{yb=+h[(c[(d+416|0)>>2]|0)+18512>>3];na=c[c[(d+4|0)>>2]>>2]|0;zb=+h[(c[na+8>>2]|0)+736>>3];do{if(yb!=0.0){$c=zb/yb}else{if(zb==0.0){$c=zb;break}$c=zb/+lH(c[d+536>>2]|0,yb,7678144,8080,+h[na>>3],(a[d+319|0]|0)!=0|0)}}while(0);_c=+(($c<0.0)<<31>>31|0)}na=c[(d+416|0)>>2]|0;yb=+h[na+18528>>3];zb=+h[na+18512>>3];A=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[A+8>>2]|0)+736>>3];do{if(zb!=0.0){ad=B/zb;bd=na;cd=zb;dd=A;ed=B}else{if(B==0.0){ad=B;bd=na;cd=zb;dd=A;ed=B;break}ga=B/+lH(c[d+536>>2]|0,zb,7678144,8080,+h[A>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;$=c[c[(d+4|0)>>2]>>2]|0;ad=ga;bd=L;cd=+h[L+18512>>3];dd=$;ed=+h[(c[$+8>>2]|0)+736>>3]}}while(0);zb=yb*+V(+ad);do{if(cd!=0.0){fd=ed/cd;gd=bd;hd=cd;id=dd;jd=ed}else{if(ed==0.0){fd=ed;gd=bd;hd=cd;id=dd;jd=ed;break}B=ed/+lH(c[d+536>>2]|0,cd,7678144,8080,+h[dd>>3],(a[d+319|0]|0)!=0|0);A=c[(d+416|0)>>2]|0;na=c[c[(d+4|0)>>2]>>2]|0;fd=B;gd=A;hd=+h[A+18512>>3];id=na;jd=+h[(c[na+8>>2]|0)+736>>3]}}while(0);yb=+V(+fd);B=zb+ +X(+yb,+(+h[gd+18536>>3]))+1.0;na=c[(e+8|0)>>2]|0;yb=+h[gd+18504>>3];ga=+h[gd+18520>>3];A=hd!=0.0;do{$=1;if($){$=0;if(B*B!=0.0){do{if(A){kd=jd/hd;ld=gd;md=hd}else{if(jd==0.0){kd=jd;ld=gd;md=hd;break}z=jd/+lH(c[d+536>>2]|0,hd,7678144,8080,+h[id>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;kd=z;ld=L;md=+h[L+18512>>3]}}while(0);P=yb+ga*+V(+kd)+-1.0;F=+h[ld+18528>>3];do{if(md!=0.0){nd=Uc/md;od=ld;pd=md}else{if(Uc==0.0){nd=Uc;od=ld;pd=md;break}z=Uc/+lH(c[d+536>>2]|0,md,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;nd=z;od=v;pd=+h[v+18512>>3]}}while(0);z=F*nd;v=c[c[(d+4|0)>>2]>>2]|0;G=+h[(c[v+8>>2]|0)+736>>3];do{if(pd!=0.0){qd=G/pd;rd=od;sd=pd}else{if(G==0.0){qd=G;rd=od;sd=pd;break}S=G/+lH(c[d+536>>2]|0,pd,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;qd=S;rd=L;sd=+h[L+18512>>3]}}while(0);G=+V(+qd);F=+h[rd+18536>>3];S=+X(+G,+(F+-1.0));do{if(sd!=0.0){td=Xc/sd;ud=rd;vd=sd}else{if(Xc==0.0){td=Xc;ud=rd;vd=sd;break}G=Xc/+lH(c[d+536>>2]|0,sd,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;td=G;ud=v;vd=+h[v+18512>>3]}}while(0);G=P*(z+S*F*td);Ab=+h[ud+18520>>3];Q=+h[ud+18528>>3];v=c[c[(d+4|0)>>2]>>2]|0;K=+h[(c[v+8>>2]|0)+736>>3];do{if(vd!=0.0){Mb=+V(+(K/vd));wd=(Q*Mb+ +X(+Mb,+(+h[ud+18536>>3]))+1.0)/vd}else{if(K==0.0){xd=K;yd=ud;zd=vd;Ad=v;Bd=K}else{Mb=K/+lH(c[d+536>>2]|0,vd,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;xd=Mb;yd=L;zd=+h[L+18512>>3];Ad=Sb;Bd=+h[(c[Sb+8>>2]|0)+736>>3]}Mb=Q*+V(+xd);do{if(zd!=0.0){Cd=Bd/zd;Dd=yd;Ed=zd;Fd=Ad;Gd=Bd}else{if(Bd==0.0){Cd=Bd;Dd=yd;Ed=zd;Fd=Ad;Gd=Bd;break}ma=Bd/+lH(c[d+536>>2]|0,zd,7678144,8080,+h[Ad>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Cd=ma;Dd=Sb;Ed=+h[Sb+18512>>3];Fd=L;Gd=+h[(c[L+8>>2]|0)+736>>3]}}while(0);R=+V(+Cd);L=Mb+ +X(+R,+(+h[Dd+18536>>3]))+1.0==0.0;R=+h[Dd+18528>>3];Sb=Ed!=0.0;if(L){do{if(Sb){Hd=Gd/Ed;Id=Dd;Jd=Ed;Kd=Fd;Ld=Gd}else{if(Gd==0.0){Hd=Gd;Id=Dd;Jd=Ed;Kd=Fd;Ld=Gd;break}ma=Gd/+lH(c[d+536>>2]|0,Ed,7678144,8080,+h[Fd>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;Hd=ma;Id=L;Jd=+h[L+18512>>3];Kd=Md;Ld=+h[(c[Md+8>>2]|0)+736>>3]}}while(0);Mb=R*+V(+Hd);do{if(Jd!=0.0){Nd=Ld/Jd;Od=Id}else{if(Ld==0.0){Nd=Ld;Od=Id;break}ma=Ld/+lH(c[d+536>>2]|0,Jd,7678144,8080,+h[Kd>>3],(a[d+319|0]|0)!=0|0);Nd=ma;Od=c[(d+416|0)>>2]|0}}while(0);ma=+V(+Nd);wd=Mb+ +X(+ma,+(+h[Od+18536>>3]))+1.0;break}else{do{if(Sb){Pd=Gd/Ed;Qd=Dd;Rd=Ed;Sd=Fd;Td=Gd}else{if(Gd==0.0){Pd=Gd;Qd=Dd;Rd=Ed;Sd=Fd;Td=Gd;break}ma=Gd/+lH(c[d+536>>2]|0,Ed,7678144,8080,+h[Fd>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Pd=ma;Qd=Md;Rd=+h[Md+18512>>3];Sd=L;Td=+h[(c[L+8>>2]|0)+736>>3]}}while(0);Mb=R*+V(+Pd);do{if(Rd!=0.0){Ud=Td/Rd;Vd=Qd;Wd=Rd;Xd=Sd}else{if(Td==0.0){Ud=Td;Vd=Qd;Wd=Rd;Xd=Sd;break}ma=Td/+lH(c[d+536>>2]|0,Rd,7678144,8080,+h[Sd>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Ud=ma;Vd=Sb;Wd=+h[Sb+18512>>3];Xd=c[c[(d+4|0)>>2]>>2]|0}}while(0);R=+V(+Ud);ma=Mb+ +X(+R,+(+h[Vd+18536>>3]))+1.0;wd=ma/+lH(c[d+536>>2]|0,Wd,7678144,8080,+h[Xd>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=(G-Ab*_c*wd)/(B*B)}else{$=1}}if($){$=0;if(1){do{if(A){Zd=jd/hd;_d=gd;$d=hd}else{if(jd==0.0){Zd=jd;_d=gd;$d=hd;break}Q=jd/+lH(c[d+536>>2]|0,hd,7678144,8080,+h[id>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Zd=Q;_d=v;$d=+h[v+18512>>3]}}while(0);Ab=yb+ga*+V(+Zd)+-1.0;G=+h[_d+18528>>3];do{if($d!=0.0){ae=Uc/$d;be=_d;ce=$d}else{if(Uc==0.0){ae=Uc;be=_d;ce=$d;break}Q=Uc/+lH(c[d+536>>2]|0,$d,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;ae=Q;be=v;ce=+h[v+18512>>3]}}while(0);Q=G*ae;v=c[c[(d+4|0)>>2]>>2]|0;K=+h[(c[v+8>>2]|0)+736>>3];do{if(ce!=0.0){de=K/ce;ee=be;fe=ce}else{if(K==0.0){de=K;ee=be;fe=ce;break}F=K/+lH(c[d+536>>2]|0,ce,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;de=F;ee=Sb;fe=+h[Sb+18512>>3]}}while(0);K=+V(+de);G=+h[ee+18536>>3];F=+X(+K,+(G+-1.0));do{if(fe!=0.0){ge=Xc/fe;he=ee;ie=fe}else{if(Xc==0.0){ge=Xc;he=ee;ie=fe;break}K=Xc/+lH(c[d+536>>2]|0,fe,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;ge=K;he=v;ie=+h[v+18512>>3]}}while(0);K=Ab*(Q+F*G*ge);S=+h[he+18520>>3];z=+h[he+18528>>3];v=c[c[(d+4|0)>>2]>>2]|0;P=+h[(c[v+8>>2]|0)+736>>3];do{if(ie!=0.0){ma=+V(+(P/ie));je=(z*ma+ +X(+ma,+(+h[he+18536>>3]))+1.0)/ie;ke=he}else{if(P==0.0){le=P;me=he;ne=ie;oe=v;pe=P}else{ma=P/+lH(c[d+536>>2]|0,ie,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;le=ma;me=Sb;ne=+h[Sb+18512>>3];oe=L;pe=+h[(c[L+8>>2]|0)+736>>3]}ma=z*+V(+le);do{if(ne!=0.0){qe=pe/ne;re=me;se=ne;te=oe;ue=pe}else{if(pe==0.0){qe=pe;re=me;se=ne;te=oe;ue=pe;break}R=pe/+lH(c[d+536>>2]|0,ne,7678144,8080,+h[oe>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;qe=R;re=L;se=+h[L+18512>>3];te=Sb;ue=+h[(c[Sb+8>>2]|0)+736>>3]}}while(0);Mb=+V(+qe);Sb=ma+ +X(+Mb,+(+h[re+18536>>3]))+1.0==0.0;Mb=+h[re+18528>>3];L=se!=0.0;if(Sb){do{if(L){ve=ue/se;we=re;xe=se;ye=te;ze=ue}else{if(ue==0.0){ve=ue;we=re;xe=se;ye=te;ze=ue;break}R=ue/+lH(c[d+536>>2]|0,se,7678144,8080,+h[te>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;ve=R;we=Sb;xe=+h[Sb+18512>>3];ye=Md;ze=+h[(c[Md+8>>2]|0)+736>>3]}}while(0);ma=Mb*+V(+ve);do{if(xe!=0.0){Ae=ze/xe;De=we}else{if(ze==0.0){Ae=ze;De=we;break}R=ze/+lH(c[d+536>>2]|0,xe,7678144,8080,+h[ye>>3],(a[d+319|0]|0)!=0|0);Ae=R;De=c[(d+416|0)>>2]|0}}while(0);R=+V(+Ae);je=ma+ +X(+R,+(+h[De+18536>>3]))+1.0;ke=De;break}else{do{if(L){Ee=ue/se;Fe=re;Ge=se;He=te;Ie=ue}else{if(ue==0.0){Ee=ue;Fe=re;Ge=se;He=te;Ie=ue;break}R=ue/+lH(c[d+536>>2]|0,se,7678144,8080,+h[te>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;Ee=R;Fe=Md;Ge=+h[Md+18512>>3];He=Sb;Ie=+h[(c[Sb+8>>2]|0)+736>>3]}}while(0);ma=Mb*+V(+Ee);do{if(Ge!=0.0){Je=Ie/Ge;Ke=Fe;Le=Ge;Me=He}else{if(Ie==0.0){Je=Ie;Ke=Fe;Le=Ge;Me=He;break}R=Ie/+lH(c[d+536>>2]|0,Ge,7678144,8080,+h[He>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Je=R;Ke=L;Le=+h[L+18512>>3];Me=c[c[(d+4|0)>>2]>>2]|0}}while(0);Mb=+V(+Je);R=ma+ +X(+Mb,+(+h[Ke+18536>>3]))+1.0;Mb=R/+lH(c[d+536>>2]|0,Le,7678144,8080,+h[Me>>3],(a[d+319|0]|0)!=0|0);je=Mb;ke=c[(d+416|0)>>2]|0;break}}}while(0);z=+h[ke+18504>>3];P=+h[ke+18520>>3];G=+h[ke+18512>>3];v=c[c[(d+4|0)>>2]>>2]|0;F=+h[(c[v+8>>2]|0)+736>>3];if(K-S*_c*je==0.0){do{if(G!=0.0){Ne=F/G;Oe=ke;Pe=G}else{if(F==0.0){Ne=F;Oe=ke;Pe=G;break}Q=F/+lH(c[d+536>>2]|0,G,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Ne=Q;Oe=L;Pe=+h[L+18512>>3]}}while(0);S=z+P*+V(+Ne)+-1.0;K=+h[Oe+18528>>3];do{if(Pe!=0.0){Qe=Uc/Pe;Re=Oe;Se=Pe}else{if(Uc==0.0){Qe=Uc;Re=Oe;Se=Pe;break}Q=Uc/+lH(c[d+536>>2]|0,Pe,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Qe=Q;Re=L;Se=+h[L+18512>>3]}}while(0);Q=K*Qe;L=c[c[(d+4|0)>>2]>>2]|0;Ab=+h[(c[L+8>>2]|0)+736>>3];do{if(Se!=0.0){Te=Ab/Se;Ue=Re;Ve=Se}else{if(Ab==0.0){Te=Ab;Ue=Re;Ve=Se;break}Mb=Ab/+lH(c[d+536>>2]|0,Se,7678144,8080,+h[L>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Te=Mb;Ue=Sb;Ve=+h[Sb+18512>>3]}}while(0);Ab=+V(+Te);K=+h[Ue+18536>>3];Mb=+X(+Ab,+(K+-1.0));do{if(Ve!=0.0){We=Xc/Ve;Xe=Ue;Ye=Ve}else{if(Xc==0.0){We=Xc;Xe=Ue;Ye=Ve;break}Ab=Xc/+lH(c[d+536>>2]|0,Ve,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;We=Ab;Xe=L;Ye=+h[L+18512>>3]}}while(0);Ab=S*(Q+Mb*K*We);R=+h[Xe+18520>>3];Ze=+h[Xe+18528>>3];L=c[c[(d+4|0)>>2]>>2]|0;_e=+h[(c[L+8>>2]|0)+736>>3];do{if(Ye!=0.0){$e=+V(+(_e/Ye));af=(Ze*$e+ +X(+$e,+(+h[Xe+18536>>3]))+1.0)/Ye}else{if(_e==0.0){bf=_e;cf=Xe;df=Ye;ef=L;ff=_e}else{$e=_e/+lH(c[d+536>>2]|0,Ye,7678144,8080,+h[L>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;bf=$e;cf=Sb;df=+h[Sb+18512>>3];ef=Md;ff=+h[(c[Md+8>>2]|0)+736>>3]}$e=Ze*+V(+bf);do{if(df!=0.0){gf=ff/df;hf=cf;jf=df;kf=ef;lf=ff}else{if(ff==0.0){gf=ff;hf=cf;jf=df;kf=ef;lf=ff;break}mf=ff/+lH(c[d+536>>2]|0,df,7678144,8080,+h[ef>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;gf=mf;hf=Md;jf=+h[Md+18512>>3];kf=Sb;lf=+h[(c[Sb+8>>2]|0)+736>>3]}}while(0);ma=+V(+gf);Sb=$e+ +X(+ma,+(+h[hf+18536>>3]))+1.0==0.0;ma=+h[hf+18528>>3];Md=jf!=0.0;if(Sb){do{if(Md){nf=lf/jf;of=hf;pf=jf;qf=kf;rf=lf}else{if(lf==0.0){nf=lf;of=hf;pf=jf;qf=kf;rf=lf;break}mf=lf/+lH(c[d+536>>2]|0,jf,7678144,8080,+h[kf>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;sf=c[c[(d+4|0)>>2]>>2]|0;nf=mf;of=Sb;pf=+h[Sb+18512>>3];qf=sf;rf=+h[(c[sf+8>>2]|0)+736>>3]}}while(0);$e=ma*+V(+nf);do{if(pf!=0.0){tf=rf/pf;uf=of}else{if(rf==0.0){tf=rf;uf=of;break}mf=rf/+lH(c[d+536>>2]|0,pf,7678144,8080,+h[qf>>3],(a[d+319|0]|0)!=0|0);tf=mf;uf=c[(d+416|0)>>2]|0}}while(0);mf=+V(+tf);af=$e+ +X(+mf,+(+h[uf+18536>>3]))+1.0;break}else{do{if(Md){vf=lf/jf;wf=hf;xf=jf;yf=kf;zf=lf}else{if(lf==0.0){vf=lf;wf=hf;xf=jf;yf=kf;zf=lf;break}mf=lf/+lH(c[d+536>>2]|0,jf,7678144,8080,+h[kf>>3],(a[d+319|0]|0)!=0|0);sf=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;vf=mf;wf=sf;xf=+h[sf+18512>>3];yf=Sb;zf=+h[(c[Sb+8>>2]|0)+736>>3]}}while(0);$e=ma*+V(+vf);do{if(xf!=0.0){Af=zf/xf;Bf=wf;Cf=xf;Df=yf}else{if(zf==0.0){Af=zf;Bf=wf;Cf=xf;Df=yf;break}mf=zf/+lH(c[d+536>>2]|0,xf,7678144,8080,+h[yf>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;Af=mf;Bf=Md;Cf=+h[Md+18512>>3];Df=c[c[(d+4|0)>>2]>>2]|0}}while(0);ma=+V(+Af);mf=$e+ +X(+ma,+(+h[Bf+18536>>3]))+1.0;af=mf/+lH(c[d+536>>2]|0,Cf,7678144,8080,+h[Df>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=Ab-R*_c*af;break}else{do{if(G!=0.0){Ef=F/G;Ff=ke;Gf=G}else{if(F==0.0){Ef=F;Ff=ke;Gf=G;break}Ze=F/+lH(c[d+536>>2]|0,G,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Ef=Ze;Ff=L;Gf=+h[L+18512>>3]}}while(0);G=z+P*+V(+Ef)+-1.0;F=+h[Ff+18528>>3];do{if(Gf!=0.0){Hf=Uc/Gf;If=Ff;Jf=Gf}else{if(Uc==0.0){Hf=Uc;If=Ff;Jf=Gf;break}R=Uc/+lH(c[d+536>>2]|0,Gf,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Hf=R;If=v;Jf=+h[v+18512>>3]}}while(0);P=F*Hf;v=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[v+8>>2]|0)+736>>3];do{if(Jf!=0.0){Kf=z/Jf;Lf=If;Mf=Jf}else{if(z==0.0){Kf=z;Lf=If;Mf=Jf;break}R=z/+lH(c[d+536>>2]|0,Jf,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Kf=R;Lf=L;Mf=+h[L+18512>>3]}}while(0);z=+V(+Kf);F=+h[Lf+18536>>3];R=+X(+z,+(F+-1.0));do{if(Mf!=0.0){Nf=Xc/Mf;Of=Lf;Pf=Mf}else{if(Xc==0.0){Nf=Xc;Of=Lf;Pf=Mf;break}z=Xc/+lH(c[d+536>>2]|0,Mf,7678144,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);v=c[(d+416|0)>>2]|0;Nf=z;Of=v;Pf=+h[v+18512>>3]}}while(0);z=G*(P+R*F*Nf);Ab=+h[Of+18520>>3];Ze=+h[Of+18528>>3];v=c[c[(d+4|0)>>2]>>2]|0;_e=+h[(c[v+8>>2]|0)+736>>3];do{if(Pf!=0.0){K=+V(+(_e/Pf));Qf=(Ze*K+ +X(+K,+(+h[Of+18536>>3]))+1.0)/Pf}else{if(_e==0.0){Rf=_e;Sf=Of;Tf=Pf;Uf=v;Vf=_e}else{K=_e/+lH(c[d+536>>2]|0,Pf,7678144,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Md=c[c[(d+4|0)>>2]>>2]|0;Rf=K;Sf=L;Tf=+h[L+18512>>3];Uf=Md;Vf=+h[(c[Md+8>>2]|0)+736>>3]}K=Ze*+V(+Rf);do{if(Tf!=0.0){Wf=Vf/Tf;Xf=Sf;Yf=Tf;Zf=Uf;_f=Vf}else{if(Vf==0.0){Wf=Vf;Xf=Sf;Yf=Tf;Zf=Uf;_f=Vf;break}Mb=Vf/+lH(c[d+536>>2]|0,Tf,7678144,8080,+h[Uf>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;Wf=Mb;Xf=Md;Yf=+h[Md+18512>>3];Zf=L;_f=+h[(c[L+8>>2]|0)+736>>3]}}while(0);$e=+V(+Wf);L=K+ +X(+$e,+(+h[Xf+18536>>3]))+1.0==0.0;$e=+h[Xf+18528>>3];Md=Yf!=0.0;if(L){do{if(Md){$f=_f/Yf;ag=Xf;bg=Yf;cg=Zf;dg=_f}else{if(_f==0.0){$f=_f;ag=Xf;bg=Yf;cg=Zf;dg=_f;break}Mb=_f/+lH(c[d+536>>2]|0,Yf,7678144,8080,+h[Zf>>3],(a[d+319|0]|0)!=0|0);L=c[(d+416|0)>>2]|0;Sb=c[c[(d+4|0)>>2]>>2]|0;$f=Mb;ag=L;bg=+h[L+18512>>3];cg=Sb;dg=+h[(c[Sb+8>>2]|0)+736>>3]}}while(0);K=$e*+V(+$f);do{if(bg!=0.0){eg=dg/bg;fg=ag}else{if(dg==0.0){eg=dg;fg=ag;break}Mb=dg/+lH(c[d+536>>2]|0,bg,7678144,8080,+h[cg>>3],(a[d+319|0]|0)!=0|0);eg=Mb;fg=c[(d+416|0)>>2]|0}}while(0);Mb=+V(+eg);Qf=K+ +X(+Mb,+(+h[fg+18536>>3]))+1.0;break}else{do{if(Md){gg=_f/Yf;hg=Xf;ig=Yf;jg=Zf;kg=_f}else{if(_f==0.0){gg=_f;hg=Xf;ig=Yf;jg=Zf;kg=_f;break}Mb=_f/+lH(c[d+536>>2]|0,Yf,7678144,8080,+h[Zf>>3],(a[d+319|0]|0)!=0|0);Sb=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;gg=Mb;hg=Sb;ig=+h[Sb+18512>>3];jg=L;kg=+h[(c[L+8>>2]|0)+736>>3]}}while(0);K=$e*+V(+gg);do{if(ig!=0.0){lg=kg/ig;mg=hg;ng=ig;og=jg}else{if(kg==0.0){lg=kg;mg=hg;ng=ig;og=jg;break}Mb=kg/+lH(c[d+536>>2]|0,ig,7678144,8080,+h[jg>>3],(a[d+319|0]|0)!=0|0);Md=c[(d+416|0)>>2]|0;lg=Mb;mg=Md;ng=+h[Md+18512>>3];og=c[c[(d+4|0)>>2]>>2]|0}}while(0);$e=+V(+lg);Mb=K+ +X(+$e,+(+h[mg+18536>>3]))+1.0;Qf=Mb/+lH(c[d+536>>2]|0,ng,7678144,8080,+h[og>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);Yd=(z-Ab*_c*Qf)/+lH(c[d+536>>2]|0,B*B,7677008,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{$=1}}}while(0);Be[na&7](30,4,Yd,73,e);Be[c[(e+8|0)>>2]&7](31,2,1.0,74,e);A=c[(e+8|0)>>2]|0;B=+h[(c[(d+416|0)>>2]|0)+18544>>3];v=c[c[(d+4|0)>>2]>>2]|0;ga=+h[(c[v+8>>2]|0)+2944>>3];do{if(B!=0.0){pg=ga/B}else{if(ga==0.0){pg=ga;break}pg=ga/+lH(c[d+536>>2]|0,B,7675680,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[A&7](31,3,pg*-1256637061435917.0e-21,75,e);Be[c[(e+8|0)>>2]&7](32,1,1.0,76,e);v=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[v+8>>2]|0)+744>>3];if(B!=0.0){qg=B;rg=1.0/qg;sg=c[(e+8|0)>>2]|0;tg=rg*rg;Be[sg&7](32,2,tg,77,e);ug=c[(e+8|0)>>2]|0;Be[ug&7](33,0,1.0,78,e);vg=c[(e+8|0)>>2]|0;wg=c[(d+4|0)>>2]|0;xg=c[wg>>2]|0;yg=xg+8|0;zg=c[yg>>2]|0;Ag=zg+696|0;Bg=+h[Ag>>3];Be[vg&7](33,1,Bg,79,e);Cg=c[(e+8|0)>>2]|0;Dg=c[(d+4|0)>>2]|0;Eg=c[Dg>>2]|0;Fg=Eg+8|0;Gg=c[Fg>>2]|0;Hg=Gg+752|0;Ig=+h[Hg>>3];Be[Cg&7](33,25,Ig,80,e);i=b;c[b+13704>>2]=5;break a}qg=+lH(c[d+536>>2]|0,B,7674648,8080,+h[v>>3],(a[d+319|0]|0)!=0|0);rg=1.0/qg;sg=c[(e+8|0)>>2]|0;tg=rg*rg;Be[sg&7](32,2,tg,77,e);ug=c[(e+8|0)>>2]|0;Be[ug&7](33,0,1.0,78,e);vg=c[(e+8|0)>>2]|0;wg=c[(d+4|0)>>2]|0;xg=c[wg>>2]|0;yg=xg+8|0;zg=c[yg>>2]|0;Ag=zg+696|0;Bg=+h[Ag>>3];Be[vg&7](33,1,Bg,79,e);Cg=c[(e+8|0)>>2]|0;Dg=c[(d+4|0)>>2]|0;Eg=c[Dg>>2]|0;Fg=Eg+8|0;Gg=c[Fg>>2]|0;Hg=Gg+752|0;Ig=+h[Hg>>3];Be[Cg&7](33,25,Ig,80,e);i=b;c[b+13704>>2]=5;break a}while(0);c[b+13656>>2]=u}function _setLinearMatrixA175$1(b){b=b|0;var d=0,e=0,f=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,L=0,M=0.0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0,T=0.0,U=0.0,W=0,Y=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0.0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0,ma=0.0,na=0.0,oa=0,pa=0.0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0.0,Ba=0,Ca=0.0,Da=0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0,La=0.0,Ma=0.0,Na=0,Oa=0.0,Pa=0.0,Qa=0,Ra=0.0,Sa=0.0,Ta=0,Ua=0.0,Va=0.0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0,ab=0.0,bb=0,cb=0.0,db=0.0,eb=0,fb=0.0,gb=0,hb=0.0,ib=0.0,jb=0,kb=0.0,lb=0,mb=0.0,nb=0.0,ob=0,pb=0.0,qb=0,rb=0.0,sb=0,tb=0.0,ub=0.0,vb=0,wb=0.0,xb=0,yb=0.0,zb=0,Ab=0.0,Bb=0.0,Cb=0,Db=0.0,Eb=0.0,Fb=0,Gb=0.0,Hb=0.0,Ib=0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0,Qb=0.0,Rb=0,Sb=0.0,Tb=0.0,Ub=0,Vb=0.0,Wb=0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0,$b=0.0,ac=0,bc=0.0,cc=0,dc=0.0,ec=0,fc=0.0,gc=0,hc=0.0,ic=0,jc=0.0,kc=0.0,lc=0,mc=0.0,nc=0,oc=0.0,pc=0,qc=0.0,rc=0.0,sc=0,tc=0.0,uc=0.0,vc=0,wc=0.0,xc=0.0,yc=0,zc=0.0,Ac=0.0,Bc=0.0,Cc=0,Dc=0.0,Ec=0,Fc=0.0,Gc=0.0,Hc=0,Ic=0.0,Jc=0,Kc=0.0,Lc=0.0,Mc=0,Nc=0.0,Oc=0,Pc=0.0,Qc=0.0,Rc=0,Sc=0.0,Tc=0,Uc=0.0,Vc=0,Wc=0.0,Xc=0.0,Yc=0,Zc=0.0,_c=0,$c=0.0,ad=0.0,bd=0.0,cd=0.0,dd=0.0,ed=0.0,fd=0.0,gd=0.0,hd=0.0,id=0.0,jd=0.0,kd=0,ld=0.0,md=0,nd=0.0,od=0.0;d=c[b+16>>2]|0;e=c[b+24>>2]|0;f=+g[b+6872>>2];j=+g[b+6944>>2];k=+g[b+7016>>2];l=+g[b+7160>>2];m=c[b+7168>>2]|0;n=+g[b+7176>>2];o=c[b+7184>>2]|0;p=+g[b+7208>>2];q=c[b+7216>>2]|0;r=+g[b+7224>>2];s=+g[b+7232>>2];t=c[b+7240>>2]|0;u=c[b+13656>>2]|0;Be[c[(e+8|0)>>2]&7](12,25,1.0,32,e);Be[c[(e+8|0)>>2]&7](13,20,1.0,33,e);Be[c[(e+8|0)>>2]&7](13,21,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2888>>3],34,e);Be[c[(e+8|0)>>2]&7](14,19,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2920>>3],35,e);Be[c[(e+8|0)>>2]&7](14,20,1.0,36,e);Be[c[(e+8|0)>>2]&7](15,18,-0.0- +h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+2912>>3],37,e);Be[c[(e+8|0)>>2]&7](15,20,1.0,38,e);Be[c[(e+8|0)>>2]&7](16,5,1.0,39,e);Be[c[(e+8|0)>>2]&7](16,17,1.0,40,e);Be[c[(e+8|0)>>2]&7](16,20,1.0,41,e);Be[c[(e+8|0)>>2]&7](17,0,1.0,42,e);Be[c[(e+8|0)>>2]&7](17,16,-1.0,43,e);Be[c[(e+8|0)>>2]&7](17,17,1.0,44,e);Be[c[(e+8|0)>>2]&7](18,10,1.0,45,e);Be[c[(e+8|0)>>2]&7](18,15,-1.0,46,e);Be[c[(e+8|0)>>2]&7](18,16,1.0,47,e);Be[c[(e+8|0)>>2]&7](19,14,1.0,48,e);v=c[(e+8|0)>>2]|0;w=c[c[(d+4|0)>>2]>>2]|0;x=+h[(c[w+8>>2]|0)+2960>>3];if(x!=0.0){y=x}else{y=+lH(c[d+536>>2]|0,x,7648088,8080,+h[w>>3],(a[d+319|0]|0)!=0|0)}Be[v&7](19,25,1.0/y,49,e);Be[c[(e+8|0)>>2]&7](20,13,1.0,50,e);y=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;x=+h[(c[v+8>>2]|0)+616>>3];do{if(y!=0.0){z=x/y}else{if(x==0.0){z=x;break}z=x/+lH(c[d+536>>2]|0,y,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(z>0.0){A=1.0}else{z=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;y=+h[(c[v+8>>2]|0)+616>>3];do{if(z!=0.0){B=y/z}else{if(y==0.0){B=y;break}B=y/+lH(c[d+536>>2]|0,z,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);A=+((B<0.0)<<31>>31|0)}B=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;z=+h[(c[v+8>>2]|0)+616>>3];do{if(B!=0.0){C=z/B}else{if(z==0.0){C=z;break}C=z/+lH(c[d+536>>2]|0,B,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(C>0.0){D=1.0}else{C=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[v+8>>2]|0)+616>>3];do{if(C!=0.0){E=B/C}else{if(B==0.0){E=B;break}E=B/+lH(c[d+536>>2]|0,C,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);D=+((E<0.0)<<31>>31|0)}E=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;C=+h[(c[v+8>>2]|0)+616>>3];do{if(E!=0.0){F=C/E}else{if(C==0.0){F=C;break}F=C/+lH(c[d+536>>2]|0,E,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(F>0.0){G=1.0}else{F=+h[(c[(d+416|0)>>2]|0)+18656>>3];v=c[c[(d+4|0)>>2]>>2]|0;E=+h[(c[v+8>>2]|0)+616>>3];do{if(F!=0.0){H=E/F}else{if(E==0.0){H=E;break}H=E/+lH(c[d+536>>2]|0,F,7640768,8080,+h[v>>3],(a[d+319|0]|0)!=0|0)}}while(0);G=+((H<0.0)<<31>>31|0)}v=c[(d+416|0)>>2]|0;H=+h[v+18672>>3];F=+h[v+18656>>3];w=c[c[(d+4|0)>>2]>>2]|0;E=+h[(c[w+8>>2]|0)+616>>3];do{if(F!=0.0){I=E/F;J=v;K=F;L=w;M=E}else{if(E==0.0){I=E;J=v;K=F;L=w;M=E;break}C=E/+lH(c[d+536>>2]|0,F,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;I=C;J=N;K=+h[N+18656>>3];L=O;M=+h[(c[O+8>>2]|0)+616>>3]}}while(0);F=H*+V(+I);do{if(K!=0.0){P=M/K;Q=J;R=K;S=L;T=M}else{if(M==0.0){P=M;Q=J;R=K;S=L;T=M;break}I=M/+lH(c[d+536>>2]|0,K,7640768,8080,+h[L>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;v=c[c[(d+4|0)>>2]>>2]|0;P=I;Q=w;R=+h[w+18656>>3];S=v;T=+h[(c[v+8>>2]|0)+616>>3]}}while(0);K=+V(+P);P=F+ +X(+K,+(+h[Q+18680>>3]))+1.0;L=c[(e+8|0)>>2]|0;K=+h[Q+18648>>3];F=+h[Q+18664>>3];J=R!=0.0;do{v=1;if(v){v=0;if(P*P!=0.0){do{if(J){U=T/R;W=Q;Y=R}else{if(T==0.0){U=T;W=Q;Y=R;break}M=T/+lH(c[d+536>>2]|0,R,7640768,8080,+h[S>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;U=M;W=w;Y=+h[w+18656>>3]}}while(0);M=K+F*+V(+U)+-1.0;I=+h[W+18672>>3];do{if(Y!=0.0){Z=A/Y;_=W;$=Y}else{if(A==0.0){Z=A;_=W;$=Y;break}H=A/+lH(c[d+536>>2]|0,Y,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;Z=H;_=w;$=+h[w+18656>>3]}}while(0);H=I*Z;w=c[c[(d+4|0)>>2]>>2]|0;E=+h[(c[w+8>>2]|0)+616>>3];do{if($!=0.0){aa=E/$;ba=_;ca=$}else{if(E==0.0){aa=E;ba=_;ca=$;break}C=E/+lH(c[d+536>>2]|0,$,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;aa=C;ba=O;ca=+h[O+18656>>3]}}while(0);E=+V(+aa);I=+h[ba+18680>>3];C=+X(+E,+(I+-1.0));do{if(ca!=0.0){da=D/ca;fa=ba;ga=ca}else{if(D==0.0){da=D;fa=ba;ga=ca;break}E=D/+lH(c[d+536>>2]|0,ca,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;da=E;fa=w;ga=+h[w+18656>>3]}}while(0);E=M*(H+C*I*da);B=+h[fa+18664>>3];z=+h[fa+18672>>3];w=c[c[(d+4|0)>>2]>>2]|0;y=+h[(c[w+8>>2]|0)+616>>3];do{if(ga!=0.0){x=+V(+(y/ga));ha=(z*x+ +X(+x,+(+h[fa+18680>>3]))+1.0)/ga}else{if(y==0.0){ia=y;ja=fa;ka=ga;la=w;ma=y}else{x=y/+lH(c[d+536>>2]|0,ga,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;ia=x;ja=O;ka=+h[O+18656>>3];la=N;ma=+h[(c[N+8>>2]|0)+616>>3]}x=z*+V(+ia);do{if(ka!=0.0){na=ma/ka;oa=ja;pa=ka;qa=la;ra=ma}else{if(ma==0.0){na=ma;oa=ja;pa=ka;qa=la;ra=ma;break}sa=ma/+lH(c[d+536>>2]|0,ka,7640768,8080,+h[la>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;na=sa;oa=N;pa=+h[N+18656>>3];qa=O;ra=+h[(c[O+8>>2]|0)+616>>3]}}while(0);sa=+V(+na);O=x+ +X(+sa,+(+h[oa+18680>>3]))+1.0==0.0;sa=+h[oa+18672>>3];N=pa!=0.0;if(O){do{if(N){ta=ra/pa;ua=oa;va=pa;wa=qa;xa=ra}else{if(ra==0.0){ta=ra;ua=oa;va=pa;wa=qa;xa=ra;break}ya=ra/+lH(c[d+536>>2]|0,pa,7640768,8080,+h[qa>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ta=ya;ua=O;va=+h[O+18656>>3];wa=za;xa=+h[(c[za+8>>2]|0)+616>>3]}}while(0);x=sa*+V(+ta);do{if(va!=0.0){Aa=xa/va;Ba=ua}else{if(xa==0.0){Aa=xa;Ba=ua;break}ya=xa/+lH(c[d+536>>2]|0,va,7640768,8080,+h[wa>>3],(a[d+319|0]|0)!=0|0);Aa=ya;Ba=c[(d+416|0)>>2]|0}}while(0);ya=+V(+Aa);ha=x+ +X(+ya,+(+h[Ba+18680>>3]))+1.0;break}else{do{if(N){Ca=ra/pa;Da=oa;Ea=pa;Fa=qa;Ga=ra}else{if(ra==0.0){Ca=ra;Da=oa;Ea=pa;Fa=qa;Ga=ra;break}ya=ra/+lH(c[d+536>>2]|0,pa,7640768,8080,+h[qa>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;Ca=ya;Da=za;Ea=+h[za+18656>>3];Fa=O;Ga=+h[(c[O+8>>2]|0)+616>>3]}}while(0);x=sa*+V(+Ca);do{if(Ea!=0.0){Ha=Ga/Ea;Ia=Da;Ja=Ea;Ka=Fa}else{if(Ga==0.0){Ha=Ga;Ia=Da;Ja=Ea;Ka=Fa;break}ya=Ga/+lH(c[d+536>>2]|0,Ea,7640768,8080,+h[Fa>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;Ha=ya;Ia=N;Ja=+h[N+18656>>3];Ka=c[c[(d+4|0)>>2]>>2]|0}}while(0);sa=+V(+Ha);ya=x+ +X(+sa,+(+h[Ia+18680>>3]))+1.0;ha=ya/+lH(c[d+536>>2]|0,Ja,7640768,8080,+h[Ka>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(E-B*G*ha)/(P*P)}else{v=1}}if(v){v=0;if(1){do{if(J){Ma=T/R;Na=Q;Oa=R}else{if(T==0.0){Ma=T;Na=Q;Oa=R;break}z=T/+lH(c[d+536>>2]|0,R,7640768,8080,+h[S>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;Ma=z;Na=w;Oa=+h[w+18656>>3]}}while(0);B=K+F*+V(+Ma)+-1.0;E=+h[Na+18672>>3];do{if(Oa!=0.0){Pa=A/Oa;Qa=Na;Ra=Oa}else{if(A==0.0){Pa=A;Qa=Na;Ra=Oa;break}z=A/+lH(c[d+536>>2]|0,Oa,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;Pa=z;Qa=w;Ra=+h[w+18656>>3]}}while(0);z=E*Pa;w=c[c[(d+4|0)>>2]>>2]|0;y=+h[(c[w+8>>2]|0)+616>>3];do{if(Ra!=0.0){Sa=y/Ra;Ta=Qa;Ua=Ra}else{if(y==0.0){Sa=y;Ta=Qa;Ua=Ra;break}I=y/+lH(c[d+536>>2]|0,Ra,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;Sa=I;Ta=N;Ua=+h[N+18656>>3]}}while(0);y=+V(+Sa);E=+h[Ta+18680>>3];I=+X(+y,+(E+-1.0));do{if(Ua!=0.0){Va=D/Ua;Wa=Ta;Xa=Ua}else{if(D==0.0){Va=D;Wa=Ta;Xa=Ua;break}y=D/+lH(c[d+536>>2]|0,Ua,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;Va=y;Wa=w;Xa=+h[w+18656>>3]}}while(0);y=B*(z+I*E*Va);C=+h[Wa+18664>>3];H=+h[Wa+18672>>3];w=c[c[(d+4|0)>>2]>>2]|0;M=+h[(c[w+8>>2]|0)+616>>3];do{if(Xa!=0.0){ya=+V(+(M/Xa));Ya=(H*ya+ +X(+ya,+(+h[Wa+18680>>3]))+1.0)/Xa;Za=Wa}else{if(M==0.0){_a=M;$a=Wa;ab=Xa;bb=w;cb=M}else{ya=M/+lH(c[d+536>>2]|0,Xa,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;_a=ya;$a=N;ab=+h[N+18656>>3];bb=O;cb=+h[(c[O+8>>2]|0)+616>>3]}ya=H*+V(+_a);do{if(ab!=0.0){db=cb/ab;eb=$a;fb=ab;gb=bb;hb=cb}else{if(cb==0.0){db=cb;eb=$a;fb=ab;gb=bb;hb=cb;break}sa=cb/+lH(c[d+536>>2]|0,ab,7640768,8080,+h[bb>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;db=sa;eb=O;fb=+h[O+18656>>3];gb=N;hb=+h[(c[N+8>>2]|0)+616>>3]}}while(0);x=+V(+db);N=ya+ +X(+x,+(+h[eb+18680>>3]))+1.0==0.0;x=+h[eb+18672>>3];O=fb!=0.0;if(N){do{if(O){ib=hb/fb;jb=eb;kb=fb;lb=gb;mb=hb}else{if(hb==0.0){ib=hb;jb=eb;kb=fb;lb=gb;mb=hb;break}sa=hb/+lH(c[d+536>>2]|0,fb,7640768,8080,+h[gb>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;ib=sa;jb=N;kb=+h[N+18656>>3];lb=za;mb=+h[(c[za+8>>2]|0)+616>>3]}}while(0);ya=x*+V(+ib);do{if(kb!=0.0){nb=mb/kb;ob=jb}else{if(mb==0.0){nb=mb;ob=jb;break}sa=mb/+lH(c[d+536>>2]|0,kb,7640768,8080,+h[lb>>3],(a[d+319|0]|0)!=0|0);nb=sa;ob=c[(d+416|0)>>2]|0}}while(0);sa=+V(+nb);Ya=ya+ +X(+sa,+(+h[ob+18680>>3]))+1.0;Za=ob;break}else{do{if(O){pb=hb/fb;qb=eb;rb=fb;sb=gb;tb=hb}else{if(hb==0.0){pb=hb;qb=eb;rb=fb;sb=gb;tb=hb;break}sa=hb/+lH(c[d+536>>2]|0,fb,7640768,8080,+h[gb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;pb=sa;qb=za;rb=+h[za+18656>>3];sb=N;tb=+h[(c[N+8>>2]|0)+616>>3]}}while(0);ya=x*+V(+pb);do{if(rb!=0.0){ub=tb/rb;vb=qb;wb=rb;xb=sb}else{if(tb==0.0){ub=tb;vb=qb;wb=rb;xb=sb;break}sa=tb/+lH(c[d+536>>2]|0,rb,7640768,8080,+h[sb>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;ub=sa;vb=O;wb=+h[O+18656>>3];xb=c[c[(d+4|0)>>2]>>2]|0}}while(0);x=+V(+ub);sa=ya+ +X(+x,+(+h[vb+18680>>3]))+1.0;x=sa/+lH(c[d+536>>2]|0,wb,7640768,8080,+h[xb>>3],(a[d+319|0]|0)!=0|0);Ya=x;Za=c[(d+416|0)>>2]|0;break}}}while(0);H=+h[Za+18648>>3];M=+h[Za+18664>>3];E=+h[Za+18656>>3];w=c[c[(d+4|0)>>2]>>2]|0;I=+h[(c[w+8>>2]|0)+616>>3];if(y-C*G*Ya==0.0){do{if(E!=0.0){yb=I/E;zb=Za;Ab=E}else{if(I==0.0){yb=I;zb=Za;Ab=E;break}z=I/+lH(c[d+536>>2]|0,E,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;yb=z;zb=O;Ab=+h[O+18656>>3]}}while(0);C=H+M*+V(+yb)+-1.0;y=+h[zb+18672>>3];do{if(Ab!=0.0){Bb=A/Ab;Cb=zb;Db=Ab}else{if(A==0.0){Bb=A;Cb=zb;Db=Ab;break}z=A/+lH(c[d+536>>2]|0,Ab,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;Bb=z;Cb=O;Db=+h[O+18656>>3]}}while(0);z=y*Bb;O=c[c[(d+4|0)>>2]>>2]|0;B=+h[(c[O+8>>2]|0)+616>>3];do{if(Db!=0.0){Eb=B/Db;Fb=Cb;Gb=Db}else{if(B==0.0){Eb=B;Fb=Cb;Gb=Db;break}x=B/+lH(c[d+536>>2]|0,Db,7640768,8080,+h[O>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;Eb=x;Fb=N;Gb=+h[N+18656>>3]}}while(0);B=+V(+Eb);y=+h[Fb+18680>>3];x=+X(+B,+(y+-1.0));do{if(Gb!=0.0){Hb=D/Gb;Ib=Fb;Jb=Gb}else{if(D==0.0){Hb=D;Ib=Fb;Jb=Gb;break}B=D/+lH(c[d+536>>2]|0,Gb,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;Hb=B;Ib=O;Jb=+h[O+18656>>3]}}while(0);B=C*(z+x*y*Hb);sa=+h[Ib+18664>>3];Kb=+h[Ib+18672>>3];O=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[O+8>>2]|0)+616>>3];do{if(Jb!=0.0){Mb=+V(+(Lb/Jb));Nb=(Kb*Mb+ +X(+Mb,+(+h[Ib+18680>>3]))+1.0)/Jb}else{if(Lb==0.0){Ob=Lb;Pb=Ib;Qb=Jb;Rb=O;Sb=Lb}else{Mb=Lb/+lH(c[d+536>>2]|0,Jb,7640768,8080,+h[O>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Ob=Mb;Pb=N;Qb=+h[N+18656>>3];Rb=za;Sb=+h[(c[za+8>>2]|0)+616>>3]}Mb=Kb*+V(+Ob);do{if(Qb!=0.0){Tb=Sb/Qb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb}else{if(Sb==0.0){Tb=Sb;Ub=Pb;Vb=Qb;Wb=Rb;Xb=Sb;break}Yb=Sb/+lH(c[d+536>>2]|0,Qb,7640768,8080,+h[Rb>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;Tb=Yb;Ub=za;Vb=+h[za+18656>>3];Wb=N;Xb=+h[(c[N+8>>2]|0)+616>>3]}}while(0);ya=+V(+Tb);N=Mb+ +X(+ya,+(+h[Ub+18680>>3]))+1.0==0.0;ya=+h[Ub+18672>>3];za=Vb!=0.0;if(N){do{if(za){Zb=Xb/Vb;_b=Ub;$b=Vb;ac=Wb;bc=Xb}else{if(Xb==0.0){Zb=Xb;_b=Ub;$b=Vb;ac=Wb;bc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7640768,8080,+h[Wb>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;cc=c[c[(d+4|0)>>2]>>2]|0;Zb=Yb;_b=N;$b=+h[N+18656>>3];ac=cc;bc=+h[(c[cc+8>>2]|0)+616>>3]}}while(0);Mb=ya*+V(+Zb);do{if($b!=0.0){dc=bc/$b;ec=_b}else{if(bc==0.0){dc=bc;ec=_b;break}Yb=bc/+lH(c[d+536>>2]|0,$b,7640768,8080,+h[ac>>3],(a[d+319|0]|0)!=0|0);dc=Yb;ec=c[(d+416|0)>>2]|0}}while(0);Yb=+V(+dc);Nb=Mb+ +X(+Yb,+(+h[ec+18680>>3]))+1.0;break}else{do{if(za){fc=Xb/Vb;gc=Ub;hc=Vb;ic=Wb;jc=Xb}else{if(Xb==0.0){fc=Xb;gc=Ub;hc=Vb;ic=Wb;jc=Xb;break}Yb=Xb/+lH(c[d+536>>2]|0,Vb,7640768,8080,+h[Wb>>3],(a[d+319|0]|0)!=0|0);cc=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;fc=Yb;gc=cc;hc=+h[cc+18656>>3];ic=N;jc=+h[(c[N+8>>2]|0)+616>>3]}}while(0);Mb=ya*+V(+fc);do{if(hc!=0.0){kc=jc/hc;lc=gc;mc=hc;nc=ic}else{if(jc==0.0){kc=jc;lc=gc;mc=hc;nc=ic;break}Yb=jc/+lH(c[d+536>>2]|0,hc,7640768,8080,+h[ic>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;kc=Yb;lc=za;mc=+h[za+18656>>3];nc=c[c[(d+4|0)>>2]>>2]|0}}while(0);ya=+V(+kc);Yb=Mb+ +X(+ya,+(+h[lc+18680>>3]))+1.0;Nb=Yb/+lH(c[d+536>>2]|0,mc,7640768,8080,+h[nc>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=B-sa*G*Nb;break}else{do{if(E!=0.0){oc=I/E;pc=Za;qc=E}else{if(I==0.0){oc=I;pc=Za;qc=E;break}Kb=I/+lH(c[d+536>>2]|0,E,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;oc=Kb;pc=O;qc=+h[O+18656>>3]}}while(0);E=H+M*+V(+oc)+-1.0;I=+h[pc+18672>>3];do{if(qc!=0.0){rc=A/qc;sc=pc;tc=qc}else{if(A==0.0){rc=A;sc=pc;tc=qc;break}sa=A/+lH(c[d+536>>2]|0,qc,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;rc=sa;sc=w;tc=+h[w+18656>>3]}}while(0);M=I*rc;w=c[c[(d+4|0)>>2]>>2]|0;H=+h[(c[w+8>>2]|0)+616>>3];do{if(tc!=0.0){uc=H/tc;vc=sc;wc=tc}else{if(H==0.0){uc=H;vc=sc;wc=tc;break}sa=H/+lH(c[d+536>>2]|0,tc,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;uc=sa;vc=O;wc=+h[O+18656>>3]}}while(0);H=+V(+uc);I=+h[vc+18680>>3];sa=+X(+H,+(I+-1.0));do{if(wc!=0.0){xc=D/wc;yc=vc;zc=wc}else{if(D==0.0){xc=D;yc=vc;zc=wc;break}H=D/+lH(c[d+536>>2]|0,wc,7640768,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);w=c[(d+416|0)>>2]|0;xc=H;yc=w;zc=+h[w+18656>>3]}}while(0);H=E*(M+sa*I*xc);B=+h[yc+18664>>3];Kb=+h[yc+18672>>3];w=c[c[(d+4|0)>>2]>>2]|0;Lb=+h[(c[w+8>>2]|0)+616>>3];do{if(zc!=0.0){y=+V(+(Lb/zc));Ac=(Kb*y+ +X(+y,+(+h[yc+18680>>3]))+1.0)/zc}else{if(Lb==0.0){Bc=Lb;Cc=yc;Dc=zc;Ec=w;Fc=Lb}else{y=Lb/+lH(c[d+536>>2]|0,zc,7640768,8080,+h[w>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;za=c[c[(d+4|0)>>2]>>2]|0;Bc=y;Cc=O;Dc=+h[O+18656>>3];Ec=za;Fc=+h[(c[za+8>>2]|0)+616>>3]}y=Kb*+V(+Bc);do{if(Dc!=0.0){Gc=Fc/Dc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc}else{if(Fc==0.0){Gc=Fc;Hc=Cc;Ic=Dc;Jc=Ec;Kc=Fc;break}x=Fc/+lH(c[d+536>>2]|0,Dc,7640768,8080,+h[Ec>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;Gc=x;Hc=za;Ic=+h[za+18656>>3];Jc=O;Kc=+h[(c[O+8>>2]|0)+616>>3]}}while(0);Mb=+V(+Gc);O=y+ +X(+Mb,+(+h[Hc+18680>>3]))+1.0==0.0;Mb=+h[Hc+18672>>3];za=Ic!=0.0;if(O){do{if(za){Lc=Kc/Ic;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc}else{if(Kc==0.0){Lc=Kc;Mc=Hc;Nc=Ic;Oc=Jc;Pc=Kc;break}x=Kc/+lH(c[d+536>>2]|0,Ic,7640768,8080,+h[Jc>>3],(a[d+319|0]|0)!=0|0);O=c[(d+416|0)>>2]|0;N=c[c[(d+4|0)>>2]>>2]|0;Lc=x;Mc=O;Nc=+h[O+18656>>3];Oc=N;Pc=+h[(c[N+8>>2]|0)+616>>3]}}while(0);y=Mb*+V(+Lc);do{if(Nc!=0.0){Qc=Pc/Nc;Rc=Mc}else{if(Pc==0.0){Qc=Pc;Rc=Mc;break}x=Pc/+lH(c[d+536>>2]|0,Nc,7640768,8080,+h[Oc>>3],(a[d+319|0]|0)!=0|0);Qc=x;Rc=c[(d+416|0)>>2]|0}}while(0);x=+V(+Qc);Ac=y+ +X(+x,+(+h[Rc+18680>>3]))+1.0;break}else{do{if(za){Sc=Kc/Ic;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc}else{if(Kc==0.0){Sc=Kc;Tc=Hc;Uc=Ic;Vc=Jc;Wc=Kc;break}x=Kc/+lH(c[d+536>>2]|0,Ic,7640768,8080,+h[Jc>>3],(a[d+319|0]|0)!=0|0);N=c[(d+416|0)>>2]|0;O=c[c[(d+4|0)>>2]>>2]|0;Sc=x;Tc=N;Uc=+h[N+18656>>3];Vc=O;Wc=+h[(c[O+8>>2]|0)+616>>3]}}while(0);y=Mb*+V(+Sc);do{if(Uc!=0.0){Xc=Wc/Uc;Yc=Tc;Zc=Uc;_c=Vc}else{if(Wc==0.0){Xc=Wc;Yc=Tc;Zc=Uc;_c=Vc;break}x=Wc/+lH(c[d+536>>2]|0,Uc,7640768,8080,+h[Vc>>3],(a[d+319|0]|0)!=0|0);za=c[(d+416|0)>>2]|0;Xc=x;Yc=za;Zc=+h[za+18656>>3];_c=c[c[(d+4|0)>>2]>>2]|0}}while(0);Mb=+V(+Xc);x=y+ +X(+Mb,+(+h[Yc+18680>>3]))+1.0;Ac=x/+lH(c[d+536>>2]|0,Zc,7640768,8080,+h[_c>>3],(a[d+319|0]|0)!=0|0);break}}}while(0);La=(H-B*G*Ac)/+lH(c[d+536>>2]|0,P*P,7634592,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0);break}}else{v=1}}}while(0);Be[L&7](20,14,La,51,e);Be[c[(e+8|0)>>2]&7](21,12,1.0,52,e);L=c[(d+416|0)>>2]|0;La=+h[L+18696>>3];P=+h[L+18704>>3];do{if(La!=0.0){$c=P/La}else{if(P==0.0){$c=P;break}$c=P/+lH(c[d+536>>2]|0,La,7628664,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(!($c>0.0)){Ce[c[2178]&63](c[d+536>>2]|0,8032,7698760,(u=i,i=i+8|0,h[u>>3]=$c,u)|0);i=u}L=c[(e+8|0)>>2]|0;La=+ea($c);$c=+h[(c[(d+416|0)>>2]|0)+18688>>3];do{if(La!=0.0){ad=$c/La}else{if($c==0.0){ad=$c;break}ad=$c/+lH(c[d+536>>2]|0,La,7694056,8080,+h[c[c[(d+4|0)>>2]>>2]>>3],(a[d+319|0]|0)!=0|0)}}while(0);Be[L&7](21,13,ad*-7895683520871486.0e-21,53,e);Be[c[(e+8|0)>>2]&7](22,11,1.0,54,e);L=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[L+8>>2]|0)+624>>3];if(ad!=0.0){bd=ad}else{bd=+lH(c[d+536>>2]|0,ad,7690456,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}ad=1.0/bd;Be[c[(e+8|0)>>2]&7](22,12,ad*ad,55,e);Be[c[(e+8|0)>>2]&7](23,10,1.0,56,e);Be[c[(e+8|0)>>2]&7](23,11,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+696>>3],57,e);Be[c[(e+8|0)>>2]&7](23,25,+h[(c[(c[c[(d+4|0)>>2]>>2]|0)+8>>2]|0)+632>>3],58,e);Be[c[(e+8|0)>>2]&7](24,9,1.0,59,e);L=c[(e+8|0)>>2]|0;_c=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[_c+8>>2]|0)+2952>>3];if(ad!=0.0){cd=ad}else{cd=+lH(c[d+536>>2]|0,ad,7688136,8080,+h[_c>>3],(a[d+319|0]|0)!=0|0)}Be[L&7](24,25,-1.0/cd,60,e);Be[c[(e+8|0)>>2]&7](25,8,1.0,61,e);cd=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;ad=+h[(c[L+8>>2]|0)+672>>3];do{if(cd!=0.0){dd=ad/cd}else{if(ad==0.0){dd=ad;break}dd=ad/+lH(c[d+536>>2]|0,cd,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(dd>0.0){f=1.0}else{dd=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;cd=+h[(c[L+8>>2]|0)+672>>3];do{if(dd!=0.0){ed=cd/dd}else{if(cd==0.0){ed=cd;break}ed=cd/+lH(c[d+536>>2]|0,dd,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);f=+((ed<0.0)<<31>>31|0)}ed=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;dd=+h[(c[L+8>>2]|0)+672>>3];do{if(ed!=0.0){fd=dd/ed}else{if(dd==0.0){fd=dd;break}fd=dd/+lH(c[d+536>>2]|0,ed,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(fd>0.0){j=1.0}else{fd=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;ed=+h[(c[L+8>>2]|0)+672>>3];do{if(fd!=0.0){gd=ed/fd}else{if(ed==0.0){gd=ed;break}gd=ed/+lH(c[d+536>>2]|0,fd,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);j=+((gd<0.0)<<31>>31|0)}gd=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;fd=+h[(c[L+8>>2]|0)+672>>3];do{if(gd!=0.0){hd=fd/gd}else{if(fd==0.0){hd=fd;break}hd=fd/+lH(c[d+536>>2]|0,gd,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);if(hd>0.0){k=1.0}else{hd=+h[(c[(d+416|0)>>2]|0)+18584>>3];L=c[c[(d+4|0)>>2]>>2]|0;gd=+h[(c[L+8>>2]|0)+672>>3];do{if(hd!=0.0){id=gd/hd}else{if(gd==0.0){id=gd;break}id=gd/+lH(c[d+536>>2]|0,hd,7686528,8080,+h[L>>3],(a[d+319|0]|0)!=0|0)}}while(0);k=+((id<0.0)<<31>>31|0)}L=c[(d+416|0)>>2]|0;id=+h[L+18600>>3];hd=+h[L+18584>>3];_c=c[c[(d+4|0)>>2]>>2]|0;gd=+h[(c[_c+8>>2]|0)+672>>3];do{if(hd!=0.0){jd=gd/hd;kd=L;ld=hd;md=_c;nd=gd}else{if(gd==0.0){jd=gd;kd=L;ld=hd;md=_c;nd=gd;break}fd=gd/+lH(c[d+536>>2]|0,hd,7686528,8080,+h[_c>>3],(a[d+319|0]|0)!=0|0);Yc=c[(d+416|0)>>2]|0;Vc=c[c[(d+4|0)>>2]>>2]|0;jd=fd;kd=Yc;ld=+h[Yc+18584>>3];md=Vc;nd=+h[(c[Vc+8>>2]|0)+672>>3]}}while(0);hd=id*+V(+jd);do{if(ld!=0.0){od=nd/ld;o=kd;n=ld;m=md;l=nd}else{if(nd==0.0){od=nd;o=kd;n=ld;m=md;l=nd;break}jd=nd/+lH(c[d+536>>2]|0,ld,7686528,8080,+h[md>>3],(a[d+319|0]|0)!=0|0);_c=c[(d+416|0)>>2]|0;L=c[c[(d+4|0)>>2]>>2]|0;od=jd;o=_c;n=+h[_c+18584>>3];m=L;l=+h[(c[L+8>>2]|0)+672>>3]}}while(0);ld=+V(+od);p=hd+ +X(+ld,+(+h[o+18608>>3]))+1.0;q=c[(e+8|0)>>2]|0;r=+h[o+18576>>3];s=+h[o+18592>>3];t=n!=0.0;g[b+6872>>2]=f;g[b+6944>>2]=j;g[b+7016>>2]=k;g[b+7160>>2]=l;c[b+7168>>2]=m;g[b+7176>>2]=n;c[b+7184>>2]=o;g[b+7208>>2]=p;c[b+7216>>2]=q;g[b+7224>>2]=r;g[b+7232>>2]=s;c[b+7240>>2]=t;c[b+13656>>2]=u}



function oQ(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;pQ(e|0);u$(e+200|0);qQ(e+216|0,e+232|0);qQ(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[1929051]|0)==0){A$(e+296|0,c[b+80>>2]|0);rQ(e+280|0,e+296|0,7686120);H$(e+200|0,e+280|0)|0;G$(e+280|0);G$(e+296|0)}else{I$(e+200|0,c[1929021]|0)|0}f=Hc(b0(e+200|0)|0,7656888)|0;if((f|0)!=0){j=f;break}f=b0(e+200|0)|0;jH(0,7649264,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=aC(0)|0;if((f|0)==0){Pa(j|0)|0;jH(0,7641776,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}lC(f,e|0);mC(f,8,20);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){oaa(e+312|0|0|0,0,1024)|0;while(1){m=Xc(e+312|0|0|0,1,1024,j|0)|0;if((nC(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Pa(j|0)|0;break}Pa(j|0)|0;m=b0(e+200|0)|0;o=vC(sC(f)|0)|0;p=tC(f)|0;hH(1,0,7635624,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;hC(f);jH(0,7629800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((nC(f,l,laa(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=vC(sC(f)|0)|0;q=tC(f)|0;Bd(p|0,7624016,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=vC(sC(f)|0)|0;o=tC(f)|0;hH(1,0,7699672,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;hC(f);jH(0,7629800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;A$(e+1344|0,7694848);vQ(e+1336|0,l,e+1344|0);wQ(e+1360|0,l);j=uQ(e+1336|0,e+1360|0)|0;G$(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=b0(e+200|0)|0;hH(1,0,7690936,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{A$(e+1368|0,7694848);o=jaa(n,b0(xQ(l,e+1368|0)|0)|0)|0;G$(e+1368|0);if((o|0)==0){break}hC(f);A$(e+1384|0,7694848);o=b0(xQ(l,e+1384|0)|0)|0;m=b0(e+200|0)|0;q=c[(b+88|0)>>2]|0;hH(1,0,7688392,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;G$(e+1384|0);jH(0,7629800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);yQ(e|0,b,c[1929042]|0,c[1929043]|0);fH(23,1,7686752,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;A$(e+1416|0,7685536);w$(e+1400|0,xQ((e|0)+12|0,e+1416|0)|0);zQ(e+1400|0,d|0,0.0);G$(e+1400|0);G$(e+1416|0);fH(23,0,7684184,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;A$(e+1448|0,7683104);w$(e+1432|0,xQ((e|0)+12|0,e+1448|0)|0);zQ(e+1432|0,d+8|0,1.0);G$(e+1432|0);G$(e+1448|0);fH(23,0,7682288,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;A$(e+1480|0,7681488);w$(e+1464|0,xQ((e|0)+12|0,e+1480|0)|0);zQ(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);G$(e+1464|0);G$(e+1480|0);fH(23,0,7680472,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;A$(e+1512|0,7679408);w$(e+1496|0,xQ((e|0)+12|0,e+1512|0)|0);zQ(e+1496|0,d+32|0,1.0e-5);G$(e+1496|0);G$(e+1512|0);fH(23,0,7678264,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;A$(e+1544|0,7677368);w$(e+1528|0,xQ((e|0)+12|0,e+1544|0)|0);AQ(e+1528|0,d+40|0);G$(e+1528|0);G$(e+1544|0);fH(23,0,7675840,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;A$(e+1576|0,7674864);w$(e+1560|0,xQ((e|0)+12|0,e+1576|0)|0);AQ(e+1560|0,d+44|0);G$(e+1560|0);G$(e+1576|0);fH(23,0,7673696,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;A$(e+1608|0,7672640);w$(e+1592|0,xQ((e|0)+12|0,e+1608|0)|0);AQ(e+1592|0,d+48|0);G$(e+1592|0);G$(e+1608|0);fH(23,0,7671736,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;A$(e+1640|0,7670840);w$(e+1624|0,xQ(l,e+1640|0)|0);AQ(e+1624|0,d+268|0);G$(e+1624|0);G$(e+1640|0);fH(23,0,7669352,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[1928889]|0)!=0){he[c[3556]&511](23)}A$(e+1744|0,7668512);w$(e+1728|0,xQ(l,e+1744|0)|0);BQ(e+1728|0,e+1656|0,0);G$(e+1728|0);G$(e+1744|0);A$(e+1776|0,7666752);w$(e+1760|0,xQ(l,e+1776|0)|0);BQ(e+1760|0,e+1664|0,0);G$(e+1760|0);G$(e+1776|0);A$(e+1808|0,7665472);w$(e+1792|0,xQ(l,e+1808|0)|0);BQ(e+1792|0,e+1672|0,0);G$(e+1792|0);G$(e+1808|0);A$(e+1840|0,7664096);w$(e+1824|0,xQ(l,e+1840|0)|0);BQ(e+1824|0,e+1688|0,0);G$(e+1824|0);G$(e+1840|0);A$(e+1872|0,7663192);w$(e+1856|0,xQ(l,e+1872|0)|0);BQ(e+1856|0,e+1680|0,0);G$(e+1856|0);G$(e+1872|0);A$(e+1904|0,7662080);w$(e+1888|0,xQ(l,e+1904|0)|0);BQ(e+1888|0,e+1704|0,0);G$(e+1888|0);G$(e+1904|0);A$(e+1936|0,7660976);w$(e+1920|0,xQ(l,e+1936|0)|0);BQ(e+1920|0,e+1696|0,0);G$(e+1920|0);G$(e+1936|0);A$(e+1968|0,7659936);w$(e+1952|0,xQ(l,e+1968|0)|0);BQ(e+1952|0,e+1720|0,0);G$(e+1952|0);G$(e+1968|0);A$(e+2e3|0,7659160);w$(e+1984|0,xQ(l,e+2e3|0)|0);BQ(e+1984|0,e+1712|0,0);G$(e+1984|0);G$(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}fH(4,1,7650648,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=CQ(d,e+2032|0)|0;A$(e+2040|0,7649872);w$(e+2016|0,xQ(j,e+2040|0)|0);AQ(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);G$(e+2016|0);G$(e+2040|0);c[(e+2072|0)>>2]=n;j=CQ(d,e+2072|0)|0;A$(e+2080|0,7648032);w$(e+2056|0,xQ(j,e+2080|0)|0);DQ(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);G$(e+2056|0);G$(e+2080|0);c[(e+2112|0)>>2]=n;j=CQ(d,e+2112|0)|0;A$(e+2120|0,7646936);w$(e+2096|0,xQ(j,e+2120|0)|0);AQ(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);G$(e+2096|0);G$(e+2120|0);c[(e+2152|0)>>2]=n;j=CQ(d,e+2152|0)|0;A$(e+2160|0,7645808);w$(e+2136|0,xQ(j,e+2160|0)|0);AQ(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);G$(e+2136|0);G$(e+2160|0);c[(e+2192|0)>>2]=n;j=CQ(d,e+2192|0)|0;A$(e+2200|0,7644832);w$(e+2176|0,xQ(j,e+2200|0)|0);BQ(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);G$(e+2176|0);G$(e+2200|0);c[(e+2232|0)>>2]=n;j=CQ(d,e+2232|0)|0;A$(e+2240|0,7642368);w$(e+2216|0,xQ(j,e+2240|0)|0);BQ(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);G$(e+2216|0);G$(e+2240|0);c[(e+2272|0)>>2]=n;j=CQ(d,e+2272|0)|0;A$(e+2280|0,7640744);w$(e+2256|0,xQ(j,e+2280|0)|0);BQ(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);G$(e+2256|0);G$(e+2280|0);c[(e+2312|0)>>2]=n;j=CQ(d,e+2312|0)|0;A$(e+2320|0,7639760);w$(e+2296|0,xQ(j,e+2320|0)|0);BQ(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);G$(e+2296|0);G$(e+2320|0);c[(e+2352|0)>>2]=n;j=CQ(d,e+2352|0)|0;A$(e+2360|0,7638440);w$(e+2336|0,xQ(j,e+2360|0)|0);BQ(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);G$(e+2336|0);G$(e+2360|0);c[(e+2392|0)>>2]=n;j=CQ(d,e+2392|0)|0;A$(e+2400|0,7637504);w$(e+2376|0,xQ(j,e+2400|0)|0);EQ(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);G$(e+2376|0);G$(e+2400|0);c[(e+2432|0)>>2]=n;j=CQ(d,e+2432|0)|0;A$(e+2440|0,7637096);w$(e+2416|0,xQ(j,e+2440|0)|0);zQ(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);G$(e+2416|0);G$(e+2440|0);c[(e+2472|0)>>2]=n;j=CQ(d,e+2472|0)|0;A$(e+2480|0,7636328);w$(e+2456|0,xQ(j,e+2480|0)|0);EQ(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);G$(e+2456|0);G$(e+2480|0);c[(e+2512|0)>>2]=n;j=CQ(d,e+2512|0)|0;A$(e+2520|0,7635256);w$(e+2496|0,xQ(j,e+2520|0)|0);EQ(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);G$(e+2496|0);G$(e+2520|0);c[(e+2552|0)>>2]=n;j=CQ(d,e+2552|0)|0;A$(e+2560|0,7634568);w$(e+2536|0,xQ(j,e+2560|0)|0);zQ(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);G$(e+2536|0);G$(e+2560|0);c[(e+2592|0)>>2]=n;j=CQ(d,e+2592|0)|0;A$(e+2600|0,7634104);w$(e+2576|0,xQ(j,e+2600|0)|0);zQ(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);G$(e+2576|0);G$(e+2600|0);c[(e+2632|0)>>2]=n;j=CQ(d,e+2632|0)|0;A$(e+2640|0,7633472);w$(e+2616|0,xQ(j,e+2640|0)|0);zQ(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);G$(e+2616|0);G$(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?7630608:7630208;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];fH(4,0,7632520,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?7738584:7631344,h[k+16>>3]=r,c[k+24>>2]=q?7738584:7630976,c[k+32>>2]=m,c[k+40>>2]=o?7738584:7631344,h[k+48>>3]=s,c[k+56>>2]=o?7738584:7630976,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}A$(e+2656|0,w);c[(FQ(e+216|0,e+2656|0)|0)>>2]=n;G$(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7628584,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=CQ(n,e+2688|0)|0;A$(e+2696|0,7649872);w$(e+2672|0,xQ(m,e+2696|0)|0);AQ(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);G$(e+2672|0);G$(e+2696|0);c[(e+2728|0)>>2]=d;m=CQ(n,e+2728|0)|0;A$(e+2736|0,7648032);w$(e+2712|0,xQ(m,e+2736|0)|0);DQ(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);G$(e+2712|0);G$(e+2736|0);c[(e+2768|0)>>2]=d;m=CQ(n,e+2768|0)|0;A$(e+2776|0,7646936);w$(e+2752|0,xQ(m,e+2776|0)|0);AQ(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);G$(e+2752|0);G$(e+2776|0);c[(e+2808|0)>>2]=d;m=CQ(n,e+2808|0)|0;A$(e+2816|0,7645808);w$(e+2792|0,xQ(m,e+2816|0)|0);AQ(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);G$(e+2792|0);G$(e+2816|0);c[(e+2848|0)>>2]=d;m=CQ(n,e+2848|0)|0;A$(e+2856|0,7644832);w$(e+2832|0,xQ(m,e+2856|0)|0);BQ(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);G$(e+2832|0);G$(e+2856|0);c[(e+2888|0)>>2]=d;m=CQ(n,e+2888|0)|0;A$(e+2896|0,7642368);w$(e+2872|0,xQ(m,e+2896|0)|0);BQ(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);G$(e+2872|0);G$(e+2896|0);c[(e+2928|0)>>2]=d;m=CQ(n,e+2928|0)|0;A$(e+2936|0,7640744);w$(e+2912|0,xQ(m,e+2936|0)|0);BQ(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);G$(e+2912|0);G$(e+2936|0);c[(e+2968|0)>>2]=d;m=CQ(n,e+2968|0)|0;A$(e+2976|0,7639760);w$(e+2952|0,xQ(m,e+2976|0)|0);BQ(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);G$(e+2952|0);G$(e+2976|0);c[(e+3008|0)>>2]=d;m=CQ(n,e+3008|0)|0;A$(e+3016|0,7638440);w$(e+2992|0,xQ(m,e+3016|0)|0);BQ(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);G$(e+2992|0);G$(e+3016|0);c[(e+3048|0)>>2]=d;m=CQ(n,e+3048|0)|0;A$(e+3056|0,7637504);w$(e+3032|0,xQ(m,e+3056|0)|0);EQ(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);G$(e+3032|0);G$(e+3056|0);c[(e+3088|0)>>2]=d;m=CQ(n,e+3088|0)|0;A$(e+3096|0,7637096);w$(e+3072|0,xQ(m,e+3096|0)|0);zQ(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);G$(e+3072|0);G$(e+3096|0);c[(e+3128|0)>>2]=d;m=CQ(n,e+3128|0)|0;A$(e+3136|0,7636328);w$(e+3112|0,xQ(m,e+3136|0)|0);EQ(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);G$(e+3112|0);G$(e+3136|0);c[(e+3168|0)>>2]=d;m=CQ(n,e+3168|0)|0;A$(e+3176|0,7635256);w$(e+3152|0,xQ(m,e+3176|0)|0);EQ(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);G$(e+3152|0);G$(e+3176|0);c[(e+3208|0)>>2]=d;m=CQ(n,e+3208|0)|0;A$(e+3216|0,7634568);w$(e+3192|0,xQ(m,e+3216|0)|0);zQ(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);G$(e+3192|0);G$(e+3216|0);c[(e+3248|0)>>2]=d;m=CQ(n,e+3248|0)|0;A$(e+3256|0,7634104);w$(e+3232|0,xQ(m,e+3256|0)|0);zQ(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);G$(e+3232|0);G$(e+3256|0);c[(e+3288|0)>>2]=d;m=CQ(n,e+3288|0)|0;A$(e+3296|0,7633472);w$(e+3272|0,xQ(m,e+3296|0)|0);zQ(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);G$(e+3272|0);G$(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?7630608:7630208;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];fH(4,0,7632520,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?7738584:7631344,h[k+16>>3]=v,c[k+24>>2]=q?7738584:7630976,c[k+32>>2]=j,c[k+40>>2]=p?7738584:7631344,h[k+48>>3]=t,c[k+56>>2]=p?7738584:7630976,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;A$(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(FQ(e+216|0,e+3312|0)|0)>>2]=q;G$(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7627136,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=CQ(n,e+3344|0)|0;A$(e+3352|0,7649872);w$(e+3328|0,xQ(j,e+3352|0)|0);AQ(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);G$(e+3328|0);G$(e+3352|0);c[(e+3384|0)>>2]=q;j=CQ(n,e+3384|0)|0;A$(e+3392|0,7648032);w$(e+3368|0,xQ(j,e+3392|0)|0);DQ(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);G$(e+3368|0);G$(e+3392|0);c[(e+3424|0)>>2]=q;j=CQ(n,e+3424|0)|0;A$(e+3432|0,7646936);w$(e+3408|0,xQ(j,e+3432|0)|0);AQ(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);G$(e+3408|0);G$(e+3432|0);c[(e+3464|0)>>2]=q;j=CQ(n,e+3464|0)|0;A$(e+3472|0,7645808);w$(e+3448|0,xQ(j,e+3472|0)|0);AQ(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);G$(e+3448|0);G$(e+3472|0);c[(e+3504|0)>>2]=q;j=CQ(n,e+3504|0)|0;A$(e+3512|0,7644832);w$(e+3488|0,xQ(j,e+3512|0)|0);BQ(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);G$(e+3488|0);G$(e+3512|0);c[(e+3544|0)>>2]=q;j=CQ(n,e+3544|0)|0;A$(e+3552|0,7642368);w$(e+3528|0,xQ(j,e+3552|0)|0);BQ(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);G$(e+3528|0);G$(e+3552|0);c[(e+3584|0)>>2]=q;j=CQ(n,e+3584|0)|0;A$(e+3592|0,7640744);w$(e+3568|0,xQ(j,e+3592|0)|0);BQ(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);G$(e+3568|0);G$(e+3592|0);c[(e+3624|0)>>2]=q;j=CQ(n,e+3624|0)|0;A$(e+3632|0,7639760);w$(e+3608|0,xQ(j,e+3632|0)|0);BQ(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);G$(e+3608|0);G$(e+3632|0);c[(e+3664|0)>>2]=q;j=CQ(n,e+3664|0)|0;A$(e+3672|0,7638440);w$(e+3648|0,xQ(j,e+3672|0)|0);BQ(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);G$(e+3648|0);G$(e+3672|0);c[(e+3704|0)>>2]=q;j=CQ(n,e+3704|0)|0;A$(e+3712|0,7637504);w$(e+3688|0,xQ(j,e+3712|0)|0);EQ(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);G$(e+3688|0);G$(e+3712|0);c[(e+3744|0)>>2]=q;j=CQ(n,e+3744|0)|0;A$(e+3752|0,7637096);w$(e+3728|0,xQ(j,e+3752|0)|0);zQ(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);G$(e+3728|0);G$(e+3752|0);c[(e+3784|0)>>2]=q;j=CQ(n,e+3784|0)|0;A$(e+3792|0,7636328);w$(e+3768|0,xQ(j,e+3792|0)|0);EQ(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);G$(e+3768|0);G$(e+3792|0);c[(e+3824|0)>>2]=q;j=CQ(n,e+3824|0)|0;A$(e+3832|0,7635256);w$(e+3808|0,xQ(j,e+3832|0)|0);EQ(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);G$(e+3808|0);G$(e+3832|0);c[(e+3864|0)>>2]=q;j=CQ(n,e+3864|0)|0;A$(e+3872|0,7634568);w$(e+3848|0,xQ(j,e+3872|0)|0);zQ(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);G$(e+3848|0);G$(e+3872|0);c[(e+3904|0)>>2]=q;j=CQ(n,e+3904|0)|0;A$(e+3912|0,7634104);w$(e+3888|0,xQ(j,e+3912|0)|0);zQ(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);G$(e+3888|0);G$(e+3912|0);c[(e+3944|0)>>2]=q;j=CQ(n,e+3944|0)|0;A$(e+3952|0,7633472);w$(e+3928|0,xQ(j,e+3952|0)|0);zQ(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);G$(e+3928|0);G$(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?7630608:7630208;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];fH(4,0,7632520,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?7738584:7631344,h[k+16>>3]=r,c[k+24>>2]=m?7738584:7630976,c[k+32>>2]=o,c[k+40>>2]=z?7738584:7631344,h[k+48>>3]=s,c[k+56>>2]=z?7738584:7630976,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}A$(e+3968|0,A);c[(FQ(e+216|0,e+3968|0)|0)>>2]=d;G$(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7625896,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=CQ(p,e+4e3|0)|0;A$(e+4008|0,7649872);w$(e+3984|0,xQ(n,e+4008|0)|0);AQ(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);G$(e+3984|0);G$(e+4008|0);c[(e+4040|0)>>2]=q;n=CQ(p,e+4040|0)|0;A$(e+4048|0,7648032);w$(e+4024|0,xQ(n,e+4048|0)|0);DQ(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);G$(e+4024|0);G$(e+4048|0);c[(e+4080|0)>>2]=q;n=CQ(p,e+4080|0)|0;A$(e+4088|0,7646936);w$(e+4064|0,xQ(n,e+4088|0)|0);AQ(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);G$(e+4064|0);G$(e+4088|0);c[(e+4120|0)>>2]=q;n=CQ(p,e+4120|0)|0;A$(e+4128|0,7645808);w$(e+4104|0,xQ(n,e+4128|0)|0);AQ(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);G$(e+4104|0);G$(e+4128|0);c[(e+4160|0)>>2]=q;n=CQ(p,e+4160|0)|0;A$(e+4168|0,7644832);w$(e+4144|0,xQ(n,e+4168|0)|0);BQ(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);G$(e+4144|0);G$(e+4168|0);c[(e+4200|0)>>2]=q;n=CQ(p,e+4200|0)|0;A$(e+4208|0,7642368);w$(e+4184|0,xQ(n,e+4208|0)|0);BQ(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);G$(e+4184|0);G$(e+4208|0);c[(e+4240|0)>>2]=q;n=CQ(p,e+4240|0)|0;A$(e+4248|0,7640744);w$(e+4224|0,xQ(n,e+4248|0)|0);BQ(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);G$(e+4224|0);G$(e+4248|0);c[(e+4280|0)>>2]=q;n=CQ(p,e+4280|0)|0;A$(e+4288|0,7639760);w$(e+4264|0,xQ(n,e+4288|0)|0);BQ(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);G$(e+4264|0);G$(e+4288|0);c[(e+4320|0)>>2]=q;n=CQ(p,e+4320|0)|0;A$(e+4328|0,7638440);w$(e+4304|0,xQ(n,e+4328|0)|0);BQ(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);G$(e+4304|0);G$(e+4328|0);c[(e+4360|0)>>2]=q;n=CQ(p,e+4360|0)|0;A$(e+4368|0,7637504);w$(e+4344|0,xQ(n,e+4368|0)|0);EQ(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);G$(e+4344|0);G$(e+4368|0);c[(e+4400|0)>>2]=q;n=CQ(p,e+4400|0)|0;A$(e+4408|0,7637096);w$(e+4384|0,xQ(n,e+4408|0)|0);BQ(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);G$(e+4384|0);G$(e+4408|0);c[(e+4440|0)>>2]=q;n=CQ(p,e+4440|0)|0;A$(e+4448|0,7636328);w$(e+4424|0,xQ(n,e+4448|0)|0);EQ(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);G$(e+4424|0);G$(e+4448|0);c[(e+4480|0)>>2]=q;n=CQ(p,e+4480|0)|0;A$(e+4488|0,7634104);w$(e+4464|0,xQ(n,e+4488|0)|0);BQ(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);G$(e+4464|0);G$(e+4488|0);c[(e+4520|0)>>2]=q;n=CQ(p,e+4520|0)|0;A$(e+4528|0,7633472);w$(e+4504|0,xQ(n,e+4528|0)|0);BQ(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);G$(e+4504|0);G$(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?7630608:7630208;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;fH(4,0,7625456,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?7738584:7631344,c[k+16>>2]=o,c[k+24>>2]=d?7738584:7630976,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}A$(e+4544|0,C);c[(FQ(e+216|0,e+4544|0)|0)>>2]=q;G$(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7624312,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[1928888]|c[1928952]|0)!=0){hH(22,1,7658416,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;hH(22,0,7657536,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;hH(22,0,7656176,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;hH(22,0,7655472,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;hH(22,0,7654536,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;hH(22,0,7653872,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;hH(22,0,7653184,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;hH(22,0,7652232,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;hH(22,0,7651616,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;hH(22,0,7651096,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;he[c[3556]&511](22)}hC(f);Ta(0)|0;yc(-1|0)}function pQ(a){a=a|0;xX(a);return}function qQ(a,b){a=a|0;b=b|0;cT(a,0);return}function rQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;v$(a,d|0);e=E$(b)|0;f=kR(c)|0;f0(a,F$(b)|0,e,f+e|0);Z$(a,c,f)|0;i=d;return}function sQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((jaa(b,7685448)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{A$(f,v);s=xQ(t,f)|0;I$(s,c[d+((u|1)<<2)>>2]|0)|0;G$(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((jaa(b,7685136)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{A$(g,t);v=xQ(u,g)|0;I$(v,c[d+((f|1)<<2)>>2]|0)|0;G$(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((jaa(b,7685088)|0)!=0){do{if((jaa(b,7682976)|0)!=0){if((jaa(b,7682960)|0)==0){break}if((jaa(b,7682920)|0)==0){break}if((jaa(b,7682792)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=CQ(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){A$(q,c[v>>2]|0);u=xQ(s,q)|0;I$(u,c[d+((t|1)<<2)>>2]|0)|0;G$(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=CQ(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}A$(r,7682760);I$(xQ(w,r)|0,b)|0;G$(r);i=e;return}NQ(h,j);u$(k);u$(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{A$(m,s);b=xQ(h,m)|0;I$(b,c[d+((w|1)<<2)>>2]|0)|0;G$(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}A$(n,7684992);H$(k,xQ(h,n)|0)|0;G$(n);A$(o,7684936);H$(l,xQ(h,o)|0)|0;G$(o);c[j>>2]=bd(b0(k)|0)|0;if((e0(l,7684664)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((e0(l,7684656)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((e0(l,7684608)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((e0(l,7684512)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((e0(l,7684504)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((e0(l,7684088)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((e0(l,7684048)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((e0(l,7684e3)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((e0(l,7683816)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((e0(l,7683800)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((e0(l,7683656)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((e0(l,7683592)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((e0(l,7683552)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((e0(l,7683360)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=b0(l)|0;A$(p,7649872);M=b0(xQ(h,p)|0)|0;iH(0,(N|0)!=0|0,7683264,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;G$(p);aW(CQ(c[r>>2]|0,j)|0,h)|0;G$(l);G$(k);VQ(h);i=e;return}function tQ(a,b){a=a|0;b=b|0;return}function uQ(a,b){a=a|0;b=b|0;return NS(a|0,b|0)|0}function vQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;WS(e,b|0,c);OS(a,e);i=d;return}function wQ(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;PS(d,b|0);OS(a,d);i=c;return}function xQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=wU(a,e,b)|0;k=c[j>>2]|0;aN(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}yU(h,a,b);zU(g,h);xU(f,g);AU(h);h=c[e>>2]|0;BU(a|0,h,j,CU(f)|0);j=DU(f)|0;AU(f);l=j;m=l+28|0;i=d;return m|0}function yQ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Wa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;NQ(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){jH(0,7688872,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Wc(d|0)|0}else{_b=0}if(Yb){$b=_b}else{fH(23,0,7688824,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;OQ(h);PQ(h,e,8);if(!(QQ(h)|0)){jH(0,7688208,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}u$(j);e=h;RQ(e,j)|0;w$(k,j);while(1){_b=RQ(e,j)|0;if(!(q0(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}p0(l,7688168,j);X$(k,l)|0;G$(l)}l=Wc(b0(k)|0)|0;SQ(h);G$(k);G$(j);TQ(h);$b=l}if(($b|0)==0){fH(23,0,7687320,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;VQ(g);i=f;return}u$(m);u$(n);fH(23,0,7687784,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Xa($b|0,7688168)|0;if((l|0)!=0){h=l;do{l=R9(12)|0;A$(l,h);j=c0(l,7687680,0)|0;a0(o,l,0,j);H$(m,o)|0;G$(o);a0(p,l,j+1|0,(N$(l)|0)+~j|0);H$(n,p)|0;G$(p);H$(xQ(g,m)|0,n)|0;j=b0(m)|0;l=b0(n)|0;fH(23,0,7687600,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Xa(0,7688168)|0;}while((h|0)!=0)}M9($b);$b=a+12|0;A$(q,7677368);h=xQ($b,q)|0;A$(r,7677368);if((UQ(g,r)|0)==0){A$(t,7677368);ac=xQ($b,t)|0;bc=1;cc=0}else{A$(s,7677368);ac=xQ(g,s)|0;bc=0;cc=1}H$(h,ac)|0;if(bc){G$(t)}if(cc){G$(s)}G$(r);G$(q);A$(u,7685536);q=xQ($b,u)|0;A$(v,7685536);if((UQ(g,v)|0)==0){A$(x,7685536);dc=xQ($b,x)|0;ec=1;fc=0}else{A$(w,7685536);dc=xQ(g,w)|0;ec=0;fc=1}H$(q,dc)|0;if(ec){G$(x)}if(fc){G$(w)}G$(v);G$(u);A$(y,7683104);u=xQ($b,y)|0;A$(z,7683104);if((UQ(g,z)|0)==0){A$(B,7683104);gc=xQ($b,B)|0;hc=1;ic=0}else{A$(A,7683104);gc=xQ(g,A)|0;hc=0;ic=1}H$(u,gc)|0;if(hc){G$(B)}if(ic){G$(A)}G$(z);G$(y);A$(C,7681488);y=xQ($b,C)|0;A$(D,7681488);if((UQ(g,D)|0)==0){A$(F,7681488);jc=xQ($b,F)|0;kc=1;lc=0}else{A$(E,7681488);jc=xQ(g,E)|0;kc=0;lc=1}H$(y,jc)|0;if(kc){G$(F)}if(lc){G$(E)}G$(D);G$(C);A$(G,7679408);C=xQ($b,G)|0;A$(H,7679408);if((UQ(g,H)|0)==0){A$(J,7679408);mc=xQ($b,J)|0;nc=1;oc=0}else{A$(I,7679408);mc=xQ(g,I)|0;nc=0;oc=1}H$(C,mc)|0;if(nc){G$(J)}if(oc){G$(I)}G$(H);G$(G);A$(K,7674864);G=xQ($b,K)|0;A$(L,7674864);if((UQ(g,L)|0)==0){A$(N,7674864);pc=xQ($b,N)|0;qc=1;rc=0}else{A$(M,7674864);pc=xQ(g,M)|0;qc=0;rc=1}H$(G,pc)|0;if(qc){G$(N)}if(rc){G$(M)}G$(L);G$(K);A$(O,7672640);K=xQ($b,O)|0;A$(P,7672640);if((UQ(g,P)|0)==0){A$(R,7672640);sc=xQ($b,R)|0;tc=1;uc=0}else{A$(Q,7672640);sc=xQ(g,Q)|0;tc=0;uc=1}H$(K,sc)|0;if(tc){G$(R)}if(uc){G$(Q)}G$(P);G$(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=CQ(Q,S)|0;A$(T,7637096);sc=xQ(tc,T)|0;c[U>>2]=R;tc=CQ(Q,U)|0;A$(V,7649872);if((UQ(g,xQ(tc,V)|0)|0)==0){c[Y>>2]=R;tc=CQ(Q,Y)|0;A$(Z,7637096);vc=xQ(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=CQ(Q,W)|0;A$(X,7649872);vc=xQ(g,xQ(tc,X)|0)|0;wc=0;xc=1}H$(sc,vc)|0;if(wc){G$(Z)}if(xc){G$(X)}G$(V);G$(T);c[_>>2]=R;sc=CQ(uc,_)|0;A$($,7637096);tc=xQ(sc,$)|0;c[aa>>2]=R;sc=CQ(uc,aa)|0;A$(ba,7649872);if((UQ(g,xQ(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=CQ(uc,ea)|0;A$(fa,7637096);yc=xQ(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=CQ(uc,ca)|0;A$(da,7649872);yc=xQ(g,xQ(sc,da)|0)|0;zc=0;Ac=1}H$(tc,yc)|0;if(zc){G$(fa)}if(Ac){G$(da)}G$(ba);G$($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=CQ(Bc,ga)|0;A$(ha,7637096);ba=xQ($,ha)|0;c[ia>>2]=R;$=CQ(Bc,ia)|0;A$(ja,7649872);if((UQ(g,xQ($,ja)|0)|0)==0){c[ma>>2]=R;$=CQ(Bc,ma)|0;A$(na,7637096);Cc=xQ($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=CQ(Bc,ka)|0;A$(la,7649872);Cc=xQ(g,xQ($,la)|0)|0;Dc=0;Ec=1}H$(ba,Cc)|0;if(Dc){G$(na)}if(Ec){G$(la)}G$(ja);G$(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=CQ(P,oa)|0;A$(pa,7637096);ja=xQ(ha,pa)|0;c[qa>>2]=R;ha=CQ(P,qa)|0;A$(ra,7649872);if((UQ(g,xQ(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=CQ(P,ua)|0;A$(va,7637096);Fc=xQ(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=CQ(P,sa)|0;A$(ta,7649872);Fc=xQ(g,xQ(ha,ta)|0)|0;Gc=0;Hc=1}H$(ja,Fc)|0;if(Gc){G$(va)}if(Hc){G$(ta)}G$(ra);G$(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=CQ(R,wa)|0;A$(xa,7637096);ta=xQ(ra,xa)|0;c[ya>>2]=pa;ra=CQ(R,ya)|0;A$(za,7649872);if((UQ(g,xQ(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=CQ(R,Ca)|0;A$(Da,7637096);Ic=xQ(ra,Da)|0;Jc=1;Kc=0}else{c[Aa>>2]=pa;ra=CQ(R,Aa)|0;A$(Ba,7649872);Ic=xQ(g,xQ(ra,Ba)|0)|0;Jc=0;Kc=1}H$(ta,Ic)|0;if(Jc){G$(Da)}if(Kc){G$(Ba)}G$(za);G$(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=CQ(pa,Ea)|0;A$(Fa,7637096);Ba=xQ(za,Fa)|0;c[Ga>>2]=xa;za=CQ(pa,Ga)|0;A$(Ha,7649872);if((UQ(g,xQ(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=CQ(pa,Ka)|0;A$(La,7637096);Lc=xQ(za,La)|0;Mc=1;Nc=0}else{c[Ia>>2]=xa;za=CQ(pa,Ia)|0;A$(Ja,7649872);Lc=xQ(g,xQ(za,Ja)|0)|0;Mc=0;Nc=1}H$(Ba,Lc)|0;if(Mc){G$(La)}if(Nc){G$(Ja)}G$(Ha);G$(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=CQ(xa,Ma)|0;A$(Na,7637096);Ja=xQ(Ha,Na)|0;c[Oa>>2]=Fa;Ha=CQ(xa,Oa)|0;A$(Pa,7649872);if((UQ(g,xQ(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=CQ(xa,Sa)|0;A$(Ta,7637096);Oc=xQ(Ha,Ta)|0;Pc=1;Qc=0}else{c[Qa>>2]=Fa;Ha=CQ(xa,Qa)|0;A$(Ra,7649872);Oc=xQ(g,xQ(Ha,Ra)|0)|0;Pc=0;Qc=1}H$(Ja,Oc)|0;if(Pc){G$(Ta)}if(Qc){G$(Ra)}G$(Pa);G$(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=CQ(Fa,Ua)|0;A$(Va,7637096);Ra=xQ(Pa,Va)|0;c[Wa>>2]=Na;Pa=CQ(Fa,Wa)|0;A$(Ya,7649872);if((UQ(g,xQ(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=CQ(Fa,$a)|0;A$(ab,7637096);Rc=xQ(Pa,ab)|0;Sc=1;Tc=0}else{c[Za>>2]=Na;Pa=CQ(Fa,Za)|0;A$(_a,7649872);Rc=xQ(g,xQ(Pa,_a)|0)|0;Sc=0;Tc=1}H$(Ra,Rc)|0;if(Sc){G$(ab)}if(Tc){G$(_a)}G$(Ya);G$(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=CQ(Na,bb)|0;A$(cb,7637096);_a=xQ(Ya,cb)|0;c[db>>2]=Va;Ya=CQ(Na,db)|0;A$(eb,7649872);if((UQ(g,xQ(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=CQ(Na,hb)|0;A$(ib,7637096);Uc=xQ(Ya,ib)|0;Vc=1;Xc=0}else{c[fb>>2]=Va;Ya=CQ(Na,fb)|0;A$(gb,7649872);Uc=xQ(g,xQ(Ya,gb)|0)|0;Vc=0;Xc=1}H$(_a,Uc)|0;if(Vc){G$(ib)}if(Xc){G$(gb)}G$(eb);G$(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=CQ(Va,jb)|0;A$(kb,7637096);gb=xQ(eb,kb)|0;c[lb>>2]=cb;eb=CQ(Va,lb)|0;A$(mb,7649872);if((UQ(g,xQ(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=CQ(Va,pb)|0;A$(qb,7637096);Yc=xQ(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=CQ(Va,nb)|0;A$(ob,7649872);Yc=xQ(g,xQ(eb,ob)|0)|0;Zc=0;_c=1}H$(gb,Yc)|0;if(Zc){G$(qb)}if(_c){G$(ob)}G$(mb);G$(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=CQ(cb,rb)|0;A$(sb,7637096);ob=xQ(mb,sb)|0;c[tb>>2]=kb;mb=CQ(cb,tb)|0;A$(ub,7649872);if((UQ(g,xQ(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=CQ(cb,xb)|0;A$(yb,7637096);$c=xQ(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=CQ(cb,vb)|0;A$(wb,7649872);$c=xQ(g,xQ(mb,wb)|0)|0;ad=0;bd=1}H$(ob,$c)|0;if(ad){G$(yb)}if(bd){G$(wb)}G$(ub);G$(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=CQ(kb,zb)|0;A$(Ab,7637096);wb=xQ(ub,Ab)|0;c[Bb>>2]=sb;ub=CQ(kb,Bb)|0;A$(Cb,7649872);if((UQ(g,xQ(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=CQ(kb,Fb)|0;A$(Gb,7637096);cd=xQ(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=CQ(kb,Db)|0;A$(Eb,7649872);cd=xQ(g,xQ(ub,Eb)|0)|0;dd=0;ed=1}H$(wb,cd)|0;if(dd){G$(Gb)}if(ed){G$(Eb)}G$(Cb);G$(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=CQ(sb,Hb)|0;A$(Ib,7637096);Eb=xQ(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=CQ(sb,Jb)|0;A$(Kb,7649872);if((UQ(g,xQ(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=CQ(sb,Nb)|0;A$(Ob,7637096);fd=xQ(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=CQ(sb,Lb)|0;A$(Mb,7649872);fd=xQ(g,xQ(Cb,Mb)|0)|0;gd=0;hd=1}H$(Eb,fd)|0;if(gd){G$(Ob)}if(hd){G$(Mb)}G$(Kb);G$(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=CQ(b,Pb)|0;A$(Qb,7637096);Ib=xQ(Ab,Qb)|0;c[Rb>>2]=a;Ab=CQ(b,Rb)|0;A$(Sb,7649872);if((UQ(g,xQ(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=CQ(b,Vb)|0;A$(Wb,7637096);id=xQ(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=CQ(b,Tb)|0;A$(Ub,7649872);id=xQ(g,xQ(Ab,Ub)|0)|0;jd=0;kd=1}H$(Ib,id)|0;if(jd){G$(Wb)}if(kd){G$(Ub)}G$(Sb);G$(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}fH(23,0,7687440,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;G$(n);G$(m);VQ(g);i=f;return}function zQ(a,b,c){a=a|0;b=b|0;c=+c;if((e0(a,7738584)|0)==0){h[b>>3]=c;return}if((e0(a,7630608)|0)==0){h[b>>3]=1.0;return}if((e0(a,7630208)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+faa(b0(a)|0);return}}function AQ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){hH(22,0,7685872,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Wc(b0(a)|0)|0;i=d;return}}function BQ(a,b,d){a=a|0;b=b|0;d=d|0;if((e0(a,7738584)|0)==0){c[b>>2]=d}if((e0(a,7630608)|0)==0){c[b>>2]=1;return}if((e0(a,7630208)|0)==0){c[b>>2]=0;return}else{c[b>>2]=bd(b0(a)|0)|0;return}}function CQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=lT(a,e,b)|0;k=c[j>>2]|0;aN(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}nT(h,a,b);oT(g,h);mT(f,g);pT(h);h=c[e>>2]|0;qT(a|0,h,j,rT(f)|0);j=sT(f)|0;pT(f);l=j;m=l+20|0;i=d;return m|0}function DQ(a,b){a=a|0;b=b|0;if((e0(a,7630608)|0)==0){c[b>>2]=1;return}if((e0(a,7630208)|0)==0){c[b>>2]=0;return}else{c[b>>2]=bd(b0(a)|0)|0;return}}function EQ(b,c){b=b|0;c=c|0;a[c]=(e0(b,7630608)|0)==0|0;return}function FQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=PR(a,e,b)|0;k=c[j>>2]|0;aN(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}RR(h,a,b);SR(g,h);QR(f,g);TR(h);h=c[e>>2]|0;UR(a|0,h,j,VR(f)|0);j=WR(f)|0;TR(f);l=j;m=l+28|0;i=d;return m|0}function GQ(a,b){a=a|0;b=b|0;H$(b,a)|0;return}function HQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;GR(e,b|0,c);yR(a,e);i=d;return}function IQ(a,b){a=a|0;b=b|0;return wR(a|0,b|0)|0}function JQ(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;zR(d,b|0);yR(a,d);i=c;return}function KQ(a){a=a|0;return tR(a|0)|0}function LQ(a){a=a|0;SV(a);return}function MQ(a){a=a|0;FV(a);return}function NQ(a,b){a=a|0;b=b|0;mU(a,0);return}function OQ(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;D0(b);d=a|0;c[d>>2]=7703724;e=b|0;c[e>>2]=7703744;b=a+8|0;v1(a,7704684,b|0);c[d>>2]=7703724;c[e>>2]=7703744;JP(b);return}function PQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(iN(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){u0(d,4);return}else{s0(d,0);return}}function QQ(a){a=a|0;return oR(a+8|0)|0}function RQ(a,b){a=a|0;b=b|0;return nR(a,b,B0(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function SQ(a){a=a|0;if((kN(a+8|0)|0)!=0){return}u0(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function TQ(a){a=a|0;sR(a,7704680);y0(a+108|0);return}function UQ(a,b){a=a|0;b=b|0;return WQ(a|0,b)|0}function VQ(a){a=a|0;uV(a);return}function WQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=YQ(a)|0;aN(e);if((f|0)==0){g=0;i=d;return g|0}h=ZQ(a)|0;a=f;while(1){f=a+16|0;if(_Q(h,b,f)|0){j=a|0}else{if(!($Q(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;aN(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function XQ(a){a=a|0;return NM(fR(a+4|0)|0)|0}function YQ(a){a=a|0;return c[(XQ(a)|0)>>2]|0}function ZQ(a){a=a|0;return dR(a+8|0)|0}function _Q(a,b,c){a=a|0;b=b|0;c=c|0;return aR(0,b,c|0)|0}function $Q(a,b,c){a=a|0;b=b|0;c=c|0;return aR(0,b|0,c)|0}function aR(a,b,c){a=a|0;b=b|0;c=c|0;return bR(b,c)|0}function bR(a,b){a=a|0;b=b|0;return(d0(a,b)|0)<0|0}function cR(a,b,c){a=a|0;b=b|0;c=c|0;return iaa(a,b,c)|0}function dR(a){a=a|0;return eR(a|0)|0}function eR(a){a=a|0;return a|0}function fR(a){a=a|0;return gR(a|0)|0}function gR(a){a=a|0;return a|0}function hR(a,b){a=a|0;b=b|0;return jR(0,b,0)|0}function iR(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function jR(a,b,c){a=a|0;b=b|0;c=c|0;return R9(b)|0}function kR(a){a=a|0;return laa(a|0)|0}function lR(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=mR(a,b,c|0)|0;i=c;return d|0}function mR(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=eO(0,b,c)|0;i=e;return(f?c:b)|0}function nR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;A1(f,a,1);if(!(D1(f)|0)){i=e;return a|0}W$(b);f=a;g=a;h=0;while(1){j=J0(z0(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(WN(j,-1)|0){k=h;l=2;break}m=h+1|0;n=XN(j)|0;if($N(n,d)|0){k=m;l=0;break}Y$(b,n);if((E$(b)|0)==-17){k=m;l=4;break}else{h=m}}u0(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function oR(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function pR(a){a=a|0;TQ(a);T9(a);return}function qR(a){a=a|0;TQ(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function rR(a){a=a|0;pR(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function sR(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];KN(a+8|0);return}function tR(a){a=a|0;return uR((c[a>>2]|0)+16|0)|0}function uR(a){a=a|0;return vR(a)|0}function vR(a){a=a|0;return a|0}function wR(a,b){a=a|0;b=b|0;return(xR(a,b)|0)^1|0}function xR(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function yR(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];FR(a,b);i=d;return}function zR(a,b){a=a|0;b=b|0;AR(a,BR(b)|0);return}function AR(a,b){a=a|0;b=b|0;ER(a,b);return}function BR(a){a=a|0;return NM(CR(a+4|0)|0)|0}function CR(a){a=a|0;return DR(a|0)|0}function DR(a){a=a|0;return a|0}function ER(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function FR(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function GR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=IR(b)|0;HR(f,b,d,h,BR(b)|0);zR(g,b);do{if(wR(f,g)|0){h=JR(b)|0;if(KR(h,d,LR(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);zR(a,b);i=e;return}function HR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;aN(h);a:do{if((e|0)==0){j=f}else{k=JR(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(OR(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;aN(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;aN(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);AR(a,j);i=g;return}function IR(a){a=a|0;return c[(BR(a)|0)>>2]|0}function JR(a){a=a|0;return MR(a+8|0)|0}function KR(a,b,c){a=a|0;b=b|0;c=c|0;return aR(0,b,c|0)|0}function LR(a){a=a|0;return(c[a>>2]|0)+16|0}function MR(a){a=a|0;return NR(a|0)|0}function NR(a){a=a|0;return a|0}function OR(a,b,c){a=a|0;b=b|0;c=c|0;return aR(0,b|0,c)|0}function PR(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=IR(h)|0;aN(e|0);if((a|0)==0){j=BR(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(aR(0,d,a)|0){m=l|0;j=c[m>>2]|0;aN(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(aR(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;aN(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function QR(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];LS(a,b);i=d;return}function RR(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=qS(c|0)|0;c=sS(k,1)|0;tS(g,k);rS(f,c,g);uS(0,jS((vS(f)|0)+16|0)|0,d);d=wS(f)|0;a[d+4|0]=1;xS(0,hS((vS(f)|0)+28|0)|0);a[d+5|0]=1;yS(j,f);SR(h,j);QR(b,h);TR(j);TR(f);i=e;return}function SR(a,b){a=a|0;b=b|0;oS(a,b);return}function TR(a){a=a|0;dS(a);return}function UR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;aN(f|0);c[e>>2]=0;aN(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=$R(a)|0;b=c[c[e>>2]>>2]|0;aN(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(BR(a)|0)>>2]|0;MO(e,c[d>>2]|0);d=aS(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function VR(a){a=a|0;return c[(ZR(a|0)|0)>>2]|0}function WR(a){a=a|0;var b=0;b=XR(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function XR(a){a=a|0;return YR(a|0)|0}function YR(a){a=a|0;return a|0}function ZR(a){a=a|0;return _R(a|0)|0}function _R(a){a=a|0;return a|0}function $R(a){a=a|0;return a|0}function aS(a){a=a|0;return bS(a+8|0)|0}function bS(a){a=a|0;return cS(a|0)|0}function cS(a){a=a|0;return a|0}function dS(a){a=a|0;eS(a,0);return}function eS(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=XR(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}gS(fS(d)|0,e);return}function fS(a){a=a|0;return nS(a|0)|0}function gS(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;iS(e,jS(d+16|0)|0)}if((d|0)==0){return}kS(c[b>>2]|0,d,1);return}function hS(a){a=a|0;return a|0}function iS(a,b){a=a|0;b=b|0;a=i;i=i+8|0;mS(a|0,0,b);i=a;return}function jS(a){a=a|0;return a|0}function kS(a,b,c){a=a|0;b=b|0;c=c|0;lS(0,b,0);return}function lS(a,b,c){a=a|0;b=b|0;c=c|0;T9(b);return}function mS(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;G$(d);i=c;return}function nS(a){a=a|0;return a+4|0}function oS(a,b){a=a|0;b=b|0;pS(a,b);return}function pS(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function qS(a){a=a|0;return JS(a+4|0)|0}function rS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];BS(a,b,d);i=e;return}function sS(a,b){a=a|0;b=b|0;return AS(0,b,0)|0}function tS(a,b){a=a|0;b=b|0;zS(a,b);return}function uS(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}w$(b,c);return}function vS(a){a=a|0;return c[(ZR(a|0)|0)>>2]|0}function wS(a){a=a|0;return fS(a|0)|0}function xS(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function yS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;oS(f,b);QR(e,f);SR(d,e);QR(a,d);TR(e);i=c;return}function zS(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function AS(a,b,c){a=a|0;b=b|0;c=c|0;return R9(b<<5)|0}function BS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(DS(f)|0)>>2]|0;f=ES(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;CS(a|0,b,g);i=e;return}function CS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];FS(a,b,d);i=e;return}function DS(a){a=a|0;return a|0}function ES(a){a=a|0;return a|0}function FS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(HS(f)|0)>>2]|0;f=IS(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;GS(a|0,b,g);i=e;return}function GS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(HS(f)|0)>>2];f=IS(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function HS(a){a=a|0;return a|0}function IS(a){a=a|0;return a|0}function JS(a){a=a|0;return KS(a|0)|0}function KS(a){a=a|0;return a|0}function LS(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=WR(MS(b)|0)|0;g=IS(wS(MS(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;CS(a|0,f,e);i=d;return}function MS(a){a=a|0;return c[a>>2]|0}function NS(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function OS(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];VS(a,b);i=d;return}function PS(a,b){a=a|0;b=b|0;QS(a,RS(b)|0);return}function QS(a,b){a=a|0;b=b|0;US(a,b);return}function RS(a){a=a|0;return NM(SS(a+4|0)|0)|0}function SS(a){a=a|0;return TS(a|0)|0}function TS(a){a=a|0;return a|0}function US(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function VS(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function WS(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=YS(b)|0;XS(f,b,d,h,RS(b)|0);PS(g,b);do{if(ZS(f,g)|0){h=_S(b)|0;if(_Q(h,d,$S(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);PS(a,b);i=e;return}function XS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;aN(h);a:do{if((e|0)==0){j=f}else{k=_S(b)|0;l=e;m=f;while(1){n=l;while(1){if(!($Q(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;aN(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;aN(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);QS(a,j);i=g;return}function YS(a){a=a|0;return c[(RS(a)|0)>>2]|0}function ZS(a,b){a=a|0;b=b|0;return(NS(a,b)|0)^1|0}function _S(a){a=a|0;return aT(a+8|0)|0}function $S(a){a=a|0;return(c[a>>2]|0)+16|0}function aT(a){a=a|0;return bT(a|0)|0}function bT(a){a=a|0;return a|0}function cT(a,b){a=a|0;b=b|0;b=i;i=i+8|0;dT(a|0,b|0);i=b;return}function dT(a,b){a=a|0;b=b|0;eT(a,0);return}function eT(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;fT(a+4|0);gT(a+8|0,0,b|0);d=BR(a)|0;c[($R(a)|0)>>2]=d;i=b;return}function fT(a){a=a|0;jT(a);return}function gT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;hT(b,c,d);i=e;return}function hT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;iT(b|0,c[(EP(g)|0)>>2]|0,f+8|0);i=f;return}function iT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(EP(g)|0)>>2];i=f;return}function jT(a){a=a|0;kT(a|0);return}function kT(a){a=a|0;HP(a|0);return}function lT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=lU(h)|0;aN(e|0);if((a|0)==0){j=yT(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(ZM(0,d,a)|0){m=l|0;j=c[m>>2]|0;aN(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(ZM(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;aN(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function mT(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];jU(a,b);i=d;return}function nT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=QT(c|0)|0;c=ST(k,1)|0;TT(g,k);RT(f,c,g);UT(0,YO((VT(f)|0)+16|0)|0,d);d=WT(f)|0;a[d+4|0]=1;XT(0,JT((VT(f)|0)+20|0)|0);a[d+5|0]=1;YT(j,f);oT(h,j);mT(b,h);pT(j);pT(f);i=e;return}function oT(a,b){a=a|0;b=b|0;OT(a,b);return}function pT(a){a=a|0;ET(a);return}function qT(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;aN(f|0);c[e>>2]=0;aN(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=xT(a)|0;b=c[c[e>>2]>>2]|0;aN(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(yT(a)|0)>>2]|0;MO(e,c[d>>2]|0);d=zT(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function rT(a){a=a|0;return c[(vT(a|0)|0)>>2]|0}function sT(a){a=a|0;var b=0;b=tT(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function tT(a){a=a|0;return uT(a|0)|0}function uT(a){a=a|0;return a|0}function vT(a){a=a|0;return wT(a|0)|0}function wT(a){a=a|0;return a|0}function xT(a){a=a|0;return a|0}function yT(a){a=a|0;return NM(CT(a+4|0)|0)|0}function zT(a){a=a|0;return AT(a+8|0)|0}function AT(a){a=a|0;return BT(a|0)|0}function BT(a){a=a|0;return a|0}function CT(a){a=a|0;return DT(a|0)|0}function DT(a){a=a|0;return a|0}function ET(a){a=a|0;FT(a,0);return}function FT(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=tT(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}HT(GT(d)|0,e);return}function GT(a){a=a|0;return NT(a|0)|0}function HT(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;IT(e,JT(d+20|0)|0)}if((d|0)==0){return}KT(c[b>>2]|0,d,1);return}function IT(a,b){a=a|0;b=b|0;a=i;i=i+8|0;MT(a|0,0,b);i=a;return}function JT(a){a=a|0;return a|0}function KT(a,b,c){a=a|0;b=b|0;c=c|0;LT(0,b,0);return}function LT(a,b,c){a=a|0;b=b|0;c=c|0;T9(b);return}function MT(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;VQ(d);i=c;return}function NT(a){a=a|0;return a+4|0}function OT(a,b){a=a|0;b=b|0;PT(a,b);return}function PT(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function QT(a){a=a|0;return hU(a+4|0)|0}function RT(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];$T(a,b,d);i=e;return}function ST(a,b){a=a|0;b=b|0;return _T(0,b,0)|0}function TT(a,b){a=a|0;b=b|0;ZT(a,b);return}function UT(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function VT(a){a=a|0;return c[(vT(a|0)|0)>>2]|0}function WT(a){a=a|0;return GT(a|0)|0}function XT(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}NQ(b,a|0);i=a;return}function YT(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;OT(f,b);mT(e,f);oT(d,e);mT(a,d);pT(e);i=c;return}function ZT(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function _T(a,b,c){a=a|0;b=b|0;c=c|0;return R9(b<<5)|0}function $T(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(bU(f)|0)>>2]|0;f=cU(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;aU(a|0,b,g);i=e;return}function aU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];dU(a,b,d);i=e;return}function bU(a){a=a|0;return a|0}function cU(a){a=a|0;return a|0}function dU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(fU(f)|0)>>2]|0;f=gU(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;eU(a|0,b,g);i=e;return}function eU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(fU(f)|0)>>2];f=gU(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function fU(a){a=a|0;return a|0}function gU(a){a=a|0;return a|0}function hU(a){a=a|0;return iU(a|0)|0}function iU(a){a=a|0;return a|0}function jU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=sT(kU(b)|0)|0;g=gU(WT(kU(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;aU(a|0,f,e);i=d;return}function kU(a){a=a|0;return c[a>>2]|0}function lU(a){a=a|0;return c[(yT(a)|0)>>2]|0}function mU(a,b){a=a|0;b=b|0;b=i;i=i+8|0;nU(a|0,b|0);i=b;return}function nU(a,b){a=a|0;b=b|0;oU(a,0);return}function oU(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;pU(a+4|0);qU(a+8|0,0,b|0);d=RS(a)|0;c[(rU(a)|0)>>2]=d;i=b;return}function pU(a){a=a|0;uU(a);return}function qU(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;sU(b,c,d);i=e;return}function rU(a){a=a|0;return a|0}function sU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;tU(b|0,c[(EP(g)|0)>>2]|0,f+8|0);i=f;return}function tU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(EP(g)|0)>>2];i=f;return}function uU(a){a=a|0;vU(a|0);return}function vU(a){a=a|0;HP(a|0);return}function wU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=YS(h)|0;aN(e|0);if((a|0)==0){j=RS(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(aR(0,d,a)|0){m=l|0;j=c[m>>2]|0;aN(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(aR(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;aN(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function xU(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];sV(a,b);i=d;return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=CQ(g,b+4576|0)|0;A$(b+4584|0,7649872);w$(b+4560|0,xQ(k,b+4584|0)|0);AQ(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);G$(b+4560|0);G$(b+4584|0);c[(b+4616|0)>>2]=j;k=CQ(g,b+4616|0)|0;A$(b+4624|0,7648032);w$(b+4600|0,xQ(k,b+4624|0)|0);DQ(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);G$(b+4600|0);G$(b+4624|0);c[(b+4656|0)>>2]=j;k=CQ(g,b+4656|0)|0;A$(b+4664|0,7646936);w$(b+4640|0,xQ(k,b+4664|0)|0);AQ(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);G$(b+4640|0);G$(b+4664|0);c[(b+4696|0)>>2]=j;k=CQ(g,b+4696|0)|0;A$(b+4704|0,7645808);w$(b+4680|0,xQ(k,b+4704|0)|0);AQ(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);G$(b+4680|0);G$(b+4704|0);c[(b+4736|0)>>2]=j;k=CQ(g,b+4736|0)|0;A$(b+4744|0,7644832);w$(b+4720|0,xQ(k,b+4744|0)|0);BQ(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);G$(b+4720|0);G$(b+4744|0);c[(b+4776|0)>>2]=j;k=CQ(g,b+4776|0)|0;A$(b+4784|0,7642368);w$(b+4760|0,xQ(k,b+4784|0)|0);BQ(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);G$(b+4760|0);G$(b+4784|0);c[(b+4816|0)>>2]=j;k=CQ(g,b+4816|0)|0;A$(b+4824|0,7640744);w$(b+4800|0,xQ(k,b+4824|0)|0);BQ(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);G$(b+4800|0);G$(b+4824|0);c[(b+4856|0)>>2]=j;k=CQ(g,b+4856|0)|0;A$(b+4864|0,7639760);w$(b+4840|0,xQ(k,b+4864|0)|0);BQ(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);G$(b+4840|0);G$(b+4864|0);c[(b+4896|0)>>2]=j;k=CQ(g,b+4896|0)|0;A$(b+4904|0,7638440);w$(b+4880|0,xQ(k,b+4904|0)|0);BQ(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);G$(b+4880|0);G$(b+4904|0);c[(b+4936|0)>>2]=j;k=CQ(g,b+4936|0)|0;A$(b+4944|0,7637504);w$(b+4920|0,xQ(k,b+4944|0)|0);EQ(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);G$(b+4920|0);G$(b+4944|0);c[(b+4976|0)>>2]=j;k=CQ(g,b+4976|0)|0;A$(b+4984|0,7637096);w$(b+4960|0,xQ(k,b+4984|0)|0);EQ(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);G$(b+4960|0);G$(b+4984|0);c[(b+5016|0)>>2]=j;k=CQ(g,b+5016|0)|0;A$(b+5024|0,7636328);w$(b+5e3|0,xQ(k,b+5024|0)|0);EQ(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);G$(b+5e3|0);G$(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?7630608:7630208;n=(a[k+(j*48|0)+40|0]|0)!=0?7630608:7630208;fH(4,0,7623008,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?7738584:7631344,c[f+16>>2]=m,c[f+24>>2]=l?7738584:7630976,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}A$(b+5040|0,o);c[(FQ(b+216|0,b+5040|0)|0)>>2]=j;G$(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7622184,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=CQ(j,b+5072|0)|0;A$(b+5080|0,7649872);w$(b+5056|0,xQ(l,b+5080|0)|0);AQ(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);G$(b+5056|0);G$(b+5080|0);c[(b+5112|0)>>2]=g;l=CQ(j,b+5112|0)|0;A$(b+5120|0,7648032);w$(b+5096|0,xQ(l,b+5120|0)|0);DQ(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);G$(b+5096|0);G$(b+5120|0);c[(b+5152|0)>>2]=g;l=CQ(j,b+5152|0)|0;A$(b+5160|0,7646936);w$(b+5136|0,xQ(l,b+5160|0)|0);AQ(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);G$(b+5136|0);G$(b+5160|0);c[(b+5192|0)>>2]=g;l=CQ(j,b+5192|0)|0;A$(b+5200|0,7645808);w$(b+5176|0,xQ(l,b+5200|0)|0);AQ(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);G$(b+5176|0);G$(b+5200|0);c[(b+5232|0)>>2]=g;l=CQ(j,b+5232|0)|0;A$(b+5240|0,7644832);w$(b+5216|0,xQ(l,b+5240|0)|0);BQ(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);G$(b+5216|0);G$(b+5240|0);c[(b+5272|0)>>2]=g;l=CQ(j,b+5272|0)|0;A$(b+5280|0,7642368);w$(b+5256|0,xQ(l,b+5280|0)|0);BQ(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);G$(b+5256|0);G$(b+5280|0);c[(b+5312|0)>>2]=g;l=CQ(j,b+5312|0)|0;A$(b+5320|0,7640744);w$(b+5296|0,xQ(l,b+5320|0)|0);BQ(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);G$(b+5296|0);G$(b+5320|0);c[(b+5352|0)>>2]=g;l=CQ(j,b+5352|0)|0;A$(b+5360|0,7639760);w$(b+5336|0,xQ(l,b+5360|0)|0);BQ(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);G$(b+5336|0);G$(b+5360|0);c[(b+5392|0)>>2]=g;l=CQ(j,b+5392|0)|0;A$(b+5400|0,7638440);w$(b+5376|0,xQ(l,b+5400|0)|0);BQ(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);G$(b+5376|0);G$(b+5400|0);c[(b+5432|0)>>2]=g;l=CQ(j,b+5432|0)|0;A$(b+5440|0,7637504);w$(b+5416|0,xQ(l,b+5440|0)|0);EQ(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);G$(b+5416|0);G$(b+5440|0);c[(b+5472|0)>>2]=g;l=CQ(j,b+5472|0)|0;A$(b+5480|0,7637096);w$(b+5456|0,xQ(l,b+5480|0)|0);AQ(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);G$(b+5456|0);G$(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;fH(4,0,7621752,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?7738584:7631344,c[f+16>>2]=m,c[f+24>>2]=n?7738584:7630976,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}A$(b+5496|0,p);c[(FQ(b+216|0,b+5496|0)|0)>>2]=g;G$(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,5757576,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=CQ(g,b+5528|0)|0;A$(b+5536|0,7649872);w$(b+5512|0,xQ(m,b+5536|0)|0);AQ(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);G$(b+5512|0);G$(b+5536|0);c[(b+5568|0)>>2]=j;m=CQ(g,b+5568|0)|0;A$(b+5576|0,7648032);w$(b+5552|0,xQ(m,b+5576|0)|0);DQ(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);G$(b+5552|0);G$(b+5576|0);c[(b+5608|0)>>2]=j;m=CQ(g,b+5608|0)|0;A$(b+5616|0,7646936);w$(b+5592|0,xQ(m,b+5616|0)|0);AQ(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);G$(b+5592|0);G$(b+5616|0);c[(b+5648|0)>>2]=j;m=CQ(g,b+5648|0)|0;A$(b+5656|0,7645808);w$(b+5632|0,xQ(m,b+5656|0)|0);AQ(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);G$(b+5632|0);G$(b+5656|0);c[(b+5688|0)>>2]=j;m=CQ(g,b+5688|0)|0;A$(b+5696|0,7644832);w$(b+5672|0,xQ(m,b+5696|0)|0);BQ(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);G$(b+5672|0);G$(b+5696|0);c[(b+5728|0)>>2]=j;m=CQ(g,b+5728|0)|0;A$(b+5736|0,7642368);w$(b+5712|0,xQ(m,b+5736|0)|0);BQ(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);G$(b+5712|0);G$(b+5736|0);c[(b+5768|0)>>2]=j;m=CQ(g,b+5768|0)|0;A$(b+5776|0,7640744);w$(b+5752|0,xQ(m,b+5776|0)|0);BQ(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);G$(b+5752|0);G$(b+5776|0);c[(b+5808|0)>>2]=j;m=CQ(g,b+5808|0)|0;A$(b+5816|0,7639760);w$(b+5792|0,xQ(m,b+5816|0)|0);BQ(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);G$(b+5792|0);G$(b+5816|0);c[(b+5848|0)>>2]=j;m=CQ(g,b+5848|0)|0;A$(b+5856|0,7638440);w$(b+5832|0,xQ(m,b+5856|0)|0);BQ(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);G$(b+5832|0);G$(b+5856|0);c[(b+5888|0)>>2]=j;m=CQ(g,b+5888|0)|0;A$(b+5896|0,7637504);w$(b+5872|0,xQ(m,b+5896|0)|0);EQ(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);G$(b+5872|0);G$(b+5896|0);c[(b+5928|0)>>2]=j;m=CQ(g,b+5928|0)|0;A$(b+5936|0,7637096);w$(b+5912|0,xQ(m,b+5936|0)|0);zQ(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);G$(b+5912|0);G$(b+5936|0);c[(b+5968|0)>>2]=j;m=CQ(g,b+5968|0)|0;A$(b+5976|0,7636328);w$(b+5952|0,xQ(m,b+5976|0)|0);EQ(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);G$(b+5952|0);G$(b+5976|0);c[(b+6008|0)>>2]=j;m=CQ(g,b+6008|0)|0;A$(b+6016|0,7635256);w$(b+5992|0,xQ(m,b+6016|0)|0);EQ(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);G$(b+5992|0);G$(b+6016|0);c[(b+6048|0)>>2]=j;m=CQ(g,b+6048|0)|0;A$(b+6056|0,7634568);w$(b+6032|0,xQ(m,b+6056|0)|0);zQ(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);G$(b+6032|0);G$(b+6056|0);c[(b+6088|0)>>2]=j;m=CQ(g,b+6088|0)|0;A$(b+6096|0,7634104);w$(b+6072|0,xQ(m,b+6096|0)|0);zQ(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);G$(b+6072|0);G$(b+6096|0);c[(b+6128|0)>>2]=j;m=CQ(g,b+6128|0)|0;A$(b+6136|0,7633472);w$(b+6112|0,xQ(m,b+6136|0)|0);zQ(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);G$(b+6112|0);G$(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?7630608:7630208;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];fH(4,0,32632,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?7738584:7631344,h[f+16>>3]=q,c[f+24>>2]=n?7738584:7630976,c[f+32>>2]=l,c[f+40>>2]=k?7738584:7631344,h[f+48>>3]=r,c[f+56>>2]=k?7738584:7630976,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}A$(b+6152|0,u);c[(FQ(b+240|0,b+6152|0)|0)>>2]=j;G$(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7700424,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=CQ(j,b+6184|0)|0;A$(b+6192|0,7649872);w$(b+6168|0,xQ(l,b+6192|0)|0);AQ(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);G$(b+6168|0);G$(b+6192|0);c[(b+6224|0)>>2]=g;l=CQ(j,b+6224|0)|0;A$(b+6232|0,7648032);w$(b+6208|0,xQ(l,b+6232|0)|0);DQ(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);G$(b+6208|0);G$(b+6232|0);c[(b+6264|0)>>2]=g;l=CQ(j,b+6264|0)|0;A$(b+6272|0,7646936);w$(b+6248|0,xQ(l,b+6272|0)|0);AQ(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);G$(b+6248|0);G$(b+6272|0);c[(b+6304|0)>>2]=g;l=CQ(j,b+6304|0)|0;A$(b+6312|0,7645808);w$(b+6288|0,xQ(l,b+6312|0)|0);AQ(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);G$(b+6288|0);G$(b+6312|0);c[(b+6344|0)>>2]=g;l=CQ(j,b+6344|0)|0;A$(b+6352|0,7644832);w$(b+6328|0,xQ(l,b+6352|0)|0);BQ(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);G$(b+6328|0);G$(b+6352|0);c[(b+6384|0)>>2]=g;l=CQ(j,b+6384|0)|0;A$(b+6392|0,7642368);w$(b+6368|0,xQ(l,b+6392|0)|0);BQ(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);G$(b+6368|0);G$(b+6392|0);c[(b+6424|0)>>2]=g;l=CQ(j,b+6424|0)|0;A$(b+6432|0,7640744);w$(b+6408|0,xQ(l,b+6432|0)|0);BQ(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);G$(b+6408|0);G$(b+6432|0);c[(b+6464|0)>>2]=g;l=CQ(j,b+6464|0)|0;A$(b+6472|0,7639760);w$(b+6448|0,xQ(l,b+6472|0)|0);BQ(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);G$(b+6448|0);G$(b+6472|0);c[(b+6504|0)>>2]=g;l=CQ(j,b+6504|0)|0;A$(b+6512|0,7638440);w$(b+6488|0,xQ(l,b+6512|0)|0);BQ(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);G$(b+6488|0);G$(b+6512|0);c[(b+6544|0)>>2]=g;l=CQ(j,b+6544|0)|0;A$(b+6552|0,7637504);w$(b+6528|0,xQ(l,b+6552|0)|0);EQ(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);G$(b+6528|0);G$(b+6552|0);c[(b+6584|0)>>2]=g;l=CQ(j,b+6584|0)|0;A$(b+6592|0,7637096);w$(b+6568|0,xQ(l,b+6592|0)|0);BQ(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);G$(b+6568|0);G$(b+6592|0);c[(b+6624|0)>>2]=g;l=CQ(j,b+6624|0)|0;A$(b+6632|0,7636328);w$(b+6608|0,xQ(l,b+6632|0)|0);EQ(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);G$(b+6608|0);G$(b+6632|0);c[(b+6664|0)>>2]=g;l=CQ(j,b+6664|0)|0;A$(b+6672|0,7634104);w$(b+6648|0,xQ(l,b+6672|0)|0);BQ(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);G$(b+6648|0);G$(b+6672|0);c[(b+6704|0)>>2]=g;l=CQ(j,b+6704|0)|0;A$(b+6712|0,7633472);w$(b+6688|0,xQ(l,b+6712|0)|0);BQ(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);G$(b+6688|0);G$(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?7630608:7630208;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;fH(4,0,7700080,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?7738584:7631344,c[f+16>>2]=n,c[f+24>>2]=k?7738584:7630976,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}A$(b+6728|0,x);c[(FQ(b+240|0,b+6728|0)|0)>>2]=g;G$(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7699256,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=CQ(g,b+6760|0)|0;A$(b+6768|0,7649872);w$(b+6744|0,xQ(v,b+6768|0)|0);AQ(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);G$(b+6744|0);G$(b+6768|0);c[(b+6800|0)>>2]=j;v=CQ(g,b+6800|0)|0;A$(b+6808|0,7648032);w$(b+6784|0,xQ(v,b+6808|0)|0);DQ(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);G$(b+6784|0);G$(b+6808|0);c[(b+6840|0)>>2]=j;v=CQ(g,b+6840|0)|0;A$(b+6848|0,7646936);w$(b+6824|0,xQ(v,b+6848|0)|0);AQ(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);G$(b+6824|0);G$(b+6848|0);c[(b+6880|0)>>2]=j;v=CQ(g,b+6880|0)|0;A$(b+6888|0,7645808);w$(b+6864|0,xQ(v,b+6888|0)|0);AQ(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);G$(b+6864|0);G$(b+6888|0);c[(b+6920|0)>>2]=j;v=CQ(g,b+6920|0)|0;A$(b+6928|0,7644832);w$(b+6904|0,xQ(v,b+6928|0)|0);BQ(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);G$(b+6904|0);G$(b+6928|0);c[(b+6960|0)>>2]=j;v=CQ(g,b+6960|0)|0;A$(b+6968|0,7642368);w$(b+6944|0,xQ(v,b+6968|0)|0);BQ(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);G$(b+6944|0);G$(b+6968|0);c[(b+7e3|0)>>2]=j;v=CQ(g,b+7e3|0)|0;A$(b+7008|0,7640744);w$(b+6984|0,xQ(v,b+7008|0)|0);BQ(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);G$(b+6984|0);G$(b+7008|0);c[(b+7040|0)>>2]=j;v=CQ(g,b+7040|0)|0;A$(b+7048|0,7639760);w$(b+7024|0,xQ(v,b+7048|0)|0);BQ(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);G$(b+7024|0);G$(b+7048|0);c[(b+7080|0)>>2]=j;v=CQ(g,b+7080|0)|0;A$(b+7088|0,7638440);w$(b+7064|0,xQ(v,b+7088|0)|0);BQ(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);G$(b+7064|0);G$(b+7088|0);c[(b+7120|0)>>2]=j;v=CQ(g,b+7120|0)|0;A$(b+7128|0,7637504);w$(b+7104|0,xQ(v,b+7128|0)|0);EQ(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);G$(b+7104|0);G$(b+7128|0);c[(b+7160|0)>>2]=j;v=CQ(g,b+7160|0)|0;A$(b+7168|0,7637096);w$(b+7144|0,xQ(v,b+7168|0)|0);EQ(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);G$(b+7144|0);G$(b+7168|0);c[(b+7200|0)>>2]=j;v=CQ(g,b+7200|0)|0;A$(b+7208|0,7636328);w$(b+7184|0,xQ(v,b+7208|0)|0);EQ(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);G$(b+7184|0);G$(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?7630608:7630208;k=(a[v+(j*48|0)+40|0]|0)!=0?7630608:7630208;fH(4,0,7698712,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?7738584:7631344,c[f+16>>2]=m,c[f+24>>2]=w?7738584:7630976,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}A$(b+7224|0,y);c[(FQ(b+240|0,b+7224|0)|0)>>2]=j;G$(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7698120,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=CQ(j,b+7256|0)|0;A$(b+7264|0,7649872);w$(b+7240|0,xQ(w,b+7264|0)|0);AQ(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);G$(b+7240|0);G$(b+7264|0);c[(b+7296|0)>>2]=g;w=CQ(j,b+7296|0)|0;A$(b+7304|0,7648032);w$(b+7280|0,xQ(w,b+7304|0)|0);DQ(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);G$(b+7280|0);G$(b+7304|0);c[(b+7336|0)>>2]=g;w=CQ(j,b+7336|0)|0;A$(b+7344|0,7646936);w$(b+7320|0,xQ(w,b+7344|0)|0);AQ(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);G$(b+7320|0);G$(b+7344|0);c[(b+7376|0)>>2]=g;w=CQ(j,b+7376|0)|0;A$(b+7384|0,7645808);w$(b+7360|0,xQ(w,b+7384|0)|0);AQ(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);G$(b+7360|0);G$(b+7384|0);c[(b+7416|0)>>2]=g;w=CQ(j,b+7416|0)|0;A$(b+7424|0,7644832);w$(b+7400|0,xQ(w,b+7424|0)|0);BQ(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);G$(b+7400|0);G$(b+7424|0);c[(b+7456|0)>>2]=g;w=CQ(j,b+7456|0)|0;A$(b+7464|0,7642368);w$(b+7440|0,xQ(w,b+7464|0)|0);BQ(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);G$(b+7440|0);G$(b+7464|0);c[(b+7496|0)>>2]=g;w=CQ(j,b+7496|0)|0;A$(b+7504|0,7640744);w$(b+7480|0,xQ(w,b+7504|0)|0);BQ(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);G$(b+7480|0);G$(b+7504|0);c[(b+7536|0)>>2]=g;w=CQ(j,b+7536|0)|0;A$(b+7544|0,7639760);w$(b+7520|0,xQ(w,b+7544|0)|0);BQ(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);G$(b+7520|0);G$(b+7544|0);c[(b+7576|0)>>2]=g;w=CQ(j,b+7576|0)|0;A$(b+7584|0,7638440);w$(b+7560|0,xQ(w,b+7584|0)|0);BQ(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);G$(b+7560|0);G$(b+7584|0);c[(b+7616|0)>>2]=g;w=CQ(j,b+7616|0)|0;A$(b+7624|0,7637504);w$(b+7600|0,xQ(w,b+7624|0)|0);EQ(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);G$(b+7600|0);G$(b+7624|0);c[(b+7656|0)>>2]=g;w=CQ(j,b+7656|0)|0;A$(b+7664|0,7637096);w$(b+7640|0,xQ(w,b+7664|0)|0);AQ(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);G$(b+7640|0);G$(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;fH(4,0,7697688,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?7738584:7631344,c[f+16>>2]=m,c[f+24>>2]=k?7738584:7630976,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}A$(b+7680|0,z);c[(FQ(b+240|0,b+7680|0)|0)>>2]=g;G$(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7697408,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=CQ(g,b+7712|0)|0;A$(b+7720|0,7649872);w$(b+7696|0,xQ(m,b+7720|0)|0);AQ(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);G$(b+7696|0);G$(b+7720|0);c[(b+7752|0)>>2]=j;m=CQ(g,b+7752|0)|0;A$(b+7760|0,7648032);w$(b+7736|0,xQ(m,b+7760|0)|0);DQ(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);G$(b+7736|0);G$(b+7760|0);c[(b+7792|0)>>2]=j;m=CQ(g,b+7792|0)|0;A$(b+7800|0,7646936);w$(b+7776|0,xQ(m,b+7800|0)|0);AQ(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);G$(b+7776|0);G$(b+7800|0);c[(b+7832|0)>>2]=j;m=CQ(g,b+7832|0)|0;A$(b+7840|0,7645808);w$(b+7816|0,xQ(m,b+7840|0)|0);AQ(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);G$(b+7816|0);G$(b+7840|0);c[(b+7872|0)>>2]=j;m=CQ(g,b+7872|0)|0;A$(b+7880|0,7644832);w$(b+7856|0,xQ(m,b+7880|0)|0);BQ(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);G$(b+7856|0);G$(b+7880|0);c[(b+7912|0)>>2]=j;m=CQ(g,b+7912|0)|0;A$(b+7920|0,7642368);w$(b+7896|0,xQ(m,b+7920|0)|0);BQ(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);G$(b+7896|0);G$(b+7920|0);c[(b+7952|0)>>2]=j;m=CQ(g,b+7952|0)|0;A$(b+7960|0,7640744);w$(b+7936|0,xQ(m,b+7960|0)|0);BQ(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);G$(b+7936|0);G$(b+7960|0);c[(b+7992|0)>>2]=j;m=CQ(g,b+7992|0)|0;A$(b+8e3|0,7639760);w$(b+7976|0,xQ(m,b+8e3|0)|0);BQ(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);G$(b+7976|0);G$(b+8e3|0);c[(b+8032|0)>>2]=j;m=CQ(g,b+8032|0)|0;A$(b+8040|0,7638440);w$(b+8016|0,xQ(m,b+8040|0)|0);BQ(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);G$(b+8016|0);G$(b+8040|0);u$(b+8056|0);c[(b+8088|0)>>2]=j;m=CQ(g,b+8088|0)|0;A$(b+8096|0,7697032);w$(b+8072|0,xQ(m,b+8096|0)|0);GQ(b+8072|0,b+8056|0);G$(b+8072|0);G$(b+8096|0);m=(e0(b+8056|0,7696712)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;fH(4,0,7696512,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=CQ(g,b+8128|0)|0;A$(b+8136|0,7695784);w$(b+8112|0,xQ(k,b+8136|0)|0);GQ(b+8112|0,b+8056|0);G$(b+8112|0);G$(b+8136|0);HQ(b+264|0,b+216|0,b+8056|0);HQ(b+272|0,b+240|0,b+8056|0);JQ(b+8152|0,b+216|0);do{if(IQ(b+264|0,b+8152|0)|0){k=c[(KQ(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{JQ(b+8160|0,b+240|0);if(IQ(b+272|0,b+8160|0)|0){m=c[(KQ(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((e0(b+8056|0,7695256)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);G$(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}p0(b+8184|0,7694408,b+8056|0);rQ(b+8168|0,b+8184|0,7694040);G$(b+8184|0);j=b0(b+8168|0)|0;jH(0,7693512,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7692192,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=CQ(j,b+8216|0)|0;A$(b+8224|0,7649872);w$(b+8200|0,xQ(k,b+8224|0)|0);AQ(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);G$(b+8200|0);G$(b+8224|0);c[(b+8256|0)>>2]=g;k=CQ(j,b+8256|0)|0;A$(b+8264|0,7648032);w$(b+8240|0,xQ(k,b+8264|0)|0);DQ(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);G$(b+8240|0);G$(b+8264|0);c[(b+8296|0)>>2]=g;k=CQ(j,b+8296|0)|0;A$(b+8304|0,7646936);w$(b+8280|0,xQ(k,b+8304|0)|0);AQ(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);G$(b+8280|0);G$(b+8304|0);c[(b+8336|0)>>2]=g;k=CQ(j,b+8336|0)|0;A$(b+8344|0,7645808);w$(b+8320|0,xQ(k,b+8344|0)|0);AQ(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);G$(b+8320|0);G$(b+8344|0);c[(b+8376|0)>>2]=g;k=CQ(j,b+8376|0)|0;A$(b+8384|0,7644832);w$(b+8360|0,xQ(k,b+8384|0)|0);BQ(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);G$(b+8360|0);G$(b+8384|0);c[(b+8416|0)>>2]=g;k=CQ(j,b+8416|0)|0;A$(b+8424|0,7642368);w$(b+8400|0,xQ(k,b+8424|0)|0);BQ(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);G$(b+8400|0);G$(b+8424|0);c[(b+8456|0)>>2]=g;k=CQ(j,b+8456|0)|0;A$(b+8464|0,7640744);w$(b+8440|0,xQ(k,b+8464|0)|0);BQ(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);G$(b+8440|0);G$(b+8464|0);c[(b+8496|0)>>2]=g;k=CQ(j,b+8496|0)|0;A$(b+8504|0,7639760);w$(b+8480|0,xQ(k,b+8504|0)|0);BQ(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);G$(b+8480|0);G$(b+8504|0);c[(b+8536|0)>>2]=g;k=CQ(j,b+8536|0)|0;A$(b+8544|0,7638440);w$(b+8520|0,xQ(k,b+8544|0)|0);BQ(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);G$(b+8520|0);G$(b+8544|0);u$(b+8560|0);c[(b+8592|0)>>2]=g;k=CQ(j,b+8592|0)|0;A$(b+8600|0,7697032);w$(b+8576|0,xQ(k,b+8600|0)|0);GQ(b+8576|0,b+8560|0);G$(b+8576|0);G$(b+8600|0);k=(e0(b+8560|0,7696712)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;fH(4,0,7696512,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=CQ(j,b+8632|0)|0;A$(b+8640|0,7695784);w$(b+8616|0,xQ(m,b+8640|0)|0);GQ(b+8616|0,b+8560|0);G$(b+8616|0);G$(b+8640|0);HQ(b+264|0,b+216|0,b+8560|0);HQ(b+272|0,b+240|0,b+8560|0);JQ(b+8656|0,b+216|0);if(IQ(b+264|0,b+8656|0)|0){m=c[(KQ(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{JQ(b+8664|0,b+240|0);if(!(IQ(b+272|0,b+8664|0)|0)){break}k=c[(KQ(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}G$(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}p0(b+8688|0,7691888,b+8560|0);rQ(b+8672|0,b+8688|0,7694040);G$(b+8688|0);g=b0(b+8672|0)|0;jH(0,7693512,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7690672,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=CQ(g,b+8720|0)|0;A$(b+8728|0,7649872);w$(b+8704|0,xQ(m,b+8728|0)|0);AQ(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);G$(b+8704|0);G$(b+8728|0);c[(b+8760|0)>>2]=j;m=CQ(g,b+8760|0)|0;A$(b+8768|0,7648032);w$(b+8744|0,xQ(m,b+8768|0)|0);DQ(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);G$(b+8744|0);G$(b+8768|0);c[(b+8800|0)>>2]=j;m=CQ(g,b+8800|0)|0;A$(b+8808|0,7646936);w$(b+8784|0,xQ(m,b+8808|0)|0);AQ(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);G$(b+8784|0);G$(b+8808|0);c[(b+8840|0)>>2]=j;m=CQ(g,b+8840|0)|0;A$(b+8848|0,7645808);w$(b+8824|0,xQ(m,b+8848|0)|0);AQ(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);G$(b+8824|0);G$(b+8848|0);c[(b+8880|0)>>2]=j;m=CQ(g,b+8880|0)|0;A$(b+8888|0,7644832);w$(b+8864|0,xQ(m,b+8888|0)|0);EQ(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);G$(b+8864|0);G$(b+8888|0);c[(b+8920|0)>>2]=j;m=CQ(g,b+8920|0)|0;A$(b+8928|0,7642368);w$(b+8904|0,xQ(m,b+8928|0)|0);EQ(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);G$(b+8904|0);G$(b+8928|0);c[(b+8960|0)>>2]=j;m=CQ(g,b+8960|0)|0;A$(b+8968|0,7640744);w$(b+8944|0,xQ(m,b+8968|0)|0);EQ(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);G$(b+8944|0);G$(b+8968|0);c[(b+9e3|0)>>2]=j;m=CQ(g,b+9e3|0)|0;A$(b+9008|0,7639760);w$(b+8984|0,xQ(m,b+9008|0)|0);EQ(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);G$(b+8984|0);G$(b+9008|0);c[(b+9040|0)>>2]=j;m=CQ(g,b+9040|0)|0;A$(b+9048|0,7638440);w$(b+9024|0,xQ(m,b+9048|0)|0);EQ(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);G$(b+9024|0);G$(b+9048|0);u$(b+9064|0);c[(b+9096|0)>>2]=j;m=CQ(g,b+9096|0)|0;A$(b+9104|0,7697032);w$(b+9080|0,xQ(m,b+9104|0)|0);GQ(b+9080|0,b+9064|0);G$(b+9080|0);G$(b+9104|0);m=(e0(b+9064|0,7696712)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;fH(4,0,7696512,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=CQ(g,b+9136|0)|0;A$(b+9144|0,7695784);w$(b+9120|0,xQ(k,b+9144|0)|0);GQ(b+9120|0,b+9064|0);G$(b+9120|0);G$(b+9144|0);HQ(b+264|0,b+216|0,b+9064|0);HQ(b+272|0,b+240|0,b+9064|0);JQ(b+9160|0,b+216|0);if(IQ(b+264|0,b+9160|0)|0){k=c[(KQ(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{JQ(b+9168|0,b+240|0);if(!(IQ(b+272|0,b+9168|0)|0)){break}m=c[(KQ(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}G$(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}p0(b+9192|0,7690432,b+9064|0);rQ(b+9176|0,b+9192|0,7694040);G$(b+9192|0);j=b0(b+9176|0)|0;jH(0,7693512,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[1928870]|0)!=0){he[c[3556]&511](4)}fH(4,1,7689608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=CQ(j,b+9224|0)|0;A$(b+9232|0,7649872);w$(b+9208|0,xQ(k,b+9232|0)|0);AQ(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);G$(b+9208|0);G$(b+9232|0);c[(b+9264|0)>>2]=g;k=CQ(j,b+9264|0)|0;A$(b+9272|0,7648032);w$(b+9248|0,xQ(k,b+9272|0)|0);DQ(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);G$(b+9248|0);G$(b+9272|0);c[(b+9304|0)>>2]=g;k=CQ(j,b+9304|0)|0;A$(b+9312|0,7646936);w$(b+9288|0,xQ(k,b+9312|0)|0);AQ(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);G$(b+9288|0);G$(b+9312|0);c[(b+9344|0)>>2]=g;k=CQ(j,b+9344|0)|0;A$(b+9352|0,7645808);w$(b+9328|0,xQ(k,b+9352|0)|0);AQ(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);G$(b+9328|0);G$(b+9352|0);c[(b+9384|0)>>2]=g;k=CQ(j,b+9384|0)|0;A$(b+9392|0,7644832);w$(b+9368|0,xQ(k,b+9392|0)|0);AQ(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);G$(b+9368|0);G$(b+9392|0);c[(b+9424|0)>>2]=g;k=CQ(j,b+9424|0)|0;A$(b+9432|0,7642368);w$(b+9408|0,xQ(k,b+9432|0)|0);AQ(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);G$(b+9408|0);G$(b+9432|0);c[(b+9464|0)>>2]=g;k=CQ(j,b+9464|0)|0;A$(b+9472|0,7640744);w$(b+9448|0,xQ(k,b+9472|0)|0);AQ(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);G$(b+9448|0);G$(b+9472|0);c[(b+9504|0)>>2]=g;k=CQ(j,b+9504|0)|0;A$(b+9512|0,7639760);w$(b+9488|0,xQ(k,b+9512|0)|0);AQ(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);G$(b+9488|0);G$(b+9512|0);c[(b+9544|0)>>2]=g;k=CQ(j,b+9544|0)|0;A$(b+9552|0,7638440);w$(b+9528|0,xQ(k,b+9552|0)|0);AQ(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);G$(b+9528|0);G$(b+9552|0);u$(b+9568|0);c[(b+9600|0)>>2]=g;k=CQ(j,b+9600|0)|0;A$(b+9608|0,7697032);w$(b+9584|0,xQ(k,b+9608|0)|0);GQ(b+9584|0,b+9568|0);G$(b+9584|0);G$(b+9608|0);k=(e0(b+9568|0,7696712)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;fH(4,0,7696512,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=CQ(j,b+9640|0)|0;A$(b+9648|0,7695784);w$(b+9624|0,xQ(m,b+9648|0)|0);GQ(b+9624|0,b+9568|0);G$(b+9624|0);G$(b+9648|0);HQ(b+264|0,b+216|0,b+9568|0);HQ(b+272|0,b+240|0,b+9568|0);JQ(b+9664|0,b+216|0);if(IQ(b+264|0,b+9664|0)|0){m=c[(KQ(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{JQ(b+9672|0,b+240|0);if(!(IQ(b+272|0,b+9672|0)|0)){break}k=c[(KQ(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}G$(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}p0(b+9696|0,7689336,b+9568|0);rQ(b+9680|0,b+9696|0,7694040);G$(b+9696|0);g=b0(b+9680|0)|0;jH(0,7693512,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[1928870]|0)!=0){he[c[3556]&511](4)}hC(e);LQ(b+240|0);LQ(b+216|0);G$(b+200|0);MQ(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}



function bM(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=L9(ga(n,m)|0)|0;p=o;q=L9(m<<3)|0;r=q;s=L9(n)|0;t=s;u=L9(n)|0;v=u;w=L9(n)|0;x=w;y=L9(n)|0;n=y;z=+h[f>>3];if((c[1928875]|0)!=0&z<1.0){A=j|0;Ub(A|0,7667976,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=Hc(A|0,7657008)|0;Bd(C|0,7649520,(B=i,i=i+8|0,c[B>>2]=7641936,B)|0)|0;i=B;Bd(C|0,7649520,(B=i,i=i+8|0,c[B>>2]=7636096,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{Bd(C|0,7649520,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Wa(10,C|0)|0;Bd(C|0,7624136,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;Bd(C|0,7699816,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{Bd(C|0,7699816,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Wa(10,C|0)|0;E=C}else{E=0}iH(0,(o|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;iH(0,(q|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;iH(0,(s|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;iH(0,(u|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;iH(0,(w|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;iH(0,(y|0)!=0|0,7694936,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{UL(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+GL(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;UL(a,ba);+GL(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];fH(9,0,7691048,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){oaa(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);UL(a,t);ra=+GL(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}naa(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}UL(a,v);if(+GL(a,Q)<ra){if(!F){U=W;continue}naa(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}naa(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}UL(a,x);sa=+GL(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}UL(a,x);sa=+GL(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}naa(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];fH(9,0,7688528,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}Bd(E|0,7624136,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;Bd(E|0,7699816,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{Bd(E|0,7699816,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Wa(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){hH(9,0,7686856,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;hH(9,0,7685584,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;jH(0,7684224,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}UL(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){M9(u);M9(s);M9(w);M9(y);M9(q);M9(o);i=j;return}Bd(E|0,7624136,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;Bd(E|0,7699816,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{Bd(E|0,7699816,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Wa(10,E|0)|0;Pa(E|0)|0;M9(u);M9(s);M9(w);M9(y);M9(q);M9(o);i=j;return}function cM(a,b){a=a|0;b=b|0;return}function dM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;yI(3);BI(0);g=+tI(0);yI(0);j=d+4|0;Bd(f|0,7687288,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){Bd(f|0,7687288,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){Bd(f|0,7687288,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){Bd(f|0,7679e3,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){Bd(f|0,7687288,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{Bd(f|0,7687288,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{Bd(f|0,7693672,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Wa(10,f|0)|0;BI(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}Bd(f|0,7679e3,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Wa(10,f|0)|0;BI(3);i=e;return}function eM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=Hc(c[f>>2]|0,7657e3)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=ld(c[(kd()|0)>>2]|0)|0;iH(h,(g|0)!=0|0,7649464,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=7641928,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=7636080,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}Bd(g|0,7679e3,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Wa(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function fM(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;yI(3);Pa(b|0)|0;BI(3);return}function gM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;X1(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];Y1(n,k)|0;hM(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;iM(a,b,7687160,c[f>>2]|0,c[e>>2]|0,m,8);M9(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];Y1(n,l)|0;i=d;return}function hM(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=N9(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;iH(c[b+536>>2]|0,(p|0)!=0|0,7691008,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function iM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;sM(a,b,d,e,f,h);W1(k,g,ga(ga(f,e)|0,h)|0)|0;if(r0(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){jH(c[b+536>>2]|0,7699776,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function jM(a){a=a|0;if((kN(a+4|0)|0)!=0){return}u0(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function kM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=R9(320)|0;oaa(p|0,0,320)|0;lM(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;yI(3);s=a+8|0;t=mM(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=nM(a,b,t+r|0)|0;t=p+184|0;oM(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;oM(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;pM(p,c[w>>2]|0,36);if(r0(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){jH(c[b+536>>2]|0,7693520,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}iM(a,b,7678992,4,11,7715344,1);qM((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;iM(a,b,7667928,c[f>>2]|0,c[g>>2]|0,x,1);M9(x);c[e>>2]=0;qM((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;iM(a,b,7656952,c[f>>2]|0,c[g>>2]|0,x,1);M9(x);c[e>>2]=0;rM(a,b,j,f,g,c[q>>2]|0,r);iM(a,b,7649448,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;X1(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];hM(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;iM(a,b,7687160,c[g>>2]|0,c[f>>2]|0,m,8);X1(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=tM(p+240|0)|0;v=tM(p+264|0)|0;o=tM(p+288|0)|0;sM(a,b,7641920,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);M9(m);M9(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;C1(r)|0;M9(u);BI(3);i=d;return}function lM(a){a=a|0;uP(a);return}function mM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(yO(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(yO(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(yO(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function nM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=L9(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=28992;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(yO(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(yO(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(yO(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function oM(a,b,c){a=a|0;b=b|0;c=c|0;jN(a,b,c);return}function pM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(iN(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){u0(d,4);return}else{s0(d,0);return}}function qM(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=laa(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=N9((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;iH(0,(m|0)!=0|0,7624112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;maa(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;xM(l,laa(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=N9(1,1)|0;c[d>>2]=o;iH(0,(o|0)!=0|0,7624112,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function rM(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=N9(c[f>>2]<<2,4)|0;c[e>>2]=g;iH(c[d+536>>2]|0,(g|0)!=0|0,7694896,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=tM(g)|0;h=s+264|0;t=tM(h)|0;u=s+288|0;v=tM(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=tM(g)|0;D=tM(h)|0;E=tM(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==0){yM(l,g,A+(v*52|0)+4|0);AM(m,g);if(!(zM(l,m)|0)){F=w;break}G=2;H=(c[(BM(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==2){G=2;H=1}else if((z<<24>>24|0)==1){yM(l,t,A+(v*52|0)+4|0);AM(n,t);if(!(zM(l,n)|0)){F=w;break}G=1;H=(c[(BM(l)|0)+4>>2]|0)+1|0}else{F=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=G;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=H}else{c[z+(w+1<<2)>>2]=-H}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;F=w+4|0}else{F=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=F;v=A}else{I=F;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){F=d+44|0;v=s+276|0;w=I;b=0;while(1){H=c[F>>2]|0;do{if((a[H+(b*52|0)+48|0]|0)==0){f=a[H+(b*52|0)+8|0]|0;if((f<<24>>24|0)==0){yM(l,h,H+(b*52|0)+4|0);AM(o,h);G=zM(l,o)|0;J=G?2:0}else if((f<<24>>24|0)==1){yM(l,v,H+(b*52|0)+4|0);AM(p,v);J=(zM(l,p)|0)&1}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;G=(c[(c[F>>2]|0)+(b*52|0)>>2]|0)==0;n=c[(BM(l)|0)+4>>2]|0;if(G){c[f+(w+1<<2)>>2]=n+1}else{c[f+(w+1<<2)>>2]=~n}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);H=b+1|0;if((H|0)<(c[x>>2]|0)){w=K;b=H}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){yM(l,u,w+(y*52|0)+4|0);AM(q,u);F=zM(l,q)|0;M=F?2:0}else if((x<<24>>24|0)==1){yM(l,d,w+(y*52|0)+4|0);AM(r,d);M=(zM(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(BM(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function sM(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(laa(d|0)|0)+1;e=k;W1(e,j,20)|0;j=k;if(r0(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){jH(c[b+536>>2]|0,7699776,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}W1(e,d,c[f>>2]|0)|0;if(r0(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){jH(c[b+536>>2]|0,7699776,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function tM(a){a=a|0;return c[(fN(a|0)|0)>>2]|0}function uM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;yI(3);do{if(q0(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];Y1(g,e)|0;j=tM(g+240|0)|0;k=tM(g+264|0)|0;l=tM(g+288|0)|0;sM(a,b,7641920,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);jM(g)}else{if((g|0)!=0){break}c[f>>2]=0;BI(3);i=d;return}}while(0);vM(h);T9(g);c[f>>2]=0;BI(3);i=d;return}function vM(a){a=a|0;DN(a);return}function wM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;yI(3);BI(0);h[g>>3]=+tI(0);yI(0);k=j;l=d+4|0;W1(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){W1(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){W1(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);W1(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);W1(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);W1(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(r0(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){jH(c[d+536>>2]|0,7629920,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;BI(3);i=e;return}}function xM(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((kaa(b,7674888,4)|0)!=0){return}c=b;while(1){d=Yb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((kaa(b,7674888,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function yM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;TM(e,b|0,c);JM(a,e);i=d;return}function zM(a,b){a=a|0;b=b|0;return HM(a|0,b|0)|0}function AM(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;KM(d,b|0);JM(a,d);i=c;return}function BM(a){a=a|0;return CM(DM(a|0)|0)|0}function CM(a){a=a|0;return GM(a)|0}function DM(a){a=a|0;return EM((c[a>>2]|0)+16|0)|0}function EM(a){a=a|0;return FM(a)|0}function FM(a){a=a|0;return a|0}function GM(a){a=a|0;return a|0}function HM(a,b){a=a|0;b=b|0;return(IM(a,b)|0)^1|0}function IM(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function JM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];SM(a,b);i=d;return}function KM(a,b){a=a|0;b=b|0;LM(a,MM(b)|0);return}function LM(a,b){a=a|0;b=b|0;RM(a,b);return}function MM(a){a=a|0;return NM(OM(a+4|0)|0)|0}function NM(a){a=a|0;return QM(a)|0}function OM(a){a=a|0;return PM(a|0)|0}function PM(a){a=a|0;return a|0}function QM(a){a=a|0;return a|0}function RM(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function SM(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function TM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=VM(b)|0;UM(f,b,d,h,MM(b)|0);KM(g,b);do{if(HM(f,g)|0){h=WM(b)|0;if(XM(h,d,YM(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);KM(a,b);i=e;return}function UM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;aN(h);a:do{if((e|0)==0){j=f}else{k=WM(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(bN(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;aN(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;aN(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);LM(a,j);i=g;return}function VM(a){a=a|0;return c[(MM(a)|0)>>2]|0}function WM(a){a=a|0;return _M(a+8|0)|0}function XM(a,b,c){a=a|0;b=b|0;c=c|0;return ZM(0,b,c|0)|0}function YM(a){a=a|0;return(c[a>>2]|0)+16|0}function ZM(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function _M(a){a=a|0;return $M(a|0)|0}function $M(a){a=a|0;return a|0}function aN(a){a=a|0;cN(a,-1);return}function bN(a,b,c){a=a|0;b=b|0;c=c|0;return ZM(0,b|0,c)|0}function cN(a,b){a=a|0;b=b|0;dN(a,0);return}function dN(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function eN(a){a=a|0;return c[a+4>>2]|0}function fN(a){a=a|0;return gN(a+8|0)|0}function gN(a){a=a|0;return hN(a|0)|0}function hN(a){a=a|0;return a|0}function iN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 56:{f=7683128;break};case 60:{f=7677376;break};case 16:case 48:{f=7688520;break};case 8:{f=7685576;break};case 12:{f=7679512;break};case 28:{f=7678280;break};case 17:case 1:{f=7686848;break};case 20:case 52:{f=7681520;break};case 25:case 9:{f=7682320;break};case 24:{f=7684216;break};case 21:case 5:{f=7680504;break};case 29:case 13:{f=7675864;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=Hc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((Jd(h|0,0,2)|0)==0){g=a;break}Pa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function jN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function kN(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}lN(d,f,122);f=ke[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Pa(mN(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}nN(d);g=h;i=b;return g|0}function lN(a,b,c){a=a|0;b=b|0;c=c|0;uN(a,b,c);return}function mN(a){a=a|0;var b=0;b=qN(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function nN(a){a=a|0;oN(a);return}function oN(a){a=a|0;pN(a,0);return}function pN(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=qN(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}ke[c[(rN(d)|0)>>2]&255](e)|0;return}function qN(a){a=a|0;return tN(a|0)|0}function rN(a){a=a|0;return sN(a|0)|0}function sN(a){a=a|0;return a+4|0}function tN(a){a=a|0;return a|0}function uN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(wN(f)|0)>>2]|0;vN(a|0,d,c[(xN(g)|0)>>2]|0);i=e;return}function vN(a,b,c){a=a|0;b=b|0;c=c|0;yN(a,b,c);return}function wN(a){a=a|0;return a|0}function xN(a){a=a|0;return a|0}function yN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(AN(f)|0)>>2]|0;zN(a|0,d,c[(BN(g)|0)>>2]|0);i=e;return}function zN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(AN(f)|0)>>2];c[a+4>>2]=c[(BN(g)|0)>>2];i=e;return}function AN(a){a=a|0;return a|0}function BN(a){a=a|0;return a|0}function CN(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function DN(a){a=a|0;EN(a+300|0);EN(a+288|0);EN(a+276|0);EN(a+264|0);EN(a+252|0);EN(a+240|0);FN(a|0);return}function EN(a){a=a|0;pO(a);return}function FN(a){a=a|0;GN(a,7704664);y0(a+104|0);return}function GN(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];KN(a+4|0);return}function HN(a){a=a|0;FN(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function IN(a){a=a|0;FN(a);T9(a);return}function JN(a){a=a|0;IN(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function KN(a){a=a|0;LN(a);return}function LN(b){b=b|0;var d=0;c[b>>2]=7703960;kN(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}U9(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}U9(d)}}while(0);H0(b|0);return}function MN(a){a=a|0;KN(a);T9(a);return}function NN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;ke[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=nO(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=oO(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;R0(g,0,0,0);W0(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}U9(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=S9(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=S9(g)|0;a[b+97|0]=1;return}function ON(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;R0(e,0,0,0);W0(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}U9(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}U9(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=S9(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(kO(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=S9(o)|0;a[k]=1;i=f;return e|0}return 0}function PN(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=Od(4)|0;q9(m);Cc(m|0,7708024,182)}m=gO(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((ke[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){oM(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=Faa(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((Jd(o|0,p|0,f|0)|0)==0){o=Sb(c[l>>2]|0)|0;oM(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;jO(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{oM(a,-1,-1);i=g;return}}}while(0);oM(a,-1,-1);i=g;return}function QN(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((ke[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=CN(d)|0;if((Jd(j|0,k|0,0)|0)==0){iO(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{oM(a,-1,-1);i=e;return}}}while(0);oM(a,-1,-1);i=e;return}function RN(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=Od(4)|0;q9(m);Cc(m|0,7708024,182);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=gO(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=P0(s)|0;u=(ga(t-(O0(s)|0)|0,p)|0)+r|0;v=0;break}p=O0(s)|0;if((p|0)==(P0(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=hO(t,g,x,q,p-(N0(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=P0(w)|0;u=o-(O0(w)|0)|0;v=0}}while(0);if((Jd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;R0(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=T0(o)|0;do{if((w|0)!=(S0(o)|0)){if((ue[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=fO(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Ya(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Ta(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function SN(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=aO(b)|0;o=b|0;if((O0(o)|0)==0){p=e+1|0;R0(o,e,p,p)}if(n){q=0}else{n=P0(o)|0;c[f>>2]=(n-(N0(o)|0)|0)/2|0;c[g>>2]=4;q=c[(bO(f,g)|0)>>2]|0}g=O0(o)|0;do{if((g|0)==(P0(o)|0)){saa(N0(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=P0(o)|0;n=N0(o)|0;p=Xc(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=N0(o)|0;R0(o,n,n+q|0,n+(p+q)|0);r=_N(a[O0(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;saa(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(bO(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=Xc(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=Od(4)|0;q9(t);Cc(t|0,7708024,182);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=N0(o)|0;if((cO(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;R0(o,f,f,c[s>>2]|0);r=_N(a[O0(o)|0]|0)|0;break}s=c[k>>2]|0;f=N0(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}R0(o,f,p,s);r=_N(a[O0(o)|0]|0)|0}else{r=_N(a[g]|0)|0}}while(0);if((N0(o)|0)!=(e|0)){m=r;i=d;return m|0}R0(o,0,0,0);m=r;i=d;return m|0}function TN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=N0(f)|0;h=O0(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(WN(d,-1)|0){Q0(f,-1);e=ZN(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=XN(d)|0;do{if(g){if($N(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);Q0(f,-1);a[O0(f)|0]=b;e=d;return e|0}function UN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}VN(b);l=b|0;m=S0(l)|0;n=U0(l)|0;if(!(WN(d,-1)|0)){if((T0(l)|0)==0){W0(l,f,f+1|0)}f=XN(d)|0;a[T0(l)|0]=f;V0(l,1)}f=T0(l)|0;o=S0(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=Od(4)|0;u=t;q9(u);Cc(t|0,7708024,182);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=S0(l)|0;y=T0(l)|0;z=YN(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=S0(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Ya(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;W0(l,z,T0(l)|0);z=U0(l)|0;V0(l,z-(S0(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=Od(4)|0;u=t;q9(u);Cc(t|0,7708024,182);return 0}else if((B|0)==14){p=(T0(l)|0)-A|0;if((Ya(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Ya(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);W0(l,m,n)}k=ZN(d)|0;i=e;return k|0}function VN(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;R0(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;W0(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;W0(e,g,g+(f-1)|0);break}}else{W0(e,0,0)}}while(0);c[d>>2]=16;return}function WN(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function XN(a){a=a|0;return a&255|0}function YN(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return we[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function ZN(a){a=a|0;var b=0;b=WN(a,-1)|0;return(b?0:a)|0}function _N(a){a=a|0;return a&255|0}function $N(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function aO(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;W0(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;R0(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;R0(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function bO(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=dO(a,b,c|0)|0;i=c;return d|0}function cO(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return we[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function dO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=eO(0,c,b)|0;i=e;return(f?c:b)|0}function eO(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function fO(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return le[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function gO(a){a=a|0;return ke[c[(c[a>>2]|0)+24>>2]&255](a)|0}function hO(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return le[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function iO(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function jO(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function kO(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=lO(a,b,c|0)|0;i=c;return d|0}function lO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=mO(0,b,c)|0;i=e;return(f?c:b)|0}function mO(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function nO(a){a=a|0;return q6(a,7741912)|0}function oO(a){a=a|0;return ke[c[(c[a>>2]|0)+28>>2]&255](a)|0}function pO(a){a=a|0;qO(a|0);return}function qO(a){a=a|0;rO(a);return}function rO(a){a=a|0;sO(a,VM(a)|0);return}function sO(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;aN(d|0);if((b|0)==0){i=d;return}sO(a,c[b>>2]|0);sO(a,c[b+4>>2]|0);uO(tO(a)|0,b,1);i=d;return}function tO(a){a=a|0;return wO(a+4|0)|0}function uO(a,b,c){a=a|0;b=b|0;c=c|0;vO(0,b,0);return}function vO(a,b,c){a=a|0;b=b|0;c=c|0;T9(b);return}function wO(a){a=a|0;return xO(a|0)|0}function xO(a){a=a|0;return a|0}function yO(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=zO(a,e,b)|0;k=c[j>>2]|0;aN(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}BO(h,a,b);CO(g,h);AO(f,g);DO(h);h=c[e>>2]|0;EO(a|0,h,j,FO(f)|0);j=GO(f)|0;DO(f);l=j;m=l+20|0;i=d;return m|0}function zO(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=VM(h)|0;aN(e|0);if((a|0)==0){j=MM(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(ZM(0,d,a)|0){m=l|0;j=c[m>>2]|0;aN(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(ZM(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;aN(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function AO(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];sP(a,b);i=d;return}function BO(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=tO(c|0)|0;c=bP(k,1)|0;cP(g,k);aP(f,c,g);dP(0,YO((eP(f)|0)+16|0)|0,d);d=fP(f)|0;a[d+4|0]=1;gP(0,XO((eP(f)|0)+20|0)|0);a[d+5|0]=1;hP(j,f);CO(h,j);AO(b,h);DO(j);DO(f);i=e;return}function CO(a,b){a=a|0;b=b|0;_O(a,b);return}function DO(a){a=a|0;TO(a);return}function EO(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;aN(f|0);c[e>>2]=0;aN(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=LO(a)|0;b=c[c[e>>2]>>2]|0;aN(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(MM(a)|0)>>2]|0;MO(e,c[d>>2]|0);d=NO(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function FO(a){a=a|0;return c[(JO(a|0)|0)>>2]|0}function GO(a){a=a|0;var b=0;b=HO(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function HO(a){a=a|0;return IO(a|0)|0}function IO(a){a=a|0;return a|0}function JO(a){a=a|0;return KO(a|0)|0}function KO(a){a=a|0;return a|0}function LO(a){a=a|0;return a|0}function MO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=QO(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;aN(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;aN(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(QO(j)|0){p=j}else{o=c[k>>2]|0;RO(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;SO(p);i=e;return}else if((l|0)==14){if(QO(j)|0){p=c[k>>2]|0;SO(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;RO(q);i=e;return}else if((l|0)==17){i=e;return}}function NO(a){a=a|0;return OO(a+8|0)|0}function OO(a){a=a|0;return PO(a|0)|0}function PO(a){a=a|0;return a|0}function QO(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function RO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;aN(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=QO(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function SO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;aN(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=QO(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function TO(a){a=a|0;UO(a,0);return}function UO(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=HO(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}WO(VO(d)|0,e);return}function VO(a){a=a|0;return ZO(a|0)|0}function WO(a,b){a=a|0;b=b|0;if((b|0)==0){return}uO(c[a>>2]|0,b,1);return}function XO(a){a=a|0;return a|0}function YO(a){a=a|0;return a|0}function ZO(a){a=a|0;return a+4|0}function _O(a,b){a=a|0;b=b|0;$O(a,b);return}function $O(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function aP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];kP(a,b,d);i=e;return}function bP(a,b){a=a|0;b=b|0;return jP(0,b,0)|0}function cP(a,b){a=a|0;b=b|0;iP(a,b);return}function dP(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function eP(a){a=a|0;return c[(JO(a|0)|0)>>2]|0}function fP(a){a=a|0;return VO(a|0)|0}function gP(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function hP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;_O(f,b);AO(e,f);CO(d,e);AO(a,d);DO(e);i=c;return}function iP(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function jP(a,b,c){a=a|0;b=b|0;c=c|0;return R9(b*24|0)|0}function kP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(mP(f)|0)>>2]|0;f=nP(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;lP(a|0,b,g);i=e;return}function lP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];oP(a,b,d);i=e;return}function mP(a){a=a|0;return a|0}function nP(a){a=a|0;return a|0}function oP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(qP(f)|0)>>2]|0;f=rP(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;pP(a|0,b,g);i=e;return}function pP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(qP(f)|0)>>2];f=rP(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function qP(a){a=a|0;return a|0}function rP(a){a=a|0;return a|0}function sP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=GO(tP(b)|0)|0;g=rP(fP(tP(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;lP(a|0,f,e);i=d;return}function tP(a){a=a|0;return c[a>>2]|0}function uP(a){a=a|0;var b=0;b=i;i=i+48|0;vP(a|0);oM(a+184|0,0,0);oM(a+200|0,0,0);wP(a+240|0,b|0);wP(a+252|0,b+8|0);wP(a+264|0,b+16|0);wP(a+276|0,b+24|0);wP(a+288|0,b+32|0);wP(a+300|0,b+40|0);i=b;return}function vP(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;D0(b);d=a|0;c[d>>2]=7703676;e=b|0;c[e>>2]=7703696;b=a+4|0;K1(a,7704668,b|0);c[d>>2]=7703676;c[e>>2]=7703696;JP(b);return}function wP(a,b){a=a|0;b=b|0;xP(a,0);return}function xP(a,b){a=a|0;b=b|0;b=i;i=i+8|0;yP(a|0,b|0);i=b;return}function yP(a,b){a=a|0;b=b|0;zP(a,0);return}function zP(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;AP(a+4|0);BP(a+8|0,0,b|0);d=MM(a)|0;c[(LO(a)|0)>>2]=d;i=b;return}function AP(a){a=a|0;FP(a);return}function BP(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;CP(b,c,d);i=e;return}function CP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;DP(b|0,c[(EP(g)|0)>>2]|0,f+8|0);i=f;return}function DP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(EP(g)|0)>>2];i=f;return}function EP(a){a=a|0;return a|0}function FP(a){a=a|0;GP(a|0);return}function GP(a){a=a|0;HP(a|0);return}function HP(a){a=a|0;IP(a);return}function IP(a){a=a|0;c[a>>2]=0;return}function JP(a){a=a|0;KP(a);return}function KP(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;M0(g);c[b>>2]=7703960;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;oaa(b+52|0,0,16)|0;aN(d|0);oaa(h|0,0,31)|0;I0(e,g);j=LP(e)|0;o6(e);if(j){I0(f,g);c[h>>2]=nO(f)|0;o6(f);a[b+98|0]=(oO(c[h>>2]|0)|0)&1}me[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function LP(a){a=a|0;return p6(a,7741912)|0}function MP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;yI(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){NP(a,b,c[e>>2]|0,f);BI(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=O9(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;jH(c[b+536>>2]|0,7686576,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}NP(a,b,k,f);BI(3);i=d;return}function NP(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;BI(0);i=+tI(0);yI(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function OP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=L9(24)|0;yI(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;iH(c[l>>2]|0,k>>>31^1,7693384,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=PP(b,m)|0;n=PP(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=L9(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;jH(c[l>>2]|0,7678928,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;BI(3);i=d;return}}function PP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}function QP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;yI(3);k=b|0;l=Hc(c[k>>2]|0,7667920)|0;if((l|0)==0){RP(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=ld(c[(kd()|0)>>2]|0)|0;jH(m,7656896,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Ya(7649368,46,1,l|0)|0;o=g+20|0;Bd(l|0,7641856,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;Bd(l|0,7635712,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Ya(7629872,40,1,l|0)|0;Ya(7624096,11,1,l|0)|0;Ya(7699760,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];SP(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Ya(7690984,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;SP(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Wa(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;SP(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Wa(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;SP(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Wa(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;SP(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Wa(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;SP(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Wa(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;SP(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Wa(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){Bd(l|0,7688488,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;SP(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Wa(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}RP(j);if((Pa(l|0)|0)==0){M9(c[f>>2]|0);c[f>>2]=0;BI(3);i=e;return}else{jH(c[d+536>>2]|0,7686792,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function RP(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}M9(a);c[b>>2]=0;return}function SP(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;Bd(a|0,7685552,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function TP(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=R9(192)|0;oaa(j|0,0,192)|0;UP(j);c[a+12>>2]=j;k=j;l=a|0;pM(k,c[l>>2]|0,36);if(r0(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){jH(c[b+536>>2]|0,7686424,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;W1(a,16928,14)|0;X1(e,a);l=CN(e)|0;e=j+184|0;c[e>>2]=l;W1(a,7738216,4)|0;VP(k,b+8|0);X1(f,a);b=CN(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;oM(g,j,(j|0)<0|0?-1:0);Y1(a,g)|0;WP(k,-4-j+f|0);f=c[b>>2]|0;oM(h,f,(f|0)<0|0?-1:0);Y1(a,h)|0;BI(3);i=d;return}function UP(a){a=a|0;nQ(a);return}function VP(a,b){a=a|0;b=b|0;YP(a,3);ZP(a,7674880);YP(a,0);ZP(a,7673720);YP(a,2);iQ(a,b);jQ(a,b);ZP(a,7672656);YP(a,0);return}function WP(a,b){a=a|0;b=b|0;c[1931246]=vd(b|0)|0;W1(a,7724984,4)|0;return}function XP(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;X1(j,o);p=CN(j)|0;WP(b,0);X1(k,o);j=CN(k)|0;k=j;YP(b,1);ZP(b,7678888);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;_P(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);$P(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{$P(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{aQ(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{bQ(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{ZP(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}X1(l,o);s=CN(l)|0;l=s;s=p;oM(m,s,(s|0)<0|0?-1:0);Y1(o,m)|0;WP(b,l-k|0);oM(n,l,(l|0)<0|0?-1:0);Y1(o,n)|0;i=g;return}function YP(b,d){b=b|0;d=d|0;a[7738168]=-33;c[1931248]=vd(d|0)|0;d=b;W1(d,7738168,1)|0;W1(d,7724992,4)|0;return}function ZP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=vd(laa(d|0)|0)|0;a[7738176]=-37;g=b;W1(g,7738176,1)|0;W1(g,f,4)|0;W1(g,d,laa(d|0)|0)|0;i=e;return}function _P(b,d){b=b|0;d=d|0;a[7738184]=-35;c[1931250]=vd(d|0)|0;d=b;W1(d,7738184,1)|0;W1(d,7725e3,4)|0;return}function $P(b,c){b=b|0;c=+c;var d=0;a[7738192]=-53;hQ(c);d=b;W1(d,7738192,1)|0;W1(d,7738072,8)|0;return}function aQ(b,d){b=b|0;d=d|0;a[7738200]=-46;c[1931252]=vd(d|0)|0;d=b;W1(d,7738200,1)|0;W1(d,7725008,4)|0;return}function bQ(b,c){b=b|0;c=c|0;a[7738208]=c?-61:-62;W1(b,7738208,1)|0;return}function cQ(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;XP(d,+h[e>>3],a,e);XP(d,+h[b+248>>3],a,e);return}function dQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;X1(f,n);m=CN(f)|0;WP(b,0);X1(g,n);f=CN(g)|0;g=f;YP(b,1);ZP(b,7667904);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;_P(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;$P(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{$P(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{aQ(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{bQ(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{ZP(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}X1(j,n);q=CN(j)|0;j=q;q=m;oM(k,q,(q|0)<0|0?-1:0);Y1(n,k)|0;WP(b,j-g|0);oM(l,j,(j|0)<0|0?-1:0);Y1(n,l)|0;i=e;return}function eQ(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;jM(a);yI(3);if((a|0)==0){c[b>>2]=0;BI(3);return}fQ(a);T9(a);c[b>>2]=0;BI(3);return}function fQ(a){a=a|0;gQ(a);return}function gQ(a){a=a|0;FN(a|0);return}function hQ(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((vd(1)|0)==1){g=e;e=c[g+4>>2]|0;j=7738072;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[7738072+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function iQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;ZP(a,7678888);YP(a,4);ZP(a,7671760);YP(a,0);ZP(a,7670864);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;_P(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);ZP(a,7669376);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{ZP(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{ZP(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{ZP(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{ZP(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4212];c[k+4>>2]=c[4213];c[k+8>>2]=c[4214];kQ(a,b,e|0);ZP(a,7668544);YP(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);lQ(a,7669376,7666784);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;lQ(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;lQ(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;lQ(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;lQ(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function jQ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;ZP(a,7667904);YP(a,4);ZP(a,7671760);YP(a,0);ZP(a,7670864);o=g+1+j+l+n|0;_P(a,o);ZP(a,7669376);if((c[f>>2]|0)>0){n=b|0;l=0;do{ZP(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{ZP(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{ZP(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{ZP(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4216];c[n+4>>2]=c[4217];c[n+8>>2]=c[4218];kQ(a,b,e|0);ZP(a,7668544);YP(a,o);lQ(a,7669376,7666784);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;lQ(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;lQ(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;lQ(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;lQ(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function kQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;ZP(b,7664128);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}YP(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?7669376:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}mQ(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?7669376:f;if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}mQ(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?7669376:g;if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}mQ(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?7669376:g;if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}mQ(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function lQ(a,b,c){a=a|0;b=b|0;c=c|0;ZP(a,b);YP(a,1);ZP(a,7665496);ZP(a,c);return}function mQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ZP(a,b);YP(a,d?2:1);ZP(a,7663232);ZP(a,c);if(!d){return}ZP(a,7662112);ZP(a,7661016);return}function nQ(a){a=a|0;vP(a|0);return}




// EMSCRIPTEN_END_FUNCS
var ee=[tba,tba,HJ,tba,JJ,tba,Hz,tba,OJ,tba,tba,tba,tba,tba,tba,tba];var fe=[uba,uba,tK,uba];var ge=[vba,vba,JE,vba,dE,vba,H9,vba,KF,vba,G9,vba,xD,vba,yD,vba,mF,vba,eE,vba,LF,vba,MF,vba,nF,vba,F9,vba,KE,vba,vba,vba];var he=[wba,wba,a6,wba,u2,wba,Ft,wba,X5,wba,$_,wba,K3,wba,g$,wba,G0,wba,f6,wba,t6,wba,O_,wba,B_,wba,o6,wba,v3,wba,sK,wba,__,wba,f7,wba,e$,wba,T2,wba,h$,wba,k2,wba,g2,wba,rR,wba,yY,wba,$_,wba,r6,wba,H6,wba,k4,wba,U2,wba,_1,wba,jK,wba,Y5,wba,s6,wba,BY,wba,y1,wba,v2,wba,Z4,wba,k6,wba,mm,wba,km,wba,vL,wba,v9,wba,MN,wba,D7,wba,i0,wba,_X,wba,e$,wba,q2,wba,E4,wba,G7,wba,Hi,wba,u6,wba,C7,wba,i2,wba,HN,wba,G1,wba,A_,wba,Xi,wba,p2,wba,z4,wba,s8,wba,$_,wba,m8,wba,w3,wba,E7,wba,q7,wba,zY,wba,IN,wba,qR,wba,dH,wba,_4,wba,x1,wba,Rl,wba,O1,wba,w4,wba,j4,wba,O4,wba,V9,wba,FN,wba,F0,wba,Jaa,wba,w0,wba,p8,wba,q8,wba,e2,wba,TQ,wba,$1,wba,i1,wba,y9,wba,R6,wba,s9,wba,z1,wba,f2,wba,t5,wba,s_,wba,i5,wba,a2,wba,bH,wba,W9,wba,w9,wba,H_,wba,j6,wba,Wi,wba,x4,wba,E5,wba,r9,wba,B7,wba,w5,wba,S5,wba,r8,wba,D4,wba,J3,wba,j2,wba,pR,wba,JN,wba,h2,wba,l2,wba,I1,wba,VX,wba,Z6,wba,L5,wba,D5,wba,F7,wba,Y3,wba,q9,wba,xY,wba,s9,wba,z9,wba,N1,wba,TZ,wba,q$,wba,w1,wba,M9,wba,kY,wba,I_,wba,x0,wba,Z1,wba,R5,wba,A4,wba,KN,wba,DY,wba,v0,wba,M1,wba,p$,wba,P_,wba,m6,wba,j5,wba,X3,wba,P4,wba,u_,wba,H1,wba,h1,wba,L1,wba,o8,wba,x9,wba,b6,wba,BI,wba,t_,wba,u9,wba,M5,wba,u5,wba,G$,wba,I6,wba,d$,wba,F1,wba,t8,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba,wba];var ie=[xba,xba,P7,xba,vk,xba,IB,xba,fm,xba,uM,xba,gm,xba,Ej,xba,o5,xba,Vl,xba,tQ,xba,S4,xba,aZ,xba,M7,xba,dM,xba,h5,xba,fM,xba,dQ,xba,kM,xba,cM,xba,L7,xba,Y4,xba,v_,xba,$5,xba,eQ,xba,j1,xba,K4,xba,hm,xba,r5,xba,lm,xba,cQ,xba,e5,xba,J4,xba,cm,xba,H4,xba,p5,xba,n6,xba,im,xba,eM,xba,J_,xba,Pl,xba,_l,xba,s5,xba,TP,xba,O7,xba,em,xba,am,xba,NN,xba,T4,xba,c$,xba,m5,xba,bm,xba,dm,xba,$l,xba,QP,xba,gM,xba,Q7,xba,g5,xba,V4,xba,OP,xba,N7,xba,X4,xba,C_,xba,Sl,xba,X0,xba,Zl,xba,Ul,xba,e6,xba,Q_,xba,b5,xba,Yl,xba,N4,xba,M4,xba,I4,xba,MP,xba,$k,xba,wM,xba,c5,xba,d5,xba,n5,xba,Wl,xba,U4,xba,Tl,xba,jm,xba,Xl,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba,xba];var je=[yba,yba,NJ,yba,FD,yba,MD,yba,IJ,yba,KJ,yba,LJ,yba,MJ,yba];var ke=[zba,zba,OX,zba,c8,zba,lz,zba,c1,zba,W6,zba,U7,zba,d1,zba,Ye,zba,x7,zba,a8,zba,Q4,zba,Kaa,zba,Z3,zba,S7,zba,S_,zba,BK,zba,r1,zba,L9,zba,q1,zba,LK,zba,w7,zba,Nt,zba,Y7,zba,W7,zba,t9,zba,f$,zba,nz,zba,yz,zba,xz,zba,zz,zba,mz,zba,H7,zba,X7,zba,RN,zba,I7,zba,$0,zba,V6,zba,q5,zba,Z7,zba,w_,zba,Laa,zba,R4,zba,CH,zba,m7,zba,We,zba,Maa,zba,Naa,zba,c7,zba,k5,zba,R7,zba,iz,zba,D_,zba,VK,zba,Ez,zba,Dz,zba,c2,zba,L4,zba,pm,zba,o1,zba,E_,zba,Oaa,zba,J7,zba,a1,zba,sm,zba,n1,zba,K_,zba,SN,zba,Y6,zba,Et,zba,rm,zba,Ei,zba,W4,zba,b8,zba,R_,zba,l7,zba,X9,zba,F4,zba,T7,zba,G4,zba,a$,zba,e7,zba,f5,zba,a5,zba,V7,zba,l5,zba,Gt,zba,b7,zba,l4,zba,K7,zba,jz,zba,GY,zba,$7,zba,k_,zba,_7,zba,Xe,zba,p7,zba,$4,zba,Paa,zba,Di,zba,Cz,zba,Bz,zba,Az,zba,A7,zba,Qaa,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba,zba];var le=[Aba,Aba,SF,Aba,cG,Aba,dG,Aba,eG,Aba,fG,Aba,uG,Aba,$F,Aba,DG,Aba,G6,Aba,UF,Aba,HG,Aba,IG,Aba,k7,Aba,TF,Aba,FG,Aba,EG,Aba,yG,Aba,AG,Aba,YF,Aba,xG,Aba,CG,Aba,GG,Aba,Q6,Aba,r2,Aba,y7,Aba,gG,Aba,n7,Aba,lG,Aba,mG,Aba,nG,Aba,iG,Aba,hG,Aba,kG,Aba,jG,Aba,_F,Aba,BG,Aba,JG,Aba,bG,Aba,wG,Aba,qG,Aba,rG,Aba,tG,Aba,vG,Aba,oG,Aba,ZF,Aba,sG,Aba,pG,Aba,KG,Aba,m2,Aba,NG,Aba,U6,Aba,X6,Aba,VF,Aba,a7,Aba,XF,Aba,zG,Aba,v7,Aba,d7,Aba,OG,Aba,aG,Aba,LG,Aba,MG,Aba,Aba,Aba];var me=[Bba,Bba,AD,Bba,o2,Bba,C6,Bba,UX,Bba,QX,Bba,A9,Bba,Z5,Bba,HD,Bba,K6,Bba,F6,Bba,WD,Bba,c_,Bba,AE,Bba,t2,Bba,om,Bba,aE,Bba,k$,Bba,dF,Bba,f1,Bba,b1,Bba,v6,Bba,k1,Bba,c6,Bba,JD,Bba,P6,Bba,ND,Bba,ON,Bba,A6,Bba,x_,Bba,p1,Bba,l$,Bba,M6,Bba,GE,Bba,Y0,Bba,jF,Bba,HB,Bba,L_,Bba,XX,Bba,t1,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba,Bba];var ne=[Cba,Cba,U3,Cba,S3,Cba,H3,Cba,E3,Cba,Cba,Cba,Cba,Cba,Cba,Cba];var oe=[Dba,Dba,B4,Dba,y4,Dba,v5,Dba,F5,Dba,z5,Dba,H5,Dba,Dba,Dba];var pe=[Eba,Eba,I9,Eba,Q3,Eba,M3,Eba,L3,Eba,J9,Eba,$G,Eba,V3,Eba,PN,Eba,_5,Eba,l1,Eba,I3,Eba,x3,Eba,C3,Eba,y3,Eba,EY,Eba,K9,Eba,Z0,Eba,_G,Eba,d6,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba,Eba];var qe=[Fba,Fba,Gi,Fba];var re=[Gba,Gba,c4,Gba,m4,Gba,o4,Gba,W5,Gba,R3,Gba,P3,Gba,Q5,Gba,_3,Gba,b4,Gba,p4,Gba,n3,Gba,A2,Gba,a4,Gba,b3,Gba,G2,Gba,n4,Gba,D3,Gba,B3,Gba,f3,Gba,Z2,Gba,$2,Gba,Q2,Gba,d3,Gba,X2,Gba,V2,Gba,l3,Gba,j3,Gba,h3,Gba,q4,Gba,w2,Gba,E2,Gba,$3,Gba,I2,Gba,C2,Gba,y2,Gba,O2,Gba,M2,Gba,K2,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba,Gba];var se=[Hba,Hba,T5,Hba,N5,Hba,Hba,Hba];var te=[Iba,Iba,r4,Iba,d4,Iba,Iba,Iba];var ue=[Jba,Jba,tF,Jba,T_,Jba,rF,Jba,sF,Jba,uD,Jba,D6,Jba,s1,Jba,N6,Jba,gF,Jba,J6,Jba,F_,Jba,M_,Jba,z6,Jba,CE,Jba,qm,Jba,vD,Jba,IY,Jba,vF,Jba,Ve,Jba,uF,Jba,qF,Jba,TN,Jba,d9,Jba,L6,Jba,iF,Jba,DE,Jba,wD,Jba,um,Jba,Gz,Jba,g1,Jba,QH,Jba,u1,Jba,B6,Jba,Raa,Jba,FE,Jba,Saa,Jba,fF,Jba,HY,Jba,nm,Jba,$D,Jba,UN,Jba,e1,Jba,y_,Jba,YD,Jba,pF,Jba,oF,Jba,ZD,Jba,Fz,Jba,O9,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba,Jba];var ve=[Kba,Kba,JL,Kba];var we=[Lba,Lba,_6,Lba,i7,Lba,aL,Lba,g7,Lba,r7,Lba,t7,Lba,$6,Lba,S6,Lba,T6,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba,Lba];var xe=[Mba,Mba,p_,Mba,q_,Mba,n_,Mba,Taa,Mba,DH,Mba,Iz,Mba,Mba,Mba];var ye=[Nba,Nba,pC,Nba,KC,Nba,cE,Nba,vE,Nba,mD,Nba,IE,Nba,KD,Nba,hF,Nba,XD,Nba,aF,Nba,eF,Nba,sD,Nba,RD,Nba,_D,Nba,wE,Nba,w6,Nba,$E,Nba,ZE,Nba,OD,Nba,Uaa,Nba,CD,Nba,xE,Nba,QD,Nba,x6,Nba,yE,Nba,VD,Nba,TD,Nba,cF,Nba,O6,Nba,lF,Nba,SD,Nba,dD,Nba,BE,Nba,UD,Nba,fD,Nba,FC,Nba,_E,Nba,bF,Nba,DD,Nba,gD,Nba,zE,Nba,E6,Nba,EE,Nba,aD,Nba,TC,Nba,LD,Nba,y6,Nba,uE,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba,Nba];var ze=[Oba,Oba,ZX,Oba,ZL,Oba,$L,Oba,sQ,Oba,j$,Oba,d2,Oba,$Y,Oba];var Ae=[Pba,Pba,Ji,Pba,mZ,Pba,PG,Pba,Vaa,Pba,BH,Pba,RG,Pba,Pba,Pba];var Be=[Qba,Qba,JK,Qba,KK,Qba,Qba,Qba];var Ce=[Rba,Rba,Ql,Rba,YX,Rba,FY,Rba,C9,Rba,ED,Rba,bE,Rba,B9,Rba,hH,Rba,kF,Rba,QN,Rba,al,Rba,Fj,Rba,_0,Rba,s2,Rba,m1,Rba,D9,Rba,fH,Rba,n2,Rba,wk,Rba,HE,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba,Rba];return{_testSetjmp:qaa,_strlen:laa,_free:M9,_main:Ii,_rand_r:taa,_realloc:O9,_strncpy:maa,_memmove:saa,__GLOBAL__I_a:V_,_saveSetjmp:paa,_memset:oaa,_malloc:L9,_memcpy:naa,_strcpy:raa,_calloc:N9,_rand:uaa,runPostSets:Te,stackAlloc:De,stackSave:Ee,stackRestore:Fe,setThrew:Ge,setTempRet0:Je,setTempRet1:Ke,setTempRet2:Le,setTempRet3:Me,setTempRet4:Ne,setTempRet5:Oe,setTempRet6:Pe,setTempRet7:Qe,setTempRet8:Re,setTempRet9:Se,dynCall_iiiiiiii:Waa,dynCall_vd:Xaa,dynCall_viiiii:Yaa,dynCall_vi:Zaa,dynCall_vii:_aa,dynCall_iiiiiiiiiii:$aa,dynCall_ii:aba,dynCall_iiiiii:bba,dynCall_iiii:cba,dynCall_viiiiid:dba,dynCall_viiiiiiii:eba,dynCall_viiiiii:fba,dynCall_iid:gba,dynCall_viiiiiii:hba,dynCall_viiiiiid:iba,dynCall_viiiiiiiii:jba,dynCall_iii:kba,dynCall_iiiiidi:lba,dynCall_iiiiiiiii:mba,dynCall_i:nba,dynCall_iiiii:oba,dynCall_viii:pba,dynCall_v:qba,dynCall_viidii:rba,dynCall_viiii:sba}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_viidii": invoke_viidii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "_sysconf": _sysconf, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_pthread_cond_broadcast": _pthread_cond_broadcast, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_ctime": _ctime, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_fgets": _fgets, "_close": _close, "_strchr": _strchr, "_catclose": _catclose, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asctime": _asctime, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "_localtime_r": _localtime_r, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "___cxa_does_inherit": ___cxa_does_inherit, "_asctime_r": _asctime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_emscripten_memcpy_big": _emscripten_memcpy_big, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "_lis_vector_get_values": _lis_vector_get_values, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "_llvm_va_copy": _llvm_va_copy, "___cxa_throw": ___cxa_throw, "_lis_vector_set_value": _lis_vector_set_value, "_lis_vector_create": _lis_vector_create, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_lis_solve": _lis_solve, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_log": _log, "_puts": _puts, "_mktime": _mktime, "_xerbla_": _xerbla_, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "_lis_matrix_create": _lis_matrix_create, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_fread": _fread, "_isatty": _isatty, "__reallyNegative": __reallyNegative, "__formatString": __formatString, "_lis_matrix_destroy": _lis_matrix_destroy, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_lis_matrix_set_size": _lis_matrix_set_size, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_localeconv": _localeconv, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_lis_matrix_assemble": _lis_matrix_assemble, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_srand": _srand, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "_feof": _feof, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_floor": _floor, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "_lis_matrix_set_type": _lis_matrix_set_type, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_asprintf": _asprintf, "_GC_collect_a_little": _GC_collect_a_little, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "_stdin": _stdin, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






